#include "Bullet.h"
#include "HaskellBulletAPI.h"
#include "LinearMath/btAlignedAllocator.h"
// ::btGLDebugDrawer
//constructor: btGLDebugDrawer  ( ::btGLDebugDrawer::* )(  ) 
void* btGLDebugDrawer_new() {
	::btGLDebugDrawer *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGLDebugDrawer),16);
	o = new (mem)::btGLDebugDrawer();
	return (void*)o;
}
void btGLDebugDrawer_free(void *c) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	delete o;
}
//method: draw3dText void ( ::btGLDebugDrawer::* )( ::btVector3 const &,char const * ) 
void btGLDebugDrawer_draw3dText(void *c,float* p0,char const * p1) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->draw3dText(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: drawTriangle void ( ::btGLDebugDrawer::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void btGLDebugDrawer_drawTriangle(void *c,float* p0,float* p1,float* p2,float* p3,float p4) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->drawTriangle(tp0,tp1,tp2,tp3,p4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: drawBox void ( ::btGLDebugDrawer::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void btGLDebugDrawer_drawBox(void *c,float* p0,float* p1,float* p2,float p3) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawBox(tp0,tp1,tp2,p3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawContactPoint void ( ::btGLDebugDrawer::* )( ::btVector3 const &,::btVector3 const &,::btScalar,int,::btVector3 const & ) 
void btGLDebugDrawer_drawContactPoint(void *c,float* p0,float* p1,float p2,int p3,float* p4) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->drawContactPoint(tp0,tp1,p2,p3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: drawLine void ( ::btGLDebugDrawer::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btGLDebugDrawer_drawLine(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->drawLine(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: drawLine void ( ::btGLDebugDrawer::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btGLDebugDrawer_drawLine0(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->drawLine(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: drawLine void ( ::btGLDebugDrawer::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btGLDebugDrawer_drawLine1(void *c,float* p0,float* p1,float* p2) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawLine(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: reportErrorWarning void ( ::btGLDebugDrawer::* )( char const * ) 
void btGLDebugDrawer_reportErrorWarning(void *c,char const * p0) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	o->reportErrorWarning(p0);
}
//method: getDebugMode int ( ::btGLDebugDrawer::* )(  ) const
int btGLDebugDrawer_getDebugMode(void *c) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	int retVal = (int)o->getDebugMode();
	return retVal;
}
//method: setDebugMode void ( ::btGLDebugDrawer::* )( int ) 
void btGLDebugDrawer_setDebugMode(void *c,int p0) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	o->setDebugMode(p0);
}
//method: drawSphere void ( ::btGLDebugDrawer::* )( ::btVector3 const &,::btScalar,::btVector3 const & ) 
void btGLDebugDrawer_drawSphere(void *c,float* p0,float p1,float* p2) {
	::btGLDebugDrawer *o = (::btGLDebugDrawer*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawSphere(tp0,p1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btSoftBody::AJoint
//constructor: AJoint  ( ::btSoftBody::AJoint::* )(  ) 
void* btSoftBody_AJoint_new() {
	::btSoftBody::AJoint *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::AJoint),16);
	o = new (mem)::btSoftBody::AJoint();
	return (void*)o;
}
void btSoftBody_AJoint_free(void *c) {
	::btSoftBody::AJoint *o = (::btSoftBody::AJoint*)c;
	delete o;
}
//method: Terminate void ( ::btSoftBody::AJoint::* )( ::btScalar ) 
void btSoftBody_AJoint_Terminate(void *c,float p0) {
	::btSoftBody::AJoint *o = (::btSoftBody::AJoint*)c;
	o->Terminate(p0);
}
//not supported method: Type ::btSoftBody::Joint::eType::_ ( ::btSoftBody::AJoint::* )(  ) const
//method: Solve void ( ::btSoftBody::AJoint::* )( ::btScalar,::btScalar ) 
void btSoftBody_AJoint_Solve(void *c,float p0,float p1) {
	::btSoftBody::AJoint *o = (::btSoftBody::AJoint*)c;
	o->Solve(p0,p1);
}
//method: Prepare void ( ::btSoftBody::AJoint::* )( ::btScalar,int ) 
void btSoftBody_AJoint_Prepare(void *c,float p0,int p1) {
	::btSoftBody::AJoint *o = (::btSoftBody::AJoint*)c;
	o->Prepare(p0,p1);
}
//attribute: ::btVector3[2] btSoftBody_AJoint->m_axis
// attribute not supported: //attribute: ::btVector3[2] btSoftBody_AJoint->m_axis
//attribute: ::btSoftBody::AJoint::IControl * btSoftBody_AJoint->m_icontrol
void btSoftBody_AJoint_m_icontrol_set(void *c,void* a) {
	::btSoftBody::AJoint *o = (::btSoftBody::AJoint*)c;
	::btSoftBody::AJoint::IControl * ta = (::btSoftBody::AJoint::IControl *)a;
	o->m_icontrol = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::AJoint::IControl * btSoftBody_AJoint->m_icontrol

// ::btSoftBody::Anchor
//constructor: Anchor  ( ::btSoftBody::Anchor::* )(  ) 
void* btSoftBody_Anchor_new() {
	::btSoftBody::Anchor *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Anchor),16);
	o = new (mem)::btSoftBody::Anchor();
	return (void*)o;
}
void btSoftBody_Anchor_free(void *c) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	delete o;
}
//attribute: ::btSoftBody::Node * btSoftBody_Anchor->m_node
void btSoftBody_Anchor_m_node_set(void *c,void* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	::btSoftBody::Node * ta = (::btSoftBody::Node *)a;
	o->m_node = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::Node * btSoftBody_Anchor->m_node
//attribute: ::btVector3 btSoftBody_Anchor->m_local
void btSoftBody_Anchor_m_local_set(void *c,float* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_local = ta;
}
void btSoftBody_Anchor_m_local_get(void *c,float* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	a[0]=(o->m_local).m_floats[0];a[1]=(o->m_local).m_floats[1];a[2]=(o->m_local).m_floats[2];
}

//attribute: ::btRigidBody * btSoftBody_Anchor->m_body
void btSoftBody_Anchor_m_body_set(void *c,void* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	::btRigidBody * ta = (::btRigidBody *)a;
	o->m_body = ta;
}
// attriibute getter not supported: //attribute: ::btRigidBody * btSoftBody_Anchor->m_body
//attribute: ::btScalar btSoftBody_Anchor->m_influence
void btSoftBody_Anchor_m_influence_set(void *c,float a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	o->m_influence = a;
}
float btSoftBody_Anchor_m_influence_get(void *c) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	return (float)(o->m_influence);
}

//attribute: ::btMatrix3x3 btSoftBody_Anchor->m_c0
void btSoftBody_Anchor_m_c0_set(void *c,float* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_c0 = ta;
}
void btSoftBody_Anchor_m_c0_get(void *c,float* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	a[0]=(o->m_c0).getRow(0).m_floats[0];a[1]=(o->m_c0).getRow(0).m_floats[1];a[2]=(o->m_c0).getRow(0).m_floats[2];a[3]=(o->m_c0).getRow(1).m_floats[0];a[4]=(o->m_c0).getRow(1).m_floats[1];a[5]=(o->m_c0).getRow(1).m_floats[2];a[6]=(o->m_c0).getRow(2).m_floats[0];a[7]=(o->m_c0).getRow(2).m_floats[1];a[8]=(o->m_c0).getRow(2).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_Anchor->m_c1
void btSoftBody_Anchor_m_c1_set(void *c,float* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_c1 = ta;
}
void btSoftBody_Anchor_m_c1_get(void *c,float* a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	a[0]=(o->m_c1).m_floats[0];a[1]=(o->m_c1).m_floats[1];a[2]=(o->m_c1).m_floats[2];
}

//attribute: ::btScalar btSoftBody_Anchor->m_c2
void btSoftBody_Anchor_m_c2_set(void *c,float a) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	o->m_c2 = a;
}
float btSoftBody_Anchor_m_c2_get(void *c) {
	::btSoftBody::Anchor *o = (::btSoftBody::Anchor*)c;
	return (float)(o->m_c2);
}


// ::btSoftBody::Body
//constructor: Body  ( ::btSoftBody::Body::* )(  ) 
void* btSoftBody_Body_new0() {
	::btSoftBody::Body *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Body),16);
	o = new (mem)::btSoftBody::Body();
	return (void*)o;
}
//constructor: Body  ( ::btSoftBody::Body::* )( ::btSoftBody::Cluster * ) 
void* btSoftBody_Body_new1(void* p0) {
	::btSoftBody::Body *o = 0;
	 void *mem = 0;
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Body),16);
	o = new (mem)::btSoftBody::Body(tp0);
	return (void*)o;
}
//constructor: Body  ( ::btSoftBody::Body::* )( ::btCollisionObject * ) 
void* btSoftBody_Body_new2(void* p0) {
	::btSoftBody::Body *o = 0;
	 void *mem = 0;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Body),16);
	o = new (mem)::btSoftBody::Body(tp0);
	return (void*)o;
}
void btSoftBody_Body_free(void *c) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	delete o;
}
//method: invWorldInertia ::btMatrix3x3 const & ( ::btSoftBody::Body::* )(  ) const
void btSoftBody_Body_invWorldInertia(void *c,float* ret) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btMatrix3x3 tret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	tret = o->invWorldInertia();
	ret[0]=tret.getRow(0).m_floats[0];ret[1]=tret.getRow(0).m_floats[1];ret[2]=tret.getRow(0).m_floats[2];ret[3]=tret.getRow(1).m_floats[0];ret[4]=tret.getRow(1).m_floats[1];ret[5]=tret.getRow(1).m_floats[2];ret[6]=tret.getRow(2).m_floats[0];ret[7]=tret.getRow(2).m_floats[1];ret[8]=tret.getRow(2).m_floats[2];
}
//method: activate void ( ::btSoftBody::Body::* )(  ) const
void btSoftBody_Body_activate(void *c) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	o->activate();
}
//method: linearVelocity ::btVector3 ( ::btSoftBody::Body::* )(  ) const
void btSoftBody_Body_linearVelocity(void *c,float* ret) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->linearVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: applyVImpulse void ( ::btSoftBody::Body::* )( ::btVector3 const &,::btVector3 const & ) const
void btSoftBody_Body_applyVImpulse(void *c,float* p0,float* p1) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->applyVImpulse(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: applyDImpulse void ( ::btSoftBody::Body::* )( ::btVector3 const &,::btVector3 const & ) const
void btSoftBody_Body_applyDImpulse(void *c,float* p0,float* p1) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->applyDImpulse(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: applyDCImpulse void ( ::btSoftBody::Body::* )( ::btVector3 const & ) const
void btSoftBody_Body_applyDCImpulse(void *c,float* p0) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->applyDCImpulse(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: applyAImpulse void ( ::btSoftBody::Body::* )( ::btSoftBody::Impulse const & ) const
void btSoftBody_Body_applyAImpulse(void *c,void* p0) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	::btSoftBody::Impulse const & tp0 = *(::btSoftBody::Impulse const *)p0;
	o->applyAImpulse(tp0);
}
//method: angularVelocity ::btVector3 ( ::btSoftBody::Body::* )( ::btVector3 const & ) const
void btSoftBody_Body_angularVelocity(void *c,float* p0,float* ret) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->angularVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: angularVelocity ::btVector3 ( ::btSoftBody::Body::* )( ::btVector3 const & ) const
void btSoftBody_Body_angularVelocity0(void *c,float* p0,float* ret) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->angularVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: angularVelocity ::btVector3 ( ::btSoftBody::Body::* )(  ) const
void btSoftBody_Body_angularVelocity1(void *c,float* ret) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->angularVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: applyVAImpulse void ( ::btSoftBody::Body::* )( ::btVector3 const & ) const
void btSoftBody_Body_applyVAImpulse(void *c,float* p0) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->applyVAImpulse(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: applyImpulse void ( ::btSoftBody::Body::* )( ::btSoftBody::Impulse const &,::btVector3 const & ) const
void btSoftBody_Body_applyImpulse(void *c,void* p0,float* p1) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	::btSoftBody::Impulse const & tp0 = *(::btSoftBody::Impulse const *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->applyImpulse(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: applyDAImpulse void ( ::btSoftBody::Body::* )( ::btVector3 const & ) const
void btSoftBody_Body_applyDAImpulse(void *c,float* p0) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->applyDAImpulse(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: velocity ::btVector3 ( ::btSoftBody::Body::* )( ::btVector3 const & ) const
void btSoftBody_Body_velocity(void *c,float* p0,float* ret) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->velocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: invMass ::btScalar ( ::btSoftBody::Body::* )(  ) const
float btSoftBody_Body_invMass(void *c) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	float retVal = (float)o->invMass();
	return retVal;
}
//method: xform ::btTransform const & ( ::btSoftBody::Body::* )(  ) const
void btSoftBody_Body_xform(void *c,float* ret) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->xform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//attribute: ::btSoftBody::Cluster * btSoftBody_Body->m_soft
void btSoftBody_Body_m_soft_set(void *c,void* a) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	::btSoftBody::Cluster * ta = (::btSoftBody::Cluster *)a;
	o->m_soft = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::Cluster * btSoftBody_Body->m_soft
//attribute: ::btRigidBody * btSoftBody_Body->m_rigid
void btSoftBody_Body_m_rigid_set(void *c,void* a) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	::btRigidBody * ta = (::btRigidBody *)a;
	o->m_rigid = ta;
}
// attriibute getter not supported: //attribute: ::btRigidBody * btSoftBody_Body->m_rigid
//attribute: ::btCollisionObject * btSoftBody_Body->m_collisionObject
void btSoftBody_Body_m_collisionObject_set(void *c,void* a) {
	::btSoftBody::Body *o = (::btSoftBody::Body*)c;
	::btCollisionObject * ta = (::btCollisionObject *)a;
	o->m_collisionObject = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionObject * btSoftBody_Body->m_collisionObject

// ::btSoftBody::CJoint
//constructor: CJoint  ( ::btSoftBody::CJoint::* )(  ) 
void* btSoftBody_CJoint_new() {
	::btSoftBody::CJoint *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::CJoint),16);
	o = new (mem)::btSoftBody::CJoint();
	return (void*)o;
}
void btSoftBody_CJoint_free(void *c) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	delete o;
}
//method: Terminate void ( ::btSoftBody::CJoint::* )( ::btScalar ) 
void btSoftBody_CJoint_Terminate(void *c,float p0) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	o->Terminate(p0);
}
//not supported method: Type ::btSoftBody::Joint::eType::_ ( ::btSoftBody::CJoint::* )(  ) const
//method: Solve void ( ::btSoftBody::CJoint::* )( ::btScalar,::btScalar ) 
void btSoftBody_CJoint_Solve(void *c,float p0,float p1) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	o->Solve(p0,p1);
}
//method: Prepare void ( ::btSoftBody::CJoint::* )( ::btScalar,int ) 
void btSoftBody_CJoint_Prepare(void *c,float p0,int p1) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	o->Prepare(p0,p1);
}
//attribute: int btSoftBody_CJoint->m_life
void btSoftBody_CJoint_m_life_set(void *c,int a) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	o->m_life = a;
}
int btSoftBody_CJoint_m_life_get(void *c) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	return (int)(o->m_life);
}

//attribute: int btSoftBody_CJoint->m_maxlife
void btSoftBody_CJoint_m_maxlife_set(void *c,int a) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	o->m_maxlife = a;
}
int btSoftBody_CJoint_m_maxlife_get(void *c) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	return (int)(o->m_maxlife);
}

//attribute: ::btVector3[2] btSoftBody_CJoint->m_rpos
// attribute not supported: //attribute: ::btVector3[2] btSoftBody_CJoint->m_rpos
//attribute: ::btVector3 btSoftBody_CJoint->m_normal
void btSoftBody_CJoint_m_normal_set(void *c,float* a) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_normal = ta;
}
void btSoftBody_CJoint_m_normal_get(void *c,float* a) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	a[0]=(o->m_normal).m_floats[0];a[1]=(o->m_normal).m_floats[1];a[2]=(o->m_normal).m_floats[2];
}

//attribute: ::btScalar btSoftBody_CJoint->m_friction
void btSoftBody_CJoint_m_friction_set(void *c,float a) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	o->m_friction = a;
}
float btSoftBody_CJoint_m_friction_get(void *c) {
	::btSoftBody::CJoint *o = (::btSoftBody::CJoint*)c;
	return (float)(o->m_friction);
}


// ::btSoftBody::Cluster
//constructor: Cluster  ( ::btSoftBody::Cluster::* )(  ) 
void* btSoftBody_Cluster_new() {
	::btSoftBody::Cluster *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Cluster),16);
	o = new (mem)::btSoftBody::Cluster();
	return (void*)o;
}
void btSoftBody_Cluster_free(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	delete o;
}
//attribute: ::btScalar btSoftBody_Cluster->m_adamping
void btSoftBody_Cluster_m_adamping_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_adamping = a;
}
float btSoftBody_Cluster_m_adamping_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_adamping);
}

//attribute: ::btVector3 btSoftBody_Cluster->m_av
void btSoftBody_Cluster_m_av_set(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_av = ta;
}
void btSoftBody_Cluster_m_av_get(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	a[0]=(o->m_av).m_floats[0];a[1]=(o->m_av).m_floats[1];a[2]=(o->m_av).m_floats[2];
}

//attribute: int btSoftBody_Cluster->m_clusterIndex
void btSoftBody_Cluster_m_clusterIndex_set(void *c,int a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_clusterIndex = a;
}
int btSoftBody_Cluster_m_clusterIndex_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (int)(o->m_clusterIndex);
}

//attribute: bool btSoftBody_Cluster->m_collide
void btSoftBody_Cluster_m_collide_set(void *c,int a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_collide = a;
}
int btSoftBody_Cluster_m_collide_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (int)(o->m_collide);
}

//attribute: ::btVector3 btSoftBody_Cluster->m_com
void btSoftBody_Cluster_m_com_set(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_com = ta;
}
void btSoftBody_Cluster_m_com_get(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	a[0]=(o->m_com).m_floats[0];a[1]=(o->m_com).m_floats[1];a[2]=(o->m_com).m_floats[2];
}

//attribute: bool btSoftBody_Cluster->m_containsAnchor
void btSoftBody_Cluster_m_containsAnchor_set(void *c,int a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_containsAnchor = a;
}
int btSoftBody_Cluster_m_containsAnchor_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (int)(o->m_containsAnchor);
}

//attribute: ::btVector3[2] btSoftBody_Cluster->m_dimpulses
// attribute not supported: //attribute: ::btVector3[2] btSoftBody_Cluster->m_dimpulses
//attribute: ::btAlignedObjectArray<btVector3> btSoftBody_Cluster->m_framerefs
// attribute not supported: //attribute: ::btAlignedObjectArray<btVector3> btSoftBody_Cluster->m_framerefs
//attribute: ::btTransform btSoftBody_Cluster->m_framexform
void btSoftBody_Cluster_m_framexform_set(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_framexform = ta;
}
void btSoftBody_Cluster_m_framexform_get(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	a[0]=(o->m_framexform).getBasis().getRow(0).m_floats[0];a[1]=(o->m_framexform).getBasis().getRow(0).m_floats[1];a[2]=(o->m_framexform).getBasis().getRow(0).m_floats[2];a[3]=(o->m_framexform).getBasis().getRow(1).m_floats[0];a[4]=(o->m_framexform).getBasis().getRow(1).m_floats[1];a[5]=(o->m_framexform).getBasis().getRow(1).m_floats[2];a[6]=(o->m_framexform).getBasis().getRow(2).m_floats[0];a[7]=(o->m_framexform).getBasis().getRow(2).m_floats[1];a[8]=(o->m_framexform).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_framexform).getOrigin().m_floats[0];a[10]=(o->m_framexform).getOrigin().m_floats[1];a[11]=(o->m_framexform).getOrigin().m_floats[2];
}

//attribute: ::btScalar btSoftBody_Cluster->m_idmass
void btSoftBody_Cluster_m_idmass_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_idmass = a;
}
float btSoftBody_Cluster_m_idmass_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_idmass);
}

//attribute: ::btScalar btSoftBody_Cluster->m_imass
void btSoftBody_Cluster_m_imass_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_imass = a;
}
float btSoftBody_Cluster_m_imass_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_imass);
}

//attribute: ::btMatrix3x3 btSoftBody_Cluster->m_invwi
void btSoftBody_Cluster_m_invwi_set(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_invwi = ta;
}
void btSoftBody_Cluster_m_invwi_get(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	a[0]=(o->m_invwi).getRow(0).m_floats[0];a[1]=(o->m_invwi).getRow(0).m_floats[1];a[2]=(o->m_invwi).getRow(0).m_floats[2];a[3]=(o->m_invwi).getRow(1).m_floats[0];a[4]=(o->m_invwi).getRow(1).m_floats[1];a[5]=(o->m_invwi).getRow(1).m_floats[2];a[6]=(o->m_invwi).getRow(2).m_floats[0];a[7]=(o->m_invwi).getRow(2).m_floats[1];a[8]=(o->m_invwi).getRow(2).m_floats[2];
}

//attribute: ::btScalar btSoftBody_Cluster->m_ldamping
void btSoftBody_Cluster_m_ldamping_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_ldamping = a;
}
float btSoftBody_Cluster_m_ldamping_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_ldamping);
}

//attribute: ::btDbvtNode * btSoftBody_Cluster->m_leaf
void btSoftBody_Cluster_m_leaf_set(void *c,void* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->m_leaf = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btSoftBody_Cluster->m_leaf
//attribute: ::btMatrix3x3 btSoftBody_Cluster->m_locii
void btSoftBody_Cluster_m_locii_set(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_locii = ta;
}
void btSoftBody_Cluster_m_locii_get(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	a[0]=(o->m_locii).getRow(0).m_floats[0];a[1]=(o->m_locii).getRow(0).m_floats[1];a[2]=(o->m_locii).getRow(0).m_floats[2];a[3]=(o->m_locii).getRow(1).m_floats[0];a[4]=(o->m_locii).getRow(1).m_floats[1];a[5]=(o->m_locii).getRow(1).m_floats[2];a[6]=(o->m_locii).getRow(2).m_floats[0];a[7]=(o->m_locii).getRow(2).m_floats[1];a[8]=(o->m_locii).getRow(2).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_Cluster->m_lv
void btSoftBody_Cluster_m_lv_set(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_lv = ta;
}
void btSoftBody_Cluster_m_lv_get(void *c,float* a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	a[0]=(o->m_lv).m_floats[0];a[1]=(o->m_lv).m_floats[1];a[2]=(o->m_lv).m_floats[2];
}

//attribute: ::btAlignedObjectArray<float> btSoftBody_Cluster->m_masses
// attribute not supported: //attribute: ::btAlignedObjectArray<float> btSoftBody_Cluster->m_masses
//attribute: ::btScalar btSoftBody_Cluster->m_matching
void btSoftBody_Cluster_m_matching_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_matching = a;
}
float btSoftBody_Cluster_m_matching_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_matching);
}

//attribute: ::btScalar btSoftBody_Cluster->m_maxSelfCollisionImpulse
void btSoftBody_Cluster_m_maxSelfCollisionImpulse_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_maxSelfCollisionImpulse = a;
}
float btSoftBody_Cluster_m_maxSelfCollisionImpulse_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_maxSelfCollisionImpulse);
}

//attribute: ::btScalar btSoftBody_Cluster->m_ndamping
void btSoftBody_Cluster_m_ndamping_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_ndamping = a;
}
float btSoftBody_Cluster_m_ndamping_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_ndamping);
}

//attribute: int btSoftBody_Cluster->m_ndimpulses
void btSoftBody_Cluster_m_ndimpulses_set(void *c,int a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_ndimpulses = a;
}
int btSoftBody_Cluster_m_ndimpulses_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (int)(o->m_ndimpulses);
}

//attribute: ::btAlignedObjectArray<btSoftBody::Node*> btSoftBody_Cluster->m_nodes
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Node*> btSoftBody_Cluster->m_nodes
//attribute: int btSoftBody_Cluster->m_nvimpulses
void btSoftBody_Cluster_m_nvimpulses_set(void *c,int a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_nvimpulses = a;
}
int btSoftBody_Cluster_m_nvimpulses_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (int)(o->m_nvimpulses);
}

//attribute: ::btScalar btSoftBody_Cluster->m_selfCollisionImpulseFactor
void btSoftBody_Cluster_m_selfCollisionImpulseFactor_set(void *c,float a) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	o->m_selfCollisionImpulseFactor = a;
}
float btSoftBody_Cluster_m_selfCollisionImpulseFactor_get(void *c) {
	::btSoftBody::Cluster *o = (::btSoftBody::Cluster*)c;
	return (float)(o->m_selfCollisionImpulseFactor);
}

//attribute: ::btVector3[2] btSoftBody_Cluster->m_vimpulses
// attribute not supported: //attribute: ::btVector3[2] btSoftBody_Cluster->m_vimpulses

// ::btSoftBody::Config
//constructor: Config  ( ::btSoftBody::Config::* )(  ) 
void* btSoftBody_Config_new() {
	::btSoftBody::Config *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Config),16);
	o = new (mem)::btSoftBody::Config();
	return (void*)o;
}
void btSoftBody_Config_free(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	delete o;
}
//attribute: ::btSoftBody::eAeroModel::_ btSoftBody_Config->aeromodel
// attribute not supported: //attribute: ::btSoftBody::eAeroModel::_ btSoftBody_Config->aeromodel
//attribute: ::btScalar btSoftBody_Config->kVCF
void btSoftBody_Config_kVCF_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kVCF = a;
}
float btSoftBody_Config_kVCF_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kVCF);
}

//attribute: ::btScalar btSoftBody_Config->kDP
void btSoftBody_Config_kDP_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kDP = a;
}
float btSoftBody_Config_kDP_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kDP);
}

//attribute: ::btScalar btSoftBody_Config->kDG
void btSoftBody_Config_kDG_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kDG = a;
}
float btSoftBody_Config_kDG_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kDG);
}

//attribute: ::btScalar btSoftBody_Config->kLF
void btSoftBody_Config_kLF_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kLF = a;
}
float btSoftBody_Config_kLF_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kLF);
}

//attribute: ::btScalar btSoftBody_Config->kPR
void btSoftBody_Config_kPR_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kPR = a;
}
float btSoftBody_Config_kPR_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kPR);
}

//attribute: ::btScalar btSoftBody_Config->kVC
void btSoftBody_Config_kVC_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kVC = a;
}
float btSoftBody_Config_kVC_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kVC);
}

//attribute: ::btScalar btSoftBody_Config->kDF
void btSoftBody_Config_kDF_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kDF = a;
}
float btSoftBody_Config_kDF_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kDF);
}

//attribute: ::btScalar btSoftBody_Config->kMT
void btSoftBody_Config_kMT_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kMT = a;
}
float btSoftBody_Config_kMT_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kMT);
}

//attribute: ::btScalar btSoftBody_Config->kCHR
void btSoftBody_Config_kCHR_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kCHR = a;
}
float btSoftBody_Config_kCHR_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kCHR);
}

//attribute: ::btScalar btSoftBody_Config->kKHR
void btSoftBody_Config_kKHR_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kKHR = a;
}
float btSoftBody_Config_kKHR_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kKHR);
}

//attribute: ::btScalar btSoftBody_Config->kSHR
void btSoftBody_Config_kSHR_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kSHR = a;
}
float btSoftBody_Config_kSHR_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kSHR);
}

//attribute: ::btScalar btSoftBody_Config->kAHR
void btSoftBody_Config_kAHR_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kAHR = a;
}
float btSoftBody_Config_kAHR_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kAHR);
}

//attribute: ::btScalar btSoftBody_Config->kSRHR_CL
void btSoftBody_Config_kSRHR_CL_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kSRHR_CL = a;
}
float btSoftBody_Config_kSRHR_CL_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kSRHR_CL);
}

//attribute: ::btScalar btSoftBody_Config->kSKHR_CL
void btSoftBody_Config_kSKHR_CL_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kSKHR_CL = a;
}
float btSoftBody_Config_kSKHR_CL_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kSKHR_CL);
}

//attribute: ::btScalar btSoftBody_Config->kSSHR_CL
void btSoftBody_Config_kSSHR_CL_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kSSHR_CL = a;
}
float btSoftBody_Config_kSSHR_CL_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kSSHR_CL);
}

//attribute: ::btScalar btSoftBody_Config->kSR_SPLT_CL
void btSoftBody_Config_kSR_SPLT_CL_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kSR_SPLT_CL = a;
}
float btSoftBody_Config_kSR_SPLT_CL_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kSR_SPLT_CL);
}

//attribute: ::btScalar btSoftBody_Config->kSK_SPLT_CL
void btSoftBody_Config_kSK_SPLT_CL_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kSK_SPLT_CL = a;
}
float btSoftBody_Config_kSK_SPLT_CL_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kSK_SPLT_CL);
}

//attribute: ::btScalar btSoftBody_Config->kSS_SPLT_CL
void btSoftBody_Config_kSS_SPLT_CL_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->kSS_SPLT_CL = a;
}
float btSoftBody_Config_kSS_SPLT_CL_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->kSS_SPLT_CL);
}

//attribute: ::btScalar btSoftBody_Config->maxvolume
void btSoftBody_Config_maxvolume_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->maxvolume = a;
}
float btSoftBody_Config_maxvolume_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->maxvolume);
}

//attribute: ::btScalar btSoftBody_Config->timescale
void btSoftBody_Config_timescale_set(void *c,float a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->timescale = a;
}
float btSoftBody_Config_timescale_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (float)(o->timescale);
}

//attribute: int btSoftBody_Config->viterations
void btSoftBody_Config_viterations_set(void *c,int a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->viterations = a;
}
int btSoftBody_Config_viterations_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (int)(o->viterations);
}

//attribute: int btSoftBody_Config->piterations
void btSoftBody_Config_piterations_set(void *c,int a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->piterations = a;
}
int btSoftBody_Config_piterations_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (int)(o->piterations);
}

//attribute: int btSoftBody_Config->diterations
void btSoftBody_Config_diterations_set(void *c,int a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->diterations = a;
}
int btSoftBody_Config_diterations_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (int)(o->diterations);
}

//attribute: int btSoftBody_Config->citerations
void btSoftBody_Config_citerations_set(void *c,int a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->citerations = a;
}
int btSoftBody_Config_citerations_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (int)(o->citerations);
}

//attribute: int btSoftBody_Config->collisions
void btSoftBody_Config_collisions_set(void *c,int a) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	o->collisions = a;
}
int btSoftBody_Config_collisions_get(void *c) {
	::btSoftBody::Config *o = (::btSoftBody::Config*)c;
	return (int)(o->collisions);
}

//attribute: ::btAlignedObjectArray<btSoftBody::eVSolver::_> btSoftBody_Config->m_vsequence
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::eVSolver::_> btSoftBody_Config->m_vsequence
//attribute: ::btAlignedObjectArray<btSoftBody::ePSolver::_> btSoftBody_Config->m_psequence
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::ePSolver::_> btSoftBody_Config->m_psequence
//attribute: ::btAlignedObjectArray<btSoftBody::ePSolver::_> btSoftBody_Config->m_dsequence
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::ePSolver::_> btSoftBody_Config->m_dsequence

// ::btSoftBody::Element
//constructor: Element  ( ::btSoftBody::Element::* )(  ) 
void* btSoftBody_Element_new() {
	::btSoftBody::Element *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Element),16);
	o = new (mem)::btSoftBody::Element();
	return (void*)o;
}
void btSoftBody_Element_free(void *c) {
	::btSoftBody::Element *o = (::btSoftBody::Element*)c;
	delete o;
}
//attribute: void * btSoftBody_Element->m_tag
// attribute not supported: //attribute: void * btSoftBody_Element->m_tag

// ::btSoftBody::Face
//constructor: Face  ( ::btSoftBody::Face::* )(  ) 
void* btSoftBody_Face_new() {
	::btSoftBody::Face *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Face),16);
	o = new (mem)::btSoftBody::Face();
	return (void*)o;
}
void btSoftBody_Face_free(void *c) {
	::btSoftBody::Face *o = (::btSoftBody::Face*)c;
	delete o;
}
//attribute: ::btSoftBody::Node *[3] btSoftBody_Face->m_n
// attribute not supported: //attribute: ::btSoftBody::Node *[3] btSoftBody_Face->m_n
//attribute: ::btVector3 btSoftBody_Face->m_normal
void btSoftBody_Face_m_normal_set(void *c,float* a) {
	::btSoftBody::Face *o = (::btSoftBody::Face*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_normal = ta;
}
void btSoftBody_Face_m_normal_get(void *c,float* a) {
	::btSoftBody::Face *o = (::btSoftBody::Face*)c;
	a[0]=(o->m_normal).m_floats[0];a[1]=(o->m_normal).m_floats[1];a[2]=(o->m_normal).m_floats[2];
}

//attribute: ::btScalar btSoftBody_Face->m_ra
void btSoftBody_Face_m_ra_set(void *c,float a) {
	::btSoftBody::Face *o = (::btSoftBody::Face*)c;
	o->m_ra = a;
}
float btSoftBody_Face_m_ra_get(void *c) {
	::btSoftBody::Face *o = (::btSoftBody::Face*)c;
	return (float)(o->m_ra);
}

//attribute: ::btDbvtNode * btSoftBody_Face->m_leaf
void btSoftBody_Face_m_leaf_set(void *c,void* a) {
	::btSoftBody::Face *o = (::btSoftBody::Face*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->m_leaf = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btSoftBody_Face->m_leaf

// ::btSoftBody::Feature
//constructor: Feature  ( ::btSoftBody::Feature::* )(  ) 
void* btSoftBody_Feature_new() {
	::btSoftBody::Feature *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Feature),16);
	o = new (mem)::btSoftBody::Feature();
	return (void*)o;
}
void btSoftBody_Feature_free(void *c) {
	::btSoftBody::Feature *o = (::btSoftBody::Feature*)c;
	delete o;
}
//attribute: ::btSoftBody::Material * btSoftBody_Feature->m_material
void btSoftBody_Feature_m_material_set(void *c,void* a) {
	::btSoftBody::Feature *o = (::btSoftBody::Feature*)c;
	::btSoftBody::Material * ta = (::btSoftBody::Material *)a;
	o->m_material = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::Material * btSoftBody_Feature->m_material

// ::btSoftBody::AJoint::IControl
//constructor: IControl  ( ::btSoftBody::AJoint::IControl::* )(  ) 
void* btSoftBody_AJoint_IControl_new() {
	::btSoftBody::AJoint::IControl *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::AJoint::IControl),16);
	o = new (mem)::btSoftBody::AJoint::IControl();
	return (void*)o;
}
void btSoftBody_AJoint_IControl_free(void *c) {
	::btSoftBody::AJoint::IControl *o = (::btSoftBody::AJoint::IControl*)c;
	delete o;
}
//method: Default ::btSoftBody::AJoint::IControl * (*)(  )
void* btSoftBody_AJoint_IControl_Default() {
	void* retVal = (void*) ::btSoftBody::AJoint::IControl::Default();
	return retVal;
}
//method: Speed ::btScalar ( ::btSoftBody::AJoint::IControl::* )( ::btSoftBody::AJoint *,::btScalar ) 
float btSoftBody_AJoint_IControl_Speed(void *c,void* p0,float p1) {
	::btSoftBody::AJoint::IControl *o = (::btSoftBody::AJoint::IControl*)c;
	::btSoftBody::AJoint * tp0 = (::btSoftBody::AJoint *)p0;
	float retVal = (float)o->Speed(tp0,p1);
	return retVal;
}
//method: Prepare void ( ::btSoftBody::AJoint::IControl::* )( ::btSoftBody::AJoint * ) 
void btSoftBody_AJoint_IControl_Prepare(void *c,void* p0) {
	::btSoftBody::AJoint::IControl *o = (::btSoftBody::AJoint::IControl*)c;
	::btSoftBody::AJoint * tp0 = (::btSoftBody::AJoint *)p0;
	o->Prepare(tp0);
}

// ::btSoftBody::ImplicitFn
//method: Eval ::btScalar ( ::btSoftBody::ImplicitFn::* )( ::btVector3 const & ) 
float btSoftBody_ImplicitFn_Eval(void *c,float* p0) {
	::btSoftBody::ImplicitFn *o = (::btSoftBody::ImplicitFn*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	float retVal = (float)o->Eval(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}

// ::btSoftBody::Impulse
//constructor: Impulse  ( ::btSoftBody::Impulse::* )(  ) 
void* btSoftBody_Impulse_new() {
	::btSoftBody::Impulse *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Impulse),16);
	o = new (mem)::btSoftBody::Impulse();
	return (void*)o;
}
void btSoftBody_Impulse_free(void *c) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	delete o;
}
//attribute: int btSoftBody_Impulse->m_asDrift
void btSoftBody_Impulse_m_asDrift_set(void *c,int a) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	o->m_asDrift = a;
}
int btSoftBody_Impulse_m_asDrift_get(void *c) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	return (int)(o->m_asDrift);
}

//attribute: int btSoftBody_Impulse->m_asVelocity
void btSoftBody_Impulse_m_asVelocity_set(void *c,int a) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	o->m_asVelocity = a;
}
int btSoftBody_Impulse_m_asVelocity_get(void *c) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	return (int)(o->m_asVelocity);
}

//attribute: ::btVector3 btSoftBody_Impulse->m_drift
void btSoftBody_Impulse_m_drift_set(void *c,float* a) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_drift = ta;
}
void btSoftBody_Impulse_m_drift_get(void *c,float* a) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	a[0]=(o->m_drift).m_floats[0];a[1]=(o->m_drift).m_floats[1];a[2]=(o->m_drift).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_Impulse->m_velocity
void btSoftBody_Impulse_m_velocity_set(void *c,float* a) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_velocity = ta;
}
void btSoftBody_Impulse_m_velocity_get(void *c,float* a) {
	::btSoftBody::Impulse *o = (::btSoftBody::Impulse*)c;
	a[0]=(o->m_velocity).m_floats[0];a[1]=(o->m_velocity).m_floats[1];a[2]=(o->m_velocity).m_floats[2];
}


// ::btSoftBody::Joint
//method: Terminate void ( ::btSoftBody::Joint::* )( ::btScalar ) 
void btSoftBody_Joint_Terminate(void *c,float p0) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	o->Terminate(p0);
}
//not supported method: Type ::btSoftBody::Joint::eType::_ ( ::btSoftBody::Joint::* )(  ) const
//method: Solve void ( ::btSoftBody::Joint::* )( ::btScalar,::btScalar ) 
void btSoftBody_Joint_Solve(void *c,float p0,float p1) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	o->Solve(p0,p1);
}
//method: Prepare void ( ::btSoftBody::Joint::* )( ::btScalar,int ) 
void btSoftBody_Joint_Prepare(void *c,float p0,int p1) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	o->Prepare(p0,p1);
}
//attribute: ::btSoftBody::Body[2] btSoftBody_Joint->m_bodies
// attribute not supported: //attribute: ::btSoftBody::Body[2] btSoftBody_Joint->m_bodies
//attribute: ::btVector3[2] btSoftBody_Joint->m_refs
// attribute not supported: //attribute: ::btVector3[2] btSoftBody_Joint->m_refs
//attribute: ::btScalar btSoftBody_Joint->m_cfm
void btSoftBody_Joint_m_cfm_set(void *c,float a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	o->m_cfm = a;
}
float btSoftBody_Joint_m_cfm_get(void *c) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	return (float)(o->m_cfm);
}

//attribute: ::btScalar btSoftBody_Joint->m_erp
void btSoftBody_Joint_m_erp_set(void *c,float a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	o->m_erp = a;
}
float btSoftBody_Joint_m_erp_get(void *c) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	return (float)(o->m_erp);
}

//attribute: ::btScalar btSoftBody_Joint->m_split
void btSoftBody_Joint_m_split_set(void *c,float a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	o->m_split = a;
}
float btSoftBody_Joint_m_split_get(void *c) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	return (float)(o->m_split);
}

//attribute: ::btVector3 btSoftBody_Joint->m_drift
void btSoftBody_Joint_m_drift_set(void *c,float* a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_drift = ta;
}
void btSoftBody_Joint_m_drift_get(void *c,float* a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	a[0]=(o->m_drift).m_floats[0];a[1]=(o->m_drift).m_floats[1];a[2]=(o->m_drift).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_Joint->m_sdrift
void btSoftBody_Joint_m_sdrift_set(void *c,float* a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_sdrift = ta;
}
void btSoftBody_Joint_m_sdrift_get(void *c,float* a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	a[0]=(o->m_sdrift).m_floats[0];a[1]=(o->m_sdrift).m_floats[1];a[2]=(o->m_sdrift).m_floats[2];
}

//attribute: ::btMatrix3x3 btSoftBody_Joint->m_massmatrix
void btSoftBody_Joint_m_massmatrix_set(void *c,float* a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_massmatrix = ta;
}
void btSoftBody_Joint_m_massmatrix_get(void *c,float* a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	a[0]=(o->m_massmatrix).getRow(0).m_floats[0];a[1]=(o->m_massmatrix).getRow(0).m_floats[1];a[2]=(o->m_massmatrix).getRow(0).m_floats[2];a[3]=(o->m_massmatrix).getRow(1).m_floats[0];a[4]=(o->m_massmatrix).getRow(1).m_floats[1];a[5]=(o->m_massmatrix).getRow(1).m_floats[2];a[6]=(o->m_massmatrix).getRow(2).m_floats[0];a[7]=(o->m_massmatrix).getRow(2).m_floats[1];a[8]=(o->m_massmatrix).getRow(2).m_floats[2];
}

//attribute: bool btSoftBody_Joint->m_delete
void btSoftBody_Joint_m_delete_set(void *c,int a) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	o->m_delete = a;
}
int btSoftBody_Joint_m_delete_get(void *c) {
	::btSoftBody::Joint *o = (::btSoftBody::Joint*)c;
	return (int)(o->m_delete);
}


// ::btSoftBody::LJoint
//constructor: LJoint  ( ::btSoftBody::LJoint::* )(  ) 
void* btSoftBody_LJoint_new() {
	::btSoftBody::LJoint *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::LJoint),16);
	o = new (mem)::btSoftBody::LJoint();
	return (void*)o;
}
void btSoftBody_LJoint_free(void *c) {
	::btSoftBody::LJoint *o = (::btSoftBody::LJoint*)c;
	delete o;
}
//method: Terminate void ( ::btSoftBody::LJoint::* )( ::btScalar ) 
void btSoftBody_LJoint_Terminate(void *c,float p0) {
	::btSoftBody::LJoint *o = (::btSoftBody::LJoint*)c;
	o->Terminate(p0);
}
//not supported method: Type ::btSoftBody::Joint::eType::_ ( ::btSoftBody::LJoint::* )(  ) const
//method: Solve void ( ::btSoftBody::LJoint::* )( ::btScalar,::btScalar ) 
void btSoftBody_LJoint_Solve(void *c,float p0,float p1) {
	::btSoftBody::LJoint *o = (::btSoftBody::LJoint*)c;
	o->Solve(p0,p1);
}
//method: Prepare void ( ::btSoftBody::LJoint::* )( ::btScalar,int ) 
void btSoftBody_LJoint_Prepare(void *c,float p0,int p1) {
	::btSoftBody::LJoint *o = (::btSoftBody::LJoint*)c;
	o->Prepare(p0,p1);
}
//attribute: ::btVector3[2] btSoftBody_LJoint->m_rpos
// attribute not supported: //attribute: ::btVector3[2] btSoftBody_LJoint->m_rpos

// ::btSoftBody::Link
//constructor: Link  ( ::btSoftBody::Link::* )(  ) 
void* btSoftBody_Link_new() {
	::btSoftBody::Link *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Link),16);
	o = new (mem)::btSoftBody::Link();
	return (void*)o;
}
void btSoftBody_Link_free(void *c) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	delete o;
}
//attribute: ::btSoftBody::Node *[2] btSoftBody_Link->m_n
// attribute not supported: //attribute: ::btSoftBody::Node *[2] btSoftBody_Link->m_n
//attribute: ::btScalar btSoftBody_Link->m_rl
void btSoftBody_Link_m_rl_set(void *c,float a) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	o->m_rl = a;
}
float btSoftBody_Link_m_rl_get(void *c) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	return (float)(o->m_rl);
}

//attribute: int btSoftBody_Link->m_bbending
void btSoftBody_Link_m_bbending_set(void *c,int a) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	o->m_bbending = a;
}
int btSoftBody_Link_m_bbending_get(void *c) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	return (int)(o->m_bbending);
}

//attribute: ::btScalar btSoftBody_Link->m_c0
void btSoftBody_Link_m_c0_set(void *c,float a) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	o->m_c0 = a;
}
float btSoftBody_Link_m_c0_get(void *c) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	return (float)(o->m_c0);
}

//attribute: ::btScalar btSoftBody_Link->m_c1
void btSoftBody_Link_m_c1_set(void *c,float a) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	o->m_c1 = a;
}
float btSoftBody_Link_m_c1_get(void *c) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	return (float)(o->m_c1);
}

//attribute: ::btScalar btSoftBody_Link->m_c2
void btSoftBody_Link_m_c2_set(void *c,float a) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	o->m_c2 = a;
}
float btSoftBody_Link_m_c2_get(void *c) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	return (float)(o->m_c2);
}

//attribute: ::btVector3 btSoftBody_Link->m_c3
void btSoftBody_Link_m_c3_set(void *c,float* a) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_c3 = ta;
}
void btSoftBody_Link_m_c3_get(void *c,float* a) {
	::btSoftBody::Link *o = (::btSoftBody::Link*)c;
	a[0]=(o->m_c3).m_floats[0];a[1]=(o->m_c3).m_floats[1];a[2]=(o->m_c3).m_floats[2];
}


// ::btSoftBody::Material
//constructor: Material  ( ::btSoftBody::Material::* )(  ) 
void* btSoftBody_Material_new() {
	::btSoftBody::Material *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Material),16);
	o = new (mem)::btSoftBody::Material();
	return (void*)o;
}
void btSoftBody_Material_free(void *c) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	delete o;
}
//attribute: int btSoftBody_Material->m_flags
void btSoftBody_Material_m_flags_set(void *c,int a) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	o->m_flags = a;
}
int btSoftBody_Material_m_flags_get(void *c) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	return (int)(o->m_flags);
}

//attribute: ::btScalar btSoftBody_Material->m_kAST
void btSoftBody_Material_m_kAST_set(void *c,float a) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	o->m_kAST = a;
}
float btSoftBody_Material_m_kAST_get(void *c) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	return (float)(o->m_kAST);
}

//attribute: ::btScalar btSoftBody_Material->m_kLST
void btSoftBody_Material_m_kLST_set(void *c,float a) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	o->m_kLST = a;
}
float btSoftBody_Material_m_kLST_get(void *c) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	return (float)(o->m_kLST);
}

//attribute: ::btScalar btSoftBody_Material->m_kVST
void btSoftBody_Material_m_kVST_set(void *c,float a) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	o->m_kVST = a;
}
float btSoftBody_Material_m_kVST_get(void *c) {
	::btSoftBody::Material *o = (::btSoftBody::Material*)c;
	return (float)(o->m_kVST);
}


// ::btSoftBody::Node
//constructor: Node  ( ::btSoftBody::Node::* )(  ) 
void* btSoftBody_Node_new() {
	::btSoftBody::Node *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Node),16);
	o = new (mem)::btSoftBody::Node();
	return (void*)o;
}
void btSoftBody_Node_free(void *c) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	delete o;
}
//attribute: ::btScalar btSoftBody_Node->m_area
void btSoftBody_Node_m_area_set(void *c,float a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	o->m_area = a;
}
float btSoftBody_Node_m_area_get(void *c) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	return (float)(o->m_area);
}

//attribute: int btSoftBody_Node->m_battach
void btSoftBody_Node_m_battach_set(void *c,int a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	o->m_battach = a;
}
int btSoftBody_Node_m_battach_get(void *c) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	return (int)(o->m_battach);
}

//attribute: ::btVector3 btSoftBody_Node->m_f
void btSoftBody_Node_m_f_set(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_f = ta;
}
void btSoftBody_Node_m_f_get(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	a[0]=(o->m_f).m_floats[0];a[1]=(o->m_f).m_floats[1];a[2]=(o->m_f).m_floats[2];
}

//attribute: ::btScalar btSoftBody_Node->m_im
void btSoftBody_Node_m_im_set(void *c,float a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	o->m_im = a;
}
float btSoftBody_Node_m_im_get(void *c) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	return (float)(o->m_im);
}

//attribute: ::btDbvtNode * btSoftBody_Node->m_leaf
void btSoftBody_Node_m_leaf_set(void *c,void* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->m_leaf = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btSoftBody_Node->m_leaf
//attribute: ::btVector3 btSoftBody_Node->m_n
void btSoftBody_Node_m_n_set(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_n = ta;
}
void btSoftBody_Node_m_n_get(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	a[0]=(o->m_n).m_floats[0];a[1]=(o->m_n).m_floats[1];a[2]=(o->m_n).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_Node->m_q
void btSoftBody_Node_m_q_set(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_q = ta;
}
void btSoftBody_Node_m_q_get(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	a[0]=(o->m_q).m_floats[0];a[1]=(o->m_q).m_floats[1];a[2]=(o->m_q).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_Node->m_v
void btSoftBody_Node_m_v_set(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_v = ta;
}
void btSoftBody_Node_m_v_get(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	a[0]=(o->m_v).m_floats[0];a[1]=(o->m_v).m_floats[1];a[2]=(o->m_v).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_Node->m_x
void btSoftBody_Node_m_x_set(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_x = ta;
}
void btSoftBody_Node_m_x_get(void *c,float* a) {
	::btSoftBody::Node *o = (::btSoftBody::Node*)c;
	a[0]=(o->m_x).m_floats[0];a[1]=(o->m_x).m_floats[1];a[2]=(o->m_x).m_floats[2];
}


// ::btSoftBody::Note
//constructor: Note  ( ::btSoftBody::Note::* )(  ) 
void* btSoftBody_Note_new() {
	::btSoftBody::Note *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Note),16);
	o = new (mem)::btSoftBody::Note();
	return (void*)o;
}
void btSoftBody_Note_free(void *c) {
	::btSoftBody::Note *o = (::btSoftBody::Note*)c;
	delete o;
}
//attribute: char const * btSoftBody_Note->m_text
void btSoftBody_Note_m_text_set(void *c,char const * a) {
	::btSoftBody::Note *o = (::btSoftBody::Note*)c;
	o->m_text = a;
}
char const * btSoftBody_Note_m_text_get(void *c) {
	::btSoftBody::Note *o = (::btSoftBody::Note*)c;
	return (char const *)(o->m_text);
}

//attribute: ::btVector3 btSoftBody_Note->m_offset
void btSoftBody_Note_m_offset_set(void *c,float* a) {
	::btSoftBody::Note *o = (::btSoftBody::Note*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_offset = ta;
}
void btSoftBody_Note_m_offset_get(void *c,float* a) {
	::btSoftBody::Note *o = (::btSoftBody::Note*)c;
	a[0]=(o->m_offset).m_floats[0];a[1]=(o->m_offset).m_floats[1];a[2]=(o->m_offset).m_floats[2];
}

//attribute: int btSoftBody_Note->m_rank
void btSoftBody_Note_m_rank_set(void *c,int a) {
	::btSoftBody::Note *o = (::btSoftBody::Note*)c;
	o->m_rank = a;
}
int btSoftBody_Note_m_rank_get(void *c) {
	::btSoftBody::Note *o = (::btSoftBody::Note*)c;
	return (int)(o->m_rank);
}

//attribute: ::btSoftBody::Node *[4] btSoftBody_Note->m_nodes
// attribute not supported: //attribute: ::btSoftBody::Node *[4] btSoftBody_Note->m_nodes
//attribute: ::btScalar[4] btSoftBody_Note->m_coords
// attribute not supported: //attribute: ::btScalar[4] btSoftBody_Note->m_coords

// ::btSoftBody::Pose
//constructor: Pose  ( ::btSoftBody::Pose::* )(  ) 
void* btSoftBody_Pose_new() {
	::btSoftBody::Pose *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Pose),16);
	o = new (mem)::btSoftBody::Pose();
	return (void*)o;
}
void btSoftBody_Pose_free(void *c) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	delete o;
}
//attribute: bool btSoftBody_Pose->m_bvolume
void btSoftBody_Pose_m_bvolume_set(void *c,int a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	o->m_bvolume = a;
}
int btSoftBody_Pose_m_bvolume_get(void *c) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	return (int)(o->m_bvolume);
}

//attribute: bool btSoftBody_Pose->m_bframe
void btSoftBody_Pose_m_bframe_set(void *c,int a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	o->m_bframe = a;
}
int btSoftBody_Pose_m_bframe_get(void *c) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	return (int)(o->m_bframe);
}

//attribute: ::btScalar btSoftBody_Pose->m_volume
void btSoftBody_Pose_m_volume_set(void *c,float a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	o->m_volume = a;
}
float btSoftBody_Pose_m_volume_get(void *c) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	return (float)(o->m_volume);
}

//attribute: ::btAlignedObjectArray<btVector3> btSoftBody_Pose->m_pos
// attribute not supported: //attribute: ::btAlignedObjectArray<btVector3> btSoftBody_Pose->m_pos
//attribute: ::btAlignedObjectArray<float> btSoftBody_Pose->m_wgh
// attribute not supported: //attribute: ::btAlignedObjectArray<float> btSoftBody_Pose->m_wgh
//attribute: ::btVector3 btSoftBody_Pose->m_com
void btSoftBody_Pose_m_com_set(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_com = ta;
}
void btSoftBody_Pose_m_com_get(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	a[0]=(o->m_com).m_floats[0];a[1]=(o->m_com).m_floats[1];a[2]=(o->m_com).m_floats[2];
}

//attribute: ::btMatrix3x3 btSoftBody_Pose->m_rot
void btSoftBody_Pose_m_rot_set(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_rot = ta;
}
void btSoftBody_Pose_m_rot_get(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	a[0]=(o->m_rot).getRow(0).m_floats[0];a[1]=(o->m_rot).getRow(0).m_floats[1];a[2]=(o->m_rot).getRow(0).m_floats[2];a[3]=(o->m_rot).getRow(1).m_floats[0];a[4]=(o->m_rot).getRow(1).m_floats[1];a[5]=(o->m_rot).getRow(1).m_floats[2];a[6]=(o->m_rot).getRow(2).m_floats[0];a[7]=(o->m_rot).getRow(2).m_floats[1];a[8]=(o->m_rot).getRow(2).m_floats[2];
}

//attribute: ::btMatrix3x3 btSoftBody_Pose->m_scl
void btSoftBody_Pose_m_scl_set(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_scl = ta;
}
void btSoftBody_Pose_m_scl_get(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	a[0]=(o->m_scl).getRow(0).m_floats[0];a[1]=(o->m_scl).getRow(0).m_floats[1];a[2]=(o->m_scl).getRow(0).m_floats[2];a[3]=(o->m_scl).getRow(1).m_floats[0];a[4]=(o->m_scl).getRow(1).m_floats[1];a[5]=(o->m_scl).getRow(1).m_floats[2];a[6]=(o->m_scl).getRow(2).m_floats[0];a[7]=(o->m_scl).getRow(2).m_floats[1];a[8]=(o->m_scl).getRow(2).m_floats[2];
}

//attribute: ::btMatrix3x3 btSoftBody_Pose->m_aqq
void btSoftBody_Pose_m_aqq_set(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_aqq = ta;
}
void btSoftBody_Pose_m_aqq_get(void *c,float* a) {
	::btSoftBody::Pose *o = (::btSoftBody::Pose*)c;
	a[0]=(o->m_aqq).getRow(0).m_floats[0];a[1]=(o->m_aqq).getRow(0).m_floats[1];a[2]=(o->m_aqq).getRow(0).m_floats[2];a[3]=(o->m_aqq).getRow(1).m_floats[0];a[4]=(o->m_aqq).getRow(1).m_floats[1];a[5]=(o->m_aqq).getRow(1).m_floats[2];a[6]=(o->m_aqq).getRow(2).m_floats[0];a[7]=(o->m_aqq).getRow(2).m_floats[1];a[8]=(o->m_aqq).getRow(2).m_floats[2];
}


// ::btSoftBody::RContact
//constructor: RContact  ( ::btSoftBody::RContact::* )(  ) 
void* btSoftBody_RContact_new() {
	::btSoftBody::RContact *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::RContact),16);
	o = new (mem)::btSoftBody::RContact();
	return (void*)o;
}
void btSoftBody_RContact_free(void *c) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	delete o;
}
//attribute: ::btSoftBody::sCti btSoftBody_RContact->m_cti
// attribute not supported: //attribute: ::btSoftBody::sCti btSoftBody_RContact->m_cti
//attribute: ::btSoftBody::Node * btSoftBody_RContact->m_node
void btSoftBody_RContact_m_node_set(void *c,void* a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	::btSoftBody::Node * ta = (::btSoftBody::Node *)a;
	o->m_node = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::Node * btSoftBody_RContact->m_node
//attribute: ::btMatrix3x3 btSoftBody_RContact->m_c0
void btSoftBody_RContact_m_c0_set(void *c,float* a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_c0 = ta;
}
void btSoftBody_RContact_m_c0_get(void *c,float* a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	a[0]=(o->m_c0).getRow(0).m_floats[0];a[1]=(o->m_c0).getRow(0).m_floats[1];a[2]=(o->m_c0).getRow(0).m_floats[2];a[3]=(o->m_c0).getRow(1).m_floats[0];a[4]=(o->m_c0).getRow(1).m_floats[1];a[5]=(o->m_c0).getRow(1).m_floats[2];a[6]=(o->m_c0).getRow(2).m_floats[0];a[7]=(o->m_c0).getRow(2).m_floats[1];a[8]=(o->m_c0).getRow(2).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_RContact->m_c1
void btSoftBody_RContact_m_c1_set(void *c,float* a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_c1 = ta;
}
void btSoftBody_RContact_m_c1_get(void *c,float* a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	a[0]=(o->m_c1).m_floats[0];a[1]=(o->m_c1).m_floats[1];a[2]=(o->m_c1).m_floats[2];
}

//attribute: ::btScalar btSoftBody_RContact->m_c2
void btSoftBody_RContact_m_c2_set(void *c,float a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	o->m_c2 = a;
}
float btSoftBody_RContact_m_c2_get(void *c) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	return (float)(o->m_c2);
}

//attribute: ::btScalar btSoftBody_RContact->m_c3
void btSoftBody_RContact_m_c3_set(void *c,float a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	o->m_c3 = a;
}
float btSoftBody_RContact_m_c3_get(void *c) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	return (float)(o->m_c3);
}

//attribute: ::btScalar btSoftBody_RContact->m_c4
void btSoftBody_RContact_m_c4_set(void *c,float a) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	o->m_c4 = a;
}
float btSoftBody_RContact_m_c4_get(void *c) {
	::btSoftBody::RContact *o = (::btSoftBody::RContact*)c;
	return (float)(o->m_c4);
}


// ::btSoftBody::RayFromToCaster
//constructor: RayFromToCaster  ( ::btSoftBody::RayFromToCaster::* )( ::btVector3 const &,::btVector3 const &,::btScalar ) 
void* btSoftBody_RayFromToCaster_new(float* p0,float* p1,float p2) {
	::btSoftBody::RayFromToCaster *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	mem = btAlignedAlloc(sizeof(::btSoftBody::RayFromToCaster),16);
	o = new (mem)::btSoftBody::RayFromToCaster(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void btSoftBody_RayFromToCaster_free(void *c) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	delete o;
}
//method: Process void ( ::btSoftBody::RayFromToCaster::* )( ::btDbvtNode const * ) 
void btSoftBody_RayFromToCaster_Process(void *c,void* p0) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	o->Process(tp0);
}
//attribute: ::btVector3 btSoftBody_RayFromToCaster->m_rayFrom
void btSoftBody_RayFromToCaster_m_rayFrom_set(void *c,float* a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayFrom = ta;
}
void btSoftBody_RayFromToCaster_m_rayFrom_get(void *c,float* a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	a[0]=(o->m_rayFrom).m_floats[0];a[1]=(o->m_rayFrom).m_floats[1];a[2]=(o->m_rayFrom).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_RayFromToCaster->m_rayTo
void btSoftBody_RayFromToCaster_m_rayTo_set(void *c,float* a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayTo = ta;
}
void btSoftBody_RayFromToCaster_m_rayTo_get(void *c,float* a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	a[0]=(o->m_rayTo).m_floats[0];a[1]=(o->m_rayTo).m_floats[1];a[2]=(o->m_rayTo).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_RayFromToCaster->m_rayNormalizedDirection
void btSoftBody_RayFromToCaster_m_rayNormalizedDirection_set(void *c,float* a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayNormalizedDirection = ta;
}
void btSoftBody_RayFromToCaster_m_rayNormalizedDirection_get(void *c,float* a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	a[0]=(o->m_rayNormalizedDirection).m_floats[0];a[1]=(o->m_rayNormalizedDirection).m_floats[1];a[2]=(o->m_rayNormalizedDirection).m_floats[2];
}

//attribute: ::btScalar btSoftBody_RayFromToCaster->m_mint
void btSoftBody_RayFromToCaster_m_mint_set(void *c,float a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	o->m_mint = a;
}
float btSoftBody_RayFromToCaster_m_mint_get(void *c) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	return (float)(o->m_mint);
}

//attribute: ::btSoftBody::Face * btSoftBody_RayFromToCaster->m_face
void btSoftBody_RayFromToCaster_m_face_set(void *c,void* a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	::btSoftBody::Face * ta = (::btSoftBody::Face *)a;
	o->m_face = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::Face * btSoftBody_RayFromToCaster->m_face
//attribute: int btSoftBody_RayFromToCaster->m_tests
void btSoftBody_RayFromToCaster_m_tests_set(void *c,int a) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	o->m_tests = a;
}
int btSoftBody_RayFromToCaster_m_tests_get(void *c) {
	::btSoftBody::RayFromToCaster *o = (::btSoftBody::RayFromToCaster*)c;
	return (int)(o->m_tests);
}


// ::btSoftBody::SContact
//constructor: SContact  ( ::btSoftBody::SContact::* )(  ) 
void* btSoftBody_SContact_new() {
	::btSoftBody::SContact *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::SContact),16);
	o = new (mem)::btSoftBody::SContact();
	return (void*)o;
}
void btSoftBody_SContact_free(void *c) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	delete o;
}
//attribute: ::btSoftBody::Node * btSoftBody_SContact->m_node
void btSoftBody_SContact_m_node_set(void *c,void* a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	::btSoftBody::Node * ta = (::btSoftBody::Node *)a;
	o->m_node = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::Node * btSoftBody_SContact->m_node
//attribute: ::btSoftBody::Face * btSoftBody_SContact->m_face
void btSoftBody_SContact_m_face_set(void *c,void* a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	::btSoftBody::Face * ta = (::btSoftBody::Face *)a;
	o->m_face = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::Face * btSoftBody_SContact->m_face
//attribute: ::btVector3 btSoftBody_SContact->m_weights
void btSoftBody_SContact_m_weights_set(void *c,float* a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_weights = ta;
}
void btSoftBody_SContact_m_weights_get(void *c,float* a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	a[0]=(o->m_weights).m_floats[0];a[1]=(o->m_weights).m_floats[1];a[2]=(o->m_weights).m_floats[2];
}

//attribute: ::btVector3 btSoftBody_SContact->m_normal
void btSoftBody_SContact_m_normal_set(void *c,float* a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_normal = ta;
}
void btSoftBody_SContact_m_normal_get(void *c,float* a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	a[0]=(o->m_normal).m_floats[0];a[1]=(o->m_normal).m_floats[1];a[2]=(o->m_normal).m_floats[2];
}

//attribute: ::btScalar btSoftBody_SContact->m_margin
void btSoftBody_SContact_m_margin_set(void *c,float a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	o->m_margin = a;
}
float btSoftBody_SContact_m_margin_get(void *c) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	return (float)(o->m_margin);
}

//attribute: ::btScalar btSoftBody_SContact->m_friction
void btSoftBody_SContact_m_friction_set(void *c,float a) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	o->m_friction = a;
}
float btSoftBody_SContact_m_friction_get(void *c) {
	::btSoftBody::SContact *o = (::btSoftBody::SContact*)c;
	return (float)(o->m_friction);
}

//attribute: ::btScalar[2] btSoftBody_SContact->m_cfm
// attribute not supported: //attribute: ::btScalar[2] btSoftBody_SContact->m_cfm

// ::btSoftBody::SolverState
//constructor: SolverState  ( ::btSoftBody::SolverState::* )(  ) 
void* btSoftBody_SolverState_new() {
	::btSoftBody::SolverState *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::SolverState),16);
	o = new (mem)::btSoftBody::SolverState();
	return (void*)o;
}
void btSoftBody_SolverState_free(void *c) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	delete o;
}
//attribute: ::btScalar btSoftBody_SolverState->sdt
void btSoftBody_SolverState_sdt_set(void *c,float a) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	o->sdt = a;
}
float btSoftBody_SolverState_sdt_get(void *c) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	return (float)(o->sdt);
}

//attribute: ::btScalar btSoftBody_SolverState->isdt
void btSoftBody_SolverState_isdt_set(void *c,float a) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	o->isdt = a;
}
float btSoftBody_SolverState_isdt_get(void *c) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	return (float)(o->isdt);
}

//attribute: ::btScalar btSoftBody_SolverState->velmrg
void btSoftBody_SolverState_velmrg_set(void *c,float a) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	o->velmrg = a;
}
float btSoftBody_SolverState_velmrg_get(void *c) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	return (float)(o->velmrg);
}

//attribute: ::btScalar btSoftBody_SolverState->radmrg
void btSoftBody_SolverState_radmrg_set(void *c,float a) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	o->radmrg = a;
}
float btSoftBody_SolverState_radmrg_get(void *c) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	return (float)(o->radmrg);
}

//attribute: ::btScalar btSoftBody_SolverState->updmrg
void btSoftBody_SolverState_updmrg_set(void *c,float a) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	o->updmrg = a;
}
float btSoftBody_SolverState_updmrg_get(void *c) {
	::btSoftBody::SolverState *o = (::btSoftBody::SolverState*)c;
	return (float)(o->updmrg);
}


// ::btSoftBody::Joint::Specs
//constructor: Specs  ( ::btSoftBody::Joint::Specs::* )(  ) 
void* btSoftBody_Joint_Specs_new() {
	::btSoftBody::Joint::Specs *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Joint::Specs),16);
	o = new (mem)::btSoftBody::Joint::Specs();
	return (void*)o;
}
void btSoftBody_Joint_Specs_free(void *c) {
	::btSoftBody::Joint::Specs *o = (::btSoftBody::Joint::Specs*)c;
	delete o;
}
//attribute: ::btScalar btSoftBody_Joint_Specs->erp
void btSoftBody_Joint_Specs_erp_set(void *c,float a) {
	::btSoftBody::Joint::Specs *o = (::btSoftBody::Joint::Specs*)c;
	o->erp = a;
}
float btSoftBody_Joint_Specs_erp_get(void *c) {
	::btSoftBody::Joint::Specs *o = (::btSoftBody::Joint::Specs*)c;
	return (float)(o->erp);
}

//attribute: ::btScalar btSoftBody_Joint_Specs->cfm
void btSoftBody_Joint_Specs_cfm_set(void *c,float a) {
	::btSoftBody::Joint::Specs *o = (::btSoftBody::Joint::Specs*)c;
	o->cfm = a;
}
float btSoftBody_Joint_Specs_cfm_get(void *c) {
	::btSoftBody::Joint::Specs *o = (::btSoftBody::Joint::Specs*)c;
	return (float)(o->cfm);
}

//attribute: ::btScalar btSoftBody_Joint_Specs->split
void btSoftBody_Joint_Specs_split_set(void *c,float a) {
	::btSoftBody::Joint::Specs *o = (::btSoftBody::Joint::Specs*)c;
	o->split = a;
}
float btSoftBody_Joint_Specs_split_get(void *c) {
	::btSoftBody::Joint::Specs *o = (::btSoftBody::Joint::Specs*)c;
	return (float)(o->split);
}


// ::btSoftBody::LJoint::Specs
//constructor: Specs  ( ::btSoftBody::LJoint::Specs::* )(  ) 
void* btSoftBody_LJoint_Specs_new() {
	::btSoftBody::LJoint::Specs *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::LJoint::Specs),16);
	o = new (mem)::btSoftBody::LJoint::Specs();
	return (void*)o;
}
void btSoftBody_LJoint_Specs_free(void *c) {
	::btSoftBody::LJoint::Specs *o = (::btSoftBody::LJoint::Specs*)c;
	delete o;
}
//attribute: ::btVector3 btSoftBody_LJoint_Specs->position
void btSoftBody_LJoint_Specs_position_set(void *c,float* a) {
	::btSoftBody::LJoint::Specs *o = (::btSoftBody::LJoint::Specs*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->position = ta;
}
void btSoftBody_LJoint_Specs_position_get(void *c,float* a) {
	::btSoftBody::LJoint::Specs *o = (::btSoftBody::LJoint::Specs*)c;
	a[0]=(o->position).m_floats[0];a[1]=(o->position).m_floats[1];a[2]=(o->position).m_floats[2];
}


// ::btSoftBody::AJoint::Specs
//constructor: Specs  ( ::btSoftBody::AJoint::Specs::* )(  ) 
void* btSoftBody_AJoint_Specs_new() {
	::btSoftBody::AJoint::Specs *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::AJoint::Specs),16);
	o = new (mem)::btSoftBody::AJoint::Specs();
	return (void*)o;
}
void btSoftBody_AJoint_Specs_free(void *c) {
	::btSoftBody::AJoint::Specs *o = (::btSoftBody::AJoint::Specs*)c;
	delete o;
}
//attribute: ::btVector3 btSoftBody_AJoint_Specs->axis
void btSoftBody_AJoint_Specs_axis_set(void *c,float* a) {
	::btSoftBody::AJoint::Specs *o = (::btSoftBody::AJoint::Specs*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->axis = ta;
}
void btSoftBody_AJoint_Specs_axis_get(void *c,float* a) {
	::btSoftBody::AJoint::Specs *o = (::btSoftBody::AJoint::Specs*)c;
	a[0]=(o->axis).m_floats[0];a[1]=(o->axis).m_floats[1];a[2]=(o->axis).m_floats[2];
}

//attribute: ::btSoftBody::AJoint::IControl * btSoftBody_AJoint_Specs->icontrol
void btSoftBody_AJoint_Specs_icontrol_set(void *c,void* a) {
	::btSoftBody::AJoint::Specs *o = (::btSoftBody::AJoint::Specs*)c;
	::btSoftBody::AJoint::IControl * ta = (::btSoftBody::AJoint::IControl *)a;
	o->icontrol = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody::AJoint::IControl * btSoftBody_AJoint_Specs->icontrol

// ::btSoftBody::Tetra
//constructor: Tetra  ( ::btSoftBody::Tetra::* )(  ) 
void* btSoftBody_Tetra_new() {
	::btSoftBody::Tetra *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Tetra),16);
	o = new (mem)::btSoftBody::Tetra();
	return (void*)o;
}
void btSoftBody_Tetra_free(void *c) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	delete o;
}
//attribute: ::btSoftBody::Node *[4] btSoftBody_Tetra->m_n
// attribute not supported: //attribute: ::btSoftBody::Node *[4] btSoftBody_Tetra->m_n
//attribute: ::btScalar btSoftBody_Tetra->m_rv
void btSoftBody_Tetra_m_rv_set(void *c,float a) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	o->m_rv = a;
}
float btSoftBody_Tetra_m_rv_get(void *c) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	return (float)(o->m_rv);
}

//attribute: ::btDbvtNode * btSoftBody_Tetra->m_leaf
void btSoftBody_Tetra_m_leaf_set(void *c,void* a) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->m_leaf = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btSoftBody_Tetra->m_leaf
//attribute: ::btVector3[4] btSoftBody_Tetra->m_c0
// attribute not supported: //attribute: ::btVector3[4] btSoftBody_Tetra->m_c0
//attribute: ::btScalar btSoftBody_Tetra->m_c1
void btSoftBody_Tetra_m_c1_set(void *c,float a) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	o->m_c1 = a;
}
float btSoftBody_Tetra_m_c1_get(void *c) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	return (float)(o->m_c1);
}

//attribute: ::btScalar btSoftBody_Tetra->m_c2
void btSoftBody_Tetra_m_c2_set(void *c,float a) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	o->m_c2 = a;
}
float btSoftBody_Tetra_m_c2_get(void *c) {
	::btSoftBody::Tetra *o = (::btSoftBody::Tetra*)c;
	return (float)(o->m_c2);
}


// ::btSoftBody
//not supported constructor: btSoftBody  ( ::btSoftBody::* )( ::btSoftBodyWorldInfo *,int,::btVector3 const *,::btScalar const * ) 
//constructor: btSoftBody  ( ::btSoftBody::* )( ::btSoftBodyWorldInfo * ) 
void* btSoftBody_new1(void* p0) {
	::btSoftBody *o = 0;
	 void *mem = 0;
	::btSoftBodyWorldInfo * tp0 = (::btSoftBodyWorldInfo *)p0;
	mem = btAlignedAlloc(sizeof(::btSoftBody),16);
	o = new (mem)::btSoftBody(tp0);
	return (void*)o;
}
void btSoftBody_free(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	delete o;
}
//method: getVolume ::btScalar ( ::btSoftBody::* )(  ) const
float btSoftBody_getVolume(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	float retVal = (float)o->getVolume();
	return retVal;
}
//method: cutLink bool ( ::btSoftBody::* )( int,int,::btScalar ) 
int btSoftBody_cutLink(void *c,int p0,int p1,float p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->cutLink(p0,p1,p2);
	return retVal;
}
//method: cutLink bool ( ::btSoftBody::* )( int,int,::btScalar ) 
int btSoftBody_cutLink0(void *c,int p0,int p1,float p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->cutLink(p0,p1,p2);
	return retVal;
}
//method: cutLink bool ( ::btSoftBody::* )( ::btSoftBody::Node const *,::btSoftBody::Node const *,::btScalar ) 
int btSoftBody_cutLink1(void *c,void* p0,void* p1,float p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Node const * tp0 = (::btSoftBody::Node const *)p0;
	::btSoftBody::Node const * tp1 = (::btSoftBody::Node const *)p1;
	int retVal = (int)o->cutLink(tp0,tp1,p2);
	return retVal;
}
//method: PSolve_Links void (*)( ::btSoftBody *,::btScalar,::btScalar )
void btSoftBody_PSolve_Links(void* p0,float p1,float p2) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btSoftBody::PSolve_Links(tp0,p1,p2);
}
//method: generateClusters int ( ::btSoftBody::* )( int,int ) 
int btSoftBody_generateClusters(void *c,int p0,int p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->generateClusters(p0,p1);
	return retVal;
}
//method: setCollisionShape void ( ::btSoftBody::* )( ::btCollisionShape * ) 
void btSoftBody_setCollisionShape(void *c,void* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btCollisionShape * tp0 = (::btCollisionShape *)p0;
	o->setCollisionShape(tp0);
}
//method: initializeClusters void ( ::btSoftBody::* )(  ) 
void btSoftBody_initializeClusters(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->initializeClusters();
}
//method: clusterVAImpulse void (*)( ::btSoftBody::Cluster *,::btVector3 const & )
void btSoftBody_clusterVAImpulse(void* p0,float* p1) {
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::clusterVAImpulse(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: addForce void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_addForce(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addForce(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: addForce void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_addForce0(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addForce(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: addForce void ( ::btSoftBody::* )( ::btVector3 const &,int ) 
void btSoftBody_addForce1(void *c,float* p0,int p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addForce(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//not supported method: serialize char const * ( ::btSoftBody::* )( void *,::btSerializer * ) const
//method: updateBounds void ( ::btSoftBody::* )(  ) 
void btSoftBody_updateBounds(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->updateBounds();
}
//method: rotate void ( ::btSoftBody::* )( ::btQuaternion const & ) 
void btSoftBody_rotate(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btQuaternion tp0(p0[0],p0[1],p0[2],p0[3]);
	o->rotate(tp0);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
}
//method: releaseCluster void ( ::btSoftBody::* )( int ) 
void btSoftBody_releaseCluster(void *c,int p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->releaseCluster(p0);
}
//method: updateNormals void ( ::btSoftBody::* )(  ) 
void btSoftBody_updateNormals(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->updateNormals();
}
//method: prepareClusters void ( ::btSoftBody::* )( int ) 
void btSoftBody_prepareClusters(void *c,int p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->prepareClusters(p0);
}
//method: releaseClusters void ( ::btSoftBody::* )(  ) 
void btSoftBody_releaseClusters(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->releaseClusters();
}
//method: getTotalMass ::btScalar ( ::btSoftBody::* )(  ) const
float btSoftBody_getTotalMass(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	float retVal = (float)o->getTotalMass();
	return retVal;
}
//method: checkContact bool ( ::btSoftBody::* )( ::btCollisionObject *,::btVector3 const &,::btScalar,::btSoftBody::sCti & ) const
int btSoftBody_checkContact(void *c,void* p0,float* p1,float p2,void* p3) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::sCti & tp3 = *(::btSoftBody::sCti *)p3;
	int retVal = (int)o->checkContact(tp0,tp1,p2,tp3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return retVal;
}
//not supported method: indicesToPointers void ( ::btSoftBody::* )( int const * ) 
//method: clusterDImpulse void (*)( ::btSoftBody::Cluster *,::btVector3 const &,::btVector3 const & )
void btSoftBody_clusterDImpulse(void* p0,float* p1,float* p2) {
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btSoftBody::clusterDImpulse(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: initDefaults void ( ::btSoftBody::* )(  ) 
void btSoftBody_initDefaults(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->initDefaults();
}
//method: checkLink bool ( ::btSoftBody::* )( int,int ) const
int btSoftBody_checkLink(void *c,int p0,int p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->checkLink(p0,p1);
	return retVal;
}
//method: checkLink bool ( ::btSoftBody::* )( int,int ) const
int btSoftBody_checkLink0(void *c,int p0,int p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->checkLink(p0,p1);
	return retVal;
}
//method: checkLink bool ( ::btSoftBody::* )( ::btSoftBody::Node const *,::btSoftBody::Node const * ) const
int btSoftBody_checkLink1(void *c,void* p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Node const * tp0 = (::btSoftBody::Node const *)p0;
	::btSoftBody::Node const * tp1 = (::btSoftBody::Node const *)p1;
	int retVal = (int)o->checkLink(tp0,tp1);
	return retVal;
}
//method: setVolumeMass void ( ::btSoftBody::* )( ::btScalar ) 
void btSoftBody_setVolumeMass(void *c,float p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->setVolumeMass(p0);
}
//method: clusterImpulse void (*)( ::btSoftBody::Cluster *,::btVector3 const &,::btSoftBody::Impulse const & )
void btSoftBody_clusterImpulse(void* p0,float* p1,void* p2) {
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::Impulse const & tp2 = *(::btSoftBody::Impulse const *)p2;
	::btSoftBody::clusterImpulse(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: checkFace bool ( ::btSoftBody::* )( int,int,int ) const
int btSoftBody_checkFace(void *c,int p0,int p1,int p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->checkFace(p0,p1,p2);
	return retVal;
}
//method: evaluateCom ::btVector3 ( ::btSoftBody::* )(  ) const
void btSoftBody_evaluateCom(void *c,float* ret) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->evaluateCom();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: clusterDAImpulse void (*)( ::btSoftBody::Cluster *,::btVector3 const & )
void btSoftBody_clusterDAImpulse(void* p0,float* p1) {
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::clusterDAImpulse(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: VSolve_Links void (*)( ::btSoftBody *,::btScalar )
void btSoftBody_VSolve_Links(void* p0,float p1) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btSoftBody::VSolve_Links(tp0,p1);
}
//method: setTotalMass void ( ::btSoftBody::* )( ::btScalar,bool ) 
void btSoftBody_setTotalMass(void *c,float p0,int p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->setTotalMass(p0,p1);
}
//method: clusterDCImpulse void (*)( ::btSoftBody::Cluster *,::btVector3 const & )
void btSoftBody_clusterDCImpulse(void* p0,float* p1) {
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::clusterDCImpulse(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: clusterVelocity ::btVector3 (*)( ::btSoftBody::Cluster const *,::btVector3 const & )
void btSoftBody_clusterVelocity(void* p0,float* p1,float* ret) {
	::btSoftBody::Cluster const * tp0 = (::btSoftBody::Cluster const *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = ::btSoftBody::clusterVelocity(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: generateBendingConstraints int ( ::btSoftBody::* )( int,::btSoftBody::Material * ) 
int btSoftBody_generateBendingConstraints(void *c,int p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp1 = (::btSoftBody::Material *)p1;
	int retVal = (int)o->generateBendingConstraints(p0,tp1);
	return retVal;
}
//method: updateClusters void ( ::btSoftBody::* )(  ) 
void btSoftBody_updateClusters(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->updateClusters();
}
//method: appendAnchor void ( ::btSoftBody::* )( int,::btRigidBody *,bool,::btScalar ) 
void btSoftBody_appendAnchor(void *c,int p0,void* p1,int p2,float p3) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btRigidBody * tp1 = (::btRigidBody *)p1;
	o->appendAnchor(p0,tp1,p2,p3);
}
//method: appendAnchor void ( ::btSoftBody::* )( int,::btRigidBody *,bool,::btScalar ) 
void btSoftBody_appendAnchor0(void *c,int p0,void* p1,int p2,float p3) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btRigidBody * tp1 = (::btRigidBody *)p1;
	o->appendAnchor(p0,tp1,p2,p3);
}
//method: appendAnchor void ( ::btSoftBody::* )( int,::btRigidBody *,::btVector3 const &,bool,::btScalar ) 
void btSoftBody_appendAnchor1(void *c,int p0,void* p1,float* p2,int p3,float p4) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btRigidBody * tp1 = (::btRigidBody *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->appendAnchor(p0,tp1,tp2,p3,p4);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: applyClusters void ( ::btSoftBody::* )( bool ) 
void btSoftBody_applyClusters(void *c,int p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->applyClusters(p0);
}
//method: setVelocity void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_setVelocity(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: clusterCount int ( ::btSoftBody::* )(  ) const
int btSoftBody_clusterCount(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->clusterCount();
	return retVal;
}
//method: upcast ::btSoftBody const * (*)( ::btCollisionObject const * )
void* btSoftBody_upcast(void* p0) {
	::btCollisionObject const * tp0 = (::btCollisionObject const *)p0;
	void* retVal = (void*) ::btSoftBody::upcast(tp0);
	return retVal;
}
//method: upcast ::btSoftBody const * (*)( ::btCollisionObject const * )
void* btSoftBody_upcast0(void* p0) {
	::btCollisionObject const * tp0 = (::btCollisionObject const *)p0;
	void* retVal = (void*) ::btSoftBody::upcast(tp0);
	return retVal;
}
//method: upcast ::btSoftBody * (*)( ::btCollisionObject * )
void* btSoftBody_upcast1(void* p0) {
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	void* retVal = (void*) ::btSoftBody::upcast(tp0);
	return retVal;
}
//method: getWindVelocity ::btVector3 const & ( ::btSoftBody::* )(  ) 
void btSoftBody_getWindVelocity(void *c,float* ret) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getWindVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: predictMotion void ( ::btSoftBody::* )( ::btScalar ) 
void btSoftBody_predictMotion(void *c,float p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->predictMotion(p0);
}
//method: pointersToIndices void ( ::btSoftBody::* )(  ) 
void btSoftBody_pointersToIndices(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->pointersToIndices();
}
//method: getMass ::btScalar ( ::btSoftBody::* )( int ) const
float btSoftBody_getMass(void *c,int p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	float retVal = (float)o->getMass(p0);
	return retVal;
}
//method: PSolve_RContacts void (*)( ::btSoftBody *,::btScalar,::btScalar )
void btSoftBody_PSolve_RContacts(void* p0,float p1,float p2) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btSoftBody::PSolve_RContacts(tp0,p1,p2);
}
//method: initializeFaceTree void ( ::btSoftBody::* )(  ) 
void btSoftBody_initializeFaceTree(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->initializeFaceTree();
}
//method: addVelocity void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_addVelocity(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: addVelocity void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_addVelocity0(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: addVelocity void ( ::btSoftBody::* )( ::btVector3 const &,int ) 
void btSoftBody_addVelocity1(void *c,float* p0,int p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addVelocity(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: PSolve_Anchors void (*)( ::btSoftBody *,::btScalar,::btScalar )
void btSoftBody_PSolve_Anchors(void* p0,float p1,float p2) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btSoftBody::PSolve_Anchors(tp0,p1,p2);
}
//method: cleanupClusters void ( ::btSoftBody::* )(  ) 
void btSoftBody_cleanupClusters(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->cleanupClusters();
}
//method: transform void ( ::btSoftBody::* )( ::btTransform const & ) 
void btSoftBody_transform(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->transform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//not supported method: appendLinearJoint void ( ::btSoftBody::* )( ::btSoftBody::LJoint::Specs const &,::btSoftBody::Cluster *,::btSoftBody::Body ) 
//not supported method: appendLinearJoint void ( ::btSoftBody::* )( ::btSoftBody::LJoint::Specs const &,::btSoftBody::Cluster *,::btSoftBody::Body ) 
//not supported method: appendLinearJoint void ( ::btSoftBody::* )( ::btSoftBody::LJoint::Specs const &,::btSoftBody::Body ) 
//method: appendLinearJoint void ( ::btSoftBody::* )( ::btSoftBody::LJoint::Specs const &,::btSoftBody * ) 
void btSoftBody_appendLinearJoint2(void *c,void* p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::LJoint::Specs const & tp0 = *(::btSoftBody::LJoint::Specs const *)p0;
	::btSoftBody * tp1 = (::btSoftBody *)p1;
	o->appendLinearJoint(tp0,tp1);
}
//method: randomizeConstraints void ( ::btSoftBody::* )(  ) 
void btSoftBody_randomizeConstraints(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->randomizeConstraints();
}
//method: updatePose void ( ::btSoftBody::* )(  ) 
void btSoftBody_updatePose(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->updatePose();
}
//method: translate void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_translate(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->translate(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabb void ( ::btSoftBody::* )( ::btVector3 &,::btVector3 & ) const
void btSoftBody_getAabb(void *c,float* p0,float* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: PSolve_SContacts void (*)( ::btSoftBody *,::btScalar,::btScalar )
void btSoftBody_PSolve_SContacts(void* p0,float p1,float p2) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btSoftBody::PSolve_SContacts(tp0,p1,p2);
}
//method: appendMaterial ::btSoftBody::Material * ( ::btSoftBody::* )(  ) 
void* btSoftBody_appendMaterial(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	void* retVal = (void*) o->appendMaterial();
	return retVal;
}
//method: appendNode void ( ::btSoftBody::* )( ::btVector3 const &,::btScalar ) 
void btSoftBody_appendNode(void *c,float* p0,float p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->appendNode(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setMass void ( ::btSoftBody::* )( int,::btScalar ) 
void btSoftBody_setMass(void *c,int p0,float p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->setMass(p0,p1);
}
//method: integrateMotion void ( ::btSoftBody::* )(  ) 
void btSoftBody_integrateMotion(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->integrateMotion();
}
//method: defaultCollisionHandler void ( ::btSoftBody::* )( ::btCollisionObject * ) 
void btSoftBody_defaultCollisionHandler(void *c,void* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->defaultCollisionHandler(tp0);
}
//method: defaultCollisionHandler void ( ::btSoftBody::* )( ::btCollisionObject * ) 
void btSoftBody_defaultCollisionHandler0(void *c,void* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->defaultCollisionHandler(tp0);
}
//method: defaultCollisionHandler void ( ::btSoftBody::* )( ::btSoftBody * ) 
void btSoftBody_defaultCollisionHandler1(void *c,void* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	o->defaultCollisionHandler(tp0);
}
//method: solveConstraints void ( ::btSoftBody::* )(  ) 
void btSoftBody_solveConstraints(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->solveConstraints();
}
//method: setTotalDensity void ( ::btSoftBody::* )( ::btScalar ) 
void btSoftBody_setTotalDensity(void *c,float p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->setTotalDensity(p0);
}
//method: appendNote void ( ::btSoftBody::* )( char const *,::btVector3 const &,::btVector4 const &,::btSoftBody::Node *,::btSoftBody::Node *,::btSoftBody::Node *,::btSoftBody::Node * ) 
void btSoftBody_appendNote(void *c,char const * p0,float* p1,float* p2,void* p3,void* p4,void* p5,void* p6) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector4 tp2(p2[0],p2[1],p2[2],p2[3]);
	::btSoftBody::Node * tp3 = (::btSoftBody::Node *)p3;
	::btSoftBody::Node * tp4 = (::btSoftBody::Node *)p4;
	::btSoftBody::Node * tp5 = (::btSoftBody::Node *)p5;
	::btSoftBody::Node * tp6 = (::btSoftBody::Node *)p6;
	o->appendNote(p0,tp1,tp2,tp3,tp4,tp5,tp6);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.getX();p2[1]=tp2.getY();p2[2]=tp2.getZ();p2[3]=tp2.getW();
}
//method: appendNote void ( ::btSoftBody::* )( char const *,::btVector3 const &,::btVector4 const &,::btSoftBody::Node *,::btSoftBody::Node *,::btSoftBody::Node *,::btSoftBody::Node * ) 
void btSoftBody_appendNote0(void *c,char const * p0,float* p1,float* p2,void* p3,void* p4,void* p5,void* p6) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector4 tp2(p2[0],p2[1],p2[2],p2[3]);
	::btSoftBody::Node * tp3 = (::btSoftBody::Node *)p3;
	::btSoftBody::Node * tp4 = (::btSoftBody::Node *)p4;
	::btSoftBody::Node * tp5 = (::btSoftBody::Node *)p5;
	::btSoftBody::Node * tp6 = (::btSoftBody::Node *)p6;
	o->appendNote(p0,tp1,tp2,tp3,tp4,tp5,tp6);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.getX();p2[1]=tp2.getY();p2[2]=tp2.getZ();p2[3]=tp2.getW();
}
//method: appendNote void ( ::btSoftBody::* )( char const *,::btVector3 const &,::btSoftBody::Node * ) 
void btSoftBody_appendNote1(void *c,char const * p0,float* p1,void* p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::Node * tp2 = (::btSoftBody::Node *)p2;
	o->appendNote(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: appendNote void ( ::btSoftBody::* )( char const *,::btVector3 const &,::btSoftBody::Link * ) 
void btSoftBody_appendNote2(void *c,char const * p0,float* p1,void* p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::Link * tp2 = (::btSoftBody::Link *)p2;
	o->appendNote(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: appendNote void ( ::btSoftBody::* )( char const *,::btVector3 const &,::btSoftBody::Face * ) 
void btSoftBody_appendNote3(void *c,char const * p0,float* p1,void* p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::Face * tp2 = (::btSoftBody::Face *)p2;
	o->appendNote(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setVolumeDensity void ( ::btSoftBody::* )( ::btScalar ) 
void btSoftBody_setVolumeDensity(void *c,float p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->setVolumeDensity(p0);
}
//not supported method: solveCommonConstraints void (*)( ::btSoftBody * *,int,int )
//method: updateConstants void ( ::btSoftBody::* )(  ) 
void btSoftBody_updateConstants(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->updateConstants();
}
//method: staticSolve void ( ::btSoftBody::* )( int ) 
void btSoftBody_staticSolve(void *c,int p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->staticSolve(p0);
}
//not supported method: getSoftBodySolver ::btSoftBodySolver * ( ::btSoftBody::* )(  ) 
//not supported method: getSoftBodySolver ::btSoftBodySolver * ( ::btSoftBody::* )(  ) 
//not supported method: getSoftBodySolver ::btSoftBodySolver * ( ::btSoftBody::* )(  ) const
//method: refine void ( ::btSoftBody::* )( ::btSoftBody::ImplicitFn *,::btScalar,bool ) 
void btSoftBody_refine(void *c,void* p0,float p1,int p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::ImplicitFn * tp0 = (::btSoftBody::ImplicitFn *)p0;
	o->refine(tp0,p1,p2);
}
//method: appendLink void ( ::btSoftBody::* )( int,::btSoftBody::Material * ) 
void btSoftBody_appendLink(void *c,int p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp1 = (::btSoftBody::Material *)p1;
	o->appendLink(p0,tp1);
}
//method: appendLink void ( ::btSoftBody::* )( int,::btSoftBody::Material * ) 
void btSoftBody_appendLink0(void *c,int p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp1 = (::btSoftBody::Material *)p1;
	o->appendLink(p0,tp1);
}
//method: appendLink void ( ::btSoftBody::* )( int,int,::btSoftBody::Material *,bool ) 
void btSoftBody_appendLink1(void *c,int p0,int p1,void* p2,int p3) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp2 = (::btSoftBody::Material *)p2;
	o->appendLink(p0,p1,tp2,p3);
}
//method: appendLink void ( ::btSoftBody::* )( ::btSoftBody::Node *,::btSoftBody::Node *,::btSoftBody::Material *,bool ) 
void btSoftBody_appendLink2(void *c,void* p0,void* p1,void* p2,int p3) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Node * tp0 = (::btSoftBody::Node *)p0;
	::btSoftBody::Node * tp1 = (::btSoftBody::Node *)p1;
	::btSoftBody::Material * tp2 = (::btSoftBody::Material *)p2;
	o->appendLink(tp0,tp1,tp2,p3);
}
//method: calculateSerializeBufferSize int ( ::btSoftBody::* )(  ) const
int btSoftBody_calculateSerializeBufferSize(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//not supported method: solveClusters void (*)( ::btAlignedObjectArray<btSoftBody*> const & )
//not supported method: solveClusters void (*)( ::btAlignedObjectArray<btSoftBody*> const & )
//method: solveClusters void ( ::btSoftBody::* )( ::btScalar ) 
void btSoftBody_solveClusters1(void *c,float p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->solveClusters(p0);
}
//method: rayTest bool ( ::btSoftBody::* )( ::btVector3 const &,::btVector3 const &,::btSoftBody::sRayCast & ) 
int btSoftBody_rayTest(void *c,float* p0,float* p1,void* p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::sRayCast & tp2 = *(::btSoftBody::sRayCast *)p2;
	int retVal = (int)o->rayTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return retVal;
}
//method: rayTest bool ( ::btSoftBody::* )( ::btVector3 const &,::btVector3 const &,::btSoftBody::sRayCast & ) 
int btSoftBody_rayTest0(void *c,float* p0,float* p1,void* p2) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btSoftBody::sRayCast & tp2 = *(::btSoftBody::sRayCast *)p2;
	int retVal = (int)o->rayTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return retVal;
}
//not supported method: rayTest int ( ::btSoftBody::* )( ::btVector3 const &,::btVector3 const &,::btScalar &,::btSoftBody::eFeature::_ &,int &,bool ) const
//method: setPose void ( ::btSoftBody::* )( bool,bool ) 
void btSoftBody_setPose(void *c,int p0,int p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->setPose(p0,p1);
}
//method: appendFace void ( ::btSoftBody::* )( int,::btSoftBody::Material * ) 
void btSoftBody_appendFace(void *c,int p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp1 = (::btSoftBody::Material *)p1;
	o->appendFace(p0,tp1);
}
//method: appendFace void ( ::btSoftBody::* )( int,::btSoftBody::Material * ) 
void btSoftBody_appendFace0(void *c,int p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp1 = (::btSoftBody::Material *)p1;
	o->appendFace(p0,tp1);
}
//method: appendFace void ( ::btSoftBody::* )( int,int,int,::btSoftBody::Material * ) 
void btSoftBody_appendFace1(void *c,int p0,int p1,int p2,void* p3) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp3 = (::btSoftBody::Material *)p3;
	o->appendFace(p0,p1,p2,tp3);
}
//method: dampClusters void ( ::btSoftBody::* )(  ) 
void btSoftBody_dampClusters(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->dampClusters();
}
//method: getWorldInfo ::btSoftBodyWorldInfo * ( ::btSoftBody::* )(  ) 
void* btSoftBody_getWorldInfo(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	void* retVal = (void*) o->getWorldInfo();
	return retVal;
}
//not supported method: appendAngularJoint void ( ::btSoftBody::* )( ::btSoftBody::AJoint::Specs const &,::btSoftBody::Cluster *,::btSoftBody::Body ) 
//not supported method: appendAngularJoint void ( ::btSoftBody::* )( ::btSoftBody::AJoint::Specs const &,::btSoftBody::Cluster *,::btSoftBody::Body ) 
//not supported method: appendAngularJoint void ( ::btSoftBody::* )( ::btSoftBody::AJoint::Specs const &,::btSoftBody::Body ) 
//method: appendAngularJoint void ( ::btSoftBody::* )( ::btSoftBody::AJoint::Specs const &,::btSoftBody * ) 
void btSoftBody_appendAngularJoint2(void *c,void* p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::AJoint::Specs const & tp0 = *(::btSoftBody::AJoint::Specs const *)p0;
	::btSoftBody * tp1 = (::btSoftBody *)p1;
	o->appendAngularJoint(tp0,tp1);
}
//not supported method: setSolver void ( ::btSoftBody::* )( ::btSoftBody::eSolverPresets::_ ) 
//method: clusterVImpulse void (*)( ::btSoftBody::Cluster *,::btVector3 const &,::btVector3 const & )
void btSoftBody_clusterVImpulse(void* p0,float* p1,float* p2) {
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btSoftBody::clusterVImpulse(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: scale void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_scale(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->scale(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: clusterAImpulse void (*)( ::btSoftBody::Cluster *,::btSoftBody::Impulse const & )
void btSoftBody_clusterAImpulse(void* p0,void* p1) {
	::btSoftBody::Cluster * tp0 = (::btSoftBody::Cluster *)p0;
	::btSoftBody::Impulse const & tp1 = *(::btSoftBody::Impulse const *)p1;
	::btSoftBody::clusterAImpulse(tp0,tp1);
}
//method: clusterCom ::btVector3 (*)( ::btSoftBody::Cluster const * )
void btSoftBody_clusterCom(void* p0,float* ret) {
	::btSoftBody::Cluster const * tp0 = (::btSoftBody::Cluster const *)p0;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = ::btSoftBody::clusterCom(tp0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: clusterCom ::btVector3 (*)( ::btSoftBody::Cluster const * )
void btSoftBody_clusterCom0(void* p0,float* ret) {
	::btSoftBody::Cluster const * tp0 = (::btSoftBody::Cluster const *)p0;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = ::btSoftBody::clusterCom(tp0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: clusterCom ::btVector3 ( ::btSoftBody::* )( int ) const
void btSoftBody_clusterCom1(void *c,int p0,float* ret) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->clusterCom(p0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: setSoftBodySolver void ( ::btSoftBody::* )( ::btSoftBodySolver * ) 
//method: setWindVelocity void ( ::btSoftBody::* )( ::btVector3 const & ) 
void btSoftBody_setWindVelocity(void *c,float* p0) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setWindVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//not supported method: getSolver void (*)( ::btSoftBody *,::btScalar,::btScalar ) * (*)( ::btSoftBody::ePSolver::_ )
//not supported method: getSolver void (*)( ::btSoftBody *,::btScalar,::btScalar ) * (*)( ::btSoftBody::ePSolver::_ )
//not supported method: getSolver void (*)( ::btSoftBody *,::btScalar ) * (*)( ::btSoftBody::eVSolver::_ )
//method: applyForces void ( ::btSoftBody::* )(  ) 
void btSoftBody_applyForces(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->applyForces();
}
//method: appendTetra void ( ::btSoftBody::* )( int,::btSoftBody::Material * ) 
void btSoftBody_appendTetra(void *c,int p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp1 = (::btSoftBody::Material *)p1;
	o->appendTetra(p0,tp1);
}
//method: appendTetra void ( ::btSoftBody::* )( int,::btSoftBody::Material * ) 
void btSoftBody_appendTetra0(void *c,int p0,void* p1) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp1 = (::btSoftBody::Material *)p1;
	o->appendTetra(p0,tp1);
}
//method: appendTetra void ( ::btSoftBody::* )( int,int,int,int,::btSoftBody::Material * ) 
void btSoftBody_appendTetra1(void *c,int p0,int p1,int p2,int p3,void* p4) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBody::Material * tp4 = (::btSoftBody::Material *)p4;
	o->appendTetra(p0,p1,p2,p3,tp4);
}
//attribute: ::btAlignedObjectArray<btSoftBody::Anchor> btSoftBody->m_anchors
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Anchor> btSoftBody->m_anchors
//attribute: bool btSoftBody->m_bUpdateRtCst
void btSoftBody_m_bUpdateRtCst_set(void *c,int a) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->m_bUpdateRtCst = a;
}
int btSoftBody_m_bUpdateRtCst_get(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	return (int)(o->m_bUpdateRtCst);
}

//attribute: ::btVector3[2] btSoftBody->m_bounds
// attribute not supported: //attribute: ::btVector3[2] btSoftBody->m_bounds
//attribute: ::btDbvt btSoftBody->m_cdbvt
// attribute not supported: //attribute: ::btDbvt btSoftBody->m_cdbvt
//attribute: ::btSoftBody::Config btSoftBody->m_cfg
// attribute not supported: //attribute: ::btSoftBody::Config btSoftBody->m_cfg
//attribute: ::btAlignedObjectArray<bool> btSoftBody->m_clusterConnectivity
// attribute not supported: //attribute: ::btAlignedObjectArray<bool> btSoftBody->m_clusterConnectivity
//attribute: ::btAlignedObjectArray<btSoftBody::Cluster*> btSoftBody->m_clusters
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Cluster*> btSoftBody->m_clusters
//attribute: ::btAlignedObjectArray<btCollisionObject*> btSoftBody->m_collisionDisabledObjects
// attribute not supported: //attribute: ::btAlignedObjectArray<btCollisionObject*> btSoftBody->m_collisionDisabledObjects
//attribute: ::btAlignedObjectArray<btSoftBody::Face> btSoftBody->m_faces
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Face> btSoftBody->m_faces
//attribute: ::btDbvt btSoftBody->m_fdbvt
// attribute not supported: //attribute: ::btDbvt btSoftBody->m_fdbvt
//attribute: ::btTransform btSoftBody->m_initialWorldTransform
void btSoftBody_m_initialWorldTransform_set(void *c,float* a) {
	::btSoftBody *o = (::btSoftBody*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_initialWorldTransform = ta;
}
void btSoftBody_m_initialWorldTransform_get(void *c,float* a) {
	::btSoftBody *o = (::btSoftBody*)c;
	a[0]=(o->m_initialWorldTransform).getBasis().getRow(0).m_floats[0];a[1]=(o->m_initialWorldTransform).getBasis().getRow(0).m_floats[1];a[2]=(o->m_initialWorldTransform).getBasis().getRow(0).m_floats[2];a[3]=(o->m_initialWorldTransform).getBasis().getRow(1).m_floats[0];a[4]=(o->m_initialWorldTransform).getBasis().getRow(1).m_floats[1];a[5]=(o->m_initialWorldTransform).getBasis().getRow(1).m_floats[2];a[6]=(o->m_initialWorldTransform).getBasis().getRow(2).m_floats[0];a[7]=(o->m_initialWorldTransform).getBasis().getRow(2).m_floats[1];a[8]=(o->m_initialWorldTransform).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_initialWorldTransform).getOrigin().m_floats[0];a[10]=(o->m_initialWorldTransform).getOrigin().m_floats[1];a[11]=(o->m_initialWorldTransform).getOrigin().m_floats[2];
}

//attribute: ::btAlignedObjectArray<btSoftBody::Joint*> btSoftBody->m_joints
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Joint*> btSoftBody->m_joints
//attribute: ::btAlignedObjectArray<btSoftBody::Link> btSoftBody->m_links
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Link> btSoftBody->m_links
//attribute: ::btAlignedObjectArray<btSoftBody::Material*> btSoftBody->m_materials
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Material*> btSoftBody->m_materials
//attribute: ::btDbvt btSoftBody->m_ndbvt
// attribute not supported: //attribute: ::btDbvt btSoftBody->m_ndbvt
//attribute: ::btAlignedObjectArray<btSoftBody::Node> btSoftBody->m_nodes
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Node> btSoftBody->m_nodes
//attribute: ::btAlignedObjectArray<btSoftBody::Note> btSoftBody->m_notes
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Note> btSoftBody->m_notes
//attribute: ::btSoftBody::Pose btSoftBody->m_pose
// attribute not supported: //attribute: ::btSoftBody::Pose btSoftBody->m_pose
//attribute: ::btAlignedObjectArray<btSoftBody::RContact> btSoftBody->m_rcontacts
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::RContact> btSoftBody->m_rcontacts
//attribute: ::btAlignedObjectArray<btSoftBody::SContact> btSoftBody->m_scontacts
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::SContact> btSoftBody->m_scontacts
//attribute: ::btSoftBodySolver * btSoftBody->m_softBodySolver
// attribute not supported: //attribute: ::btSoftBodySolver * btSoftBody->m_softBodySolver
//attribute: ::btSoftBody::SolverState btSoftBody->m_sst
// attribute not supported: //attribute: ::btSoftBody::SolverState btSoftBody->m_sst
//attribute: void * btSoftBody->m_tag
// attribute not supported: //attribute: void * btSoftBody->m_tag
//attribute: ::btAlignedObjectArray<btSoftBody::Tetra> btSoftBody->m_tetras
// attribute not supported: //attribute: ::btAlignedObjectArray<btSoftBody::Tetra> btSoftBody->m_tetras
//attribute: ::btScalar btSoftBody->m_timeacc
void btSoftBody_m_timeacc_set(void *c,float a) {
	::btSoftBody *o = (::btSoftBody*)c;
	o->m_timeacc = a;
}
float btSoftBody_m_timeacc_get(void *c) {
	::btSoftBody *o = (::btSoftBody*)c;
	return (float)(o->m_timeacc);
}

//attribute: ::btAlignedObjectArray<int> btSoftBody->m_userIndexMapping
// attribute not supported: //attribute: ::btAlignedObjectArray<int> btSoftBody->m_userIndexMapping
//attribute: ::btVector3 btSoftBody->m_windVelocity
void btSoftBody_m_windVelocity_set(void *c,float* a) {
	::btSoftBody *o = (::btSoftBody*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_windVelocity = ta;
}
void btSoftBody_m_windVelocity_get(void *c,float* a) {
	::btSoftBody *o = (::btSoftBody*)c;
	a[0]=(o->m_windVelocity).m_floats[0];a[1]=(o->m_windVelocity).m_floats[1];a[2]=(o->m_windVelocity).m_floats[2];
}

//attribute: ::btSoftBodyWorldInfo * btSoftBody->m_worldInfo
void btSoftBody_m_worldInfo_set(void *c,void* a) {
	::btSoftBody *o = (::btSoftBody*)c;
	::btSoftBodyWorldInfo * ta = (::btSoftBodyWorldInfo *)a;
	o->m_worldInfo = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBodyWorldInfo * btSoftBody->m_worldInfo

// ::btSoftBodyHelpers
//constructor: btSoftBodyHelpers  ( ::btSoftBodyHelpers::* )(  ) 
void* btSoftBodyHelpers_new() {
	::btSoftBodyHelpers *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBodyHelpers),16);
	o = new (mem)::btSoftBodyHelpers();
	return (void*)o;
}
void btSoftBodyHelpers_free(void *c) {
	::btSoftBodyHelpers *o = (::btSoftBodyHelpers*)c;
	delete o;
}
//method: DrawInfos void (*)( ::btSoftBody *,::btIDebugDraw *,bool,bool,bool )
void btSoftBodyHelpers_DrawInfos(void* p0,void* p1,int p2,int p3,int p4) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btIDebugDraw * tp1 = (::btIDebugDraw *)p1;
	::btSoftBodyHelpers::DrawInfos(tp0,tp1,p2,p3,p4);
}
//method: Draw void (*)( ::btSoftBody *,::btIDebugDraw *,int )
void btSoftBodyHelpers_Draw(void* p0,void* p1,int p2) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btIDebugDraw * tp1 = (::btIDebugDraw *)p1;
	::btSoftBodyHelpers::Draw(tp0,tp1,p2);
}
//method: CreateEllipsoid ::btSoftBody * (*)( ::btSoftBodyWorldInfo &,::btVector3 const &,::btVector3 const &,int )
void* btSoftBodyHelpers_CreateEllipsoid(void* p0,float* p1,float* p2,int p3) {
	::btSoftBodyWorldInfo & tp0 = *(::btSoftBodyWorldInfo *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	void* retVal = (void*) ::btSoftBodyHelpers::CreateEllipsoid(tp0,tp1,tp2,p3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return retVal;
}
//method: CreateFromTetGenData ::btSoftBody * (*)( ::btSoftBodyWorldInfo &,char const *,char const *,char const *,bool,bool,bool )
void* btSoftBodyHelpers_CreateFromTetGenData(void* p0,char const * p1,char const * p2,char const * p3,int p4,int p5,int p6) {
	::btSoftBodyWorldInfo & tp0 = *(::btSoftBodyWorldInfo *)p0;
	void* retVal = (void*) ::btSoftBodyHelpers::CreateFromTetGenData(tp0,p1,p2,p3,p4,p5,p6);
	return retVal;
}
//method: DrawFrame void (*)( ::btSoftBody *,::btIDebugDraw * )
void btSoftBodyHelpers_DrawFrame(void* p0,void* p1) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btIDebugDraw * tp1 = (::btIDebugDraw *)p1;
	::btSoftBodyHelpers::DrawFrame(tp0,tp1);
}
//method: CreateRope ::btSoftBody * (*)( ::btSoftBodyWorldInfo &,::btVector3 const &,::btVector3 const &,int,int )
void* btSoftBodyHelpers_CreateRope(void* p0,float* p1,float* p2,int p3,int p4) {
	::btSoftBodyWorldInfo & tp0 = *(::btSoftBodyWorldInfo *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	void* retVal = (void*) ::btSoftBodyHelpers::CreateRope(tp0,tp1,tp2,p3,p4);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return retVal;
}
//method: CalculateUV float (*)( int,int,int,int,int )
float btSoftBodyHelpers_CalculateUV(int p0,int p1,int p2,int p3,int p4) {
	float retVal = (float)::btSoftBodyHelpers::CalculateUV(p0,p1,p2,p3,p4);
	return retVal;
}
//method: DrawFaceTree void (*)( ::btSoftBody *,::btIDebugDraw *,int,int )
void btSoftBodyHelpers_DrawFaceTree(void* p0,void* p1,int p2,int p3) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btIDebugDraw * tp1 = (::btIDebugDraw *)p1;
	::btSoftBodyHelpers::DrawFaceTree(tp0,tp1,p2,p3);
}
//method: DrawClusterTree void (*)( ::btSoftBody *,::btIDebugDraw *,int,int )
void btSoftBodyHelpers_DrawClusterTree(void* p0,void* p1,int p2,int p3) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btIDebugDraw * tp1 = (::btIDebugDraw *)p1;
	::btSoftBodyHelpers::DrawClusterTree(tp0,tp1,p2,p3);
}
//not supported method: CreateFromTriMesh ::btSoftBody * (*)( ::btSoftBodyWorldInfo &,::btScalar const *,int const *,int,bool )
//method: DrawNodeTree void (*)( ::btSoftBody *,::btIDebugDraw *,int,int )
void btSoftBodyHelpers_DrawNodeTree(void* p0,void* p1,int p2,int p3) {
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	::btIDebugDraw * tp1 = (::btIDebugDraw *)p1;
	::btSoftBodyHelpers::DrawNodeTree(tp0,tp1,p2,p3);
}
//not supported method: CreateFromConvexHull ::btSoftBody * (*)( ::btSoftBodyWorldInfo &,::btVector3 const *,int,bool )
//method: CreatePatch ::btSoftBody * (*)( ::btSoftBodyWorldInfo &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,int,int,int,bool )
void* btSoftBodyHelpers_CreatePatch(void* p0,float* p1,float* p2,float* p3,float* p4,int p5,int p6,int p7,int p8) {
	::btSoftBodyWorldInfo & tp0 = *(::btSoftBodyWorldInfo *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	void* retVal = (void*) ::btSoftBodyHelpers::CreatePatch(tp0,tp1,tp2,tp3,tp4,p5,p6,p7,p8);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return retVal;
}
//not supported method: CreatePatchUV ::btSoftBody * (*)( ::btSoftBodyWorldInfo &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,int,int,int,bool,float * )

// ::btSoftBodyRigidBodyCollisionConfiguration
//constructor: btSoftBodyRigidBodyCollisionConfiguration  ( ::btSoftBodyRigidBodyCollisionConfiguration::* )( ::btDefaultCollisionConstructionInfo const & ) 
void* btSoftBodyRigidBodyCollisionConfiguration_new(void* p0) {
	::btSoftBodyRigidBodyCollisionConfiguration *o = 0;
	 void *mem = 0;
	::btDefaultCollisionConstructionInfo const & tp0 = *(::btDefaultCollisionConstructionInfo const *)p0;
	mem = btAlignedAlloc(sizeof(::btSoftBodyRigidBodyCollisionConfiguration),16);
	o = new (mem)::btSoftBodyRigidBodyCollisionConfiguration(tp0);
	return (void*)o;
}
void btSoftBodyRigidBodyCollisionConfiguration_free(void *c) {
	::btSoftBodyRigidBodyCollisionConfiguration *o = (::btSoftBodyRigidBodyCollisionConfiguration*)c;
	delete o;
}
//method: getCollisionAlgorithmCreateFunc ::btCollisionAlgorithmCreateFunc * ( ::btSoftBodyRigidBodyCollisionConfiguration::* )( int,int ) 
void* btSoftBodyRigidBodyCollisionConfiguration_getCollisionAlgorithmCreateFunc(void *c,int p0,int p1) {
	::btSoftBodyRigidBodyCollisionConfiguration *o = (::btSoftBodyRigidBodyCollisionConfiguration*)c;
	void* retVal = (void*) o->getCollisionAlgorithmCreateFunc(p0,p1);
	return retVal;
}

// ::btSoftBodyWorldInfo
//constructor: btSoftBodyWorldInfo  ( ::btSoftBodyWorldInfo::* )(  ) 
void* btSoftBodyWorldInfo_new() {
	::btSoftBodyWorldInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBodyWorldInfo),16);
	o = new (mem)::btSoftBodyWorldInfo();
	return (void*)o;
}
void btSoftBodyWorldInfo_free(void *c) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	delete o;
}
//attribute: ::btScalar btSoftBodyWorldInfo->air_density
void btSoftBodyWorldInfo_air_density_set(void *c,float a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	o->air_density = a;
}
float btSoftBodyWorldInfo_air_density_get(void *c) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	return (float)(o->air_density);
}

//attribute: ::btBroadphaseInterface * btSoftBodyWorldInfo->m_broadphase
void btSoftBodyWorldInfo_m_broadphase_set(void *c,void* a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	::btBroadphaseInterface * ta = (::btBroadphaseInterface *)a;
	o->m_broadphase = ta;
}
// attriibute getter not supported: //attribute: ::btBroadphaseInterface * btSoftBodyWorldInfo->m_broadphase
//attribute: ::btDispatcher * btSoftBodyWorldInfo->m_dispatcher
void btSoftBodyWorldInfo_m_dispatcher_set(void *c,void* a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	::btDispatcher * ta = (::btDispatcher *)a;
	o->m_dispatcher = ta;
}
// attriibute getter not supported: //attribute: ::btDispatcher * btSoftBodyWorldInfo->m_dispatcher
//attribute: ::btVector3 btSoftBodyWorldInfo->m_gravity
void btSoftBodyWorldInfo_m_gravity_set(void *c,float* a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_gravity = ta;
}
void btSoftBodyWorldInfo_m_gravity_get(void *c,float* a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	a[0]=(o->m_gravity).m_floats[0];a[1]=(o->m_gravity).m_floats[1];a[2]=(o->m_gravity).m_floats[2];
}

//attribute: ::btSparseSdf<3> btSoftBodyWorldInfo->m_sparsesdf
// attribute not supported: //attribute: ::btSparseSdf<3> btSoftBodyWorldInfo->m_sparsesdf
//attribute: ::btScalar btSoftBodyWorldInfo->water_density
void btSoftBodyWorldInfo_water_density_set(void *c,float a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	o->water_density = a;
}
float btSoftBodyWorldInfo_water_density_get(void *c) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	return (float)(o->water_density);
}

//attribute: ::btVector3 btSoftBodyWorldInfo->water_normal
void btSoftBodyWorldInfo_water_normal_set(void *c,float* a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->water_normal = ta;
}
void btSoftBodyWorldInfo_water_normal_get(void *c,float* a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	a[0]=(o->water_normal).m_floats[0];a[1]=(o->water_normal).m_floats[1];a[2]=(o->water_normal).m_floats[2];
}

//attribute: ::btScalar btSoftBodyWorldInfo->water_offset
void btSoftBodyWorldInfo_water_offset_set(void *c,float a) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	o->water_offset = a;
}
float btSoftBodyWorldInfo_water_offset_get(void *c) {
	::btSoftBodyWorldInfo *o = (::btSoftBodyWorldInfo*)c;
	return (float)(o->water_offset);
}


// ::btSoftRigidDynamicsWorld
//not supported constructor: btSoftRigidDynamicsWorld  ( ::btSoftRigidDynamicsWorld::* )( ::btDispatcher *,::btBroadphaseInterface *,::btConstraintSolver *,::btCollisionConfiguration *,::btSoftBodySolver * ) 
void btSoftRigidDynamicsWorld_free(void *c) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	delete o;
}
//method: getWorldInfo ::btSoftBodyWorldInfo & ( ::btSoftRigidDynamicsWorld::* )(  ) 
void* btSoftRigidDynamicsWorld_getWorldInfo(void *c) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	void* retVal = (void*) &(o->getWorldInfo());
	return retVal;
}
//method: getWorldInfo ::btSoftBodyWorldInfo & ( ::btSoftRigidDynamicsWorld::* )(  ) 
void* btSoftRigidDynamicsWorld_getWorldInfo0(void *c) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	void* retVal = (void*) &(o->getWorldInfo());
	return retVal;
}
//method: getWorldInfo ::btSoftBodyWorldInfo const & ( ::btSoftRigidDynamicsWorld::* )(  ) const
void* btSoftRigidDynamicsWorld_getWorldInfo1(void *c) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	void* retVal = (void*) &(o->getWorldInfo());
	return retVal;
}
//method: setDrawFlags void ( ::btSoftRigidDynamicsWorld::* )( int ) 
void btSoftRigidDynamicsWorld_setDrawFlags(void *c,int p0) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	o->setDrawFlags(p0);
}
//not supported method: getSoftBodyArray ::btSoftBodyArray & ( ::btSoftRigidDynamicsWorld::* )(  ) 
//not supported method: getSoftBodyArray ::btSoftBodyArray & ( ::btSoftRigidDynamicsWorld::* )(  ) 
//not supported method: getSoftBodyArray ::btSoftBodyArray const & ( ::btSoftRigidDynamicsWorld::* )(  ) const
//method: serialize void ( ::btSoftRigidDynamicsWorld::* )( ::btSerializer * ) 
void btSoftRigidDynamicsWorld_serialize(void *c,void* p0) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serialize(tp0);
}
//method: rayTest void ( ::btSoftRigidDynamicsWorld::* )( ::btVector3 const &,::btVector3 const &,::btCollisionWorld::RayResultCallback & ) const
void btSoftRigidDynamicsWorld_rayTest(void *c,float* p0,float* p1,void* p2) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btCollisionWorld::RayResultCallback & tp2 = *(::btCollisionWorld::RayResultCallback *)p2;
	o->rayTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: getWorldType ::btDynamicsWorldType ( ::btSoftRigidDynamicsWorld::* )(  ) const
//method: addSoftBody void ( ::btSoftRigidDynamicsWorld::* )( ::btSoftBody *,short int,short int ) 
void btSoftRigidDynamicsWorld_addSoftBody(void *c,void* p0,short int p1,short int p2) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	o->addSoftBody(tp0,p1,p2);
}
//method: removeCollisionObject void ( ::btSoftRigidDynamicsWorld::* )( ::btCollisionObject * ) 
void btSoftRigidDynamicsWorld_removeCollisionObject(void *c,void* p0) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->removeCollisionObject(tp0);
}
//method: rayTestSingle void (*)( ::btTransform const &,::btTransform const &,::btCollisionObject *,::btCollisionShape const *,::btTransform const &,::btCollisionWorld::RayResultCallback & )
void btSoftRigidDynamicsWorld_rayTestSingle(float* p0,float* p1,void* p2,void* p3,float* p4,void* p5) {
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	::btCollisionShape const * tp3 = (::btCollisionShape const *)p3;
	btMatrix3x3 mtp4(p4[0],p4[1],p4[2],p4[3],p4[4],p4[5],p4[6],p4[7],p4[8]);
	btVector3 vtp4(p4[9],p4[10],p4[11]);
	btTransform tp4(mtp4,vtp4);
	::btCollisionWorld::RayResultCallback & tp5 = *(::btCollisionWorld::RayResultCallback *)p5;
	::btSoftRigidDynamicsWorld::rayTestSingle(tp0,tp1,tp2,tp3,tp4,tp5);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p4[0]=tp4.getBasis().getRow(0).m_floats[0];p4[1]=tp4.getBasis().getRow(0).m_floats[1];p4[2]=tp4.getBasis().getRow(0).m_floats[2];p4[3]=tp4.getBasis().getRow(1).m_floats[0];p4[4]=tp4.getBasis().getRow(1).m_floats[1];p4[5]=tp4.getBasis().getRow(1).m_floats[2];p4[6]=tp4.getBasis().getRow(2).m_floats[0];p4[7]=tp4.getBasis().getRow(2).m_floats[1];p4[8]=tp4.getBasis().getRow(2).m_floats[2];
	p4[9]=tp4.getOrigin().m_floats[0];p4[10]=tp4.getOrigin().m_floats[1];p4[11]=tp4.getOrigin().m_floats[2];
}
//method: removeSoftBody void ( ::btSoftRigidDynamicsWorld::* )( ::btSoftBody * ) 
void btSoftRigidDynamicsWorld_removeSoftBody(void *c,void* p0) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	::btSoftBody * tp0 = (::btSoftBody *)p0;
	o->removeSoftBody(tp0);
}
//method: debugDrawWorld void ( ::btSoftRigidDynamicsWorld::* )(  ) 
void btSoftRigidDynamicsWorld_debugDrawWorld(void *c) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	o->debugDrawWorld();
}
//method: getDrawFlags int ( ::btSoftRigidDynamicsWorld::* )(  ) const
int btSoftRigidDynamicsWorld_getDrawFlags(void *c) {
	::btSoftRigidDynamicsWorld *o = (::btSoftRigidDynamicsWorld*)c;
	int retVal = (int)o->getDrawFlags();
	return retVal;
}

// ::btSoftBody::eAeroModel
//constructor: eAeroModel  ( ::btSoftBody::eAeroModel::* )(  ) 
void* btSoftBody_eAeroModel_new() {
	::btSoftBody::eAeroModel *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::eAeroModel),16);
	o = new (mem)::btSoftBody::eAeroModel();
	return (void*)o;
}
void btSoftBody_eAeroModel_free(void *c) {
	::btSoftBody::eAeroModel *o = (::btSoftBody::eAeroModel*)c;
	delete o;
}

// ::btSoftBody::eFeature
//constructor: eFeature  ( ::btSoftBody::eFeature::* )(  ) 
void* btSoftBody_eFeature_new() {
	::btSoftBody::eFeature *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::eFeature),16);
	o = new (mem)::btSoftBody::eFeature();
	return (void*)o;
}
void btSoftBody_eFeature_free(void *c) {
	::btSoftBody::eFeature *o = (::btSoftBody::eFeature*)c;
	delete o;
}

// ::btSoftBody::ePSolver
//constructor: ePSolver  ( ::btSoftBody::ePSolver::* )(  ) 
void* btSoftBody_ePSolver_new() {
	::btSoftBody::ePSolver *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::ePSolver),16);
	o = new (mem)::btSoftBody::ePSolver();
	return (void*)o;
}
void btSoftBody_ePSolver_free(void *c) {
	::btSoftBody::ePSolver *o = (::btSoftBody::ePSolver*)c;
	delete o;
}

// ::btSoftBody::eSolverPresets
//constructor: eSolverPresets  ( ::btSoftBody::eSolverPresets::* )(  ) 
void* btSoftBody_eSolverPresets_new() {
	::btSoftBody::eSolverPresets *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::eSolverPresets),16);
	o = new (mem)::btSoftBody::eSolverPresets();
	return (void*)o;
}
void btSoftBody_eSolverPresets_free(void *c) {
	::btSoftBody::eSolverPresets *o = (::btSoftBody::eSolverPresets*)c;
	delete o;
}

// ::btSoftBody::Joint::eType
//constructor: eType  ( ::btSoftBody::Joint::eType::* )(  ) 
void* btSoftBody_Joint_eType_new() {
	::btSoftBody::Joint::eType *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::Joint::eType),16);
	o = new (mem)::btSoftBody::Joint::eType();
	return (void*)o;
}
void btSoftBody_Joint_eType_free(void *c) {
	::btSoftBody::Joint::eType *o = (::btSoftBody::Joint::eType*)c;
	delete o;
}

// ::btSoftBody::eVSolver
//constructor: eVSolver  ( ::btSoftBody::eVSolver::* )(  ) 
void* btSoftBody_eVSolver_new() {
	::btSoftBody::eVSolver *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::eVSolver),16);
	o = new (mem)::btSoftBody::eVSolver();
	return (void*)o;
}
void btSoftBody_eVSolver_free(void *c) {
	::btSoftBody::eVSolver *o = (::btSoftBody::eVSolver*)c;
	delete o;
}

// ::btSoftBody::fCollision
//constructor: fCollision  ( ::btSoftBody::fCollision::* )(  ) 
void* btSoftBody_fCollision_new() {
	::btSoftBody::fCollision *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::fCollision),16);
	o = new (mem)::btSoftBody::fCollision();
	return (void*)o;
}
void btSoftBody_fCollision_free(void *c) {
	::btSoftBody::fCollision *o = (::btSoftBody::fCollision*)c;
	delete o;
}

// ::fDrawFlags
//constructor: fDrawFlags  ( ::fDrawFlags::* )(  ) 
void* fDrawFlags_new() {
	::fDrawFlags *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::fDrawFlags),16);
	o = new (mem)::fDrawFlags();
	return (void*)o;
}
void fDrawFlags_free(void *c) {
	::fDrawFlags *o = (::fDrawFlags*)c;
	delete o;
}

// ::btSoftBody::fMaterial
//constructor: fMaterial  ( ::btSoftBody::fMaterial::* )(  ) 
void* btSoftBody_fMaterial_new() {
	::btSoftBody::fMaterial *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::fMaterial),16);
	o = new (mem)::btSoftBody::fMaterial();
	return (void*)o;
}
void btSoftBody_fMaterial_free(void *c) {
	::btSoftBody::fMaterial *o = (::btSoftBody::fMaterial*)c;
	delete o;
}

// ::btSoftBody::sCti
//constructor: sCti  ( ::btSoftBody::sCti::* )(  ) 
void* btSoftBody_sCti_new() {
	::btSoftBody::sCti *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::sCti),16);
	o = new (mem)::btSoftBody::sCti();
	return (void*)o;
}
void btSoftBody_sCti_free(void *c) {
	::btSoftBody::sCti *o = (::btSoftBody::sCti*)c;
	delete o;
}
//attribute: ::btCollisionObject * btSoftBody_sCti->m_colObj
void btSoftBody_sCti_m_colObj_set(void *c,void* a) {
	::btSoftBody::sCti *o = (::btSoftBody::sCti*)c;
	::btCollisionObject * ta = (::btCollisionObject *)a;
	o->m_colObj = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionObject * btSoftBody_sCti->m_colObj
//attribute: ::btVector3 btSoftBody_sCti->m_normal
void btSoftBody_sCti_m_normal_set(void *c,float* a) {
	::btSoftBody::sCti *o = (::btSoftBody::sCti*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_normal = ta;
}
void btSoftBody_sCti_m_normal_get(void *c,float* a) {
	::btSoftBody::sCti *o = (::btSoftBody::sCti*)c;
	a[0]=(o->m_normal).m_floats[0];a[1]=(o->m_normal).m_floats[1];a[2]=(o->m_normal).m_floats[2];
}

//attribute: ::btScalar btSoftBody_sCti->m_offset
void btSoftBody_sCti_m_offset_set(void *c,float a) {
	::btSoftBody::sCti *o = (::btSoftBody::sCti*)c;
	o->m_offset = a;
}
float btSoftBody_sCti_m_offset_get(void *c) {
	::btSoftBody::sCti *o = (::btSoftBody::sCti*)c;
	return (float)(o->m_offset);
}


// ::btSoftBody::sMedium
//constructor: sMedium  ( ::btSoftBody::sMedium::* )(  ) 
void* btSoftBody_sMedium_new() {
	::btSoftBody::sMedium *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::sMedium),16);
	o = new (mem)::btSoftBody::sMedium();
	return (void*)o;
}
void btSoftBody_sMedium_free(void *c) {
	::btSoftBody::sMedium *o = (::btSoftBody::sMedium*)c;
	delete o;
}
//attribute: ::btScalar btSoftBody_sMedium->m_density
void btSoftBody_sMedium_m_density_set(void *c,float a) {
	::btSoftBody::sMedium *o = (::btSoftBody::sMedium*)c;
	o->m_density = a;
}
float btSoftBody_sMedium_m_density_get(void *c) {
	::btSoftBody::sMedium *o = (::btSoftBody::sMedium*)c;
	return (float)(o->m_density);
}

//attribute: ::btScalar btSoftBody_sMedium->m_pressure
void btSoftBody_sMedium_m_pressure_set(void *c,float a) {
	::btSoftBody::sMedium *o = (::btSoftBody::sMedium*)c;
	o->m_pressure = a;
}
float btSoftBody_sMedium_m_pressure_get(void *c) {
	::btSoftBody::sMedium *o = (::btSoftBody::sMedium*)c;
	return (float)(o->m_pressure);
}

//attribute: ::btVector3 btSoftBody_sMedium->m_velocity
void btSoftBody_sMedium_m_velocity_set(void *c,float* a) {
	::btSoftBody::sMedium *o = (::btSoftBody::sMedium*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_velocity = ta;
}
void btSoftBody_sMedium_m_velocity_get(void *c,float* a) {
	::btSoftBody::sMedium *o = (::btSoftBody::sMedium*)c;
	a[0]=(o->m_velocity).m_floats[0];a[1]=(o->m_velocity).m_floats[1];a[2]=(o->m_velocity).m_floats[2];
}


// ::btSoftBody::sRayCast
//constructor: sRayCast  ( ::btSoftBody::sRayCast::* )(  ) 
void* btSoftBody_sRayCast_new() {
	::btSoftBody::sRayCast *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSoftBody::sRayCast),16);
	o = new (mem)::btSoftBody::sRayCast();
	return (void*)o;
}
void btSoftBody_sRayCast_free(void *c) {
	::btSoftBody::sRayCast *o = (::btSoftBody::sRayCast*)c;
	delete o;
}
//attribute: ::btSoftBody * btSoftBody_sRayCast->body
void btSoftBody_sRayCast_body_set(void *c,void* a) {
	::btSoftBody::sRayCast *o = (::btSoftBody::sRayCast*)c;
	::btSoftBody * ta = (::btSoftBody *)a;
	o->body = ta;
}
// attriibute getter not supported: //attribute: ::btSoftBody * btSoftBody_sRayCast->body
//attribute: ::btSoftBody::eFeature::_ btSoftBody_sRayCast->feature
// attribute not supported: //attribute: ::btSoftBody::eFeature::_ btSoftBody_sRayCast->feature
//attribute: ::btScalar btSoftBody_sRayCast->fraction
void btSoftBody_sRayCast_fraction_set(void *c,float a) {
	::btSoftBody::sRayCast *o = (::btSoftBody::sRayCast*)c;
	o->fraction = a;
}
float btSoftBody_sRayCast_fraction_get(void *c) {
	::btSoftBody::sRayCast *o = (::btSoftBody::sRayCast*)c;
	return (float)(o->fraction);
}

//attribute: int btSoftBody_sRayCast->index
void btSoftBody_sRayCast_index_set(void *c,int a) {
	::btSoftBody::sRayCast *o = (::btSoftBody::sRayCast*)c;
	o->index = a;
}
int btSoftBody_sRayCast_index_get(void *c) {
	::btSoftBody::sRayCast *o = (::btSoftBody::sRayCast*)c;
	return (int)(o->index);
}


// ::CProfileIterator
void cProfileIterator_free(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	delete o;
}
//method: Get_Current_Name char const * ( ::CProfileIterator::* )(  ) 
char const * cProfileIterator_Get_Current_Name(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	char const * retVal = (char const *)o->Get_Current_Name();
	return retVal;
}
//method: Get_Current_Total_Calls int ( ::CProfileIterator::* )(  ) 
int cProfileIterator_Get_Current_Total_Calls(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	int retVal = (int)o->Get_Current_Total_Calls();
	return retVal;
}
//method: Get_Current_Total_Time float ( ::CProfileIterator::* )(  ) 
float cProfileIterator_Get_Current_Total_Time(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	float retVal = (float)o->Get_Current_Total_Time();
	return retVal;
}
//method: Enter_Child void ( ::CProfileIterator::* )( int ) 
void cProfileIterator_Enter_Child(void *c,int p0) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	o->Enter_Child(p0);
}
//method: Is_Done bool ( ::CProfileIterator::* )(  ) 
int cProfileIterator_Is_Done(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	int retVal = (int)o->Is_Done();
	return retVal;
}
//method: Next void ( ::CProfileIterator::* )(  ) 
void cProfileIterator_Next(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	o->Next();
}
//method: Is_Root bool ( ::CProfileIterator::* )(  ) 
int cProfileIterator_Is_Root(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	int retVal = (int)o->Is_Root();
	return retVal;
}
//method: Get_Current_Parent_Name char const * ( ::CProfileIterator::* )(  ) 
char const * cProfileIterator_Get_Current_Parent_Name(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	char const * retVal = (char const *)o->Get_Current_Parent_Name();
	return retVal;
}
//method: Get_Current_Parent_Total_Calls int ( ::CProfileIterator::* )(  ) 
int cProfileIterator_Get_Current_Parent_Total_Calls(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	int retVal = (int)o->Get_Current_Parent_Total_Calls();
	return retVal;
}
//method: Get_Current_Parent_Total_Time float ( ::CProfileIterator::* )(  ) 
float cProfileIterator_Get_Current_Parent_Total_Time(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	float retVal = (float)o->Get_Current_Parent_Total_Time();
	return retVal;
}
//method: Enter_Parent void ( ::CProfileIterator::* )(  ) 
void cProfileIterator_Enter_Parent(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	o->Enter_Parent();
}
//method: First void ( ::CProfileIterator::* )(  ) 
void cProfileIterator_First(void *c) {
	::CProfileIterator *o = (::CProfileIterator*)c;
	o->First();
}

// ::CProfileManager
//constructor: CProfileManager  ( ::CProfileManager::* )(  ) 
void* cProfileManager_new() {
	::CProfileManager *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::CProfileManager),16);
	o = new (mem)::CProfileManager();
	return (void*)o;
}
void cProfileManager_free(void *c) {
	::CProfileManager *o = (::CProfileManager*)c;
	delete o;
}
//method: Reset void (*)(  )
void cProfileManager_Reset() {
	::CProfileManager::Reset();
}
//method: dumpAll void (*)(  )
void cProfileManager_dumpAll() {
	::CProfileManager::dumpAll();
}
//method: Get_Frame_Count_Since_Reset int (*)(  )
int cProfileManager_Get_Frame_Count_Since_Reset() {
	int retVal = (int)::CProfileManager::Get_Frame_Count_Since_Reset();
	return retVal;
}
//method: Release_Iterator void (*)( ::CProfileIterator * )
void cProfileManager_Release_Iterator(void* p0) {
	::CProfileIterator * tp0 = (::CProfileIterator *)p0;
	::CProfileManager::Release_Iterator(tp0);
}
//method: Stop_Profile void (*)(  )
void cProfileManager_Stop_Profile() {
	::CProfileManager::Stop_Profile();
}
//method: CleanupMemory void (*)(  )
void cProfileManager_CleanupMemory() {
	::CProfileManager::CleanupMemory();
}
//method: Get_Time_Since_Reset float (*)(  )
float cProfileManager_Get_Time_Since_Reset() {
	float retVal = (float)::CProfileManager::Get_Time_Since_Reset();
	return retVal;
}
//method: Start_Profile void (*)( char const * )
void cProfileManager_Start_Profile(char const * p0) {
	::CProfileManager::Start_Profile(p0);
}
//method: Increment_Frame_Counter void (*)(  )
void cProfileManager_Increment_Frame_Counter() {
	::CProfileManager::Increment_Frame_Counter();
}
//method: dumpRecursive void (*)( ::CProfileIterator *,int )
void cProfileManager_dumpRecursive(void* p0,int p1) {
	::CProfileIterator * tp0 = (::CProfileIterator *)p0;
	::CProfileManager::dumpRecursive(tp0,p1);
}
//method: Get_Iterator ::CProfileIterator * (*)(  )
void* cProfileManager_Get_Iterator() {
	void* retVal = (void*) ::CProfileManager::Get_Iterator();
	return retVal;
}

// ::CProfileNode
//constructor: CProfileNode  ( ::CProfileNode::* )( char const *,::CProfileNode * ) 
void* cProfileNode_new(char const * p0,void* p1) {
	::CProfileNode *o = 0;
	 void *mem = 0;
	::CProfileNode * tp1 = (::CProfileNode *)p1;
	mem = btAlignedAlloc(sizeof(::CProfileNode),16);
	o = new (mem)::CProfileNode(p0,tp1);
	return (void*)o;
}
void cProfileNode_free(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	delete o;
}
//method: Reset void ( ::CProfileNode::* )(  ) 
void cProfileNode_Reset(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	o->Reset();
}
//method: Return bool ( ::CProfileNode::* )(  ) 
int cProfileNode_Return(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	int retVal = (int)o->Return();
	return retVal;
}
//method: Get_Sub_Node ::CProfileNode * ( ::CProfileNode::* )( char const * ) 
void* cProfileNode_Get_Sub_Node(void *c,char const * p0) {
	::CProfileNode *o = (::CProfileNode*)c;
	void* retVal = (void*) o->Get_Sub_Node(p0);
	return retVal;
}
//method: CleanupMemory void ( ::CProfileNode::* )(  ) 
void cProfileNode_CleanupMemory(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	o->CleanupMemory();
}
//method: Get_Parent ::CProfileNode * ( ::CProfileNode::* )(  ) 
void* cProfileNode_Get_Parent(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	void* retVal = (void*) o->Get_Parent();
	return retVal;
}
//method: Get_Total_Calls int ( ::CProfileNode::* )(  ) 
int cProfileNode_Get_Total_Calls(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	int retVal = (int)o->Get_Total_Calls();
	return retVal;
}
//method: Get_Name char const * ( ::CProfileNode::* )(  ) 
char const * cProfileNode_Get_Name(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	char const * retVal = (char const *)o->Get_Name();
	return retVal;
}
//method: Get_Total_Time float ( ::CProfileNode::* )(  ) 
float cProfileNode_Get_Total_Time(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	float retVal = (float)o->Get_Total_Time();
	return retVal;
}
//method: Call void ( ::CProfileNode::* )(  ) 
void cProfileNode_Call(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	o->Call();
}
//method: Get_Sibling ::CProfileNode * ( ::CProfileNode::* )(  ) 
void* cProfileNode_Get_Sibling(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	void* retVal = (void*) o->Get_Sibling();
	return retVal;
}
//method: Get_Child ::CProfileNode * ( ::CProfileNode::* )(  ) 
void* cProfileNode_Get_Child(void *c) {
	::CProfileNode *o = (::CProfileNode*)c;
	void* retVal = (void*) o->Get_Child();
	return retVal;
}

// ::CProfileSample
//constructor: CProfileSample  ( ::CProfileSample::* )( char const * ) 
void* cProfileSample_new(char const * p0) {
	::CProfileSample *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::CProfileSample),16);
	o = new (mem)::CProfileSample(p0);
	return (void*)o;
}
void cProfileSample_free(void *c) {
	::CProfileSample *o = (::CProfileSample*)c;
	delete o;
}

// ::btBlock
//constructor: btBlock  ( ::btBlock::* )(  ) 
void* btBlock_new() {
	::btBlock *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBlock),16);
	o = new (mem)::btBlock();
	return (void*)o;
}
void btBlock_free(void *c) {
	::btBlock *o = (::btBlock*)c;
	delete o;
}
//attribute: ::btBlock * btBlock->previous
void btBlock_previous_set(void *c,void* a) {
	::btBlock *o = (::btBlock*)c;
	::btBlock * ta = (::btBlock *)a;
	o->previous = ta;
}
// attriibute getter not supported: //attribute: ::btBlock * btBlock->previous
//attribute: unsigned char * btBlock->address
// attribute not supported: //attribute: unsigned char * btBlock->address

// ::btChunk
//constructor: btChunk  ( ::btChunk::* )(  ) 
void* btChunk_new() {
	::btChunk *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btChunk),16);
	o = new (mem)::btChunk();
	return (void*)o;
}
void btChunk_free(void *c) {
	::btChunk *o = (::btChunk*)c;
	delete o;
}
//attribute: int btChunk->m_chunkCode
void btChunk_m_chunkCode_set(void *c,int a) {
	::btChunk *o = (::btChunk*)c;
	o->m_chunkCode = a;
}
int btChunk_m_chunkCode_get(void *c) {
	::btChunk *o = (::btChunk*)c;
	return (int)(o->m_chunkCode);
}

//attribute: int btChunk->m_length
void btChunk_m_length_set(void *c,int a) {
	::btChunk *o = (::btChunk*)c;
	o->m_length = a;
}
int btChunk_m_length_get(void *c) {
	::btChunk *o = (::btChunk*)c;
	return (int)(o->m_length);
}

//attribute: void * btChunk->m_oldPtr
// attribute not supported: //attribute: void * btChunk->m_oldPtr
//attribute: int btChunk->m_dna_nr
void btChunk_m_dna_nr_set(void *c,int a) {
	::btChunk *o = (::btChunk*)c;
	o->m_dna_nr = a;
}
int btChunk_m_dna_nr_get(void *c) {
	::btChunk *o = (::btChunk*)c;
	return (int)(o->m_dna_nr);
}

//attribute: int btChunk->m_number
void btChunk_m_number_set(void *c,int a) {
	::btChunk *o = (::btChunk*)c;
	o->m_number = a;
}
int btChunk_m_number_get(void *c) {
	::btChunk *o = (::btChunk*)c;
	return (int)(o->m_number);
}


// ::btClock
//constructor: btClock  ( ::btClock::* )(  ) 
void* btClock_new() {
	::btClock *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btClock),16);
	o = new (mem)::btClock();
	return (void*)o;
}
void btClock_free(void *c) {
	::btClock *o = (::btClock*)c;
	delete o;
}
//method: reset void ( ::btClock::* )(  ) 
void btClock_reset(void *c) {
	::btClock *o = (::btClock*)c;
	o->reset();
}
//method: getTimeMilliseconds long unsigned int ( ::btClock::* )(  ) 
long unsigned int btClock_getTimeMilliseconds(void *c) {
	::btClock *o = (::btClock*)c;
	long unsigned int retVal = (long unsigned int)o->getTimeMilliseconds();
	return retVal;
}
//method: getTimeMicroseconds long unsigned int ( ::btClock::* )(  ) 
long unsigned int btClock_getTimeMicroseconds(void *c) {
	::btClock *o = (::btClock*)c;
	long unsigned int retVal = (long unsigned int)o->getTimeMicroseconds();
	return retVal;
}

// ::btConvexSeparatingDistanceUtil
//constructor: btConvexSeparatingDistanceUtil  ( ::btConvexSeparatingDistanceUtil::* )( ::btScalar,::btScalar ) 
void* btConvexSeparatingDistanceUtil_new(float p0,float p1) {
	::btConvexSeparatingDistanceUtil *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConvexSeparatingDistanceUtil),16);
	o = new (mem)::btConvexSeparatingDistanceUtil(p0,p1);
	return (void*)o;
}
void btConvexSeparatingDistanceUtil_free(void *c) {
	::btConvexSeparatingDistanceUtil *o = (::btConvexSeparatingDistanceUtil*)c;
	delete o;
}
//method: updateSeparatingDistance void ( ::btConvexSeparatingDistanceUtil::* )( ::btTransform const &,::btTransform const & ) 
void btConvexSeparatingDistanceUtil_updateSeparatingDistance(void *c,float* p0,float* p1) {
	::btConvexSeparatingDistanceUtil *o = (::btConvexSeparatingDistanceUtil*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->updateSeparatingDistance(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getConservativeSeparatingDistance ::btScalar ( ::btConvexSeparatingDistanceUtil::* )(  ) 
float btConvexSeparatingDistanceUtil_getConservativeSeparatingDistance(void *c) {
	::btConvexSeparatingDistanceUtil *o = (::btConvexSeparatingDistanceUtil*)c;
	float retVal = (float)o->getConservativeSeparatingDistance();
	return retVal;
}
//method: initSeparatingDistance void ( ::btConvexSeparatingDistanceUtil::* )( ::btVector3 const &,::btScalar,::btTransform const &,::btTransform const & ) 
void btConvexSeparatingDistanceUtil_initSeparatingDistance(void *c,float* p0,float p1,float* p2,float* p3) {
	::btConvexSeparatingDistanceUtil *o = (::btConvexSeparatingDistanceUtil*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	o->initSeparatingDistance(tp0,p1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
}

// ::btDefaultMotionState
//constructor: btDefaultMotionState  ( ::btDefaultMotionState::* )( ::btTransform const &,::btTransform const & ) 
void* btDefaultMotionState_new(float* p0,float* p1) {
	::btDefaultMotionState *o = 0;
	 void *mem = 0;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	mem = btAlignedAlloc(sizeof(::btDefaultMotionState),16);
	o = new (mem)::btDefaultMotionState(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	return (void*)o;
}
void btDefaultMotionState_free(void *c) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	delete o;
}
//method: setWorldTransform void ( ::btDefaultMotionState::* )( ::btTransform const & ) 
void btDefaultMotionState_setWorldTransform(void *c,float* p0) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->setWorldTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: getWorldTransform void ( ::btDefaultMotionState::* )( ::btTransform & ) const
void btDefaultMotionState_getWorldTransform(void *c,float* p0) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->getWorldTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//attribute: ::btTransform btDefaultMotionState->m_graphicsWorldTrans
void btDefaultMotionState_m_graphicsWorldTrans_set(void *c,float* a) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_graphicsWorldTrans = ta;
}
void btDefaultMotionState_m_graphicsWorldTrans_get(void *c,float* a) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	a[0]=(o->m_graphicsWorldTrans).getBasis().getRow(0).m_floats[0];a[1]=(o->m_graphicsWorldTrans).getBasis().getRow(0).m_floats[1];a[2]=(o->m_graphicsWorldTrans).getBasis().getRow(0).m_floats[2];a[3]=(o->m_graphicsWorldTrans).getBasis().getRow(1).m_floats[0];a[4]=(o->m_graphicsWorldTrans).getBasis().getRow(1).m_floats[1];a[5]=(o->m_graphicsWorldTrans).getBasis().getRow(1).m_floats[2];a[6]=(o->m_graphicsWorldTrans).getBasis().getRow(2).m_floats[0];a[7]=(o->m_graphicsWorldTrans).getBasis().getRow(2).m_floats[1];a[8]=(o->m_graphicsWorldTrans).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_graphicsWorldTrans).getOrigin().m_floats[0];a[10]=(o->m_graphicsWorldTrans).getOrigin().m_floats[1];a[11]=(o->m_graphicsWorldTrans).getOrigin().m_floats[2];
}

//attribute: ::btTransform btDefaultMotionState->m_centerOfMassOffset
void btDefaultMotionState_m_centerOfMassOffset_set(void *c,float* a) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_centerOfMassOffset = ta;
}
void btDefaultMotionState_m_centerOfMassOffset_get(void *c,float* a) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	a[0]=(o->m_centerOfMassOffset).getBasis().getRow(0).m_floats[0];a[1]=(o->m_centerOfMassOffset).getBasis().getRow(0).m_floats[1];a[2]=(o->m_centerOfMassOffset).getBasis().getRow(0).m_floats[2];a[3]=(o->m_centerOfMassOffset).getBasis().getRow(1).m_floats[0];a[4]=(o->m_centerOfMassOffset).getBasis().getRow(1).m_floats[1];a[5]=(o->m_centerOfMassOffset).getBasis().getRow(1).m_floats[2];a[6]=(o->m_centerOfMassOffset).getBasis().getRow(2).m_floats[0];a[7]=(o->m_centerOfMassOffset).getBasis().getRow(2).m_floats[1];a[8]=(o->m_centerOfMassOffset).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_centerOfMassOffset).getOrigin().m_floats[0];a[10]=(o->m_centerOfMassOffset).getOrigin().m_floats[1];a[11]=(o->m_centerOfMassOffset).getOrigin().m_floats[2];
}

//attribute: ::btTransform btDefaultMotionState->m_startWorldTrans
void btDefaultMotionState_m_startWorldTrans_set(void *c,float* a) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_startWorldTrans = ta;
}
void btDefaultMotionState_m_startWorldTrans_get(void *c,float* a) {
	::btDefaultMotionState *o = (::btDefaultMotionState*)c;
	a[0]=(o->m_startWorldTrans).getBasis().getRow(0).m_floats[0];a[1]=(o->m_startWorldTrans).getBasis().getRow(0).m_floats[1];a[2]=(o->m_startWorldTrans).getBasis().getRow(0).m_floats[2];a[3]=(o->m_startWorldTrans).getBasis().getRow(1).m_floats[0];a[4]=(o->m_startWorldTrans).getBasis().getRow(1).m_floats[1];a[5]=(o->m_startWorldTrans).getBasis().getRow(1).m_floats[2];a[6]=(o->m_startWorldTrans).getBasis().getRow(2).m_floats[0];a[7]=(o->m_startWorldTrans).getBasis().getRow(2).m_floats[1];a[8]=(o->m_startWorldTrans).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_startWorldTrans).getOrigin().m_floats[0];a[10]=(o->m_startWorldTrans).getOrigin().m_floats[1];a[11]=(o->m_startWorldTrans).getOrigin().m_floats[2];
}

//attribute: void * btDefaultMotionState->m_userPointer
// attribute not supported: //attribute: void * btDefaultMotionState->m_userPointer

// ::btDefaultSerializer
//constructor: btDefaultSerializer  ( ::btDefaultSerializer::* )( int ) 
void* btDefaultSerializer_new(int p0) {
	::btDefaultSerializer *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDefaultSerializer),16);
	o = new (mem)::btDefaultSerializer(p0);
	return (void*)o;
}
void btDefaultSerializer_free(void *c) {
	::btDefaultSerializer *o = (::btDefaultSerializer*)c;
	delete o;
}
//method: setSerializationFlags void ( ::btDefaultSerializer::* )( int ) 
void btDefaultSerializer_setSerializationFlags(void *c,int p0) {
	::btDefaultSerializer *o = (::btDefaultSerializer*)c;
	o->setSerializationFlags(p0);
}
//not supported method: findNameForPointer char const * ( ::btDefaultSerializer::* )( void const * ) const
//not supported method: writeHeader void ( ::btDefaultSerializer::* )( unsigned char * ) const
//method: startSerialization void ( ::btDefaultSerializer::* )(  ) 
void btDefaultSerializer_startSerialization(void *c) {
	::btDefaultSerializer *o = (::btDefaultSerializer*)c;
	o->startSerialization();
}
//method: getSerializationFlags int ( ::btDefaultSerializer::* )(  ) const
int btDefaultSerializer_getSerializationFlags(void *c) {
	::btDefaultSerializer *o = (::btDefaultSerializer*)c;
	int retVal = (int)o->getSerializationFlags();
	return retVal;
}
//method: finishSerialization void ( ::btDefaultSerializer::* )(  ) 
void btDefaultSerializer_finishSerialization(void *c) {
	::btDefaultSerializer *o = (::btDefaultSerializer*)c;
	o->finishSerialization();
}
//not supported method: finalizeChunk void ( ::btDefaultSerializer::* )( ::btChunk *,char const *,int,void * ) 
//not supported method: getBufferPointer unsigned char const * ( ::btDefaultSerializer::* )(  ) const
//method: getCurrentBufferSize int ( ::btDefaultSerializer::* )(  ) const
int btDefaultSerializer_getCurrentBufferSize(void *c) {
	::btDefaultSerializer *o = (::btDefaultSerializer*)c;
	int retVal = (int)o->getCurrentBufferSize();
	return retVal;
}
//not supported method: getUniquePointer void * ( ::btDefaultSerializer::* )( void * ) 
//method: serializeName void ( ::btDefaultSerializer::* )( char const * ) 
void btDefaultSerializer_serializeName(void *c,char const * p0) {
	::btDefaultSerializer *o = (::btDefaultSerializer*)c;
	o->serializeName(p0);
}
//not supported method: internalAlloc unsigned char * ( ::btDefaultSerializer::* )( ::size_t ) 
//not supported method: registerNameForPointer void ( ::btDefaultSerializer::* )( void const *,char const * ) 
//not supported method: allocate ::btChunk * ( ::btDefaultSerializer::* )( ::size_t,int ) 

// ::btGeometryUtil
//constructor: btGeometryUtil  ( ::btGeometryUtil::* )(  ) 
void* btGeometryUtil_new() {
	::btGeometryUtil *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGeometryUtil),16);
	o = new (mem)::btGeometryUtil();
	return (void*)o;
}
void btGeometryUtil_free(void *c) {
	::btGeometryUtil *o = (::btGeometryUtil*)c;
	delete o;
}
//not supported method: isPointInsidePlanes bool (*)( ::btAlignedObjectArray<btVector3> const &,::btVector3 const &,::btScalar )
//not supported method: getVerticesFromPlaneEquations void (*)( ::btAlignedObjectArray<btVector3> const &,::btAlignedObjectArray<btVector3> & )
//not supported method: isInside bool (*)( ::btAlignedObjectArray<btVector3> const &,::btVector3 const &,::btScalar )
//not supported method: areVerticesBehindPlane bool (*)( ::btVector3 const &,::btAlignedObjectArray<btVector3> const &,::btScalar )
//not supported method: getPlaneEquationsFromVertices void (*)( ::btAlignedObjectArray<btVector3> &,::btAlignedObjectArray<btVector3> & )

// ::btHashInt
//constructor: btHashInt  ( ::btHashInt::* )( int ) 
void* btHashInt_new(int p0) {
	::btHashInt *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btHashInt),16);
	o = new (mem)::btHashInt(p0);
	return (void*)o;
}
void btHashInt_free(void *c) {
	::btHashInt *o = (::btHashInt*)c;
	delete o;
}
//method: getUid1 int ( ::btHashInt::* )(  ) const
int btHashInt_getUid1(void *c) {
	::btHashInt *o = (::btHashInt*)c;
	int retVal = (int)o->getUid1();
	return retVal;
}
//method: getHash unsigned int ( ::btHashInt::* )(  ) const
unsigned int btHashInt_getHash(void *c) {
	::btHashInt *o = (::btHashInt*)c;
	unsigned int retVal = (unsigned int)o->getHash();
	return retVal;
}
//method: setUid1 void ( ::btHashInt::* )( int ) 
void btHashInt_setUid1(void *c,int p0) {
	::btHashInt *o = (::btHashInt*)c;
	o->setUid1(p0);
}
//method: equals bool ( ::btHashInt::* )( ::btHashInt const & ) const
int btHashInt_equals(void *c,void* p0) {
	::btHashInt *o = (::btHashInt*)c;
	::btHashInt const & tp0 = *(::btHashInt const *)p0;
	int retVal = (int)o->equals(tp0);
	return retVal;
}

// ::btHashPtr
//not supported constructor: btHashPtr  ( ::btHashPtr::* )( void const * ) 
void btHashPtr_free(void *c) {
	::btHashPtr *o = (::btHashPtr*)c;
	delete o;
}
//method: getHash unsigned int ( ::btHashPtr::* )(  ) const
unsigned int btHashPtr_getHash(void *c) {
	::btHashPtr *o = (::btHashPtr*)c;
	unsigned int retVal = (unsigned int)o->getHash();
	return retVal;
}
//not supported method: getPointer void const * ( ::btHashPtr::* )(  ) const
//method: equals bool ( ::btHashPtr::* )( ::btHashPtr const & ) const
int btHashPtr_equals(void *c,void* p0) {
	::btHashPtr *o = (::btHashPtr*)c;
	::btHashPtr const & tp0 = *(::btHashPtr const *)p0;
	int retVal = (int)o->equals(tp0);
	return retVal;
}

// ::btHashString
//constructor: btHashString  ( ::btHashString::* )( char const * ) 
void* btHashString_new(char const * p0) {
	::btHashString *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btHashString),16);
	o = new (mem)::btHashString(p0);
	return (void*)o;
}
void btHashString_free(void *c) {
	::btHashString *o = (::btHashString*)c;
	delete o;
}
//method: getHash unsigned int ( ::btHashString::* )(  ) const
unsigned int btHashString_getHash(void *c) {
	::btHashString *o = (::btHashString*)c;
	unsigned int retVal = (unsigned int)o->getHash();
	return retVal;
}
//method: equals bool ( ::btHashString::* )( ::btHashString const & ) const
int btHashString_equals(void *c,void* p0) {
	::btHashString *o = (::btHashString*)c;
	::btHashString const & tp0 = *(::btHashString const *)p0;
	int retVal = (int)o->equals(tp0);
	return retVal;
}
//method: portableStringCompare int ( ::btHashString::* )( char const *,char const * ) const
int btHashString_portableStringCompare(void *c,char const * p0,char const * p1) {
	::btHashString *o = (::btHashString*)c;
	int retVal = (int)o->portableStringCompare(p0,p1);
	return retVal;
}
//attribute: unsigned int btHashString->m_hash
void btHashString_m_hash_set(void *c,unsigned int a) {
	::btHashString *o = (::btHashString*)c;
	o->m_hash = a;
}
unsigned int btHashString_m_hash_get(void *c) {
	::btHashString *o = (::btHashString*)c;
	return (unsigned int)(o->m_hash);
}

//attribute: char const * btHashString->m_string
void btHashString_m_string_set(void *c,char const * a) {
	::btHashString *o = (::btHashString*)c;
	o->m_string = a;
}
char const * btHashString_m_string_get(void *c) {
	::btHashString *o = (::btHashString*)c;
	return (char const *)(o->m_string);
}


// ::btIDebugDraw
//method: draw3dText void ( ::btIDebugDraw::* )( ::btVector3 const &,char const * ) 
void btIDebugDraw_draw3dText(void *c,float* p0,char const * p1) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->draw3dText(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: drawBox void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btIDebugDraw_drawBox(void *c,float* p0,float* p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawBox(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawBox void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btIDebugDraw_drawBox0(void *c,float* p0,float* p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawBox(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawBox void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btTransform const &,::btVector3 const & ) 
void btIDebugDraw_drawBox1(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->drawBox(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: drawCone void ( ::btIDebugDraw::* )( ::btScalar,::btScalar,int,::btTransform const &,::btVector3 const & ) 
void btIDebugDraw_drawCone(void *c,float p0,float p1,int p2,float* p3,float* p4) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->drawCone(p0,p1,p2,tp3,tp4);
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: drawCapsule void ( ::btIDebugDraw::* )( ::btScalar,::btScalar,int,::btTransform const &,::btVector3 const & ) 
void btIDebugDraw_drawCapsule(void *c,float p0,float p1,int p2,float* p3,float* p4) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->drawCapsule(p0,p1,p2,tp3,tp4);
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: drawArc void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar,::btScalar,::btScalar,::btScalar,::btVector3 const &,bool,::btScalar ) 
void btIDebugDraw_drawArc(void *c,float* p0,float* p1,float* p2,float p3,float p4,float p5,float p6,float* p7,int p8,float p9) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp7(p7[0],p7[1],p7[2]);
	o->drawArc(tp0,tp1,tp2,p3,p4,p5,p6,tp7,p8,p9);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p7[0]=tp7.m_floats[0];p7[1]=tp7.m_floats[1];p7[2]=tp7.m_floats[2];
}
//method: drawCylinder void ( ::btIDebugDraw::* )( ::btScalar,::btScalar,int,::btTransform const &,::btVector3 const & ) 
void btIDebugDraw_drawCylinder(void *c,float p0,float p1,int p2,float* p3,float* p4) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->drawCylinder(p0,p1,p2,tp3,tp4);
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: reportErrorWarning void ( ::btIDebugDraw::* )( char const * ) 
void btIDebugDraw_reportErrorWarning(void *c,char const * p0) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	o->reportErrorWarning(p0);
}
//method: drawTriangle void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void btIDebugDraw_drawTriangle(void *c,float* p0,float* p1,float* p2,float* p3,float* p4,float* p5,float* p6,float p7) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	btVector3 tp5(p5[0],p5[1],p5[2]);
	btVector3 tp6(p6[0],p6[1],p6[2]);
	o->drawTriangle(tp0,tp1,tp2,tp3,tp4,tp5,tp6,p7);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
	p6[0]=tp6.m_floats[0];p6[1]=tp6.m_floats[1];p6[2]=tp6.m_floats[2];
}
//method: drawTriangle void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void btIDebugDraw_drawTriangle0(void *c,float* p0,float* p1,float* p2,float* p3,float* p4,float* p5,float* p6,float p7) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	btVector3 tp5(p5[0],p5[1],p5[2]);
	btVector3 tp6(p6[0],p6[1],p6[2]);
	o->drawTriangle(tp0,tp1,tp2,tp3,tp4,tp5,tp6,p7);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
	p6[0]=tp6.m_floats[0];p6[1]=tp6.m_floats[1];p6[2]=tp6.m_floats[2];
}
//method: drawTriangle void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void btIDebugDraw_drawTriangle1(void *c,float* p0,float* p1,float* p2,float* p3,float p4) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->drawTriangle(tp0,tp1,tp2,tp3,p4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: getDebugMode int ( ::btIDebugDraw::* )(  ) const
int btIDebugDraw_getDebugMode(void *c) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	int retVal = (int)o->getDebugMode();
	return retVal;
}
//method: drawLine void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btIDebugDraw_drawLine(void *c,float* p0,float* p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawLine(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawLine void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btIDebugDraw_drawLine0(void *c,float* p0,float* p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawLine(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawLine void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btIDebugDraw_drawLine1(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->drawLine(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: drawTransform void ( ::btIDebugDraw::* )( ::btTransform const &,::btScalar ) 
void btIDebugDraw_drawTransform(void *c,float* p0,float p1) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->drawTransform(tp0,p1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: drawAabb void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btIDebugDraw_drawAabb(void *c,float* p0,float* p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawAabb(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawPlane void ( ::btIDebugDraw::* )( ::btVector3 const &,::btScalar,::btTransform const &,::btVector3 const & ) 
void btIDebugDraw_drawPlane(void *c,float* p0,float p1,float* p2,float* p3) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->drawPlane(tp0,p1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: drawContactPoint void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btScalar,int,::btVector3 const & ) 
void btIDebugDraw_drawContactPoint(void *c,float* p0,float* p1,float p2,int p3,float* p4) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->drawContactPoint(tp0,tp1,p2,p3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: setDebugMode void ( ::btIDebugDraw::* )( int ) 
void btIDebugDraw_setDebugMode(void *c,int p0) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	o->setDebugMode(p0);
}
//method: drawSpherePatch void ( ::btIDebugDraw::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar,::btScalar,::btScalar,::btScalar,::btScalar,::btVector3 const &,::btScalar ) 
void btIDebugDraw_drawSpherePatch(void *c,float* p0,float* p1,float* p2,float p3,float p4,float p5,float p6,float p7,float* p8,float p9) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp8(p8[0],p8[1],p8[2]);
	o->drawSpherePatch(tp0,tp1,tp2,p3,p4,p5,p6,p7,tp8,p9);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p8[0]=tp8.m_floats[0];p8[1]=tp8.m_floats[1];p8[2]=tp8.m_floats[2];
}
//method: drawSphere void ( ::btIDebugDraw::* )( ::btScalar,::btTransform const &,::btVector3 const & ) 
void btIDebugDraw_drawSphere(void *c,float p0,float* p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawSphere(p0,tp1,tp2);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawSphere void ( ::btIDebugDraw::* )( ::btScalar,::btTransform const &,::btVector3 const & ) 
void btIDebugDraw_drawSphere0(void *c,float p0,float* p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawSphere(p0,tp1,tp2);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: drawSphere void ( ::btIDebugDraw::* )( ::btVector3 const &,::btScalar,::btVector3 const & ) 
void btIDebugDraw_drawSphere1(void *c,float* p0,float p1,float* p2) {
	::btIDebugDraw *o = (::btIDebugDraw*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->drawSphere(tp0,p1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btMatrix3x3DoubleData
//constructor: btMatrix3x3DoubleData  ( ::btMatrix3x3DoubleData::* )(  ) 
void* btMatrix3x3DoubleData_new() {
	::btMatrix3x3DoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btMatrix3x3DoubleData),16);
	o = new (mem)::btMatrix3x3DoubleData();
	return (void*)o;
}
void btMatrix3x3DoubleData_free(void *c) {
	::btMatrix3x3DoubleData *o = (::btMatrix3x3DoubleData*)c;
	delete o;
}
//attribute: ::btVector3DoubleData[3] btMatrix3x3DoubleData->m_el
// attribute not supported: //attribute: ::btVector3DoubleData[3] btMatrix3x3DoubleData->m_el

// ::btMatrix3x3FloatData
//constructor: btMatrix3x3FloatData  ( ::btMatrix3x3FloatData::* )(  ) 
void* btMatrix3x3FloatData_new() {
	::btMatrix3x3FloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btMatrix3x3FloatData),16);
	o = new (mem)::btMatrix3x3FloatData();
	return (void*)o;
}
void btMatrix3x3FloatData_free(void *c) {
	::btMatrix3x3FloatData *o = (::btMatrix3x3FloatData*)c;
	delete o;
}
//attribute: ::btVector3FloatData[3] btMatrix3x3FloatData->m_el
// attribute not supported: //attribute: ::btVector3FloatData[3] btMatrix3x3FloatData->m_el

// ::btMotionState
//method: setWorldTransform void ( ::btMotionState::* )( ::btTransform const & ) 
void btMotionState_setWorldTransform(void *c,float* p0) {
	::btMotionState *o = (::btMotionState*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->setWorldTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: getWorldTransform void ( ::btMotionState::* )( ::btTransform & ) const
void btMotionState_getWorldTransform(void *c,float* p0) {
	::btMotionState *o = (::btMotionState*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->getWorldTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}

// ::btPointerUid
//constructor: btPointerUid  ( ::btPointerUid::* )(  ) 
void* btPointerUid_new() {
	::btPointerUid *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btPointerUid),16);
	o = new (mem)::btPointerUid();
	return (void*)o;
}
void btPointerUid_free(void *c) {
	::btPointerUid *o = (::btPointerUid*)c;
	delete o;
}
//attribute: ::btPointerUid btPointerUid->
// attribute not supported: //attribute: ::btPointerUid btPointerUid->

// ::btQuadWord
//constructor: btQuadWord  ( ::btQuadWord::* )(  ) 
void* btQuadWord_new0() {
	::btQuadWord *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuadWord),16);
	o = new (mem)::btQuadWord();
	return (void*)o;
}
//constructor: btQuadWord  ( ::btQuadWord::* )( ::btScalar const &,::btScalar const &,::btScalar const & ) 
void* btQuadWord_new1(float p0,float p1,float p2) {
	::btQuadWord *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuadWord),16);
	o = new (mem)::btQuadWord(p0,p1,p2);
	return (void*)o;
}
//constructor: btQuadWord  ( ::btQuadWord::* )( ::btScalar const &,::btScalar const &,::btScalar const &,::btScalar const & ) 
void* btQuadWord_new2(float p0,float p1,float p2,float p3) {
	::btQuadWord *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuadWord),16);
	o = new (mem)::btQuadWord(p0,p1,p2,p3);
	return (void*)o;
}
void btQuadWord_free(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	delete o;
}
//method: setMin void ( ::btQuadWord::* )( ::btQuadWord const & ) 
void btQuadWord_setMin(void *c,void* p0) {
	::btQuadWord *o = (::btQuadWord*)c;
	::btQuadWord const & tp0 = *(::btQuadWord const *)p0;
	o->setMin(tp0);
}
//method: setValue void ( ::btQuadWord::* )( ::btScalar const &,::btScalar const &,::btScalar const & ) 
void btQuadWord_setValue(void *c,float p0,float p1,float p2) {
	::btQuadWord *o = (::btQuadWord*)c;
	o->setValue(p0,p1,p2);
}
//method: setValue void ( ::btQuadWord::* )( ::btScalar const &,::btScalar const &,::btScalar const & ) 
void btQuadWord_setValue0(void *c,float p0,float p1,float p2) {
	::btQuadWord *o = (::btQuadWord*)c;
	o->setValue(p0,p1,p2);
}
//method: setValue void ( ::btQuadWord::* )( ::btScalar const &,::btScalar const &,::btScalar const &,::btScalar const & ) 
void btQuadWord_setValue1(void *c,float p0,float p1,float p2,float p3) {
	::btQuadWord *o = (::btQuadWord*)c;
	o->setValue(p0,p1,p2,p3);
}
//method: setMax void ( ::btQuadWord::* )( ::btQuadWord const & ) 
void btQuadWord_setMax(void *c,void* p0) {
	::btQuadWord *o = (::btQuadWord*)c;
	::btQuadWord const & tp0 = *(::btQuadWord const *)p0;
	o->setMax(tp0);
}
//method: getX ::btScalar const & ( ::btQuadWord::* )(  ) const
float btQuadWord_getX(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	float retVal = (float)o->getX();
	return retVal;
}
//method: getY ::btScalar const & ( ::btQuadWord::* )(  ) const
float btQuadWord_getY(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	float retVal = (float)o->getY();
	return retVal;
}
//method: getZ ::btScalar const & ( ::btQuadWord::* )(  ) const
float btQuadWord_getZ(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	float retVal = (float)o->getZ();
	return retVal;
}
//method: setW void ( ::btQuadWord::* )( ::btScalar ) 
void btQuadWord_setW(void *c,float p0) {
	::btQuadWord *o = (::btQuadWord*)c;
	o->setW(p0);
}
//method: w ::btScalar const & ( ::btQuadWord::* )(  ) const
float btQuadWord_w(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	float retVal = (float)o->w();
	return retVal;
}
//method: y ::btScalar const & ( ::btQuadWord::* )(  ) const
float btQuadWord_y(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	float retVal = (float)o->y();
	return retVal;
}
//method: x ::btScalar const & ( ::btQuadWord::* )(  ) const
float btQuadWord_x(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	float retVal = (float)o->x();
	return retVal;
}
//method: z ::btScalar const & ( ::btQuadWord::* )(  ) const
float btQuadWord_z(void *c) {
	::btQuadWord *o = (::btQuadWord*)c;
	float retVal = (float)o->z();
	return retVal;
}
//method: setX void ( ::btQuadWord::* )( ::btScalar ) 
void btQuadWord_setX(void *c,float p0) {
	::btQuadWord *o = (::btQuadWord*)c;
	o->setX(p0);
}
//method: setY void ( ::btQuadWord::* )( ::btScalar ) 
void btQuadWord_setY(void *c,float p0) {
	::btQuadWord *o = (::btQuadWord*)c;
	o->setY(p0);
}
//method: setZ void ( ::btQuadWord::* )( ::btScalar ) 
void btQuadWord_setZ(void *c,float p0) {
	::btQuadWord *o = (::btQuadWord*)c;
	o->setZ(p0);
}

// ::btSerializer
//method: setSerializationFlags void ( ::btSerializer::* )( int ) 
void btSerializer_setSerializationFlags(void *c,int p0) {
	::btSerializer *o = (::btSerializer*)c;
	o->setSerializationFlags(p0);
}
//method: getCurrentBufferSize int ( ::btSerializer::* )(  ) const
int btSerializer_getCurrentBufferSize(void *c) {
	::btSerializer *o = (::btSerializer*)c;
	int retVal = (int)o->getCurrentBufferSize();
	return retVal;
}
//method: startSerialization void ( ::btSerializer::* )(  ) 
void btSerializer_startSerialization(void *c) {
	::btSerializer *o = (::btSerializer*)c;
	o->startSerialization();
}
//method: getSerializationFlags int ( ::btSerializer::* )(  ) const
int btSerializer_getSerializationFlags(void *c) {
	::btSerializer *o = (::btSerializer*)c;
	int retVal = (int)o->getSerializationFlags();
	return retVal;
}
//method: finishSerialization void ( ::btSerializer::* )(  ) 
void btSerializer_finishSerialization(void *c) {
	::btSerializer *o = (::btSerializer*)c;
	o->finishSerialization();
}
//not supported method: getUniquePointer void * ( ::btSerializer::* )( void * ) 
//not supported method: allocate ::btChunk * ( ::btSerializer::* )( ::size_t,int ) 
//not supported method: findNameForPointer char const * ( ::btSerializer::* )( void const * ) const
//not supported method: finalizeChunk void ( ::btSerializer::* )( ::btChunk *,char const *,int,void * ) 
//method: serializeName void ( ::btSerializer::* )( char const * ) 
void btSerializer_serializeName(void *c,char const * p0) {
	::btSerializer *o = (::btSerializer*)c;
	o->serializeName(p0);
}
//not supported method: findPointer void * ( ::btSerializer::* )( void * ) 
//not supported method: registerNameForPointer void ( ::btSerializer::* )( void const *,char const * ) 
//not supported method: getBufferPointer unsigned char const * ( ::btSerializer::* )(  ) const

// ::btStackAlloc
//constructor: btStackAlloc  ( ::btStackAlloc::* )( unsigned int ) 
void* btStackAlloc_new(unsigned int p0) {
	::btStackAlloc *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btStackAlloc),16);
	o = new (mem)::btStackAlloc(p0);
	return (void*)o;
}
void btStackAlloc_free(void *c) {
	::btStackAlloc *o = (::btStackAlloc*)c;
	delete o;
}
//method: create void ( ::btStackAlloc::* )( unsigned int ) 
void btStackAlloc_create(void *c,unsigned int p0) {
	::btStackAlloc *o = (::btStackAlloc*)c;
	o->create(p0);
}
//not supported method: allocate unsigned char * ( ::btStackAlloc::* )( unsigned int ) 
//method: destroy void ( ::btStackAlloc::* )(  ) 
void btStackAlloc_destroy(void *c) {
	::btStackAlloc *o = (::btStackAlloc*)c;
	o->destroy();
}
//method: beginBlock ::btBlock * ( ::btStackAlloc::* )(  ) 
void* btStackAlloc_beginBlock(void *c) {
	::btStackAlloc *o = (::btStackAlloc*)c;
	void* retVal = (void*) o->beginBlock();
	return retVal;
}
//method: getAvailableMemory int ( ::btStackAlloc::* )(  ) const
int btStackAlloc_getAvailableMemory(void *c) {
	::btStackAlloc *o = (::btStackAlloc*)c;
	int retVal = (int)o->getAvailableMemory();
	return retVal;
}
//method: endBlock void ( ::btStackAlloc::* )( ::btBlock * ) 
void btStackAlloc_endBlock(void *c,void* p0) {
	::btStackAlloc *o = (::btStackAlloc*)c;
	::btBlock * tp0 = (::btBlock *)p0;
	o->endBlock(tp0);
}

// ::btTransformDoubleData
//constructor: btTransformDoubleData  ( ::btTransformDoubleData::* )(  ) 
void* btTransformDoubleData_new() {
	::btTransformDoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTransformDoubleData),16);
	o = new (mem)::btTransformDoubleData();
	return (void*)o;
}
void btTransformDoubleData_free(void *c) {
	::btTransformDoubleData *o = (::btTransformDoubleData*)c;
	delete o;
}
//attribute: ::btMatrix3x3DoubleData btTransformDoubleData->m_basis
// attribute not supported: //attribute: ::btMatrix3x3DoubleData btTransformDoubleData->m_basis
//attribute: ::btVector3DoubleData btTransformDoubleData->m_origin
// attribute not supported: //attribute: ::btVector3DoubleData btTransformDoubleData->m_origin

// ::btTransformFloatData
//constructor: btTransformFloatData  ( ::btTransformFloatData::* )(  ) 
void* btTransformFloatData_new() {
	::btTransformFloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTransformFloatData),16);
	o = new (mem)::btTransformFloatData();
	return (void*)o;
}
void btTransformFloatData_free(void *c) {
	::btTransformFloatData *o = (::btTransformFloatData*)c;
	delete o;
}
//attribute: ::btMatrix3x3FloatData btTransformFloatData->m_basis
// attribute not supported: //attribute: ::btMatrix3x3FloatData btTransformFloatData->m_basis
//attribute: ::btVector3FloatData btTransformFloatData->m_origin
// attribute not supported: //attribute: ::btVector3FloatData btTransformFloatData->m_origin

// ::btTransformUtil
//constructor: btTransformUtil  ( ::btTransformUtil::* )(  ) 
void* btTransformUtil_new() {
	::btTransformUtil *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTransformUtil),16);
	o = new (mem)::btTransformUtil();
	return (void*)o;
}
void btTransformUtil_free(void *c) {
	::btTransformUtil *o = (::btTransformUtil*)c;
	delete o;
}
//not supported method: calculateDiffAxisAngle void (*)( ::btTransform const &,::btTransform const &,::btVector3 &,::btScalar & )
//method: calculateVelocity void (*)( ::btTransform const &,::btTransform const &,::btScalar,::btVector3 &,::btVector3 & )
void btTransformUtil_calculateVelocity(float* p0,float* p1,float p2,float* p3,float* p4) {
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	::btTransformUtil::calculateVelocity(tp0,tp1,p2,tp3,tp4);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: integrateTransform void (*)( ::btTransform const &,::btVector3 const &,::btVector3 const &,::btScalar,::btTransform & )
void btTransformUtil_integrateTransform(float* p0,float* p1,float* p2,float p3,float* p4) {
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btMatrix3x3 mtp4(p4[0],p4[1],p4[2],p4[3],p4[4],p4[5],p4[6],p4[7],p4[8]);
	btVector3 vtp4(p4[9],p4[10],p4[11]);
	btTransform tp4(mtp4,vtp4);
	::btTransformUtil::integrateTransform(tp0,tp1,tp2,p3,tp4);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p4[0]=tp4.getBasis().getRow(0).m_floats[0];p4[1]=tp4.getBasis().getRow(0).m_floats[1];p4[2]=tp4.getBasis().getRow(0).m_floats[2];p4[3]=tp4.getBasis().getRow(1).m_floats[0];p4[4]=tp4.getBasis().getRow(1).m_floats[1];p4[5]=tp4.getBasis().getRow(1).m_floats[2];p4[6]=tp4.getBasis().getRow(2).m_floats[0];p4[7]=tp4.getBasis().getRow(2).m_floats[1];p4[8]=tp4.getBasis().getRow(2).m_floats[2];
	p4[9]=tp4.getOrigin().m_floats[0];p4[10]=tp4.getOrigin().m_floats[1];p4[11]=tp4.getOrigin().m_floats[2];
}
//method: calculateVelocityQuaternion void (*)( ::btVector3 const &,::btVector3 const &,::btQuaternion const &,::btQuaternion const &,::btScalar,::btVector3 &,::btVector3 & )
void btTransformUtil_calculateVelocityQuaternion(float* p0,float* p1,float* p2,float* p3,float p4,float* p5,float* p6) {
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btQuaternion tp2(p2[0],p2[1],p2[2],p2[3]);
	btQuaternion tp3(p3[0],p3[1],p3[2],p3[3]);
	btVector3 tp5(p5[0],p5[1],p5[2]);
	btVector3 tp6(p6[0],p6[1],p6[2]);
	::btTransformUtil::calculateVelocityQuaternion(tp0,tp1,tp2,tp3,p4,tp5,tp6);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.getX();p2[1]=tp2.getY();p2[2]=tp2.getZ();p2[3]=tp2.getW();
	p3[0]=tp3.getX();p3[1]=tp3.getY();p3[2]=tp3.getZ();p3[3]=tp3.getW();
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
	p6[0]=tp6.m_floats[0];p6[1]=tp6.m_floats[1];p6[2]=tp6.m_floats[2];
}
//not supported method: calculateDiffAxisAngleQuaternion void (*)( ::btQuaternion const &,::btQuaternion const &,::btVector3 &,::btScalar & )

// ::btTypedObject
//constructor: btTypedObject  ( ::btTypedObject::* )( int ) 
void* btTypedObject_new(int p0) {
	::btTypedObject *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTypedObject),16);
	o = new (mem)::btTypedObject(p0);
	return (void*)o;
}
void btTypedObject_free(void *c) {
	::btTypedObject *o = (::btTypedObject*)c;
	delete o;
}
//method: getObjectType int ( ::btTypedObject::* )(  ) const
int btTypedObject_getObjectType(void *c) {
	::btTypedObject *o = (::btTypedObject*)c;
	int retVal = (int)o->getObjectType();
	return retVal;
}
//attribute: int btTypedObject->m_objectType
void btTypedObject_m_objectType_set(void *c,int a) {
	::btTypedObject *o = (::btTypedObject*)c;
	o->m_objectType = a;
}
int btTypedObject_m_objectType_get(void *c) {
	::btTypedObject *o = (::btTypedObject*)c;
	return (int)(o->m_objectType);
}


// ::btVector3DoubleData
//constructor: btVector3DoubleData  ( ::btVector3DoubleData::* )(  ) 
void* btVector3DoubleData_new() {
	::btVector3DoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btVector3DoubleData),16);
	o = new (mem)::btVector3DoubleData();
	return (void*)o;
}
void btVector3DoubleData_free(void *c) {
	::btVector3DoubleData *o = (::btVector3DoubleData*)c;
	delete o;
}
//attribute: double[4] btVector3DoubleData->m_floats
// attribute not supported: //attribute: double[4] btVector3DoubleData->m_floats

// ::btVector3FloatData
//constructor: btVector3FloatData  ( ::btVector3FloatData::* )(  ) 
void* btVector3FloatData_new() {
	::btVector3FloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btVector3FloatData),16);
	o = new (mem)::btVector3FloatData();
	return (void*)o;
}
void btVector3FloatData_free(void *c) {
	::btVector3FloatData *o = (::btVector3FloatData*)c;
	delete o;
}
//attribute: float[4] btVector3FloatData->m_floats
// attribute not supported: //attribute: float[4] btVector3FloatData->m_floats

// ::btAngularLimit
//constructor: btAngularLimit  ( ::btAngularLimit::* )(  ) 
void* btAngularLimit_new() {
	::btAngularLimit *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btAngularLimit),16);
	o = new (mem)::btAngularLimit();
	return (void*)o;
}
void btAngularLimit_free(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	delete o;
}
//method: getCorrection ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getCorrection(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getCorrection();
	return retVal;
}
//method: set void ( ::btAngularLimit::* )( ::btScalar,::btScalar,::btScalar,::btScalar,::btScalar ) 
void btAngularLimit_set(void *c,float p0,float p1,float p2,float p3,float p4) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	o->set(p0,p1,p2,p3,p4);
}
//method: getError ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getError(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getError();
	return retVal;
}
//not supported method: fit void ( ::btAngularLimit::* )( ::btScalar & ) const
//method: isLimit bool ( ::btAngularLimit::* )(  ) const
int btAngularLimit_isLimit(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	int retVal = (int)o->isLimit();
	return retVal;
}
//method: getSign ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getSign(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getSign();
	return retVal;
}
//method: getBiasFactor ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getBiasFactor(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getBiasFactor();
	return retVal;
}
//method: getSoftness ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getSoftness(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getSoftness();
	return retVal;
}
//method: getHigh ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getHigh(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getHigh();
	return retVal;
}
//not supported method: test void ( ::btAngularLimit::* )( ::btScalar const ) 
//method: getHalfRange ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getHalfRange(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getHalfRange();
	return retVal;
}
//method: getLow ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getLow(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getLow();
	return retVal;
}
//method: getRelaxationFactor ::btScalar ( ::btAngularLimit::* )(  ) const
float btAngularLimit_getRelaxationFactor(void *c) {
	::btAngularLimit *o = (::btAngularLimit*)c;
	float retVal = (float)o->getRelaxationFactor();
	return retVal;
}

// ::btConeTwistConstraint
//constructor: btConeTwistConstraint  ( ::btConeTwistConstraint::* )( ::btRigidBody &,::btRigidBody &,::btTransform const &,::btTransform const & ) 
void* btConeTwistConstraint_new0(void* p0,void* p1,float* p2,float* p3) {
	::btConeTwistConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	mem = btAlignedAlloc(sizeof(::btConeTwistConstraint),16);
	o = new (mem)::btConeTwistConstraint(tp0,tp1,tp2,tp3);
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	return (void*)o;
}
//constructor: btConeTwistConstraint  ( ::btConeTwistConstraint::* )( ::btRigidBody &,::btTransform const & ) 
void* btConeTwistConstraint_new1(void* p0,float* p1) {
	::btConeTwistConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	mem = btAlignedAlloc(sizeof(::btConeTwistConstraint),16);
	o = new (mem)::btConeTwistConstraint(tp0,tp1);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	return (void*)o;
}
void btConeTwistConstraint_free(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	delete o;
}
//method: getRigidBodyB ::btRigidBody const & ( ::btConeTwistConstraint::* )(  ) const
void* btConeTwistConstraint_getRigidBodyB(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: getInfo2NonVirtual void ( ::btConeTwistConstraint::* )( ::btTypedConstraint::btConstraintInfo2 *,::btTransform const &,::btTransform const &,::btMatrix3x3 const &,::btMatrix3x3 const & ) 
void btConeTwistConstraint_getInfo2NonVirtual(void *c,void* p0,float* p1,float* p2,float* p3,float* p4) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btMatrix3x3 tp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btMatrix3x3 tp4(p4[0],p4[1],p4[2],p4[3],p4[4],p4[5],p4[6],p4[7],p4[8]);
	o->getInfo2NonVirtual(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.getRow(0).m_floats[0];p3[1]=tp3.getRow(0).m_floats[1];p3[2]=tp3.getRow(0).m_floats[2];p3[3]=tp3.getRow(1).m_floats[0];p3[4]=tp3.getRow(1).m_floats[1];p3[5]=tp3.getRow(1).m_floats[2];p3[6]=tp3.getRow(2).m_floats[0];p3[7]=tp3.getRow(2).m_floats[1];p3[8]=tp3.getRow(2).m_floats[2];
	p4[0]=tp4.getRow(0).m_floats[0];p4[1]=tp4.getRow(0).m_floats[1];p4[2]=tp4.getRow(0).m_floats[2];p4[3]=tp4.getRow(1).m_floats[0];p4[4]=tp4.getRow(1).m_floats[1];p4[5]=tp4.getRow(1).m_floats[2];p4[6]=tp4.getRow(2).m_floats[0];p4[7]=tp4.getRow(2).m_floats[1];p4[8]=tp4.getRow(2).m_floats[2];
}
//method: getRigidBodyA ::btRigidBody const & ( ::btConeTwistConstraint::* )(  ) const
void* btConeTwistConstraint_getRigidBodyA(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//method: isPastSwingLimit bool ( ::btConeTwistConstraint::* )(  ) 
int btConeTwistConstraint_isPastSwingLimit(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	int retVal = (int)o->isPastSwingLimit();
	return retVal;
}
//method: getFrameOffsetA ::btTransform const & ( ::btConeTwistConstraint::* )(  ) const
void btConeTwistConstraint_getFrameOffsetA(void *c,float* ret) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetB ::btTransform const & ( ::btConeTwistConstraint::* )(  ) const
void btConeTwistConstraint_getFrameOffsetB(void *c,float* ret) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getSwingSpan2 ::btScalar ( ::btConeTwistConstraint::* )(  ) 
float btConeTwistConstraint_getSwingSpan2(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	float retVal = (float)o->getSwingSpan2();
	return retVal;
}
//method: getSwingSpan1 ::btScalar ( ::btConeTwistConstraint::* )(  ) 
float btConeTwistConstraint_getSwingSpan1(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	float retVal = (float)o->getSwingSpan1();
	return retVal;
}
//method: calcAngleInfo2 void ( ::btConeTwistConstraint::* )( ::btTransform const &,::btTransform const &,::btMatrix3x3 const &,::btMatrix3x3 const & ) 
void btConeTwistConstraint_calcAngleInfo2(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 tp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btMatrix3x3 tp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	o->calcAngleInfo2(tp0,tp1,tp2,tp3);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getRow(0).m_floats[0];p2[1]=tp2.getRow(0).m_floats[1];p2[2]=tp2.getRow(0).m_floats[2];p2[3]=tp2.getRow(1).m_floats[0];p2[4]=tp2.getRow(1).m_floats[1];p2[5]=tp2.getRow(1).m_floats[2];p2[6]=tp2.getRow(2).m_floats[0];p2[7]=tp2.getRow(2).m_floats[1];p2[8]=tp2.getRow(2).m_floats[2];
	p3[0]=tp3.getRow(0).m_floats[0];p3[1]=tp3.getRow(0).m_floats[1];p3[2]=tp3.getRow(0).m_floats[2];p3[3]=tp3.getRow(1).m_floats[0];p3[4]=tp3.getRow(1).m_floats[1];p3[5]=tp3.getRow(1).m_floats[2];p3[6]=tp3.getRow(2).m_floats[0];p3[7]=tp3.getRow(2).m_floats[1];p3[8]=tp3.getRow(2).m_floats[2];
}
//method: setParam void ( ::btConeTwistConstraint::* )( int,::btScalar,int ) 
void btConeTwistConstraint_setParam(void *c,int p0,float p1,int p2) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setParam(p0,p1,p2);
}
//method: getParam ::btScalar ( ::btConeTwistConstraint::* )( int,int ) const
float btConeTwistConstraint_getParam(void *c,int p0,int p1) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	float retVal = (float)o->getParam(p0,p1);
	return retVal;
}
//method: setDamping void ( ::btConeTwistConstraint::* )( ::btScalar ) 
void btConeTwistConstraint_setDamping(void *c,float p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setDamping(p0);
}
//method: getInfo1 void ( ::btConeTwistConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btConeTwistConstraint_getInfo1(void *c,void* p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1(tp0);
}
//method: getInfo2 void ( ::btConeTwistConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btConeTwistConstraint_getInfo2(void *c,void* p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: calculateSerializeBufferSize int ( ::btConeTwistConstraint::* )(  ) const
int btConeTwistConstraint_calculateSerializeBufferSize(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getTwistAngle ::btScalar ( ::btConeTwistConstraint::* )(  ) 
float btConeTwistConstraint_getTwistAngle(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	float retVal = (float)o->getTwistAngle();
	return retVal;
}
//method: setMaxMotorImpulseNormalized void ( ::btConeTwistConstraint::* )( ::btScalar ) 
void btConeTwistConstraint_setMaxMotorImpulseNormalized(void *c,float p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setMaxMotorImpulseNormalized(p0);
}
//method: getSolveTwistLimit int ( ::btConeTwistConstraint::* )(  ) 
int btConeTwistConstraint_getSolveTwistLimit(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	int retVal = (int)o->getSolveTwistLimit();
	return retVal;
}
//method: enableMotor void ( ::btConeTwistConstraint::* )( bool ) 
void btConeTwistConstraint_enableMotor(void *c,int p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->enableMotor(p0);
}
//method: getBFrame ::btTransform const & ( ::btConeTwistConstraint::* )(  ) 
void btConeTwistConstraint_getBFrame(void *c,float* ret) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getBFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getInfo1NonVirtual void ( ::btConeTwistConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btConeTwistConstraint_getInfo1NonVirtual(void *c,void* p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1NonVirtual(tp0);
}
//not supported method: serialize char const * ( ::btConeTwistConstraint::* )( void *,::btSerializer * ) const
//method: getFixThresh ::btScalar ( ::btConeTwistConstraint::* )(  ) 
float btConeTwistConstraint_getFixThresh(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	float retVal = (float)o->getFixThresh();
	return retVal;
}
//method: getSolveSwingLimit int ( ::btConeTwistConstraint::* )(  ) 
int btConeTwistConstraint_getSolveSwingLimit(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	int retVal = (int)o->getSolveSwingLimit();
	return retVal;
}
//method: setAngularOnly void ( ::btConeTwistConstraint::* )( bool ) 
void btConeTwistConstraint_setAngularOnly(void *c,int p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setAngularOnly(p0);
}
//method: setFrames void ( ::btConeTwistConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btConeTwistConstraint_setFrames(void *c,float* p0,float* p1) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setFrames(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: setLimit void ( ::btConeTwistConstraint::* )( int,::btScalar ) 
void btConeTwistConstraint_setLimit(void *c,int p0,float p1) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setLimit(p0,p1);
}
//method: setLimit void ( ::btConeTwistConstraint::* )( int,::btScalar ) 
void btConeTwistConstraint_setLimit0(void *c,int p0,float p1) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setLimit(p0,p1);
}
//method: setLimit void ( ::btConeTwistConstraint::* )( ::btScalar,::btScalar,::btScalar,::btScalar,::btScalar,::btScalar ) 
void btConeTwistConstraint_setLimit1(void *c,float p0,float p1,float p2,float p3,float p4,float p5) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setLimit(p0,p1,p2,p3,p4,p5);
}
//method: buildJacobian void ( ::btConeTwistConstraint::* )(  ) 
void btConeTwistConstraint_buildJacobian(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->buildJacobian();
}
//method: getTwistLimitSign ::btScalar ( ::btConeTwistConstraint::* )(  ) 
float btConeTwistConstraint_getTwistLimitSign(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	float retVal = (float)o->getTwistLimitSign();
	return retVal;
}
//method: setMaxMotorImpulse void ( ::btConeTwistConstraint::* )( ::btScalar ) 
void btConeTwistConstraint_setMaxMotorImpulse(void *c,float p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setMaxMotorImpulse(p0);
}
//method: updateRHS void ( ::btConeTwistConstraint::* )( ::btScalar ) 
void btConeTwistConstraint_updateRHS(void *c,float p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->updateRHS(p0);
}
//method: setMotorTarget void ( ::btConeTwistConstraint::* )( ::btQuaternion const & ) 
void btConeTwistConstraint_setMotorTarget(void *c,float* p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btQuaternion tp0(p0[0],p0[1],p0[2],p0[3]);
	o->setMotorTarget(tp0);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
}
//method: setFixThresh void ( ::btConeTwistConstraint::* )( ::btScalar ) 
void btConeTwistConstraint_setFixThresh(void *c,float p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->setFixThresh(p0);
}
//method: setMotorTargetInConstraintSpace void ( ::btConeTwistConstraint::* )( ::btQuaternion const & ) 
void btConeTwistConstraint_setMotorTargetInConstraintSpace(void *c,float* p0) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btQuaternion tp0(p0[0],p0[1],p0[2],p0[3]);
	o->setMotorTargetInConstraintSpace(tp0);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
}
//method: solveConstraintObsolete void ( ::btConeTwistConstraint::* )( ::btRigidBody &,::btRigidBody &,::btScalar ) 
void btConeTwistConstraint_solveConstraintObsolete(void *c,void* p0,void* p1,float p2) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	o->solveConstraintObsolete(tp0,tp1,p2);
}
//method: GetPointForAngle ::btVector3 ( ::btConeTwistConstraint::* )( ::btScalar,::btScalar ) const
void btConeTwistConstraint_GetPointForAngle(void *c,float p0,float p1,float* ret) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->GetPointForAngle(p0,p1);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: calcAngleInfo void ( ::btConeTwistConstraint::* )(  ) 
void btConeTwistConstraint_calcAngleInfo(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	o->calcAngleInfo();
}
//method: getTwistSpan ::btScalar ( ::btConeTwistConstraint::* )(  ) 
float btConeTwistConstraint_getTwistSpan(void *c) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	float retVal = (float)o->getTwistSpan();
	return retVal;
}
//method: getAFrame ::btTransform const & ( ::btConeTwistConstraint::* )(  ) 
void btConeTwistConstraint_getAFrame(void *c,float* ret) {
	::btConeTwistConstraint *o = (::btConeTwistConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getAFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}

// ::btConeTwistConstraintData
//constructor: btConeTwistConstraintData  ( ::btConeTwistConstraintData::* )(  ) 
void* btConeTwistConstraintData_new() {
	::btConeTwistConstraintData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConeTwistConstraintData),16);
	o = new (mem)::btConeTwistConstraintData();
	return (void*)o;
}
void btConeTwistConstraintData_free(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	delete o;
}
//attribute: ::btTypedConstraintData btConeTwistConstraintData->m_typeConstraintData
// attribute not supported: //attribute: ::btTypedConstraintData btConeTwistConstraintData->m_typeConstraintData
//attribute: ::btTransformFloatData btConeTwistConstraintData->m_rbAFrame
// attribute not supported: //attribute: ::btTransformFloatData btConeTwistConstraintData->m_rbAFrame
//attribute: ::btTransformFloatData btConeTwistConstraintData->m_rbBFrame
// attribute not supported: //attribute: ::btTransformFloatData btConeTwistConstraintData->m_rbBFrame
//attribute: float btConeTwistConstraintData->m_swingSpan1
void btConeTwistConstraintData_m_swingSpan1_set(void *c,float a) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	o->m_swingSpan1 = a;
}
float btConeTwistConstraintData_m_swingSpan1_get(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	return (float)(o->m_swingSpan1);
}

//attribute: float btConeTwistConstraintData->m_swingSpan2
void btConeTwistConstraintData_m_swingSpan2_set(void *c,float a) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	o->m_swingSpan2 = a;
}
float btConeTwistConstraintData_m_swingSpan2_get(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	return (float)(o->m_swingSpan2);
}

//attribute: float btConeTwistConstraintData->m_twistSpan
void btConeTwistConstraintData_m_twistSpan_set(void *c,float a) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	o->m_twistSpan = a;
}
float btConeTwistConstraintData_m_twistSpan_get(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	return (float)(o->m_twistSpan);
}

//attribute: float btConeTwistConstraintData->m_limitSoftness
void btConeTwistConstraintData_m_limitSoftness_set(void *c,float a) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	o->m_limitSoftness = a;
}
float btConeTwistConstraintData_m_limitSoftness_get(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	return (float)(o->m_limitSoftness);
}

//attribute: float btConeTwistConstraintData->m_biasFactor
void btConeTwistConstraintData_m_biasFactor_set(void *c,float a) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	o->m_biasFactor = a;
}
float btConeTwistConstraintData_m_biasFactor_get(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	return (float)(o->m_biasFactor);
}

//attribute: float btConeTwistConstraintData->m_relaxationFactor
void btConeTwistConstraintData_m_relaxationFactor_set(void *c,float a) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	o->m_relaxationFactor = a;
}
float btConeTwistConstraintData_m_relaxationFactor_get(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	return (float)(o->m_relaxationFactor);
}

//attribute: float btConeTwistConstraintData->m_damping
void btConeTwistConstraintData_m_damping_set(void *c,float a) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	o->m_damping = a;
}
float btConeTwistConstraintData_m_damping_get(void *c) {
	::btConeTwistConstraintData *o = (::btConeTwistConstraintData*)c;
	return (float)(o->m_damping);
}

//attribute: char[4] btConeTwistConstraintData->m_pad
// attribute not supported: //attribute: char[4] btConeTwistConstraintData->m_pad

// ::btTypedConstraint::btConstraintInfo1
//constructor: btConstraintInfo1  ( ::btTypedConstraint::btConstraintInfo1::* )(  ) 
void* btTypedConstraint_btConstraintInfo1_new() {
	::btTypedConstraint::btConstraintInfo1 *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTypedConstraint::btConstraintInfo1),16);
	o = new (mem)::btTypedConstraint::btConstraintInfo1();
	return (void*)o;
}
void btTypedConstraint_btConstraintInfo1_free(void *c) {
	::btTypedConstraint::btConstraintInfo1 *o = (::btTypedConstraint::btConstraintInfo1*)c;
	delete o;
}
//attribute: int btTypedConstraint_btConstraintInfo1->m_numConstraintRows
void btTypedConstraint_btConstraintInfo1_m_numConstraintRows_set(void *c,int a) {
	::btTypedConstraint::btConstraintInfo1 *o = (::btTypedConstraint::btConstraintInfo1*)c;
	o->m_numConstraintRows = a;
}
int btTypedConstraint_btConstraintInfo1_m_numConstraintRows_get(void *c) {
	::btTypedConstraint::btConstraintInfo1 *o = (::btTypedConstraint::btConstraintInfo1*)c;
	return (int)(o->m_numConstraintRows);
}

//attribute: int btTypedConstraint_btConstraintInfo1->nub
void btTypedConstraint_btConstraintInfo1_nub_set(void *c,int a) {
	::btTypedConstraint::btConstraintInfo1 *o = (::btTypedConstraint::btConstraintInfo1*)c;
	o->nub = a;
}
int btTypedConstraint_btConstraintInfo1_nub_get(void *c) {
	::btTypedConstraint::btConstraintInfo1 *o = (::btTypedConstraint::btConstraintInfo1*)c;
	return (int)(o->nub);
}


// ::btTypedConstraint::btConstraintInfo2
//constructor: btConstraintInfo2  ( ::btTypedConstraint::btConstraintInfo2::* )(  ) 
void* btTypedConstraint_btConstraintInfo2_new() {
	::btTypedConstraint::btConstraintInfo2 *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTypedConstraint::btConstraintInfo2),16);
	o = new (mem)::btTypedConstraint::btConstraintInfo2();
	return (void*)o;
}
void btTypedConstraint_btConstraintInfo2_free(void *c) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	delete o;
}
//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->cfm
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->cfm
//attribute: ::btScalar btTypedConstraint_btConstraintInfo2->erp
void btTypedConstraint_btConstraintInfo2_erp_set(void *c,float a) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	o->erp = a;
}
float btTypedConstraint_btConstraintInfo2_erp_get(void *c) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	return (float)(o->erp);
}

//attribute: int * btTypedConstraint_btConstraintInfo2->findex
// attribute not supported: //attribute: int * btTypedConstraint_btConstraintInfo2->findex
//attribute: ::btScalar btTypedConstraint_btConstraintInfo2->fps
void btTypedConstraint_btConstraintInfo2_fps_set(void *c,float a) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	o->fps = a;
}
float btTypedConstraint_btConstraintInfo2_fps_get(void *c) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	return (float)(o->fps);
}

//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J1angularAxis
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J1angularAxis
//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J1linearAxis
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J1linearAxis
//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J2angularAxis
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J2angularAxis
//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J2linearAxis
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_J2linearAxis
//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_constraintError
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_constraintError
//attribute: ::btScalar btTypedConstraint_btConstraintInfo2->m_damping
void btTypedConstraint_btConstraintInfo2_m_damping_set(void *c,float a) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	o->m_damping = a;
}
float btTypedConstraint_btConstraintInfo2_m_damping_get(void *c) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	return (float)(o->m_damping);
}

//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_lowerLimit
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_lowerLimit
//attribute: int btTypedConstraint_btConstraintInfo2->m_numIterations
void btTypedConstraint_btConstraintInfo2_m_numIterations_set(void *c,int a) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	o->m_numIterations = a;
}
int btTypedConstraint_btConstraintInfo2_m_numIterations_get(void *c) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	return (int)(o->m_numIterations);
}

//attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_upperLimit
// attribute not supported: //attribute: ::btScalar * btTypedConstraint_btConstraintInfo2->m_upperLimit
//attribute: int btTypedConstraint_btConstraintInfo2->rowskip
void btTypedConstraint_btConstraintInfo2_rowskip_set(void *c,int a) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	o->rowskip = a;
}
int btTypedConstraint_btConstraintInfo2_rowskip_get(void *c) {
	::btTypedConstraint::btConstraintInfo2 *o = (::btTypedConstraint::btConstraintInfo2*)c;
	return (int)(o->rowskip);
}


// ::btConstraintSetting
//constructor: btConstraintSetting  ( ::btConstraintSetting::* )(  ) 
void* btConstraintSetting_new() {
	::btConstraintSetting *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConstraintSetting),16);
	o = new (mem)::btConstraintSetting();
	return (void*)o;
}
void btConstraintSetting_free(void *c) {
	::btConstraintSetting *o = (::btConstraintSetting*)c;
	delete o;
}
//attribute: ::btScalar btConstraintSetting->m_tau
void btConstraintSetting_m_tau_set(void *c,float a) {
	::btConstraintSetting *o = (::btConstraintSetting*)c;
	o->m_tau = a;
}
float btConstraintSetting_m_tau_get(void *c) {
	::btConstraintSetting *o = (::btConstraintSetting*)c;
	return (float)(o->m_tau);
}

//attribute: ::btScalar btConstraintSetting->m_damping
void btConstraintSetting_m_damping_set(void *c,float a) {
	::btConstraintSetting *o = (::btConstraintSetting*)c;
	o->m_damping = a;
}
float btConstraintSetting_m_damping_get(void *c) {
	::btConstraintSetting *o = (::btConstraintSetting*)c;
	return (float)(o->m_damping);
}

//attribute: ::btScalar btConstraintSetting->m_impulseClamp
void btConstraintSetting_m_impulseClamp_set(void *c,float a) {
	::btConstraintSetting *o = (::btConstraintSetting*)c;
	o->m_impulseClamp = a;
}
float btConstraintSetting_m_impulseClamp_get(void *c) {
	::btConstraintSetting *o = (::btConstraintSetting*)c;
	return (float)(o->m_impulseClamp);
}


// ::btConstraintSolver
//method: reset void ( ::btConstraintSolver::* )(  ) 
void btConstraintSolver_reset(void *c) {
	::btConstraintSolver *o = (::btConstraintSolver*)c;
	o->reset();
}
//method: allSolved void ( ::btConstraintSolver::* )( ::btContactSolverInfo const &,::btIDebugDraw *,::btStackAlloc * ) 
void btConstraintSolver_allSolved(void *c,void* p0,void* p1,void* p2) {
	::btConstraintSolver *o = (::btConstraintSolver*)c;
	::btContactSolverInfo const & tp0 = *(::btContactSolverInfo const *)p0;
	::btIDebugDraw * tp1 = (::btIDebugDraw *)p1;
	::btStackAlloc * tp2 = (::btStackAlloc *)p2;
	o->allSolved(tp0,tp1,tp2);
}
//not supported method: solveGroup ::btScalar ( ::btConstraintSolver::* )( ::btCollisionObject * *,int,::btPersistentManifold * *,int,::btTypedConstraint * *,int,::btContactSolverInfo const &,::btIDebugDraw *,::btStackAlloc *,::btDispatcher * ) 
//method: prepareSolve void ( ::btConstraintSolver::* )( int,int ) 
void btConstraintSolver_prepareSolve(void *c,int p0,int p1) {
	::btConstraintSolver *o = (::btConstraintSolver*)c;
	o->prepareSolve(p0,p1);
}

// ::btContactConstraint
//method: getInfo1 void ( ::btContactConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btContactConstraint_getInfo1(void *c,void* p0) {
	::btContactConstraint *o = (::btContactConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1(tp0);
}
//method: setContactManifold void ( ::btContactConstraint::* )( ::btPersistentManifold * ) 
void btContactConstraint_setContactManifold(void *c,void* p0) {
	::btContactConstraint *o = (::btContactConstraint*)c;
	::btPersistentManifold * tp0 = (::btPersistentManifold *)p0;
	o->setContactManifold(tp0);
}
//method: buildJacobian void ( ::btContactConstraint::* )(  ) 
void btContactConstraint_buildJacobian(void *c) {
	::btContactConstraint *o = (::btContactConstraint*)c;
	o->buildJacobian();
}
//method: getInfo2 void ( ::btContactConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btContactConstraint_getInfo2(void *c,void* p0) {
	::btContactConstraint *o = (::btContactConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: getContactManifold ::btPersistentManifold * ( ::btContactConstraint::* )(  ) 
void* btContactConstraint_getContactManifold(void *c) {
	::btContactConstraint *o = (::btContactConstraint*)c;
	void* retVal = (void*) o->getContactManifold();
	return retVal;
}
//method: getContactManifold ::btPersistentManifold * ( ::btContactConstraint::* )(  ) 
void* btContactConstraint_getContactManifold0(void *c) {
	::btContactConstraint *o = (::btContactConstraint*)c;
	void* retVal = (void*) o->getContactManifold();
	return retVal;
}
//method: getContactManifold ::btPersistentManifold const * ( ::btContactConstraint::* )(  ) const
void* btContactConstraint_getContactManifold1(void *c) {
	::btContactConstraint *o = (::btContactConstraint*)c;
	void* retVal = (void*) o->getContactManifold();
	return retVal;
}

// ::btContactSolverInfo
//constructor: btContactSolverInfo  ( ::btContactSolverInfo::* )(  ) 
void* btContactSolverInfo_new() {
	::btContactSolverInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btContactSolverInfo),16);
	o = new (mem)::btContactSolverInfo();
	return (void*)o;
}
void btContactSolverInfo_free(void *c) {
	::btContactSolverInfo *o = (::btContactSolverInfo*)c;
	delete o;
}

// ::btContactSolverInfoData
//constructor: btContactSolverInfoData  ( ::btContactSolverInfoData::* )(  ) 
void* btContactSolverInfoData_new() {
	::btContactSolverInfoData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btContactSolverInfoData),16);
	o = new (mem)::btContactSolverInfoData();
	return (void*)o;
}
void btContactSolverInfoData_free(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	delete o;
}
//attribute: ::btScalar btContactSolverInfoData->m_tau
void btContactSolverInfoData_m_tau_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_tau = a;
}
float btContactSolverInfoData_m_tau_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_tau);
}

//attribute: ::btScalar btContactSolverInfoData->m_damping
void btContactSolverInfoData_m_damping_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_damping = a;
}
float btContactSolverInfoData_m_damping_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_damping);
}

//attribute: ::btScalar btContactSolverInfoData->m_friction
void btContactSolverInfoData_m_friction_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_friction = a;
}
float btContactSolverInfoData_m_friction_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_friction);
}

//attribute: ::btScalar btContactSolverInfoData->m_timeStep
void btContactSolverInfoData_m_timeStep_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_timeStep = a;
}
float btContactSolverInfoData_m_timeStep_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_timeStep);
}

//attribute: ::btScalar btContactSolverInfoData->m_restitution
void btContactSolverInfoData_m_restitution_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_restitution = a;
}
float btContactSolverInfoData_m_restitution_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_restitution);
}

//attribute: int btContactSolverInfoData->m_numIterations
void btContactSolverInfoData_m_numIterations_set(void *c,int a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_numIterations = a;
}
int btContactSolverInfoData_m_numIterations_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (int)(o->m_numIterations);
}

//attribute: ::btScalar btContactSolverInfoData->m_maxErrorReduction
void btContactSolverInfoData_m_maxErrorReduction_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_maxErrorReduction = a;
}
float btContactSolverInfoData_m_maxErrorReduction_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_maxErrorReduction);
}

//attribute: ::btScalar btContactSolverInfoData->m_sor
void btContactSolverInfoData_m_sor_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_sor = a;
}
float btContactSolverInfoData_m_sor_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_sor);
}

//attribute: ::btScalar btContactSolverInfoData->m_erp
void btContactSolverInfoData_m_erp_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_erp = a;
}
float btContactSolverInfoData_m_erp_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_erp);
}

//attribute: ::btScalar btContactSolverInfoData->m_erp2
void btContactSolverInfoData_m_erp2_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_erp2 = a;
}
float btContactSolverInfoData_m_erp2_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_erp2);
}

//attribute: ::btScalar btContactSolverInfoData->m_globalCfm
void btContactSolverInfoData_m_globalCfm_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_globalCfm = a;
}
float btContactSolverInfoData_m_globalCfm_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_globalCfm);
}

//attribute: int btContactSolverInfoData->m_splitImpulse
void btContactSolverInfoData_m_splitImpulse_set(void *c,int a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_splitImpulse = a;
}
int btContactSolverInfoData_m_splitImpulse_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (int)(o->m_splitImpulse);
}

//attribute: ::btScalar btContactSolverInfoData->m_splitImpulsePenetrationThreshold
void btContactSolverInfoData_m_splitImpulsePenetrationThreshold_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_splitImpulsePenetrationThreshold = a;
}
float btContactSolverInfoData_m_splitImpulsePenetrationThreshold_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_splitImpulsePenetrationThreshold);
}

//attribute: ::btScalar btContactSolverInfoData->m_linearSlop
void btContactSolverInfoData_m_linearSlop_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_linearSlop = a;
}
float btContactSolverInfoData_m_linearSlop_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_linearSlop);
}

//attribute: ::btScalar btContactSolverInfoData->m_warmstartingFactor
void btContactSolverInfoData_m_warmstartingFactor_set(void *c,float a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_warmstartingFactor = a;
}
float btContactSolverInfoData_m_warmstartingFactor_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (float)(o->m_warmstartingFactor);
}

//attribute: int btContactSolverInfoData->m_solverMode
void btContactSolverInfoData_m_solverMode_set(void *c,int a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_solverMode = a;
}
int btContactSolverInfoData_m_solverMode_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (int)(o->m_solverMode);
}

//attribute: int btContactSolverInfoData->m_restingContactRestitutionThreshold
void btContactSolverInfoData_m_restingContactRestitutionThreshold_set(void *c,int a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_restingContactRestitutionThreshold = a;
}
int btContactSolverInfoData_m_restingContactRestitutionThreshold_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (int)(o->m_restingContactRestitutionThreshold);
}

//attribute: int btContactSolverInfoData->m_minimumSolverBatchSize
void btContactSolverInfoData_m_minimumSolverBatchSize_set(void *c,int a) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	o->m_minimumSolverBatchSize = a;
}
int btContactSolverInfoData_m_minimumSolverBatchSize_get(void *c) {
	::btContactSolverInfoData *o = (::btContactSolverInfoData*)c;
	return (int)(o->m_minimumSolverBatchSize);
}


// ::btGeneric6DofConstraint
//constructor: btGeneric6DofConstraint  ( ::btGeneric6DofConstraint::* )( ::btRigidBody &,::btRigidBody &,::btTransform const &,::btTransform const &,bool ) 
void* btGeneric6DofConstraint_new0(void* p0,void* p1,float* p2,float* p3,int p4) {
	::btGeneric6DofConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	mem = btAlignedAlloc(sizeof(::btGeneric6DofConstraint),16);
	o = new (mem)::btGeneric6DofConstraint(tp0,tp1,tp2,tp3,p4);
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	return (void*)o;
}
//constructor: btGeneric6DofConstraint  ( ::btGeneric6DofConstraint::* )( ::btRigidBody &,::btTransform const &,bool ) 
void* btGeneric6DofConstraint_new1(void* p0,float* p1,int p2) {
	::btGeneric6DofConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	mem = btAlignedAlloc(sizeof(::btGeneric6DofConstraint),16);
	o = new (mem)::btGeneric6DofConstraint(tp0,tp1,p2);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	return (void*)o;
}
void btGeneric6DofConstraint_free(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	delete o;
}
//method: buildJacobian void ( ::btGeneric6DofConstraint::* )(  ) 
void btGeneric6DofConstraint_buildJacobian(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->buildJacobian();
}
//method: setParam void ( ::btGeneric6DofConstraint::* )( int,::btScalar,int ) 
void btGeneric6DofConstraint_setParam(void *c,int p0,float p1,int p2) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->setParam(p0,p1,p2);
}
//method: getFrameOffsetA ::btTransform const & ( ::btGeneric6DofConstraint::* )(  ) const
void btGeneric6DofConstraint_getFrameOffsetA(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetA ::btTransform const & ( ::btGeneric6DofConstraint::* )(  ) const
void btGeneric6DofConstraint_getFrameOffsetA0(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetA ::btTransform & ( ::btGeneric6DofConstraint::* )(  ) 
void btGeneric6DofConstraint_getFrameOffsetA1(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getRelativePivotPosition ::btScalar ( ::btGeneric6DofConstraint::* )( int ) const
float btGeneric6DofConstraint_getRelativePivotPosition(void *c,int p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	float retVal = (float)o->getRelativePivotPosition(p0);
	return retVal;
}
//method: getFrameOffsetB ::btTransform const & ( ::btGeneric6DofConstraint::* )(  ) const
void btGeneric6DofConstraint_getFrameOffsetB(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetB ::btTransform const & ( ::btGeneric6DofConstraint::* )(  ) const
void btGeneric6DofConstraint_getFrameOffsetB0(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetB ::btTransform & ( ::btGeneric6DofConstraint::* )(  ) 
void btGeneric6DofConstraint_getFrameOffsetB1(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getInfo2NonVirtual void ( ::btGeneric6DofConstraint::* )( ::btTypedConstraint::btConstraintInfo2 *,::btTransform const &,::btTransform const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btGeneric6DofConstraint_getInfo2NonVirtual(void *c,void* p0,float* p1,float* p2,float* p3,float* p4,float* p5,float* p6) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	btVector3 tp5(p5[0],p5[1],p5[2]);
	btVector3 tp6(p6[0],p6[1],p6[2]);
	o->getInfo2NonVirtual(tp0,tp1,tp2,tp3,tp4,tp5,tp6);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
	p6[0]=tp6.m_floats[0];p6[1]=tp6.m_floats[1];p6[2]=tp6.m_floats[2];
}
//method: getCalculatedTransformA ::btTransform const & ( ::btGeneric6DofConstraint::* )(  ) const
void btGeneric6DofConstraint_getCalculatedTransformA(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getCalculatedTransformA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getParam ::btScalar ( ::btGeneric6DofConstraint::* )( int,int ) const
float btGeneric6DofConstraint_getParam(void *c,int p0,int p1) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	float retVal = (float)o->getParam(p0,p1);
	return retVal;
}
//method: getInfo1 void ( ::btGeneric6DofConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btGeneric6DofConstraint_getInfo1(void *c,void* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1(tp0);
}
//method: getInfo2 void ( ::btGeneric6DofConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btGeneric6DofConstraint_getInfo2(void *c,void* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: calcAnchorPos void ( ::btGeneric6DofConstraint::* )(  ) 
void btGeneric6DofConstraint_calcAnchorPos(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->calcAnchorPos();
}
//method: getAngularLowerLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 & ) 
void btGeneric6DofConstraint_getAngularLowerLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->getAngularLowerLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btGeneric6DofConstraint::* )(  ) const
int btGeneric6DofConstraint_calculateSerializeBufferSize(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getAxis ::btVector3 ( ::btGeneric6DofConstraint::* )( int ) const
void btGeneric6DofConstraint_getAxis(void *c,int p0,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAxis(p0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getLinearUpperLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 & ) 
void btGeneric6DofConstraint_getLinearUpperLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->getLinearUpperLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setUseFrameOffset void ( ::btGeneric6DofConstraint::* )( bool ) 
void btGeneric6DofConstraint_setUseFrameOffset(void *c,int p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->setUseFrameOffset(p0);
}
//method: getRotationalLimitMotor ::btRotationalLimitMotor * ( ::btGeneric6DofConstraint::* )( int ) 
void* btGeneric6DofConstraint_getRotationalLimitMotor(void *c,int p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	void* retVal = (void*) o->getRotationalLimitMotor(p0);
	return retVal;
}
//method: getInfo1NonVirtual void ( ::btGeneric6DofConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btGeneric6DofConstraint_getInfo1NonVirtual(void *c,void* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1NonVirtual(tp0);
}
//not supported method: serialize char const * ( ::btGeneric6DofConstraint::* )( void *,::btSerializer * ) const
//method: setLinearLowerLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 const & ) 
void btGeneric6DofConstraint_setLinearLowerLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLinearLowerLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getLinearLowerLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 & ) 
void btGeneric6DofConstraint_getLinearLowerLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->getLinearLowerLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: isLimited bool ( ::btGeneric6DofConstraint::* )( int ) 
int btGeneric6DofConstraint_isLimited(void *c,int p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	int retVal = (int)o->isLimited(p0);
	return retVal;
}
//method: getUseFrameOffset bool ( ::btGeneric6DofConstraint::* )(  ) 
int btGeneric6DofConstraint_getUseFrameOffset(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	int retVal = (int)o->getUseFrameOffset();
	return retVal;
}
//method: getCalculatedTransformB ::btTransform const & ( ::btGeneric6DofConstraint::* )(  ) const
void btGeneric6DofConstraint_getCalculatedTransformB(void *c,float* ret) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getCalculatedTransformB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: calculateTransforms void ( ::btGeneric6DofConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btGeneric6DofConstraint_calculateTransforms(void *c,float* p0,float* p1) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->calculateTransforms(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: calculateTransforms void ( ::btGeneric6DofConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btGeneric6DofConstraint_calculateTransforms0(void *c,float* p0,float* p1) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->calculateTransforms(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: calculateTransforms void ( ::btGeneric6DofConstraint::* )(  ) 
void btGeneric6DofConstraint_calculateTransforms1(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->calculateTransforms();
}
//method: get_limit_motor_info2 int ( ::btGeneric6DofConstraint::* )( ::btRotationalLimitMotor *,::btTransform const &,::btTransform const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btTypedConstraint::btConstraintInfo2 *,int,::btVector3 &,int,int ) 
int btGeneric6DofConstraint_get_limit_motor_info2(void *c,void* p0,float* p1,float* p2,float* p3,float* p4,float* p5,float* p6,void* p7,int p8,float* p9,int p10,int p11) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	::btRotationalLimitMotor * tp0 = (::btRotationalLimitMotor *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	btVector3 tp5(p5[0],p5[1],p5[2]);
	btVector3 tp6(p6[0],p6[1],p6[2]);
	::btTypedConstraint::btConstraintInfo2 * tp7 = (::btTypedConstraint::btConstraintInfo2 *)p7;
	btVector3 tp9(p9[0],p9[1],p9[2]);
	int retVal = (int)o->get_limit_motor_info2(tp0,tp1,tp2,tp3,tp4,tp5,tp6,tp7,p8,tp9,p10,p11);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
	p6[0]=tp6.m_floats[0];p6[1]=tp6.m_floats[1];p6[2]=tp6.m_floats[2];
	p9[0]=tp9.m_floats[0];p9[1]=tp9.m_floats[1];p9[2]=tp9.m_floats[2];
	return retVal;
}
//method: setLimit void ( ::btGeneric6DofConstraint::* )( int,::btScalar,::btScalar ) 
void btGeneric6DofConstraint_setLimit(void *c,int p0,float p1,float p2) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->setLimit(p0,p1,p2);
}
//method: getTranslationalLimitMotor ::btTranslationalLimitMotor * ( ::btGeneric6DofConstraint::* )(  ) 
void* btGeneric6DofConstraint_getTranslationalLimitMotor(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	void* retVal = (void*) o->getTranslationalLimitMotor();
	return retVal;
}
//method: getAngle ::btScalar ( ::btGeneric6DofConstraint::* )( int ) const
float btGeneric6DofConstraint_getAngle(void *c,int p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	float retVal = (float)o->getAngle(p0);
	return retVal;
}
//method: updateRHS void ( ::btGeneric6DofConstraint::* )( ::btScalar ) 
void btGeneric6DofConstraint_updateRHS(void *c,float p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->updateRHS(p0);
}
//method: getAngularUpperLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 & ) 
void btGeneric6DofConstraint_getAngularUpperLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->getAngularUpperLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setAngularLowerLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 const & ) 
void btGeneric6DofConstraint_setAngularLowerLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setAngularLowerLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setFrames void ( ::btGeneric6DofConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btGeneric6DofConstraint_setFrames(void *c,float* p0,float* p1) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setFrames(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: setLinearUpperLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 const & ) 
void btGeneric6DofConstraint_setLinearUpperLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLinearUpperLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setAngularUpperLimit void ( ::btGeneric6DofConstraint::* )( ::btVector3 const & ) 
void btGeneric6DofConstraint_setAngularUpperLimit(void *c,float* p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setAngularUpperLimit(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setAxis void ( ::btGeneric6DofConstraint::* )( ::btVector3 const &,::btVector3 const & ) 
void btGeneric6DofConstraint_setAxis(void *c,float* p0,float* p1) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setAxis(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: testAngularLimitMotor bool ( ::btGeneric6DofConstraint::* )( int ) 
int btGeneric6DofConstraint_testAngularLimitMotor(void *c,int p0) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	int retVal = (int)o->testAngularLimitMotor(p0);
	return retVal;
}
//attribute: bool btGeneric6DofConstraint->m_useSolveConstraintObsolete
void btGeneric6DofConstraint_m_useSolveConstraintObsolete_set(void *c,int a) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	o->m_useSolveConstraintObsolete = a;
}
int btGeneric6DofConstraint_m_useSolveConstraintObsolete_get(void *c) {
	::btGeneric6DofConstraint *o = (::btGeneric6DofConstraint*)c;
	return (int)(o->m_useSolveConstraintObsolete);
}


// ::btGeneric6DofConstraintData
//constructor: btGeneric6DofConstraintData  ( ::btGeneric6DofConstraintData::* )(  ) 
void* btGeneric6DofConstraintData_new() {
	::btGeneric6DofConstraintData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGeneric6DofConstraintData),16);
	o = new (mem)::btGeneric6DofConstraintData();
	return (void*)o;
}
void btGeneric6DofConstraintData_free(void *c) {
	::btGeneric6DofConstraintData *o = (::btGeneric6DofConstraintData*)c;
	delete o;
}
//attribute: ::btTypedConstraintData btGeneric6DofConstraintData->m_typeConstraintData
// attribute not supported: //attribute: ::btTypedConstraintData btGeneric6DofConstraintData->m_typeConstraintData
//attribute: ::btTransformFloatData btGeneric6DofConstraintData->m_rbAFrame
// attribute not supported: //attribute: ::btTransformFloatData btGeneric6DofConstraintData->m_rbAFrame
//attribute: ::btTransformFloatData btGeneric6DofConstraintData->m_rbBFrame
// attribute not supported: //attribute: ::btTransformFloatData btGeneric6DofConstraintData->m_rbBFrame
//attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_linearUpperLimit
// attribute not supported: //attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_linearUpperLimit
//attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_linearLowerLimit
// attribute not supported: //attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_linearLowerLimit
//attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_angularUpperLimit
// attribute not supported: //attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_angularUpperLimit
//attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_angularLowerLimit
// attribute not supported: //attribute: ::btVector3FloatData btGeneric6DofConstraintData->m_angularLowerLimit
//attribute: int btGeneric6DofConstraintData->m_useLinearReferenceFrameA
void btGeneric6DofConstraintData_m_useLinearReferenceFrameA_set(void *c,int a) {
	::btGeneric6DofConstraintData *o = (::btGeneric6DofConstraintData*)c;
	o->m_useLinearReferenceFrameA = a;
}
int btGeneric6DofConstraintData_m_useLinearReferenceFrameA_get(void *c) {
	::btGeneric6DofConstraintData *o = (::btGeneric6DofConstraintData*)c;
	return (int)(o->m_useLinearReferenceFrameA);
}

//attribute: int btGeneric6DofConstraintData->m_useOffsetForConstraintFrame
void btGeneric6DofConstraintData_m_useOffsetForConstraintFrame_set(void *c,int a) {
	::btGeneric6DofConstraintData *o = (::btGeneric6DofConstraintData*)c;
	o->m_useOffsetForConstraintFrame = a;
}
int btGeneric6DofConstraintData_m_useOffsetForConstraintFrame_get(void *c) {
	::btGeneric6DofConstraintData *o = (::btGeneric6DofConstraintData*)c;
	return (int)(o->m_useOffsetForConstraintFrame);
}


// ::btGeneric6DofSpringConstraint
//constructor: btGeneric6DofSpringConstraint  ( ::btGeneric6DofSpringConstraint::* )( ::btRigidBody &,::btRigidBody &,::btTransform const &,::btTransform const &,bool ) 
void* btGeneric6DofSpringConstraint_new(void* p0,void* p1,float* p2,float* p3,int p4) {
	::btGeneric6DofSpringConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	mem = btAlignedAlloc(sizeof(::btGeneric6DofSpringConstraint),16);
	o = new (mem)::btGeneric6DofSpringConstraint(tp0,tp1,tp2,tp3,p4);
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	return (void*)o;
}
void btGeneric6DofSpringConstraint_free(void *c) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	delete o;
}
//method: calculateSerializeBufferSize int ( ::btGeneric6DofSpringConstraint::* )(  ) const
int btGeneric6DofSpringConstraint_calculateSerializeBufferSize(void *c) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: setEquilibriumPoint void ( ::btGeneric6DofSpringConstraint::* )(  ) 
void btGeneric6DofSpringConstraint_setEquilibriumPoint(void *c) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	o->setEquilibriumPoint();
}
//method: setEquilibriumPoint void ( ::btGeneric6DofSpringConstraint::* )(  ) 
void btGeneric6DofSpringConstraint_setEquilibriumPoint0(void *c) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	o->setEquilibriumPoint();
}
//method: setEquilibriumPoint void ( ::btGeneric6DofSpringConstraint::* )( int ) 
void btGeneric6DofSpringConstraint_setEquilibriumPoint1(void *c,int p0) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	o->setEquilibriumPoint(p0);
}
//method: setEquilibriumPoint void ( ::btGeneric6DofSpringConstraint::* )( int,::btScalar ) 
void btGeneric6DofSpringConstraint_setEquilibriumPoint2(void *c,int p0,float p1) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	o->setEquilibriumPoint(p0,p1);
}
//not supported method: serialize char const * ( ::btGeneric6DofSpringConstraint::* )( void *,::btSerializer * ) const
//method: enableSpring void ( ::btGeneric6DofSpringConstraint::* )( int,bool ) 
void btGeneric6DofSpringConstraint_enableSpring(void *c,int p0,int p1) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	o->enableSpring(p0,p1);
}
//method: setStiffness void ( ::btGeneric6DofSpringConstraint::* )( int,::btScalar ) 
void btGeneric6DofSpringConstraint_setStiffness(void *c,int p0,float p1) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	o->setStiffness(p0,p1);
}
//method: setDamping void ( ::btGeneric6DofSpringConstraint::* )( int,::btScalar ) 
void btGeneric6DofSpringConstraint_setDamping(void *c,int p0,float p1) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	o->setDamping(p0,p1);
}
//method: getInfo2 void ( ::btGeneric6DofSpringConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btGeneric6DofSpringConstraint_getInfo2(void *c,void* p0) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: setAxis void ( ::btGeneric6DofSpringConstraint::* )( ::btVector3 const &,::btVector3 const & ) 
void btGeneric6DofSpringConstraint_setAxis(void *c,float* p0,float* p1) {
	::btGeneric6DofSpringConstraint *o = (::btGeneric6DofSpringConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setAxis(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}

// ::btGeneric6DofSpringConstraintData
//constructor: btGeneric6DofSpringConstraintData  ( ::btGeneric6DofSpringConstraintData::* )(  ) 
void* btGeneric6DofSpringConstraintData_new() {
	::btGeneric6DofSpringConstraintData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGeneric6DofSpringConstraintData),16);
	o = new (mem)::btGeneric6DofSpringConstraintData();
	return (void*)o;
}
void btGeneric6DofSpringConstraintData_free(void *c) {
	::btGeneric6DofSpringConstraintData *o = (::btGeneric6DofSpringConstraintData*)c;
	delete o;
}
//attribute: ::btGeneric6DofConstraintData btGeneric6DofSpringConstraintData->m_6dofData
// attribute not supported: //attribute: ::btGeneric6DofConstraintData btGeneric6DofSpringConstraintData->m_6dofData
//attribute: int[6] btGeneric6DofSpringConstraintData->m_springEnabled
// attribute not supported: //attribute: int[6] btGeneric6DofSpringConstraintData->m_springEnabled
//attribute: float[6] btGeneric6DofSpringConstraintData->m_equilibriumPoint
// attribute not supported: //attribute: float[6] btGeneric6DofSpringConstraintData->m_equilibriumPoint
//attribute: float[6] btGeneric6DofSpringConstraintData->m_springStiffness
// attribute not supported: //attribute: float[6] btGeneric6DofSpringConstraintData->m_springStiffness
//attribute: float[6] btGeneric6DofSpringConstraintData->m_springDamping
// attribute not supported: //attribute: float[6] btGeneric6DofSpringConstraintData->m_springDamping

// ::btHinge2Constraint
//constructor: btHinge2Constraint  ( ::btHinge2Constraint::* )( ::btRigidBody &,::btRigidBody &,::btVector3 &,::btVector3 &,::btVector3 & ) 
void* btHinge2Constraint_new(void* p0,void* p1,float* p2,float* p3,float* p4) {
	::btHinge2Constraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	mem = btAlignedAlloc(sizeof(::btHinge2Constraint),16);
	o = new (mem)::btHinge2Constraint(tp0,tp1,tp2,tp3,tp4);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return (void*)o;
}
void btHinge2Constraint_free(void *c) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	delete o;
}
//method: setLowerLimit void ( ::btHinge2Constraint::* )( ::btScalar ) 
void btHinge2Constraint_setLowerLimit(void *c,float p0) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	o->setLowerLimit(p0);
}
//method: getAnchor2 ::btVector3 const & ( ::btHinge2Constraint::* )(  ) 
void btHinge2Constraint_getAnchor2(void *c,float* ret) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAnchor2();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAxis1 ::btVector3 const & ( ::btHinge2Constraint::* )(  ) 
void btHinge2Constraint_getAxis1(void *c,float* ret) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAxis1();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAnchor ::btVector3 const & ( ::btHinge2Constraint::* )(  ) 
void btHinge2Constraint_getAnchor(void *c,float* ret) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAnchor();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAxis2 ::btVector3 const & ( ::btHinge2Constraint::* )(  ) 
void btHinge2Constraint_getAxis2(void *c,float* ret) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAxis2();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setUpperLimit void ( ::btHinge2Constraint::* )( ::btScalar ) 
void btHinge2Constraint_setUpperLimit(void *c,float p0) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	o->setUpperLimit(p0);
}
//method: getAngle2 ::btScalar ( ::btHinge2Constraint::* )(  ) 
float btHinge2Constraint_getAngle2(void *c) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	float retVal = (float)o->getAngle2();
	return retVal;
}
//method: getAngle1 ::btScalar ( ::btHinge2Constraint::* )(  ) 
float btHinge2Constraint_getAngle1(void *c) {
	::btHinge2Constraint *o = (::btHinge2Constraint*)c;
	float retVal = (float)o->getAngle1();
	return retVal;
}

// ::btHingeConstraint
//constructor: btHingeConstraint  ( ::btHingeConstraint::* )( ::btRigidBody &,::btRigidBody &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,bool ) 
void* btHingeConstraint_new0(void* p0,void* p1,float* p2,float* p3,float* p4,float* p5,int p6) {
	::btHingeConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	btVector3 tp5(p5[0],p5[1],p5[2]);
	mem = btAlignedAlloc(sizeof(::btHingeConstraint),16);
	o = new (mem)::btHingeConstraint(tp0,tp1,tp2,tp3,tp4,tp5,p6);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
	return (void*)o;
}
//constructor: btHingeConstraint  ( ::btHingeConstraint::* )( ::btRigidBody &,::btVector3 const &,::btVector3 const &,bool ) 
void* btHingeConstraint_new1(void* p0,float* p1,float* p2,int p3) {
	::btHingeConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btHingeConstraint),16);
	o = new (mem)::btHingeConstraint(tp0,tp1,tp2,p3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
//constructor: btHingeConstraint  ( ::btHingeConstraint::* )( ::btRigidBody &,::btRigidBody &,::btTransform const &,::btTransform const &,bool ) 
void* btHingeConstraint_new2(void* p0,void* p1,float* p2,float* p3,int p4) {
	::btHingeConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	mem = btAlignedAlloc(sizeof(::btHingeConstraint),16);
	o = new (mem)::btHingeConstraint(tp0,tp1,tp2,tp3,p4);
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	return (void*)o;
}
//constructor: btHingeConstraint  ( ::btHingeConstraint::* )( ::btRigidBody &,::btTransform const &,bool ) 
void* btHingeConstraint_new3(void* p0,float* p1,int p2) {
	::btHingeConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	mem = btAlignedAlloc(sizeof(::btHingeConstraint),16);
	o = new (mem)::btHingeConstraint(tp0,tp1,p2);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	return (void*)o;
}
void btHingeConstraint_free(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	delete o;
}
//method: getRigidBodyB ::btRigidBody const & ( ::btHingeConstraint::* )(  ) const
void* btHingeConstraint_getRigidBodyB(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: getRigidBodyB ::btRigidBody const & ( ::btHingeConstraint::* )(  ) const
void* btHingeConstraint_getRigidBodyB0(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: getRigidBodyB ::btRigidBody & ( ::btHingeConstraint::* )(  ) 
void* btHingeConstraint_getRigidBodyB1(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: getInfo2NonVirtual void ( ::btHingeConstraint::* )( ::btTypedConstraint::btConstraintInfo2 *,::btTransform const &,::btTransform const &,::btVector3 const &,::btVector3 const & ) 
void btHingeConstraint_getInfo2NonVirtual(void *c,void* p0,float* p1,float* p2,float* p3,float* p4) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->getInfo2NonVirtual(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: getRigidBodyA ::btRigidBody const & ( ::btHingeConstraint::* )(  ) const
void* btHingeConstraint_getRigidBodyA(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//method: getRigidBodyA ::btRigidBody const & ( ::btHingeConstraint::* )(  ) const
void* btHingeConstraint_getRigidBodyA0(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//method: getRigidBodyA ::btRigidBody & ( ::btHingeConstraint::* )(  ) 
void* btHingeConstraint_getRigidBodyA1(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//method: getMotorTargetVelosity ::btScalar ( ::btHingeConstraint::* )(  ) 
float btHingeConstraint_getMotorTargetVelosity(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getMotorTargetVelosity();
	return retVal;
}
//method: getFrameOffsetA ::btTransform & ( ::btHingeConstraint::* )(  ) 
void btHingeConstraint_getFrameOffsetA(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetB ::btTransform & ( ::btHingeConstraint::* )(  ) 
void btHingeConstraint_getFrameOffsetB(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: buildJacobian void ( ::btHingeConstraint::* )(  ) 
void btHingeConstraint_buildJacobian(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->buildJacobian();
}
//method: setMaxMotorImpulse void ( ::btHingeConstraint::* )( ::btScalar ) 
void btHingeConstraint_setMaxMotorImpulse(void *c,float p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->setMaxMotorImpulse(p0);
}
//method: getHingeAngle ::btScalar ( ::btHingeConstraint::* )(  ) 
float btHingeConstraint_getHingeAngle(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getHingeAngle();
	return retVal;
}
//method: getHingeAngle ::btScalar ( ::btHingeConstraint::* )(  ) 
float btHingeConstraint_getHingeAngle0(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getHingeAngle();
	return retVal;
}
//method: getHingeAngle ::btScalar ( ::btHingeConstraint::* )( ::btTransform const &,::btTransform const & ) 
float btHingeConstraint_getHingeAngle1(void *c,float* p0,float* p1) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	float retVal = (float)o->getHingeAngle(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	return retVal;
}
//method: testLimit void ( ::btHingeConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btHingeConstraint_testLimit(void *c,float* p0,float* p1) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->testLimit(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getInfo1 void ( ::btHingeConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btHingeConstraint_getInfo1(void *c,void* p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1(tp0);
}
//method: getInfo2Internal void ( ::btHingeConstraint::* )( ::btTypedConstraint::btConstraintInfo2 *,::btTransform const &,::btTransform const &,::btVector3 const &,::btVector3 const & ) 
void btHingeConstraint_getInfo2Internal(void *c,void* p0,float* p1,float* p2,float* p3,float* p4) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->getInfo2Internal(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: getInfo2 void ( ::btHingeConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btHingeConstraint_getInfo2(void *c,void* p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: getUpperLimit ::btScalar ( ::btHingeConstraint::* )(  ) const
float btHingeConstraint_getUpperLimit(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getUpperLimit();
	return retVal;
}
//method: enableAngularMotor void ( ::btHingeConstraint::* )( bool,::btScalar,::btScalar ) 
void btHingeConstraint_enableAngularMotor(void *c,int p0,float p1,float p2) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->enableAngularMotor(p0,p1,p2);
}
//method: getLimitSign ::btScalar ( ::btHingeConstraint::* )(  ) 
float btHingeConstraint_getLimitSign(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getLimitSign();
	return retVal;
}
//method: calculateSerializeBufferSize int ( ::btHingeConstraint::* )(  ) const
int btHingeConstraint_calculateSerializeBufferSize(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getMaxMotorImpulse ::btScalar ( ::btHingeConstraint::* )(  ) 
float btHingeConstraint_getMaxMotorImpulse(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getMaxMotorImpulse();
	return retVal;
}
//method: getLowerLimit ::btScalar ( ::btHingeConstraint::* )(  ) const
float btHingeConstraint_getLowerLimit(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getLowerLimit();
	return retVal;
}
//method: setParam void ( ::btHingeConstraint::* )( int,::btScalar,int ) 
void btHingeConstraint_setParam(void *c,int p0,float p1,int p2) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->setParam(p0,p1,p2);
}
//method: setUseFrameOffset void ( ::btHingeConstraint::* )( bool ) 
void btHingeConstraint_setUseFrameOffset(void *c,int p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->setUseFrameOffset(p0);
}
//method: getEnableAngularMotor bool ( ::btHingeConstraint::* )(  ) 
int btHingeConstraint_getEnableAngularMotor(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	int retVal = (int)o->getEnableAngularMotor();
	return retVal;
}
//method: enableMotor void ( ::btHingeConstraint::* )( bool ) 
void btHingeConstraint_enableMotor(void *c,int p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->enableMotor(p0);
}
//method: getBFrame ::btTransform const & ( ::btHingeConstraint::* )(  ) const
void btHingeConstraint_getBFrame(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getBFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getBFrame ::btTransform const & ( ::btHingeConstraint::* )(  ) const
void btHingeConstraint_getBFrame0(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getBFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getBFrame ::btTransform & ( ::btHingeConstraint::* )(  ) 
void btHingeConstraint_getBFrame1(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getBFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getInfo1NonVirtual void ( ::btHingeConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btHingeConstraint_getInfo1NonVirtual(void *c,void* p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1NonVirtual(tp0);
}
//method: getInfo2InternalUsingFrameOffset void ( ::btHingeConstraint::* )( ::btTypedConstraint::btConstraintInfo2 *,::btTransform const &,::btTransform const &,::btVector3 const &,::btVector3 const & ) 
void btHingeConstraint_getInfo2InternalUsingFrameOffset(void *c,void* p0,float* p1,float* p2,float* p3,float* p4) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->getInfo2InternalUsingFrameOffset(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//not supported method: serialize char const * ( ::btHingeConstraint::* )( void *,::btSerializer * ) const
//method: getUseFrameOffset bool ( ::btHingeConstraint::* )(  ) 
int btHingeConstraint_getUseFrameOffset(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	int retVal = (int)o->getUseFrameOffset();
	return retVal;
}
//method: setAngularOnly void ( ::btHingeConstraint::* )( bool ) 
void btHingeConstraint_setAngularOnly(void *c,int p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->setAngularOnly(p0);
}
//method: getParam ::btScalar ( ::btHingeConstraint::* )( int,int ) const
float btHingeConstraint_getParam(void *c,int p0,int p1) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	float retVal = (float)o->getParam(p0,p1);
	return retVal;
}
//method: setLimit void ( ::btHingeConstraint::* )( ::btScalar,::btScalar,::btScalar,::btScalar,::btScalar ) 
void btHingeConstraint_setLimit(void *c,float p0,float p1,float p2,float p3,float p4) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->setLimit(p0,p1,p2,p3,p4);
}
//method: getSolveLimit int ( ::btHingeConstraint::* )(  ) 
int btHingeConstraint_getSolveLimit(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	int retVal = (int)o->getSolveLimit();
	return retVal;
}
//method: updateRHS void ( ::btHingeConstraint::* )( ::btScalar ) 
void btHingeConstraint_updateRHS(void *c,float p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->updateRHS(p0);
}
//method: setMotorTarget void ( ::btHingeConstraint::* )( ::btQuaternion const &,::btScalar ) 
void btHingeConstraint_setMotorTarget(void *c,float* p0,float p1) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btQuaternion tp0(p0[0],p0[1],p0[2],p0[3]);
	o->setMotorTarget(tp0,p1);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
}
//method: setMotorTarget void ( ::btHingeConstraint::* )( ::btQuaternion const &,::btScalar ) 
void btHingeConstraint_setMotorTarget0(void *c,float* p0,float p1) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btQuaternion tp0(p0[0],p0[1],p0[2],p0[3]);
	o->setMotorTarget(tp0,p1);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
}
//method: setMotorTarget void ( ::btHingeConstraint::* )( ::btScalar,::btScalar ) 
void btHingeConstraint_setMotorTarget1(void *c,float p0,float p1) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	o->setMotorTarget(p0,p1);
}
//method: getAngularOnly bool ( ::btHingeConstraint::* )(  ) 
int btHingeConstraint_getAngularOnly(void *c) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	int retVal = (int)o->getAngularOnly();
	return retVal;
}
//method: setFrames void ( ::btHingeConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btHingeConstraint_setFrames(void *c,float* p0,float* p1) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setFrames(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: setAxis void ( ::btHingeConstraint::* )( ::btVector3 & ) 
void btHingeConstraint_setAxis(void *c,float* p0) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setAxis(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAFrame ::btTransform const & ( ::btHingeConstraint::* )(  ) const
void btHingeConstraint_getAFrame(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getAFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getAFrame ::btTransform const & ( ::btHingeConstraint::* )(  ) const
void btHingeConstraint_getAFrame0(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getAFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getAFrame ::btTransform & ( ::btHingeConstraint::* )(  ) 
void btHingeConstraint_getAFrame1(void *c,float* ret) {
	::btHingeConstraint *o = (::btHingeConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getAFrame();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}

// ::btHingeConstraintDoubleData
//constructor: btHingeConstraintDoubleData  ( ::btHingeConstraintDoubleData::* )(  ) 
void* btHingeConstraintDoubleData_new() {
	::btHingeConstraintDoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btHingeConstraintDoubleData),16);
	o = new (mem)::btHingeConstraintDoubleData();
	return (void*)o;
}
void btHingeConstraintDoubleData_free(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	delete o;
}
//attribute: ::btTypedConstraintData btHingeConstraintDoubleData->m_typeConstraintData
// attribute not supported: //attribute: ::btTypedConstraintData btHingeConstraintDoubleData->m_typeConstraintData
//attribute: ::btTransformDoubleData btHingeConstraintDoubleData->m_rbAFrame
// attribute not supported: //attribute: ::btTransformDoubleData btHingeConstraintDoubleData->m_rbAFrame
//attribute: ::btTransformDoubleData btHingeConstraintDoubleData->m_rbBFrame
// attribute not supported: //attribute: ::btTransformDoubleData btHingeConstraintDoubleData->m_rbBFrame
//attribute: int btHingeConstraintDoubleData->m_useReferenceFrameA
void btHingeConstraintDoubleData_m_useReferenceFrameA_set(void *c,int a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_useReferenceFrameA = a;
}
int btHingeConstraintDoubleData_m_useReferenceFrameA_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (int)(o->m_useReferenceFrameA);
}

//attribute: int btHingeConstraintDoubleData->m_angularOnly
void btHingeConstraintDoubleData_m_angularOnly_set(void *c,int a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_angularOnly = a;
}
int btHingeConstraintDoubleData_m_angularOnly_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (int)(o->m_angularOnly);
}

//attribute: int btHingeConstraintDoubleData->m_enableAngularMotor
void btHingeConstraintDoubleData_m_enableAngularMotor_set(void *c,int a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_enableAngularMotor = a;
}
int btHingeConstraintDoubleData_m_enableAngularMotor_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (int)(o->m_enableAngularMotor);
}

//attribute: float btHingeConstraintDoubleData->m_motorTargetVelocity
void btHingeConstraintDoubleData_m_motorTargetVelocity_set(void *c,float a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_motorTargetVelocity = a;
}
float btHingeConstraintDoubleData_m_motorTargetVelocity_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (float)(o->m_motorTargetVelocity);
}

//attribute: float btHingeConstraintDoubleData->m_maxMotorImpulse
void btHingeConstraintDoubleData_m_maxMotorImpulse_set(void *c,float a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_maxMotorImpulse = a;
}
float btHingeConstraintDoubleData_m_maxMotorImpulse_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (float)(o->m_maxMotorImpulse);
}

//attribute: float btHingeConstraintDoubleData->m_lowerLimit
void btHingeConstraintDoubleData_m_lowerLimit_set(void *c,float a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_lowerLimit = a;
}
float btHingeConstraintDoubleData_m_lowerLimit_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (float)(o->m_lowerLimit);
}

//attribute: float btHingeConstraintDoubleData->m_upperLimit
void btHingeConstraintDoubleData_m_upperLimit_set(void *c,float a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_upperLimit = a;
}
float btHingeConstraintDoubleData_m_upperLimit_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (float)(o->m_upperLimit);
}

//attribute: float btHingeConstraintDoubleData->m_limitSoftness
void btHingeConstraintDoubleData_m_limitSoftness_set(void *c,float a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_limitSoftness = a;
}
float btHingeConstraintDoubleData_m_limitSoftness_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (float)(o->m_limitSoftness);
}

//attribute: float btHingeConstraintDoubleData->m_biasFactor
void btHingeConstraintDoubleData_m_biasFactor_set(void *c,float a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_biasFactor = a;
}
float btHingeConstraintDoubleData_m_biasFactor_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (float)(o->m_biasFactor);
}

//attribute: float btHingeConstraintDoubleData->m_relaxationFactor
void btHingeConstraintDoubleData_m_relaxationFactor_set(void *c,float a) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	o->m_relaxationFactor = a;
}
float btHingeConstraintDoubleData_m_relaxationFactor_get(void *c) {
	::btHingeConstraintDoubleData *o = (::btHingeConstraintDoubleData*)c;
	return (float)(o->m_relaxationFactor);
}


// ::btHingeConstraintFloatData
//constructor: btHingeConstraintFloatData  ( ::btHingeConstraintFloatData::* )(  ) 
void* btHingeConstraintFloatData_new() {
	::btHingeConstraintFloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btHingeConstraintFloatData),16);
	o = new (mem)::btHingeConstraintFloatData();
	return (void*)o;
}
void btHingeConstraintFloatData_free(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	delete o;
}
//attribute: ::btTypedConstraintData btHingeConstraintFloatData->m_typeConstraintData
// attribute not supported: //attribute: ::btTypedConstraintData btHingeConstraintFloatData->m_typeConstraintData
//attribute: ::btTransformFloatData btHingeConstraintFloatData->m_rbAFrame
// attribute not supported: //attribute: ::btTransformFloatData btHingeConstraintFloatData->m_rbAFrame
//attribute: ::btTransformFloatData btHingeConstraintFloatData->m_rbBFrame
// attribute not supported: //attribute: ::btTransformFloatData btHingeConstraintFloatData->m_rbBFrame
//attribute: int btHingeConstraintFloatData->m_useReferenceFrameA
void btHingeConstraintFloatData_m_useReferenceFrameA_set(void *c,int a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_useReferenceFrameA = a;
}
int btHingeConstraintFloatData_m_useReferenceFrameA_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (int)(o->m_useReferenceFrameA);
}

//attribute: int btHingeConstraintFloatData->m_angularOnly
void btHingeConstraintFloatData_m_angularOnly_set(void *c,int a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_angularOnly = a;
}
int btHingeConstraintFloatData_m_angularOnly_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (int)(o->m_angularOnly);
}

//attribute: int btHingeConstraintFloatData->m_enableAngularMotor
void btHingeConstraintFloatData_m_enableAngularMotor_set(void *c,int a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_enableAngularMotor = a;
}
int btHingeConstraintFloatData_m_enableAngularMotor_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (int)(o->m_enableAngularMotor);
}

//attribute: float btHingeConstraintFloatData->m_motorTargetVelocity
void btHingeConstraintFloatData_m_motorTargetVelocity_set(void *c,float a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_motorTargetVelocity = a;
}
float btHingeConstraintFloatData_m_motorTargetVelocity_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (float)(o->m_motorTargetVelocity);
}

//attribute: float btHingeConstraintFloatData->m_maxMotorImpulse
void btHingeConstraintFloatData_m_maxMotorImpulse_set(void *c,float a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_maxMotorImpulse = a;
}
float btHingeConstraintFloatData_m_maxMotorImpulse_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (float)(o->m_maxMotorImpulse);
}

//attribute: float btHingeConstraintFloatData->m_lowerLimit
void btHingeConstraintFloatData_m_lowerLimit_set(void *c,float a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_lowerLimit = a;
}
float btHingeConstraintFloatData_m_lowerLimit_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (float)(o->m_lowerLimit);
}

//attribute: float btHingeConstraintFloatData->m_upperLimit
void btHingeConstraintFloatData_m_upperLimit_set(void *c,float a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_upperLimit = a;
}
float btHingeConstraintFloatData_m_upperLimit_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (float)(o->m_upperLimit);
}

//attribute: float btHingeConstraintFloatData->m_limitSoftness
void btHingeConstraintFloatData_m_limitSoftness_set(void *c,float a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_limitSoftness = a;
}
float btHingeConstraintFloatData_m_limitSoftness_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (float)(o->m_limitSoftness);
}

//attribute: float btHingeConstraintFloatData->m_biasFactor
void btHingeConstraintFloatData_m_biasFactor_set(void *c,float a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_biasFactor = a;
}
float btHingeConstraintFloatData_m_biasFactor_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (float)(o->m_biasFactor);
}

//attribute: float btHingeConstraintFloatData->m_relaxationFactor
void btHingeConstraintFloatData_m_relaxationFactor_set(void *c,float a) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	o->m_relaxationFactor = a;
}
float btHingeConstraintFloatData_m_relaxationFactor_get(void *c) {
	::btHingeConstraintFloatData *o = (::btHingeConstraintFloatData*)c;
	return (float)(o->m_relaxationFactor);
}


// ::btJacobianEntry
//constructor: btJacobianEntry  ( ::btJacobianEntry::* )(  ) 
void* btJacobianEntry_new0() {
	::btJacobianEntry *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btJacobianEntry),16);
	o = new (mem)::btJacobianEntry();
	return (void*)o;
}
//not supported constructor: btJacobianEntry  ( ::btJacobianEntry::* )( ::btMatrix3x3 const &,::btMatrix3x3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar const,::btVector3 const &,::btScalar const ) 
//constructor: btJacobianEntry  ( ::btJacobianEntry::* )( ::btVector3 const &,::btMatrix3x3 const &,::btMatrix3x3 const &,::btVector3 const &,::btVector3 const & ) 
void* btJacobianEntry_new2(float* p0,float* p1,float* p2,float* p3,float* p4) {
	::btJacobianEntry *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btMatrix3x3 tp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btMatrix3x3 tp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	mem = btAlignedAlloc(sizeof(::btJacobianEntry),16);
	o = new (mem)::btJacobianEntry(tp0,tp1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.getRow(0).m_floats[0];p1[1]=tp1.getRow(0).m_floats[1];p1[2]=tp1.getRow(0).m_floats[2];p1[3]=tp1.getRow(1).m_floats[0];p1[4]=tp1.getRow(1).m_floats[1];p1[5]=tp1.getRow(1).m_floats[2];p1[6]=tp1.getRow(2).m_floats[0];p1[7]=tp1.getRow(2).m_floats[1];p1[8]=tp1.getRow(2).m_floats[2];
	p2[0]=tp2.getRow(0).m_floats[0];p2[1]=tp2.getRow(0).m_floats[1];p2[2]=tp2.getRow(0).m_floats[2];p2[3]=tp2.getRow(1).m_floats[0];p2[4]=tp2.getRow(1).m_floats[1];p2[5]=tp2.getRow(1).m_floats[2];p2[6]=tp2.getRow(2).m_floats[0];p2[7]=tp2.getRow(2).m_floats[1];p2[8]=tp2.getRow(2).m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return (void*)o;
}
//constructor: btJacobianEntry  ( ::btJacobianEntry::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void* btJacobianEntry_new3(float* p0,float* p1,float* p2,float* p3) {
	::btJacobianEntry *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	mem = btAlignedAlloc(sizeof(::btJacobianEntry),16);
	o = new (mem)::btJacobianEntry(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return (void*)o;
}
//not supported constructor: btJacobianEntry  ( ::btJacobianEntry::* )( ::btMatrix3x3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar const ) 
void btJacobianEntry_free(void *c) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	delete o;
}
//method: getDiagonal ::btScalar ( ::btJacobianEntry::* )(  ) const
float btJacobianEntry_getDiagonal(void *c) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	float retVal = (float)o->getDiagonal();
	return retVal;
}
//method: getRelativeVelocity ::btScalar ( ::btJacobianEntry::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
float btJacobianEntry_getRelativeVelocity(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	float retVal = (float)o->getRelativeVelocity(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return retVal;
}
//not supported method: getNonDiagonal ::btScalar ( ::btJacobianEntry::* )( ::btJacobianEntry const &,::btScalar const ) const
//not supported method: getNonDiagonal ::btScalar ( ::btJacobianEntry::* )( ::btJacobianEntry const &,::btScalar const ) const
//not supported method: getNonDiagonal ::btScalar ( ::btJacobianEntry::* )( ::btJacobianEntry const &,::btScalar const,::btScalar const ) const
//attribute: ::btVector3 btJacobianEntry->m_0MinvJt
void btJacobianEntry_m_0MinvJt_set(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_0MinvJt = ta;
}
void btJacobianEntry_m_0MinvJt_get(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	a[0]=(o->m_0MinvJt).m_floats[0];a[1]=(o->m_0MinvJt).m_floats[1];a[2]=(o->m_0MinvJt).m_floats[2];
}

//attribute: ::btVector3 btJacobianEntry->m_1MinvJt
void btJacobianEntry_m_1MinvJt_set(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_1MinvJt = ta;
}
void btJacobianEntry_m_1MinvJt_get(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	a[0]=(o->m_1MinvJt).m_floats[0];a[1]=(o->m_1MinvJt).m_floats[1];a[2]=(o->m_1MinvJt).m_floats[2];
}

//attribute: ::btScalar btJacobianEntry->m_Adiag
void btJacobianEntry_m_Adiag_set(void *c,float a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	o->m_Adiag = a;
}
float btJacobianEntry_m_Adiag_get(void *c) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	return (float)(o->m_Adiag);
}

//attribute: ::btVector3 btJacobianEntry->m_aJ
void btJacobianEntry_m_aJ_set(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_aJ = ta;
}
void btJacobianEntry_m_aJ_get(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	a[0]=(o->m_aJ).m_floats[0];a[1]=(o->m_aJ).m_floats[1];a[2]=(o->m_aJ).m_floats[2];
}

//attribute: ::btVector3 btJacobianEntry->m_bJ
void btJacobianEntry_m_bJ_set(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_bJ = ta;
}
void btJacobianEntry_m_bJ_get(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	a[0]=(o->m_bJ).m_floats[0];a[1]=(o->m_bJ).m_floats[1];a[2]=(o->m_bJ).m_floats[2];
}

//attribute: ::btVector3 btJacobianEntry->m_linearJointAxis
void btJacobianEntry_m_linearJointAxis_set(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_linearJointAxis = ta;
}
void btJacobianEntry_m_linearJointAxis_get(void *c,float* a) {
	::btJacobianEntry *o = (::btJacobianEntry*)c;
	a[0]=(o->m_linearJointAxis).m_floats[0];a[1]=(o->m_linearJointAxis).m_floats[1];a[2]=(o->m_linearJointAxis).m_floats[2];
}


// ::btPoint2PointConstraint
//constructor: btPoint2PointConstraint  ( ::btPoint2PointConstraint::* )( ::btRigidBody &,::btRigidBody &,::btVector3 const &,::btVector3 const & ) 
void* btPoint2PointConstraint_new0(void* p0,void* p1,float* p2,float* p3) {
	::btPoint2PointConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	mem = btAlignedAlloc(sizeof(::btPoint2PointConstraint),16);
	o = new (mem)::btPoint2PointConstraint(tp0,tp1,tp2,tp3);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return (void*)o;
}
//constructor: btPoint2PointConstraint  ( ::btPoint2PointConstraint::* )( ::btRigidBody &,::btVector3 const & ) 
void* btPoint2PointConstraint_new1(void* p0,float* p1) {
	::btPoint2PointConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	mem = btAlignedAlloc(sizeof(::btPoint2PointConstraint),16);
	o = new (mem)::btPoint2PointConstraint(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void btPoint2PointConstraint_free(void *c) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	delete o;
}
//method: getInfo1NonVirtual void ( ::btPoint2PointConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btPoint2PointConstraint_getInfo1NonVirtual(void *c,void* p0) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1NonVirtual(tp0);
}
//method: getInfo2NonVirtual void ( ::btPoint2PointConstraint::* )( ::btTypedConstraint::btConstraintInfo2 *,::btTransform const &,::btTransform const & ) 
void btPoint2PointConstraint_getInfo2NonVirtual(void *c,void* p0,float* p1,float* p2) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	o->getInfo2NonVirtual(tp0,tp1,tp2);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
}
//method: setParam void ( ::btPoint2PointConstraint::* )( int,::btScalar,int ) 
void btPoint2PointConstraint_setParam(void *c,int p0,float p1,int p2) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	o->setParam(p0,p1,p2);
}
//method: getPivotInA ::btVector3 const & ( ::btPoint2PointConstraint::* )(  ) const
void btPoint2PointConstraint_getPivotInA(void *c,float* ret) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getPivotInA();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getPivotInB ::btVector3 const & ( ::btPoint2PointConstraint::* )(  ) const
void btPoint2PointConstraint_getPivotInB(void *c,float* ret) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getPivotInB();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: updateRHS void ( ::btPoint2PointConstraint::* )( ::btScalar ) 
void btPoint2PointConstraint_updateRHS(void *c,float p0) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	o->updateRHS(p0);
}
//not supported method: serialize char const * ( ::btPoint2PointConstraint::* )( void *,::btSerializer * ) const
//method: buildJacobian void ( ::btPoint2PointConstraint::* )(  ) 
void btPoint2PointConstraint_buildJacobian(void *c) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	o->buildJacobian();
}
//method: calculateSerializeBufferSize int ( ::btPoint2PointConstraint::* )(  ) const
int btPoint2PointConstraint_calculateSerializeBufferSize(void *c) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getParam ::btScalar ( ::btPoint2PointConstraint::* )( int,int ) const
float btPoint2PointConstraint_getParam(void *c,int p0,int p1) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	float retVal = (float)o->getParam(p0,p1);
	return retVal;
}
//method: getInfo1 void ( ::btPoint2PointConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btPoint2PointConstraint_getInfo1(void *c,void* p0) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1(tp0);
}
//method: getInfo2 void ( ::btPoint2PointConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btPoint2PointConstraint_getInfo2(void *c,void* p0) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: setPivotA void ( ::btPoint2PointConstraint::* )( ::btVector3 const & ) 
void btPoint2PointConstraint_setPivotA(void *c,float* p0) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setPivotA(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setPivotB void ( ::btPoint2PointConstraint::* )( ::btVector3 const & ) 
void btPoint2PointConstraint_setPivotB(void *c,float* p0) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setPivotB(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//attribute: bool btPoint2PointConstraint->m_useSolveConstraintObsolete
void btPoint2PointConstraint_m_useSolveConstraintObsolete_set(void *c,int a) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	o->m_useSolveConstraintObsolete = a;
}
int btPoint2PointConstraint_m_useSolveConstraintObsolete_get(void *c) {
	::btPoint2PointConstraint *o = (::btPoint2PointConstraint*)c;
	return (int)(o->m_useSolveConstraintObsolete);
}

//attribute: ::btConstraintSetting btPoint2PointConstraint->m_setting
// attribute not supported: //attribute: ::btConstraintSetting btPoint2PointConstraint->m_setting

// ::btPoint2PointConstraintDoubleData
//constructor: btPoint2PointConstraintDoubleData  ( ::btPoint2PointConstraintDoubleData::* )(  ) 
void* btPoint2PointConstraintDoubleData_new() {
	::btPoint2PointConstraintDoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btPoint2PointConstraintDoubleData),16);
	o = new (mem)::btPoint2PointConstraintDoubleData();
	return (void*)o;
}
void btPoint2PointConstraintDoubleData_free(void *c) {
	::btPoint2PointConstraintDoubleData *o = (::btPoint2PointConstraintDoubleData*)c;
	delete o;
}
//attribute: ::btTypedConstraintData btPoint2PointConstraintDoubleData->m_typeConstraintData
// attribute not supported: //attribute: ::btTypedConstraintData btPoint2PointConstraintDoubleData->m_typeConstraintData
//attribute: ::btVector3DoubleData btPoint2PointConstraintDoubleData->m_pivotInA
// attribute not supported: //attribute: ::btVector3DoubleData btPoint2PointConstraintDoubleData->m_pivotInA
//attribute: ::btVector3DoubleData btPoint2PointConstraintDoubleData->m_pivotInB
// attribute not supported: //attribute: ::btVector3DoubleData btPoint2PointConstraintDoubleData->m_pivotInB

// ::btPoint2PointConstraintFloatData
//constructor: btPoint2PointConstraintFloatData  ( ::btPoint2PointConstraintFloatData::* )(  ) 
void* btPoint2PointConstraintFloatData_new() {
	::btPoint2PointConstraintFloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btPoint2PointConstraintFloatData),16);
	o = new (mem)::btPoint2PointConstraintFloatData();
	return (void*)o;
}
void btPoint2PointConstraintFloatData_free(void *c) {
	::btPoint2PointConstraintFloatData *o = (::btPoint2PointConstraintFloatData*)c;
	delete o;
}
//attribute: ::btTypedConstraintData btPoint2PointConstraintFloatData->m_typeConstraintData
// attribute not supported: //attribute: ::btTypedConstraintData btPoint2PointConstraintFloatData->m_typeConstraintData
//attribute: ::btVector3FloatData btPoint2PointConstraintFloatData->m_pivotInA
// attribute not supported: //attribute: ::btVector3FloatData btPoint2PointConstraintFloatData->m_pivotInA
//attribute: ::btVector3FloatData btPoint2PointConstraintFloatData->m_pivotInB
// attribute not supported: //attribute: ::btVector3FloatData btPoint2PointConstraintFloatData->m_pivotInB

// ::btRotationalLimitMotor
//constructor: btRotationalLimitMotor  ( ::btRotationalLimitMotor::* )(  ) 
void* btRotationalLimitMotor_new() {
	::btRotationalLimitMotor *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btRotationalLimitMotor),16);
	o = new (mem)::btRotationalLimitMotor();
	return (void*)o;
}
void btRotationalLimitMotor_free(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	delete o;
}
//method: testLimitValue int ( ::btRotationalLimitMotor::* )( ::btScalar ) 
int btRotationalLimitMotor_testLimitValue(void *c,float p0) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	int retVal = (int)o->testLimitValue(p0);
	return retVal;
}
//method: solveAngularLimits ::btScalar ( ::btRotationalLimitMotor::* )( ::btScalar,::btVector3 &,::btScalar,::btRigidBody *,::btRigidBody * ) 
float btRotationalLimitMotor_solveAngularLimits(void *c,float p0,float* p1,float p2,void* p3,void* p4) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btRigidBody * tp3 = (::btRigidBody *)p3;
	::btRigidBody * tp4 = (::btRigidBody *)p4;
	float retVal = (float)o->solveAngularLimits(p0,tp1,p2,tp3,tp4);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return retVal;
}
//method: needApplyTorques bool ( ::btRotationalLimitMotor::* )(  ) 
int btRotationalLimitMotor_needApplyTorques(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	int retVal = (int)o->needApplyTorques();
	return retVal;
}
//method: isLimited bool ( ::btRotationalLimitMotor::* )(  ) 
int btRotationalLimitMotor_isLimited(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	int retVal = (int)o->isLimited();
	return retVal;
}
//attribute: ::btScalar btRotationalLimitMotor->m_accumulatedImpulse
void btRotationalLimitMotor_m_accumulatedImpulse_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_accumulatedImpulse = a;
}
float btRotationalLimitMotor_m_accumulatedImpulse_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_accumulatedImpulse);
}

//attribute: ::btScalar btRotationalLimitMotor->m_bounce
void btRotationalLimitMotor_m_bounce_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_bounce = a;
}
float btRotationalLimitMotor_m_bounce_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_bounce);
}

//attribute: int btRotationalLimitMotor->m_currentLimit
void btRotationalLimitMotor_m_currentLimit_set(void *c,int a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_currentLimit = a;
}
int btRotationalLimitMotor_m_currentLimit_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (int)(o->m_currentLimit);
}

//attribute: ::btScalar btRotationalLimitMotor->m_currentLimitError
void btRotationalLimitMotor_m_currentLimitError_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_currentLimitError = a;
}
float btRotationalLimitMotor_m_currentLimitError_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_currentLimitError);
}

//attribute: ::btScalar btRotationalLimitMotor->m_currentPosition
void btRotationalLimitMotor_m_currentPosition_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_currentPosition = a;
}
float btRotationalLimitMotor_m_currentPosition_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_currentPosition);
}

//attribute: ::btScalar btRotationalLimitMotor->m_damping
void btRotationalLimitMotor_m_damping_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_damping = a;
}
float btRotationalLimitMotor_m_damping_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_damping);
}

//attribute: bool btRotationalLimitMotor->m_enableMotor
void btRotationalLimitMotor_m_enableMotor_set(void *c,int a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_enableMotor = a;
}
int btRotationalLimitMotor_m_enableMotor_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (int)(o->m_enableMotor);
}

//attribute: ::btScalar btRotationalLimitMotor->m_hiLimit
void btRotationalLimitMotor_m_hiLimit_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_hiLimit = a;
}
float btRotationalLimitMotor_m_hiLimit_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_hiLimit);
}

//attribute: ::btScalar btRotationalLimitMotor->m_limitSoftness
void btRotationalLimitMotor_m_limitSoftness_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_limitSoftness = a;
}
float btRotationalLimitMotor_m_limitSoftness_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_limitSoftness);
}

//attribute: ::btScalar btRotationalLimitMotor->m_loLimit
void btRotationalLimitMotor_m_loLimit_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_loLimit = a;
}
float btRotationalLimitMotor_m_loLimit_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_loLimit);
}

//attribute: ::btScalar btRotationalLimitMotor->m_maxLimitForce
void btRotationalLimitMotor_m_maxLimitForce_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_maxLimitForce = a;
}
float btRotationalLimitMotor_m_maxLimitForce_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_maxLimitForce);
}

//attribute: ::btScalar btRotationalLimitMotor->m_maxMotorForce
void btRotationalLimitMotor_m_maxMotorForce_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_maxMotorForce = a;
}
float btRotationalLimitMotor_m_maxMotorForce_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_maxMotorForce);
}

//attribute: ::btScalar btRotationalLimitMotor->m_normalCFM
void btRotationalLimitMotor_m_normalCFM_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_normalCFM = a;
}
float btRotationalLimitMotor_m_normalCFM_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_normalCFM);
}

//attribute: ::btScalar btRotationalLimitMotor->m_stopCFM
void btRotationalLimitMotor_m_stopCFM_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_stopCFM = a;
}
float btRotationalLimitMotor_m_stopCFM_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_stopCFM);
}

//attribute: ::btScalar btRotationalLimitMotor->m_stopERP
void btRotationalLimitMotor_m_stopERP_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_stopERP = a;
}
float btRotationalLimitMotor_m_stopERP_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_stopERP);
}

//attribute: ::btScalar btRotationalLimitMotor->m_targetVelocity
void btRotationalLimitMotor_m_targetVelocity_set(void *c,float a) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	o->m_targetVelocity = a;
}
float btRotationalLimitMotor_m_targetVelocity_get(void *c) {
	::btRotationalLimitMotor *o = (::btRotationalLimitMotor*)c;
	return (float)(o->m_targetVelocity);
}


// ::btSequentialImpulseConstraintSolver
//constructor: btSequentialImpulseConstraintSolver  ( ::btSequentialImpulseConstraintSolver::* )(  ) 
void* btSequentialImpulseConstraintSolver_new() {
	::btSequentialImpulseConstraintSolver *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSequentialImpulseConstraintSolver),16);
	o = new (mem)::btSequentialImpulseConstraintSolver();
	return (void*)o;
}
void btSequentialImpulseConstraintSolver_free(void *c) {
	::btSequentialImpulseConstraintSolver *o = (::btSequentialImpulseConstraintSolver*)c;
	delete o;
}
//method: reset void ( ::btSequentialImpulseConstraintSolver::* )(  ) 
void btSequentialImpulseConstraintSolver_reset(void *c) {
	::btSequentialImpulseConstraintSolver *o = (::btSequentialImpulseConstraintSolver*)c;
	o->reset();
}
//method: btRand2 long unsigned int ( ::btSequentialImpulseConstraintSolver::* )(  ) 
long unsigned int btSequentialImpulseConstraintSolver_btRand2(void *c) {
	::btSequentialImpulseConstraintSolver *o = (::btSequentialImpulseConstraintSolver*)c;
	long unsigned int retVal = (long unsigned int)o->btRand2();
	return retVal;
}
//method: getRandSeed long unsigned int ( ::btSequentialImpulseConstraintSolver::* )(  ) const
long unsigned int btSequentialImpulseConstraintSolver_getRandSeed(void *c) {
	::btSequentialImpulseConstraintSolver *o = (::btSequentialImpulseConstraintSolver*)c;
	long unsigned int retVal = (long unsigned int)o->getRandSeed();
	return retVal;
}
//method: setRandSeed void ( ::btSequentialImpulseConstraintSolver::* )( long unsigned int ) 
void btSequentialImpulseConstraintSolver_setRandSeed(void *c,long unsigned int p0) {
	::btSequentialImpulseConstraintSolver *o = (::btSequentialImpulseConstraintSolver*)c;
	o->setRandSeed(p0);
}
//not supported method: solveGroup ::btScalar ( ::btSequentialImpulseConstraintSolver::* )( ::btCollisionObject * *,int,::btPersistentManifold * *,int,::btTypedConstraint * *,int,::btContactSolverInfo const &,::btIDebugDraw *,::btStackAlloc *,::btDispatcher * ) 
//method: btRandInt2 int ( ::btSequentialImpulseConstraintSolver::* )( int ) 
int btSequentialImpulseConstraintSolver_btRandInt2(void *c,int p0) {
	::btSequentialImpulseConstraintSolver *o = (::btSequentialImpulseConstraintSolver*)c;
	int retVal = (int)o->btRandInt2(p0);
	return retVal;
}

// ::btSliderConstraint
//constructor: btSliderConstraint  ( ::btSliderConstraint::* )( ::btRigidBody &,::btRigidBody &,::btTransform const &,::btTransform const &,bool ) 
void* btSliderConstraint_new0(void* p0,void* p1,float* p2,float* p3,int p4) {
	::btSliderConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	mem = btAlignedAlloc(sizeof(::btSliderConstraint),16);
	o = new (mem)::btSliderConstraint(tp0,tp1,tp2,tp3,p4);
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	return (void*)o;
}
//constructor: btSliderConstraint  ( ::btSliderConstraint::* )( ::btRigidBody &,::btTransform const &,bool ) 
void* btSliderConstraint_new1(void* p0,float* p1,int p2) {
	::btSliderConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	mem = btAlignedAlloc(sizeof(::btSliderConstraint),16);
	o = new (mem)::btSliderConstraint(tp0,tp1,p2);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	return (void*)o;
}
void btSliderConstraint_free(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	delete o;
}
//method: getRigidBodyB ::btRigidBody const & ( ::btSliderConstraint::* )(  ) const
void* btSliderConstraint_getRigidBodyB(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: setPoweredAngMotor void ( ::btSliderConstraint::* )( bool ) 
void btSliderConstraint_setPoweredAngMotor(void *c,int p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setPoweredAngMotor(p0);
}
//method: getInfo2NonVirtual void ( ::btSliderConstraint::* )( ::btTypedConstraint::btConstraintInfo2 *,::btTransform const &,::btTransform const &,::btVector3 const &,::btVector3 const &,::btScalar,::btScalar ) 
void btSliderConstraint_getInfo2NonVirtual(void *c,void* p0,float* p1,float* p2,float* p3,float* p4,float p5,float p6) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->getInfo2NonVirtual(tp0,tp1,tp2,tp3,tp4,p5,p6);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: getRigidBodyA ::btRigidBody const & ( ::btSliderConstraint::* )(  ) const
void* btSliderConstraint_getRigidBodyA(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//method: getDampingLimAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getDampingLimAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getDampingLimAng();
	return retVal;
}
//method: setRestitutionOrthoLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setRestitutionOrthoLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setRestitutionOrthoLin(p0);
}
//method: setRestitutionDirLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setRestitutionDirLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setRestitutionDirLin(p0);
}
//method: getLinearPos ::btScalar ( ::btSliderConstraint::* )(  ) const
float btSliderConstraint_getLinearPos(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getLinearPos();
	return retVal;
}
//method: getFrameOffsetA ::btTransform const & ( ::btSliderConstraint::* )(  ) const
void btSliderConstraint_getFrameOffsetA(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetA ::btTransform const & ( ::btSliderConstraint::* )(  ) const
void btSliderConstraint_getFrameOffsetA0(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetA ::btTransform & ( ::btSliderConstraint::* )(  ) 
void btSliderConstraint_getFrameOffsetA1(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetB ::btTransform const & ( ::btSliderConstraint::* )(  ) const
void btSliderConstraint_getFrameOffsetB(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetB ::btTransform const & ( ::btSliderConstraint::* )(  ) const
void btSliderConstraint_getFrameOffsetB0(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getFrameOffsetB ::btTransform & ( ::btSliderConstraint::* )(  ) 
void btSliderConstraint_getFrameOffsetB1(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getFrameOffsetB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: setPoweredLinMotor void ( ::btSliderConstraint::* )( bool ) 
void btSliderConstraint_setPoweredLinMotor(void *c,int p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setPoweredLinMotor(p0);
}
//method: getCalculatedTransformB ::btTransform const & ( ::btSliderConstraint::* )(  ) const
void btSliderConstraint_getCalculatedTransformB(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getCalculatedTransformB();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getCalculatedTransformA ::btTransform const & ( ::btSliderConstraint::* )(  ) const
void btSliderConstraint_getCalculatedTransformA(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getCalculatedTransformA();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getRestitutionLimLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getRestitutionLimLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getRestitutionLimLin();
	return retVal;
}
//method: getSoftnessOrthoAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getSoftnessOrthoAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getSoftnessOrthoAng();
	return retVal;
}
//method: setSoftnessOrthoLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setSoftnessOrthoLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setSoftnessOrthoLin(p0);
}
//method: calculateSerializeBufferSize int ( ::btSliderConstraint::* )(  ) const
int btSliderConstraint_calculateSerializeBufferSize(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: setSoftnessLimLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setSoftnessLimLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setSoftnessLimLin(p0);
}
//method: getAngularPos ::btScalar ( ::btSliderConstraint::* )(  ) const
float btSliderConstraint_getAngularPos(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getAngularPos();
	return retVal;
}
//method: setRestitutionLimAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setRestitutionLimAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setRestitutionLimAng(p0);
}
//method: getParam ::btScalar ( ::btSliderConstraint::* )( int,int ) const
float btSliderConstraint_getParam(void *c,int p0,int p1) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getParam(p0,p1);
	return retVal;
}
//method: getInfo1 void ( ::btSliderConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btSliderConstraint_getInfo1(void *c,void* p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1(tp0);
}
//method: getInfo2 void ( ::btSliderConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btSliderConstraint_getInfo2(void *c,void* p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: setParam void ( ::btSliderConstraint::* )( int,::btScalar,int ) 
void btSliderConstraint_setParam(void *c,int p0,float p1,int p2) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setParam(p0,p1,p2);
}
//method: setUpperLinLimit void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setUpperLinLimit(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setUpperLinLimit(p0);
}
//method: setDampingDirLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setDampingDirLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setDampingDirLin(p0);
}
//method: getUpperAngLimit ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getUpperAngLimit(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getUpperAngLimit();
	return retVal;
}
//method: setRestitutionDirAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setRestitutionDirAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setRestitutionDirAng(p0);
}
//method: getDampingDirLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getDampingDirLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getDampingDirLin();
	return retVal;
}
//method: getAngDepth ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getAngDepth(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getAngDepth();
	return retVal;
}
//method: getSoftnessDirAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getSoftnessDirAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getSoftnessDirAng();
	return retVal;
}
//method: getPoweredAngMotor bool ( ::btSliderConstraint::* )(  ) 
int btSliderConstraint_getPoweredAngMotor(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	int retVal = (int)o->getPoweredAngMotor();
	return retVal;
}
//method: setLowerAngLimit void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setLowerAngLimit(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setLowerAngLimit(p0);
}
//method: setUpperAngLimit void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setUpperAngLimit(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setUpperAngLimit(p0);
}
//method: setTargetLinMotorVelocity void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setTargetLinMotorVelocity(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setTargetLinMotorVelocity(p0);
}
//method: setDampingLimAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setDampingLimAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setDampingLimAng(p0);
}
//method: getRestitutionLimAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getRestitutionLimAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getRestitutionLimAng();
	return retVal;
}
//method: getUseFrameOffset bool ( ::btSliderConstraint::* )(  ) 
int btSliderConstraint_getUseFrameOffset(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	int retVal = (int)o->getUseFrameOffset();
	return retVal;
}
//method: getSoftnessOrthoLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getSoftnessOrthoLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getSoftnessOrthoLin();
	return retVal;
}
//method: getDampingOrthoAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getDampingOrthoAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getDampingOrthoAng();
	return retVal;
}
//method: setUseFrameOffset void ( ::btSliderConstraint::* )( bool ) 
void btSliderConstraint_setUseFrameOffset(void *c,int p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setUseFrameOffset(p0);
}
//method: setLowerLinLimit void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setLowerLinLimit(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setLowerLinLimit(p0);
}
//method: getRestitutionDirLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getRestitutionDirLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getRestitutionDirLin();
	return retVal;
}
//method: getTargetLinMotorVelocity ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getTargetLinMotorVelocity(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getTargetLinMotorVelocity();
	return retVal;
}
//method: testLinLimits void ( ::btSliderConstraint::* )(  ) 
void btSliderConstraint_testLinLimits(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->testLinLimits();
}
//method: getLowerLinLimit ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getLowerLinLimit(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getLowerLinLimit();
	return retVal;
}
//method: setFrames void ( ::btSliderConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btSliderConstraint_setFrames(void *c,float* p0,float* p1) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setFrames(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getSoftnessLimLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getSoftnessLimLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getSoftnessLimLin();
	return retVal;
}
//method: getInfo1NonVirtual void ( ::btSliderConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btSliderConstraint_getInfo1NonVirtual(void *c,void* p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1NonVirtual(tp0);
}
//method: setDampingOrthoAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setDampingOrthoAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setDampingOrthoAng(p0);
}
//method: setSoftnessDirAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setSoftnessDirAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setSoftnessDirAng(p0);
}
//method: getAncorInA ::btVector3 ( ::btSliderConstraint::* )(  ) 
void btSliderConstraint_getAncorInA(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAncorInA();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getPoweredLinMotor bool ( ::btSliderConstraint::* )(  ) 
int btSliderConstraint_getPoweredLinMotor(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	int retVal = (int)o->getPoweredLinMotor();
	return retVal;
}
//method: getAncorInB ::btVector3 ( ::btSliderConstraint::* )(  ) 
void btSliderConstraint_getAncorInB(void *c,float* ret) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAncorInB();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setRestitutionOrthoAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setRestitutionOrthoAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setRestitutionOrthoAng(p0);
}
//method: setDampingDirAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setDampingDirAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setDampingDirAng(p0);
}
//method: getSolveLinLimit bool ( ::btSliderConstraint::* )(  ) 
int btSliderConstraint_getSolveLinLimit(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	int retVal = (int)o->getSolveLinLimit();
	return retVal;
}
//method: getRestitutionOrthoAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getRestitutionOrthoAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getRestitutionOrthoAng();
	return retVal;
}
//method: getMaxAngMotorForce ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getMaxAngMotorForce(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getMaxAngMotorForce();
	return retVal;
}
//method: getDampingDirAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getDampingDirAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getDampingDirAng();
	return retVal;
}
//method: calculateTransforms void ( ::btSliderConstraint::* )( ::btTransform const &,::btTransform const & ) 
void btSliderConstraint_calculateTransforms(void *c,float* p0,float* p1) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->calculateTransforms(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getUpperLinLimit ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getUpperLinLimit(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getUpperLinLimit();
	return retVal;
}
//method: getLinDepth ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getLinDepth(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getLinDepth();
	return retVal;
}
//method: setMaxLinMotorForce void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setMaxLinMotorForce(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setMaxLinMotorForce(p0);
}
//method: getRestitutionOrthoLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getRestitutionOrthoLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getRestitutionOrthoLin();
	return retVal;
}
//not supported method: serialize char const * ( ::btSliderConstraint::* )( void *,::btSerializer * ) const
//method: setTargetAngMotorVelocity void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setTargetAngMotorVelocity(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setTargetAngMotorVelocity(p0);
}
//method: getSoftnessLimAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getSoftnessLimAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getSoftnessLimAng();
	return retVal;
}
//method: getDampingOrthoLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getDampingOrthoLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getDampingOrthoLin();
	return retVal;
}
//method: getDampingLimLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getDampingLimLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getDampingLimLin();
	return retVal;
}
//method: getLowerAngLimit ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getLowerAngLimit(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getLowerAngLimit();
	return retVal;
}
//method: getRestitutionDirAng ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getRestitutionDirAng(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getRestitutionDirAng();
	return retVal;
}
//method: getTargetAngMotorVelocity ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getTargetAngMotorVelocity(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getTargetAngMotorVelocity();
	return retVal;
}
//method: setRestitutionLimLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setRestitutionLimLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setRestitutionLimLin(p0);
}
//method: testAngLimits void ( ::btSliderConstraint::* )(  ) 
void btSliderConstraint_testAngLimits(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->testAngLimits();
}
//method: getMaxLinMotorForce ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getMaxLinMotorForce(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getMaxLinMotorForce();
	return retVal;
}
//method: setDampingOrthoLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setDampingOrthoLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setDampingOrthoLin(p0);
}
//method: setSoftnessOrthoAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setSoftnessOrthoAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setSoftnessOrthoAng(p0);
}
//method: getSolveAngLimit bool ( ::btSliderConstraint::* )(  ) 
int btSliderConstraint_getSolveAngLimit(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	int retVal = (int)o->getSolveAngLimit();
	return retVal;
}
//method: setDampingLimLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setDampingLimLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setDampingLimLin(p0);
}
//method: setSoftnessDirLin void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setSoftnessDirLin(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setSoftnessDirLin(p0);
}
//method: setMaxAngMotorForce void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setMaxAngMotorForce(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setMaxAngMotorForce(p0);
}
//method: getSoftnessDirLin ::btScalar ( ::btSliderConstraint::* )(  ) 
float btSliderConstraint_getSoftnessDirLin(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	float retVal = (float)o->getSoftnessDirLin();
	return retVal;
}
//method: setSoftnessLimAng void ( ::btSliderConstraint::* )( ::btScalar ) 
void btSliderConstraint_setSoftnessLimAng(void *c,float p0) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	o->setSoftnessLimAng(p0);
}
//method: getUseLinearReferenceFrameA bool ( ::btSliderConstraint::* )(  ) 
int btSliderConstraint_getUseLinearReferenceFrameA(void *c) {
	::btSliderConstraint *o = (::btSliderConstraint*)c;
	int retVal = (int)o->getUseLinearReferenceFrameA();
	return retVal;
}

// ::btSliderConstraintData
//constructor: btSliderConstraintData  ( ::btSliderConstraintData::* )(  ) 
void* btSliderConstraintData_new() {
	::btSliderConstraintData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSliderConstraintData),16);
	o = new (mem)::btSliderConstraintData();
	return (void*)o;
}
void btSliderConstraintData_free(void *c) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	delete o;
}
//attribute: ::btTypedConstraintData btSliderConstraintData->m_typeConstraintData
// attribute not supported: //attribute: ::btTypedConstraintData btSliderConstraintData->m_typeConstraintData
//attribute: ::btTransformFloatData btSliderConstraintData->m_rbAFrame
// attribute not supported: //attribute: ::btTransformFloatData btSliderConstraintData->m_rbAFrame
//attribute: ::btTransformFloatData btSliderConstraintData->m_rbBFrame
// attribute not supported: //attribute: ::btTransformFloatData btSliderConstraintData->m_rbBFrame
//attribute: float btSliderConstraintData->m_linearUpperLimit
void btSliderConstraintData_m_linearUpperLimit_set(void *c,float a) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	o->m_linearUpperLimit = a;
}
float btSliderConstraintData_m_linearUpperLimit_get(void *c) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	return (float)(o->m_linearUpperLimit);
}

//attribute: float btSliderConstraintData->m_linearLowerLimit
void btSliderConstraintData_m_linearLowerLimit_set(void *c,float a) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	o->m_linearLowerLimit = a;
}
float btSliderConstraintData_m_linearLowerLimit_get(void *c) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	return (float)(o->m_linearLowerLimit);
}

//attribute: float btSliderConstraintData->m_angularUpperLimit
void btSliderConstraintData_m_angularUpperLimit_set(void *c,float a) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	o->m_angularUpperLimit = a;
}
float btSliderConstraintData_m_angularUpperLimit_get(void *c) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	return (float)(o->m_angularUpperLimit);
}

//attribute: float btSliderConstraintData->m_angularLowerLimit
void btSliderConstraintData_m_angularLowerLimit_set(void *c,float a) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	o->m_angularLowerLimit = a;
}
float btSliderConstraintData_m_angularLowerLimit_get(void *c) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	return (float)(o->m_angularLowerLimit);
}

//attribute: int btSliderConstraintData->m_useLinearReferenceFrameA
void btSliderConstraintData_m_useLinearReferenceFrameA_set(void *c,int a) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	o->m_useLinearReferenceFrameA = a;
}
int btSliderConstraintData_m_useLinearReferenceFrameA_get(void *c) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	return (int)(o->m_useLinearReferenceFrameA);
}

//attribute: int btSliderConstraintData->m_useOffsetForConstraintFrame
void btSliderConstraintData_m_useOffsetForConstraintFrame_set(void *c,int a) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	o->m_useOffsetForConstraintFrame = a;
}
int btSliderConstraintData_m_useOffsetForConstraintFrame_get(void *c) {
	::btSliderConstraintData *o = (::btSliderConstraintData*)c;
	return (int)(o->m_useOffsetForConstraintFrame);
}


// ::btSolverBodyObsolete
//constructor: btSolverBodyObsolete  ( ::btSolverBodyObsolete::* )(  ) 
void* btSolverBodyObsolete_new() {
	::btSolverBodyObsolete *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSolverBodyObsolete),16);
	o = new (mem)::btSolverBodyObsolete();
	return (void*)o;
}
void btSolverBodyObsolete_free(void *c) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	delete o;
}
//not supported method: applyImpulse void ( ::btSolverBodyObsolete::* )( ::btVector3 const &,::btVector3 const &,::btScalar const ) 
//method: getAngularVelocity void ( ::btSolverBodyObsolete::* )( ::btVector3 & ) const
void btSolverBodyObsolete_getAngularVelocity(void *c,float* p0) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->getAngularVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: writebackVelocity void ( ::btSolverBodyObsolete::* )(  ) 
void btSolverBodyObsolete_writebackVelocity(void *c) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	o->writebackVelocity();
}
//method: writebackVelocity void ( ::btSolverBodyObsolete::* )(  ) 
void btSolverBodyObsolete_writebackVelocity0(void *c) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	o->writebackVelocity();
}
//method: writebackVelocity void ( ::btSolverBodyObsolete::* )( ::btScalar ) 
void btSolverBodyObsolete_writebackVelocity1(void *c,float p0) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	o->writebackVelocity(p0);
}
//method: internalApplyPushImpulse void ( ::btSolverBodyObsolete::* )( ::btVector3 const &,::btVector3 const &,::btScalar ) 
void btSolverBodyObsolete_internalApplyPushImpulse(void *c,float* p0,float* p1,float p2) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->internalApplyPushImpulse(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getVelocityInLocalPointObsolete void ( ::btSolverBodyObsolete::* )( ::btVector3 const &,::btVector3 & ) const
void btSolverBodyObsolete_getVelocityInLocalPointObsolete(void *c,float* p0,float* p1) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVelocityInLocalPointObsolete(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//attribute: ::btVector3 btSolverBodyObsolete->m_deltaLinearVelocity
void btSolverBodyObsolete_m_deltaLinearVelocity_set(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_deltaLinearVelocity = ta;
}
void btSolverBodyObsolete_m_deltaLinearVelocity_get(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	a[0]=(o->m_deltaLinearVelocity).m_floats[0];a[1]=(o->m_deltaLinearVelocity).m_floats[1];a[2]=(o->m_deltaLinearVelocity).m_floats[2];
}

//attribute: ::btVector3 btSolverBodyObsolete->m_deltaAngularVelocity
void btSolverBodyObsolete_m_deltaAngularVelocity_set(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_deltaAngularVelocity = ta;
}
void btSolverBodyObsolete_m_deltaAngularVelocity_get(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	a[0]=(o->m_deltaAngularVelocity).m_floats[0];a[1]=(o->m_deltaAngularVelocity).m_floats[1];a[2]=(o->m_deltaAngularVelocity).m_floats[2];
}

//attribute: ::btVector3 btSolverBodyObsolete->m_angularFactor
void btSolverBodyObsolete_m_angularFactor_set(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_angularFactor = ta;
}
void btSolverBodyObsolete_m_angularFactor_get(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	a[0]=(o->m_angularFactor).m_floats[0];a[1]=(o->m_angularFactor).m_floats[1];a[2]=(o->m_angularFactor).m_floats[2];
}

//attribute: ::btVector3 btSolverBodyObsolete->m_invMass
void btSolverBodyObsolete_m_invMass_set(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_invMass = ta;
}
void btSolverBodyObsolete_m_invMass_get(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	a[0]=(o->m_invMass).m_floats[0];a[1]=(o->m_invMass).m_floats[1];a[2]=(o->m_invMass).m_floats[2];
}

//attribute: ::btRigidBody * btSolverBodyObsolete->m_originalBody
void btSolverBodyObsolete_m_originalBody_set(void *c,void* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	::btRigidBody * ta = (::btRigidBody *)a;
	o->m_originalBody = ta;
}
// attriibute getter not supported: //attribute: ::btRigidBody * btSolverBodyObsolete->m_originalBody
//attribute: ::btVector3 btSolverBodyObsolete->m_pushVelocity
void btSolverBodyObsolete_m_pushVelocity_set(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_pushVelocity = ta;
}
void btSolverBodyObsolete_m_pushVelocity_get(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	a[0]=(o->m_pushVelocity).m_floats[0];a[1]=(o->m_pushVelocity).m_floats[1];a[2]=(o->m_pushVelocity).m_floats[2];
}

//attribute: ::btVector3 btSolverBodyObsolete->m_turnVelocity
void btSolverBodyObsolete_m_turnVelocity_set(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_turnVelocity = ta;
}
void btSolverBodyObsolete_m_turnVelocity_get(void *c,float* a) {
	::btSolverBodyObsolete *o = (::btSolverBodyObsolete*)c;
	a[0]=(o->m_turnVelocity).m_floats[0];a[1]=(o->m_turnVelocity).m_floats[1];a[2]=(o->m_turnVelocity).m_floats[2];
}


// ::btSolverConstraint
//constructor: btSolverConstraint  ( ::btSolverConstraint::* )(  ) 
void* btSolverConstraint_new() {
	::btSolverConstraint *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSolverConstraint),16);
	o = new (mem)::btSolverConstraint();
	return (void*)o;
}
void btSolverConstraint_free(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	delete o;
}
//attribute: ::btVector3 btSolverConstraint->m_relpos1CrossNormal
void btSolverConstraint_m_relpos1CrossNormal_set(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_relpos1CrossNormal = ta;
}
void btSolverConstraint_m_relpos1CrossNormal_get(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	a[0]=(o->m_relpos1CrossNormal).m_floats[0];a[1]=(o->m_relpos1CrossNormal).m_floats[1];a[2]=(o->m_relpos1CrossNormal).m_floats[2];
}

//attribute: ::btVector3 btSolverConstraint->m_contactNormal
void btSolverConstraint_m_contactNormal_set(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_contactNormal = ta;
}
void btSolverConstraint_m_contactNormal_get(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	a[0]=(o->m_contactNormal).m_floats[0];a[1]=(o->m_contactNormal).m_floats[1];a[2]=(o->m_contactNormal).m_floats[2];
}

//attribute: ::btVector3 btSolverConstraint->m_relpos2CrossNormal
void btSolverConstraint_m_relpos2CrossNormal_set(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_relpos2CrossNormal = ta;
}
void btSolverConstraint_m_relpos2CrossNormal_get(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	a[0]=(o->m_relpos2CrossNormal).m_floats[0];a[1]=(o->m_relpos2CrossNormal).m_floats[1];a[2]=(o->m_relpos2CrossNormal).m_floats[2];
}

//attribute: ::btVector3 btSolverConstraint->m_angularComponentA
void btSolverConstraint_m_angularComponentA_set(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_angularComponentA = ta;
}
void btSolverConstraint_m_angularComponentA_get(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	a[0]=(o->m_angularComponentA).m_floats[0];a[1]=(o->m_angularComponentA).m_floats[1];a[2]=(o->m_angularComponentA).m_floats[2];
}

//attribute: ::btVector3 btSolverConstraint->m_angularComponentB
void btSolverConstraint_m_angularComponentB_set(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_angularComponentB = ta;
}
void btSolverConstraint_m_angularComponentB_get(void *c,float* a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	a[0]=(o->m_angularComponentB).m_floats[0];a[1]=(o->m_angularComponentB).m_floats[1];a[2]=(o->m_angularComponentB).m_floats[2];
}

//attribute: ::btScalar btSolverConstraint->m_appliedPushImpulse
void btSolverConstraint_m_appliedPushImpulse_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_appliedPushImpulse = a;
}
float btSolverConstraint_m_appliedPushImpulse_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_appliedPushImpulse);
}

//attribute: ::btScalar btSolverConstraint->m_appliedImpulse
void btSolverConstraint_m_appliedImpulse_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_appliedImpulse = a;
}
float btSolverConstraint_m_appliedImpulse_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_appliedImpulse);
}

//attribute: ::btScalar btSolverConstraint->m_friction
void btSolverConstraint_m_friction_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_friction = a;
}
float btSolverConstraint_m_friction_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_friction);
}

//attribute: ::btScalar btSolverConstraint->m_jacDiagABInv
void btSolverConstraint_m_jacDiagABInv_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_jacDiagABInv = a;
}
float btSolverConstraint_m_jacDiagABInv_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_jacDiagABInv);
}

//attribute: ::btSolverConstraint btSolverConstraint->
// attribute not supported: //attribute: ::btSolverConstraint btSolverConstraint->
//attribute: ::btSolverConstraint btSolverConstraint->
// attribute not supported: //attribute: ::btSolverConstraint btSolverConstraint->
//attribute: ::btSolverConstraint btSolverConstraint->
// attribute not supported: //attribute: ::btSolverConstraint btSolverConstraint->
//attribute: ::btSolverConstraint btSolverConstraint->
// attribute not supported: //attribute: ::btSolverConstraint btSolverConstraint->
//attribute: ::btSolverConstraint btSolverConstraint->
// attribute not supported: //attribute: ::btSolverConstraint btSolverConstraint->
//attribute: ::btScalar btSolverConstraint->m_rhs
void btSolverConstraint_m_rhs_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_rhs = a;
}
float btSolverConstraint_m_rhs_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_rhs);
}

//attribute: ::btScalar btSolverConstraint->m_cfm
void btSolverConstraint_m_cfm_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_cfm = a;
}
float btSolverConstraint_m_cfm_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_cfm);
}

//attribute: ::btScalar btSolverConstraint->m_lowerLimit
void btSolverConstraint_m_lowerLimit_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_lowerLimit = a;
}
float btSolverConstraint_m_lowerLimit_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_lowerLimit);
}

//attribute: ::btScalar btSolverConstraint->m_upperLimit
void btSolverConstraint_m_upperLimit_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_upperLimit = a;
}
float btSolverConstraint_m_upperLimit_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_upperLimit);
}

//attribute: ::btScalar btSolverConstraint->m_rhsPenetration
void btSolverConstraint_m_rhsPenetration_set(void *c,float a) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	o->m_rhsPenetration = a;
}
float btSolverConstraint_m_rhsPenetration_get(void *c) {
	::btSolverConstraint *o = (::btSolverConstraint*)c;
	return (float)(o->m_rhsPenetration);
}


// ::btTranslationalLimitMotor
//constructor: btTranslationalLimitMotor  ( ::btTranslationalLimitMotor::* )(  ) 
void* btTranslationalLimitMotor_new() {
	::btTranslationalLimitMotor *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTranslationalLimitMotor),16);
	o = new (mem)::btTranslationalLimitMotor();
	return (void*)o;
}
void btTranslationalLimitMotor_free(void *c) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	delete o;
}
//method: testLimitValue int ( ::btTranslationalLimitMotor::* )( int,::btScalar ) 
int btTranslationalLimitMotor_testLimitValue(void *c,int p0,float p1) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	int retVal = (int)o->testLimitValue(p0,p1);
	return retVal;
}
//method: needApplyForce bool ( ::btTranslationalLimitMotor::* )( int ) 
int btTranslationalLimitMotor_needApplyForce(void *c,int p0) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	int retVal = (int)o->needApplyForce(p0);
	return retVal;
}
//method: solveLinearAxis ::btScalar ( ::btTranslationalLimitMotor::* )( ::btScalar,::btScalar,::btRigidBody &,::btVector3 const &,::btRigidBody &,::btVector3 const &,int,::btVector3 const &,::btVector3 const & ) 
float btTranslationalLimitMotor_solveLinearAxis(void *c,float p0,float p1,void* p2,float* p3,void* p4,float* p5,int p6,float* p7,float* p8) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	::btRigidBody & tp2 = *(::btRigidBody *)p2;
	btVector3 tp3(p3[0],p3[1],p3[2]);
	::btRigidBody & tp4 = *(::btRigidBody *)p4;
	btVector3 tp5(p5[0],p5[1],p5[2]);
	btVector3 tp7(p7[0],p7[1],p7[2]);
	btVector3 tp8(p8[0],p8[1],p8[2]);
	float retVal = (float)o->solveLinearAxis(p0,p1,tp2,tp3,tp4,tp5,p6,tp7,tp8);
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
	p7[0]=tp7.m_floats[0];p7[1]=tp7.m_floats[1];p7[2]=tp7.m_floats[2];
	p8[0]=tp8.m_floats[0];p8[1]=tp8.m_floats[1];p8[2]=tp8.m_floats[2];
	return retVal;
}
//method: isLimited bool ( ::btTranslationalLimitMotor::* )( int ) 
int btTranslationalLimitMotor_isLimited(void *c,int p0) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	int retVal = (int)o->isLimited(p0);
	return retVal;
}
//attribute: ::btVector3 btTranslationalLimitMotor->m_accumulatedImpulse
void btTranslationalLimitMotor_m_accumulatedImpulse_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_accumulatedImpulse = ta;
}
void btTranslationalLimitMotor_m_accumulatedImpulse_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_accumulatedImpulse).m_floats[0];a[1]=(o->m_accumulatedImpulse).m_floats[1];a[2]=(o->m_accumulatedImpulse).m_floats[2];
}

//attribute: int[3] btTranslationalLimitMotor->m_currentLimit
// attribute not supported: //attribute: int[3] btTranslationalLimitMotor->m_currentLimit
//attribute: ::btVector3 btTranslationalLimitMotor->m_currentLimitError
void btTranslationalLimitMotor_m_currentLimitError_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_currentLimitError = ta;
}
void btTranslationalLimitMotor_m_currentLimitError_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_currentLimitError).m_floats[0];a[1]=(o->m_currentLimitError).m_floats[1];a[2]=(o->m_currentLimitError).m_floats[2];
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_currentLinearDiff
void btTranslationalLimitMotor_m_currentLinearDiff_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_currentLinearDiff = ta;
}
void btTranslationalLimitMotor_m_currentLinearDiff_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_currentLinearDiff).m_floats[0];a[1]=(o->m_currentLinearDiff).m_floats[1];a[2]=(o->m_currentLinearDiff).m_floats[2];
}

//attribute: ::btScalar btTranslationalLimitMotor->m_damping
void btTranslationalLimitMotor_m_damping_set(void *c,float a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	o->m_damping = a;
}
float btTranslationalLimitMotor_m_damping_get(void *c) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	return (float)(o->m_damping);
}

//attribute: bool[3] btTranslationalLimitMotor->m_enableMotor
// attribute not supported: //attribute: bool[3] btTranslationalLimitMotor->m_enableMotor
//attribute: ::btScalar btTranslationalLimitMotor->m_limitSoftness
void btTranslationalLimitMotor_m_limitSoftness_set(void *c,float a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	o->m_limitSoftness = a;
}
float btTranslationalLimitMotor_m_limitSoftness_get(void *c) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	return (float)(o->m_limitSoftness);
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_lowerLimit
void btTranslationalLimitMotor_m_lowerLimit_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_lowerLimit = ta;
}
void btTranslationalLimitMotor_m_lowerLimit_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_lowerLimit).m_floats[0];a[1]=(o->m_lowerLimit).m_floats[1];a[2]=(o->m_lowerLimit).m_floats[2];
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_maxMotorForce
void btTranslationalLimitMotor_m_maxMotorForce_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_maxMotorForce = ta;
}
void btTranslationalLimitMotor_m_maxMotorForce_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_maxMotorForce).m_floats[0];a[1]=(o->m_maxMotorForce).m_floats[1];a[2]=(o->m_maxMotorForce).m_floats[2];
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_normalCFM
void btTranslationalLimitMotor_m_normalCFM_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_normalCFM = ta;
}
void btTranslationalLimitMotor_m_normalCFM_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_normalCFM).m_floats[0];a[1]=(o->m_normalCFM).m_floats[1];a[2]=(o->m_normalCFM).m_floats[2];
}

//attribute: ::btScalar btTranslationalLimitMotor->m_restitution
void btTranslationalLimitMotor_m_restitution_set(void *c,float a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	o->m_restitution = a;
}
float btTranslationalLimitMotor_m_restitution_get(void *c) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	return (float)(o->m_restitution);
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_stopCFM
void btTranslationalLimitMotor_m_stopCFM_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_stopCFM = ta;
}
void btTranslationalLimitMotor_m_stopCFM_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_stopCFM).m_floats[0];a[1]=(o->m_stopCFM).m_floats[1];a[2]=(o->m_stopCFM).m_floats[2];
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_stopERP
void btTranslationalLimitMotor_m_stopERP_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_stopERP = ta;
}
void btTranslationalLimitMotor_m_stopERP_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_stopERP).m_floats[0];a[1]=(o->m_stopERP).m_floats[1];a[2]=(o->m_stopERP).m_floats[2];
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_targetVelocity
void btTranslationalLimitMotor_m_targetVelocity_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_targetVelocity = ta;
}
void btTranslationalLimitMotor_m_targetVelocity_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_targetVelocity).m_floats[0];a[1]=(o->m_targetVelocity).m_floats[1];a[2]=(o->m_targetVelocity).m_floats[2];
}

//attribute: ::btVector3 btTranslationalLimitMotor->m_upperLimit
void btTranslationalLimitMotor_m_upperLimit_set(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_upperLimit = ta;
}
void btTranslationalLimitMotor_m_upperLimit_get(void *c,float* a) {
	::btTranslationalLimitMotor *o = (::btTranslationalLimitMotor*)c;
	a[0]=(o->m_upperLimit).m_floats[0];a[1]=(o->m_upperLimit).m_floats[1];a[2]=(o->m_upperLimit).m_floats[2];
}


// ::btTypedConstraint
//method: getRigidBodyB ::btRigidBody const & ( ::btTypedConstraint::* )(  ) const
void* btTypedConstraint_getRigidBodyB(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: getRigidBodyB ::btRigidBody const & ( ::btTypedConstraint::* )(  ) const
void* btTypedConstraint_getRigidBodyB0(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: getRigidBodyB ::btRigidBody & ( ::btTypedConstraint::* )(  ) 
void* btTypedConstraint_getRigidBodyB1(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyB());
	return retVal;
}
//method: buildJacobian void ( ::btTypedConstraint::* )(  ) 
void btTypedConstraint_buildJacobian(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->buildJacobian();
}
//method: getRigidBodyA ::btRigidBody const & ( ::btTypedConstraint::* )(  ) const
void* btTypedConstraint_getRigidBodyA(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//method: getRigidBodyA ::btRigidBody const & ( ::btTypedConstraint::* )(  ) const
void* btTypedConstraint_getRigidBodyA0(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//method: getRigidBodyA ::btRigidBody & ( ::btTypedConstraint::* )(  ) 
void* btTypedConstraint_getRigidBodyA1(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	void* retVal = (void*) &(o->getRigidBodyA());
	return retVal;
}
//not supported method: serialize char const * ( ::btTypedConstraint::* )( void *,::btSerializer * ) const
//method: enableFeedback void ( ::btTypedConstraint::* )( bool ) 
void btTypedConstraint_enableFeedback(void *c,int p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->enableFeedback(p0);
}
//method: getUserConstraintId int ( ::btTypedConstraint::* )(  ) const
int btTypedConstraint_getUserConstraintId(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	int retVal = (int)o->getUserConstraintId();
	return retVal;
}
//method: setParam void ( ::btTypedConstraint::* )( int,::btScalar,int ) 
void btTypedConstraint_setParam(void *c,int p0,float p1,int p2) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->setParam(p0,p1,p2);
}
//method: getParam ::btScalar ( ::btTypedConstraint::* )( int,int ) const
float btTypedConstraint_getParam(void *c,int p0,int p1) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	float retVal = (float)o->getParam(p0,p1);
	return retVal;
}
//method: getInfo1 void ( ::btTypedConstraint::* )( ::btTypedConstraint::btConstraintInfo1 * ) 
void btTypedConstraint_getInfo1(void *c,void* p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	::btTypedConstraint::btConstraintInfo1 * tp0 = (::btTypedConstraint::btConstraintInfo1 *)p0;
	o->getInfo1(tp0);
}
//method: getInfo2 void ( ::btTypedConstraint::* )( ::btTypedConstraint::btConstraintInfo2 * ) 
void btTypedConstraint_getInfo2(void *c,void* p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	::btTypedConstraint::btConstraintInfo2 * tp0 = (::btTypedConstraint::btConstraintInfo2 *)p0;
	o->getInfo2(tp0);
}
//method: setBreakingImpulseThreshold void ( ::btTypedConstraint::* )( ::btScalar ) 
void btTypedConstraint_setBreakingImpulseThreshold(void *c,float p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->setBreakingImpulseThreshold(p0);
}
//method: calculateSerializeBufferSize int ( ::btTypedConstraint::* )(  ) const
int btTypedConstraint_calculateSerializeBufferSize(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: isEnabled bool ( ::btTypedConstraint::* )(  ) const
int btTypedConstraint_isEnabled(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	int retVal = (int)o->isEnabled();
	return retVal;
}
//method: setUserConstraintId void ( ::btTypedConstraint::* )( int ) 
void btTypedConstraint_setUserConstraintId(void *c,int p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->setUserConstraintId(p0);
}
//not supported method: getConstraintType ::btTypedConstraintType ( ::btTypedConstraint::* )(  ) const
//method: getDbgDrawSize ::btScalar ( ::btTypedConstraint::* )(  ) 
float btTypedConstraint_getDbgDrawSize(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	float retVal = (float)o->getDbgDrawSize();
	return retVal;
}
//method: internalSetAppliedImpulse void ( ::btTypedConstraint::* )( ::btScalar ) 
void btTypedConstraint_internalSetAppliedImpulse(void *c,float p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->internalSetAppliedImpulse(p0);
}
//method: needsFeedback bool ( ::btTypedConstraint::* )(  ) const
int btTypedConstraint_needsFeedback(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	int retVal = (int)o->needsFeedback();
	return retVal;
}
//not supported method: getUserConstraintPtr void * ( ::btTypedConstraint::* )(  ) 
//method: setEnabled void ( ::btTypedConstraint::* )( bool ) 
void btTypedConstraint_setEnabled(void *c,int p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->setEnabled(p0);
}
//method: getUid int ( ::btTypedConstraint::* )(  ) const
int btTypedConstraint_getUid(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	int retVal = (int)o->getUid();
	return retVal;
}
//method: setDbgDrawSize void ( ::btTypedConstraint::* )( ::btScalar ) 
void btTypedConstraint_setDbgDrawSize(void *c,float p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->setDbgDrawSize(p0);
}
//method: setUserConstraintType void ( ::btTypedConstraint::* )( int ) 
void btTypedConstraint_setUserConstraintType(void *c,int p0) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	o->setUserConstraintType(p0);
}
//method: internalGetAppliedImpulse ::btScalar ( ::btTypedConstraint::* )(  ) 
float btTypedConstraint_internalGetAppliedImpulse(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	float retVal = (float)o->internalGetAppliedImpulse();
	return retVal;
}
//not supported method: setupSolverConstraint void ( ::btTypedConstraint::* )( ::btConstraintArray &,int,int,::btScalar ) 
//method: getBreakingImpulseThreshold ::btScalar ( ::btTypedConstraint::* )(  ) const
float btTypedConstraint_getBreakingImpulseThreshold(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	float retVal = (float)o->getBreakingImpulseThreshold();
	return retVal;
}
//method: getUserConstraintType int ( ::btTypedConstraint::* )(  ) const
int btTypedConstraint_getUserConstraintType(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	int retVal = (int)o->getUserConstraintType();
	return retVal;
}
//method: solveConstraintObsolete void ( ::btTypedConstraint::* )( ::btRigidBody &,::btRigidBody &,::btScalar ) 
void btTypedConstraint_solveConstraintObsolete(void *c,void* p0,void* p1,float p2) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	o->solveConstraintObsolete(tp0,tp1,p2);
}
//method: getAppliedImpulse ::btScalar ( ::btTypedConstraint::* )(  ) const
float btTypedConstraint_getAppliedImpulse(void *c) {
	::btTypedConstraint *o = (::btTypedConstraint*)c;
	float retVal = (float)o->getAppliedImpulse();
	return retVal;
}
//not supported method: setUserConstraintPtr void ( ::btTypedConstraint::* )( void * ) 

// ::btTypedConstraintData
//constructor: btTypedConstraintData  ( ::btTypedConstraintData::* )(  ) 
void* btTypedConstraintData_new() {
	::btTypedConstraintData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTypedConstraintData),16);
	o = new (mem)::btTypedConstraintData();
	return (void*)o;
}
void btTypedConstraintData_free(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	delete o;
}
//attribute: float btTypedConstraintData->m_appliedImpulse
void btTypedConstraintData_m_appliedImpulse_set(void *c,float a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_appliedImpulse = a;
}
float btTypedConstraintData_m_appliedImpulse_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (float)(o->m_appliedImpulse);
}

//attribute: float btTypedConstraintData->m_dbgDrawSize
void btTypedConstraintData_m_dbgDrawSize_set(void *c,float a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_dbgDrawSize = a;
}
float btTypedConstraintData_m_dbgDrawSize_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (float)(o->m_dbgDrawSize);
}

//attribute: int btTypedConstraintData->m_disableCollisionsBetweenLinkedBodies
void btTypedConstraintData_m_disableCollisionsBetweenLinkedBodies_set(void *c,int a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_disableCollisionsBetweenLinkedBodies = a;
}
int btTypedConstraintData_m_disableCollisionsBetweenLinkedBodies_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (int)(o->m_disableCollisionsBetweenLinkedBodies);
}

//attribute: char * btTypedConstraintData->m_name
void btTypedConstraintData_m_name_set(void *c,char * a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_name = a;
}
char * btTypedConstraintData_m_name_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (char *)(o->m_name);
}

//attribute: int btTypedConstraintData->m_needsFeedback
void btTypedConstraintData_m_needsFeedback_set(void *c,int a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_needsFeedback = a;
}
int btTypedConstraintData_m_needsFeedback_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (int)(o->m_needsFeedback);
}

//attribute: int btTypedConstraintData->m_objectType
void btTypedConstraintData_m_objectType_set(void *c,int a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_objectType = a;
}
int btTypedConstraintData_m_objectType_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (int)(o->m_objectType);
}

//attribute: char[4] btTypedConstraintData->m_pad4
// attribute not supported: //attribute: char[4] btTypedConstraintData->m_pad4
//attribute: ::btRigidBodyFloatData * btTypedConstraintData->m_rbA
void btTypedConstraintData_m_rbA_set(void *c,void* a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	::btRigidBodyFloatData * ta = (::btRigidBodyFloatData *)a;
	o->m_rbA = ta;
}
// attriibute getter not supported: //attribute: ::btRigidBodyFloatData * btTypedConstraintData->m_rbA
//attribute: ::btRigidBodyFloatData * btTypedConstraintData->m_rbB
void btTypedConstraintData_m_rbB_set(void *c,void* a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	::btRigidBodyFloatData * ta = (::btRigidBodyFloatData *)a;
	o->m_rbB = ta;
}
// attriibute getter not supported: //attribute: ::btRigidBodyFloatData * btTypedConstraintData->m_rbB
//attribute: int btTypedConstraintData->m_userConstraintId
void btTypedConstraintData_m_userConstraintId_set(void *c,int a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_userConstraintId = a;
}
int btTypedConstraintData_m_userConstraintId_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (int)(o->m_userConstraintId);
}

//attribute: int btTypedConstraintData->m_userConstraintType
void btTypedConstraintData_m_userConstraintType_set(void *c,int a) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	o->m_userConstraintType = a;
}
int btTypedConstraintData_m_userConstraintType_get(void *c) {
	::btTypedConstraintData *o = (::btTypedConstraintData*)c;
	return (int)(o->m_userConstraintType);
}


// ::btUniversalConstraint
//constructor: btUniversalConstraint  ( ::btUniversalConstraint::* )( ::btRigidBody &,::btRigidBody &,::btVector3 &,::btVector3 &,::btVector3 & ) 
void* btUniversalConstraint_new(void* p0,void* p1,float* p2,float* p3,float* p4) {
	::btUniversalConstraint *o = 0;
	 void *mem = 0;
	::btRigidBody & tp0 = *(::btRigidBody *)p0;
	::btRigidBody & tp1 = *(::btRigidBody *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	mem = btAlignedAlloc(sizeof(::btUniversalConstraint),16);
	o = new (mem)::btUniversalConstraint(tp0,tp1,tp2,tp3,tp4);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return (void*)o;
}
void btUniversalConstraint_free(void *c) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	delete o;
}
//method: setLowerLimit void ( ::btUniversalConstraint::* )( ::btScalar,::btScalar ) 
void btUniversalConstraint_setLowerLimit(void *c,float p0,float p1) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	o->setLowerLimit(p0,p1);
}
//method: getAnchor2 ::btVector3 const & ( ::btUniversalConstraint::* )(  ) 
void btUniversalConstraint_getAnchor2(void *c,float* ret) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAnchor2();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setAxis void ( ::btUniversalConstraint::* )( ::btVector3 const &,::btVector3 const & ) 
void btUniversalConstraint_setAxis(void *c,float* p0,float* p1) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setAxis(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getAxis1 ::btVector3 const & ( ::btUniversalConstraint::* )(  ) 
void btUniversalConstraint_getAxis1(void *c,float* ret) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAxis1();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAnchor ::btVector3 const & ( ::btUniversalConstraint::* )(  ) 
void btUniversalConstraint_getAnchor(void *c,float* ret) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAnchor();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAxis2 ::btVector3 const & ( ::btUniversalConstraint::* )(  ) 
void btUniversalConstraint_getAxis2(void *c,float* ret) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAxis2();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setUpperLimit void ( ::btUniversalConstraint::* )( ::btScalar,::btScalar ) 
void btUniversalConstraint_setUpperLimit(void *c,float p0,float p1) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	o->setUpperLimit(p0,p1);
}
//method: getAngle2 ::btScalar ( ::btUniversalConstraint::* )(  ) 
float btUniversalConstraint_getAngle2(void *c) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	float retVal = (float)o->getAngle2();
	return retVal;
}
//method: getAngle1 ::btScalar ( ::btUniversalConstraint::* )(  ) 
float btUniversalConstraint_getAngle1(void *c) {
	::btUniversalConstraint *o = (::btUniversalConstraint*)c;
	float retVal = (float)o->getAngle1();
	return retVal;
}

// ::btActionInterface
//method: updateAction void ( ::btActionInterface::* )( ::btCollisionWorld *,::btScalar ) 
void btActionInterface_updateAction(void *c,void* p0,float p1) {
	::btActionInterface *o = (::btActionInterface*)c;
	::btCollisionWorld * tp0 = (::btCollisionWorld *)p0;
	o->updateAction(tp0,p1);
}
//method: debugDraw void ( ::btActionInterface::* )( ::btIDebugDraw * ) 
void btActionInterface_debugDraw(void *c,void* p0) {
	::btActionInterface *o = (::btActionInterface*)c;
	::btIDebugDraw * tp0 = (::btIDebugDraw *)p0;
	o->debugDraw(tp0);
}

// ::btContinuousDynamicsWorld
//constructor: btContinuousDynamicsWorld  ( ::btContinuousDynamicsWorld::* )( ::btDispatcher *,::btBroadphaseInterface *,::btConstraintSolver *,::btCollisionConfiguration * ) 
void* btContinuousDynamicsWorld_new(void* p0,void* p1,void* p2,void* p3) {
	::btContinuousDynamicsWorld *o = 0;
	 void *mem = 0;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	::btBroadphaseInterface * tp1 = (::btBroadphaseInterface *)p1;
	::btConstraintSolver * tp2 = (::btConstraintSolver *)p2;
	::btCollisionConfiguration * tp3 = (::btCollisionConfiguration *)p3;
	mem = btAlignedAlloc(sizeof(::btContinuousDynamicsWorld),16);
	o = new (mem)::btContinuousDynamicsWorld(tp0,tp1,tp2,tp3);
	return (void*)o;
}
void btContinuousDynamicsWorld_free(void *c) {
	::btContinuousDynamicsWorld *o = (::btContinuousDynamicsWorld*)c;
	delete o;
}
//method: internalSingleStepSimulation void ( ::btContinuousDynamicsWorld::* )( ::btScalar ) 
void btContinuousDynamicsWorld_internalSingleStepSimulation(void *c,float p0) {
	::btContinuousDynamicsWorld *o = (::btContinuousDynamicsWorld*)c;
	o->internalSingleStepSimulation(p0);
}
//not supported method: getWorldType ::btDynamicsWorldType ( ::btContinuousDynamicsWorld::* )(  ) const
//method: calculateTimeOfImpacts void ( ::btContinuousDynamicsWorld::* )( ::btScalar ) 
void btContinuousDynamicsWorld_calculateTimeOfImpacts(void *c,float p0) {
	::btContinuousDynamicsWorld *o = (::btContinuousDynamicsWorld*)c;
	o->calculateTimeOfImpacts(p0);
}

// ::btDiscreteDynamicsWorld
//constructor: btDiscreteDynamicsWorld  ( ::btDiscreteDynamicsWorld::* )( ::btDispatcher *,::btBroadphaseInterface *,::btConstraintSolver *,::btCollisionConfiguration * ) 
void* btDiscreteDynamicsWorld_new(void* p0,void* p1,void* p2,void* p3) {
	::btDiscreteDynamicsWorld *o = 0;
	 void *mem = 0;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	::btBroadphaseInterface * tp1 = (::btBroadphaseInterface *)p1;
	::btConstraintSolver * tp2 = (::btConstraintSolver *)p2;
	::btCollisionConfiguration * tp3 = (::btCollisionConfiguration *)p3;
	mem = btAlignedAlloc(sizeof(::btDiscreteDynamicsWorld),16);
	o = new (mem)::btDiscreteDynamicsWorld(tp0,tp1,tp2,tp3);
	return (void*)o;
}
void btDiscreteDynamicsWorld_free(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	delete o;
}
//method: setGravity void ( ::btDiscreteDynamicsWorld::* )( ::btVector3 const & ) 
void btDiscreteDynamicsWorld_setGravity(void *c,float* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setGravity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: addAction void ( ::btDiscreteDynamicsWorld::* )( ::btActionInterface * ) 
void btDiscreteDynamicsWorld_addAction(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->addAction(tp0);
}
//method: applyGravity void ( ::btDiscreteDynamicsWorld::* )(  ) 
void btDiscreteDynamicsWorld_applyGravity(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	o->applyGravity();
}
//method: serialize void ( ::btDiscreteDynamicsWorld::* )( ::btSerializer * ) 
void btDiscreteDynamicsWorld_serialize(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serialize(tp0);
}
//method: getCollisionWorld ::btCollisionWorld * ( ::btDiscreteDynamicsWorld::* )(  ) 
void* btDiscreteDynamicsWorld_getCollisionWorld(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	void* retVal = (void*) o->getCollisionWorld();
	return retVal;
}
//method: addRigidBody void ( ::btDiscreteDynamicsWorld::* )( ::btRigidBody * ) 
void btDiscreteDynamicsWorld_addRigidBody(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0);
}
//method: addRigidBody void ( ::btDiscreteDynamicsWorld::* )( ::btRigidBody * ) 
void btDiscreteDynamicsWorld_addRigidBody0(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0);
}
//method: addRigidBody void ( ::btDiscreteDynamicsWorld::* )( ::btRigidBody *,short int,short int ) 
void btDiscreteDynamicsWorld_addRigidBody1(void *c,void* p0,short int p1,short int p2) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0,p1,p2);
}
//method: clearForces void ( ::btDiscreteDynamicsWorld::* )(  ) 
void btDiscreteDynamicsWorld_clearForces(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	o->clearForces();
}
//method: removeVehicle void ( ::btDiscreteDynamicsWorld::* )( ::btActionInterface * ) 
void btDiscreteDynamicsWorld_removeVehicle(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->removeVehicle(tp0);
}
//method: getSynchronizeAllMotionStates bool ( ::btDiscreteDynamicsWorld::* )(  ) const
int btDiscreteDynamicsWorld_getSynchronizeAllMotionStates(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	int retVal = (int)o->getSynchronizeAllMotionStates();
	return retVal;
}
//method: setNumTasks void ( ::btDiscreteDynamicsWorld::* )( int ) 
void btDiscreteDynamicsWorld_setNumTasks(void *c,int p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	o->setNumTasks(p0);
}
//method: setSynchronizeAllMotionStates void ( ::btDiscreteDynamicsWorld::* )( bool ) 
void btDiscreteDynamicsWorld_setSynchronizeAllMotionStates(void *c,int p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	o->setSynchronizeAllMotionStates(p0);
}
//method: removeConstraint void ( ::btDiscreteDynamicsWorld::* )( ::btTypedConstraint * ) 
void btDiscreteDynamicsWorld_removeConstraint(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btTypedConstraint * tp0 = (::btTypedConstraint *)p0;
	o->removeConstraint(tp0);
}
//method: getNumConstraints int ( ::btDiscreteDynamicsWorld::* )(  ) const
int btDiscreteDynamicsWorld_getNumConstraints(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	int retVal = (int)o->getNumConstraints();
	return retVal;
}
//method: addCollisionObject void ( ::btDiscreteDynamicsWorld::* )( ::btCollisionObject *,short int,short int ) 
void btDiscreteDynamicsWorld_addCollisionObject(void *c,void* p0,short int p1,short int p2) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->addCollisionObject(tp0,p1,p2);
}
//method: removeRigidBody void ( ::btDiscreteDynamicsWorld::* )( ::btRigidBody * ) 
void btDiscreteDynamicsWorld_removeRigidBody(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->removeRigidBody(tp0);
}
//method: debugDrawConstraint void ( ::btDiscreteDynamicsWorld::* )( ::btTypedConstraint * ) 
void btDiscreteDynamicsWorld_debugDrawConstraint(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btTypedConstraint * tp0 = (::btTypedConstraint *)p0;
	o->debugDrawConstraint(tp0);
}
//method: debugDrawWorld void ( ::btDiscreteDynamicsWorld::* )(  ) 
void btDiscreteDynamicsWorld_debugDrawWorld(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	o->debugDrawWorld();
}
//method: addConstraint void ( ::btDiscreteDynamicsWorld::* )( ::btTypedConstraint *,bool ) 
void btDiscreteDynamicsWorld_addConstraint(void *c,void* p0,int p1) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btTypedConstraint * tp0 = (::btTypedConstraint *)p0;
	o->addConstraint(tp0,p1);
}
//method: getGravity ::btVector3 ( ::btDiscreteDynamicsWorld::* )(  ) const
void btDiscreteDynamicsWorld_getGravity(void *c,float* ret) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getGravity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: removeAction void ( ::btDiscreteDynamicsWorld::* )( ::btActionInterface * ) 
void btDiscreteDynamicsWorld_removeAction(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->removeAction(tp0);
}
//method: removeCharacter void ( ::btDiscreteDynamicsWorld::* )( ::btActionInterface * ) 
void btDiscreteDynamicsWorld_removeCharacter(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->removeCharacter(tp0);
}
//method: getConstraint ::btTypedConstraint * ( ::btDiscreteDynamicsWorld::* )( int ) 
void* btDiscreteDynamicsWorld_getConstraint(void *c,int p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraint(p0);
	return retVal;
}
//method: getConstraint ::btTypedConstraint * ( ::btDiscreteDynamicsWorld::* )( int ) 
void* btDiscreteDynamicsWorld_getConstraint0(void *c,int p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraint(p0);
	return retVal;
}
//method: getConstraint ::btTypedConstraint const * ( ::btDiscreteDynamicsWorld::* )( int ) const
void* btDiscreteDynamicsWorld_getConstraint1(void *c,int p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraint(p0);
	return retVal;
}
//method: getConstraintSolver ::btConstraintSolver * ( ::btDiscreteDynamicsWorld::* )(  ) 
void* btDiscreteDynamicsWorld_getConstraintSolver(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraintSolver();
	return retVal;
}
//method: stepSimulation int ( ::btDiscreteDynamicsWorld::* )( ::btScalar,int,::btScalar ) 
int btDiscreteDynamicsWorld_stepSimulation(void *c,float p0,int p1,float p2) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	int retVal = (int)o->stepSimulation(p0,p1,p2);
	return retVal;
}
//method: addCharacter void ( ::btDiscreteDynamicsWorld::* )( ::btActionInterface * ) 
void btDiscreteDynamicsWorld_addCharacter(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->addCharacter(tp0);
}
//not supported method: getWorldType ::btDynamicsWorldType ( ::btDiscreteDynamicsWorld::* )(  ) const
//method: updateVehicles void ( ::btDiscreteDynamicsWorld::* )( ::btScalar ) 
void btDiscreteDynamicsWorld_updateVehicles(void *c,float p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	o->updateVehicles(p0);
}
//method: synchronizeSingleMotionState void ( ::btDiscreteDynamicsWorld::* )( ::btRigidBody * ) 
void btDiscreteDynamicsWorld_synchronizeSingleMotionState(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->synchronizeSingleMotionState(tp0);
}
//method: addVehicle void ( ::btDiscreteDynamicsWorld::* )( ::btActionInterface * ) 
void btDiscreteDynamicsWorld_addVehicle(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->addVehicle(tp0);
}
//method: synchronizeMotionStates void ( ::btDiscreteDynamicsWorld::* )(  ) 
void btDiscreteDynamicsWorld_synchronizeMotionStates(void *c) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	o->synchronizeMotionStates();
}
//not supported method: getSimulationIslandManager ::btSimulationIslandManager * ( ::btDiscreteDynamicsWorld::* )(  ) 
//not supported method: getSimulationIslandManager ::btSimulationIslandManager * ( ::btDiscreteDynamicsWorld::* )(  ) 
//not supported method: getSimulationIslandManager ::btSimulationIslandManager const * ( ::btDiscreteDynamicsWorld::* )(  ) const
//method: removeCollisionObject void ( ::btDiscreteDynamicsWorld::* )( ::btCollisionObject * ) 
void btDiscreteDynamicsWorld_removeCollisionObject(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->removeCollisionObject(tp0);
}
//method: setConstraintSolver void ( ::btDiscreteDynamicsWorld::* )( ::btConstraintSolver * ) 
void btDiscreteDynamicsWorld_setConstraintSolver(void *c,void* p0) {
	::btDiscreteDynamicsWorld *o = (::btDiscreteDynamicsWorld*)c;
	::btConstraintSolver * tp0 = (::btConstraintSolver *)p0;
	o->setConstraintSolver(tp0);
}

// ::btDynamicsWorld
//method: setGravity void ( ::btDynamicsWorld::* )( ::btVector3 const & ) 
void btDynamicsWorld_setGravity(void *c,float* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setGravity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: addAction void ( ::btDynamicsWorld::* )( ::btActionInterface * ) 
void btDynamicsWorld_addAction(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->addAction(tp0);
}
//method: getSolverInfo ::btContactSolverInfo & ( ::btDynamicsWorld::* )(  ) 
void* btDynamicsWorld_getSolverInfo(void *c) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	void* retVal = (void*) &(o->getSolverInfo());
	return retVal;
}
//method: addRigidBody void ( ::btDynamicsWorld::* )( ::btRigidBody * ) 
void btDynamicsWorld_addRigidBody(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0);
}
//method: addRigidBody void ( ::btDynamicsWorld::* )( ::btRigidBody * ) 
void btDynamicsWorld_addRigidBody0(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0);
}
//method: addRigidBody void ( ::btDynamicsWorld::* )( ::btRigidBody *,short int,short int ) 
void btDynamicsWorld_addRigidBody1(void *c,void* p0,short int p1,short int p2) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0,p1,p2);
}
//method: clearForces void ( ::btDynamicsWorld::* )(  ) 
void btDynamicsWorld_clearForces(void *c) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	o->clearForces();
}
//method: removeVehicle void ( ::btDynamicsWorld::* )( ::btActionInterface * ) 
void btDynamicsWorld_removeVehicle(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->removeVehicle(tp0);
}
//method: removeConstraint void ( ::btDynamicsWorld::* )( ::btTypedConstraint * ) 
void btDynamicsWorld_removeConstraint(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btTypedConstraint * tp0 = (::btTypedConstraint *)p0;
	o->removeConstraint(tp0);
}
//method: getNumConstraints int ( ::btDynamicsWorld::* )(  ) const
int btDynamicsWorld_getNumConstraints(void *c) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	int retVal = (int)o->getNumConstraints();
	return retVal;
}
//method: removeRigidBody void ( ::btDynamicsWorld::* )( ::btRigidBody * ) 
void btDynamicsWorld_removeRigidBody(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->removeRigidBody(tp0);
}
//not supported method: setInternalTickCallback void ( ::btDynamicsWorld::* )( ::btInternalTickCallback,void *,bool ) 
//method: synchronizeMotionStates void ( ::btDynamicsWorld::* )(  ) 
void btDynamicsWorld_synchronizeMotionStates(void *c) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	o->synchronizeMotionStates();
}
//method: addConstraint void ( ::btDynamicsWorld::* )( ::btTypedConstraint *,bool ) 
void btDynamicsWorld_addConstraint(void *c,void* p0,int p1) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btTypedConstraint * tp0 = (::btTypedConstraint *)p0;
	o->addConstraint(tp0,p1);
}
//method: getGravity ::btVector3 ( ::btDynamicsWorld::* )(  ) const
void btDynamicsWorld_getGravity(void *c,float* ret) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getGravity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: debugDrawWorld void ( ::btDynamicsWorld::* )(  ) 
void btDynamicsWorld_debugDrawWorld(void *c) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	o->debugDrawWorld();
}
//method: removeAction void ( ::btDynamicsWorld::* )( ::btActionInterface * ) 
void btDynamicsWorld_removeAction(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->removeAction(tp0);
}
//not supported method: setWorldUserInfo void ( ::btDynamicsWorld::* )( void * ) 
//method: removeCharacter void ( ::btDynamicsWorld::* )( ::btActionInterface * ) 
void btDynamicsWorld_removeCharacter(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->removeCharacter(tp0);
}
//method: getConstraint ::btTypedConstraint * ( ::btDynamicsWorld::* )( int ) 
void* btDynamicsWorld_getConstraint(void *c,int p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraint(p0);
	return retVal;
}
//method: getConstraint ::btTypedConstraint * ( ::btDynamicsWorld::* )( int ) 
void* btDynamicsWorld_getConstraint0(void *c,int p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraint(p0);
	return retVal;
}
//method: getConstraint ::btTypedConstraint const * ( ::btDynamicsWorld::* )( int ) const
void* btDynamicsWorld_getConstraint1(void *c,int p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraint(p0);
	return retVal;
}
//method: getConstraintSolver ::btConstraintSolver * ( ::btDynamicsWorld::* )(  ) 
void* btDynamicsWorld_getConstraintSolver(void *c) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraintSolver();
	return retVal;
}
//method: stepSimulation int ( ::btDynamicsWorld::* )( ::btScalar,int,::btScalar ) 
int btDynamicsWorld_stepSimulation(void *c,float p0,int p1,float p2) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	int retVal = (int)o->stepSimulation(p0,p1,p2);
	return retVal;
}
//method: addCharacter void ( ::btDynamicsWorld::* )( ::btActionInterface * ) 
void btDynamicsWorld_addCharacter(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->addCharacter(tp0);
}
//not supported method: getWorldType ::btDynamicsWorldType ( ::btDynamicsWorld::* )(  ) const
//method: addVehicle void ( ::btDynamicsWorld::* )( ::btActionInterface * ) 
void btDynamicsWorld_addVehicle(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->addVehicle(tp0);
}
//not supported method: getWorldUserInfo void * ( ::btDynamicsWorld::* )(  ) const
//method: setConstraintSolver void ( ::btDynamicsWorld::* )( ::btConstraintSolver * ) 
void btDynamicsWorld_setConstraintSolver(void *c,void* p0) {
	::btDynamicsWorld *o = (::btDynamicsWorld*)c;
	::btConstraintSolver * tp0 = (::btConstraintSolver *)p0;
	o->setConstraintSolver(tp0);
}

// ::btRigidBody
//constructor: btRigidBody  ( ::btRigidBody::* )( ::btRigidBody::btRigidBodyConstructionInfo const & ) 
void* btRigidBody_new0(void* p0) {
	::btRigidBody *o = 0;
	 void *mem = 0;
	::btRigidBody::btRigidBodyConstructionInfo const & tp0 = *(::btRigidBody::btRigidBodyConstructionInfo const *)p0;
	mem = btAlignedAlloc(sizeof(::btRigidBody),16);
	o = new (mem)::btRigidBody(tp0);
	return (void*)o;
}
//constructor: btRigidBody  ( ::btRigidBody::* )( ::btScalar,::btMotionState *,::btCollisionShape *,::btVector3 const & ) 
void* btRigidBody_new1(float p0,void* p1,void* p2,float* p3) {
	::btRigidBody *o = 0;
	 void *mem = 0;
	::btMotionState * tp1 = (::btMotionState *)p1;
	::btCollisionShape * tp2 = (::btCollisionShape *)p2;
	btVector3 tp3(p3[0],p3[1],p3[2]);
	mem = btAlignedAlloc(sizeof(::btRigidBody),16);
	o = new (mem)::btRigidBody(p0,tp1,tp2,tp3);
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return (void*)o;
}
void btRigidBody_free(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	delete o;
}
//method: setGravity void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_setGravity(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setGravity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: updateDeactivation void ( ::btRigidBody::* )( ::btScalar ) 
void btRigidBody_updateDeactivation(void *c,float p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->updateDeactivation(p0);
}
//method: setAngularFactor void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_setAngularFactor(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setAngularFactor(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setAngularFactor void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_setAngularFactor0(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setAngularFactor(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setAngularFactor void ( ::btRigidBody::* )( ::btScalar ) 
void btRigidBody_setAngularFactor1(void *c,float p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->setAngularFactor(p0);
}
//method: internalWritebackVelocity void ( ::btRigidBody::* )(  ) 
void btRigidBody_internalWritebackVelocity(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->internalWritebackVelocity();
}
//method: internalWritebackVelocity void ( ::btRigidBody::* )(  ) 
void btRigidBody_internalWritebackVelocity0(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->internalWritebackVelocity();
}
//method: internalWritebackVelocity void ( ::btRigidBody::* )( ::btScalar ) 
void btRigidBody_internalWritebackVelocity1(void *c,float p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->internalWritebackVelocity(p0);
}
//method: getPushVelocity ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getPushVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getPushVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: internalGetDeltaAngularVelocity ::btVector3 & ( ::btRigidBody::* )(  ) 
void btRigidBody_internalGetDeltaAngularVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->internalGetDeltaAngularVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: applyGravity void ( ::btRigidBody::* )(  ) 
void btRigidBody_applyGravity(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->applyGravity();
}
//not supported method: serialize char const * ( ::btRigidBody::* )( void *,::btSerializer * ) const
//method: getOrientation ::btQuaternion ( ::btRigidBody::* )(  ) const
void btRigidBody_getOrientation(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btQuaternion tret(ret[0],ret[1],ret[2],ret[3]);
	tret = o->getOrientation();
	ret[0]=tret.getX();ret[1]=tret.getY();ret[2]=tret.getZ();ret[3]=tret.getW();
}
//method: applyCentralForce void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_applyCentralForce(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->applyCentralForce(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//not supported method: internalApplyImpulse void ( ::btRigidBody::* )( ::btVector3 const &,::btVector3 const &,::btScalar const ) 
//method: setMotionState void ( ::btRigidBody::* )( ::btMotionState * ) 
void btRigidBody_setMotionState(void *c,void* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	::btMotionState * tp0 = (::btMotionState *)p0;
	o->setMotionState(tp0);
}
//method: clearForces void ( ::btRigidBody::* )(  ) 
void btRigidBody_clearForces(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->clearForces();
}
//method: getMotionState ::btMotionState * ( ::btRigidBody::* )(  ) 
void* btRigidBody_getMotionState(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getMotionState();
	return retVal;
}
//method: getMotionState ::btMotionState * ( ::btRigidBody::* )(  ) 
void* btRigidBody_getMotionState0(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getMotionState();
	return retVal;
}
//method: getMotionState ::btMotionState const * ( ::btRigidBody::* )(  ) const
void* btRigidBody_getMotionState1(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getMotionState();
	return retVal;
}
//method: setDamping void ( ::btRigidBody::* )( ::btScalar,::btScalar ) 
void btRigidBody_setDamping(void *c,float p0,float p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->setDamping(p0,p1);
}
//method: applyImpulse void ( ::btRigidBody::* )( ::btVector3 const &,::btVector3 const & ) 
void btRigidBody_applyImpulse(void *c,float* p0,float* p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->applyImpulse(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: applyTorque void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_applyTorque(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->applyTorque(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: internalApplyPushImpulse void ( ::btRigidBody::* )( ::btVector3 const &,::btVector3 const &,::btScalar ) 
void btRigidBody_internalApplyPushImpulse(void *c,float* p0,float* p1,float p2) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->internalApplyPushImpulse(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: wantsSleeping bool ( ::btRigidBody::* )(  ) 
int btRigidBody_wantsSleeping(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	int retVal = (int)o->wantsSleeping();
	return retVal;
}
//method: setNewBroadphaseProxy void ( ::btRigidBody::* )( ::btBroadphaseProxy * ) 
void btRigidBody_setNewBroadphaseProxy(void *c,void* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	o->setNewBroadphaseProxy(tp0);
}
//method: getVelocityInLocalPoint ::btVector3 ( ::btRigidBody::* )( ::btVector3 const & ) const
void btRigidBody_getVelocityInLocalPoint(void *c,float* p0,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getVelocityInLocalPoint(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btRigidBody::* )(  ) const
int btRigidBody_calculateSerializeBufferSize(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: setAngularVelocity void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_setAngularVelocity(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setAngularVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getLinearFactor ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getLinearFactor(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLinearFactor();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: predictIntegratedTransform void ( ::btRigidBody::* )( ::btScalar,::btTransform & ) 
void btRigidBody_predictIntegratedTransform(void *c,float p0,float* p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->predictIntegratedTransform(p0,tp1);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: internalGetAngularFactor ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_internalGetAngularFactor(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->internalGetAngularFactor();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAngularSleepingThreshold ::btScalar ( ::btRigidBody::* )(  ) const
float btRigidBody_getAngularSleepingThreshold(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	float retVal = (float)o->getAngularSleepingThreshold();
	return retVal;
}
//method: applyDamping void ( ::btRigidBody::* )( ::btScalar ) 
void btRigidBody_applyDamping(void *c,float p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->applyDamping(p0);
}
//method: saveKinematicState void ( ::btRigidBody::* )( ::btScalar ) 
void btRigidBody_saveKinematicState(void *c,float p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->saveKinematicState(p0);
}
//method: setSleepingThresholds void ( ::btRigidBody::* )( ::btScalar,::btScalar ) 
void btRigidBody_setSleepingThresholds(void *c,float p0,float p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->setSleepingThresholds(p0,p1);
}
//method: getAngularVelocity ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getAngularVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAngularVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getLinearSleepingThreshold ::btScalar ( ::btRigidBody::* )(  ) const
float btRigidBody_getLinearSleepingThreshold(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	float retVal = (float)o->getLinearSleepingThreshold();
	return retVal;
}
//method: internalGetInvMass ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_internalGetInvMass(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->internalGetInvMass();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: applyTorqueImpulse void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_applyTorqueImpulse(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->applyTorqueImpulse(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: internalGetPushVelocity ::btVector3 & ( ::btRigidBody::* )(  ) 
void btRigidBody_internalGetPushVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->internalGetPushVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setLinearFactor void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_setLinearFactor(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLinearFactor(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: serializeSingleObject void ( ::btRigidBody::* )( ::btSerializer * ) const
void btRigidBody_serializeSingleObject(void *c,void* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serializeSingleObject(tp0);
}
//method: getInvMass ::btScalar ( ::btRigidBody::* )(  ) const
float btRigidBody_getInvMass(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	float retVal = (float)o->getInvMass();
	return retVal;
}
//method: getTotalForce ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getTotalForce(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getTotalForce();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getCenterOfMassPosition ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getCenterOfMassPosition(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getCenterOfMassPosition();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAabb void ( ::btRigidBody::* )( ::btVector3 &,::btVector3 & ) const
void btRigidBody_getAabb(void *c,float* p0,float* p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getBroadphaseProxy ::btBroadphaseProxy const * ( ::btRigidBody::* )(  ) const
void* btRigidBody_getBroadphaseProxy(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getBroadphaseProxy();
	return retVal;
}
//method: getBroadphaseProxy ::btBroadphaseProxy const * ( ::btRigidBody::* )(  ) const
void* btRigidBody_getBroadphaseProxy0(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getBroadphaseProxy();
	return retVal;
}
//method: getBroadphaseProxy ::btBroadphaseProxy * ( ::btRigidBody::* )(  ) 
void* btRigidBody_getBroadphaseProxy1(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getBroadphaseProxy();
	return retVal;
}
//method: getCollisionShape ::btCollisionShape const * ( ::btRigidBody::* )(  ) const
void* btRigidBody_getCollisionShape(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getCollisionShape();
	return retVal;
}
//method: getCollisionShape ::btCollisionShape const * ( ::btRigidBody::* )(  ) const
void* btRigidBody_getCollisionShape0(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getCollisionShape();
	return retVal;
}
//method: getCollisionShape ::btCollisionShape * ( ::btRigidBody::* )(  ) 
void* btRigidBody_getCollisionShape1(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getCollisionShape();
	return retVal;
}
//method: upcast ::btRigidBody const * (*)( ::btCollisionObject const * )
void* btRigidBody_upcast(void* p0) {
	::btCollisionObject const * tp0 = (::btCollisionObject const *)p0;
	void* retVal = (void*) ::btRigidBody::upcast(tp0);
	return retVal;
}
//method: upcast ::btRigidBody const * (*)( ::btCollisionObject const * )
void* btRigidBody_upcast0(void* p0) {
	::btCollisionObject const * tp0 = (::btCollisionObject const *)p0;
	void* retVal = (void*) ::btRigidBody::upcast(tp0);
	return retVal;
}
//method: upcast ::btRigidBody * (*)( ::btCollisionObject * )
void* btRigidBody_upcast1(void* p0) {
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	void* retVal = (void*) ::btRigidBody::upcast(tp0);
	return retVal;
}
//method: checkCollideWithOverride bool ( ::btRigidBody::* )( ::btCollisionObject * ) 
int btRigidBody_checkCollideWithOverride(void *c,void* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	int retVal = (int)o->checkCollideWithOverride(tp0);
	return retVal;
}
//method: translate void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_translate(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->translate(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: updateInertiaTensor void ( ::btRigidBody::* )(  ) 
void btRigidBody_updateInertiaTensor(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->updateInertiaTensor();
}
//method: applyForce void ( ::btRigidBody::* )( ::btVector3 const &,::btVector3 const & ) 
void btRigidBody_applyForce(void *c,float* p0,float* p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->applyForce(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: internalGetAngularVelocity void ( ::btRigidBody::* )( ::btVector3 & ) const
void btRigidBody_internalGetAngularVelocity(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->internalGetAngularVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: applyCentralImpulse void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_applyCentralImpulse(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->applyCentralImpulse(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getTurnVelocity ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getTurnVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getTurnVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getDeltaLinearVelocity ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getDeltaLinearVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getDeltaLinearVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: integrateVelocities void ( ::btRigidBody::* )( ::btScalar ) 
void btRigidBody_integrateVelocities(void *c,float p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->integrateVelocities(p0);
}
//method: getGravity ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getGravity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getGravity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setMassProps void ( ::btRigidBody::* )( ::btScalar,::btVector3 const & ) 
void btRigidBody_setMassProps(void *c,float p0,float* p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setMassProps(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setCenterOfMassTransform void ( ::btRigidBody::* )( ::btTransform const & ) 
void btRigidBody_setCenterOfMassTransform(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->setCenterOfMassTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: setFlags void ( ::btRigidBody::* )( int ) 
void btRigidBody_setFlags(void *c,int p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->setFlags(p0);
}
//method: addConstraintRef void ( ::btRigidBody::* )( ::btTypedConstraint * ) 
void btRigidBody_addConstraintRef(void *c,void* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	::btTypedConstraint * tp0 = (::btTypedConstraint *)p0;
	o->addConstraintRef(tp0);
}
//method: setLinearVelocity void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_setLinearVelocity(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLinearVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: isInWorld bool ( ::btRigidBody::* )(  ) const
int btRigidBody_isInWorld(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	int retVal = (int)o->isInWorld();
	return retVal;
}
//method: getTotalTorque ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getTotalTorque(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getTotalTorque();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getNumConstraintRefs int ( ::btRigidBody::* )(  ) const
int btRigidBody_getNumConstraintRefs(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	int retVal = (int)o->getNumConstraintRefs();
	return retVal;
}
//method: computeAngularImpulseDenominator ::btScalar ( ::btRigidBody::* )( ::btVector3 const & ) const
float btRigidBody_computeAngularImpulseDenominator(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	float retVal = (float)o->computeAngularImpulseDenominator(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getInvInertiaTensorWorld ::btMatrix3x3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getInvInertiaTensorWorld(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btMatrix3x3 tret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	tret = o->getInvInertiaTensorWorld();
	ret[0]=tret.getRow(0).m_floats[0];ret[1]=tret.getRow(0).m_floats[1];ret[2]=tret.getRow(0).m_floats[2];ret[3]=tret.getRow(1).m_floats[0];ret[4]=tret.getRow(1).m_floats[1];ret[5]=tret.getRow(1).m_floats[2];ret[6]=tret.getRow(2).m_floats[0];ret[7]=tret.getRow(2).m_floats[1];ret[8]=tret.getRow(2).m_floats[2];
}
//method: getDeltaAngularVelocity ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getDeltaAngularVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getDeltaAngularVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: internalGetDeltaLinearVelocity ::btVector3 & ( ::btRigidBody::* )(  ) 
void btRigidBody_internalGetDeltaLinearVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->internalGetDeltaLinearVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: computeImpulseDenominator ::btScalar ( ::btRigidBody::* )( ::btVector3 const &,::btVector3 const & ) const
float btRigidBody_computeImpulseDenominator(void *c,float* p0,float* p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	float retVal = (float)o->computeImpulseDenominator(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return retVal;
}
//method: getConstraintRef ::btTypedConstraint * ( ::btRigidBody::* )( int ) 
void* btRigidBody_getConstraintRef(void *c,int p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	void* retVal = (void*) o->getConstraintRef(p0);
	return retVal;
}
//method: getAngularDamping ::btScalar ( ::btRigidBody::* )(  ) const
float btRigidBody_getAngularDamping(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	float retVal = (float)o->getAngularDamping();
	return retVal;
}
//method: internalGetTurnVelocity ::btVector3 & ( ::btRigidBody::* )(  ) 
void btRigidBody_internalGetTurnVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->internalGetTurnVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: proceedToTransform void ( ::btRigidBody::* )( ::btTransform const & ) 
void btRigidBody_proceedToTransform(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->proceedToTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: setInvInertiaDiagLocal void ( ::btRigidBody::* )( ::btVector3 const & ) 
void btRigidBody_setInvInertiaDiagLocal(void *c,float* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setInvInertiaDiagLocal(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getInvInertiaDiagLocal ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getInvInertiaDiagLocal(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getInvInertiaDiagLocal();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getCenterOfMassTransform ::btTransform const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getCenterOfMassTransform(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getCenterOfMassTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: removeConstraintRef void ( ::btRigidBody::* )( ::btTypedConstraint * ) 
void btRigidBody_removeConstraintRef(void *c,void* p0) {
	::btRigidBody *o = (::btRigidBody*)c;
	::btTypedConstraint * tp0 = (::btTypedConstraint *)p0;
	o->removeConstraintRef(tp0);
}
//method: getAngularFactor ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getAngularFactor(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAngularFactor();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getLinearVelocity ::btVector3 const & ( ::btRigidBody::* )(  ) const
void btRigidBody_getLinearVelocity(void *c,float* ret) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLinearVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getFlags int ( ::btRigidBody::* )(  ) const
int btRigidBody_getFlags(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	int retVal = (int)o->getFlags();
	return retVal;
}
//method: internalGetVelocityInLocalPointObsolete void ( ::btRigidBody::* )( ::btVector3 const &,::btVector3 & ) const
void btRigidBody_internalGetVelocityInLocalPointObsolete(void *c,float* p0,float* p1) {
	::btRigidBody *o = (::btRigidBody*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->internalGetVelocityInLocalPointObsolete(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getLinearDamping ::btScalar ( ::btRigidBody::* )(  ) const
float btRigidBody_getLinearDamping(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	float retVal = (float)o->getLinearDamping();
	return retVal;
}
//attribute: int btRigidBody->m_contactSolverType
void btRigidBody_m_contactSolverType_set(void *c,int a) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->m_contactSolverType = a;
}
int btRigidBody_m_contactSolverType_get(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	return (int)(o->m_contactSolverType);
}

//attribute: int btRigidBody->m_frictionSolverType
void btRigidBody_m_frictionSolverType_set(void *c,int a) {
	::btRigidBody *o = (::btRigidBody*)c;
	o->m_frictionSolverType = a;
}
int btRigidBody_m_frictionSolverType_get(void *c) {
	::btRigidBody *o = (::btRigidBody*)c;
	return (int)(o->m_frictionSolverType);
}


// ::btRigidBody::btRigidBodyConstructionInfo
//constructor: btRigidBodyConstructionInfo  ( ::btRigidBody::btRigidBodyConstructionInfo::* )( ::btScalar,::btMotionState *,::btCollisionShape *,::btVector3 const & ) 
void* btRigidBody_btRigidBodyConstructionInfo_new(float p0,void* p1,void* p2,float* p3) {
	::btRigidBody::btRigidBodyConstructionInfo *o = 0;
	 void *mem = 0;
	::btMotionState * tp1 = (::btMotionState *)p1;
	::btCollisionShape * tp2 = (::btCollisionShape *)p2;
	btVector3 tp3(p3[0],p3[1],p3[2]);
	mem = btAlignedAlloc(sizeof(::btRigidBody::btRigidBodyConstructionInfo),16);
	o = new (mem)::btRigidBody::btRigidBodyConstructionInfo(p0,tp1,tp2,tp3);
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return (void*)o;
}
void btRigidBody_btRigidBodyConstructionInfo_free(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	delete o;
}
//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_additionalAngularDampingFactor
void btRigidBody_btRigidBodyConstructionInfo_m_additionalAngularDampingFactor_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_additionalAngularDampingFactor = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_additionalAngularDampingFactor_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_additionalAngularDampingFactor);
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_additionalAngularDampingThresholdSqr
void btRigidBody_btRigidBodyConstructionInfo_m_additionalAngularDampingThresholdSqr_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_additionalAngularDampingThresholdSqr = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_additionalAngularDampingThresholdSqr_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_additionalAngularDampingThresholdSqr);
}

//attribute: bool btRigidBody_btRigidBodyConstructionInfo->m_additionalDamping
void btRigidBody_btRigidBodyConstructionInfo_m_additionalDamping_set(void *c,int a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_additionalDamping = a;
}
int btRigidBody_btRigidBodyConstructionInfo_m_additionalDamping_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (int)(o->m_additionalDamping);
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_additionalDampingFactor
void btRigidBody_btRigidBodyConstructionInfo_m_additionalDampingFactor_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_additionalDampingFactor = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_additionalDampingFactor_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_additionalDampingFactor);
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_additionalLinearDampingThresholdSqr
void btRigidBody_btRigidBodyConstructionInfo_m_additionalLinearDampingThresholdSqr_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_additionalLinearDampingThresholdSqr = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_additionalLinearDampingThresholdSqr_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_additionalLinearDampingThresholdSqr);
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_angularDamping
void btRigidBody_btRigidBodyConstructionInfo_m_angularDamping_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_angularDamping = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_angularDamping_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_angularDamping);
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_angularSleepingThreshold
void btRigidBody_btRigidBodyConstructionInfo_m_angularSleepingThreshold_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_angularSleepingThreshold = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_angularSleepingThreshold_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_angularSleepingThreshold);
}

//attribute: ::btCollisionShape * btRigidBody_btRigidBodyConstructionInfo->m_collisionShape
void btRigidBody_btRigidBodyConstructionInfo_m_collisionShape_set(void *c,void* a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	::btCollisionShape * ta = (::btCollisionShape *)a;
	o->m_collisionShape = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionShape * btRigidBody_btRigidBodyConstructionInfo->m_collisionShape
//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_friction
void btRigidBody_btRigidBodyConstructionInfo_m_friction_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_friction = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_friction_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_friction);
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_linearDamping
void btRigidBody_btRigidBodyConstructionInfo_m_linearDamping_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_linearDamping = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_linearDamping_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_linearDamping);
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_linearSleepingThreshold
void btRigidBody_btRigidBodyConstructionInfo_m_linearSleepingThreshold_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_linearSleepingThreshold = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_linearSleepingThreshold_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_linearSleepingThreshold);
}

//attribute: ::btVector3 btRigidBody_btRigidBodyConstructionInfo->m_localInertia
void btRigidBody_btRigidBodyConstructionInfo_m_localInertia_set(void *c,float* a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_localInertia = ta;
}
void btRigidBody_btRigidBodyConstructionInfo_m_localInertia_get(void *c,float* a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	a[0]=(o->m_localInertia).m_floats[0];a[1]=(o->m_localInertia).m_floats[1];a[2]=(o->m_localInertia).m_floats[2];
}

//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_mass
void btRigidBody_btRigidBodyConstructionInfo_m_mass_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_mass = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_mass_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_mass);
}

//attribute: ::btMotionState * btRigidBody_btRigidBodyConstructionInfo->m_motionState
void btRigidBody_btRigidBodyConstructionInfo_m_motionState_set(void *c,void* a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	::btMotionState * ta = (::btMotionState *)a;
	o->m_motionState = ta;
}
// attriibute getter not supported: //attribute: ::btMotionState * btRigidBody_btRigidBodyConstructionInfo->m_motionState
//attribute: ::btScalar btRigidBody_btRigidBodyConstructionInfo->m_restitution
void btRigidBody_btRigidBodyConstructionInfo_m_restitution_set(void *c,float a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	o->m_restitution = a;
}
float btRigidBody_btRigidBodyConstructionInfo_m_restitution_get(void *c) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	return (float)(o->m_restitution);
}

//attribute: ::btTransform btRigidBody_btRigidBodyConstructionInfo->m_startWorldTransform
void btRigidBody_btRigidBodyConstructionInfo_m_startWorldTransform_set(void *c,float* a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_startWorldTransform = ta;
}
void btRigidBody_btRigidBodyConstructionInfo_m_startWorldTransform_get(void *c,float* a) {
	::btRigidBody::btRigidBodyConstructionInfo *o = (::btRigidBody::btRigidBodyConstructionInfo*)c;
	a[0]=(o->m_startWorldTransform).getBasis().getRow(0).m_floats[0];a[1]=(o->m_startWorldTransform).getBasis().getRow(0).m_floats[1];a[2]=(o->m_startWorldTransform).getBasis().getRow(0).m_floats[2];a[3]=(o->m_startWorldTransform).getBasis().getRow(1).m_floats[0];a[4]=(o->m_startWorldTransform).getBasis().getRow(1).m_floats[1];a[5]=(o->m_startWorldTransform).getBasis().getRow(1).m_floats[2];a[6]=(o->m_startWorldTransform).getBasis().getRow(2).m_floats[0];a[7]=(o->m_startWorldTransform).getBasis().getRow(2).m_floats[1];a[8]=(o->m_startWorldTransform).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_startWorldTransform).getOrigin().m_floats[0];a[10]=(o->m_startWorldTransform).getOrigin().m_floats[1];a[11]=(o->m_startWorldTransform).getOrigin().m_floats[2];
}


// ::btRigidBodyDoubleData
//constructor: btRigidBodyDoubleData  ( ::btRigidBodyDoubleData::* )(  ) 
void* btRigidBodyDoubleData_new() {
	::btRigidBodyDoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btRigidBodyDoubleData),16);
	o = new (mem)::btRigidBodyDoubleData();
	return (void*)o;
}
void btRigidBodyDoubleData_free(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	delete o;
}
//attribute: ::btCollisionObjectDoubleData btRigidBodyDoubleData->m_collisionObjectData
// attribute not supported: //attribute: ::btCollisionObjectDoubleData btRigidBodyDoubleData->m_collisionObjectData
//attribute: ::btMatrix3x3DoubleData btRigidBodyDoubleData->m_invInertiaTensorWorld
// attribute not supported: //attribute: ::btMatrix3x3DoubleData btRigidBodyDoubleData->m_invInertiaTensorWorld
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_linearVelocity
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_linearVelocity
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_angularVelocity
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_angularVelocity
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_angularFactor
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_angularFactor
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_linearFactor
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_linearFactor
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_gravity
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_gravity
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_gravity_acceleration
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_gravity_acceleration
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_invInertiaLocal
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_invInertiaLocal
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_totalForce
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_totalForce
//attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_totalTorque
// attribute not supported: //attribute: ::btVector3DoubleData btRigidBodyDoubleData->m_totalTorque
//attribute: double btRigidBodyDoubleData->m_inverseMass
void btRigidBodyDoubleData_m_inverseMass_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_inverseMass = a;
}
double btRigidBodyDoubleData_m_inverseMass_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_inverseMass);
}

//attribute: double btRigidBodyDoubleData->m_linearDamping
void btRigidBodyDoubleData_m_linearDamping_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_linearDamping = a;
}
double btRigidBodyDoubleData_m_linearDamping_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_linearDamping);
}

//attribute: double btRigidBodyDoubleData->m_angularDamping
void btRigidBodyDoubleData_m_angularDamping_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_angularDamping = a;
}
double btRigidBodyDoubleData_m_angularDamping_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_angularDamping);
}

//attribute: double btRigidBodyDoubleData->m_additionalDampingFactor
void btRigidBodyDoubleData_m_additionalDampingFactor_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_additionalDampingFactor = a;
}
double btRigidBodyDoubleData_m_additionalDampingFactor_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_additionalDampingFactor);
}

//attribute: double btRigidBodyDoubleData->m_additionalLinearDampingThresholdSqr
void btRigidBodyDoubleData_m_additionalLinearDampingThresholdSqr_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_additionalLinearDampingThresholdSqr = a;
}
double btRigidBodyDoubleData_m_additionalLinearDampingThresholdSqr_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_additionalLinearDampingThresholdSqr);
}

//attribute: double btRigidBodyDoubleData->m_additionalAngularDampingThresholdSqr
void btRigidBodyDoubleData_m_additionalAngularDampingThresholdSqr_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_additionalAngularDampingThresholdSqr = a;
}
double btRigidBodyDoubleData_m_additionalAngularDampingThresholdSqr_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_additionalAngularDampingThresholdSqr);
}

//attribute: double btRigidBodyDoubleData->m_additionalAngularDampingFactor
void btRigidBodyDoubleData_m_additionalAngularDampingFactor_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_additionalAngularDampingFactor = a;
}
double btRigidBodyDoubleData_m_additionalAngularDampingFactor_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_additionalAngularDampingFactor);
}

//attribute: double btRigidBodyDoubleData->m_linearSleepingThreshold
void btRigidBodyDoubleData_m_linearSleepingThreshold_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_linearSleepingThreshold = a;
}
double btRigidBodyDoubleData_m_linearSleepingThreshold_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_linearSleepingThreshold);
}

//attribute: double btRigidBodyDoubleData->m_angularSleepingThreshold
void btRigidBodyDoubleData_m_angularSleepingThreshold_set(void *c,double a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_angularSleepingThreshold = a;
}
double btRigidBodyDoubleData_m_angularSleepingThreshold_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (double)(o->m_angularSleepingThreshold);
}

//attribute: int btRigidBodyDoubleData->m_additionalDamping
void btRigidBodyDoubleData_m_additionalDamping_set(void *c,int a) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	o->m_additionalDamping = a;
}
int btRigidBodyDoubleData_m_additionalDamping_get(void *c) {
	::btRigidBodyDoubleData *o = (::btRigidBodyDoubleData*)c;
	return (int)(o->m_additionalDamping);
}

//attribute: char[4] btRigidBodyDoubleData->m_padding
// attribute not supported: //attribute: char[4] btRigidBodyDoubleData->m_padding

// ::btRigidBodyFloatData
//constructor: btRigidBodyFloatData  ( ::btRigidBodyFloatData::* )(  ) 
void* btRigidBodyFloatData_new() {
	::btRigidBodyFloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btRigidBodyFloatData),16);
	o = new (mem)::btRigidBodyFloatData();
	return (void*)o;
}
void btRigidBodyFloatData_free(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	delete o;
}
//attribute: float btRigidBodyFloatData->m_additionalAngularDampingFactor
void btRigidBodyFloatData_m_additionalAngularDampingFactor_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_additionalAngularDampingFactor = a;
}
float btRigidBodyFloatData_m_additionalAngularDampingFactor_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_additionalAngularDampingFactor);
}

//attribute: float btRigidBodyFloatData->m_additionalAngularDampingThresholdSqr
void btRigidBodyFloatData_m_additionalAngularDampingThresholdSqr_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_additionalAngularDampingThresholdSqr = a;
}
float btRigidBodyFloatData_m_additionalAngularDampingThresholdSqr_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_additionalAngularDampingThresholdSqr);
}

//attribute: int btRigidBodyFloatData->m_additionalDamping
void btRigidBodyFloatData_m_additionalDamping_set(void *c,int a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_additionalDamping = a;
}
int btRigidBodyFloatData_m_additionalDamping_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (int)(o->m_additionalDamping);
}

//attribute: float btRigidBodyFloatData->m_additionalDampingFactor
void btRigidBodyFloatData_m_additionalDampingFactor_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_additionalDampingFactor = a;
}
float btRigidBodyFloatData_m_additionalDampingFactor_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_additionalDampingFactor);
}

//attribute: float btRigidBodyFloatData->m_additionalLinearDampingThresholdSqr
void btRigidBodyFloatData_m_additionalLinearDampingThresholdSqr_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_additionalLinearDampingThresholdSqr = a;
}
float btRigidBodyFloatData_m_additionalLinearDampingThresholdSqr_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_additionalLinearDampingThresholdSqr);
}

//attribute: float btRigidBodyFloatData->m_angularDamping
void btRigidBodyFloatData_m_angularDamping_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_angularDamping = a;
}
float btRigidBodyFloatData_m_angularDamping_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_angularDamping);
}

//attribute: ::btVector3FloatData btRigidBodyFloatData->m_angularFactor
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_angularFactor
//attribute: float btRigidBodyFloatData->m_angularSleepingThreshold
void btRigidBodyFloatData_m_angularSleepingThreshold_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_angularSleepingThreshold = a;
}
float btRigidBodyFloatData_m_angularSleepingThreshold_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_angularSleepingThreshold);
}

//attribute: ::btVector3FloatData btRigidBodyFloatData->m_angularVelocity
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_angularVelocity
//attribute: ::btCollisionObjectFloatData btRigidBodyFloatData->m_collisionObjectData
// attribute not supported: //attribute: ::btCollisionObjectFloatData btRigidBodyFloatData->m_collisionObjectData
//attribute: ::btVector3FloatData btRigidBodyFloatData->m_gravity
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_gravity
//attribute: ::btVector3FloatData btRigidBodyFloatData->m_gravity_acceleration
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_gravity_acceleration
//attribute: ::btVector3FloatData btRigidBodyFloatData->m_invInertiaLocal
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_invInertiaLocal
//attribute: ::btMatrix3x3FloatData btRigidBodyFloatData->m_invInertiaTensorWorld
// attribute not supported: //attribute: ::btMatrix3x3FloatData btRigidBodyFloatData->m_invInertiaTensorWorld
//attribute: float btRigidBodyFloatData->m_inverseMass
void btRigidBodyFloatData_m_inverseMass_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_inverseMass = a;
}
float btRigidBodyFloatData_m_inverseMass_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_inverseMass);
}

//attribute: float btRigidBodyFloatData->m_linearDamping
void btRigidBodyFloatData_m_linearDamping_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_linearDamping = a;
}
float btRigidBodyFloatData_m_linearDamping_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_linearDamping);
}

//attribute: ::btVector3FloatData btRigidBodyFloatData->m_linearFactor
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_linearFactor
//attribute: float btRigidBodyFloatData->m_linearSleepingThreshold
void btRigidBodyFloatData_m_linearSleepingThreshold_set(void *c,float a) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	o->m_linearSleepingThreshold = a;
}
float btRigidBodyFloatData_m_linearSleepingThreshold_get(void *c) {
	::btRigidBodyFloatData *o = (::btRigidBodyFloatData*)c;
	return (float)(o->m_linearSleepingThreshold);
}

//attribute: ::btVector3FloatData btRigidBodyFloatData->m_linearVelocity
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_linearVelocity
//attribute: ::btVector3FloatData btRigidBodyFloatData->m_totalForce
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_totalForce
//attribute: ::btVector3FloatData btRigidBodyFloatData->m_totalTorque
// attribute not supported: //attribute: ::btVector3FloatData btRigidBodyFloatData->m_totalTorque

// ::btSimpleDynamicsWorld
//constructor: btSimpleDynamicsWorld  ( ::btSimpleDynamicsWorld::* )( ::btDispatcher *,::btBroadphaseInterface *,::btConstraintSolver *,::btCollisionConfiguration * ) 
void* btSimpleDynamicsWorld_new(void* p0,void* p1,void* p2,void* p3) {
	::btSimpleDynamicsWorld *o = 0;
	 void *mem = 0;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	::btBroadphaseInterface * tp1 = (::btBroadphaseInterface *)p1;
	::btConstraintSolver * tp2 = (::btConstraintSolver *)p2;
	::btCollisionConfiguration * tp3 = (::btCollisionConfiguration *)p3;
	mem = btAlignedAlloc(sizeof(::btSimpleDynamicsWorld),16);
	o = new (mem)::btSimpleDynamicsWorld(tp0,tp1,tp2,tp3);
	return (void*)o;
}
void btSimpleDynamicsWorld_free(void *c) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	delete o;
}
//method: setGravity void ( ::btSimpleDynamicsWorld::* )( ::btVector3 const & ) 
void btSimpleDynamicsWorld_setGravity(void *c,float* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setGravity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: addAction void ( ::btSimpleDynamicsWorld::* )( ::btActionInterface * ) 
void btSimpleDynamicsWorld_addAction(void *c,void* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->addAction(tp0);
}
//method: setConstraintSolver void ( ::btSimpleDynamicsWorld::* )( ::btConstraintSolver * ) 
void btSimpleDynamicsWorld_setConstraintSolver(void *c,void* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btConstraintSolver * tp0 = (::btConstraintSolver *)p0;
	o->setConstraintSolver(tp0);
}
//method: getConstraintSolver ::btConstraintSolver * ( ::btSimpleDynamicsWorld::* )(  ) 
void* btSimpleDynamicsWorld_getConstraintSolver(void *c) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	void* retVal = (void*) o->getConstraintSolver();
	return retVal;
}
//method: stepSimulation int ( ::btSimpleDynamicsWorld::* )( ::btScalar,int,::btScalar ) 
int btSimpleDynamicsWorld_stepSimulation(void *c,float p0,int p1,float p2) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	int retVal = (int)o->stepSimulation(p0,p1,p2);
	return retVal;
}
//not supported method: getWorldType ::btDynamicsWorldType ( ::btSimpleDynamicsWorld::* )(  ) const
//method: removeRigidBody void ( ::btSimpleDynamicsWorld::* )( ::btRigidBody * ) 
void btSimpleDynamicsWorld_removeRigidBody(void *c,void* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->removeRigidBody(tp0);
}
//method: addRigidBody void ( ::btSimpleDynamicsWorld::* )( ::btRigidBody * ) 
void btSimpleDynamicsWorld_addRigidBody(void *c,void* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0);
}
//method: addRigidBody void ( ::btSimpleDynamicsWorld::* )( ::btRigidBody * ) 
void btSimpleDynamicsWorld_addRigidBody0(void *c,void* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0);
}
//method: addRigidBody void ( ::btSimpleDynamicsWorld::* )( ::btRigidBody *,short int,short int ) 
void btSimpleDynamicsWorld_addRigidBody1(void *c,void* p0,short int p1,short int p2) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btRigidBody * tp0 = (::btRigidBody *)p0;
	o->addRigidBody(tp0,p1,p2);
}
//method: getGravity ::btVector3 ( ::btSimpleDynamicsWorld::* )(  ) const
void btSimpleDynamicsWorld_getGravity(void *c,float* ret) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getGravity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: synchronizeMotionStates void ( ::btSimpleDynamicsWorld::* )(  ) 
void btSimpleDynamicsWorld_synchronizeMotionStates(void *c) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	o->synchronizeMotionStates();
}
//method: removeCollisionObject void ( ::btSimpleDynamicsWorld::* )( ::btCollisionObject * ) 
void btSimpleDynamicsWorld_removeCollisionObject(void *c,void* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->removeCollisionObject(tp0);
}
//method: clearForces void ( ::btSimpleDynamicsWorld::* )(  ) 
void btSimpleDynamicsWorld_clearForces(void *c) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	o->clearForces();
}
//method: removeAction void ( ::btSimpleDynamicsWorld::* )( ::btActionInterface * ) 
void btSimpleDynamicsWorld_removeAction(void *c,void* p0) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	::btActionInterface * tp0 = (::btActionInterface *)p0;
	o->removeAction(tp0);
}
//method: updateAabbs void ( ::btSimpleDynamicsWorld::* )(  ) 
void btSimpleDynamicsWorld_updateAabbs(void *c) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	o->updateAabbs();
}
//method: debugDrawWorld void ( ::btSimpleDynamicsWorld::* )(  ) 
void btSimpleDynamicsWorld_debugDrawWorld(void *c) {
	::btSimpleDynamicsWorld *o = (::btSimpleDynamicsWorld*)c;
	o->debugDrawWorld();
}

// ::btWheelInfo::RaycastInfo
//constructor: RaycastInfo  ( ::btWheelInfo::RaycastInfo::* )(  ) 
void* btWheelInfo_RaycastInfo_new() {
	::btWheelInfo::RaycastInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btWheelInfo::RaycastInfo),16);
	o = new (mem)::btWheelInfo::RaycastInfo();
	return (void*)o;
}
void btWheelInfo_RaycastInfo_free(void *c) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	delete o;
}
//attribute: ::btVector3 btWheelInfo_RaycastInfo->m_contactNormalWS
void btWheelInfo_RaycastInfo_m_contactNormalWS_set(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_contactNormalWS = ta;
}
void btWheelInfo_RaycastInfo_m_contactNormalWS_get(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	a[0]=(o->m_contactNormalWS).m_floats[0];a[1]=(o->m_contactNormalWS).m_floats[1];a[2]=(o->m_contactNormalWS).m_floats[2];
}

//attribute: ::btVector3 btWheelInfo_RaycastInfo->m_contactPointWS
void btWheelInfo_RaycastInfo_m_contactPointWS_set(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_contactPointWS = ta;
}
void btWheelInfo_RaycastInfo_m_contactPointWS_get(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	a[0]=(o->m_contactPointWS).m_floats[0];a[1]=(o->m_contactPointWS).m_floats[1];a[2]=(o->m_contactPointWS).m_floats[2];
}

//attribute: ::btScalar btWheelInfo_RaycastInfo->m_suspensionLength
void btWheelInfo_RaycastInfo_m_suspensionLength_set(void *c,float a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	o->m_suspensionLength = a;
}
float btWheelInfo_RaycastInfo_m_suspensionLength_get(void *c) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	return (float)(o->m_suspensionLength);
}

//attribute: ::btVector3 btWheelInfo_RaycastInfo->m_hardPointWS
void btWheelInfo_RaycastInfo_m_hardPointWS_set(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hardPointWS = ta;
}
void btWheelInfo_RaycastInfo_m_hardPointWS_get(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	a[0]=(o->m_hardPointWS).m_floats[0];a[1]=(o->m_hardPointWS).m_floats[1];a[2]=(o->m_hardPointWS).m_floats[2];
}

//attribute: ::btVector3 btWheelInfo_RaycastInfo->m_wheelDirectionWS
void btWheelInfo_RaycastInfo_m_wheelDirectionWS_set(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_wheelDirectionWS = ta;
}
void btWheelInfo_RaycastInfo_m_wheelDirectionWS_get(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	a[0]=(o->m_wheelDirectionWS).m_floats[0];a[1]=(o->m_wheelDirectionWS).m_floats[1];a[2]=(o->m_wheelDirectionWS).m_floats[2];
}

//attribute: ::btVector3 btWheelInfo_RaycastInfo->m_wheelAxleWS
void btWheelInfo_RaycastInfo_m_wheelAxleWS_set(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_wheelAxleWS = ta;
}
void btWheelInfo_RaycastInfo_m_wheelAxleWS_get(void *c,float* a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	a[0]=(o->m_wheelAxleWS).m_floats[0];a[1]=(o->m_wheelAxleWS).m_floats[1];a[2]=(o->m_wheelAxleWS).m_floats[2];
}

//attribute: bool btWheelInfo_RaycastInfo->m_isInContact
void btWheelInfo_RaycastInfo_m_isInContact_set(void *c,int a) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	o->m_isInContact = a;
}
int btWheelInfo_RaycastInfo_m_isInContact_get(void *c) {
	::btWheelInfo::RaycastInfo *o = (::btWheelInfo::RaycastInfo*)c;
	return (int)(o->m_isInContact);
}

//attribute: void * btWheelInfo_RaycastInfo->m_groundObject
// attribute not supported: //attribute: void * btWheelInfo_RaycastInfo->m_groundObject

// ::btDefaultVehicleRaycaster
//constructor: btDefaultVehicleRaycaster  ( ::btDefaultVehicleRaycaster::* )( ::btDynamicsWorld * ) 
void* btDefaultVehicleRaycaster_new(void* p0) {
	::btDefaultVehicleRaycaster *o = 0;
	 void *mem = 0;
	::btDynamicsWorld * tp0 = (::btDynamicsWorld *)p0;
	mem = btAlignedAlloc(sizeof(::btDefaultVehicleRaycaster),16);
	o = new (mem)::btDefaultVehicleRaycaster(tp0);
	return (void*)o;
}
void btDefaultVehicleRaycaster_free(void *c) {
	::btDefaultVehicleRaycaster *o = (::btDefaultVehicleRaycaster*)c;
	delete o;
}
//not supported method: castRay void * ( ::btDefaultVehicleRaycaster::* )( ::btVector3 const &,::btVector3 const &,::btVehicleRaycaster::btVehicleRaycasterResult & ) 

// ::btRaycastVehicle
//constructor: btRaycastVehicle  ( ::btRaycastVehicle::* )( ::btRaycastVehicle::btVehicleTuning const &,::btRigidBody *,::btVehicleRaycaster * ) 
void* btRaycastVehicle_new(void* p0,void* p1,void* p2) {
	::btRaycastVehicle *o = 0;
	 void *mem = 0;
	::btRaycastVehicle::btVehicleTuning const & tp0 = *(::btRaycastVehicle::btVehicleTuning const *)p0;
	::btRigidBody * tp1 = (::btRigidBody *)p1;
	::btVehicleRaycaster * tp2 = (::btVehicleRaycaster *)p2;
	mem = btAlignedAlloc(sizeof(::btRaycastVehicle),16);
	o = new (mem)::btRaycastVehicle(tp0,tp1,tp2);
	return (void*)o;
}
void btRaycastVehicle_free(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	delete o;
}
//method: updateSuspension void ( ::btRaycastVehicle::* )( ::btScalar ) 
void btRaycastVehicle_updateSuspension(void *c,float p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->updateSuspension(p0);
}
//method: getRigidBody ::btRigidBody * ( ::btRaycastVehicle::* )(  ) 
void* btRaycastVehicle_getRigidBody(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	void* retVal = (void*) o->getRigidBody();
	return retVal;
}
//method: getRigidBody ::btRigidBody * ( ::btRaycastVehicle::* )(  ) 
void* btRaycastVehicle_getRigidBody0(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	void* retVal = (void*) o->getRigidBody();
	return retVal;
}
//method: getRigidBody ::btRigidBody const * ( ::btRaycastVehicle::* )(  ) const
void* btRaycastVehicle_getRigidBody1(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	void* retVal = (void*) o->getRigidBody();
	return retVal;
}
//method: getUserConstraintId int ( ::btRaycastVehicle::* )(  ) const
int btRaycastVehicle_getUserConstraintId(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	int retVal = (int)o->getUserConstraintId();
	return retVal;
}
//method: getWheelTransformWS ::btTransform const & ( ::btRaycastVehicle::* )( int ) const
void btRaycastVehicle_getWheelTransformWS(void *c,int p0,float* ret) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getWheelTransformWS(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: addWheel ::btWheelInfo & ( ::btRaycastVehicle::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar,::btScalar,::btRaycastVehicle::btVehicleTuning const &,bool ) 
void* btRaycastVehicle_addWheel(void *c,float* p0,float* p1,float* p2,float p3,float p4,void* p5,int p6) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btRaycastVehicle::btVehicleTuning const & tp5 = *(::btRaycastVehicle::btVehicleTuning const *)p5;
	void* retVal = (void*) &(o->addWheel(tp0,tp1,tp2,p3,p4,tp5,p6));
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return retVal;
}
//method: updateWheelTransform void ( ::btRaycastVehicle::* )( int,bool ) 
void btRaycastVehicle_updateWheelTransform(void *c,int p0,int p1) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->updateWheelTransform(p0,p1);
}
//method: setUserConstraintId void ( ::btRaycastVehicle::* )( int ) 
void btRaycastVehicle_setUserConstraintId(void *c,int p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->setUserConstraintId(p0);
}
//method: getNumWheels int ( ::btRaycastVehicle::* )(  ) const
int btRaycastVehicle_getNumWheels(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	int retVal = (int)o->getNumWheels();
	return retVal;
}
//method: rayCast ::btScalar ( ::btRaycastVehicle::* )( ::btWheelInfo & ) 
float btRaycastVehicle_rayCast(void *c,void* p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	::btWheelInfo & tp0 = *(::btWheelInfo *)p0;
	float retVal = (float)o->rayCast(tp0);
	return retVal;
}
//method: getRightAxis int ( ::btRaycastVehicle::* )(  ) const
int btRaycastVehicle_getRightAxis(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	int retVal = (int)o->getRightAxis();
	return retVal;
}
//method: getUpAxis int ( ::btRaycastVehicle::* )(  ) const
int btRaycastVehicle_getUpAxis(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	int retVal = (int)o->getUpAxis();
	return retVal;
}
//method: getForwardVector ::btVector3 ( ::btRaycastVehicle::* )(  ) const
void btRaycastVehicle_getForwardVector(void *c,float* ret) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getForwardVector();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getWheelInfo ::btWheelInfo const & ( ::btRaycastVehicle::* )( int ) const
void* btRaycastVehicle_getWheelInfo(void *c,int p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	void* retVal = (void*) &(o->getWheelInfo(p0));
	return retVal;
}
//method: getWheelInfo ::btWheelInfo const & ( ::btRaycastVehicle::* )( int ) const
void* btRaycastVehicle_getWheelInfo0(void *c,int p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	void* retVal = (void*) &(o->getWheelInfo(p0));
	return retVal;
}
//method: getWheelInfo ::btWheelInfo & ( ::btRaycastVehicle::* )( int ) 
void* btRaycastVehicle_getWheelInfo1(void *c,int p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	void* retVal = (void*) &(o->getWheelInfo(p0));
	return retVal;
}
//method: getChassisWorldTransform ::btTransform const & ( ::btRaycastVehicle::* )(  ) const
void btRaycastVehicle_getChassisWorldTransform(void *c,float* ret) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChassisWorldTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: updateWheelTransformsWS void ( ::btRaycastVehicle::* )( ::btWheelInfo &,bool ) 
void btRaycastVehicle_updateWheelTransformsWS(void *c,void* p0,int p1) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	::btWheelInfo & tp0 = *(::btWheelInfo *)p0;
	o->updateWheelTransformsWS(tp0,p1);
}
//method: applyEngineForce void ( ::btRaycastVehicle::* )( ::btScalar,int ) 
void btRaycastVehicle_applyEngineForce(void *c,float p0,int p1) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->applyEngineForce(p0,p1);
}
//method: resetSuspension void ( ::btRaycastVehicle::* )(  ) 
void btRaycastVehicle_resetSuspension(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->resetSuspension();
}
//method: setCoordinateSystem void ( ::btRaycastVehicle::* )( int,int,int ) 
void btRaycastVehicle_setCoordinateSystem(void *c,int p0,int p1,int p2) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->setCoordinateSystem(p0,p1,p2);
}
//method: setUserConstraintType void ( ::btRaycastVehicle::* )( int ) 
void btRaycastVehicle_setUserConstraintType(void *c,int p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->setUserConstraintType(p0);
}
//method: debugDraw void ( ::btRaycastVehicle::* )( ::btIDebugDraw * ) 
void btRaycastVehicle_debugDraw(void *c,void* p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	::btIDebugDraw * tp0 = (::btIDebugDraw *)p0;
	o->debugDraw(tp0);
}
//method: updateFriction void ( ::btRaycastVehicle::* )( ::btScalar ) 
void btRaycastVehicle_updateFriction(void *c,float p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->updateFriction(p0);
}
//method: getForwardAxis int ( ::btRaycastVehicle::* )(  ) const
int btRaycastVehicle_getForwardAxis(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	int retVal = (int)o->getForwardAxis();
	return retVal;
}
//method: getSteeringValue ::btScalar ( ::btRaycastVehicle::* )( int ) const
float btRaycastVehicle_getSteeringValue(void *c,int p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	float retVal = (float)o->getSteeringValue(p0);
	return retVal;
}
//method: getUserConstraintType int ( ::btRaycastVehicle::* )(  ) const
int btRaycastVehicle_getUserConstraintType(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	int retVal = (int)o->getUserConstraintType();
	return retVal;
}
//method: setPitchControl void ( ::btRaycastVehicle::* )( ::btScalar ) 
void btRaycastVehicle_setPitchControl(void *c,float p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->setPitchControl(p0);
}
//method: getCurrentSpeedKmHour ::btScalar ( ::btRaycastVehicle::* )(  ) const
float btRaycastVehicle_getCurrentSpeedKmHour(void *c) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	float retVal = (float)o->getCurrentSpeedKmHour();
	return retVal;
}
//method: setBrake void ( ::btRaycastVehicle::* )( ::btScalar,int ) 
void btRaycastVehicle_setBrake(void *c,float p0,int p1) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->setBrake(p0,p1);
}
//method: setSteeringValue void ( ::btRaycastVehicle::* )( ::btScalar,int ) 
void btRaycastVehicle_setSteeringValue(void *c,float p0,int p1) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->setSteeringValue(p0,p1);
}
//method: updateVehicle void ( ::btRaycastVehicle::* )( ::btScalar ) 
void btRaycastVehicle_updateVehicle(void *c,float p0) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	o->updateVehicle(p0);
}
//method: updateAction void ( ::btRaycastVehicle::* )( ::btCollisionWorld *,::btScalar ) 
void btRaycastVehicle_updateAction(void *c,void* p0,float p1) {
	::btRaycastVehicle *o = (::btRaycastVehicle*)c;
	::btCollisionWorld * tp0 = (::btCollisionWorld *)p0;
	o->updateAction(tp0,p1);
}
//attribute: ::btAlignedObjectArray<btWheelInfo> btRaycastVehicle->m_wheelInfo
// attribute not supported: //attribute: ::btAlignedObjectArray<btWheelInfo> btRaycastVehicle->m_wheelInfo

// ::btVehicleRaycaster
//not supported method: castRay void * ( ::btVehicleRaycaster::* )( ::btVector3 const &,::btVector3 const &,::btVehicleRaycaster::btVehicleRaycasterResult & ) 

// ::btVehicleRaycaster::btVehicleRaycasterResult
//constructor: btVehicleRaycasterResult  ( ::btVehicleRaycaster::btVehicleRaycasterResult::* )(  ) 
void* btVehicleRaycaster_btVehicleRaycasterResult_new() {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btVehicleRaycaster::btVehicleRaycasterResult),16);
	o = new (mem)::btVehicleRaycaster::btVehicleRaycasterResult();
	return (void*)o;
}
void btVehicleRaycaster_btVehicleRaycasterResult_free(void *c) {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = (::btVehicleRaycaster::btVehicleRaycasterResult*)c;
	delete o;
}
//attribute: ::btScalar btVehicleRaycaster_btVehicleRaycasterResult->m_distFraction
void btVehicleRaycaster_btVehicleRaycasterResult_m_distFraction_set(void *c,float a) {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = (::btVehicleRaycaster::btVehicleRaycasterResult*)c;
	o->m_distFraction = a;
}
float btVehicleRaycaster_btVehicleRaycasterResult_m_distFraction_get(void *c) {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = (::btVehicleRaycaster::btVehicleRaycasterResult*)c;
	return (float)(o->m_distFraction);
}

//attribute: ::btVector3 btVehicleRaycaster_btVehicleRaycasterResult->m_hitNormalInWorld
void btVehicleRaycaster_btVehicleRaycasterResult_m_hitNormalInWorld_set(void *c,float* a) {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = (::btVehicleRaycaster::btVehicleRaycasterResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitNormalInWorld = ta;
}
void btVehicleRaycaster_btVehicleRaycasterResult_m_hitNormalInWorld_get(void *c,float* a) {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = (::btVehicleRaycaster::btVehicleRaycasterResult*)c;
	a[0]=(o->m_hitNormalInWorld).m_floats[0];a[1]=(o->m_hitNormalInWorld).m_floats[1];a[2]=(o->m_hitNormalInWorld).m_floats[2];
}

//attribute: ::btVector3 btVehicleRaycaster_btVehicleRaycasterResult->m_hitPointInWorld
void btVehicleRaycaster_btVehicleRaycasterResult_m_hitPointInWorld_set(void *c,float* a) {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = (::btVehicleRaycaster::btVehicleRaycasterResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitPointInWorld = ta;
}
void btVehicleRaycaster_btVehicleRaycasterResult_m_hitPointInWorld_get(void *c,float* a) {
	::btVehicleRaycaster::btVehicleRaycasterResult *o = (::btVehicleRaycaster::btVehicleRaycasterResult*)c;
	a[0]=(o->m_hitPointInWorld).m_floats[0];a[1]=(o->m_hitPointInWorld).m_floats[1];a[2]=(o->m_hitPointInWorld).m_floats[2];
}


// ::btRaycastVehicle::btVehicleTuning
//constructor: btVehicleTuning  ( ::btRaycastVehicle::btVehicleTuning::* )(  ) 
void* btRaycastVehicle_btVehicleTuning_new() {
	::btRaycastVehicle::btVehicleTuning *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btRaycastVehicle::btVehicleTuning),16);
	o = new (mem)::btRaycastVehicle::btVehicleTuning();
	return (void*)o;
}
void btRaycastVehicle_btVehicleTuning_free(void *c) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	delete o;
}
//attribute: ::btScalar btRaycastVehicle_btVehicleTuning->m_frictionSlip
void btRaycastVehicle_btVehicleTuning_m_frictionSlip_set(void *c,float a) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	o->m_frictionSlip = a;
}
float btRaycastVehicle_btVehicleTuning_m_frictionSlip_get(void *c) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	return (float)(o->m_frictionSlip);
}

//attribute: ::btScalar btRaycastVehicle_btVehicleTuning->m_maxSuspensionForce
void btRaycastVehicle_btVehicleTuning_m_maxSuspensionForce_set(void *c,float a) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	o->m_maxSuspensionForce = a;
}
float btRaycastVehicle_btVehicleTuning_m_maxSuspensionForce_get(void *c) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	return (float)(o->m_maxSuspensionForce);
}

//attribute: ::btScalar btRaycastVehicle_btVehicleTuning->m_maxSuspensionTravelCm
void btRaycastVehicle_btVehicleTuning_m_maxSuspensionTravelCm_set(void *c,float a) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	o->m_maxSuspensionTravelCm = a;
}
float btRaycastVehicle_btVehicleTuning_m_maxSuspensionTravelCm_get(void *c) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	return (float)(o->m_maxSuspensionTravelCm);
}

//attribute: ::btScalar btRaycastVehicle_btVehicleTuning->m_suspensionCompression
void btRaycastVehicle_btVehicleTuning_m_suspensionCompression_set(void *c,float a) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	o->m_suspensionCompression = a;
}
float btRaycastVehicle_btVehicleTuning_m_suspensionCompression_get(void *c) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	return (float)(o->m_suspensionCompression);
}

//attribute: ::btScalar btRaycastVehicle_btVehicleTuning->m_suspensionDamping
void btRaycastVehicle_btVehicleTuning_m_suspensionDamping_set(void *c,float a) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	o->m_suspensionDamping = a;
}
float btRaycastVehicle_btVehicleTuning_m_suspensionDamping_get(void *c) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	return (float)(o->m_suspensionDamping);
}

//attribute: ::btScalar btRaycastVehicle_btVehicleTuning->m_suspensionStiffness
void btRaycastVehicle_btVehicleTuning_m_suspensionStiffness_set(void *c,float a) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	o->m_suspensionStiffness = a;
}
float btRaycastVehicle_btVehicleTuning_m_suspensionStiffness_get(void *c) {
	::btRaycastVehicle::btVehicleTuning *o = (::btRaycastVehicle::btVehicleTuning*)c;
	return (float)(o->m_suspensionStiffness);
}


// ::btWheelInfo
//constructor: btWheelInfo  ( ::btWheelInfo::* )( ::btWheelInfoConstructionInfo & ) 
void* btWheelInfo_new(void* p0) {
	::btWheelInfo *o = 0;
	 void *mem = 0;
	::btWheelInfoConstructionInfo & tp0 = *(::btWheelInfoConstructionInfo *)p0;
	mem = btAlignedAlloc(sizeof(::btWheelInfo),16);
	o = new (mem)::btWheelInfo(tp0);
	return (void*)o;
}
void btWheelInfo_free(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	delete o;
}
//method: getSuspensionRestLength ::btScalar ( ::btWheelInfo::* )(  ) const
float btWheelInfo_getSuspensionRestLength(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	float retVal = (float)o->getSuspensionRestLength();
	return retVal;
}
//method: updateWheel void ( ::btWheelInfo::* )( ::btRigidBody const &,::btWheelInfo::RaycastInfo & ) 
void btWheelInfo_updateWheel(void *c,void* p0,void* p1) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	::btRigidBody const & tp0 = *(::btRigidBody const *)p0;
	::btWheelInfo::RaycastInfo & tp1 = *(::btWheelInfo::RaycastInfo *)p1;
	o->updateWheel(tp0,tp1);
}
//attribute: bool btWheelInfo->m_bIsFrontWheel
void btWheelInfo_m_bIsFrontWheel_set(void *c,int a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_bIsFrontWheel = a;
}
int btWheelInfo_m_bIsFrontWheel_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (int)(o->m_bIsFrontWheel);
}

//attribute: ::btScalar btWheelInfo->m_brake
void btWheelInfo_m_brake_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_brake = a;
}
float btWheelInfo_m_brake_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_brake);
}

//attribute: ::btVector3 btWheelInfo->m_chassisConnectionPointCS
void btWheelInfo_m_chassisConnectionPointCS_set(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_chassisConnectionPointCS = ta;
}
void btWheelInfo_m_chassisConnectionPointCS_get(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	a[0]=(o->m_chassisConnectionPointCS).m_floats[0];a[1]=(o->m_chassisConnectionPointCS).m_floats[1];a[2]=(o->m_chassisConnectionPointCS).m_floats[2];
}

//attribute: void * btWheelInfo->m_clientInfo
// attribute not supported: //attribute: void * btWheelInfo->m_clientInfo
//attribute: ::btScalar btWheelInfo->m_clippedInvContactDotSuspension
void btWheelInfo_m_clippedInvContactDotSuspension_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_clippedInvContactDotSuspension = a;
}
float btWheelInfo_m_clippedInvContactDotSuspension_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_clippedInvContactDotSuspension);
}

//attribute: ::btScalar btWheelInfo->m_deltaRotation
void btWheelInfo_m_deltaRotation_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_deltaRotation = a;
}
float btWheelInfo_m_deltaRotation_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_deltaRotation);
}

//attribute: ::btScalar btWheelInfo->m_engineForce
void btWheelInfo_m_engineForce_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_engineForce = a;
}
float btWheelInfo_m_engineForce_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_engineForce);
}

//attribute: ::btScalar btWheelInfo->m_frictionSlip
void btWheelInfo_m_frictionSlip_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_frictionSlip = a;
}
float btWheelInfo_m_frictionSlip_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_frictionSlip);
}

//attribute: ::btScalar btWheelInfo->m_maxSuspensionForce
void btWheelInfo_m_maxSuspensionForce_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_maxSuspensionForce = a;
}
float btWheelInfo_m_maxSuspensionForce_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_maxSuspensionForce);
}

//attribute: ::btScalar btWheelInfo->m_maxSuspensionTravelCm
void btWheelInfo_m_maxSuspensionTravelCm_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_maxSuspensionTravelCm = a;
}
float btWheelInfo_m_maxSuspensionTravelCm_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_maxSuspensionTravelCm);
}

//attribute: ::btWheelInfo::RaycastInfo btWheelInfo->m_raycastInfo
// attribute not supported: //attribute: ::btWheelInfo::RaycastInfo btWheelInfo->m_raycastInfo
//attribute: ::btScalar btWheelInfo->m_rollInfluence
void btWheelInfo_m_rollInfluence_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_rollInfluence = a;
}
float btWheelInfo_m_rollInfluence_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_rollInfluence);
}

//attribute: ::btScalar btWheelInfo->m_rotation
void btWheelInfo_m_rotation_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_rotation = a;
}
float btWheelInfo_m_rotation_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_rotation);
}

//attribute: ::btScalar btWheelInfo->m_skidInfo
void btWheelInfo_m_skidInfo_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_skidInfo = a;
}
float btWheelInfo_m_skidInfo_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_skidInfo);
}

//attribute: ::btScalar btWheelInfo->m_steering
void btWheelInfo_m_steering_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_steering = a;
}
float btWheelInfo_m_steering_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_steering);
}

//attribute: ::btScalar btWheelInfo->m_suspensionRelativeVelocity
void btWheelInfo_m_suspensionRelativeVelocity_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_suspensionRelativeVelocity = a;
}
float btWheelInfo_m_suspensionRelativeVelocity_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_suspensionRelativeVelocity);
}

//attribute: ::btScalar btWheelInfo->m_suspensionRestLength1
void btWheelInfo_m_suspensionRestLength1_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_suspensionRestLength1 = a;
}
float btWheelInfo_m_suspensionRestLength1_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_suspensionRestLength1);
}

//attribute: ::btScalar btWheelInfo->m_suspensionStiffness
void btWheelInfo_m_suspensionStiffness_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_suspensionStiffness = a;
}
float btWheelInfo_m_suspensionStiffness_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_suspensionStiffness);
}

//attribute: ::btVector3 btWheelInfo->m_wheelAxleCS
void btWheelInfo_m_wheelAxleCS_set(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_wheelAxleCS = ta;
}
void btWheelInfo_m_wheelAxleCS_get(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	a[0]=(o->m_wheelAxleCS).m_floats[0];a[1]=(o->m_wheelAxleCS).m_floats[1];a[2]=(o->m_wheelAxleCS).m_floats[2];
}

//attribute: ::btVector3 btWheelInfo->m_wheelDirectionCS
void btWheelInfo_m_wheelDirectionCS_set(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_wheelDirectionCS = ta;
}
void btWheelInfo_m_wheelDirectionCS_get(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	a[0]=(o->m_wheelDirectionCS).m_floats[0];a[1]=(o->m_wheelDirectionCS).m_floats[1];a[2]=(o->m_wheelDirectionCS).m_floats[2];
}

//attribute: ::btScalar btWheelInfo->m_wheelsDampingCompression
void btWheelInfo_m_wheelsDampingCompression_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_wheelsDampingCompression = a;
}
float btWheelInfo_m_wheelsDampingCompression_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_wheelsDampingCompression);
}

//attribute: ::btScalar btWheelInfo->m_wheelsDampingRelaxation
void btWheelInfo_m_wheelsDampingRelaxation_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_wheelsDampingRelaxation = a;
}
float btWheelInfo_m_wheelsDampingRelaxation_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_wheelsDampingRelaxation);
}

//attribute: ::btScalar btWheelInfo->m_wheelsRadius
void btWheelInfo_m_wheelsRadius_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_wheelsRadius = a;
}
float btWheelInfo_m_wheelsRadius_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_wheelsRadius);
}

//attribute: ::btScalar btWheelInfo->m_wheelsSuspensionForce
void btWheelInfo_m_wheelsSuspensionForce_set(void *c,float a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	o->m_wheelsSuspensionForce = a;
}
float btWheelInfo_m_wheelsSuspensionForce_get(void *c) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	return (float)(o->m_wheelsSuspensionForce);
}

//attribute: ::btTransform btWheelInfo->m_worldTransform
void btWheelInfo_m_worldTransform_set(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_worldTransform = ta;
}
void btWheelInfo_m_worldTransform_get(void *c,float* a) {
	::btWheelInfo *o = (::btWheelInfo*)c;
	a[0]=(o->m_worldTransform).getBasis().getRow(0).m_floats[0];a[1]=(o->m_worldTransform).getBasis().getRow(0).m_floats[1];a[2]=(o->m_worldTransform).getBasis().getRow(0).m_floats[2];a[3]=(o->m_worldTransform).getBasis().getRow(1).m_floats[0];a[4]=(o->m_worldTransform).getBasis().getRow(1).m_floats[1];a[5]=(o->m_worldTransform).getBasis().getRow(1).m_floats[2];a[6]=(o->m_worldTransform).getBasis().getRow(2).m_floats[0];a[7]=(o->m_worldTransform).getBasis().getRow(2).m_floats[1];a[8]=(o->m_worldTransform).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_worldTransform).getOrigin().m_floats[0];a[10]=(o->m_worldTransform).getOrigin().m_floats[1];a[11]=(o->m_worldTransform).getOrigin().m_floats[2];
}


// ::btWheelInfoConstructionInfo
//constructor: btWheelInfoConstructionInfo  ( ::btWheelInfoConstructionInfo::* )(  ) 
void* btWheelInfoConstructionInfo_new() {
	::btWheelInfoConstructionInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btWheelInfoConstructionInfo),16);
	o = new (mem)::btWheelInfoConstructionInfo();
	return (void*)o;
}
void btWheelInfoConstructionInfo_free(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	delete o;
}
//attribute: bool btWheelInfoConstructionInfo->m_bIsFrontWheel
void btWheelInfoConstructionInfo_m_bIsFrontWheel_set(void *c,int a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_bIsFrontWheel = a;
}
int btWheelInfoConstructionInfo_m_bIsFrontWheel_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (int)(o->m_bIsFrontWheel);
}

//attribute: ::btVector3 btWheelInfoConstructionInfo->m_chassisConnectionCS
void btWheelInfoConstructionInfo_m_chassisConnectionCS_set(void *c,float* a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_chassisConnectionCS = ta;
}
void btWheelInfoConstructionInfo_m_chassisConnectionCS_get(void *c,float* a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	a[0]=(o->m_chassisConnectionCS).m_floats[0];a[1]=(o->m_chassisConnectionCS).m_floats[1];a[2]=(o->m_chassisConnectionCS).m_floats[2];
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_frictionSlip
void btWheelInfoConstructionInfo_m_frictionSlip_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_frictionSlip = a;
}
float btWheelInfoConstructionInfo_m_frictionSlip_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_frictionSlip);
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_maxSuspensionForce
void btWheelInfoConstructionInfo_m_maxSuspensionForce_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_maxSuspensionForce = a;
}
float btWheelInfoConstructionInfo_m_maxSuspensionForce_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_maxSuspensionForce);
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_maxSuspensionTravelCm
void btWheelInfoConstructionInfo_m_maxSuspensionTravelCm_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_maxSuspensionTravelCm = a;
}
float btWheelInfoConstructionInfo_m_maxSuspensionTravelCm_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_maxSuspensionTravelCm);
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_suspensionRestLength
void btWheelInfoConstructionInfo_m_suspensionRestLength_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_suspensionRestLength = a;
}
float btWheelInfoConstructionInfo_m_suspensionRestLength_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_suspensionRestLength);
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_suspensionStiffness
void btWheelInfoConstructionInfo_m_suspensionStiffness_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_suspensionStiffness = a;
}
float btWheelInfoConstructionInfo_m_suspensionStiffness_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_suspensionStiffness);
}

//attribute: ::btVector3 btWheelInfoConstructionInfo->m_wheelAxleCS
void btWheelInfoConstructionInfo_m_wheelAxleCS_set(void *c,float* a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_wheelAxleCS = ta;
}
void btWheelInfoConstructionInfo_m_wheelAxleCS_get(void *c,float* a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	a[0]=(o->m_wheelAxleCS).m_floats[0];a[1]=(o->m_wheelAxleCS).m_floats[1];a[2]=(o->m_wheelAxleCS).m_floats[2];
}

//attribute: ::btVector3 btWheelInfoConstructionInfo->m_wheelDirectionCS
void btWheelInfoConstructionInfo_m_wheelDirectionCS_set(void *c,float* a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_wheelDirectionCS = ta;
}
void btWheelInfoConstructionInfo_m_wheelDirectionCS_get(void *c,float* a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	a[0]=(o->m_wheelDirectionCS).m_floats[0];a[1]=(o->m_wheelDirectionCS).m_floats[1];a[2]=(o->m_wheelDirectionCS).m_floats[2];
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_wheelRadius
void btWheelInfoConstructionInfo_m_wheelRadius_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_wheelRadius = a;
}
float btWheelInfoConstructionInfo_m_wheelRadius_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_wheelRadius);
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_wheelsDampingCompression
void btWheelInfoConstructionInfo_m_wheelsDampingCompression_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_wheelsDampingCompression = a;
}
float btWheelInfoConstructionInfo_m_wheelsDampingCompression_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_wheelsDampingCompression);
}

//attribute: ::btScalar btWheelInfoConstructionInfo->m_wheelsDampingRelaxation
void btWheelInfoConstructionInfo_m_wheelsDampingRelaxation_set(void *c,float a) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	o->m_wheelsDampingRelaxation = a;
}
float btWheelInfoConstructionInfo_m_wheelsDampingRelaxation_get(void *c) {
	::btWheelInfoConstructionInfo *o = (::btWheelInfoConstructionInfo*)c;
	return (float)(o->m_wheelsDampingRelaxation);
}


// ::btBU_Simplex1to4
//constructor: btBU_Simplex1to4  ( ::btBU_Simplex1to4::* )(  ) 
void* btBU_Simplex1to4_new0() {
	::btBU_Simplex1to4 *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBU_Simplex1to4),16);
	o = new (mem)::btBU_Simplex1to4();
	return (void*)o;
}
//constructor: btBU_Simplex1to4  ( ::btBU_Simplex1to4::* )( ::btVector3 const & ) 
void* btBU_Simplex1to4_new1(float* p0) {
	::btBU_Simplex1to4 *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	mem = btAlignedAlloc(sizeof(::btBU_Simplex1to4),16);
	o = new (mem)::btBU_Simplex1to4(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return (void*)o;
}
//constructor: btBU_Simplex1to4  ( ::btBU_Simplex1to4::* )( ::btVector3 const &,::btVector3 const & ) 
void* btBU_Simplex1to4_new2(float* p0,float* p1) {
	::btBU_Simplex1to4 *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	mem = btAlignedAlloc(sizeof(::btBU_Simplex1to4),16);
	o = new (mem)::btBU_Simplex1to4(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
//constructor: btBU_Simplex1to4  ( ::btBU_Simplex1to4::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void* btBU_Simplex1to4_new3(float* p0,float* p1,float* p2) {
	::btBU_Simplex1to4 *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btBU_Simplex1to4),16);
	o = new (mem)::btBU_Simplex1to4(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
//constructor: btBU_Simplex1to4  ( ::btBU_Simplex1to4::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void* btBU_Simplex1to4_new4(float* p0,float* p1,float* p2,float* p3) {
	::btBU_Simplex1to4 *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	mem = btAlignedAlloc(sizeof(::btBU_Simplex1to4),16);
	o = new (mem)::btBU_Simplex1to4(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return (void*)o;
}
void btBU_Simplex1to4_free(void *c) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	delete o;
}
//method: reset void ( ::btBU_Simplex1to4::* )(  ) 
void btBU_Simplex1to4_reset(void *c) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	o->reset();
}
//method: getNumPlanes int ( ::btBU_Simplex1to4::* )(  ) const
int btBU_Simplex1to4_getNumPlanes(void *c) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	int retVal = (int)o->getNumPlanes();
	return retVal;
}
//method: getIndex int ( ::btBU_Simplex1to4::* )( int ) const
int btBU_Simplex1to4_getIndex(void *c,int p0) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	int retVal = (int)o->getIndex(p0);
	return retVal;
}
//method: getNumEdges int ( ::btBU_Simplex1to4::* )(  ) const
int btBU_Simplex1to4_getNumEdges(void *c) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	int retVal = (int)o->getNumEdges();
	return retVal;
}
//method: getName char const * ( ::btBU_Simplex1to4::* )(  ) const
char const * btBU_Simplex1to4_getName(void *c) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getVertex void ( ::btBU_Simplex1to4::* )( int,::btVector3 & ) const
void btBU_Simplex1to4_getVertex(void *c,int p0,float* p1) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getEdge void ( ::btBU_Simplex1to4::* )( int,::btVector3 &,::btVector3 & ) const
void btBU_Simplex1to4_getEdge(void *c,int p0,float* p1,float* p2) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getEdge(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: addVertex void ( ::btBU_Simplex1to4::* )( ::btVector3 const & ) 
void btBU_Simplex1to4_addVertex(void *c,float* p0) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: isInside bool ( ::btBU_Simplex1to4::* )( ::btVector3 const &,::btScalar ) const
int btBU_Simplex1to4_isInside(void *c,float* p0,float p1) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->isInside(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getPlane void ( ::btBU_Simplex1to4::* )( ::btVector3 &,::btVector3 &,int ) const
void btBU_Simplex1to4_getPlane(void *c,float* p0,float* p1,int p2) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPlane(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getAabb void ( ::btBU_Simplex1to4::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btBU_Simplex1to4_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getNumVertices int ( ::btBU_Simplex1to4::* )(  ) const
int btBU_Simplex1to4_getNumVertices(void *c) {
	::btBU_Simplex1to4 *o = (::btBU_Simplex1to4*)c;
	int retVal = (int)o->getNumVertices();
	return retVal;
}

// ::btBoxShape
//constructor: btBoxShape  ( ::btBoxShape::* )( ::btVector3 const & ) 
void* btBoxShape_new(float* p0) {
	::btBoxShape *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	mem = btAlignedAlloc(sizeof(::btBoxShape),16);
	o = new (mem)::btBoxShape(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return (void*)o;
}
void btBoxShape_free(void *c) {
	::btBoxShape *o = (::btBoxShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btBoxShape::* )( ::btScalar,::btVector3 & ) const
void btBoxShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getNumPlanes int ( ::btBoxShape::* )(  ) const
int btBoxShape_getNumPlanes(void *c) {
	::btBoxShape *o = (::btBoxShape*)c;
	int retVal = (int)o->getNumPlanes();
	return retVal;
}
//method: localGetSupportingVertex ::btVector3 ( ::btBoxShape::* )( ::btVector3 const & ) const
void btBoxShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btBoxShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: setLocalScaling void ( ::btBoxShape::* )( ::btVector3 const & ) 
void btBoxShape_setLocalScaling(void *c,float* p0) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getPlaneEquation void ( ::btBoxShape::* )( ::btVector4 &,int ) const
void btBoxShape_getPlaneEquation(void *c,float* p0,int p1) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector4 tp0(p0[0],p0[1],p0[2],p0[3]);
	o->getPlaneEquation(tp0,p1);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
}
//method: getPreferredPenetrationDirection void ( ::btBoxShape::* )( int,::btVector3 & ) const
void btBoxShape_getPreferredPenetrationDirection(void *c,int p0,float* p1) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPreferredPenetrationDirection(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getNumEdges int ( ::btBoxShape::* )(  ) const
int btBoxShape_getNumEdges(void *c) {
	::btBoxShape *o = (::btBoxShape*)c;
	int retVal = (int)o->getNumEdges();
	return retVal;
}
//method: getName char const * ( ::btBoxShape::* )(  ) const
char const * btBoxShape_getName(void *c) {
	::btBoxShape *o = (::btBoxShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getVertex void ( ::btBoxShape::* )( int,::btVector3 & ) const
void btBoxShape_getVertex(void *c,int p0,float* p1) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getEdge void ( ::btBoxShape::* )( int,::btVector3 &,::btVector3 & ) const
void btBoxShape_getEdge(void *c,int p0,float* p1,float* p2) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getEdge(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: isInside bool ( ::btBoxShape::* )( ::btVector3 const &,::btScalar ) const
int btBoxShape_isInside(void *c,float* p0,float p1) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->isInside(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getPlane void ( ::btBoxShape::* )( ::btVector3 &,::btVector3 &,int ) const
void btBoxShape_getPlane(void *c,float* p0,float* p1,int p2) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPlane(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getHalfExtentsWithoutMargin ::btVector3 const & ( ::btBoxShape::* )(  ) const
void btBoxShape_getHalfExtentsWithoutMargin(void *c,float* ret) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getHalfExtentsWithoutMargin();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getNumPreferredPenetrationDirections int ( ::btBoxShape::* )(  ) const
int btBoxShape_getNumPreferredPenetrationDirections(void *c) {
	::btBoxShape *o = (::btBoxShape*)c;
	int retVal = (int)o->getNumPreferredPenetrationDirections();
	return retVal;
}
//method: getAabb void ( ::btBoxShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btBoxShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btBoxShape *o = (::btBoxShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setMargin void ( ::btBoxShape::* )( ::btScalar ) 
void btBoxShape_setMargin(void *c,float p0) {
	::btBoxShape *o = (::btBoxShape*)c;
	o->setMargin(p0);
}
//method: getNumVertices int ( ::btBoxShape::* )(  ) const
int btBoxShape_getNumVertices(void *c) {
	::btBoxShape *o = (::btBoxShape*)c;
	int retVal = (int)o->getNumVertices();
	return retVal;
}
//method: getHalfExtentsWithMargin ::btVector3 ( ::btBoxShape::* )(  ) const
void btBoxShape_getHalfExtentsWithMargin(void *c,float* ret) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getHalfExtentsWithMargin();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btBoxShape::* )( ::btVector3 const & ) const
void btBoxShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btBoxShape *o = (::btBoxShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}

// ::btBvhTriangleMeshShape
//constructor: btBvhTriangleMeshShape  ( ::btBvhTriangleMeshShape::* )( ::btStridingMeshInterface *,bool,bool ) 
void* btBvhTriangleMeshShape_new0(void* p0,int p1,int p2) {
	::btBvhTriangleMeshShape *o = 0;
	 void *mem = 0;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	mem = btAlignedAlloc(sizeof(::btBvhTriangleMeshShape),16);
	o = new (mem)::btBvhTriangleMeshShape(tp0,p1,p2);
	return (void*)o;
}
//constructor: btBvhTriangleMeshShape  ( ::btBvhTriangleMeshShape::* )( ::btStridingMeshInterface *,bool,::btVector3 const &,::btVector3 const &,bool ) 
void* btBvhTriangleMeshShape_new1(void* p0,int p1,float* p2,float* p3,int p4) {
	::btBvhTriangleMeshShape *o = 0;
	 void *mem = 0;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	mem = btAlignedAlloc(sizeof(::btBvhTriangleMeshShape),16);
	o = new (mem)::btBvhTriangleMeshShape(tp0,p1,tp2,tp3,p4);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return (void*)o;
}
void btBvhTriangleMeshShape_free(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	delete o;
}
//method: calculateSerializeBufferSize int ( ::btBvhTriangleMeshShape::* )(  ) const
int btBvhTriangleMeshShape_calculateSerializeBufferSize(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: buildOptimizedBvh void ( ::btBvhTriangleMeshShape::* )(  ) 
void btBvhTriangleMeshShape_buildOptimizedBvh(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	o->buildOptimizedBvh();
}
//method: setLocalScaling void ( ::btBvhTriangleMeshShape::* )( ::btVector3 const & ) 
void btBvhTriangleMeshShape_setLocalScaling(void *c,float* p0) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: performRaycast void ( ::btBvhTriangleMeshShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) 
void btBvhTriangleMeshShape_performRaycast(void *c,void* p0,float* p1,float* p2) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->performRaycast(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setTriangleInfoMap void ( ::btBvhTriangleMeshShape::* )( ::btTriangleInfoMap * ) 
void btBvhTriangleMeshShape_setTriangleInfoMap(void *c,void* p0) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	::btTriangleInfoMap * tp0 = (::btTriangleInfoMap *)p0;
	o->setTriangleInfoMap(tp0);
}
//method: usesQuantizedAabbCompression bool ( ::btBvhTriangleMeshShape::* )(  ) const
int btBvhTriangleMeshShape_usesQuantizedAabbCompression(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	int retVal = (int)o->usesQuantizedAabbCompression();
	return retVal;
}
//method: getName char const * ( ::btBvhTriangleMeshShape::* )(  ) const
char const * btBvhTriangleMeshShape_getName(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//not supported method: serialize char const * ( ::btBvhTriangleMeshShape::* )( void *,::btSerializer * ) const
//method: getTriangleInfoMap ::btTriangleInfoMap const * ( ::btBvhTriangleMeshShape::* )(  ) const
void* btBvhTriangleMeshShape_getTriangleInfoMap(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	void* retVal = (void*) o->getTriangleInfoMap();
	return retVal;
}
//method: getTriangleInfoMap ::btTriangleInfoMap const * ( ::btBvhTriangleMeshShape::* )(  ) const
void* btBvhTriangleMeshShape_getTriangleInfoMap0(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	void* retVal = (void*) o->getTriangleInfoMap();
	return retVal;
}
//method: getTriangleInfoMap ::btTriangleInfoMap * ( ::btBvhTriangleMeshShape::* )(  ) 
void* btBvhTriangleMeshShape_getTriangleInfoMap1(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	void* retVal = (void*) o->getTriangleInfoMap();
	return retVal;
}
//method: serializeSingleTriangleInfoMap void ( ::btBvhTriangleMeshShape::* )( ::btSerializer * ) const
void btBvhTriangleMeshShape_serializeSingleTriangleInfoMap(void *c,void* p0) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serializeSingleTriangleInfoMap(tp0);
}
//method: getOwnsBvh bool ( ::btBvhTriangleMeshShape::* )(  ) const
int btBvhTriangleMeshShape_getOwnsBvh(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	int retVal = (int)o->getOwnsBvh();
	return retVal;
}
//method: partialRefitTree void ( ::btBvhTriangleMeshShape::* )( ::btVector3 const &,::btVector3 const & ) 
void btBvhTriangleMeshShape_partialRefitTree(void *c,float* p0,float* p1) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->partialRefitTree(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getOptimizedBvh ::btOptimizedBvh * ( ::btBvhTriangleMeshShape::* )(  ) 
void* btBvhTriangleMeshShape_getOptimizedBvh(void *c) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	void* retVal = (void*) o->getOptimizedBvh();
	return retVal;
}
//method: processAllTriangles void ( ::btBvhTriangleMeshShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btBvhTriangleMeshShape_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: refitTree void ( ::btBvhTriangleMeshShape::* )( ::btVector3 const &,::btVector3 const & ) 
void btBvhTriangleMeshShape_refitTree(void *c,float* p0,float* p1) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->refitTree(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: performConvexcast void ( ::btBvhTriangleMeshShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btBvhTriangleMeshShape_performConvexcast(void *c,void* p0,float* p1,float* p2,float* p3,float* p4) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->performConvexcast(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: serializeSingleBvh void ( ::btBvhTriangleMeshShape::* )( ::btSerializer * ) const
void btBvhTriangleMeshShape_serializeSingleBvh(void *c,void* p0) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serializeSingleBvh(tp0);
}
//method: setOptimizedBvh void ( ::btBvhTriangleMeshShape::* )( ::btOptimizedBvh *,::btVector3 const & ) 
void btBvhTriangleMeshShape_setOptimizedBvh(void *c,void* p0,float* p1) {
	::btBvhTriangleMeshShape *o = (::btBvhTriangleMeshShape*)c;
	::btOptimizedBvh * tp0 = (::btOptimizedBvh *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setOptimizedBvh(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}

// ::btCapsuleShape
//constructor: btCapsuleShape  ( ::btCapsuleShape::* )( ::btScalar,::btScalar ) 
void* btCapsuleShape_new(float p0,float p1) {
	::btCapsuleShape *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCapsuleShape),16);
	o = new (mem)::btCapsuleShape(p0,p1);
	return (void*)o;
}
void btCapsuleShape_free(void *c) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btCapsuleShape::* )( ::btScalar,::btVector3 & ) const
void btCapsuleShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btCapsuleShape::* )(  ) const
int btCapsuleShape_calculateSerializeBufferSize(void *c) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btCapsuleShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: setLocalScaling void ( ::btCapsuleShape::* )( ::btVector3 const & ) 
void btCapsuleShape_setLocalScaling(void *c,float* p0) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getUpAxis int ( ::btCapsuleShape::* )(  ) const
int btCapsuleShape_getUpAxis(void *c) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	int retVal = (int)o->getUpAxis();
	return retVal;
}
//method: getName char const * ( ::btCapsuleShape::* )(  ) const
char const * btCapsuleShape_getName(void *c) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getHalfHeight ::btScalar ( ::btCapsuleShape::* )(  ) const
float btCapsuleShape_getHalfHeight(void *c) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	float retVal = (float)o->getHalfHeight();
	return retVal;
}
//method: setMargin void ( ::btCapsuleShape::* )( ::btScalar ) 
void btCapsuleShape_setMargin(void *c,float p0) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	o->setMargin(p0);
}
//method: getAabb void ( ::btCapsuleShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btCapsuleShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//not supported method: serialize char const * ( ::btCapsuleShape::* )( void *,::btSerializer * ) const
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btCapsuleShape::* )( ::btVector3 const & ) const
void btCapsuleShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getRadius ::btScalar ( ::btCapsuleShape::* )(  ) const
float btCapsuleShape_getRadius(void *c) {
	::btCapsuleShape *o = (::btCapsuleShape*)c;
	float retVal = (float)o->getRadius();
	return retVal;
}

// ::btCapsuleShapeData
//constructor: btCapsuleShapeData  ( ::btCapsuleShapeData::* )(  ) 
void* btCapsuleShapeData_new() {
	::btCapsuleShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCapsuleShapeData),16);
	o = new (mem)::btCapsuleShapeData();
	return (void*)o;
}
void btCapsuleShapeData_free(void *c) {
	::btCapsuleShapeData *o = (::btCapsuleShapeData*)c;
	delete o;
}
//attribute: ::btConvexInternalShapeData btCapsuleShapeData->m_convexInternalShapeData
// attribute not supported: //attribute: ::btConvexInternalShapeData btCapsuleShapeData->m_convexInternalShapeData
//attribute: int btCapsuleShapeData->m_upAxis
void btCapsuleShapeData_m_upAxis_set(void *c,int a) {
	::btCapsuleShapeData *o = (::btCapsuleShapeData*)c;
	o->m_upAxis = a;
}
int btCapsuleShapeData_m_upAxis_get(void *c) {
	::btCapsuleShapeData *o = (::btCapsuleShapeData*)c;
	return (int)(o->m_upAxis);
}

//attribute: char[4] btCapsuleShapeData->m_padding
// attribute not supported: //attribute: char[4] btCapsuleShapeData->m_padding

// ::btCapsuleShapeX
//constructor: btCapsuleShapeX  ( ::btCapsuleShapeX::* )( ::btScalar,::btScalar ) 
void* btCapsuleShapeX_new(float p0,float p1) {
	::btCapsuleShapeX *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCapsuleShapeX),16);
	o = new (mem)::btCapsuleShapeX(p0,p1);
	return (void*)o;
}
void btCapsuleShapeX_free(void *c) {
	::btCapsuleShapeX *o = (::btCapsuleShapeX*)c;
	delete o;
}
//method: getName char const * ( ::btCapsuleShapeX::* )(  ) const
char const * btCapsuleShapeX_getName(void *c) {
	::btCapsuleShapeX *o = (::btCapsuleShapeX*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}

// ::btCapsuleShapeZ
//constructor: btCapsuleShapeZ  ( ::btCapsuleShapeZ::* )( ::btScalar,::btScalar ) 
void* btCapsuleShapeZ_new(float p0,float p1) {
	::btCapsuleShapeZ *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCapsuleShapeZ),16);
	o = new (mem)::btCapsuleShapeZ(p0,p1);
	return (void*)o;
}
void btCapsuleShapeZ_free(void *c) {
	::btCapsuleShapeZ *o = (::btCapsuleShapeZ*)c;
	delete o;
}
//method: getName char const * ( ::btCapsuleShapeZ::* )(  ) const
char const * btCapsuleShapeZ_getName(void *c) {
	::btCapsuleShapeZ *o = (::btCapsuleShapeZ*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}

// ::btCharIndexTripletData
//constructor: btCharIndexTripletData  ( ::btCharIndexTripletData::* )(  ) 
void* btCharIndexTripletData_new() {
	::btCharIndexTripletData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCharIndexTripletData),16);
	o = new (mem)::btCharIndexTripletData();
	return (void*)o;
}
void btCharIndexTripletData_free(void *c) {
	::btCharIndexTripletData *o = (::btCharIndexTripletData*)c;
	delete o;
}
//attribute: unsigned char[3] btCharIndexTripletData->m_values
// attribute not supported: //attribute: unsigned char[3] btCharIndexTripletData->m_values
//attribute: char btCharIndexTripletData->m_pad
void btCharIndexTripletData_m_pad_set(void *c,char a) {
	::btCharIndexTripletData *o = (::btCharIndexTripletData*)c;
	o->m_pad = a;
}
char btCharIndexTripletData_m_pad_get(void *c) {
	::btCharIndexTripletData *o = (::btCharIndexTripletData*)c;
	return (char)(o->m_pad);
}


// ::btCollisionShape
//method: calculateLocalInertia void ( ::btCollisionShape::* )( ::btScalar,::btVector3 & ) const
void btCollisionShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: setUserPointer void ( ::btCollisionShape::* )( void * ) 
//not supported method: serialize char const * ( ::btCollisionShape::* )( void *,::btSerializer * ) const
//method: getLocalScaling ::btVector3 const & ( ::btCollisionShape::* )(  ) const
void btCollisionShape_getLocalScaling(void *c,float* ret) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btCollisionShape::* )(  ) const
int btCollisionShape_calculateSerializeBufferSize(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getName char const * ( ::btCollisionShape::* )(  ) const
char const * btCollisionShape_getName(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: isCompound bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isCompound(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isCompound();
	return retVal;
}
//method: isPolyhedral bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isPolyhedral(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isPolyhedral();
	return retVal;
}
//method: setLocalScaling void ( ::btCollisionShape::* )( ::btVector3 const & ) 
void btCollisionShape_setLocalScaling(void *c,float* p0) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabb void ( ::btCollisionShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btCollisionShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getContactBreakingThreshold ::btScalar ( ::btCollisionShape::* )( ::btScalar ) const
float btCollisionShape_getContactBreakingThreshold(void *c,float p0) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	float retVal = (float)o->getContactBreakingThreshold(p0);
	return retVal;
}
//method: isConvex bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isConvex(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isConvex();
	return retVal;
}
//method: isInfinite bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isInfinite(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isInfinite();
	return retVal;
}
//not supported method: getUserPointer void * ( ::btCollisionShape::* )(  ) const
//method: isNonMoving bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isNonMoving(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isNonMoving();
	return retVal;
}
//method: getMargin ::btScalar ( ::btCollisionShape::* )(  ) const
float btCollisionShape_getMargin(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}
//method: setMargin void ( ::btCollisionShape::* )( ::btScalar ) 
void btCollisionShape_setMargin(void *c,float p0) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	o->setMargin(p0);
}
//method: isConvex2d bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isConvex2d(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isConvex2d();
	return retVal;
}
//method: isSoftBody bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isSoftBody(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isSoftBody();
	return retVal;
}
//method: calculateTemporalAabb void ( ::btCollisionShape::* )( ::btTransform const &,::btVector3 const &,::btVector3 const &,::btScalar,::btVector3 &,::btVector3 & ) const
void btCollisionShape_calculateTemporalAabb(void *c,float* p0,float* p1,float* p2,float p3,float* p4,float* p5) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	btVector3 tp5(p5[0],p5[1],p5[2]);
	o->calculateTemporalAabb(tp0,tp1,tp2,p3,tp4,tp5);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	p5[0]=tp5.m_floats[0];p5[1]=tp5.m_floats[1];p5[2]=tp5.m_floats[2];
}
//method: isConcave bool ( ::btCollisionShape::* )(  ) const
int btCollisionShape_isConcave(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->isConcave();
	return retVal;
}
//method: getAngularMotionDisc ::btScalar ( ::btCollisionShape::* )(  ) const
float btCollisionShape_getAngularMotionDisc(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	float retVal = (float)o->getAngularMotionDisc();
	return retVal;
}
//method: serializeSingleShape void ( ::btCollisionShape::* )( ::btSerializer * ) const
void btCollisionShape_serializeSingleShape(void *c,void* p0) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serializeSingleShape(tp0);
}
//not supported method: getBoundingSphere void ( ::btCollisionShape::* )( ::btVector3 &,::btScalar & ) const
//method: getShapeType int ( ::btCollisionShape::* )(  ) const
int btCollisionShape_getShapeType(void *c) {
	::btCollisionShape *o = (::btCollisionShape*)c;
	int retVal = (int)o->getShapeType();
	return retVal;
}

// ::btCollisionShapeData
//constructor: btCollisionShapeData  ( ::btCollisionShapeData::* )(  ) 
void* btCollisionShapeData_new() {
	::btCollisionShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCollisionShapeData),16);
	o = new (mem)::btCollisionShapeData();
	return (void*)o;
}
void btCollisionShapeData_free(void *c) {
	::btCollisionShapeData *o = (::btCollisionShapeData*)c;
	delete o;
}
//attribute: char * btCollisionShapeData->m_name
void btCollisionShapeData_m_name_set(void *c,char * a) {
	::btCollisionShapeData *o = (::btCollisionShapeData*)c;
	o->m_name = a;
}
char * btCollisionShapeData_m_name_get(void *c) {
	::btCollisionShapeData *o = (::btCollisionShapeData*)c;
	return (char *)(o->m_name);
}

//attribute: int btCollisionShapeData->m_shapeType
void btCollisionShapeData_m_shapeType_set(void *c,int a) {
	::btCollisionShapeData *o = (::btCollisionShapeData*)c;
	o->m_shapeType = a;
}
int btCollisionShapeData_m_shapeType_get(void *c) {
	::btCollisionShapeData *o = (::btCollisionShapeData*)c;
	return (int)(o->m_shapeType);
}

//attribute: char[4] btCollisionShapeData->m_padding
// attribute not supported: //attribute: char[4] btCollisionShapeData->m_padding

// ::btCompoundShape
//constructor: btCompoundShape  ( ::btCompoundShape::* )( bool ) 
void* btCompoundShape_new(int p0) {
	::btCompoundShape *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCompoundShape),16);
	o = new (mem)::btCompoundShape(p0);
	return (void*)o;
}
void btCompoundShape_free(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btCompoundShape::* )( ::btScalar,::btVector3 & ) const
void btCompoundShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getDynamicAabbTree ::btDbvt const * ( ::btCompoundShape::* )(  ) const
void* btCompoundShape_getDynamicAabbTree(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	void* retVal = (void*) o->getDynamicAabbTree();
	return retVal;
}
//method: getDynamicAabbTree ::btDbvt const * ( ::btCompoundShape::* )(  ) const
void* btCompoundShape_getDynamicAabbTree0(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	void* retVal = (void*) o->getDynamicAabbTree();
	return retVal;
}
//method: getDynamicAabbTree ::btDbvt * ( ::btCompoundShape::* )(  ) 
void* btCompoundShape_getDynamicAabbTree1(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	void* retVal = (void*) o->getDynamicAabbTree();
	return retVal;
}
//method: getUpdateRevision int ( ::btCompoundShape::* )(  ) const
int btCompoundShape_getUpdateRevision(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	int retVal = (int)o->getUpdateRevision();
	return retVal;
}
//not supported method: serialize char const * ( ::btCompoundShape::* )( void *,::btSerializer * ) const
//method: getLocalScaling ::btVector3 const & ( ::btCompoundShape::* )(  ) const
void btCompoundShape_getLocalScaling(void *c,float* ret) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: createAabbTreeFromChildren void ( ::btCompoundShape::* )(  ) 
void btCompoundShape_createAabbTreeFromChildren(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	o->createAabbTreeFromChildren();
}
//method: calculateSerializeBufferSize int ( ::btCompoundShape::* )(  ) const
int btCompoundShape_calculateSerializeBufferSize(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getName char const * ( ::btCompoundShape::* )(  ) const
char const * btCompoundShape_getName(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: setLocalScaling void ( ::btCompoundShape::* )( ::btVector3 const & ) 
void btCompoundShape_setLocalScaling(void *c,float* p0) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabb void ( ::btCompoundShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btCompoundShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getChildShape ::btCollisionShape * ( ::btCompoundShape::* )( int ) 
void* btCompoundShape_getChildShape(void *c,int p0) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btCompoundShape::* )( int ) 
void* btCompoundShape_getChildShape0(void *c,int p0) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape const * ( ::btCompoundShape::* )( int ) const
void* btCompoundShape_getChildShape1(void *c,int p0) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: addChildShape void ( ::btCompoundShape::* )( ::btTransform const &,::btCollisionShape * ) 
void btCompoundShape_addChildShape(void *c,float* p0,void* p1) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	::btCollisionShape * tp1 = (::btCollisionShape *)p1;
	o->addChildShape(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: getChildTransform ::btTransform & ( ::btCompoundShape::* )( int ) 
void btCompoundShape_getChildTransform(void *c,int p0,float* ret) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChildTransform(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getChildTransform ::btTransform & ( ::btCompoundShape::* )( int ) 
void btCompoundShape_getChildTransform0(void *c,int p0,float* ret) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChildTransform(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getChildTransform ::btTransform const & ( ::btCompoundShape::* )( int ) const
void btCompoundShape_getChildTransform1(void *c,int p0,float* ret) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChildTransform(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getChildList ::btCompoundShapeChild * ( ::btCompoundShape::* )(  ) 
void* btCompoundShape_getChildList(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	void* retVal = (void*) o->getChildList();
	return retVal;
}
//method: getMargin ::btScalar ( ::btCompoundShape::* )(  ) const
float btCompoundShape_getMargin(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}
//method: setMargin void ( ::btCompoundShape::* )( ::btScalar ) 
void btCompoundShape_setMargin(void *c,float p0) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	o->setMargin(p0);
}
//method: getNumChildShapes int ( ::btCompoundShape::* )(  ) const
int btCompoundShape_getNumChildShapes(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	int retVal = (int)o->getNumChildShapes();
	return retVal;
}
//method: removeChildShapeByIndex void ( ::btCompoundShape::* )( int ) 
void btCompoundShape_removeChildShapeByIndex(void *c,int p0) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	o->removeChildShapeByIndex(p0);
}
//method: recalculateLocalAabb void ( ::btCompoundShape::* )(  ) 
void btCompoundShape_recalculateLocalAabb(void *c) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	o->recalculateLocalAabb();
}
//method: updateChildTransform void ( ::btCompoundShape::* )( int,::btTransform const &,bool ) 
void btCompoundShape_updateChildTransform(void *c,int p0,float* p1,int p2) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->updateChildTransform(p0,tp1,p2);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//not supported method: calculatePrincipalAxisTransform void ( ::btCompoundShape::* )( ::btScalar *,::btTransform &,::btVector3 & ) const
//method: removeChildShape void ( ::btCompoundShape::* )( ::btCollisionShape * ) 
void btCompoundShape_removeChildShape(void *c,void* p0) {
	::btCompoundShape *o = (::btCompoundShape*)c;
	::btCollisionShape * tp0 = (::btCollisionShape *)p0;
	o->removeChildShape(tp0);
}

// ::btCompoundShapeChild
//constructor: btCompoundShapeChild  ( ::btCompoundShapeChild::* )(  ) 
void* btCompoundShapeChild_new() {
	::btCompoundShapeChild *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCompoundShapeChild),16);
	o = new (mem)::btCompoundShapeChild();
	return (void*)o;
}
void btCompoundShapeChild_free(void *c) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	delete o;
}
//attribute: ::btScalar btCompoundShapeChild->m_childMargin
void btCompoundShapeChild_m_childMargin_set(void *c,float a) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	o->m_childMargin = a;
}
float btCompoundShapeChild_m_childMargin_get(void *c) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	return (float)(o->m_childMargin);
}

//attribute: ::btCollisionShape * btCompoundShapeChild->m_childShape
void btCompoundShapeChild_m_childShape_set(void *c,void* a) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	::btCollisionShape * ta = (::btCollisionShape *)a;
	o->m_childShape = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionShape * btCompoundShapeChild->m_childShape
//attribute: int btCompoundShapeChild->m_childShapeType
void btCompoundShapeChild_m_childShapeType_set(void *c,int a) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	o->m_childShapeType = a;
}
int btCompoundShapeChild_m_childShapeType_get(void *c) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	return (int)(o->m_childShapeType);
}

//attribute: ::btDbvtNode * btCompoundShapeChild->m_node
void btCompoundShapeChild_m_node_set(void *c,void* a) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->m_node = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btCompoundShapeChild->m_node
//attribute: ::btTransform btCompoundShapeChild->m_transform
void btCompoundShapeChild_m_transform_set(void *c,float* a) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_transform = ta;
}
void btCompoundShapeChild_m_transform_get(void *c,float* a) {
	::btCompoundShapeChild *o = (::btCompoundShapeChild*)c;
	a[0]=(o->m_transform).getBasis().getRow(0).m_floats[0];a[1]=(o->m_transform).getBasis().getRow(0).m_floats[1];a[2]=(o->m_transform).getBasis().getRow(0).m_floats[2];a[3]=(o->m_transform).getBasis().getRow(1).m_floats[0];a[4]=(o->m_transform).getBasis().getRow(1).m_floats[1];a[5]=(o->m_transform).getBasis().getRow(1).m_floats[2];a[6]=(o->m_transform).getBasis().getRow(2).m_floats[0];a[7]=(o->m_transform).getBasis().getRow(2).m_floats[1];a[8]=(o->m_transform).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_transform).getOrigin().m_floats[0];a[10]=(o->m_transform).getOrigin().m_floats[1];a[11]=(o->m_transform).getOrigin().m_floats[2];
}


// ::btCompoundShapeChildData
//constructor: btCompoundShapeChildData  ( ::btCompoundShapeChildData::* )(  ) 
void* btCompoundShapeChildData_new() {
	::btCompoundShapeChildData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCompoundShapeChildData),16);
	o = new (mem)::btCompoundShapeChildData();
	return (void*)o;
}
void btCompoundShapeChildData_free(void *c) {
	::btCompoundShapeChildData *o = (::btCompoundShapeChildData*)c;
	delete o;
}
//attribute: ::btTransformFloatData btCompoundShapeChildData->m_transform
// attribute not supported: //attribute: ::btTransformFloatData btCompoundShapeChildData->m_transform
//attribute: ::btCollisionShapeData * btCompoundShapeChildData->m_childShape
void btCompoundShapeChildData_m_childShape_set(void *c,void* a) {
	::btCompoundShapeChildData *o = (::btCompoundShapeChildData*)c;
	::btCollisionShapeData * ta = (::btCollisionShapeData *)a;
	o->m_childShape = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionShapeData * btCompoundShapeChildData->m_childShape
//attribute: int btCompoundShapeChildData->m_childShapeType
void btCompoundShapeChildData_m_childShapeType_set(void *c,int a) {
	::btCompoundShapeChildData *o = (::btCompoundShapeChildData*)c;
	o->m_childShapeType = a;
}
int btCompoundShapeChildData_m_childShapeType_get(void *c) {
	::btCompoundShapeChildData *o = (::btCompoundShapeChildData*)c;
	return (int)(o->m_childShapeType);
}

//attribute: float btCompoundShapeChildData->m_childMargin
void btCompoundShapeChildData_m_childMargin_set(void *c,float a) {
	::btCompoundShapeChildData *o = (::btCompoundShapeChildData*)c;
	o->m_childMargin = a;
}
float btCompoundShapeChildData_m_childMargin_get(void *c) {
	::btCompoundShapeChildData *o = (::btCompoundShapeChildData*)c;
	return (float)(o->m_childMargin);
}


// ::btCompoundShapeData
//constructor: btCompoundShapeData  ( ::btCompoundShapeData::* )(  ) 
void* btCompoundShapeData_new() {
	::btCompoundShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCompoundShapeData),16);
	o = new (mem)::btCompoundShapeData();
	return (void*)o;
}
void btCompoundShapeData_free(void *c) {
	::btCompoundShapeData *o = (::btCompoundShapeData*)c;
	delete o;
}
//attribute: ::btCollisionShapeData btCompoundShapeData->m_collisionShapeData
// attribute not supported: //attribute: ::btCollisionShapeData btCompoundShapeData->m_collisionShapeData
//attribute: ::btCompoundShapeChildData * btCompoundShapeData->m_childShapePtr
void btCompoundShapeData_m_childShapePtr_set(void *c,void* a) {
	::btCompoundShapeData *o = (::btCompoundShapeData*)c;
	::btCompoundShapeChildData * ta = (::btCompoundShapeChildData *)a;
	o->m_childShapePtr = ta;
}
// attriibute getter not supported: //attribute: ::btCompoundShapeChildData * btCompoundShapeData->m_childShapePtr
//attribute: int btCompoundShapeData->m_numChildShapes
void btCompoundShapeData_m_numChildShapes_set(void *c,int a) {
	::btCompoundShapeData *o = (::btCompoundShapeData*)c;
	o->m_numChildShapes = a;
}
int btCompoundShapeData_m_numChildShapes_get(void *c) {
	::btCompoundShapeData *o = (::btCompoundShapeData*)c;
	return (int)(o->m_numChildShapes);
}

//attribute: float btCompoundShapeData->m_collisionMargin
void btCompoundShapeData_m_collisionMargin_set(void *c,float a) {
	::btCompoundShapeData *o = (::btCompoundShapeData*)c;
	o->m_collisionMargin = a;
}
float btCompoundShapeData_m_collisionMargin_get(void *c) {
	::btCompoundShapeData *o = (::btCompoundShapeData*)c;
	return (float)(o->m_collisionMargin);
}


// ::btConcaveShape
//method: processAllTriangles void ( ::btConcaveShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btConcaveShape_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btConcaveShape *o = (::btConcaveShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setMargin void ( ::btConcaveShape::* )( ::btScalar ) 
void btConcaveShape_setMargin(void *c,float p0) {
	::btConcaveShape *o = (::btConcaveShape*)c;
	o->setMargin(p0);
}
//method: getMargin ::btScalar ( ::btConcaveShape::* )(  ) const
float btConcaveShape_getMargin(void *c) {
	::btConcaveShape *o = (::btConcaveShape*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}

// ::btConeShape
//constructor: btConeShape  ( ::btConeShape::* )( ::btScalar,::btScalar ) 
void* btConeShape_new(float p0,float p1) {
	::btConeShape *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConeShape),16);
	o = new (mem)::btConeShape(p0,p1);
	return (void*)o;
}
void btConeShape_free(void *c) {
	::btConeShape *o = (::btConeShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btConeShape::* )( ::btScalar,::btVector3 & ) const
void btConeShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btConeShape *o = (::btConeShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: localGetSupportingVertex ::btVector3 ( ::btConeShape::* )( ::btVector3 const & ) const
void btConeShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btConeShape *o = (::btConeShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btConeShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getConeUpIndex int ( ::btConeShape::* )(  ) const
int btConeShape_getConeUpIndex(void *c) {
	::btConeShape *o = (::btConeShape*)c;
	int retVal = (int)o->getConeUpIndex();
	return retVal;
}
//method: getName char const * ( ::btConeShape::* )(  ) const
char const * btConeShape_getName(void *c) {
	::btConeShape *o = (::btConeShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getHeight ::btScalar ( ::btConeShape::* )(  ) const
float btConeShape_getHeight(void *c) {
	::btConeShape *o = (::btConeShape*)c;
	float retVal = (float)o->getHeight();
	return retVal;
}
//method: setConeUpIndex void ( ::btConeShape::* )( int ) 
void btConeShape_setConeUpIndex(void *c,int p0) {
	::btConeShape *o = (::btConeShape*)c;
	o->setConeUpIndex(p0);
}
//method: setLocalScaling void ( ::btConeShape::* )( ::btVector3 const & ) 
void btConeShape_setLocalScaling(void *c,float* p0) {
	::btConeShape *o = (::btConeShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btConeShape::* )( ::btVector3 const & ) const
void btConeShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btConeShape *o = (::btConeShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getRadius ::btScalar ( ::btConeShape::* )(  ) const
float btConeShape_getRadius(void *c) {
	::btConeShape *o = (::btConeShape*)c;
	float retVal = (float)o->getRadius();
	return retVal;
}

// ::btConeShapeX
//constructor: btConeShapeX  ( ::btConeShapeX::* )( ::btScalar,::btScalar ) 
void* btConeShapeX_new(float p0,float p1) {
	::btConeShapeX *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConeShapeX),16);
	o = new (mem)::btConeShapeX(p0,p1);
	return (void*)o;
}
void btConeShapeX_free(void *c) {
	::btConeShapeX *o = (::btConeShapeX*)c;
	delete o;
}

// ::btConeShapeZ
//constructor: btConeShapeZ  ( ::btConeShapeZ::* )( ::btScalar,::btScalar ) 
void* btConeShapeZ_new(float p0,float p1) {
	::btConeShapeZ *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConeShapeZ),16);
	o = new (mem)::btConeShapeZ(p0,p1);
	return (void*)o;
}
void btConeShapeZ_free(void *c) {
	::btConeShapeZ *o = (::btConeShapeZ*)c;
	delete o;
}

// ::btConvexHullShape
//not supported constructor: btConvexHullShape  ( ::btConvexHullShape::* )( ::btScalar const *,int,int ) 
void btConvexHullShape_free(void *c) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	delete o;
}
//method: addPoint void ( ::btConvexHullShape::* )( ::btVector3 const & ) 
void btConvexHullShape_addPoint(void *c,float* p0) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->addPoint(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: localGetSupportingVertex ::btVector3 ( ::btConvexHullShape::* )( ::btVector3 const & ) const
void btConvexHullShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btConvexHullShape::* )(  ) const
int btConvexHullShape_calculateSerializeBufferSize(void *c) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btConvexHullShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getScaledPoint ::btVector3 ( ::btConvexHullShape::* )( int ) const
void btConvexHullShape_getScaledPoint(void *c,int p0,float* ret) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getScaledPoint(p0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getNumPlanes int ( ::btConvexHullShape::* )(  ) const
int btConvexHullShape_getNumPlanes(void *c) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	int retVal = (int)o->getNumPlanes();
	return retVal;
}
//not supported method: getPoints ::btVector3 const * ( ::btConvexHullShape::* )(  ) const
//method: getNumEdges int ( ::btConvexHullShape::* )(  ) const
int btConvexHullShape_getNumEdges(void *c) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	int retVal = (int)o->getNumEdges();
	return retVal;
}
//method: getName char const * ( ::btConvexHullShape::* )(  ) const
char const * btConvexHullShape_getName(void *c) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getVertex void ( ::btConvexHullShape::* )( int,::btVector3 & ) const
void btConvexHullShape_getVertex(void *c,int p0,float* p1) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getEdge void ( ::btConvexHullShape::* )( int,::btVector3 &,::btVector3 & ) const
void btConvexHullShape_getEdge(void *c,int p0,float* p1,float* p2) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getEdge(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btConvexHullShape::* )( ::btVector3 const & ) const
void btConvexHullShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: isInside bool ( ::btConvexHullShape::* )( ::btVector3 const &,::btScalar ) const
int btConvexHullShape_isInside(void *c,float* p0,float p1) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->isInside(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getPlane void ( ::btConvexHullShape::* )( ::btVector3 &,::btVector3 &,int ) const
void btConvexHullShape_getPlane(void *c,float* p0,float* p1,int p2) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPlane(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setLocalScaling void ( ::btConvexHullShape::* )( ::btVector3 const & ) 
void btConvexHullShape_setLocalScaling(void *c,float* p0) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getNumVertices int ( ::btConvexHullShape::* )(  ) const
int btConvexHullShape_getNumVertices(void *c) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	int retVal = (int)o->getNumVertices();
	return retVal;
}
//not supported method: serialize char const * ( ::btConvexHullShape::* )( void *,::btSerializer * ) const
//method: getNumPoints int ( ::btConvexHullShape::* )(  ) const
int btConvexHullShape_getNumPoints(void *c) {
	::btConvexHullShape *o = (::btConvexHullShape*)c;
	int retVal = (int)o->getNumPoints();
	return retVal;
}
//not supported method: getUnscaledPoints ::btVector3 * ( ::btConvexHullShape::* )(  ) 
//not supported method: getUnscaledPoints ::btVector3 * ( ::btConvexHullShape::* )(  ) 
//not supported method: getUnscaledPoints ::btVector3 const * ( ::btConvexHullShape::* )(  ) const

// ::btConvexHullShapeData
//constructor: btConvexHullShapeData  ( ::btConvexHullShapeData::* )(  ) 
void* btConvexHullShapeData_new() {
	::btConvexHullShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConvexHullShapeData),16);
	o = new (mem)::btConvexHullShapeData();
	return (void*)o;
}
void btConvexHullShapeData_free(void *c) {
	::btConvexHullShapeData *o = (::btConvexHullShapeData*)c;
	delete o;
}
//attribute: ::btConvexInternalShapeData btConvexHullShapeData->m_convexInternalShapeData
// attribute not supported: //attribute: ::btConvexInternalShapeData btConvexHullShapeData->m_convexInternalShapeData
//attribute: ::btVector3FloatData * btConvexHullShapeData->m_unscaledPointsFloatPtr
void btConvexHullShapeData_m_unscaledPointsFloatPtr_set(void *c,void* a) {
	::btConvexHullShapeData *o = (::btConvexHullShapeData*)c;
	::btVector3FloatData * ta = (::btVector3FloatData *)a;
	o->m_unscaledPointsFloatPtr = ta;
}
// attriibute getter not supported: //attribute: ::btVector3FloatData * btConvexHullShapeData->m_unscaledPointsFloatPtr
//attribute: ::btVector3DoubleData * btConvexHullShapeData->m_unscaledPointsDoublePtr
void btConvexHullShapeData_m_unscaledPointsDoublePtr_set(void *c,void* a) {
	::btConvexHullShapeData *o = (::btConvexHullShapeData*)c;
	::btVector3DoubleData * ta = (::btVector3DoubleData *)a;
	o->m_unscaledPointsDoublePtr = ta;
}
// attriibute getter not supported: //attribute: ::btVector3DoubleData * btConvexHullShapeData->m_unscaledPointsDoublePtr
//attribute: int btConvexHullShapeData->m_numUnscaledPoints
void btConvexHullShapeData_m_numUnscaledPoints_set(void *c,int a) {
	::btConvexHullShapeData *o = (::btConvexHullShapeData*)c;
	o->m_numUnscaledPoints = a;
}
int btConvexHullShapeData_m_numUnscaledPoints_get(void *c) {
	::btConvexHullShapeData *o = (::btConvexHullShapeData*)c;
	return (int)(o->m_numUnscaledPoints);
}

//attribute: char[4] btConvexHullShapeData->m_padding3
// attribute not supported: //attribute: char[4] btConvexHullShapeData->m_padding3

// ::btConvexInternalAabbCachingShape
//method: recalcLocalAabb void ( ::btConvexInternalAabbCachingShape::* )(  ) 
void btConvexInternalAabbCachingShape_recalcLocalAabb(void *c) {
	::btConvexInternalAabbCachingShape *o = (::btConvexInternalAabbCachingShape*)c;
	o->recalcLocalAabb();
}
//method: setLocalScaling void ( ::btConvexInternalAabbCachingShape::* )( ::btVector3 const & ) 
void btConvexInternalAabbCachingShape_setLocalScaling(void *c,float* p0) {
	::btConvexInternalAabbCachingShape *o = (::btConvexInternalAabbCachingShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabb void ( ::btConvexInternalAabbCachingShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btConvexInternalAabbCachingShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btConvexInternalAabbCachingShape *o = (::btConvexInternalAabbCachingShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btConvexInternalShape
//method: localGetSupportingVertex ::btVector3 ( ::btConvexInternalShape::* )( ::btVector3 const & ) const
void btConvexInternalShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btConvexInternalShape::* )(  ) const
int btConvexInternalShape_calculateSerializeBufferSize(void *c) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getImplicitShapeDimensions ::btVector3 const & ( ::btConvexInternalShape::* )(  ) const
void btConvexInternalShape_getImplicitShapeDimensions(void *c,float* ret) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getImplicitShapeDimensions();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: serialize char const * ( ::btConvexInternalShape::* )( void *,::btSerializer * ) const
//method: getLocalScalingNV ::btVector3 const & ( ::btConvexInternalShape::* )(  ) const
void btConvexInternalShape_getLocalScalingNV(void *c,float* ret) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScalingNV();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAabbSlow void ( ::btConvexInternalShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btConvexInternalShape_getAabbSlow(void *c,float* p0,float* p1,float* p2) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabbSlow(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getLocalScaling ::btVector3 const & ( ::btConvexInternalShape::* )(  ) const
void btConvexInternalShape_getLocalScaling(void *c,float* ret) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getPreferredPenetrationDirection void ( ::btConvexInternalShape::* )( int,::btVector3 & ) const
void btConvexInternalShape_getPreferredPenetrationDirection(void *c,int p0,float* p1) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPreferredPenetrationDirection(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setLocalScaling void ( ::btConvexInternalShape::* )( ::btVector3 const & ) 
void btConvexInternalShape_setLocalScaling(void *c,float* p0) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getNumPreferredPenetrationDirections int ( ::btConvexInternalShape::* )(  ) const
int btConvexInternalShape_getNumPreferredPenetrationDirections(void *c) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	int retVal = (int)o->getNumPreferredPenetrationDirections();
	return retVal;
}
//method: getAabb void ( ::btConvexInternalShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btConvexInternalShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setMargin void ( ::btConvexInternalShape::* )( ::btScalar ) 
void btConvexInternalShape_setMargin(void *c,float p0) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	o->setMargin(p0);
}
//method: getMarginNV ::btScalar ( ::btConvexInternalShape::* )(  ) const
float btConvexInternalShape_getMarginNV(void *c) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	float retVal = (float)o->getMarginNV();
	return retVal;
}
//method: getMargin ::btScalar ( ::btConvexInternalShape::* )(  ) const
float btConvexInternalShape_getMargin(void *c) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}
//method: setImplicitShapeDimensions void ( ::btConvexInternalShape::* )( ::btVector3 const & ) 
void btConvexInternalShape_setImplicitShapeDimensions(void *c,float* p0) {
	::btConvexInternalShape *o = (::btConvexInternalShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setImplicitShapeDimensions(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}

// ::btConvexInternalShapeData
//constructor: btConvexInternalShapeData  ( ::btConvexInternalShapeData::* )(  ) 
void* btConvexInternalShapeData_new() {
	::btConvexInternalShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConvexInternalShapeData),16);
	o = new (mem)::btConvexInternalShapeData();
	return (void*)o;
}
void btConvexInternalShapeData_free(void *c) {
	::btConvexInternalShapeData *o = (::btConvexInternalShapeData*)c;
	delete o;
}
//attribute: float btConvexInternalShapeData->m_collisionMargin
void btConvexInternalShapeData_m_collisionMargin_set(void *c,float a) {
	::btConvexInternalShapeData *o = (::btConvexInternalShapeData*)c;
	o->m_collisionMargin = a;
}
float btConvexInternalShapeData_m_collisionMargin_get(void *c) {
	::btConvexInternalShapeData *o = (::btConvexInternalShapeData*)c;
	return (float)(o->m_collisionMargin);
}

//attribute: ::btCollisionShapeData btConvexInternalShapeData->m_collisionShapeData
// attribute not supported: //attribute: ::btCollisionShapeData btConvexInternalShapeData->m_collisionShapeData
//attribute: ::btVector3FloatData btConvexInternalShapeData->m_implicitShapeDimensions
// attribute not supported: //attribute: ::btVector3FloatData btConvexInternalShapeData->m_implicitShapeDimensions
//attribute: ::btVector3FloatData btConvexInternalShapeData->m_localScaling
// attribute not supported: //attribute: ::btVector3FloatData btConvexInternalShapeData->m_localScaling
//attribute: int btConvexInternalShapeData->m_padding
void btConvexInternalShapeData_m_padding_set(void *c,int a) {
	::btConvexInternalShapeData *o = (::btConvexInternalShapeData*)c;
	o->m_padding = a;
}
int btConvexInternalShapeData_m_padding_get(void *c) {
	::btConvexInternalShapeData *o = (::btConvexInternalShapeData*)c;
	return (int)(o->m_padding);
}


// ::btConvexShape
//method: getAabbNonVirtual void ( ::btConvexShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btConvexShape_getAabbNonVirtual(void *c,float* p0,float* p1,float* p2) {
	::btConvexShape *o = (::btConvexShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabbNonVirtual(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: localGetSupportingVertex ::btVector3 ( ::btConvexShape::* )( ::btVector3 const & ) const
void btConvexShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btConvexShape *o = (::btConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btConvexShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getMargin ::btScalar ( ::btConvexShape::* )(  ) const
float btConvexShape_getMargin(void *c) {
	::btConvexShape *o = (::btConvexShape*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}
//method: localGetSupportVertexWithoutMarginNonVirtual ::btVector3 ( ::btConvexShape::* )( ::btVector3 const & ) const
void btConvexShape_localGetSupportVertexWithoutMarginNonVirtual(void *c,float* p0,float* ret) {
	::btConvexShape *o = (::btConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportVertexWithoutMarginNonVirtual(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getLocalScaling ::btVector3 const & ( ::btConvexShape::* )(  ) const
void btConvexShape_getLocalScaling(void *c,float* ret) {
	::btConvexShape *o = (::btConvexShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getPreferredPenetrationDirection void ( ::btConvexShape::* )( int,::btVector3 & ) const
void btConvexShape_getPreferredPenetrationDirection(void *c,int p0,float* p1) {
	::btConvexShape *o = (::btConvexShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPreferredPenetrationDirection(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setLocalScaling void ( ::btConvexShape::* )( ::btVector3 const & ) 
void btConvexShape_setLocalScaling(void *c,float* p0) {
	::btConvexShape *o = (::btConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabbSlow void ( ::btConvexShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btConvexShape_getAabbSlow(void *c,float* p0,float* p1,float* p2) {
	::btConvexShape *o = (::btConvexShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabbSlow(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getAabb void ( ::btConvexShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btConvexShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btConvexShape *o = (::btConvexShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setMargin void ( ::btConvexShape::* )( ::btScalar ) 
void btConvexShape_setMargin(void *c,float p0) {
	::btConvexShape *o = (::btConvexShape*)c;
	o->setMargin(p0);
}
//method: getNumPreferredPenetrationDirections int ( ::btConvexShape::* )(  ) const
int btConvexShape_getNumPreferredPenetrationDirections(void *c) {
	::btConvexShape *o = (::btConvexShape*)c;
	int retVal = (int)o->getNumPreferredPenetrationDirections();
	return retVal;
}
//method: localGetSupportVertexNonVirtual ::btVector3 ( ::btConvexShape::* )( ::btVector3 const & ) const
void btConvexShape_localGetSupportVertexNonVirtual(void *c,float* p0,float* ret) {
	::btConvexShape *o = (::btConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportVertexNonVirtual(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btConvexShape::* )( ::btVector3 const & ) const
void btConvexShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btConvexShape *o = (::btConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getMarginNonVirtual ::btScalar ( ::btConvexShape::* )(  ) const
float btConvexShape_getMarginNonVirtual(void *c) {
	::btConvexShape *o = (::btConvexShape*)c;
	float retVal = (float)o->getMarginNonVirtual();
	return retVal;
}

// ::btConvexTriangleMeshShape
//constructor: btConvexTriangleMeshShape  ( ::btConvexTriangleMeshShape::* )( ::btStridingMeshInterface *,bool ) 
void* btConvexTriangleMeshShape_new(void* p0,int p1) {
	::btConvexTriangleMeshShape *o = 0;
	 void *mem = 0;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	mem = btAlignedAlloc(sizeof(::btConvexTriangleMeshShape),16);
	o = new (mem)::btConvexTriangleMeshShape(tp0,p1);
	return (void*)o;
}
void btConvexTriangleMeshShape_free(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	delete o;
}
//method: getNumPlanes int ( ::btConvexTriangleMeshShape::* )(  ) const
int btConvexTriangleMeshShape_getNumPlanes(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	int retVal = (int)o->getNumPlanes();
	return retVal;
}
//method: localGetSupportingVertex ::btVector3 ( ::btConvexTriangleMeshShape::* )( ::btVector3 const & ) const
void btConvexTriangleMeshShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btConvexTriangleMeshShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getNumEdges int ( ::btConvexTriangleMeshShape::* )(  ) const
int btConvexTriangleMeshShape_getNumEdges(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	int retVal = (int)o->getNumEdges();
	return retVal;
}
//method: getName char const * ( ::btConvexTriangleMeshShape::* )(  ) const
char const * btConvexTriangleMeshShape_getName(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getVertex void ( ::btConvexTriangleMeshShape::* )( int,::btVector3 & ) const
void btConvexTriangleMeshShape_getVertex(void *c,int p0,float* p1) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getEdge void ( ::btConvexTriangleMeshShape::* )( int,::btVector3 &,::btVector3 & ) const
void btConvexTriangleMeshShape_getEdge(void *c,int p0,float* p1,float* p2) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getEdge(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getLocalScaling ::btVector3 const & ( ::btConvexTriangleMeshShape::* )(  ) const
void btConvexTriangleMeshShape_getLocalScaling(void *c,float* ret) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: isInside bool ( ::btConvexTriangleMeshShape::* )( ::btVector3 const &,::btScalar ) const
int btConvexTriangleMeshShape_isInside(void *c,float* p0,float p1) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->isInside(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getPlane void ( ::btConvexTriangleMeshShape::* )( ::btVector3 &,::btVector3 &,int ) const
void btConvexTriangleMeshShape_getPlane(void *c,float* p0,float* p1,int p2) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPlane(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setLocalScaling void ( ::btConvexTriangleMeshShape::* )( ::btVector3 const & ) 
void btConvexTriangleMeshShape_setLocalScaling(void *c,float* p0) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getMeshInterface ::btStridingMeshInterface * ( ::btConvexTriangleMeshShape::* )(  ) 
void* btConvexTriangleMeshShape_getMeshInterface(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getMeshInterface ::btStridingMeshInterface * ( ::btConvexTriangleMeshShape::* )(  ) 
void* btConvexTriangleMeshShape_getMeshInterface0(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getMeshInterface ::btStridingMeshInterface const * ( ::btConvexTriangleMeshShape::* )(  ) const
void* btConvexTriangleMeshShape_getMeshInterface1(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getNumVertices int ( ::btConvexTriangleMeshShape::* )(  ) const
int btConvexTriangleMeshShape_getNumVertices(void *c) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	int retVal = (int)o->getNumVertices();
	return retVal;
}
//not supported method: calculatePrincipalAxisTransform void ( ::btConvexTriangleMeshShape::* )( ::btTransform &,::btVector3 &,::btScalar & ) const
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btConvexTriangleMeshShape::* )( ::btVector3 const & ) const
void btConvexTriangleMeshShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btConvexTriangleMeshShape *o = (::btConvexTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}

// ::btCylinderShape
//constructor: btCylinderShape  ( ::btCylinderShape::* )( ::btVector3 const & ) 
void* btCylinderShape_new(float* p0) {
	::btCylinderShape *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	mem = btAlignedAlloc(sizeof(::btCylinderShape),16);
	o = new (mem)::btCylinderShape(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return (void*)o;
}
void btCylinderShape_free(void *c) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btCylinderShape::* )( ::btScalar,::btVector3 & ) const
void btCylinderShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: localGetSupportingVertex ::btVector3 ( ::btCylinderShape::* )( ::btVector3 const & ) const
void btCylinderShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btCylinderShape::* )(  ) const
int btCylinderShape_calculateSerializeBufferSize(void *c) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btCylinderShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: setLocalScaling void ( ::btCylinderShape::* )( ::btVector3 const & ) 
void btCylinderShape_setLocalScaling(void *c,float* p0) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getUpAxis int ( ::btCylinderShape::* )(  ) const
int btCylinderShape_getUpAxis(void *c) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	int retVal = (int)o->getUpAxis();
	return retVal;
}
//method: getName char const * ( ::btCylinderShape::* )(  ) const
char const * btCylinderShape_getName(void *c) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//not supported method: serialize char const * ( ::btCylinderShape::* )( void *,::btSerializer * ) const
//method: getHalfExtentsWithoutMargin ::btVector3 const & ( ::btCylinderShape::* )(  ) const
void btCylinderShape_getHalfExtentsWithoutMargin(void *c,float* ret) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getHalfExtentsWithoutMargin();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getAabb void ( ::btCylinderShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btCylinderShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setMargin void ( ::btCylinderShape::* )( ::btScalar ) 
void btCylinderShape_setMargin(void *c,float p0) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	o->setMargin(p0);
}
//method: getHalfExtentsWithMargin ::btVector3 ( ::btCylinderShape::* )(  ) const
void btCylinderShape_getHalfExtentsWithMargin(void *c,float* ret) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getHalfExtentsWithMargin();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btCylinderShape::* )( ::btVector3 const & ) const
void btCylinderShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getRadius ::btScalar ( ::btCylinderShape::* )(  ) const
float btCylinderShape_getRadius(void *c) {
	::btCylinderShape *o = (::btCylinderShape*)c;
	float retVal = (float)o->getRadius();
	return retVal;
}

// ::btCylinderShapeData
//constructor: btCylinderShapeData  ( ::btCylinderShapeData::* )(  ) 
void* btCylinderShapeData_new() {
	::btCylinderShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCylinderShapeData),16);
	o = new (mem)::btCylinderShapeData();
	return (void*)o;
}
void btCylinderShapeData_free(void *c) {
	::btCylinderShapeData *o = (::btCylinderShapeData*)c;
	delete o;
}
//attribute: ::btConvexInternalShapeData btCylinderShapeData->m_convexInternalShapeData
// attribute not supported: //attribute: ::btConvexInternalShapeData btCylinderShapeData->m_convexInternalShapeData
//attribute: int btCylinderShapeData->m_upAxis
void btCylinderShapeData_m_upAxis_set(void *c,int a) {
	::btCylinderShapeData *o = (::btCylinderShapeData*)c;
	o->m_upAxis = a;
}
int btCylinderShapeData_m_upAxis_get(void *c) {
	::btCylinderShapeData *o = (::btCylinderShapeData*)c;
	return (int)(o->m_upAxis);
}

//attribute: char[4] btCylinderShapeData->m_padding
// attribute not supported: //attribute: char[4] btCylinderShapeData->m_padding

// ::btCylinderShapeX
//constructor: btCylinderShapeX  ( ::btCylinderShapeX::* )( ::btVector3 const & ) 
void* btCylinderShapeX_new(float* p0) {
	::btCylinderShapeX *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	mem = btAlignedAlloc(sizeof(::btCylinderShapeX),16);
	o = new (mem)::btCylinderShapeX(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return (void*)o;
}
void btCylinderShapeX_free(void *c) {
	::btCylinderShapeX *o = (::btCylinderShapeX*)c;
	delete o;
}
//method: getName char const * ( ::btCylinderShapeX::* )(  ) const
char const * btCylinderShapeX_getName(void *c) {
	::btCylinderShapeX *o = (::btCylinderShapeX*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btCylinderShapeX::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btCylinderShapeX::* )( ::btVector3 const & ) const
void btCylinderShapeX_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btCylinderShapeX *o = (::btCylinderShapeX*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getRadius ::btScalar ( ::btCylinderShapeX::* )(  ) const
float btCylinderShapeX_getRadius(void *c) {
	::btCylinderShapeX *o = (::btCylinderShapeX*)c;
	float retVal = (float)o->getRadius();
	return retVal;
}

// ::btCylinderShapeZ
//constructor: btCylinderShapeZ  ( ::btCylinderShapeZ::* )( ::btVector3 const & ) 
void* btCylinderShapeZ_new(float* p0) {
	::btCylinderShapeZ *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	mem = btAlignedAlloc(sizeof(::btCylinderShapeZ),16);
	o = new (mem)::btCylinderShapeZ(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return (void*)o;
}
void btCylinderShapeZ_free(void *c) {
	::btCylinderShapeZ *o = (::btCylinderShapeZ*)c;
	delete o;
}
//method: getName char const * ( ::btCylinderShapeZ::* )(  ) const
char const * btCylinderShapeZ_getName(void *c) {
	::btCylinderShapeZ *o = (::btCylinderShapeZ*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btCylinderShapeZ::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btCylinderShapeZ::* )( ::btVector3 const & ) const
void btCylinderShapeZ_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btCylinderShapeZ *o = (::btCylinderShapeZ*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getRadius ::btScalar ( ::btCylinderShapeZ::* )(  ) const
float btCylinderShapeZ_getRadius(void *c) {
	::btCylinderShapeZ *o = (::btCylinderShapeZ*)c;
	float retVal = (float)o->getRadius();
	return retVal;
}

// ::btEmptyShape
//constructor: btEmptyShape  ( ::btEmptyShape::* )(  ) 
void* btEmptyShape_new() {
	::btEmptyShape *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btEmptyShape),16);
	o = new (mem)::btEmptyShape();
	return (void*)o;
}
void btEmptyShape_free(void *c) {
	::btEmptyShape *o = (::btEmptyShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btEmptyShape::* )( ::btScalar,::btVector3 & ) const
void btEmptyShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btEmptyShape *o = (::btEmptyShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getName char const * ( ::btEmptyShape::* )(  ) const
char const * btEmptyShape_getName(void *c) {
	::btEmptyShape *o = (::btEmptyShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getLocalScaling ::btVector3 const & ( ::btEmptyShape::* )(  ) const
void btEmptyShape_getLocalScaling(void *c,float* ret) {
	::btEmptyShape *o = (::btEmptyShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setLocalScaling void ( ::btEmptyShape::* )( ::btVector3 const & ) 
void btEmptyShape_setLocalScaling(void *c,float* p0) {
	::btEmptyShape *o = (::btEmptyShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabb void ( ::btEmptyShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btEmptyShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btEmptyShape *o = (::btEmptyShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: processAllTriangles void ( ::btEmptyShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btEmptyShape_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btEmptyShape *o = (::btEmptyShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btIndexedMesh
//constructor: btIndexedMesh  ( ::btIndexedMesh::* )(  ) 
void* btIndexedMesh_new() {
	::btIndexedMesh *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btIndexedMesh),16);
	o = new (mem)::btIndexedMesh();
	return (void*)o;
}
void btIndexedMesh_free(void *c) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	delete o;
}
//attribute: int btIndexedMesh->m_numTriangles
void btIndexedMesh_m_numTriangles_set(void *c,int a) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	o->m_numTriangles = a;
}
int btIndexedMesh_m_numTriangles_get(void *c) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	return (int)(o->m_numTriangles);
}

//attribute: unsigned char const * btIndexedMesh->m_triangleIndexBase
// attribute not supported: //attribute: unsigned char const * btIndexedMesh->m_triangleIndexBase
//attribute: int btIndexedMesh->m_triangleIndexStride
void btIndexedMesh_m_triangleIndexStride_set(void *c,int a) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	o->m_triangleIndexStride = a;
}
int btIndexedMesh_m_triangleIndexStride_get(void *c) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	return (int)(o->m_triangleIndexStride);
}

//attribute: int btIndexedMesh->m_numVertices
void btIndexedMesh_m_numVertices_set(void *c,int a) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	o->m_numVertices = a;
}
int btIndexedMesh_m_numVertices_get(void *c) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	return (int)(o->m_numVertices);
}

//attribute: unsigned char const * btIndexedMesh->m_vertexBase
// attribute not supported: //attribute: unsigned char const * btIndexedMesh->m_vertexBase
//attribute: int btIndexedMesh->m_vertexStride
void btIndexedMesh_m_vertexStride_set(void *c,int a) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	o->m_vertexStride = a;
}
int btIndexedMesh_m_vertexStride_get(void *c) {
	::btIndexedMesh *o = (::btIndexedMesh*)c;
	return (int)(o->m_vertexStride);
}

//attribute: ::PHY_ScalarType btIndexedMesh->m_indexType
// attribute not supported: //attribute: ::PHY_ScalarType btIndexedMesh->m_indexType
//attribute: ::PHY_ScalarType btIndexedMesh->m_vertexType
// attribute not supported: //attribute: ::PHY_ScalarType btIndexedMesh->m_vertexType

// ::btIntIndexData
//constructor: btIntIndexData  ( ::btIntIndexData::* )(  ) 
void* btIntIndexData_new() {
	::btIntIndexData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btIntIndexData),16);
	o = new (mem)::btIntIndexData();
	return (void*)o;
}
void btIntIndexData_free(void *c) {
	::btIntIndexData *o = (::btIntIndexData*)c;
	delete o;
}
//attribute: int btIntIndexData->m_value
void btIntIndexData_m_value_set(void *c,int a) {
	::btIntIndexData *o = (::btIntIndexData*)c;
	o->m_value = a;
}
int btIntIndexData_m_value_get(void *c) {
	::btIntIndexData *o = (::btIntIndexData*)c;
	return (int)(o->m_value);
}


// ::btInternalTriangleIndexCallback
//not supported method: internalProcessTriangleIndex void ( ::btInternalTriangleIndexCallback::* )( ::btVector3 *,int,int ) 

// ::btMeshPartData
//constructor: btMeshPartData  ( ::btMeshPartData::* )(  ) 
void* btMeshPartData_new() {
	::btMeshPartData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btMeshPartData),16);
	o = new (mem)::btMeshPartData();
	return (void*)o;
}
void btMeshPartData_free(void *c) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	delete o;
}
//attribute: ::btVector3FloatData * btMeshPartData->m_vertices3f
void btMeshPartData_m_vertices3f_set(void *c,void* a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	::btVector3FloatData * ta = (::btVector3FloatData *)a;
	o->m_vertices3f = ta;
}
// attriibute getter not supported: //attribute: ::btVector3FloatData * btMeshPartData->m_vertices3f
//attribute: ::btVector3DoubleData * btMeshPartData->m_vertices3d
void btMeshPartData_m_vertices3d_set(void *c,void* a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	::btVector3DoubleData * ta = (::btVector3DoubleData *)a;
	o->m_vertices3d = ta;
}
// attriibute getter not supported: //attribute: ::btVector3DoubleData * btMeshPartData->m_vertices3d
//attribute: ::btIntIndexData * btMeshPartData->m_indices32
void btMeshPartData_m_indices32_set(void *c,void* a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	::btIntIndexData * ta = (::btIntIndexData *)a;
	o->m_indices32 = ta;
}
// attriibute getter not supported: //attribute: ::btIntIndexData * btMeshPartData->m_indices32
//attribute: ::btShortIntIndexTripletData * btMeshPartData->m_3indices16
void btMeshPartData_m_3indices16_set(void *c,void* a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	::btShortIntIndexTripletData * ta = (::btShortIntIndexTripletData *)a;
	o->m_3indices16 = ta;
}
// attriibute getter not supported: //attribute: ::btShortIntIndexTripletData * btMeshPartData->m_3indices16
//attribute: ::btCharIndexTripletData * btMeshPartData->m_3indices8
void btMeshPartData_m_3indices8_set(void *c,void* a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	::btCharIndexTripletData * ta = (::btCharIndexTripletData *)a;
	o->m_3indices8 = ta;
}
// attriibute getter not supported: //attribute: ::btCharIndexTripletData * btMeshPartData->m_3indices8
//attribute: ::btShortIntIndexData * btMeshPartData->m_indices16
void btMeshPartData_m_indices16_set(void *c,void* a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	::btShortIntIndexData * ta = (::btShortIntIndexData *)a;
	o->m_indices16 = ta;
}
// attriibute getter not supported: //attribute: ::btShortIntIndexData * btMeshPartData->m_indices16
//attribute: int btMeshPartData->m_numTriangles
void btMeshPartData_m_numTriangles_set(void *c,int a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	o->m_numTriangles = a;
}
int btMeshPartData_m_numTriangles_get(void *c) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	return (int)(o->m_numTriangles);
}

//attribute: int btMeshPartData->m_numVertices
void btMeshPartData_m_numVertices_set(void *c,int a) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	o->m_numVertices = a;
}
int btMeshPartData_m_numVertices_get(void *c) {
	::btMeshPartData *o = (::btMeshPartData*)c;
	return (int)(o->m_numVertices);
}


// ::btMultiSphereShape
//not supported constructor: btMultiSphereShape  ( ::btMultiSphereShape::* )( ::btVector3 const *,::btScalar const *,int ) 
void btMultiSphereShape_free(void *c) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btMultiSphereShape::* )( ::btScalar,::btVector3 & ) const
void btMultiSphereShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btMultiSphereShape::* )(  ) const
int btMultiSphereShape_calculateSerializeBufferSize(void *c) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btMultiSphereShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getSphereCount int ( ::btMultiSphereShape::* )(  ) const
int btMultiSphereShape_getSphereCount(void *c) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	int retVal = (int)o->getSphereCount();
	return retVal;
}
//method: getName char const * ( ::btMultiSphereShape::* )(  ) const
char const * btMultiSphereShape_getName(void *c) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//not supported method: serialize char const * ( ::btMultiSphereShape::* )( void *,::btSerializer * ) const
//method: getSpherePosition ::btVector3 const & ( ::btMultiSphereShape::* )( int ) const
void btMultiSphereShape_getSpherePosition(void *c,int p0,float* ret) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getSpherePosition(p0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getSphereRadius ::btScalar ( ::btMultiSphereShape::* )( int ) const
float btMultiSphereShape_getSphereRadius(void *c,int p0) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	float retVal = (float)o->getSphereRadius(p0);
	return retVal;
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btMultiSphereShape::* )( ::btVector3 const & ) const
void btMultiSphereShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btMultiSphereShape *o = (::btMultiSphereShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}

// ::btMultiSphereShapeData
//constructor: btMultiSphereShapeData  ( ::btMultiSphereShapeData::* )(  ) 
void* btMultiSphereShapeData_new() {
	::btMultiSphereShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btMultiSphereShapeData),16);
	o = new (mem)::btMultiSphereShapeData();
	return (void*)o;
}
void btMultiSphereShapeData_free(void *c) {
	::btMultiSphereShapeData *o = (::btMultiSphereShapeData*)c;
	delete o;
}
//attribute: ::btConvexInternalShapeData btMultiSphereShapeData->m_convexInternalShapeData
// attribute not supported: //attribute: ::btConvexInternalShapeData btMultiSphereShapeData->m_convexInternalShapeData
//attribute: ::btPositionAndRadius * btMultiSphereShapeData->m_localPositionArrayPtr
void btMultiSphereShapeData_m_localPositionArrayPtr_set(void *c,void* a) {
	::btMultiSphereShapeData *o = (::btMultiSphereShapeData*)c;
	::btPositionAndRadius * ta = (::btPositionAndRadius *)a;
	o->m_localPositionArrayPtr = ta;
}
// attriibute getter not supported: //attribute: ::btPositionAndRadius * btMultiSphereShapeData->m_localPositionArrayPtr
//attribute: int btMultiSphereShapeData->m_localPositionArraySize
void btMultiSphereShapeData_m_localPositionArraySize_set(void *c,int a) {
	::btMultiSphereShapeData *o = (::btMultiSphereShapeData*)c;
	o->m_localPositionArraySize = a;
}
int btMultiSphereShapeData_m_localPositionArraySize_get(void *c) {
	::btMultiSphereShapeData *o = (::btMultiSphereShapeData*)c;
	return (int)(o->m_localPositionArraySize);
}

//attribute: char[4] btMultiSphereShapeData->m_padding
// attribute not supported: //attribute: char[4] btMultiSphereShapeData->m_padding

// ::btOptimizedBvh
//constructor: btOptimizedBvh  ( ::btOptimizedBvh::* )(  ) 
void* btOptimizedBvh_new() {
	::btOptimizedBvh *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btOptimizedBvh),16);
	o = new (mem)::btOptimizedBvh();
	return (void*)o;
}
void btOptimizedBvh_free(void *c) {
	::btOptimizedBvh *o = (::btOptimizedBvh*)c;
	delete o;
}
//method: updateBvhNodes void ( ::btOptimizedBvh::* )( ::btStridingMeshInterface *,int,int,int ) 
void btOptimizedBvh_updateBvhNodes(void *c,void* p0,int p1,int p2,int p3) {
	::btOptimizedBvh *o = (::btOptimizedBvh*)c;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	o->updateBvhNodes(tp0,p1,p2,p3);
}
//not supported method: serializeInPlace bool ( ::btOptimizedBvh::* )( void *,unsigned int,bool ) const
//method: refit void ( ::btOptimizedBvh::* )( ::btStridingMeshInterface *,::btVector3 const &,::btVector3 const & ) 
void btOptimizedBvh_refit(void *c,void* p0,float* p1,float* p2) {
	::btOptimizedBvh *o = (::btOptimizedBvh*)c;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->refit(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: build void ( ::btOptimizedBvh::* )( ::btStridingMeshInterface *,bool,::btVector3 const &,::btVector3 const & ) 
void btOptimizedBvh_build(void *c,void* p0,int p1,float* p2,float* p3) {
	::btOptimizedBvh *o = (::btOptimizedBvh*)c;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->build(tp0,p1,tp2,tp3);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: refitPartial void ( ::btOptimizedBvh::* )( ::btStridingMeshInterface *,::btVector3 const &,::btVector3 const & ) 
void btOptimizedBvh_refitPartial(void *c,void* p0,float* p1,float* p2) {
	::btOptimizedBvh *o = (::btOptimizedBvh*)c;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->refitPartial(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//not supported method: deSerializeInPlace ::btOptimizedBvh * (*)( void *,unsigned int,bool )

// ::btPolyhedralConvexAabbCachingShape
//method: recalcLocalAabb void ( ::btPolyhedralConvexAabbCachingShape::* )(  ) 
void btPolyhedralConvexAabbCachingShape_recalcLocalAabb(void *c) {
	::btPolyhedralConvexAabbCachingShape *o = (::btPolyhedralConvexAabbCachingShape*)c;
	o->recalcLocalAabb();
}
//method: setLocalScaling void ( ::btPolyhedralConvexAabbCachingShape::* )( ::btVector3 const & ) 
void btPolyhedralConvexAabbCachingShape_setLocalScaling(void *c,float* p0) {
	::btPolyhedralConvexAabbCachingShape *o = (::btPolyhedralConvexAabbCachingShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getNonvirtualAabb void ( ::btPolyhedralConvexAabbCachingShape::* )( ::btTransform const &,::btVector3 &,::btVector3 &,::btScalar ) const
void btPolyhedralConvexAabbCachingShape_getNonvirtualAabb(void *c,float* p0,float* p1,float* p2,float p3) {
	::btPolyhedralConvexAabbCachingShape *o = (::btPolyhedralConvexAabbCachingShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getNonvirtualAabb(tp0,tp1,tp2,p3);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getAabb void ( ::btPolyhedralConvexAabbCachingShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btPolyhedralConvexAabbCachingShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btPolyhedralConvexAabbCachingShape *o = (::btPolyhedralConvexAabbCachingShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btPolyhedralConvexShape
//method: calculateLocalInertia void ( ::btPolyhedralConvexShape::* )( ::btScalar,::btVector3 & ) const
void btPolyhedralConvexShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getNumPlanes int ( ::btPolyhedralConvexShape::* )(  ) const
int btPolyhedralConvexShape_getNumPlanes(void *c) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	int retVal = (int)o->getNumPlanes();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btPolyhedralConvexShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getNumEdges int ( ::btPolyhedralConvexShape::* )(  ) const
int btPolyhedralConvexShape_getNumEdges(void *c) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	int retVal = (int)o->getNumEdges();
	return retVal;
}
//method: getVertex void ( ::btPolyhedralConvexShape::* )( int,::btVector3 & ) const
void btPolyhedralConvexShape_getVertex(void *c,int p0,float* p1) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getEdge void ( ::btPolyhedralConvexShape::* )( int,::btVector3 &,::btVector3 & ) const
void btPolyhedralConvexShape_getEdge(void *c,int p0,float* p1,float* p2) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getEdge(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: isInside bool ( ::btPolyhedralConvexShape::* )( ::btVector3 const &,::btScalar ) const
int btPolyhedralConvexShape_isInside(void *c,float* p0,float p1) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->isInside(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getPlane void ( ::btPolyhedralConvexShape::* )( ::btVector3 &,::btVector3 &,int ) const
void btPolyhedralConvexShape_getPlane(void *c,float* p0,float* p1,int p2) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPlane(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: getConvexPolyhedron ::btConvexPolyhedron const * ( ::btPolyhedralConvexShape::* )(  ) const
//method: initializePolyhedralFeatures bool ( ::btPolyhedralConvexShape::* )(  ) 
int btPolyhedralConvexShape_initializePolyhedralFeatures(void *c) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	int retVal = (int)o->initializePolyhedralFeatures();
	return retVal;
}
//method: getNumVertices int ( ::btPolyhedralConvexShape::* )(  ) const
int btPolyhedralConvexShape_getNumVertices(void *c) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	int retVal = (int)o->getNumVertices();
	return retVal;
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btPolyhedralConvexShape::* )( ::btVector3 const & ) const
void btPolyhedralConvexShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btPolyhedralConvexShape *o = (::btPolyhedralConvexShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}

// ::btPositionAndRadius
//constructor: btPositionAndRadius  ( ::btPositionAndRadius::* )(  ) 
void* btPositionAndRadius_new() {
	::btPositionAndRadius *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btPositionAndRadius),16);
	o = new (mem)::btPositionAndRadius();
	return (void*)o;
}
void btPositionAndRadius_free(void *c) {
	::btPositionAndRadius *o = (::btPositionAndRadius*)c;
	delete o;
}
//attribute: ::btVector3FloatData btPositionAndRadius->m_pos
// attribute not supported: //attribute: ::btVector3FloatData btPositionAndRadius->m_pos
//attribute: float btPositionAndRadius->m_radius
void btPositionAndRadius_m_radius_set(void *c,float a) {
	::btPositionAndRadius *o = (::btPositionAndRadius*)c;
	o->m_radius = a;
}
float btPositionAndRadius_m_radius_get(void *c) {
	::btPositionAndRadius *o = (::btPositionAndRadius*)c;
	return (float)(o->m_radius);
}


// ::btScaledBvhTriangleMeshShape
//constructor: btScaledBvhTriangleMeshShape  ( ::btScaledBvhTriangleMeshShape::* )( ::btBvhTriangleMeshShape *,::btVector3 const & ) 
void* btScaledBvhTriangleMeshShape_new(void* p0,float* p1) {
	::btScaledBvhTriangleMeshShape *o = 0;
	 void *mem = 0;
	::btBvhTriangleMeshShape * tp0 = (::btBvhTriangleMeshShape *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	mem = btAlignedAlloc(sizeof(::btScaledBvhTriangleMeshShape),16);
	o = new (mem)::btScaledBvhTriangleMeshShape(tp0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void btScaledBvhTriangleMeshShape_free(void *c) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btScaledBvhTriangleMeshShape::* )( ::btScalar,::btVector3 & ) const
void btScaledBvhTriangleMeshShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getChildShape ::btBvhTriangleMeshShape * ( ::btScaledBvhTriangleMeshShape::* )(  ) 
void* btScaledBvhTriangleMeshShape_getChildShape(void *c) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	void* retVal = (void*) o->getChildShape();
	return retVal;
}
//method: getChildShape ::btBvhTriangleMeshShape * ( ::btScaledBvhTriangleMeshShape::* )(  ) 
void* btScaledBvhTriangleMeshShape_getChildShape0(void *c) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	void* retVal = (void*) o->getChildShape();
	return retVal;
}
//method: getChildShape ::btBvhTriangleMeshShape const * ( ::btScaledBvhTriangleMeshShape::* )(  ) const
void* btScaledBvhTriangleMeshShape_getChildShape1(void *c) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	void* retVal = (void*) o->getChildShape();
	return retVal;
}
//method: calculateSerializeBufferSize int ( ::btScaledBvhTriangleMeshShape::* )(  ) const
int btScaledBvhTriangleMeshShape_calculateSerializeBufferSize(void *c) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getName char const * ( ::btScaledBvhTriangleMeshShape::* )(  ) const
char const * btScaledBvhTriangleMeshShape_getName(void *c) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//not supported method: serialize char const * ( ::btScaledBvhTriangleMeshShape::* )( void *,::btSerializer * ) const
//method: getLocalScaling ::btVector3 const & ( ::btScaledBvhTriangleMeshShape::* )(  ) const
void btScaledBvhTriangleMeshShape_getLocalScaling(void *c,float* ret) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: setLocalScaling void ( ::btScaledBvhTriangleMeshShape::* )( ::btVector3 const & ) 
void btScaledBvhTriangleMeshShape_setLocalScaling(void *c,float* p0) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabb void ( ::btScaledBvhTriangleMeshShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btScaledBvhTriangleMeshShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: processAllTriangles void ( ::btScaledBvhTriangleMeshShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btScaledBvhTriangleMeshShape_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btScaledBvhTriangleMeshShape *o = (::btScaledBvhTriangleMeshShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btScaledTriangleMeshShapeData
//constructor: btScaledTriangleMeshShapeData  ( ::btScaledTriangleMeshShapeData::* )(  ) 
void* btScaledTriangleMeshShapeData_new() {
	::btScaledTriangleMeshShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btScaledTriangleMeshShapeData),16);
	o = new (mem)::btScaledTriangleMeshShapeData();
	return (void*)o;
}
void btScaledTriangleMeshShapeData_free(void *c) {
	::btScaledTriangleMeshShapeData *o = (::btScaledTriangleMeshShapeData*)c;
	delete o;
}
//attribute: ::btTriangleMeshShapeData btScaledTriangleMeshShapeData->m_trimeshShapeData
// attribute not supported: //attribute: ::btTriangleMeshShapeData btScaledTriangleMeshShapeData->m_trimeshShapeData
//attribute: ::btVector3FloatData btScaledTriangleMeshShapeData->m_localScaling
// attribute not supported: //attribute: ::btVector3FloatData btScaledTriangleMeshShapeData->m_localScaling

// ::btShortIntIndexData
//constructor: btShortIntIndexData  ( ::btShortIntIndexData::* )(  ) 
void* btShortIntIndexData_new() {
	::btShortIntIndexData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btShortIntIndexData),16);
	o = new (mem)::btShortIntIndexData();
	return (void*)o;
}
void btShortIntIndexData_free(void *c) {
	::btShortIntIndexData *o = (::btShortIntIndexData*)c;
	delete o;
}
//attribute: char[2] btShortIntIndexData->m_pad
// attribute not supported: //attribute: char[2] btShortIntIndexData->m_pad
//attribute: short int btShortIntIndexData->m_value
void btShortIntIndexData_m_value_set(void *c,short int a) {
	::btShortIntIndexData *o = (::btShortIntIndexData*)c;
	o->m_value = a;
}
short int btShortIntIndexData_m_value_get(void *c) {
	::btShortIntIndexData *o = (::btShortIntIndexData*)c;
	return (short int)(o->m_value);
}


// ::btShortIntIndexTripletData
//constructor: btShortIntIndexTripletData  ( ::btShortIntIndexTripletData::* )(  ) 
void* btShortIntIndexTripletData_new() {
	::btShortIntIndexTripletData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btShortIntIndexTripletData),16);
	o = new (mem)::btShortIntIndexTripletData();
	return (void*)o;
}
void btShortIntIndexTripletData_free(void *c) {
	::btShortIntIndexTripletData *o = (::btShortIntIndexTripletData*)c;
	delete o;
}
//attribute: char[2] btShortIntIndexTripletData->m_pad
// attribute not supported: //attribute: char[2] btShortIntIndexTripletData->m_pad
//attribute: short int[3] btShortIntIndexTripletData->m_values
// attribute not supported: //attribute: short int[3] btShortIntIndexTripletData->m_values

// ::btSphereShape
//constructor: btSphereShape  ( ::btSphereShape::* )( ::btScalar ) 
void* btSphereShape_new(float p0) {
	::btSphereShape *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSphereShape),16);
	o = new (mem)::btSphereShape(p0);
	return (void*)o;
}
void btSphereShape_free(void *c) {
	::btSphereShape *o = (::btSphereShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btSphereShape::* )( ::btScalar,::btVector3 & ) const
void btSphereShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btSphereShape *o = (::btSphereShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: localGetSupportingVertex ::btVector3 ( ::btSphereShape::* )( ::btVector3 const & ) const
void btSphereShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btSphereShape *o = (::btSphereShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btSphereShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getName char const * ( ::btSphereShape::* )(  ) const
char const * btSphereShape_getName(void *c) {
	::btSphereShape *o = (::btSphereShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getMargin ::btScalar ( ::btSphereShape::* )(  ) const
float btSphereShape_getMargin(void *c) {
	::btSphereShape *o = (::btSphereShape*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}
//method: setMargin void ( ::btSphereShape::* )( ::btScalar ) 
void btSphereShape_setMargin(void *c,float p0) {
	::btSphereShape *o = (::btSphereShape*)c;
	o->setMargin(p0);
}
//method: getAabb void ( ::btSphereShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btSphereShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btSphereShape *o = (::btSphereShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setUnscaledRadius void ( ::btSphereShape::* )( ::btScalar ) 
void btSphereShape_setUnscaledRadius(void *c,float p0) {
	::btSphereShape *o = (::btSphereShape*)c;
	o->setUnscaledRadius(p0);
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btSphereShape::* )( ::btVector3 const & ) const
void btSphereShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btSphereShape *o = (::btSphereShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getRadius ::btScalar ( ::btSphereShape::* )(  ) const
float btSphereShape_getRadius(void *c) {
	::btSphereShape *o = (::btSphereShape*)c;
	float retVal = (float)o->getRadius();
	return retVal;
}

// ::btStaticPlaneShape
//constructor: btStaticPlaneShape  ( ::btStaticPlaneShape::* )( ::btVector3 const &,::btScalar ) 
void* btStaticPlaneShape_new(float* p0,float p1) {
	::btStaticPlaneShape *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	mem = btAlignedAlloc(sizeof(::btStaticPlaneShape),16);
	o = new (mem)::btStaticPlaneShape(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return (void*)o;
}
void btStaticPlaneShape_free(void *c) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btStaticPlaneShape::* )( ::btScalar,::btVector3 & ) const
void btStaticPlaneShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: calculateSerializeBufferSize int ( ::btStaticPlaneShape::* )(  ) const
int btStaticPlaneShape_calculateSerializeBufferSize(void *c) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getName char const * ( ::btStaticPlaneShape::* )(  ) const
char const * btStaticPlaneShape_getName(void *c) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//not supported method: serialize char const * ( ::btStaticPlaneShape::* )( void *,::btSerializer * ) const
//method: getLocalScaling ::btVector3 const & ( ::btStaticPlaneShape::* )(  ) const
void btStaticPlaneShape_getLocalScaling(void *c,float* ret) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getPlaneNormal ::btVector3 const & ( ::btStaticPlaneShape::* )(  ) const
void btStaticPlaneShape_getPlaneNormal(void *c,float* ret) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getPlaneNormal();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getPlaneConstant ::btScalar const & ( ::btStaticPlaneShape::* )(  ) const
float btStaticPlaneShape_getPlaneConstant(void *c) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	float retVal = (float)o->getPlaneConstant();
	return retVal;
}
//method: setLocalScaling void ( ::btStaticPlaneShape::* )( ::btVector3 const & ) 
void btStaticPlaneShape_setLocalScaling(void *c,float* p0) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getAabb void ( ::btStaticPlaneShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btStaticPlaneShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: processAllTriangles void ( ::btStaticPlaneShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btStaticPlaneShape_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btStaticPlaneShape *o = (::btStaticPlaneShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btStaticPlaneShapeData
//constructor: btStaticPlaneShapeData  ( ::btStaticPlaneShapeData::* )(  ) 
void* btStaticPlaneShapeData_new() {
	::btStaticPlaneShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btStaticPlaneShapeData),16);
	o = new (mem)::btStaticPlaneShapeData();
	return (void*)o;
}
void btStaticPlaneShapeData_free(void *c) {
	::btStaticPlaneShapeData *o = (::btStaticPlaneShapeData*)c;
	delete o;
}
//attribute: ::btCollisionShapeData btStaticPlaneShapeData->m_collisionShapeData
// attribute not supported: //attribute: ::btCollisionShapeData btStaticPlaneShapeData->m_collisionShapeData
//attribute: ::btVector3FloatData btStaticPlaneShapeData->m_localScaling
// attribute not supported: //attribute: ::btVector3FloatData btStaticPlaneShapeData->m_localScaling
//attribute: ::btVector3FloatData btStaticPlaneShapeData->m_planeNormal
// attribute not supported: //attribute: ::btVector3FloatData btStaticPlaneShapeData->m_planeNormal
//attribute: float btStaticPlaneShapeData->m_planeConstant
void btStaticPlaneShapeData_m_planeConstant_set(void *c,float a) {
	::btStaticPlaneShapeData *o = (::btStaticPlaneShapeData*)c;
	o->m_planeConstant = a;
}
float btStaticPlaneShapeData_m_planeConstant_get(void *c) {
	::btStaticPlaneShapeData *o = (::btStaticPlaneShapeData*)c;
	return (float)(o->m_planeConstant);
}

//attribute: char[4] btStaticPlaneShapeData->m_pad
// attribute not supported: //attribute: char[4] btStaticPlaneShapeData->m_pad

// ::btStridingMeshInterface
//not supported method: getLockedReadOnlyVertexIndexBase void ( ::btStridingMeshInterface::* )( unsigned char const * *,int &,::PHY_ScalarType &,int &,unsigned char const * *,int &,int &,::PHY_ScalarType &,int ) const
//method: calculateSerializeBufferSize int ( ::btStridingMeshInterface::* )(  ) const
int btStridingMeshInterface_calculateSerializeBufferSize(void *c) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: calculateAabbBruteForce void ( ::btStridingMeshInterface::* )( ::btVector3 &,::btVector3 & ) 
void btStridingMeshInterface_calculateAabbBruteForce(void *c,float* p0,float* p1) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateAabbBruteForce(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: serialize char const * ( ::btStridingMeshInterface::* )( void *,::btSerializer * ) const
//method: preallocateVertices void ( ::btStridingMeshInterface::* )( int ) 
void btStridingMeshInterface_preallocateVertices(void *c,int p0) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	o->preallocateVertices(p0);
}
//method: unLockVertexBase void ( ::btStridingMeshInterface::* )( int ) 
void btStridingMeshInterface_unLockVertexBase(void *c,int p0) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	o->unLockVertexBase(p0);
}
//method: getScaling ::btVector3 const & ( ::btStridingMeshInterface::* )(  ) const
void btStridingMeshInterface_getScaling(void *c,float* ret) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: preallocateIndices void ( ::btStridingMeshInterface::* )( int ) 
void btStridingMeshInterface_preallocateIndices(void *c,int p0) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	o->preallocateIndices(p0);
}
//method: setPremadeAabb void ( ::btStridingMeshInterface::* )( ::btVector3 const &,::btVector3 const & ) const
void btStridingMeshInterface_setPremadeAabb(void *c,float* p0,float* p1) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setPremadeAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: InternalProcessAllTriangles void ( ::btStridingMeshInterface::* )( ::btInternalTriangleIndexCallback *,::btVector3 const &,::btVector3 const & ) const
void btStridingMeshInterface_InternalProcessAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	::btInternalTriangleIndexCallback * tp0 = (::btInternalTriangleIndexCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->InternalProcessAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//not supported method: getPremadeAabb void ( ::btStridingMeshInterface::* )( ::btVector3 *,::btVector3 * ) const
//method: getNumSubParts int ( ::btStridingMeshInterface::* )(  ) const
int btStridingMeshInterface_getNumSubParts(void *c) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	int retVal = (int)o->getNumSubParts();
	return retVal;
}
//not supported method: getLockedVertexIndexBase void ( ::btStridingMeshInterface::* )( unsigned char * *,int &,::PHY_ScalarType &,int &,unsigned char * *,int &,int &,::PHY_ScalarType &,int ) 
//method: hasPremadeAabb bool ( ::btStridingMeshInterface::* )(  ) const
int btStridingMeshInterface_hasPremadeAabb(void *c) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	int retVal = (int)o->hasPremadeAabb();
	return retVal;
}
//method: setScaling void ( ::btStridingMeshInterface::* )( ::btVector3 const & ) 
void btStridingMeshInterface_setScaling(void *c,float* p0) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: unLockReadOnlyVertexBase void ( ::btStridingMeshInterface::* )( int ) const
void btStridingMeshInterface_unLockReadOnlyVertexBase(void *c,int p0) {
	::btStridingMeshInterface *o = (::btStridingMeshInterface*)c;
	o->unLockReadOnlyVertexBase(p0);
}

// ::btStridingMeshInterfaceData
//constructor: btStridingMeshInterfaceData  ( ::btStridingMeshInterfaceData::* )(  ) 
void* btStridingMeshInterfaceData_new() {
	::btStridingMeshInterfaceData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btStridingMeshInterfaceData),16);
	o = new (mem)::btStridingMeshInterfaceData();
	return (void*)o;
}
void btStridingMeshInterfaceData_free(void *c) {
	::btStridingMeshInterfaceData *o = (::btStridingMeshInterfaceData*)c;
	delete o;
}
//attribute: ::btMeshPartData * btStridingMeshInterfaceData->m_meshPartsPtr
void btStridingMeshInterfaceData_m_meshPartsPtr_set(void *c,void* a) {
	::btStridingMeshInterfaceData *o = (::btStridingMeshInterfaceData*)c;
	::btMeshPartData * ta = (::btMeshPartData *)a;
	o->m_meshPartsPtr = ta;
}
// attriibute getter not supported: //attribute: ::btMeshPartData * btStridingMeshInterfaceData->m_meshPartsPtr
//attribute: ::btVector3FloatData btStridingMeshInterfaceData->m_scaling
// attribute not supported: //attribute: ::btVector3FloatData btStridingMeshInterfaceData->m_scaling
//attribute: int btStridingMeshInterfaceData->m_numMeshParts
void btStridingMeshInterfaceData_m_numMeshParts_set(void *c,int a) {
	::btStridingMeshInterfaceData *o = (::btStridingMeshInterfaceData*)c;
	o->m_numMeshParts = a;
}
int btStridingMeshInterfaceData_m_numMeshParts_get(void *c) {
	::btStridingMeshInterfaceData *o = (::btStridingMeshInterfaceData*)c;
	return (int)(o->m_numMeshParts);
}

//attribute: char[4] btStridingMeshInterfaceData->m_padding
// attribute not supported: //attribute: char[4] btStridingMeshInterfaceData->m_padding

// ::btTriangleCallback
//not supported method: processTriangle void ( ::btTriangleCallback::* )( ::btVector3 *,int,int ) 

// ::btTriangleIndexVertexArray
//constructor: btTriangleIndexVertexArray  ( ::btTriangleIndexVertexArray::* )(  ) 
void* btTriangleIndexVertexArray_new0() {
	::btTriangleIndexVertexArray *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleIndexVertexArray),16);
	o = new (mem)::btTriangleIndexVertexArray();
	return (void*)o;
}
//not supported constructor: btTriangleIndexVertexArray  ( ::btTriangleIndexVertexArray::* )( int,int *,int,int,::btScalar *,int ) 
void btTriangleIndexVertexArray_free(void *c) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	delete o;
}
//not supported method: getLockedReadOnlyVertexIndexBase void ( ::btTriangleIndexVertexArray::* )( unsigned char const * *,int &,::PHY_ScalarType &,int &,unsigned char const * *,int &,int &,::PHY_ScalarType &,int ) const
//method: preallocateIndices void ( ::btTriangleIndexVertexArray::* )( int ) 
void btTriangleIndexVertexArray_preallocateIndices(void *c,int p0) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	o->preallocateIndices(p0);
}
//method: preallocateVertices void ( ::btTriangleIndexVertexArray::* )( int ) 
void btTriangleIndexVertexArray_preallocateVertices(void *c,int p0) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	o->preallocateVertices(p0);
}
//not supported method: getIndexedMeshArray ::IndexedMeshArray & ( ::btTriangleIndexVertexArray::* )(  ) 
//not supported method: getIndexedMeshArray ::IndexedMeshArray & ( ::btTriangleIndexVertexArray::* )(  ) 
//not supported method: getIndexedMeshArray ::IndexedMeshArray const & ( ::btTriangleIndexVertexArray::* )(  ) const
//method: setPremadeAabb void ( ::btTriangleIndexVertexArray::* )( ::btVector3 const &,::btVector3 const & ) const
void btTriangleIndexVertexArray_setPremadeAabb(void *c,float* p0,float* p1) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setPremadeAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: getPremadeAabb void ( ::btTriangleIndexVertexArray::* )( ::btVector3 *,::btVector3 * ) const
//not supported method: addIndexedMesh void ( ::btTriangleIndexVertexArray::* )( ::btIndexedMesh const &,::PHY_ScalarType ) 
//method: getNumSubParts int ( ::btTriangleIndexVertexArray::* )(  ) const
int btTriangleIndexVertexArray_getNumSubParts(void *c) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	int retVal = (int)o->getNumSubParts();
	return retVal;
}
//not supported method: getLockedVertexIndexBase void ( ::btTriangleIndexVertexArray::* )( unsigned char * *,int &,::PHY_ScalarType &,int &,unsigned char * *,int &,int &,::PHY_ScalarType &,int ) 
//method: hasPremadeAabb bool ( ::btTriangleIndexVertexArray::* )(  ) const
int btTriangleIndexVertexArray_hasPremadeAabb(void *c) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	int retVal = (int)o->hasPremadeAabb();
	return retVal;
}
//method: unLockVertexBase void ( ::btTriangleIndexVertexArray::* )( int ) 
void btTriangleIndexVertexArray_unLockVertexBase(void *c,int p0) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	o->unLockVertexBase(p0);
}
//method: unLockReadOnlyVertexBase void ( ::btTriangleIndexVertexArray::* )( int ) const
void btTriangleIndexVertexArray_unLockReadOnlyVertexBase(void *c,int p0) {
	::btTriangleIndexVertexArray *o = (::btTriangleIndexVertexArray*)c;
	o->unLockReadOnlyVertexBase(p0);
}

// ::btTriangleInfo
//constructor: btTriangleInfo  ( ::btTriangleInfo::* )(  ) 
void* btTriangleInfo_new() {
	::btTriangleInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleInfo),16);
	o = new (mem)::btTriangleInfo();
	return (void*)o;
}
void btTriangleInfo_free(void *c) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	delete o;
}
//attribute: int btTriangleInfo->m_flags
void btTriangleInfo_m_flags_set(void *c,int a) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	o->m_flags = a;
}
int btTriangleInfo_m_flags_get(void *c) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	return (int)(o->m_flags);
}

//attribute: ::btScalar btTriangleInfo->m_edgeV0V1Angle
void btTriangleInfo_m_edgeV0V1Angle_set(void *c,float a) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	o->m_edgeV0V1Angle = a;
}
float btTriangleInfo_m_edgeV0V1Angle_get(void *c) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	return (float)(o->m_edgeV0V1Angle);
}

//attribute: ::btScalar btTriangleInfo->m_edgeV1V2Angle
void btTriangleInfo_m_edgeV1V2Angle_set(void *c,float a) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	o->m_edgeV1V2Angle = a;
}
float btTriangleInfo_m_edgeV1V2Angle_get(void *c) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	return (float)(o->m_edgeV1V2Angle);
}

//attribute: ::btScalar btTriangleInfo->m_edgeV2V0Angle
void btTriangleInfo_m_edgeV2V0Angle_set(void *c,float a) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	o->m_edgeV2V0Angle = a;
}
float btTriangleInfo_m_edgeV2V0Angle_get(void *c) {
	::btTriangleInfo *o = (::btTriangleInfo*)c;
	return (float)(o->m_edgeV2V0Angle);
}


// ::btTriangleInfoData
//constructor: btTriangleInfoData  ( ::btTriangleInfoData::* )(  ) 
void* btTriangleInfoData_new() {
	::btTriangleInfoData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleInfoData),16);
	o = new (mem)::btTriangleInfoData();
	return (void*)o;
}
void btTriangleInfoData_free(void *c) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	delete o;
}
//attribute: int btTriangleInfoData->m_flags
void btTriangleInfoData_m_flags_set(void *c,int a) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	o->m_flags = a;
}
int btTriangleInfoData_m_flags_get(void *c) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	return (int)(o->m_flags);
}

//attribute: float btTriangleInfoData->m_edgeV0V1Angle
void btTriangleInfoData_m_edgeV0V1Angle_set(void *c,float a) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	o->m_edgeV0V1Angle = a;
}
float btTriangleInfoData_m_edgeV0V1Angle_get(void *c) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	return (float)(o->m_edgeV0V1Angle);
}

//attribute: float btTriangleInfoData->m_edgeV1V2Angle
void btTriangleInfoData_m_edgeV1V2Angle_set(void *c,float a) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	o->m_edgeV1V2Angle = a;
}
float btTriangleInfoData_m_edgeV1V2Angle_get(void *c) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	return (float)(o->m_edgeV1V2Angle);
}

//attribute: float btTriangleInfoData->m_edgeV2V0Angle
void btTriangleInfoData_m_edgeV2V0Angle_set(void *c,float a) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	o->m_edgeV2V0Angle = a;
}
float btTriangleInfoData_m_edgeV2V0Angle_get(void *c) {
	::btTriangleInfoData *o = (::btTriangleInfoData*)c;
	return (float)(o->m_edgeV2V0Angle);
}


// ::btTriangleInfoMap
//constructor: btTriangleInfoMap  ( ::btTriangleInfoMap::* )(  ) 
void* btTriangleInfoMap_new() {
	::btTriangleInfoMap *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleInfoMap),16);
	o = new (mem)::btTriangleInfoMap();
	return (void*)o;
}
void btTriangleInfoMap_free(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	delete o;
}
//not supported method: serialize char const * ( ::btTriangleInfoMap::* )( void *,::btSerializer * ) const
//method: calculateSerializeBufferSize int ( ::btTriangleInfoMap::* )(  ) const
int btTriangleInfoMap_calculateSerializeBufferSize(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: deSerialize void ( ::btTriangleInfoMap::* )( ::btTriangleInfoMapData & ) 
void btTriangleInfoMap_deSerialize(void *c,void* p0) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	::btTriangleInfoMapData & tp0 = *(::btTriangleInfoMapData *)p0;
	o->deSerialize(tp0);
}
//attribute: ::btScalar btTriangleInfoMap->m_convexEpsilon
void btTriangleInfoMap_m_convexEpsilon_set(void *c,float a) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	o->m_convexEpsilon = a;
}
float btTriangleInfoMap_m_convexEpsilon_get(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	return (float)(o->m_convexEpsilon);
}

//attribute: ::btScalar btTriangleInfoMap->m_edgeDistanceThreshold
void btTriangleInfoMap_m_edgeDistanceThreshold_set(void *c,float a) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	o->m_edgeDistanceThreshold = a;
}
float btTriangleInfoMap_m_edgeDistanceThreshold_get(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	return (float)(o->m_edgeDistanceThreshold);
}

//attribute: ::btScalar btTriangleInfoMap->m_equalVertexThreshold
void btTriangleInfoMap_m_equalVertexThreshold_set(void *c,float a) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	o->m_equalVertexThreshold = a;
}
float btTriangleInfoMap_m_equalVertexThreshold_get(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	return (float)(o->m_equalVertexThreshold);
}

//attribute: ::btScalar btTriangleInfoMap->m_maxEdgeAngleThreshold
void btTriangleInfoMap_m_maxEdgeAngleThreshold_set(void *c,float a) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	o->m_maxEdgeAngleThreshold = a;
}
float btTriangleInfoMap_m_maxEdgeAngleThreshold_get(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	return (float)(o->m_maxEdgeAngleThreshold);
}

//attribute: ::btScalar btTriangleInfoMap->m_planarEpsilon
void btTriangleInfoMap_m_planarEpsilon_set(void *c,float a) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	o->m_planarEpsilon = a;
}
float btTriangleInfoMap_m_planarEpsilon_get(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	return (float)(o->m_planarEpsilon);
}

//attribute: ::btScalar btTriangleInfoMap->m_zeroAreaThreshold
void btTriangleInfoMap_m_zeroAreaThreshold_set(void *c,float a) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	o->m_zeroAreaThreshold = a;
}
float btTriangleInfoMap_m_zeroAreaThreshold_get(void *c) {
	::btTriangleInfoMap *o = (::btTriangleInfoMap*)c;
	return (float)(o->m_zeroAreaThreshold);
}


// ::btTriangleInfoMapData
//constructor: btTriangleInfoMapData  ( ::btTriangleInfoMapData::* )(  ) 
void* btTriangleInfoMapData_new() {
	::btTriangleInfoMapData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleInfoMapData),16);
	o = new (mem)::btTriangleInfoMapData();
	return (void*)o;
}
void btTriangleInfoMapData_free(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	delete o;
}
//attribute: float btTriangleInfoMapData->m_convexEpsilon
void btTriangleInfoMapData_m_convexEpsilon_set(void *c,float a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_convexEpsilon = a;
}
float btTriangleInfoMapData_m_convexEpsilon_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (float)(o->m_convexEpsilon);
}

//attribute: float btTriangleInfoMapData->m_edgeDistanceThreshold
void btTriangleInfoMapData_m_edgeDistanceThreshold_set(void *c,float a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_edgeDistanceThreshold = a;
}
float btTriangleInfoMapData_m_edgeDistanceThreshold_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (float)(o->m_edgeDistanceThreshold);
}

//attribute: float btTriangleInfoMapData->m_equalVertexThreshold
void btTriangleInfoMapData_m_equalVertexThreshold_set(void *c,float a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_equalVertexThreshold = a;
}
float btTriangleInfoMapData_m_equalVertexThreshold_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (float)(o->m_equalVertexThreshold);
}

//attribute: int * btTriangleInfoMapData->m_hashTablePtr
// attribute not supported: //attribute: int * btTriangleInfoMapData->m_hashTablePtr
//attribute: int btTriangleInfoMapData->m_hashTableSize
void btTriangleInfoMapData_m_hashTableSize_set(void *c,int a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_hashTableSize = a;
}
int btTriangleInfoMapData_m_hashTableSize_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (int)(o->m_hashTableSize);
}

//attribute: int * btTriangleInfoMapData->m_keyArrayPtr
// attribute not supported: //attribute: int * btTriangleInfoMapData->m_keyArrayPtr
//attribute: int * btTriangleInfoMapData->m_nextPtr
// attribute not supported: //attribute: int * btTriangleInfoMapData->m_nextPtr
//attribute: int btTriangleInfoMapData->m_nextSize
void btTriangleInfoMapData_m_nextSize_set(void *c,int a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_nextSize = a;
}
int btTriangleInfoMapData_m_nextSize_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (int)(o->m_nextSize);
}

//attribute: int btTriangleInfoMapData->m_numKeys
void btTriangleInfoMapData_m_numKeys_set(void *c,int a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_numKeys = a;
}
int btTriangleInfoMapData_m_numKeys_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (int)(o->m_numKeys);
}

//attribute: int btTriangleInfoMapData->m_numValues
void btTriangleInfoMapData_m_numValues_set(void *c,int a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_numValues = a;
}
int btTriangleInfoMapData_m_numValues_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (int)(o->m_numValues);
}

//attribute: char[4] btTriangleInfoMapData->m_padding
// attribute not supported: //attribute: char[4] btTriangleInfoMapData->m_padding
//attribute: float btTriangleInfoMapData->m_planarEpsilon
void btTriangleInfoMapData_m_planarEpsilon_set(void *c,float a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_planarEpsilon = a;
}
float btTriangleInfoMapData_m_planarEpsilon_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (float)(o->m_planarEpsilon);
}

//attribute: ::btTriangleInfoData * btTriangleInfoMapData->m_valueArrayPtr
void btTriangleInfoMapData_m_valueArrayPtr_set(void *c,void* a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	::btTriangleInfoData * ta = (::btTriangleInfoData *)a;
	o->m_valueArrayPtr = ta;
}
// attriibute getter not supported: //attribute: ::btTriangleInfoData * btTriangleInfoMapData->m_valueArrayPtr
//attribute: float btTriangleInfoMapData->m_zeroAreaThreshold
void btTriangleInfoMapData_m_zeroAreaThreshold_set(void *c,float a) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	o->m_zeroAreaThreshold = a;
}
float btTriangleInfoMapData_m_zeroAreaThreshold_get(void *c) {
	::btTriangleInfoMapData *o = (::btTriangleInfoMapData*)c;
	return (float)(o->m_zeroAreaThreshold);
}


// ::btTriangleMesh
//constructor: btTriangleMesh  ( ::btTriangleMesh::* )( bool,bool ) 
void* btTriangleMesh_new(int p0,int p1) {
	::btTriangleMesh *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleMesh),16);
	o = new (mem)::btTriangleMesh(p0,p1);
	return (void*)o;
}
void btTriangleMesh_free(void *c) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	delete o;
}
//method: preallocateIndices void ( ::btTriangleMesh::* )( int ) 
void btTriangleMesh_preallocateIndices(void *c,int p0) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	o->preallocateIndices(p0);
}
//method: getNumTriangles int ( ::btTriangleMesh::* )(  ) const
int btTriangleMesh_getNumTriangles(void *c) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	int retVal = (int)o->getNumTriangles();
	return retVal;
}
//method: getUse32bitIndices bool ( ::btTriangleMesh::* )(  ) const
int btTriangleMesh_getUse32bitIndices(void *c) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	int retVal = (int)o->getUse32bitIndices();
	return retVal;
}
//method: addIndex void ( ::btTriangleMesh::* )( int ) 
void btTriangleMesh_addIndex(void *c,int p0) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	o->addIndex(p0);
}
//method: preallocateVertices void ( ::btTriangleMesh::* )( int ) 
void btTriangleMesh_preallocateVertices(void *c,int p0) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	o->preallocateVertices(p0);
}
//method: findOrAddVertex int ( ::btTriangleMesh::* )( ::btVector3 const &,bool ) 
int btTriangleMesh_findOrAddVertex(void *c,float* p0,int p1) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->findOrAddVertex(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getUse4componentVertices bool ( ::btTriangleMesh::* )(  ) const
int btTriangleMesh_getUse4componentVertices(void *c) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	int retVal = (int)o->getUse4componentVertices();
	return retVal;
}
//method: addTriangle void ( ::btTriangleMesh::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,bool ) 
void btTriangleMesh_addTriangle(void *c,float* p0,float* p1,float* p2,int p3) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->addTriangle(tp0,tp1,tp2,p3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//attribute: ::btScalar btTriangleMesh->m_weldingThreshold
void btTriangleMesh_m_weldingThreshold_set(void *c,float a) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	o->m_weldingThreshold = a;
}
float btTriangleMesh_m_weldingThreshold_get(void *c) {
	::btTriangleMesh *o = (::btTriangleMesh*)c;
	return (float)(o->m_weldingThreshold);
}


// ::btTriangleMeshShape
void btTriangleMeshShape_free(void *c) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btTriangleMeshShape::* )( ::btScalar,::btVector3 & ) const
void btTriangleMeshShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getLocalAabbMax ::btVector3 const & ( ::btTriangleMeshShape::* )(  ) const
void btTriangleMeshShape_getLocalAabbMax(void *c,float* ret) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalAabbMax();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: localGetSupportingVertex ::btVector3 ( ::btTriangleMeshShape::* )( ::btVector3 const & ) const
void btTriangleMeshShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getName char const * ( ::btTriangleMeshShape::* )(  ) const
char const * btTriangleMeshShape_getName(void *c) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getLocalScaling ::btVector3 const & ( ::btTriangleMeshShape::* )(  ) const
void btTriangleMeshShape_getLocalScaling(void *c,float* ret) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: recalcLocalAabb void ( ::btTriangleMeshShape::* )(  ) 
void btTriangleMeshShape_recalcLocalAabb(void *c) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	o->recalcLocalAabb();
}
//method: setLocalScaling void ( ::btTriangleMeshShape::* )( ::btVector3 const & ) 
void btTriangleMeshShape_setLocalScaling(void *c,float* p0) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getMeshInterface ::btStridingMeshInterface * ( ::btTriangleMeshShape::* )(  ) 
void* btTriangleMeshShape_getMeshInterface(void *c) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getMeshInterface ::btStridingMeshInterface * ( ::btTriangleMeshShape::* )(  ) 
void* btTriangleMeshShape_getMeshInterface0(void *c) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getMeshInterface ::btStridingMeshInterface const * ( ::btTriangleMeshShape::* )(  ) const
void* btTriangleMeshShape_getMeshInterface1(void *c) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getAabb void ( ::btTriangleMeshShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btTriangleMeshShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: processAllTriangles void ( ::btTriangleMeshShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btTriangleMeshShape_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btTriangleMeshShape::* )( ::btVector3 const & ) const
void btTriangleMeshShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getLocalAabbMin ::btVector3 const & ( ::btTriangleMeshShape::* )(  ) const
void btTriangleMeshShape_getLocalAabbMin(void *c,float* ret) {
	::btTriangleMeshShape *o = (::btTriangleMeshShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalAabbMin();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}

// ::btTriangleMeshShapeData
//constructor: btTriangleMeshShapeData  ( ::btTriangleMeshShapeData::* )(  ) 
void* btTriangleMeshShapeData_new() {
	::btTriangleMeshShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleMeshShapeData),16);
	o = new (mem)::btTriangleMeshShapeData();
	return (void*)o;
}
void btTriangleMeshShapeData_free(void *c) {
	::btTriangleMeshShapeData *o = (::btTriangleMeshShapeData*)c;
	delete o;
}
//attribute: float btTriangleMeshShapeData->m_collisionMargin
void btTriangleMeshShapeData_m_collisionMargin_set(void *c,float a) {
	::btTriangleMeshShapeData *o = (::btTriangleMeshShapeData*)c;
	o->m_collisionMargin = a;
}
float btTriangleMeshShapeData_m_collisionMargin_get(void *c) {
	::btTriangleMeshShapeData *o = (::btTriangleMeshShapeData*)c;
	return (float)(o->m_collisionMargin);
}

//attribute: ::btCollisionShapeData btTriangleMeshShapeData->m_collisionShapeData
// attribute not supported: //attribute: ::btCollisionShapeData btTriangleMeshShapeData->m_collisionShapeData
//attribute: ::btStridingMeshInterfaceData btTriangleMeshShapeData->m_meshInterface
// attribute not supported: //attribute: ::btStridingMeshInterfaceData btTriangleMeshShapeData->m_meshInterface
//attribute: char[4] btTriangleMeshShapeData->m_pad3
// attribute not supported: //attribute: char[4] btTriangleMeshShapeData->m_pad3
//attribute: ::btQuantizedBvhDoubleData * btTriangleMeshShapeData->m_quantizedDoubleBvh
void btTriangleMeshShapeData_m_quantizedDoubleBvh_set(void *c,void* a) {
	::btTriangleMeshShapeData *o = (::btTriangleMeshShapeData*)c;
	::btQuantizedBvhDoubleData * ta = (::btQuantizedBvhDoubleData *)a;
	o->m_quantizedDoubleBvh = ta;
}
// attriibute getter not supported: //attribute: ::btQuantizedBvhDoubleData * btTriangleMeshShapeData->m_quantizedDoubleBvh
//attribute: ::btQuantizedBvhFloatData * btTriangleMeshShapeData->m_quantizedFloatBvh
void btTriangleMeshShapeData_m_quantizedFloatBvh_set(void *c,void* a) {
	::btTriangleMeshShapeData *o = (::btTriangleMeshShapeData*)c;
	::btQuantizedBvhFloatData * ta = (::btQuantizedBvhFloatData *)a;
	o->m_quantizedFloatBvh = ta;
}
// attriibute getter not supported: //attribute: ::btQuantizedBvhFloatData * btTriangleMeshShapeData->m_quantizedFloatBvh
//attribute: ::btTriangleInfoMapData * btTriangleMeshShapeData->m_triangleInfoMap
void btTriangleMeshShapeData_m_triangleInfoMap_set(void *c,void* a) {
	::btTriangleMeshShapeData *o = (::btTriangleMeshShapeData*)c;
	::btTriangleInfoMapData * ta = (::btTriangleInfoMapData *)a;
	o->m_triangleInfoMap = ta;
}
// attriibute getter not supported: //attribute: ::btTriangleInfoMapData * btTriangleMeshShapeData->m_triangleInfoMap

// ::btTriangleShape
//constructor: btTriangleShape  ( ::btTriangleShape::* )(  ) 
void* btTriangleShape_new0() {
	::btTriangleShape *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleShape),16);
	o = new (mem)::btTriangleShape();
	return (void*)o;
}
//constructor: btTriangleShape  ( ::btTriangleShape::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void* btTriangleShape_new1(float* p0,float* p1,float* p2) {
	::btTriangleShape *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btTriangleShape),16);
	o = new (mem)::btTriangleShape(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
void btTriangleShape_free(void *c) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	delete o;
}
//method: getVertexPtr ::btVector3 & ( ::btTriangleShape::* )( int ) 
void btTriangleShape_getVertexPtr(void *c,int p0,float* ret) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getVertexPtr(p0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getVertexPtr ::btVector3 & ( ::btTriangleShape::* )( int ) 
void btTriangleShape_getVertexPtr0(void *c,int p0,float* ret) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getVertexPtr(p0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getVertexPtr ::btVector3 const & ( ::btTriangleShape::* )( int ) const
void btTriangleShape_getVertexPtr1(void *c,int p0,float* ret) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getVertexPtr(p0);
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getNumPlanes int ( ::btTriangleShape::* )(  ) const
int btTriangleShape_getNumPlanes(void *c) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	int retVal = (int)o->getNumPlanes();
	return retVal;
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btTriangleShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getPreferredPenetrationDirection void ( ::btTriangleShape::* )( int,::btVector3 & ) const
void btTriangleShape_getPreferredPenetrationDirection(void *c,int p0,float* p1) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPreferredPenetrationDirection(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getNumEdges int ( ::btTriangleShape::* )(  ) const
int btTriangleShape_getNumEdges(void *c) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	int retVal = (int)o->getNumEdges();
	return retVal;
}
//method: getName char const * ( ::btTriangleShape::* )(  ) const
char const * btTriangleShape_getName(void *c) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getNumVertices int ( ::btTriangleShape::* )(  ) const
int btTriangleShape_getNumVertices(void *c) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	int retVal = (int)o->getNumVertices();
	return retVal;
}
//method: getEdge void ( ::btTriangleShape::* )( int,::btVector3 &,::btVector3 & ) const
void btTriangleShape_getEdge(void *c,int p0,float* p1,float* p2) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getEdge(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: isInside bool ( ::btTriangleShape::* )( ::btVector3 const &,::btScalar ) const
int btTriangleShape_isInside(void *c,float* p0,float p1) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->isInside(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: getPlane void ( ::btTriangleShape::* )( ::btVector3 &,::btVector3 &,int ) const
void btTriangleShape_getPlane(void *c,float* p0,float* p1,int p2) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPlane(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getNumPreferredPenetrationDirections int ( ::btTriangleShape::* )(  ) const
int btTriangleShape_getNumPreferredPenetrationDirections(void *c) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	int retVal = (int)o->getNumPreferredPenetrationDirections();
	return retVal;
}
//method: getAabb void ( ::btTriangleShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btTriangleShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getVertex void ( ::btTriangleShape::* )( int,::btVector3 & ) const
void btTriangleShape_getVertex(void *c,int p0,float* p1) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: calcNormal void ( ::btTriangleShape::* )( ::btVector3 & ) const
void btTriangleShape_calcNormal(void *c,float* p0) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->calcNormal(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: calculateLocalInertia void ( ::btTriangleShape::* )( ::btScalar,::btVector3 & ) const
void btTriangleShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getPlaneEquation void ( ::btTriangleShape::* )( int,::btVector3 &,::btVector3 & ) const
void btTriangleShape_getPlaneEquation(void *c,int p0,float* p1,float* p2) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getPlaneEquation(p0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btTriangleShape::* )( ::btVector3 const & ) const
void btTriangleShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btTriangleShape *o = (::btTriangleShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//attribute: ::btVector3[3] btTriangleShape->m_vertices1
// attribute not supported: //attribute: ::btVector3[3] btTriangleShape->m_vertices1

// ::btUniformScalingShape
//constructor: btUniformScalingShape  ( ::btUniformScalingShape::* )( ::btConvexShape *,::btScalar ) 
void* btUniformScalingShape_new(void* p0,float p1) {
	::btUniformScalingShape *o = 0;
	 void *mem = 0;
	::btConvexShape * tp0 = (::btConvexShape *)p0;
	mem = btAlignedAlloc(sizeof(::btUniformScalingShape),16);
	o = new (mem)::btUniformScalingShape(tp0,p1);
	return (void*)o;
}
void btUniformScalingShape_free(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btUniformScalingShape::* )( ::btScalar,::btVector3 & ) const
void btUniformScalingShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getUniformScalingFactor ::btScalar ( ::btUniformScalingShape::* )(  ) const
float btUniformScalingShape_getUniformScalingFactor(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	float retVal = (float)o->getUniformScalingFactor();
	return retVal;
}
//method: localGetSupportingVertex ::btVector3 ( ::btUniformScalingShape::* )( ::btVector3 const & ) const
void btUniformScalingShape_localGetSupportingVertex(void *c,float* p0,float* ret) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: batchedUnitVectorGetSupportingVertexWithoutMargin void ( ::btUniformScalingShape::* )( ::btVector3 const *,::btVector3 *,int ) const
//method: getName char const * ( ::btUniformScalingShape::* )(  ) const
char const * btUniformScalingShape_getName(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getAabbSlow void ( ::btUniformScalingShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btUniformScalingShape_getAabbSlow(void *c,float* p0,float* p1,float* p2) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabbSlow(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getLocalScaling ::btVector3 const & ( ::btUniformScalingShape::* )(  ) const
void btUniformScalingShape_getLocalScaling(void *c,float* ret) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getChildShape ::btConvexShape * ( ::btUniformScalingShape::* )(  ) 
void* btUniformScalingShape_getChildShape(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	void* retVal = (void*) o->getChildShape();
	return retVal;
}
//method: getChildShape ::btConvexShape * ( ::btUniformScalingShape::* )(  ) 
void* btUniformScalingShape_getChildShape0(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	void* retVal = (void*) o->getChildShape();
	return retVal;
}
//method: getChildShape ::btConvexShape const * ( ::btUniformScalingShape::* )(  ) const
void* btUniformScalingShape_getChildShape1(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	void* retVal = (void*) o->getChildShape();
	return retVal;
}
//method: getPreferredPenetrationDirection void ( ::btUniformScalingShape::* )( int,::btVector3 & ) const
void btUniformScalingShape_getPreferredPenetrationDirection(void *c,int p0,float* p1) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getPreferredPenetrationDirection(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setLocalScaling void ( ::btUniformScalingShape::* )( ::btVector3 const & ) 
void btUniformScalingShape_setLocalScaling(void *c,float* p0) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getNumPreferredPenetrationDirections int ( ::btUniformScalingShape::* )(  ) const
int btUniformScalingShape_getNumPreferredPenetrationDirections(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	int retVal = (int)o->getNumPreferredPenetrationDirections();
	return retVal;
}
//method: getAabb void ( ::btUniformScalingShape::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btUniformScalingShape_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: setMargin void ( ::btUniformScalingShape::* )( ::btScalar ) 
void btUniformScalingShape_setMargin(void *c,float p0) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	o->setMargin(p0);
}
//method: getMargin ::btScalar ( ::btUniformScalingShape::* )(  ) const
float btUniformScalingShape_getMargin(void *c) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}
//method: localGetSupportingVertexWithoutMargin ::btVector3 ( ::btUniformScalingShape::* )( ::btVector3 const & ) const
void btUniformScalingShape_localGetSupportingVertexWithoutMargin(void *c,float* p0,float* ret) {
	::btUniformScalingShape *o = (::btUniformScalingShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->localGetSupportingVertexWithoutMargin(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}

// ::BT_BOX_BOX_TRANSFORM_CACHE
//constructor: BT_BOX_BOX_TRANSFORM_CACHE  ( ::BT_BOX_BOX_TRANSFORM_CACHE::* )(  ) 
void* bT_BOX_BOX_TRANSFORM_CACHE_new() {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::BT_BOX_BOX_TRANSFORM_CACHE),16);
	o = new (mem)::BT_BOX_BOX_TRANSFORM_CACHE();
	return (void*)o;
}
void bT_BOX_BOX_TRANSFORM_CACHE_free(void *c) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	delete o;
}
//method: calc_from_full_invert void ( ::BT_BOX_BOX_TRANSFORM_CACHE::* )( ::btTransform const &,::btTransform const & ) 
void bT_BOX_BOX_TRANSFORM_CACHE_calc_from_full_invert(void *c,float* p0,float* p1) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->calc_from_full_invert(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: calc_from_homogenic void ( ::BT_BOX_BOX_TRANSFORM_CACHE::* )( ::btTransform const &,::btTransform const & ) 
void bT_BOX_BOX_TRANSFORM_CACHE_calc_from_homogenic(void *c,float* p0,float* p1) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->calc_from_homogenic(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: transform ::btVector3 ( ::BT_BOX_BOX_TRANSFORM_CACHE::* )( ::btVector3 const & ) const
void bT_BOX_BOX_TRANSFORM_CACHE_transform(void *c,float* p0,float* ret) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->transform(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: calc_absolute_matrix void ( ::BT_BOX_BOX_TRANSFORM_CACHE::* )(  ) 
void bT_BOX_BOX_TRANSFORM_CACHE_calc_absolute_matrix(void *c) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	o->calc_absolute_matrix();
}
//attribute: ::btVector3 bT_BOX_BOX_TRANSFORM_CACHE->m_T1to0
void bT_BOX_BOX_TRANSFORM_CACHE_m_T1to0_set(void *c,float* a) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_T1to0 = ta;
}
void bT_BOX_BOX_TRANSFORM_CACHE_m_T1to0_get(void *c,float* a) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	a[0]=(o->m_T1to0).m_floats[0];a[1]=(o->m_T1to0).m_floats[1];a[2]=(o->m_T1to0).m_floats[2];
}

//attribute: ::btMatrix3x3 bT_BOX_BOX_TRANSFORM_CACHE->m_R1to0
void bT_BOX_BOX_TRANSFORM_CACHE_m_R1to0_set(void *c,float* a) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_R1to0 = ta;
}
void bT_BOX_BOX_TRANSFORM_CACHE_m_R1to0_get(void *c,float* a) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	a[0]=(o->m_R1to0).getRow(0).m_floats[0];a[1]=(o->m_R1to0).getRow(0).m_floats[1];a[2]=(o->m_R1to0).getRow(0).m_floats[2];a[3]=(o->m_R1to0).getRow(1).m_floats[0];a[4]=(o->m_R1to0).getRow(1).m_floats[1];a[5]=(o->m_R1to0).getRow(1).m_floats[2];a[6]=(o->m_R1to0).getRow(2).m_floats[0];a[7]=(o->m_R1to0).getRow(2).m_floats[1];a[8]=(o->m_R1to0).getRow(2).m_floats[2];
}

//attribute: ::btMatrix3x3 bT_BOX_BOX_TRANSFORM_CACHE->m_AR
void bT_BOX_BOX_TRANSFORM_CACHE_m_AR_set(void *c,float* a) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	btMatrix3x3 ta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	o->m_AR = ta;
}
void bT_BOX_BOX_TRANSFORM_CACHE_m_AR_get(void *c,float* a) {
	::BT_BOX_BOX_TRANSFORM_CACHE *o = (::BT_BOX_BOX_TRANSFORM_CACHE*)c;
	a[0]=(o->m_AR).getRow(0).m_floats[0];a[1]=(o->m_AR).getRow(0).m_floats[1];a[2]=(o->m_AR).getRow(0).m_floats[2];a[3]=(o->m_AR).getRow(1).m_floats[0];a[4]=(o->m_AR).getRow(1).m_floats[1];a[5]=(o->m_AR).getRow(1).m_floats[2];a[6]=(o->m_AR).getRow(2).m_floats[0];a[7]=(o->m_AR).getRow(2).m_floats[1];a[8]=(o->m_AR).getRow(2).m_floats[2];
}


// ::BT_QUANTIZED_BVH_NODE
//constructor: BT_QUANTIZED_BVH_NODE  ( ::BT_QUANTIZED_BVH_NODE::* )(  ) 
void* bT_QUANTIZED_BVH_NODE_new() {
	::BT_QUANTIZED_BVH_NODE *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::BT_QUANTIZED_BVH_NODE),16);
	o = new (mem)::BT_QUANTIZED_BVH_NODE();
	return (void*)o;
}
void bT_QUANTIZED_BVH_NODE_free(void *c) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	delete o;
}
//method: getEscapeIndex int ( ::BT_QUANTIZED_BVH_NODE::* )(  ) const
int bT_QUANTIZED_BVH_NODE_getEscapeIndex(void *c) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	int retVal = (int)o->getEscapeIndex();
	return retVal;
}
//method: getDataIndex int ( ::BT_QUANTIZED_BVH_NODE::* )(  ) const
int bT_QUANTIZED_BVH_NODE_getDataIndex(void *c) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	int retVal = (int)o->getDataIndex();
	return retVal;
}
//method: setEscapeIndex void ( ::BT_QUANTIZED_BVH_NODE::* )( int ) 
void bT_QUANTIZED_BVH_NODE_setEscapeIndex(void *c,int p0) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	o->setEscapeIndex(p0);
}
//method: setDataIndex void ( ::BT_QUANTIZED_BVH_NODE::* )( int ) 
void bT_QUANTIZED_BVH_NODE_setDataIndex(void *c,int p0) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	o->setDataIndex(p0);
}
//method: isLeafNode bool ( ::BT_QUANTIZED_BVH_NODE::* )(  ) const
int bT_QUANTIZED_BVH_NODE_isLeafNode(void *c) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	int retVal = (int)o->isLeafNode();
	return retVal;
}
//not supported method: testQuantizedBoxOverlapp bool ( ::BT_QUANTIZED_BVH_NODE::* )( short unsigned int *,short unsigned int * ) const
//attribute: short unsigned int[3] bT_QUANTIZED_BVH_NODE->m_quantizedAabbMin
// attribute not supported: //attribute: short unsigned int[3] bT_QUANTIZED_BVH_NODE->m_quantizedAabbMin
//attribute: short unsigned int[3] bT_QUANTIZED_BVH_NODE->m_quantizedAabbMax
// attribute not supported: //attribute: short unsigned int[3] bT_QUANTIZED_BVH_NODE->m_quantizedAabbMax
//attribute: int bT_QUANTIZED_BVH_NODE->m_escapeIndexOrDataIndex
void bT_QUANTIZED_BVH_NODE_m_escapeIndexOrDataIndex_set(void *c,int a) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	o->m_escapeIndexOrDataIndex = a;
}
int bT_QUANTIZED_BVH_NODE_m_escapeIndexOrDataIndex_get(void *c) {
	::BT_QUANTIZED_BVH_NODE *o = (::BT_QUANTIZED_BVH_NODE*)c;
	return (int)(o->m_escapeIndexOrDataIndex);
}


// ::btGImpactCompoundShape::CompoundPrimitiveManager
//constructor: CompoundPrimitiveManager  ( ::btGImpactCompoundShape::CompoundPrimitiveManager::* )( ::btGImpactCompoundShape * ) 
void* btGImpactCompoundShape_CompoundPrimitiveManager_new0(void* p0) {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = 0;
	 void *mem = 0;
	::btGImpactCompoundShape * tp0 = (::btGImpactCompoundShape *)p0;
	mem = btAlignedAlloc(sizeof(::btGImpactCompoundShape::CompoundPrimitiveManager),16);
	o = new (mem)::btGImpactCompoundShape::CompoundPrimitiveManager(tp0);
	return (void*)o;
}
//constructor: CompoundPrimitiveManager  ( ::btGImpactCompoundShape::CompoundPrimitiveManager::* )(  ) 
void* btGImpactCompoundShape_CompoundPrimitiveManager_new1() {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactCompoundShape::CompoundPrimitiveManager),16);
	o = new (mem)::btGImpactCompoundShape::CompoundPrimitiveManager();
	return (void*)o;
}
void btGImpactCompoundShape_CompoundPrimitiveManager_free(void *c) {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = (::btGImpactCompoundShape::CompoundPrimitiveManager*)c;
	delete o;
}
//method: get_primitive_count int ( ::btGImpactCompoundShape::CompoundPrimitiveManager::* )(  ) const
int btGImpactCompoundShape_CompoundPrimitiveManager_get_primitive_count(void *c) {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = (::btGImpactCompoundShape::CompoundPrimitiveManager*)c;
	int retVal = (int)o->get_primitive_count();
	return retVal;
}
//method: get_primitive_triangle void ( ::btGImpactCompoundShape::CompoundPrimitiveManager::* )( int,::btPrimitiveTriangle & ) const
void btGImpactCompoundShape_CompoundPrimitiveManager_get_primitive_triangle(void *c,int p0,void* p1) {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = (::btGImpactCompoundShape::CompoundPrimitiveManager*)c;
	::btPrimitiveTriangle & tp1 = *(::btPrimitiveTriangle *)p1;
	o->get_primitive_triangle(p0,tp1);
}
//method: get_primitive_box void ( ::btGImpactCompoundShape::CompoundPrimitiveManager::* )( int,::btAABB & ) const
void btGImpactCompoundShape_CompoundPrimitiveManager_get_primitive_box(void *c,int p0,void* p1) {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = (::btGImpactCompoundShape::CompoundPrimitiveManager*)c;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->get_primitive_box(p0,tp1);
}
//method: is_trimesh bool ( ::btGImpactCompoundShape::CompoundPrimitiveManager::* )(  ) const
int btGImpactCompoundShape_CompoundPrimitiveManager_is_trimesh(void *c) {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = (::btGImpactCompoundShape::CompoundPrimitiveManager*)c;
	int retVal = (int)o->is_trimesh();
	return retVal;
}
//attribute: ::btGImpactCompoundShape * btGImpactCompoundShape_CompoundPrimitiveManager->m_compoundShape
void btGImpactCompoundShape_CompoundPrimitiveManager_m_compoundShape_set(void *c,void* a) {
	::btGImpactCompoundShape::CompoundPrimitiveManager *o = (::btGImpactCompoundShape::CompoundPrimitiveManager*)c;
	::btGImpactCompoundShape * ta = (::btGImpactCompoundShape *)a;
	o->m_compoundShape = ta;
}
// attriibute getter not supported: //attribute: ::btGImpactCompoundShape * btGImpactCompoundShape_CompoundPrimitiveManager->m_compoundShape

// ::btGImpactCollisionAlgorithm::CreateFunc
//constructor: CreateFunc  ( ::btGImpactCollisionAlgorithm::CreateFunc::* )(  ) 
void* btGImpactCollisionAlgorithm_CreateFunc_new() {
	::btGImpactCollisionAlgorithm::CreateFunc *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactCollisionAlgorithm::CreateFunc),16);
	o = new (mem)::btGImpactCollisionAlgorithm::CreateFunc();
	return (void*)o;
}
void btGImpactCollisionAlgorithm_CreateFunc_free(void *c) {
	::btGImpactCollisionAlgorithm::CreateFunc *o = (::btGImpactCollisionAlgorithm::CreateFunc*)c;
	delete o;
}
//method: CreateCollisionAlgorithm ::btCollisionAlgorithm * ( ::btGImpactCollisionAlgorithm::CreateFunc::* )( ::btCollisionAlgorithmConstructionInfo &,::btCollisionObject *,::btCollisionObject * ) 
void* btGImpactCollisionAlgorithm_CreateFunc_CreateCollisionAlgorithm(void *c,void* p0,void* p1,void* p2) {
	::btGImpactCollisionAlgorithm::CreateFunc *o = (::btGImpactCollisionAlgorithm::CreateFunc*)c;
	::btCollisionAlgorithmConstructionInfo & tp0 = *(::btCollisionAlgorithmConstructionInfo *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	void* retVal = (void*) o->CreateCollisionAlgorithm(tp0,tp1,tp2);
	return retVal;
}

// ::GIM_BVH_DATA
//constructor: GIM_BVH_DATA  ( ::GIM_BVH_DATA::* )(  ) 
void* gIM_BVH_DATA_new() {
	::GIM_BVH_DATA *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_BVH_DATA),16);
	o = new (mem)::GIM_BVH_DATA();
	return (void*)o;
}
void gIM_BVH_DATA_free(void *c) {
	::GIM_BVH_DATA *o = (::GIM_BVH_DATA*)c;
	delete o;
}
//attribute: ::btAABB gIM_BVH_DATA->m_bound
// attribute not supported: //attribute: ::btAABB gIM_BVH_DATA->m_bound
//attribute: int gIM_BVH_DATA->m_data
void gIM_BVH_DATA_m_data_set(void *c,int a) {
	::GIM_BVH_DATA *o = (::GIM_BVH_DATA*)c;
	o->m_data = a;
}
int gIM_BVH_DATA_m_data_get(void *c) {
	::GIM_BVH_DATA *o = (::GIM_BVH_DATA*)c;
	return (int)(o->m_data);
}


// ::GIM_BVH_DATA_ARRAY
//constructor: GIM_BVH_DATA_ARRAY  ( ::GIM_BVH_DATA_ARRAY::* )(  ) 
void* gIM_BVH_DATA_ARRAY_new() {
	::GIM_BVH_DATA_ARRAY *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_BVH_DATA_ARRAY),16);
	o = new (mem)::GIM_BVH_DATA_ARRAY();
	return (void*)o;
}
void gIM_BVH_DATA_ARRAY_free(void *c) {
	::GIM_BVH_DATA_ARRAY *o = (::GIM_BVH_DATA_ARRAY*)c;
	delete o;
}

// ::GIM_BVH_TREE_NODE
//constructor: GIM_BVH_TREE_NODE  ( ::GIM_BVH_TREE_NODE::* )(  ) 
void* gIM_BVH_TREE_NODE_new() {
	::GIM_BVH_TREE_NODE *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_BVH_TREE_NODE),16);
	o = new (mem)::GIM_BVH_TREE_NODE();
	return (void*)o;
}
void gIM_BVH_TREE_NODE_free(void *c) {
	::GIM_BVH_TREE_NODE *o = (::GIM_BVH_TREE_NODE*)c;
	delete o;
}
//method: setDataIndex void ( ::GIM_BVH_TREE_NODE::* )( int ) 
void gIM_BVH_TREE_NODE_setDataIndex(void *c,int p0) {
	::GIM_BVH_TREE_NODE *o = (::GIM_BVH_TREE_NODE*)c;
	o->setDataIndex(p0);
}
//method: getEscapeIndex int ( ::GIM_BVH_TREE_NODE::* )(  ) const
int gIM_BVH_TREE_NODE_getEscapeIndex(void *c) {
	::GIM_BVH_TREE_NODE *o = (::GIM_BVH_TREE_NODE*)c;
	int retVal = (int)o->getEscapeIndex();
	return retVal;
}
//method: getDataIndex int ( ::GIM_BVH_TREE_NODE::* )(  ) const
int gIM_BVH_TREE_NODE_getDataIndex(void *c) {
	::GIM_BVH_TREE_NODE *o = (::GIM_BVH_TREE_NODE*)c;
	int retVal = (int)o->getDataIndex();
	return retVal;
}
//method: setEscapeIndex void ( ::GIM_BVH_TREE_NODE::* )( int ) 
void gIM_BVH_TREE_NODE_setEscapeIndex(void *c,int p0) {
	::GIM_BVH_TREE_NODE *o = (::GIM_BVH_TREE_NODE*)c;
	o->setEscapeIndex(p0);
}
//method: isLeafNode bool ( ::GIM_BVH_TREE_NODE::* )(  ) const
int gIM_BVH_TREE_NODE_isLeafNode(void *c) {
	::GIM_BVH_TREE_NODE *o = (::GIM_BVH_TREE_NODE*)c;
	int retVal = (int)o->isLeafNode();
	return retVal;
}
//attribute: ::btAABB gIM_BVH_TREE_NODE->m_bound
// attribute not supported: //attribute: ::btAABB gIM_BVH_TREE_NODE->m_bound

// ::GIM_BVH_TREE_NODE_ARRAY
//constructor: GIM_BVH_TREE_NODE_ARRAY  ( ::GIM_BVH_TREE_NODE_ARRAY::* )(  ) 
void* gIM_BVH_TREE_NODE_ARRAY_new() {
	::GIM_BVH_TREE_NODE_ARRAY *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_BVH_TREE_NODE_ARRAY),16);
	o = new (mem)::GIM_BVH_TREE_NODE_ARRAY();
	return (void*)o;
}
void gIM_BVH_TREE_NODE_ARRAY_free(void *c) {
	::GIM_BVH_TREE_NODE_ARRAY *o = (::GIM_BVH_TREE_NODE_ARRAY*)c;
	delete o;
}

// ::GIM_PAIR
//constructor: GIM_PAIR  ( ::GIM_PAIR::* )(  ) 
void* gIM_PAIR_new0() {
	::GIM_PAIR *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_PAIR),16);
	o = new (mem)::GIM_PAIR();
	return (void*)o;
}
//constructor: GIM_PAIR  ( ::GIM_PAIR::* )( int,int ) 
void* gIM_PAIR_new1(int p0,int p1) {
	::GIM_PAIR *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_PAIR),16);
	o = new (mem)::GIM_PAIR(p0,p1);
	return (void*)o;
}
void gIM_PAIR_free(void *c) {
	::GIM_PAIR *o = (::GIM_PAIR*)c;
	delete o;
}
//attribute: int gIM_PAIR->m_index1
void gIM_PAIR_m_index1_set(void *c,int a) {
	::GIM_PAIR *o = (::GIM_PAIR*)c;
	o->m_index1 = a;
}
int gIM_PAIR_m_index1_get(void *c) {
	::GIM_PAIR *o = (::GIM_PAIR*)c;
	return (int)(o->m_index1);
}

//attribute: int gIM_PAIR->m_index2
void gIM_PAIR_m_index2_set(void *c,int a) {
	::GIM_PAIR *o = (::GIM_PAIR*)c;
	o->m_index2 = a;
}
int gIM_PAIR_m_index2_get(void *c) {
	::GIM_PAIR *o = (::GIM_PAIR*)c;
	return (int)(o->m_index2);
}


// ::GIM_QUANTIZED_BVH_NODE_ARRAY
//constructor: GIM_QUANTIZED_BVH_NODE_ARRAY  ( ::GIM_QUANTIZED_BVH_NODE_ARRAY::* )(  ) 
void* gIM_QUANTIZED_BVH_NODE_ARRAY_new() {
	::GIM_QUANTIZED_BVH_NODE_ARRAY *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_QUANTIZED_BVH_NODE_ARRAY),16);
	o = new (mem)::GIM_QUANTIZED_BVH_NODE_ARRAY();
	return (void*)o;
}
void gIM_QUANTIZED_BVH_NODE_ARRAY_free(void *c) {
	::GIM_QUANTIZED_BVH_NODE_ARRAY *o = (::GIM_QUANTIZED_BVH_NODE_ARRAY*)c;
	delete o;
}

// ::GIM_TRIANGLE_CONTACT
//constructor: GIM_TRIANGLE_CONTACT  ( ::GIM_TRIANGLE_CONTACT::* )(  ) 
void* gIM_TRIANGLE_CONTACT_new() {
	::GIM_TRIANGLE_CONTACT *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::GIM_TRIANGLE_CONTACT),16);
	o = new (mem)::GIM_TRIANGLE_CONTACT();
	return (void*)o;
}
void gIM_TRIANGLE_CONTACT_free(void *c) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	delete o;
}
//not supported method: merge_points void ( ::GIM_TRIANGLE_CONTACT::* )( ::btVector4 const &,::btScalar,::btVector3 const *,int ) 
//method: copy_from void ( ::GIM_TRIANGLE_CONTACT::* )( ::GIM_TRIANGLE_CONTACT const & ) 
void gIM_TRIANGLE_CONTACT_copy_from(void *c,void* p0) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	::GIM_TRIANGLE_CONTACT const & tp0 = *(::GIM_TRIANGLE_CONTACT const *)p0;
	o->copy_from(tp0);
}
//attribute: ::btScalar gIM_TRIANGLE_CONTACT->m_penetration_depth
void gIM_TRIANGLE_CONTACT_m_penetration_depth_set(void *c,float a) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	o->m_penetration_depth = a;
}
float gIM_TRIANGLE_CONTACT_m_penetration_depth_get(void *c) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	return (float)(o->m_penetration_depth);
}

//attribute: int gIM_TRIANGLE_CONTACT->m_point_count
void gIM_TRIANGLE_CONTACT_m_point_count_set(void *c,int a) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	o->m_point_count = a;
}
int gIM_TRIANGLE_CONTACT_m_point_count_get(void *c) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	return (int)(o->m_point_count);
}

//attribute: ::btVector3[16] gIM_TRIANGLE_CONTACT->m_points
// attribute not supported: //attribute: ::btVector3[16] gIM_TRIANGLE_CONTACT->m_points
//attribute: ::btVector4 gIM_TRIANGLE_CONTACT->m_separating_normal
void gIM_TRIANGLE_CONTACT_m_separating_normal_set(void *c,float* a) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	btVector4 ta(a[0],a[1],a[2],a[3]);
	o->m_separating_normal = ta;
}
void gIM_TRIANGLE_CONTACT_m_separating_normal_get(void *c,float* a) {
	::GIM_TRIANGLE_CONTACT *o = (::GIM_TRIANGLE_CONTACT*)c;
	a[0]=(o->m_separating_normal).getX();a[1]=(o->m_separating_normal).getY();a[2]=(o->m_separating_normal).getZ();a[3]=(o->m_separating_normal).getW();
}


// ::btGImpactMeshShapePart::TrimeshPrimitiveManager
//constructor: TrimeshPrimitiveManager  ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )(  ) 
void* btGImpactMeshShapePart_TrimeshPrimitiveManager_new0() {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactMeshShapePart::TrimeshPrimitiveManager),16);
	o = new (mem)::btGImpactMeshShapePart::TrimeshPrimitiveManager();
	return (void*)o;
}
//constructor: TrimeshPrimitiveManager  ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )( ::btStridingMeshInterface *,int ) 
void* btGImpactMeshShapePart_TrimeshPrimitiveManager_new1(void* p0,int p1) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = 0;
	 void *mem = 0;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	mem = btAlignedAlloc(sizeof(::btGImpactMeshShapePart::TrimeshPrimitiveManager),16);
	o = new (mem)::btGImpactMeshShapePart::TrimeshPrimitiveManager(tp0,p1);
	return (void*)o;
}
void btGImpactMeshShapePart_TrimeshPrimitiveManager_free(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	delete o;
}
//method: get_vertex_count int ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )(  ) const
int btGImpactMeshShapePart_TrimeshPrimitiveManager_get_vertex_count(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	int retVal = (int)o->get_vertex_count();
	return retVal;
}
//method: get_vertex void ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )( int,::btVector3 & ) const
void btGImpactMeshShapePart_TrimeshPrimitiveManager_get_vertex(void *c,int p0,float* p1) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->get_vertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: is_trimesh bool ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )(  ) const
int btGImpactMeshShapePart_TrimeshPrimitiveManager_is_trimesh(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	int retVal = (int)o->is_trimesh();
	return retVal;
}
//method: lock void ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )(  ) 
void btGImpactMeshShapePart_TrimeshPrimitiveManager_lock(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->lock();
}
//method: get_primitive_box void ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )( int,::btAABB & ) const
void btGImpactMeshShapePart_TrimeshPrimitiveManager_get_primitive_box(void *c,int p0,void* p1) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->get_primitive_box(p0,tp1);
}
//method: get_primitive_triangle void ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )( int,::btPrimitiveTriangle & ) const
void btGImpactMeshShapePart_TrimeshPrimitiveManager_get_primitive_triangle(void *c,int p0,void* p1) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	::btPrimitiveTriangle & tp1 = *(::btPrimitiveTriangle *)p1;
	o->get_primitive_triangle(p0,tp1);
}
//method: unlock void ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )(  ) 
void btGImpactMeshShapePart_TrimeshPrimitiveManager_unlock(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->unlock();
}
//method: get_bullet_triangle void ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )( int,::btTriangleShapeEx & ) const
void btGImpactMeshShapePart_TrimeshPrimitiveManager_get_bullet_triangle(void *c,int p0,void* p1) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	::btTriangleShapeEx & tp1 = *(::btTriangleShapeEx *)p1;
	o->get_bullet_triangle(p0,tp1);
}
//method: get_primitive_count int ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )(  ) const
int btGImpactMeshShapePart_TrimeshPrimitiveManager_get_primitive_count(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	int retVal = (int)o->get_primitive_count();
	return retVal;
}
//not supported method: get_indices void ( ::btGImpactMeshShapePart::TrimeshPrimitiveManager::* )( int,int &,int &,int & ) const
//attribute: ::btScalar btGImpactMeshShapePart_TrimeshPrimitiveManager->m_margin
void btGImpactMeshShapePart_TrimeshPrimitiveManager_m_margin_set(void *c,float a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->m_margin = a;
}
float btGImpactMeshShapePart_TrimeshPrimitiveManager_m_margin_get(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	return (float)(o->m_margin);
}

//attribute: ::btStridingMeshInterface * btGImpactMeshShapePart_TrimeshPrimitiveManager->m_meshInterface
void btGImpactMeshShapePart_TrimeshPrimitiveManager_m_meshInterface_set(void *c,void* a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	::btStridingMeshInterface * ta = (::btStridingMeshInterface *)a;
	o->m_meshInterface = ta;
}
// attriibute getter not supported: //attribute: ::btStridingMeshInterface * btGImpactMeshShapePart_TrimeshPrimitiveManager->m_meshInterface
//attribute: ::btVector3 btGImpactMeshShapePart_TrimeshPrimitiveManager->m_scale
void btGImpactMeshShapePart_TrimeshPrimitiveManager_m_scale_set(void *c,float* a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_scale = ta;
}
void btGImpactMeshShapePart_TrimeshPrimitiveManager_m_scale_get(void *c,float* a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	a[0]=(o->m_scale).m_floats[0];a[1]=(o->m_scale).m_floats[1];a[2]=(o->m_scale).m_floats[2];
}

//attribute: int btGImpactMeshShapePart_TrimeshPrimitiveManager->m_part
void btGImpactMeshShapePart_TrimeshPrimitiveManager_m_part_set(void *c,int a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->m_part = a;
}
int btGImpactMeshShapePart_TrimeshPrimitiveManager_m_part_get(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	return (int)(o->m_part);
}

//attribute: int btGImpactMeshShapePart_TrimeshPrimitiveManager->m_lock_count
void btGImpactMeshShapePart_TrimeshPrimitiveManager_m_lock_count_set(void *c,int a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->m_lock_count = a;
}
int btGImpactMeshShapePart_TrimeshPrimitiveManager_m_lock_count_get(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	return (int)(o->m_lock_count);
}

//attribute: unsigned char const * btGImpactMeshShapePart_TrimeshPrimitiveManager->vertexbase
// attribute not supported: //attribute: unsigned char const * btGImpactMeshShapePart_TrimeshPrimitiveManager->vertexbase
//attribute: int btGImpactMeshShapePart_TrimeshPrimitiveManager->numverts
void btGImpactMeshShapePart_TrimeshPrimitiveManager_numverts_set(void *c,int a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->numverts = a;
}
int btGImpactMeshShapePart_TrimeshPrimitiveManager_numverts_get(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	return (int)(o->numverts);
}

//attribute: ::PHY_ScalarType btGImpactMeshShapePart_TrimeshPrimitiveManager->type
// attribute not supported: //attribute: ::PHY_ScalarType btGImpactMeshShapePart_TrimeshPrimitiveManager->type
//attribute: int btGImpactMeshShapePart_TrimeshPrimitiveManager->stride
void btGImpactMeshShapePart_TrimeshPrimitiveManager_stride_set(void *c,int a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->stride = a;
}
int btGImpactMeshShapePart_TrimeshPrimitiveManager_stride_get(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	return (int)(o->stride);
}

//attribute: unsigned char const * btGImpactMeshShapePart_TrimeshPrimitiveManager->indexbase
// attribute not supported: //attribute: unsigned char const * btGImpactMeshShapePart_TrimeshPrimitiveManager->indexbase
//attribute: int btGImpactMeshShapePart_TrimeshPrimitiveManager->indexstride
void btGImpactMeshShapePart_TrimeshPrimitiveManager_indexstride_set(void *c,int a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->indexstride = a;
}
int btGImpactMeshShapePart_TrimeshPrimitiveManager_indexstride_get(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	return (int)(o->indexstride);
}

//attribute: int btGImpactMeshShapePart_TrimeshPrimitiveManager->numfaces
void btGImpactMeshShapePart_TrimeshPrimitiveManager_numfaces_set(void *c,int a) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	o->numfaces = a;
}
int btGImpactMeshShapePart_TrimeshPrimitiveManager_numfaces_get(void *c) {
	::btGImpactMeshShapePart::TrimeshPrimitiveManager *o = (::btGImpactMeshShapePart::TrimeshPrimitiveManager*)c;
	return (int)(o->numfaces);
}

//attribute: ::PHY_ScalarType btGImpactMeshShapePart_TrimeshPrimitiveManager->indicestype
// attribute not supported: //attribute: ::PHY_ScalarType btGImpactMeshShapePart_TrimeshPrimitiveManager->indicestype

// ::btAABB
//constructor: btAABB  ( ::btAABB::* )(  ) 
void* btAABB_new0() {
	::btAABB *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btAABB),16);
	o = new (mem)::btAABB();
	return (void*)o;
}
//constructor: btAABB  ( ::btAABB::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void* btAABB_new1(float* p0,float* p1,float* p2) {
	::btAABB *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btAABB),16);
	o = new (mem)::btAABB(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
//constructor: btAABB  ( ::btAABB::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void* btAABB_new2(float* p0,float* p1,float* p2,float p3) {
	::btAABB *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btAABB),16);
	o = new (mem)::btAABB(tp0,tp1,tp2,p3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
//constructor: btAABB  ( ::btAABB::* )( ::btAABB const &,::btScalar ) 
void* btAABB_new3(void* p0,float p1) {
	::btAABB *o = 0;
	 void *mem = 0;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	mem = btAlignedAlloc(sizeof(::btAABB),16);
	o = new (mem)::btAABB(tp0,p1);
	return (void*)o;
}
void btAABB_free(void *c) {
	::btAABB *o = (::btAABB*)c;
	delete o;
}
//method: overlapping_trans_conservative bool ( ::btAABB::* )( ::btAABB const &,::btTransform & ) const
int btAABB_overlapping_trans_conservative(void *c,void* p0,float* p1) {
	::btAABB *o = (::btAABB*)c;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	int retVal = (int)o->overlapping_trans_conservative(tp0,tp1);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	return retVal;
}
//method: appy_transform void ( ::btAABB::* )( ::btTransform const & ) 
void btAABB_appy_transform(void *c,float* p0) {
	::btAABB *o = (::btAABB*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->appy_transform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: find_intersection void ( ::btAABB::* )( ::btAABB const &,::btAABB & ) const
void btAABB_find_intersection(void *c,void* p0,void* p1) {
	::btAABB *o = (::btAABB*)c;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->find_intersection(tp0,tp1);
}
//method: collide_ray bool ( ::btAABB::* )( ::btVector3 const &,::btVector3 const & ) const
int btAABB_collide_ray(void *c,float* p0,float* p1) {
	::btAABB *o = (::btAABB*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	int retVal = (int)o->collide_ray(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return retVal;
}
//method: overlapping_trans_cache bool ( ::btAABB::* )( ::btAABB const &,::BT_BOX_BOX_TRANSFORM_CACHE const &,bool ) const
int btAABB_overlapping_trans_cache(void *c,void* p0,void* p1,int p2) {
	::btAABB *o = (::btAABB*)c;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	::BT_BOX_BOX_TRANSFORM_CACHE const & tp1 = *(::BT_BOX_BOX_TRANSFORM_CACHE const *)p1;
	int retVal = (int)o->overlapping_trans_cache(tp0,tp1,p2);
	return retVal;
}
//method: get_center_extend void ( ::btAABB::* )( ::btVector3 &,::btVector3 & ) const
void btAABB_get_center_extend(void *c,float* p0,float* p1) {
	::btAABB *o = (::btAABB*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->get_center_extend(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: invalidate void ( ::btAABB::* )(  ) 
void btAABB_invalidate(void *c) {
	::btAABB *o = (::btAABB*)c;
	o->invalidate();
}
//method: has_collision bool ( ::btAABB::* )( ::btAABB const & ) const
int btAABB_has_collision(void *c,void* p0) {
	::btAABB *o = (::btAABB*)c;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	int retVal = (int)o->has_collision(tp0);
	return retVal;
}
//not supported method: projection_interval void ( ::btAABB::* )( ::btVector3 const &,::btScalar &,::btScalar & ) const
//method: appy_transform_trans_cache void ( ::btAABB::* )( ::BT_BOX_BOX_TRANSFORM_CACHE const & ) 
void btAABB_appy_transform_trans_cache(void *c,void* p0) {
	::btAABB *o = (::btAABB*)c;
	::BT_BOX_BOX_TRANSFORM_CACHE const & tp0 = *(::BT_BOX_BOX_TRANSFORM_CACHE const *)p0;
	o->appy_transform_trans_cache(tp0);
}
//method: calc_from_triangle_margin void ( ::btAABB::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void btAABB_calc_from_triangle_margin(void *c,float* p0,float* p1,float* p2,float p3) {
	::btAABB *o = (::btAABB*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->calc_from_triangle_margin(tp0,tp1,tp2,p3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: increment_margin void ( ::btAABB::* )( ::btScalar ) 
void btAABB_increment_margin(void *c,float p0) {
	::btAABB *o = (::btAABB*)c;
	o->increment_margin(p0);
}
//method: merge void ( ::btAABB::* )( ::btAABB const & ) 
void btAABB_merge(void *c,void* p0) {
	::btAABB *o = (::btAABB*)c;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	o->merge(tp0);
}
//method: collide_plane bool ( ::btAABB::* )( ::btVector4 const & ) const
int btAABB_collide_plane(void *c,float* p0) {
	::btAABB *o = (::btAABB*)c;
	btVector4 tp0(p0[0],p0[1],p0[2],p0[3]);
	int retVal = (int)o->collide_plane(tp0);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
	return retVal;
}
//not supported method: plane_classify ::eBT_PLANE_INTERSECTION_TYPE ( ::btAABB::* )( ::btVector4 const & ) const
//method: overlapping_trans_conservative2 bool ( ::btAABB::* )( ::btAABB const &,::BT_BOX_BOX_TRANSFORM_CACHE const & ) const
int btAABB_overlapping_trans_conservative2(void *c,void* p0,void* p1) {
	::btAABB *o = (::btAABB*)c;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	::BT_BOX_BOX_TRANSFORM_CACHE const & tp1 = *(::BT_BOX_BOX_TRANSFORM_CACHE const *)p1;
	int retVal = (int)o->overlapping_trans_conservative2(tp0,tp1);
	return retVal;
}
//method: copy_with_margin void ( ::btAABB::* )( ::btAABB const &,::btScalar ) 
void btAABB_copy_with_margin(void *c,void* p0,float p1) {
	::btAABB *o = (::btAABB*)c;
	::btAABB const & tp0 = *(::btAABB const *)p0;
	o->copy_with_margin(tp0,p1);
}
//method: collide_triangle_exact bool ( ::btAABB::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector4 const & ) const
int btAABB_collide_triangle_exact(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btAABB *o = (::btAABB*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector4 tp3(p3[0],p3[1],p3[2],p3[3]);
	int retVal = (int)o->collide_triangle_exact(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.getX();p3[1]=tp3.getY();p3[2]=tp3.getZ();p3[3]=tp3.getW();
	return retVal;
}
//attribute: ::btVector3 btAABB->m_max
void btAABB_m_max_set(void *c,float* a) {
	::btAABB *o = (::btAABB*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_max = ta;
}
void btAABB_m_max_get(void *c,float* a) {
	::btAABB *o = (::btAABB*)c;
	a[0]=(o->m_max).m_floats[0];a[1]=(o->m_max).m_floats[1];a[2]=(o->m_max).m_floats[2];
}

//attribute: ::btVector3 btAABB->m_min
void btAABB_m_min_set(void *c,float* a) {
	::btAABB *o = (::btAABB*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_min = ta;
}
void btAABB_m_min_get(void *c,float* a) {
	::btAABB *o = (::btAABB*)c;
	a[0]=(o->m_min).m_floats[0];a[1]=(o->m_min).m_floats[1];a[2]=(o->m_min).m_floats[2];
}


// ::btBvhTree
//constructor: btBvhTree  ( ::btBvhTree::* )(  ) 
void* btBvhTree_new() {
	::btBvhTree *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBvhTree),16);
	o = new (mem)::btBvhTree();
	return (void*)o;
}
void btBvhTree_free(void *c) {
	::btBvhTree *o = (::btBvhTree*)c;
	delete o;
}
//method: getNodeCount int ( ::btBvhTree::* )(  ) const
int btBvhTree_getNodeCount(void *c) {
	::btBvhTree *o = (::btBvhTree*)c;
	int retVal = (int)o->getNodeCount();
	return retVal;
}
//method: build_tree void ( ::btBvhTree::* )( ::GIM_BVH_DATA_ARRAY & ) 
void btBvhTree_build_tree(void *c,void* p0) {
	::btBvhTree *o = (::btBvhTree*)c;
	::GIM_BVH_DATA_ARRAY & tp0 = *(::GIM_BVH_DATA_ARRAY *)p0;
	o->build_tree(tp0);
}
//method: setNodeBound void ( ::btBvhTree::* )( int,::btAABB const & ) 
void btBvhTree_setNodeBound(void *c,int p0,void* p1) {
	::btBvhTree *o = (::btBvhTree*)c;
	::btAABB const & tp1 = *(::btAABB const *)p1;
	o->setNodeBound(p0,tp1);
}
//method: getLeftNode int ( ::btBvhTree::* )( int ) const
int btBvhTree_getLeftNode(void *c,int p0) {
	::btBvhTree *o = (::btBvhTree*)c;
	int retVal = (int)o->getLeftNode(p0);
	return retVal;
}
//method: getRightNode int ( ::btBvhTree::* )( int ) const
int btBvhTree_getRightNode(void *c,int p0) {
	::btBvhTree *o = (::btBvhTree*)c;
	int retVal = (int)o->getRightNode(p0);
	return retVal;
}
//method: clearNodes void ( ::btBvhTree::* )(  ) 
void btBvhTree_clearNodes(void *c) {
	::btBvhTree *o = (::btBvhTree*)c;
	o->clearNodes();
}
//method: getEscapeNodeIndex int ( ::btBvhTree::* )( int ) const
int btBvhTree_getEscapeNodeIndex(void *c,int p0) {
	::btBvhTree *o = (::btBvhTree*)c;
	int retVal = (int)o->getEscapeNodeIndex(p0);
	return retVal;
}
//method: isLeafNode bool ( ::btBvhTree::* )( int ) const
int btBvhTree_isLeafNode(void *c,int p0) {
	::btBvhTree *o = (::btBvhTree*)c;
	int retVal = (int)o->isLeafNode(p0);
	return retVal;
}
//method: get_node_pointer ::GIM_BVH_TREE_NODE const * ( ::btBvhTree::* )( int ) const
void* btBvhTree_get_node_pointer(void *c,int p0) {
	::btBvhTree *o = (::btBvhTree*)c;
	void* retVal = (void*) o->get_node_pointer(p0);
	return retVal;
}
//method: getNodeData int ( ::btBvhTree::* )( int ) const
int btBvhTree_getNodeData(void *c,int p0) {
	::btBvhTree *o = (::btBvhTree*)c;
	int retVal = (int)o->getNodeData(p0);
	return retVal;
}
//method: getNodeBound void ( ::btBvhTree::* )( int,::btAABB & ) const
void btBvhTree_getNodeBound(void *c,int p0,void* p1) {
	::btBvhTree *o = (::btBvhTree*)c;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->getNodeBound(p0,tp1);
}

// ::btGImpactBvh
//constructor: btGImpactBvh  ( ::btGImpactBvh::* )(  ) 
void* btGImpactBvh_new0() {
	::btGImpactBvh *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactBvh),16);
	o = new (mem)::btGImpactBvh();
	return (void*)o;
}
//constructor: btGImpactBvh  ( ::btGImpactBvh::* )( ::btPrimitiveManagerBase * ) 
void* btGImpactBvh_new1(void* p0) {
	::btGImpactBvh *o = 0;
	 void *mem = 0;
	::btPrimitiveManagerBase * tp0 = (::btPrimitiveManagerBase *)p0;
	mem = btAlignedAlloc(sizeof(::btGImpactBvh),16);
	o = new (mem)::btGImpactBvh(tp0);
	return (void*)o;
}
void btGImpactBvh_free(void *c) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	delete o;
}
//method: getNodeCount int ( ::btGImpactBvh::* )(  ) const
int btGImpactBvh_getNodeCount(void *c) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->getNodeCount();
	return retVal;
}
//method: find_collision void (*)( ::btGImpactBvh *,::btTransform const &,::btGImpactBvh *,::btTransform const &,::btPairSet & )
void btGImpactBvh_find_collision(void* p0,float* p1,void* p2,float* p3,void* p4) {
	::btGImpactBvh * tp0 = (::btGImpactBvh *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	::btGImpactBvh * tp2 = (::btGImpactBvh *)p2;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	::btPairSet & tp4 = *(::btPairSet *)p4;
	::btGImpactBvh::find_collision(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
}
//method: getNodeTriangle void ( ::btGImpactBvh::* )( int,::btPrimitiveTriangle & ) const
void btGImpactBvh_getNodeTriangle(void *c,int p0,void* p1) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	::btPrimitiveTriangle & tp1 = *(::btPrimitiveTriangle *)p1;
	o->getNodeTriangle(p0,tp1);
}
//method: hasHierarchy bool ( ::btGImpactBvh::* )(  ) const
int btGImpactBvh_hasHierarchy(void *c) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->hasHierarchy();
	return retVal;
}
//not supported method: rayQuery bool ( ::btGImpactBvh::* )( ::btVector3 const &,::btVector3 const &,::btAlignedObjectArray<int> & ) const
//method: getLeftNode int ( ::btGImpactBvh::* )( int ) const
int btGImpactBvh_getLeftNode(void *c,int p0) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->getLeftNode(p0);
	return retVal;
}
//method: getRightNode int ( ::btGImpactBvh::* )( int ) const
int btGImpactBvh_getRightNode(void *c,int p0) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->getRightNode(p0);
	return retVal;
}
//not supported method: boxQueryTrans bool ( ::btGImpactBvh::* )( ::btAABB const &,::btTransform const &,::btAlignedObjectArray<int> & ) const
//method: update void ( ::btGImpactBvh::* )(  ) 
void btGImpactBvh_update(void *c) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	o->update();
}
//not supported method: getGlobalBox ::btAABB ( ::btGImpactBvh::* )(  ) const
//method: isTrimesh bool ( ::btGImpactBvh::* )(  ) const
int btGImpactBvh_isTrimesh(void *c) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->isTrimesh();
	return retVal;
}
//method: setNodeBound void ( ::btGImpactBvh::* )( int,::btAABB const & ) 
void btGImpactBvh_setNodeBound(void *c,int p0,void* p1) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	::btAABB const & tp1 = *(::btAABB const *)p1;
	o->setNodeBound(p0,tp1);
}
//method: setPrimitiveManager void ( ::btGImpactBvh::* )( ::btPrimitiveManagerBase * ) 
void btGImpactBvh_setPrimitiveManager(void *c,void* p0) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	::btPrimitiveManagerBase * tp0 = (::btPrimitiveManagerBase *)p0;
	o->setPrimitiveManager(tp0);
}
//method: getEscapeNodeIndex int ( ::btGImpactBvh::* )( int ) const
int btGImpactBvh_getEscapeNodeIndex(void *c,int p0) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->getEscapeNodeIndex(p0);
	return retVal;
}
//method: isLeafNode bool ( ::btGImpactBvh::* )( int ) const
int btGImpactBvh_isLeafNode(void *c,int p0) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->isLeafNode(p0);
	return retVal;
}
//method: getPrimitiveManager ::btPrimitiveManagerBase * ( ::btGImpactBvh::* )(  ) const
void* btGImpactBvh_getPrimitiveManager(void *c) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	void* retVal = (void*) o->getPrimitiveManager();
	return retVal;
}
//method: buildSet void ( ::btGImpactBvh::* )(  ) 
void btGImpactBvh_buildSet(void *c) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	o->buildSet();
}
//method: get_node_pointer ::GIM_BVH_TREE_NODE const * ( ::btGImpactBvh::* )( int ) const
void* btGImpactBvh_get_node_pointer(void *c,int p0) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	void* retVal = (void*) o->get_node_pointer(p0);
	return retVal;
}
//method: getNodeData int ( ::btGImpactBvh::* )( int ) const
int btGImpactBvh_getNodeData(void *c,int p0) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	int retVal = (int)o->getNodeData(p0);
	return retVal;
}
//method: getNodeBound void ( ::btGImpactBvh::* )( int,::btAABB & ) const
void btGImpactBvh_getNodeBound(void *c,int p0,void* p1) {
	::btGImpactBvh *o = (::btGImpactBvh*)c;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->getNodeBound(p0,tp1);
}
//not supported method: boxQuery bool ( ::btGImpactBvh::* )( ::btAABB const &,::btAlignedObjectArray<int> & ) const

// ::btGImpactCollisionAlgorithm
//constructor: btGImpactCollisionAlgorithm  ( ::btGImpactCollisionAlgorithm::* )( ::btCollisionAlgorithmConstructionInfo const &,::btCollisionObject *,::btCollisionObject * ) 
void* btGImpactCollisionAlgorithm_new(void* p0,void* p1,void* p2) {
	::btGImpactCollisionAlgorithm *o = 0;
	 void *mem = 0;
	::btCollisionAlgorithmConstructionInfo const & tp0 = *(::btCollisionAlgorithmConstructionInfo const *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	mem = btAlignedAlloc(sizeof(::btGImpactCollisionAlgorithm),16);
	o = new (mem)::btGImpactCollisionAlgorithm(tp0,tp1,tp2);
	return (void*)o;
}
void btGImpactCollisionAlgorithm_free(void *c) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	delete o;
}
//method: getPart1 int ( ::btGImpactCollisionAlgorithm::* )(  ) 
int btGImpactCollisionAlgorithm_getPart1(void *c) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	int retVal = (int)o->getPart1();
	return retVal;
}
//method: getPart0 int ( ::btGImpactCollisionAlgorithm::* )(  ) 
int btGImpactCollisionAlgorithm_getPart0(void *c) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	int retVal = (int)o->getPart0();
	return retVal;
}
//method: gimpact_vs_shape void ( ::btGImpactCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btGImpactShapeInterface *,::btCollisionShape *,bool ) 
void btGImpactCollisionAlgorithm_gimpact_vs_shape(void *c,void* p0,void* p1,void* p2,void* p3,int p4) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btGImpactShapeInterface * tp2 = (::btGImpactShapeInterface *)p2;
	::btCollisionShape * tp3 = (::btCollisionShape *)p3;
	o->gimpact_vs_shape(tp0,tp1,tp2,tp3,p4);
}
//method: getFace1 int ( ::btGImpactCollisionAlgorithm::* )(  ) 
int btGImpactCollisionAlgorithm_getFace1(void *c) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	int retVal = (int)o->getFace1();
	return retVal;
}
//method: gimpact_vs_concave void ( ::btGImpactCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btGImpactShapeInterface *,::btConcaveShape *,bool ) 
void btGImpactCollisionAlgorithm_gimpact_vs_concave(void *c,void* p0,void* p1,void* p2,void* p3,int p4) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btGImpactShapeInterface * tp2 = (::btGImpactShapeInterface *)p2;
	::btConcaveShape * tp3 = (::btConcaveShape *)p3;
	o->gimpact_vs_concave(tp0,tp1,tp2,tp3,p4);
}
//method: gimpact_vs_compoundshape void ( ::btGImpactCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btGImpactShapeInterface *,::btCompoundShape *,bool ) 
void btGImpactCollisionAlgorithm_gimpact_vs_compoundshape(void *c,void* p0,void* p1,void* p2,void* p3,int p4) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btGImpactShapeInterface * tp2 = (::btGImpactShapeInterface *)p2;
	::btCompoundShape * tp3 = (::btCompoundShape *)p3;
	o->gimpact_vs_compoundshape(tp0,tp1,tp2,tp3,p4);
}
//method: calculateTimeOfImpact ::btScalar ( ::btGImpactCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
float btGImpactCollisionAlgorithm_calculateTimeOfImpact(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	float retVal = (float)o->calculateTimeOfImpact(tp0,tp1,tp2,tp3);
	return retVal;
}
//method: processCollision void ( ::btGImpactCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
void btGImpactCollisionAlgorithm_processCollision(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	o->processCollision(tp0,tp1,tp2,tp3);
}
//method: setFace1 void ( ::btGImpactCollisionAlgorithm::* )( int ) 
void btGImpactCollisionAlgorithm_setFace1(void *c,int p0) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	o->setFace1(p0);
}
//method: gimpact_vs_gimpact void ( ::btGImpactCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btGImpactShapeInterface *,::btGImpactShapeInterface * ) 
void btGImpactCollisionAlgorithm_gimpact_vs_gimpact(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btGImpactShapeInterface * tp2 = (::btGImpactShapeInterface *)p2;
	::btGImpactShapeInterface * tp3 = (::btGImpactShapeInterface *)p3;
	o->gimpact_vs_gimpact(tp0,tp1,tp2,tp3);
}
//not supported method: getAllContactManifolds void ( ::btGImpactCollisionAlgorithm::* )( ::btManifoldArray & ) 
//method: setFace0 void ( ::btGImpactCollisionAlgorithm::* )( int ) 
void btGImpactCollisionAlgorithm_setFace0(void *c,int p0) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	o->setFace0(p0);
}
//method: setPart1 void ( ::btGImpactCollisionAlgorithm::* )( int ) 
void btGImpactCollisionAlgorithm_setPart1(void *c,int p0) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	o->setPart1(p0);
}
//method: setPart0 void ( ::btGImpactCollisionAlgorithm::* )( int ) 
void btGImpactCollisionAlgorithm_setPart0(void *c,int p0) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	o->setPart0(p0);
}
//method: registerAlgorithm void (*)( ::btCollisionDispatcher * )
void btGImpactCollisionAlgorithm_registerAlgorithm(void* p0) {
	::btCollisionDispatcher * tp0 = (::btCollisionDispatcher *)p0;
	::btGImpactCollisionAlgorithm::registerAlgorithm(tp0);
}
//method: getFace0 int ( ::btGImpactCollisionAlgorithm::* )(  ) 
int btGImpactCollisionAlgorithm_getFace0(void *c) {
	::btGImpactCollisionAlgorithm *o = (::btGImpactCollisionAlgorithm*)c;
	int retVal = (int)o->getFace0();
	return retVal;
}

// ::btGImpactCompoundShape
//constructor: btGImpactCompoundShape  ( ::btGImpactCompoundShape::* )( bool ) 
void* btGImpactCompoundShape_new(int p0) {
	::btGImpactCompoundShape *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactCompoundShape),16);
	o = new (mem)::btGImpactCompoundShape(p0);
	return (void*)o;
}
void btGImpactCompoundShape_free(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btGImpactCompoundShape::* )( ::btScalar,::btVector3 & ) const
void btGImpactCompoundShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: addChildShape void ( ::btGImpactCompoundShape::* )( ::btTransform const &,::btCollisionShape * ) 
void btGImpactCompoundShape_addChildShape(void *c,float* p0,void* p1) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	::btCollisionShape * tp1 = (::btCollisionShape *)p1;
	o->addChildShape(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: addChildShape void ( ::btGImpactCompoundShape::* )( ::btTransform const &,::btCollisionShape * ) 
void btGImpactCompoundShape_addChildShape0(void *c,float* p0,void* p1) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	::btCollisionShape * tp1 = (::btCollisionShape *)p1;
	o->addChildShape(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: addChildShape void ( ::btGImpactCompoundShape::* )( ::btCollisionShape * ) 
void btGImpactCompoundShape_addChildShape1(void *c,void* p0) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	::btCollisionShape * tp0 = (::btCollisionShape *)p0;
	o->addChildShape(tp0);
}
//method: getCompoundPrimitiveManager ::btGImpactCompoundShape::CompoundPrimitiveManager * ( ::btGImpactCompoundShape::* )(  ) 
void* btGImpactCompoundShape_getCompoundPrimitiveManager(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	void* retVal = (void*) o->getCompoundPrimitiveManager();
	return retVal;
}
//method: setChildTransform void ( ::btGImpactCompoundShape::* )( int,::btTransform const & ) 
void btGImpactCompoundShape_setChildTransform(void *c,int p0,float* p1) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setChildTransform(p0,tp1);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getChildTransform ::btTransform ( ::btGImpactCompoundShape::* )( int ) const
void btGImpactCompoundShape_getChildTransform(void *c,int p0,float* ret) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChildTransform(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getBulletTetrahedron void ( ::btGImpactCompoundShape::* )( int,::btTetrahedronShapeEx & ) const
void btGImpactCompoundShape_getBulletTetrahedron(void *c,int p0,void* p1) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	::btTetrahedronShapeEx & tp1 = *(::btTetrahedronShapeEx *)p1;
	o->getBulletTetrahedron(p0,tp1);
}
//method: getName char const * ( ::btGImpactCompoundShape::* )(  ) const
char const * btGImpactCompoundShape_getName(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: needsRetrieveTetrahedrons bool ( ::btGImpactCompoundShape::* )(  ) const
int btGImpactCompoundShape_needsRetrieveTetrahedrons(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	int retVal = (int)o->needsRetrieveTetrahedrons();
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactCompoundShape::* )( int ) 
void* btGImpactCompoundShape_getChildShape(void *c,int p0) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactCompoundShape::* )( int ) 
void* btGImpactCompoundShape_getChildShape0(void *c,int p0) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape const * ( ::btGImpactCompoundShape::* )( int ) const
void* btGImpactCompoundShape_getChildShape1(void *c,int p0) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getBulletTriangle void ( ::btGImpactCompoundShape::* )( int,::btTriangleShapeEx & ) const
void btGImpactCompoundShape_getBulletTriangle(void *c,int p0,void* p1) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	::btTriangleShapeEx & tp1 = *(::btTriangleShapeEx *)p1;
	o->getBulletTriangle(p0,tp1);
}
//method: needsRetrieveTriangles bool ( ::btGImpactCompoundShape::* )(  ) const
int btGImpactCompoundShape_needsRetrieveTriangles(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	int retVal = (int)o->needsRetrieveTriangles();
	return retVal;
}
//method: childrenHasTransform bool ( ::btGImpactCompoundShape::* )(  ) const
int btGImpactCompoundShape_childrenHasTransform(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	int retVal = (int)o->childrenHasTransform();
	return retVal;
}
//method: getNumChildShapes int ( ::btGImpactCompoundShape::* )(  ) const
int btGImpactCompoundShape_getNumChildShapes(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	int retVal = (int)o->getNumChildShapes();
	return retVal;
}
//method: getPrimitiveManager ::btPrimitiveManagerBase const * ( ::btGImpactCompoundShape::* )(  ) const
void* btGImpactCompoundShape_getPrimitiveManager(void *c) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	void* retVal = (void*) o->getPrimitiveManager();
	return retVal;
}
//method: getChildAabb void ( ::btGImpactCompoundShape::* )( int,::btTransform const &,::btVector3 &,::btVector3 & ) const
void btGImpactCompoundShape_getChildAabb(void *c,int p0,float* p1,float* p2,float* p3) {
	::btGImpactCompoundShape *o = (::btGImpactCompoundShape*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->getChildAabb(p0,tp1,tp2,tp3);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//not supported method: getGImpactShapeType ::eGIMPACT_SHAPE_TYPE ( ::btGImpactCompoundShape::* )(  ) const

// ::btGImpactMeshShape
//constructor: btGImpactMeshShape  ( ::btGImpactMeshShape::* )( ::btStridingMeshInterface * ) 
void* btGImpactMeshShape_new(void* p0) {
	::btGImpactMeshShape *o = 0;
	 void *mem = 0;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	mem = btAlignedAlloc(sizeof(::btGImpactMeshShape),16);
	o = new (mem)::btGImpactMeshShape(tp0);
	return (void*)o;
}
void btGImpactMeshShape_free(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btGImpactMeshShape::* )( ::btScalar,::btVector3 & ) const
void btGImpactMeshShape_calculateLocalInertia(void *c,float p0,float* p1) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setLocalScaling void ( ::btGImpactMeshShape::* )( ::btVector3 const & ) 
void btGImpactMeshShape_setLocalScaling(void *c,float* p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: setChildTransform void ( ::btGImpactMeshShape::* )( int,::btTransform const & ) 
void btGImpactMeshShape_setChildTransform(void *c,int p0,float* p1) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setChildTransform(p0,tp1);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getMeshInterface ::btStridingMeshInterface * ( ::btGImpactMeshShape::* )(  ) 
void* btGImpactMeshShape_getMeshInterface(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getMeshInterface ::btStridingMeshInterface * ( ::btGImpactMeshShape::* )(  ) 
void* btGImpactMeshShape_getMeshInterface0(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getMeshInterface ::btStridingMeshInterface const * ( ::btGImpactMeshShape::* )(  ) const
void* btGImpactMeshShape_getMeshInterface1(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getMeshInterface();
	return retVal;
}
//method: getPrimitiveManager ::btPrimitiveManagerBase const * ( ::btGImpactMeshShape::* )(  ) const
void* btGImpactMeshShape_getPrimitiveManager(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getPrimitiveManager();
	return retVal;
}
//method: processAllTriangles void ( ::btGImpactMeshShape::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btGImpactMeshShape_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getMeshPartCount int ( ::btGImpactMeshShape::* )(  ) const
int btGImpactMeshShape_getMeshPartCount(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	int retVal = (int)o->getMeshPartCount();
	return retVal;
}
//method: calculateSerializeBufferSize int ( ::btGImpactMeshShape::* )(  ) const
int btGImpactMeshShape_calculateSerializeBufferSize(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: rayTest void ( ::btGImpactMeshShape::* )( ::btVector3 const &,::btVector3 const &,::btCollisionWorld::RayResultCallback & ) const
void btGImpactMeshShape_rayTest(void *c,float* p0,float* p1,void* p2) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btCollisionWorld::RayResultCallback & tp2 = *(::btCollisionWorld::RayResultCallback *)p2;
	o->rayTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getName char const * ( ::btGImpactMeshShape::* )(  ) const
char const * btGImpactMeshShape_getName(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getBulletTriangle void ( ::btGImpactMeshShape::* )( int,::btTriangleShapeEx & ) const
void btGImpactMeshShape_getBulletTriangle(void *c,int p0,void* p1) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	::btTriangleShapeEx & tp1 = *(::btTriangleShapeEx *)p1;
	o->getBulletTriangle(p0,tp1);
}
//method: getMeshPart ::btGImpactMeshShapePart * ( ::btGImpactMeshShape::* )( int ) 
void* btGImpactMeshShape_getMeshPart(void *c,int p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getMeshPart(p0);
	return retVal;
}
//method: getMeshPart ::btGImpactMeshShapePart * ( ::btGImpactMeshShape::* )( int ) 
void* btGImpactMeshShape_getMeshPart0(void *c,int p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getMeshPart(p0);
	return retVal;
}
//method: getMeshPart ::btGImpactMeshShapePart const * ( ::btGImpactMeshShape::* )( int ) const
void* btGImpactMeshShape_getMeshPart1(void *c,int p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getMeshPart(p0);
	return retVal;
}
//method: needsRetrieveTriangles bool ( ::btGImpactMeshShape::* )(  ) const
int btGImpactMeshShape_needsRetrieveTriangles(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	int retVal = (int)o->needsRetrieveTriangles();
	return retVal;
}
//method: childrenHasTransform bool ( ::btGImpactMeshShape::* )(  ) const
int btGImpactMeshShape_childrenHasTransform(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	int retVal = (int)o->childrenHasTransform();
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactMeshShape::* )( int ) 
void* btGImpactMeshShape_getChildShape(void *c,int p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactMeshShape::* )( int ) 
void* btGImpactMeshShape_getChildShape0(void *c,int p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape const * ( ::btGImpactMeshShape::* )( int ) const
void* btGImpactMeshShape_getChildShape1(void *c,int p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//not supported method: serialize char const * ( ::btGImpactMeshShape::* )( void *,::btSerializer * ) const
//method: getChildTransform ::btTransform ( ::btGImpactMeshShape::* )( int ) const
void btGImpactMeshShape_getChildTransform(void *c,int p0,float* ret) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChildTransform(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: lockChildShapes void ( ::btGImpactMeshShape::* )(  ) const
void btGImpactMeshShape_lockChildShapes(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	o->lockChildShapes();
}
//method: setMargin void ( ::btGImpactMeshShape::* )( ::btScalar ) 
void btGImpactMeshShape_setMargin(void *c,float p0) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	o->setMargin(p0);
}
//method: getNumChildShapes int ( ::btGImpactMeshShape::* )(  ) const
int btGImpactMeshShape_getNumChildShapes(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	int retVal = (int)o->getNumChildShapes();
	return retVal;
}
//method: getChildAabb void ( ::btGImpactMeshShape::* )( int,::btTransform const &,::btVector3 &,::btVector3 & ) const
void btGImpactMeshShape_getChildAabb(void *c,int p0,float* p1,float* p2,float* p3) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->getChildAabb(p0,tp1,tp2,tp3);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: getBulletTetrahedron void ( ::btGImpactMeshShape::* )( int,::btTetrahedronShapeEx & ) const
void btGImpactMeshShape_getBulletTetrahedron(void *c,int p0,void* p1) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	::btTetrahedronShapeEx & tp1 = *(::btTetrahedronShapeEx *)p1;
	o->getBulletTetrahedron(p0,tp1);
}
//method: needsRetrieveTetrahedrons bool ( ::btGImpactMeshShape::* )(  ) const
int btGImpactMeshShape_needsRetrieveTetrahedrons(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	int retVal = (int)o->needsRetrieveTetrahedrons();
	return retVal;
}
//method: unlockChildShapes void ( ::btGImpactMeshShape::* )(  ) const
void btGImpactMeshShape_unlockChildShapes(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	o->unlockChildShapes();
}
//method: postUpdate void ( ::btGImpactMeshShape::* )(  ) 
void btGImpactMeshShape_postUpdate(void *c) {
	::btGImpactMeshShape *o = (::btGImpactMeshShape*)c;
	o->postUpdate();
}
//not supported method: getGImpactShapeType ::eGIMPACT_SHAPE_TYPE ( ::btGImpactMeshShape::* )(  ) const

// ::btGImpactMeshShapeData
//constructor: btGImpactMeshShapeData  ( ::btGImpactMeshShapeData::* )(  ) 
void* btGImpactMeshShapeData_new() {
	::btGImpactMeshShapeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactMeshShapeData),16);
	o = new (mem)::btGImpactMeshShapeData();
	return (void*)o;
}
void btGImpactMeshShapeData_free(void *c) {
	::btGImpactMeshShapeData *o = (::btGImpactMeshShapeData*)c;
	delete o;
}
//attribute: ::btCollisionShapeData btGImpactMeshShapeData->m_collisionShapeData
// attribute not supported: //attribute: ::btCollisionShapeData btGImpactMeshShapeData->m_collisionShapeData
//attribute: ::btStridingMeshInterfaceData btGImpactMeshShapeData->m_meshInterface
// attribute not supported: //attribute: ::btStridingMeshInterfaceData btGImpactMeshShapeData->m_meshInterface
//attribute: ::btVector3FloatData btGImpactMeshShapeData->m_localScaling
// attribute not supported: //attribute: ::btVector3FloatData btGImpactMeshShapeData->m_localScaling
//attribute: float btGImpactMeshShapeData->m_collisionMargin
void btGImpactMeshShapeData_m_collisionMargin_set(void *c,float a) {
	::btGImpactMeshShapeData *o = (::btGImpactMeshShapeData*)c;
	o->m_collisionMargin = a;
}
float btGImpactMeshShapeData_m_collisionMargin_get(void *c) {
	::btGImpactMeshShapeData *o = (::btGImpactMeshShapeData*)c;
	return (float)(o->m_collisionMargin);
}

//attribute: int btGImpactMeshShapeData->m_gimpactSubType
void btGImpactMeshShapeData_m_gimpactSubType_set(void *c,int a) {
	::btGImpactMeshShapeData *o = (::btGImpactMeshShapeData*)c;
	o->m_gimpactSubType = a;
}
int btGImpactMeshShapeData_m_gimpactSubType_get(void *c) {
	::btGImpactMeshShapeData *o = (::btGImpactMeshShapeData*)c;
	return (int)(o->m_gimpactSubType);
}


// ::btGImpactMeshShapePart
//constructor: btGImpactMeshShapePart  ( ::btGImpactMeshShapePart::* )(  ) 
void* btGImpactMeshShapePart_new0() {
	::btGImpactMeshShapePart *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactMeshShapePart),16);
	o = new (mem)::btGImpactMeshShapePart();
	return (void*)o;
}
//constructor: btGImpactMeshShapePart  ( ::btGImpactMeshShapePart::* )( ::btStridingMeshInterface *,int ) 
void* btGImpactMeshShapePart_new1(void* p0,int p1) {
	::btGImpactMeshShapePart *o = 0;
	 void *mem = 0;
	::btStridingMeshInterface * tp0 = (::btStridingMeshInterface *)p0;
	mem = btAlignedAlloc(sizeof(::btGImpactMeshShapePart),16);
	o = new (mem)::btGImpactMeshShapePart(tp0,p1);
	return (void*)o;
}
void btGImpactMeshShapePart_free(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	delete o;
}
//method: calculateLocalInertia void ( ::btGImpactMeshShapePart::* )( ::btScalar,::btVector3 & ) const
void btGImpactMeshShapePart_calculateLocalInertia(void *c,float p0,float* p1) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->calculateLocalInertia(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: setChildTransform void ( ::btGImpactMeshShapePart::* )( int,::btTransform const & ) 
void btGImpactMeshShapePart_setChildTransform(void *c,int p0,float* p1) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setChildTransform(p0,tp1);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getLocalScaling ::btVector3 const & ( ::btGImpactMeshShapePart::* )(  ) const
void btGImpactMeshShapePart_getLocalScaling(void *c,float* ret) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getVertex void ( ::btGImpactMeshShapePart::* )( int,::btVector3 & ) const
void btGImpactMeshShapePart_getVertex(void *c,int p0,float* p1) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getVertex(p0,tp1);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: processAllTriangles void ( ::btGImpactMeshShapePart::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btGImpactMeshShapePart_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getName char const * ( ::btGImpactMeshShapePart::* )(  ) const
char const * btGImpactMeshShapePart_getName(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	char const * retVal = (char const *)o->getName();
	return retVal;
}
//method: getBulletTriangle void ( ::btGImpactMeshShapePart::* )( int,::btTriangleShapeEx & ) const
void btGImpactMeshShapePart_getBulletTriangle(void *c,int p0,void* p1) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	::btTriangleShapeEx & tp1 = *(::btTriangleShapeEx *)p1;
	o->getBulletTriangle(p0,tp1);
}
//method: setLocalScaling void ( ::btGImpactMeshShapePart::* )( ::btVector3 const & ) 
void btGImpactMeshShapePart_setLocalScaling(void *c,float* p0) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getPart int ( ::btGImpactMeshShapePart::* )(  ) const
int btGImpactMeshShapePart_getPart(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	int retVal = (int)o->getPart();
	return retVal;
}
//method: childrenHasTransform bool ( ::btGImpactMeshShapePart::* )(  ) const
int btGImpactMeshShapePart_childrenHasTransform(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	int retVal = (int)o->childrenHasTransform();
	return retVal;
}
//method: needsRetrieveTriangles bool ( ::btGImpactMeshShapePart::* )(  ) const
int btGImpactMeshShapePart_needsRetrieveTriangles(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	int retVal = (int)o->needsRetrieveTriangles();
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactMeshShapePart::* )( int ) 
void* btGImpactMeshShapePart_getChildShape(void *c,int p0) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactMeshShapePart::* )( int ) 
void* btGImpactMeshShapePart_getChildShape0(void *c,int p0) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape const * ( ::btGImpactMeshShapePart::* )( int ) const
void* btGImpactMeshShapePart_getChildShape1(void *c,int p0) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildTransform ::btTransform ( ::btGImpactMeshShapePart::* )( int ) const
void btGImpactMeshShapePart_getChildTransform(void *c,int p0,float* ret) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChildTransform(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: lockChildShapes void ( ::btGImpactMeshShapePart::* )(  ) const
void btGImpactMeshShapePart_lockChildShapes(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	o->lockChildShapes();
}
//method: getMargin ::btScalar ( ::btGImpactMeshShapePart::* )(  ) const
float btGImpactMeshShapePart_getMargin(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	float retVal = (float)o->getMargin();
	return retVal;
}
//method: setMargin void ( ::btGImpactMeshShapePart::* )( ::btScalar ) 
void btGImpactMeshShapePart_setMargin(void *c,float p0) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	o->setMargin(p0);
}
//method: getPrimitiveManager ::btPrimitiveManagerBase const * ( ::btGImpactMeshShapePart::* )(  ) const
void* btGImpactMeshShapePart_getPrimitiveManager(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	void* retVal = (void*) o->getPrimitiveManager();
	return retVal;
}
//method: getNumChildShapes int ( ::btGImpactMeshShapePart::* )(  ) const
int btGImpactMeshShapePart_getNumChildShapes(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	int retVal = (int)o->getNumChildShapes();
	return retVal;
}
//method: getBulletTetrahedron void ( ::btGImpactMeshShapePart::* )( int,::btTetrahedronShapeEx & ) const
void btGImpactMeshShapePart_getBulletTetrahedron(void *c,int p0,void* p1) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	::btTetrahedronShapeEx & tp1 = *(::btTetrahedronShapeEx *)p1;
	o->getBulletTetrahedron(p0,tp1);
}
//method: getTrimeshPrimitiveManager ::btGImpactMeshShapePart::TrimeshPrimitiveManager * ( ::btGImpactMeshShapePart::* )(  ) 
void* btGImpactMeshShapePart_getTrimeshPrimitiveManager(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	void* retVal = (void*) o->getTrimeshPrimitiveManager();
	return retVal;
}
//method: needsRetrieveTetrahedrons bool ( ::btGImpactMeshShapePart::* )(  ) const
int btGImpactMeshShapePart_needsRetrieveTetrahedrons(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	int retVal = (int)o->needsRetrieveTetrahedrons();
	return retVal;
}
//method: unlockChildShapes void ( ::btGImpactMeshShapePart::* )(  ) const
void btGImpactMeshShapePart_unlockChildShapes(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	o->unlockChildShapes();
}
//not supported method: getGImpactShapeType ::eGIMPACT_SHAPE_TYPE ( ::btGImpactMeshShapePart::* )(  ) const
//method: getVertexCount int ( ::btGImpactMeshShapePart::* )(  ) const
int btGImpactMeshShapePart_getVertexCount(void *c) {
	::btGImpactMeshShapePart *o = (::btGImpactMeshShapePart*)c;
	int retVal = (int)o->getVertexCount();
	return retVal;
}

// ::btGImpactQuantizedBvh
//constructor: btGImpactQuantizedBvh  ( ::btGImpactQuantizedBvh::* )(  ) 
void* btGImpactQuantizedBvh_new0() {
	::btGImpactQuantizedBvh *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGImpactQuantizedBvh),16);
	o = new (mem)::btGImpactQuantizedBvh();
	return (void*)o;
}
//constructor: btGImpactQuantizedBvh  ( ::btGImpactQuantizedBvh::* )( ::btPrimitiveManagerBase * ) 
void* btGImpactQuantizedBvh_new1(void* p0) {
	::btGImpactQuantizedBvh *o = 0;
	 void *mem = 0;
	::btPrimitiveManagerBase * tp0 = (::btPrimitiveManagerBase *)p0;
	mem = btAlignedAlloc(sizeof(::btGImpactQuantizedBvh),16);
	o = new (mem)::btGImpactQuantizedBvh(tp0);
	return (void*)o;
}
void btGImpactQuantizedBvh_free(void *c) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	delete o;
}
//method: getNodeCount int ( ::btGImpactQuantizedBvh::* )(  ) const
int btGImpactQuantizedBvh_getNodeCount(void *c) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->getNodeCount();
	return retVal;
}
//method: find_collision void (*)( ::btGImpactQuantizedBvh *,::btTransform const &,::btGImpactQuantizedBvh *,::btTransform const &,::btPairSet & )
void btGImpactQuantizedBvh_find_collision(void* p0,float* p1,void* p2,float* p3,void* p4) {
	::btGImpactQuantizedBvh * tp0 = (::btGImpactQuantizedBvh *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	::btGImpactQuantizedBvh * tp2 = (::btGImpactQuantizedBvh *)p2;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	::btPairSet & tp4 = *(::btPairSet *)p4;
	::btGImpactQuantizedBvh::find_collision(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
}
//method: getNodeTriangle void ( ::btGImpactQuantizedBvh::* )( int,::btPrimitiveTriangle & ) const
void btGImpactQuantizedBvh_getNodeTriangle(void *c,int p0,void* p1) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	::btPrimitiveTriangle & tp1 = *(::btPrimitiveTriangle *)p1;
	o->getNodeTriangle(p0,tp1);
}
//method: hasHierarchy bool ( ::btGImpactQuantizedBvh::* )(  ) const
int btGImpactQuantizedBvh_hasHierarchy(void *c) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->hasHierarchy();
	return retVal;
}
//not supported method: rayQuery bool ( ::btGImpactQuantizedBvh::* )( ::btVector3 const &,::btVector3 const &,::btAlignedObjectArray<int> & ) const
//method: getLeftNode int ( ::btGImpactQuantizedBvh::* )( int ) const
int btGImpactQuantizedBvh_getLeftNode(void *c,int p0) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->getLeftNode(p0);
	return retVal;
}
//method: getRightNode int ( ::btGImpactQuantizedBvh::* )( int ) const
int btGImpactQuantizedBvh_getRightNode(void *c,int p0) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->getRightNode(p0);
	return retVal;
}
//not supported method: boxQueryTrans bool ( ::btGImpactQuantizedBvh::* )( ::btAABB const &,::btTransform const &,::btAlignedObjectArray<int> & ) const
//method: update void ( ::btGImpactQuantizedBvh::* )(  ) 
void btGImpactQuantizedBvh_update(void *c) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	o->update();
}
//not supported method: getGlobalBox ::btAABB ( ::btGImpactQuantizedBvh::* )(  ) const
//method: isTrimesh bool ( ::btGImpactQuantizedBvh::* )(  ) const
int btGImpactQuantizedBvh_isTrimesh(void *c) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->isTrimesh();
	return retVal;
}
//method: setNodeBound void ( ::btGImpactQuantizedBvh::* )( int,::btAABB const & ) 
void btGImpactQuantizedBvh_setNodeBound(void *c,int p0,void* p1) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	::btAABB const & tp1 = *(::btAABB const *)p1;
	o->setNodeBound(p0,tp1);
}
//method: setPrimitiveManager void ( ::btGImpactQuantizedBvh::* )( ::btPrimitiveManagerBase * ) 
void btGImpactQuantizedBvh_setPrimitiveManager(void *c,void* p0) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	::btPrimitiveManagerBase * tp0 = (::btPrimitiveManagerBase *)p0;
	o->setPrimitiveManager(tp0);
}
//method: getEscapeNodeIndex int ( ::btGImpactQuantizedBvh::* )( int ) const
int btGImpactQuantizedBvh_getEscapeNodeIndex(void *c,int p0) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->getEscapeNodeIndex(p0);
	return retVal;
}
//method: isLeafNode bool ( ::btGImpactQuantizedBvh::* )( int ) const
int btGImpactQuantizedBvh_isLeafNode(void *c,int p0) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->isLeafNode(p0);
	return retVal;
}
//method: getPrimitiveManager ::btPrimitiveManagerBase * ( ::btGImpactQuantizedBvh::* )(  ) const
void* btGImpactQuantizedBvh_getPrimitiveManager(void *c) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	void* retVal = (void*) o->getPrimitiveManager();
	return retVal;
}
//method: buildSet void ( ::btGImpactQuantizedBvh::* )(  ) 
void btGImpactQuantizedBvh_buildSet(void *c) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	o->buildSet();
}
//method: get_node_pointer ::BT_QUANTIZED_BVH_NODE const * ( ::btGImpactQuantizedBvh::* )( int ) const
void* btGImpactQuantizedBvh_get_node_pointer(void *c,int p0) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	void* retVal = (void*) o->get_node_pointer(p0);
	return retVal;
}
//method: getNodeData int ( ::btGImpactQuantizedBvh::* )( int ) const
int btGImpactQuantizedBvh_getNodeData(void *c,int p0) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	int retVal = (int)o->getNodeData(p0);
	return retVal;
}
//method: getNodeBound void ( ::btGImpactQuantizedBvh::* )( int,::btAABB & ) const
void btGImpactQuantizedBvh_getNodeBound(void *c,int p0,void* p1) {
	::btGImpactQuantizedBvh *o = (::btGImpactQuantizedBvh*)c;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->getNodeBound(p0,tp1);
}
//not supported method: boxQuery bool ( ::btGImpactQuantizedBvh::* )( ::btAABB const &,::btAlignedObjectArray<int> & ) const

// ::btGImpactShapeInterface
//method: getPrimitiveTriangle void ( ::btGImpactShapeInterface::* )( int,::btPrimitiveTriangle & ) const
void btGImpactShapeInterface_getPrimitiveTriangle(void *c,int p0,void* p1) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	::btPrimitiveTriangle & tp1 = *(::btPrimitiveTriangle *)p1;
	o->getPrimitiveTriangle(p0,tp1);
}
//method: setChildTransform void ( ::btGImpactShapeInterface::* )( int,::btTransform const & ) 
void btGImpactShapeInterface_setChildTransform(void *c,int p0,float* p1) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->setChildTransform(p0,tp1);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getLocalScaling ::btVector3 const & ( ::btGImpactShapeInterface::* )(  ) const
void btGImpactShapeInterface_getLocalScaling(void *c,float* ret) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getLocalScaling();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getLocalBox ::btAABB const & ( ::btGImpactShapeInterface::* )(  ) 
void* btGImpactShapeInterface_getLocalBox(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	void* retVal = (void*) &(o->getLocalBox());
	return retVal;
}
//method: getPrimitiveManager ::btPrimitiveManagerBase const * ( ::btGImpactShapeInterface::* )(  ) const
void* btGImpactShapeInterface_getPrimitiveManager(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	void* retVal = (void*) o->getPrimitiveManager();
	return retVal;
}
//method: processAllTriangles void ( ::btGImpactShapeInterface::* )( ::btTriangleCallback *,::btVector3 const &,::btVector3 const & ) const
void btGImpactShapeInterface_processAllTriangles(void *c,void* p0,float* p1,float* p2) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	::btTriangleCallback * tp0 = (::btTriangleCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->processAllTriangles(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: hasBoxSet bool ( ::btGImpactShapeInterface::* )(  ) const
int btGImpactShapeInterface_hasBoxSet(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	int retVal = (int)o->hasBoxSet();
	return retVal;
}
//method: rayTest void ( ::btGImpactShapeInterface::* )( ::btVector3 const &,::btVector3 const &,::btCollisionWorld::RayResultCallback & ) const
void btGImpactShapeInterface_rayTest(void *c,float* p0,float* p1,void* p2) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btCollisionWorld::RayResultCallback & tp2 = *(::btCollisionWorld::RayResultCallback *)p2;
	o->rayTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getBoxSet ::btGImpactBoxSet * ( ::btGImpactShapeInterface::* )(  ) 
void* btGImpactShapeInterface_getBoxSet(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	void* retVal = (void*) o->getBoxSet();
	return retVal;
}
//method: getBulletTriangle void ( ::btGImpactShapeInterface::* )( int,::btTriangleShapeEx & ) const
void btGImpactShapeInterface_getBulletTriangle(void *c,int p0,void* p1) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	::btTriangleShapeEx & tp1 = *(::btTriangleShapeEx *)p1;
	o->getBulletTriangle(p0,tp1);
}
//method: setLocalScaling void ( ::btGImpactShapeInterface::* )( ::btVector3 const & ) 
void btGImpactShapeInterface_setLocalScaling(void *c,float* p0) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setLocalScaling(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: needsRetrieveTriangles bool ( ::btGImpactShapeInterface::* )(  ) const
int btGImpactShapeInterface_needsRetrieveTriangles(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	int retVal = (int)o->needsRetrieveTriangles();
	return retVal;
}
//method: childrenHasTransform bool ( ::btGImpactShapeInterface::* )(  ) const
int btGImpactShapeInterface_childrenHasTransform(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	int retVal = (int)o->childrenHasTransform();
	return retVal;
}
//method: getAabb void ( ::btGImpactShapeInterface::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btGImpactShapeInterface_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactShapeInterface::* )( int ) 
void* btGImpactShapeInterface_getChildShape(void *c,int p0) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape * ( ::btGImpactShapeInterface::* )( int ) 
void* btGImpactShapeInterface_getChildShape0(void *c,int p0) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildShape ::btCollisionShape const * ( ::btGImpactShapeInterface::* )( int ) const
void* btGImpactShapeInterface_getChildShape1(void *c,int p0) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	void* retVal = (void*) o->getChildShape(p0);
	return retVal;
}
//method: getChildTransform ::btTransform ( ::btGImpactShapeInterface::* )( int ) const
void btGImpactShapeInterface_getChildTransform(void *c,int p0,float* ret) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getChildTransform(p0);
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: lockChildShapes void ( ::btGImpactShapeInterface::* )(  ) const
void btGImpactShapeInterface_lockChildShapes(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	o->lockChildShapes();
}
//method: setMargin void ( ::btGImpactShapeInterface::* )( ::btScalar ) 
void btGImpactShapeInterface_setMargin(void *c,float p0) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	o->setMargin(p0);
}
//method: getNumChildShapes int ( ::btGImpactShapeInterface::* )(  ) const
int btGImpactShapeInterface_getNumChildShapes(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	int retVal = (int)o->getNumChildShapes();
	return retVal;
}
//method: getChildAabb void ( ::btGImpactShapeInterface::* )( int,::btTransform const &,::btVector3 &,::btVector3 & ) const
void btGImpactShapeInterface_getChildAabb(void *c,int p0,float* p1,float* p2,float* p3) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->getChildAabb(p0,tp1,tp2,tp3);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}
//method: getShapeType int ( ::btGImpactShapeInterface::* )(  ) const
int btGImpactShapeInterface_getShapeType(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	int retVal = (int)o->getShapeType();
	return retVal;
}
//method: getBulletTetrahedron void ( ::btGImpactShapeInterface::* )( int,::btTetrahedronShapeEx & ) const
void btGImpactShapeInterface_getBulletTetrahedron(void *c,int p0,void* p1) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	::btTetrahedronShapeEx & tp1 = *(::btTetrahedronShapeEx *)p1;
	o->getBulletTetrahedron(p0,tp1);
}
//method: needsRetrieveTetrahedrons bool ( ::btGImpactShapeInterface::* )(  ) const
int btGImpactShapeInterface_needsRetrieveTetrahedrons(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	int retVal = (int)o->needsRetrieveTetrahedrons();
	return retVal;
}
//method: unlockChildShapes void ( ::btGImpactShapeInterface::* )(  ) const
void btGImpactShapeInterface_unlockChildShapes(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	o->unlockChildShapes();
}
//method: postUpdate void ( ::btGImpactShapeInterface::* )(  ) 
void btGImpactShapeInterface_postUpdate(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	o->postUpdate();
}
//method: updateBound void ( ::btGImpactShapeInterface::* )(  ) 
void btGImpactShapeInterface_updateBound(void *c) {
	::btGImpactShapeInterface *o = (::btGImpactShapeInterface*)c;
	o->updateBound();
}
//not supported method: getGImpactShapeType ::eGIMPACT_SHAPE_TYPE ( ::btGImpactShapeInterface::* )(  ) const

// ::btPairSet
//constructor: btPairSet  ( ::btPairSet::* )(  ) 
void* btPairSet_new() {
	::btPairSet *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btPairSet),16);
	o = new (mem)::btPairSet();
	return (void*)o;
}
void btPairSet_free(void *c) {
	::btPairSet *o = (::btPairSet*)c;
	delete o;
}
//method: push_pair_inv void ( ::btPairSet::* )( int,int ) 
void btPairSet_push_pair_inv(void *c,int p0,int p1) {
	::btPairSet *o = (::btPairSet*)c;
	o->push_pair_inv(p0,p1);
}
//method: push_pair void ( ::btPairSet::* )( int,int ) 
void btPairSet_push_pair(void *c,int p0,int p1) {
	::btPairSet *o = (::btPairSet*)c;
	o->push_pair(p0,p1);
}

// ::btPrimitiveManagerBase
//method: get_primitive_box void ( ::btPrimitiveManagerBase::* )( int,::btAABB & ) const
void btPrimitiveManagerBase_get_primitive_box(void *c,int p0,void* p1) {
	::btPrimitiveManagerBase *o = (::btPrimitiveManagerBase*)c;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->get_primitive_box(p0,tp1);
}
//method: get_primitive_triangle void ( ::btPrimitiveManagerBase::* )( int,::btPrimitiveTriangle & ) const
void btPrimitiveManagerBase_get_primitive_triangle(void *c,int p0,void* p1) {
	::btPrimitiveManagerBase *o = (::btPrimitiveManagerBase*)c;
	::btPrimitiveTriangle & tp1 = *(::btPrimitiveTriangle *)p1;
	o->get_primitive_triangle(p0,tp1);
}
//method: is_trimesh bool ( ::btPrimitiveManagerBase::* )(  ) const
int btPrimitiveManagerBase_is_trimesh(void *c) {
	::btPrimitiveManagerBase *o = (::btPrimitiveManagerBase*)c;
	int retVal = (int)o->is_trimesh();
	return retVal;
}
//method: get_primitive_count int ( ::btPrimitiveManagerBase::* )(  ) const
int btPrimitiveManagerBase_get_primitive_count(void *c) {
	::btPrimitiveManagerBase *o = (::btPrimitiveManagerBase*)c;
	int retVal = (int)o->get_primitive_count();
	return retVal;
}

// ::btPrimitiveTriangle
//constructor: btPrimitiveTriangle  ( ::btPrimitiveTriangle::* )(  ) 
void* btPrimitiveTriangle_new() {
	::btPrimitiveTriangle *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btPrimitiveTriangle),16);
	o = new (mem)::btPrimitiveTriangle();
	return (void*)o;
}
void btPrimitiveTriangle_free(void *c) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	delete o;
}
//not supported method: clip_triangle int ( ::btPrimitiveTriangle::* )( ::btPrimitiveTriangle &,::btVector3 * ) 
//method: get_edge_plane void ( ::btPrimitiveTriangle::* )( int,::btVector4 & ) const
void btPrimitiveTriangle_get_edge_plane(void *c,int p0,float* p1) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	btVector4 tp1(p1[0],p1[1],p1[2],p1[3]);
	o->get_edge_plane(p0,tp1);
	p1[0]=tp1.getX();p1[1]=tp1.getY();p1[2]=tp1.getZ();p1[3]=tp1.getW();
}
//method: overlap_test_conservative bool ( ::btPrimitiveTriangle::* )( ::btPrimitiveTriangle const & ) 
int btPrimitiveTriangle_overlap_test_conservative(void *c,void* p0) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	::btPrimitiveTriangle const & tp0 = *(::btPrimitiveTriangle const *)p0;
	int retVal = (int)o->overlap_test_conservative(tp0);
	return retVal;
}
//method: buildTriPlane void ( ::btPrimitiveTriangle::* )(  ) 
void btPrimitiveTriangle_buildTriPlane(void *c) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	o->buildTriPlane();
}
//method: applyTransform void ( ::btPrimitiveTriangle::* )( ::btTransform const & ) 
void btPrimitiveTriangle_applyTransform(void *c,float* p0) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->applyTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: find_triangle_collision_clip_method bool ( ::btPrimitiveTriangle::* )( ::btPrimitiveTriangle &,::GIM_TRIANGLE_CONTACT & ) 
int btPrimitiveTriangle_find_triangle_collision_clip_method(void *c,void* p0,void* p1) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	::btPrimitiveTriangle & tp0 = *(::btPrimitiveTriangle *)p0;
	::GIM_TRIANGLE_CONTACT & tp1 = *(::GIM_TRIANGLE_CONTACT *)p1;
	int retVal = (int)o->find_triangle_collision_clip_method(tp0,tp1);
	return retVal;
}
//attribute: ::btScalar btPrimitiveTriangle->m_dummy
void btPrimitiveTriangle_m_dummy_set(void *c,float a) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	o->m_dummy = a;
}
float btPrimitiveTriangle_m_dummy_get(void *c) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	return (float)(o->m_dummy);
}

//attribute: ::btScalar btPrimitiveTriangle->m_margin
void btPrimitiveTriangle_m_margin_set(void *c,float a) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	o->m_margin = a;
}
float btPrimitiveTriangle_m_margin_get(void *c) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	return (float)(o->m_margin);
}

//attribute: ::btVector4 btPrimitiveTriangle->m_plane
void btPrimitiveTriangle_m_plane_set(void *c,float* a) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	btVector4 ta(a[0],a[1],a[2],a[3]);
	o->m_plane = ta;
}
void btPrimitiveTriangle_m_plane_get(void *c,float* a) {
	::btPrimitiveTriangle *o = (::btPrimitiveTriangle*)c;
	a[0]=(o->m_plane).getX();a[1]=(o->m_plane).getY();a[2]=(o->m_plane).getZ();a[3]=(o->m_plane).getW();
}

//attribute: ::btVector3[3] btPrimitiveTriangle->m_vertices
// attribute not supported: //attribute: ::btVector3[3] btPrimitiveTriangle->m_vertices

// ::btQuantizedBvhTree
//constructor: btQuantizedBvhTree  ( ::btQuantizedBvhTree::* )(  ) 
void* btQuantizedBvhTree_new() {
	::btQuantizedBvhTree *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuantizedBvhTree),16);
	o = new (mem)::btQuantizedBvhTree();
	return (void*)o;
}
void btQuantizedBvhTree_free(void *c) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	delete o;
}
//method: getNodeCount int ( ::btQuantizedBvhTree::* )(  ) const
int btQuantizedBvhTree_getNodeCount(void *c) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	int retVal = (int)o->getNodeCount();
	return retVal;
}
//method: build_tree void ( ::btQuantizedBvhTree::* )( ::GIM_BVH_DATA_ARRAY & ) 
void btQuantizedBvhTree_build_tree(void *c,void* p0) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	::GIM_BVH_DATA_ARRAY & tp0 = *(::GIM_BVH_DATA_ARRAY *)p0;
	o->build_tree(tp0);
}
//method: getLeftNode int ( ::btQuantizedBvhTree::* )( int ) const
int btQuantizedBvhTree_getLeftNode(void *c,int p0) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	int retVal = (int)o->getLeftNode(p0);
	return retVal;
}
//method: setNodeBound void ( ::btQuantizedBvhTree::* )( int,::btAABB const & ) 
void btQuantizedBvhTree_setNodeBound(void *c,int p0,void* p1) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	::btAABB const & tp1 = *(::btAABB const *)p1;
	o->setNodeBound(p0,tp1);
}
//method: getNodeBound void ( ::btQuantizedBvhTree::* )( int,::btAABB & ) const
void btQuantizedBvhTree_getNodeBound(void *c,int p0,void* p1) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	::btAABB & tp1 = *(::btAABB *)p1;
	o->getNodeBound(p0,tp1);
}
//method: getRightNode int ( ::btQuantizedBvhTree::* )( int ) const
int btQuantizedBvhTree_getRightNode(void *c,int p0) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	int retVal = (int)o->getRightNode(p0);
	return retVal;
}
//method: clearNodes void ( ::btQuantizedBvhTree::* )(  ) 
void btQuantizedBvhTree_clearNodes(void *c) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	o->clearNodes();
}
//method: getEscapeNodeIndex int ( ::btQuantizedBvhTree::* )( int ) const
int btQuantizedBvhTree_getEscapeNodeIndex(void *c,int p0) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	int retVal = (int)o->getEscapeNodeIndex(p0);
	return retVal;
}
//method: isLeafNode bool ( ::btQuantizedBvhTree::* )( int ) const
int btQuantizedBvhTree_isLeafNode(void *c,int p0) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	int retVal = (int)o->isLeafNode(p0);
	return retVal;
}
//method: get_node_pointer ::BT_QUANTIZED_BVH_NODE const * ( ::btQuantizedBvhTree::* )( int ) const
void* btQuantizedBvhTree_get_node_pointer(void *c,int p0) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	void* retVal = (void*) o->get_node_pointer(p0);
	return retVal;
}
//not supported method: testQuantizedBoxOverlapp bool ( ::btQuantizedBvhTree::* )( int,short unsigned int *,short unsigned int * ) const
//method: getNodeData int ( ::btQuantizedBvhTree::* )( int ) const
int btQuantizedBvhTree_getNodeData(void *c,int p0) {
	::btQuantizedBvhTree *o = (::btQuantizedBvhTree*)c;
	int retVal = (int)o->getNodeData(p0);
	return retVal;
}
//not supported method: quantizePoint void ( ::btQuantizedBvhTree::* )( short unsigned int *,::btVector3 const & ) const

// ::btTetrahedronShapeEx
//constructor: btTetrahedronShapeEx  ( ::btTetrahedronShapeEx::* )(  ) 
void* btTetrahedronShapeEx_new() {
	::btTetrahedronShapeEx *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTetrahedronShapeEx),16);
	o = new (mem)::btTetrahedronShapeEx();
	return (void*)o;
}
void btTetrahedronShapeEx_free(void *c) {
	::btTetrahedronShapeEx *o = (::btTetrahedronShapeEx*)c;
	delete o;
}
//method: setVertices void ( ::btTetrahedronShapeEx::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btTetrahedronShapeEx_setVertices(void *c,float* p0,float* p1,float* p2,float* p3) {
	::btTetrahedronShapeEx *o = (::btTetrahedronShapeEx*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	o->setVertices(tp0,tp1,tp2,tp3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
}

// ::btTriangleShapeEx
//constructor: btTriangleShapeEx  ( ::btTriangleShapeEx::* )(  ) 
void* btTriangleShapeEx_new0() {
	::btTriangleShapeEx *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btTriangleShapeEx),16);
	o = new (mem)::btTriangleShapeEx();
	return (void*)o;
}
//constructor: btTriangleShapeEx  ( ::btTriangleShapeEx::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void* btTriangleShapeEx_new1(float* p0,float* p1,float* p2) {
	::btTriangleShapeEx *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btTriangleShapeEx),16);
	o = new (mem)::btTriangleShapeEx(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
void btTriangleShapeEx_free(void *c) {
	::btTriangleShapeEx *o = (::btTriangleShapeEx*)c;
	delete o;
}
//method: overlap_test_conservative bool ( ::btTriangleShapeEx::* )( ::btTriangleShapeEx const & ) 
int btTriangleShapeEx_overlap_test_conservative(void *c,void* p0) {
	::btTriangleShapeEx *o = (::btTriangleShapeEx*)c;
	::btTriangleShapeEx const & tp0 = *(::btTriangleShapeEx const *)p0;
	int retVal = (int)o->overlap_test_conservative(tp0);
	return retVal;
}
//method: buildTriPlane void ( ::btTriangleShapeEx::* )( ::btVector4 & ) const
void btTriangleShapeEx_buildTriPlane(void *c,float* p0) {
	::btTriangleShapeEx *o = (::btTriangleShapeEx*)c;
	btVector4 tp0(p0[0],p0[1],p0[2],p0[3]);
	o->buildTriPlane(tp0);
	p0[0]=tp0.getX();p0[1]=tp0.getY();p0[2]=tp0.getZ();p0[3]=tp0.getW();
}
//method: applyTransform void ( ::btTriangleShapeEx::* )( ::btTransform const & ) 
void btTriangleShapeEx_applyTransform(void *c,float* p0) {
	::btTriangleShapeEx *o = (::btTriangleShapeEx*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->applyTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: getAabb void ( ::btTriangleShapeEx::* )( ::btTransform const &,::btVector3 &,::btVector3 & ) const
void btTriangleShapeEx_getAabb(void *c,float* p0,float* p1,float* p2) {
	::btTriangleShapeEx *o = (::btTriangleShapeEx*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}

// ::btDbvt::IClone
//constructor: IClone  ( ::btDbvt::IClone::* )(  ) 
void* btDbvt_IClone_new() {
	::btDbvt::IClone *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDbvt::IClone),16);
	o = new (mem)::btDbvt::IClone();
	return (void*)o;
}
void btDbvt_IClone_free(void *c) {
	::btDbvt::IClone *o = (::btDbvt::IClone*)c;
	delete o;
}
//method: CloneLeaf void ( ::btDbvt::IClone::* )( ::btDbvtNode * ) 
void btDbvt_IClone_CloneLeaf(void *c,void* p0) {
	::btDbvt::IClone *o = (::btDbvt::IClone*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	o->CloneLeaf(tp0);
}

// ::btDbvt::ICollide
//constructor: ICollide  ( ::btDbvt::ICollide::* )(  ) 
void* btDbvt_ICollide_new() {
	::btDbvt::ICollide *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDbvt::ICollide),16);
	o = new (mem)::btDbvt::ICollide();
	return (void*)o;
}
void btDbvt_ICollide_free(void *c) {
	::btDbvt::ICollide *o = (::btDbvt::ICollide*)c;
	delete o;
}
//method: Process void ( ::btDbvt::ICollide::* )( ::btDbvtNode const *,::btDbvtNode const * ) 
void btDbvt_ICollide_Process(void *c,void* p0,void* p1) {
	::btDbvt::ICollide *o = (::btDbvt::ICollide*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvtNode const * tp1 = (::btDbvtNode const *)p1;
	o->Process(tp0,tp1);
}
//method: Process void ( ::btDbvt::ICollide::* )( ::btDbvtNode const *,::btDbvtNode const * ) 
void btDbvt_ICollide_Process0(void *c,void* p0,void* p1) {
	::btDbvt::ICollide *o = (::btDbvt::ICollide*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvtNode const * tp1 = (::btDbvtNode const *)p1;
	o->Process(tp0,tp1);
}
//method: Process void ( ::btDbvt::ICollide::* )( ::btDbvtNode const * ) 
void btDbvt_ICollide_Process1(void *c,void* p0) {
	::btDbvt::ICollide *o = (::btDbvt::ICollide*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	o->Process(tp0);
}
//method: Process void ( ::btDbvt::ICollide::* )( ::btDbvtNode const *,::btScalar ) 
void btDbvt_ICollide_Process2(void *c,void* p0,float p1) {
	::btDbvt::ICollide *o = (::btDbvt::ICollide*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	o->Process(tp0,p1);
}
//method: AllLeaves bool ( ::btDbvt::ICollide::* )( ::btDbvtNode const * ) 
int btDbvt_ICollide_AllLeaves(void *c,void* p0) {
	::btDbvt::ICollide *o = (::btDbvt::ICollide*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	int retVal = (int)o->AllLeaves(tp0);
	return retVal;
}
//method: Descent bool ( ::btDbvt::ICollide::* )( ::btDbvtNode const * ) 
int btDbvt_ICollide_Descent(void *c,void* p0) {
	::btDbvt::ICollide *o = (::btDbvt::ICollide*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	int retVal = (int)o->Descent(tp0);
	return retVal;
}

// ::btDbvt::IWriter
//method: WriteLeaf void ( ::btDbvt::IWriter::* )( ::btDbvtNode const *,int,int ) 
void btDbvt_IWriter_WriteLeaf(void *c,void* p0,int p1,int p2) {
	::btDbvt::IWriter *o = (::btDbvt::IWriter*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	o->WriteLeaf(tp0,p1,p2);
}
//method: WriteNode void ( ::btDbvt::IWriter::* )( ::btDbvtNode const *,int,int,int,int ) 
void btDbvt_IWriter_WriteNode(void *c,void* p0,int p1,int p2,int p3,int p4) {
	::btDbvt::IWriter *o = (::btDbvt::IWriter*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	o->WriteNode(tp0,p1,p2,p3,p4);
}
//method: Prepare void ( ::btDbvt::IWriter::* )( ::btDbvtNode const *,int ) 
void btDbvt_IWriter_Prepare(void *c,void* p0,int p1) {
	::btDbvt::IWriter *o = (::btDbvt::IWriter*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	o->Prepare(tp0,p1);
}

// ::bt32BitAxisSweep3
//constructor: bt32BitAxisSweep3  ( ::bt32BitAxisSweep3::* )( ::btVector3 const &,::btVector3 const &,unsigned int,::btOverlappingPairCache *,bool ) 
void* bt32BitAxisSweep3_new(float* p0,float* p1,unsigned int p2,void* p3,int p4) {
	::bt32BitAxisSweep3 *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btOverlappingPairCache * tp3 = (::btOverlappingPairCache *)p3;
	mem = btAlignedAlloc(sizeof(::bt32BitAxisSweep3),16);
	o = new (mem)::bt32BitAxisSweep3(tp0,tp1,p2,tp3,p4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void bt32BitAxisSweep3_free(void *c) {
	::bt32BitAxisSweep3 *o = (::bt32BitAxisSweep3*)c;
	delete o;
}

// ::btAxisSweep3
//constructor: btAxisSweep3  ( ::btAxisSweep3::* )( ::btVector3 const &,::btVector3 const &,short unsigned int,::btOverlappingPairCache *,bool ) 
void* btAxisSweep3_new(float* p0,float* p1,short unsigned int p2,void* p3,int p4) {
	::btAxisSweep3 *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btOverlappingPairCache * tp3 = (::btOverlappingPairCache *)p3;
	mem = btAlignedAlloc(sizeof(::btAxisSweep3),16);
	o = new (mem)::btAxisSweep3(tp0,tp1,p2,tp3,p4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void btAxisSweep3_free(void *c) {
	::btAxisSweep3 *o = (::btAxisSweep3*)c;
	delete o;
}

// ::btBroadphaseAabbCallback
//method: process bool ( ::btBroadphaseAabbCallback::* )( ::btBroadphaseProxy const * ) 
int btBroadphaseAabbCallback_process(void *c,void* p0) {
	::btBroadphaseAabbCallback *o = (::btBroadphaseAabbCallback*)c;
	::btBroadphaseProxy const * tp0 = (::btBroadphaseProxy const *)p0;
	int retVal = (int)o->process(tp0);
	return retVal;
}

// ::btBroadphaseInterface
//method: rayTest void ( ::btBroadphaseInterface::* )( ::btVector3 const &,::btVector3 const &,::btBroadphaseRayCallback &,::btVector3 const &,::btVector3 const & ) 
void btBroadphaseInterface_rayTest(void *c,float* p0,float* p1,void* p2,float* p3,float* p4) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btBroadphaseRayCallback & tp2 = *(::btBroadphaseRayCallback *)p2;
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->rayTest(tp0,tp1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: setAabb void ( ::btBroadphaseInterface::* )( ::btBroadphaseProxy *,::btVector3 const &,::btVector3 const &,::btDispatcher * ) 
void btBroadphaseInterface_setAabb(void *c,void* p0,float* p1,float* p2,void* p3) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btDispatcher * tp3 = (::btDispatcher *)p3;
	o->setAabb(tp0,tp1,tp2,tp3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getBroadphaseAabb void ( ::btBroadphaseInterface::* )( ::btVector3 &,::btVector3 & ) const
void btBroadphaseInterface_getBroadphaseAabb(void *c,float* p0,float* p1) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getBroadphaseAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: resetPool void ( ::btBroadphaseInterface::* )( ::btDispatcher * ) 
void btBroadphaseInterface_resetPool(void *c,void* p0) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->resetPool(tp0);
}
//method: calculateOverlappingPairs void ( ::btBroadphaseInterface::* )( ::btDispatcher * ) 
void btBroadphaseInterface_calculateOverlappingPairs(void *c,void* p0) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->calculateOverlappingPairs(tp0);
}
//method: printStats void ( ::btBroadphaseInterface::* )(  ) 
void btBroadphaseInterface_printStats(void *c) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	o->printStats();
}
//method: getAabb void ( ::btBroadphaseInterface::* )( ::btBroadphaseProxy *,::btVector3 &,::btVector3 & ) const
void btBroadphaseInterface_getAabb(void *c,void* p0,float* p1,float* p2) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: aabbTest void ( ::btBroadphaseInterface::* )( ::btVector3 const &,::btVector3 const &,::btBroadphaseAabbCallback & ) 
void btBroadphaseInterface_aabbTest(void *c,float* p0,float* p1,void* p2) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btBroadphaseAabbCallback & tp2 = *(::btBroadphaseAabbCallback *)p2;
	o->aabbTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: createProxy ::btBroadphaseProxy * ( ::btBroadphaseInterface::* )( ::btVector3 const &,::btVector3 const &,int,void *,short int,short int,::btDispatcher *,void * ) 
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btBroadphaseInterface::* )(  ) 
void* btBroadphaseInterface_getOverlappingPairCache(void *c) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btBroadphaseInterface::* )(  ) 
void* btBroadphaseInterface_getOverlappingPairCache0(void *c) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache const * ( ::btBroadphaseInterface::* )(  ) const
void* btBroadphaseInterface_getOverlappingPairCache1(void *c) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: destroyProxy void ( ::btBroadphaseInterface::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btBroadphaseInterface_destroyProxy(void *c,void* p0,void* p1) {
	::btBroadphaseInterface *o = (::btBroadphaseInterface*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->destroyProxy(tp0,tp1);
}

// ::btBroadphasePair
//constructor: btBroadphasePair  ( ::btBroadphasePair::* )(  ) 
void* btBroadphasePair_new0() {
	::btBroadphasePair *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBroadphasePair),16);
	o = new (mem)::btBroadphasePair();
	return (void*)o;
}
//constructor: btBroadphasePair  ( ::btBroadphasePair::* )( ::btBroadphaseProxy &,::btBroadphaseProxy & ) 
void* btBroadphasePair_new1(void* p0,void* p1) {
	::btBroadphasePair *o = 0;
	 void *mem = 0;
	::btBroadphaseProxy & tp0 = *(::btBroadphaseProxy *)p0;
	::btBroadphaseProxy & tp1 = *(::btBroadphaseProxy *)p1;
	mem = btAlignedAlloc(sizeof(::btBroadphasePair),16);
	o = new (mem)::btBroadphasePair(tp0,tp1);
	return (void*)o;
}
void btBroadphasePair_free(void *c) {
	::btBroadphasePair *o = (::btBroadphasePair*)c;
	delete o;
}
//attribute: ::btBroadphaseProxy * btBroadphasePair->m_pProxy0
void btBroadphasePair_m_pProxy0_set(void *c,void* a) {
	::btBroadphasePair *o = (::btBroadphasePair*)c;
	::btBroadphaseProxy * ta = (::btBroadphaseProxy *)a;
	o->m_pProxy0 = ta;
}
// attriibute getter not supported: //attribute: ::btBroadphaseProxy * btBroadphasePair->m_pProxy0
//attribute: ::btBroadphaseProxy * btBroadphasePair->m_pProxy1
void btBroadphasePair_m_pProxy1_set(void *c,void* a) {
	::btBroadphasePair *o = (::btBroadphasePair*)c;
	::btBroadphaseProxy * ta = (::btBroadphaseProxy *)a;
	o->m_pProxy1 = ta;
}
// attriibute getter not supported: //attribute: ::btBroadphaseProxy * btBroadphasePair->m_pProxy1
//attribute: ::btCollisionAlgorithm * btBroadphasePair->m_algorithm
void btBroadphasePair_m_algorithm_set(void *c,void* a) {
	::btBroadphasePair *o = (::btBroadphasePair*)c;
	::btCollisionAlgorithm * ta = (::btCollisionAlgorithm *)a;
	o->m_algorithm = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionAlgorithm * btBroadphasePair->m_algorithm
//attribute: ::btBroadphasePair btBroadphasePair->
// attribute not supported: //attribute: ::btBroadphasePair btBroadphasePair->

// ::btBroadphasePairSortPredicate
//constructor: btBroadphasePairSortPredicate  ( ::btBroadphasePairSortPredicate::* )(  ) 
void* btBroadphasePairSortPredicate_new() {
	::btBroadphasePairSortPredicate *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBroadphasePairSortPredicate),16);
	o = new (mem)::btBroadphasePairSortPredicate();
	return (void*)o;
}
void btBroadphasePairSortPredicate_free(void *c) {
	::btBroadphasePairSortPredicate *o = (::btBroadphasePairSortPredicate*)c;
	delete o;
}

// ::btBroadphaseProxy
//constructor: btBroadphaseProxy  ( ::btBroadphaseProxy::* )(  ) 
void* btBroadphaseProxy_new0() {
	::btBroadphaseProxy *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBroadphaseProxy),16);
	o = new (mem)::btBroadphaseProxy();
	return (void*)o;
}
//not supported constructor: btBroadphaseProxy  ( ::btBroadphaseProxy::* )( ::btVector3 const &,::btVector3 const &,void *,short int,short int,void * ) 
void btBroadphaseProxy_free(void *c) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	delete o;
}
//method: isConvex bool (*)( int )
int btBroadphaseProxy_isConvex(int p0) {
	int retVal = (int)::btBroadphaseProxy::isConvex(p0);
	return retVal;
}
//method: isInfinite bool (*)( int )
int btBroadphaseProxy_isInfinite(int p0) {
	int retVal = (int)::btBroadphaseProxy::isInfinite(p0);
	return retVal;
}
//method: getUid int ( ::btBroadphaseProxy::* )(  ) const
int btBroadphaseProxy_getUid(void *c) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	int retVal = (int)o->getUid();
	return retVal;
}
//method: isConcave bool (*)( int )
int btBroadphaseProxy_isConcave(int p0) {
	int retVal = (int)::btBroadphaseProxy::isConcave(p0);
	return retVal;
}
//method: isNonMoving bool (*)( int )
int btBroadphaseProxy_isNonMoving(int p0) {
	int retVal = (int)::btBroadphaseProxy::isNonMoving(p0);
	return retVal;
}
//method: isCompound bool (*)( int )
int btBroadphaseProxy_isCompound(int p0) {
	int retVal = (int)::btBroadphaseProxy::isCompound(p0);
	return retVal;
}
//method: isPolyhedral bool (*)( int )
int btBroadphaseProxy_isPolyhedral(int p0) {
	int retVal = (int)::btBroadphaseProxy::isPolyhedral(p0);
	return retVal;
}
//method: isConvex2d bool (*)( int )
int btBroadphaseProxy_isConvex2d(int p0) {
	int retVal = (int)::btBroadphaseProxy::isConvex2d(p0);
	return retVal;
}
//method: isSoftBody bool (*)( int )
int btBroadphaseProxy_isSoftBody(int p0) {
	int retVal = (int)::btBroadphaseProxy::isSoftBody(p0);
	return retVal;
}
//attribute: ::btVector3 btBroadphaseProxy->m_aabbMax
void btBroadphaseProxy_m_aabbMax_set(void *c,float* a) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_aabbMax = ta;
}
void btBroadphaseProxy_m_aabbMax_get(void *c,float* a) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	a[0]=(o->m_aabbMax).m_floats[0];a[1]=(o->m_aabbMax).m_floats[1];a[2]=(o->m_aabbMax).m_floats[2];
}

//attribute: ::btVector3 btBroadphaseProxy->m_aabbMin
void btBroadphaseProxy_m_aabbMin_set(void *c,float* a) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_aabbMin = ta;
}
void btBroadphaseProxy_m_aabbMin_get(void *c,float* a) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	a[0]=(o->m_aabbMin).m_floats[0];a[1]=(o->m_aabbMin).m_floats[1];a[2]=(o->m_aabbMin).m_floats[2];
}

//attribute: void * btBroadphaseProxy->m_clientObject
// attribute not supported: //attribute: void * btBroadphaseProxy->m_clientObject
//attribute: short int btBroadphaseProxy->m_collisionFilterGroup
void btBroadphaseProxy_m_collisionFilterGroup_set(void *c,short int a) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	o->m_collisionFilterGroup = a;
}
short int btBroadphaseProxy_m_collisionFilterGroup_get(void *c) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	return (short int)(o->m_collisionFilterGroup);
}

//attribute: short int btBroadphaseProxy->m_collisionFilterMask
void btBroadphaseProxy_m_collisionFilterMask_set(void *c,short int a) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	o->m_collisionFilterMask = a;
}
short int btBroadphaseProxy_m_collisionFilterMask_get(void *c) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	return (short int)(o->m_collisionFilterMask);
}

//attribute: void * btBroadphaseProxy->m_multiSapParentProxy
// attribute not supported: //attribute: void * btBroadphaseProxy->m_multiSapParentProxy
//attribute: int btBroadphaseProxy->m_uniqueId
void btBroadphaseProxy_m_uniqueId_set(void *c,int a) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	o->m_uniqueId = a;
}
int btBroadphaseProxy_m_uniqueId_get(void *c) {
	::btBroadphaseProxy *o = (::btBroadphaseProxy*)c;
	return (int)(o->m_uniqueId);
}


// ::btBroadphaseRayCallback
//attribute: ::btScalar btBroadphaseRayCallback->m_lambda_max
void btBroadphaseRayCallback_m_lambda_max_set(void *c,float a) {
	::btBroadphaseRayCallback *o = (::btBroadphaseRayCallback*)c;
	o->m_lambda_max = a;
}
float btBroadphaseRayCallback_m_lambda_max_get(void *c) {
	::btBroadphaseRayCallback *o = (::btBroadphaseRayCallback*)c;
	return (float)(o->m_lambda_max);
}

//attribute: ::btVector3 btBroadphaseRayCallback->m_rayDirectionInverse
void btBroadphaseRayCallback_m_rayDirectionInverse_set(void *c,float* a) {
	::btBroadphaseRayCallback *o = (::btBroadphaseRayCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayDirectionInverse = ta;
}
void btBroadphaseRayCallback_m_rayDirectionInverse_get(void *c,float* a) {
	::btBroadphaseRayCallback *o = (::btBroadphaseRayCallback*)c;
	a[0]=(o->m_rayDirectionInverse).m_floats[0];a[1]=(o->m_rayDirectionInverse).m_floats[1];a[2]=(o->m_rayDirectionInverse).m_floats[2];
}

//attribute: unsigned int[3] btBroadphaseRayCallback->m_signs
// attribute not supported: //attribute: unsigned int[3] btBroadphaseRayCallback->m_signs

// ::btBvhSubtreeInfo
//constructor: btBvhSubtreeInfo  ( ::btBvhSubtreeInfo::* )(  ) 
void* btBvhSubtreeInfo_new() {
	::btBvhSubtreeInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBvhSubtreeInfo),16);
	o = new (mem)::btBvhSubtreeInfo();
	return (void*)o;
}
void btBvhSubtreeInfo_free(void *c) {
	::btBvhSubtreeInfo *o = (::btBvhSubtreeInfo*)c;
	delete o;
}
//method: setAabbFromQuantizeNode void ( ::btBvhSubtreeInfo::* )( ::btQuantizedBvhNode const & ) 
void btBvhSubtreeInfo_setAabbFromQuantizeNode(void *c,void* p0) {
	::btBvhSubtreeInfo *o = (::btBvhSubtreeInfo*)c;
	::btQuantizedBvhNode const & tp0 = *(::btQuantizedBvhNode const *)p0;
	o->setAabbFromQuantizeNode(tp0);
}
//attribute: short unsigned int[3] btBvhSubtreeInfo->m_quantizedAabbMin
// attribute not supported: //attribute: short unsigned int[3] btBvhSubtreeInfo->m_quantizedAabbMin
//attribute: short unsigned int[3] btBvhSubtreeInfo->m_quantizedAabbMax
// attribute not supported: //attribute: short unsigned int[3] btBvhSubtreeInfo->m_quantizedAabbMax
//attribute: int btBvhSubtreeInfo->m_rootNodeIndex
void btBvhSubtreeInfo_m_rootNodeIndex_set(void *c,int a) {
	::btBvhSubtreeInfo *o = (::btBvhSubtreeInfo*)c;
	o->m_rootNodeIndex = a;
}
int btBvhSubtreeInfo_m_rootNodeIndex_get(void *c) {
	::btBvhSubtreeInfo *o = (::btBvhSubtreeInfo*)c;
	return (int)(o->m_rootNodeIndex);
}

//attribute: int btBvhSubtreeInfo->m_subtreeSize
void btBvhSubtreeInfo_m_subtreeSize_set(void *c,int a) {
	::btBvhSubtreeInfo *o = (::btBvhSubtreeInfo*)c;
	o->m_subtreeSize = a;
}
int btBvhSubtreeInfo_m_subtreeSize_get(void *c) {
	::btBvhSubtreeInfo *o = (::btBvhSubtreeInfo*)c;
	return (int)(o->m_subtreeSize);
}

//attribute: int[3] btBvhSubtreeInfo->m_padding
// attribute not supported: //attribute: int[3] btBvhSubtreeInfo->m_padding

// ::btBvhSubtreeInfoData
//constructor: btBvhSubtreeInfoData  ( ::btBvhSubtreeInfoData::* )(  ) 
void* btBvhSubtreeInfoData_new() {
	::btBvhSubtreeInfoData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btBvhSubtreeInfoData),16);
	o = new (mem)::btBvhSubtreeInfoData();
	return (void*)o;
}
void btBvhSubtreeInfoData_free(void *c) {
	::btBvhSubtreeInfoData *o = (::btBvhSubtreeInfoData*)c;
	delete o;
}
//attribute: int btBvhSubtreeInfoData->m_rootNodeIndex
void btBvhSubtreeInfoData_m_rootNodeIndex_set(void *c,int a) {
	::btBvhSubtreeInfoData *o = (::btBvhSubtreeInfoData*)c;
	o->m_rootNodeIndex = a;
}
int btBvhSubtreeInfoData_m_rootNodeIndex_get(void *c) {
	::btBvhSubtreeInfoData *o = (::btBvhSubtreeInfoData*)c;
	return (int)(o->m_rootNodeIndex);
}

//attribute: int btBvhSubtreeInfoData->m_subtreeSize
void btBvhSubtreeInfoData_m_subtreeSize_set(void *c,int a) {
	::btBvhSubtreeInfoData *o = (::btBvhSubtreeInfoData*)c;
	o->m_subtreeSize = a;
}
int btBvhSubtreeInfoData_m_subtreeSize_get(void *c) {
	::btBvhSubtreeInfoData *o = (::btBvhSubtreeInfoData*)c;
	return (int)(o->m_subtreeSize);
}

//attribute: short unsigned int[3] btBvhSubtreeInfoData->m_quantizedAabbMin
// attribute not supported: //attribute: short unsigned int[3] btBvhSubtreeInfoData->m_quantizedAabbMin
//attribute: short unsigned int[3] btBvhSubtreeInfoData->m_quantizedAabbMax
// attribute not supported: //attribute: short unsigned int[3] btBvhSubtreeInfoData->m_quantizedAabbMax

// ::btCollisionAlgorithm
//not supported method: getAllContactManifolds void ( ::btCollisionAlgorithm::* )( ::btManifoldArray & ) 
//method: calculateTimeOfImpact ::btScalar ( ::btCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
float btCollisionAlgorithm_calculateTimeOfImpact(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btCollisionAlgorithm *o = (::btCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	float retVal = (float)o->calculateTimeOfImpact(tp0,tp1,tp2,tp3);
	return retVal;
}
//method: processCollision void ( ::btCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
void btCollisionAlgorithm_processCollision(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btCollisionAlgorithm *o = (::btCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	o->processCollision(tp0,tp1,tp2,tp3);
}

// ::btCollisionAlgorithmConstructionInfo
//constructor: btCollisionAlgorithmConstructionInfo  ( ::btCollisionAlgorithmConstructionInfo::* )(  ) 
void* btCollisionAlgorithmConstructionInfo_new0() {
	::btCollisionAlgorithmConstructionInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCollisionAlgorithmConstructionInfo),16);
	o = new (mem)::btCollisionAlgorithmConstructionInfo();
	return (void*)o;
}
//constructor: btCollisionAlgorithmConstructionInfo  ( ::btCollisionAlgorithmConstructionInfo::* )( ::btDispatcher *,int ) 
void* btCollisionAlgorithmConstructionInfo_new1(void* p0,int p1) {
	::btCollisionAlgorithmConstructionInfo *o = 0;
	 void *mem = 0;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	mem = btAlignedAlloc(sizeof(::btCollisionAlgorithmConstructionInfo),16);
	o = new (mem)::btCollisionAlgorithmConstructionInfo(tp0,p1);
	return (void*)o;
}
void btCollisionAlgorithmConstructionInfo_free(void *c) {
	::btCollisionAlgorithmConstructionInfo *o = (::btCollisionAlgorithmConstructionInfo*)c;
	delete o;
}
//attribute: ::btDispatcher * btCollisionAlgorithmConstructionInfo->m_dispatcher1
void btCollisionAlgorithmConstructionInfo_m_dispatcher1_set(void *c,void* a) {
	::btCollisionAlgorithmConstructionInfo *o = (::btCollisionAlgorithmConstructionInfo*)c;
	::btDispatcher * ta = (::btDispatcher *)a;
	o->m_dispatcher1 = ta;
}
// attriibute getter not supported: //attribute: ::btDispatcher * btCollisionAlgorithmConstructionInfo->m_dispatcher1
//attribute: ::btPersistentManifold * btCollisionAlgorithmConstructionInfo->m_manifold
void btCollisionAlgorithmConstructionInfo_m_manifold_set(void *c,void* a) {
	::btCollisionAlgorithmConstructionInfo *o = (::btCollisionAlgorithmConstructionInfo*)c;
	::btPersistentManifold * ta = (::btPersistentManifold *)a;
	o->m_manifold = ta;
}
// attriibute getter not supported: //attribute: ::btPersistentManifold * btCollisionAlgorithmConstructionInfo->m_manifold

// ::btDbvt
//constructor: btDbvt  ( ::btDbvt::* )(  ) 
void* btDbvt_new() {
	::btDbvt *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDbvt),16);
	o = new (mem)::btDbvt();
	return (void*)o;
}
void btDbvt_free(void *c) {
	::btDbvt *o = (::btDbvt*)c;
	delete o;
}
//not supported method: nearest int (*)( int const *,::btDbvt::sStkNPS const *,::btScalar,int,int )
//method: enumLeaves void (*)( ::btDbvtNode const *,::btDbvt::ICollide & )
void btDbvt_enumLeaves(void* p0,void* p1) {
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvt::ICollide & tp1 = *(::btDbvt::ICollide *)p1;
	::btDbvt::enumLeaves(tp0,tp1);
}
//method: optimizeIncremental void ( ::btDbvt::* )( int ) 
void btDbvt_optimizeIncremental(void *c,int p0) {
	::btDbvt *o = (::btDbvt*)c;
	o->optimizeIncremental(p0);
}
//method: rayTest void (*)( ::btDbvtNode const *,::btVector3 const &,::btVector3 const &,::btDbvt::ICollide & )
void btDbvt_rayTest(void* p0,float* p1,float* p2,void* p3) {
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btDbvt::ICollide & tp3 = *(::btDbvt::ICollide *)p3;
	::btDbvt::rayTest(tp0,tp1,tp2,tp3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: optimizeTopDown void ( ::btDbvt::* )( int ) 
void btDbvt_optimizeTopDown(void *c,int p0) {
	::btDbvt *o = (::btDbvt*)c;
	o->optimizeTopDown(p0);
}
//method: enumNodes void (*)( ::btDbvtNode const *,::btDbvt::ICollide & )
void btDbvt_enumNodes(void* p0,void* p1) {
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvt::ICollide & tp1 = *(::btDbvt::ICollide *)p1;
	::btDbvt::enumNodes(tp0,tp1);
}
//method: write void ( ::btDbvt::* )( ::btDbvt::IWriter * ) const
void btDbvt_write(void *c,void* p0) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvt::IWriter * tp0 = (::btDbvt::IWriter *)p0;
	o->write(tp0);
}
//not supported method: allocate int (*)( ::btAlignedObjectArray<int> &,::btAlignedObjectArray<btDbvt::sStkNPS> &,::btDbvt::sStkNPS const & )
//method: empty bool ( ::btDbvt::* )(  ) const
int btDbvt_empty(void *c) {
	::btDbvt *o = (::btDbvt*)c;
	int retVal = (int)o->empty();
	return retVal;
}
//method: collideTV void ( ::btDbvt::* )( ::btDbvtNode const *,::btDbvtVolume const &,::btDbvt::ICollide & ) 
void btDbvt_collideTV(void *c,void* p0,void* p1,void* p2) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvtVolume const & tp1 = *(::btDbvtAabbMm const *)p1;
	::btDbvt::ICollide & tp2 = *(::btDbvt::ICollide *)p2;
	o->collideTV(tp0,tp1,tp2);
}
//method: collideTU void (*)( ::btDbvtNode const *,::btDbvt::ICollide & )
void btDbvt_collideTU(void* p0,void* p1) {
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvt::ICollide & tp1 = *(::btDbvt::ICollide *)p1;
	::btDbvt::collideTU(tp0,tp1);
}
//method: collideTT void ( ::btDbvt::* )( ::btDbvtNode const *,::btDbvtNode const *,::btDbvt::ICollide & ) 
void btDbvt_collideTT(void *c,void* p0,void* p1,void* p2) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvtNode const * tp1 = (::btDbvtNode const *)p1;
	::btDbvt::ICollide & tp2 = *(::btDbvt::ICollide *)p2;
	o->collideTT(tp0,tp1,tp2);
}
//method: collideTTpersistentStack void ( ::btDbvt::* )( ::btDbvtNode const *,::btDbvtNode const *,::btDbvt::ICollide & ) 
void btDbvt_collideTTpersistentStack(void *c,void* p0,void* p1,void* p2) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvtNode const * tp1 = (::btDbvtNode const *)p1;
	::btDbvt::ICollide & tp2 = *(::btDbvt::ICollide *)p2;
	o->collideTTpersistentStack(tp0,tp1,tp2);
}
//method: clone void ( ::btDbvt::* )( ::btDbvt &,::btDbvt::IClone * ) const
void btDbvt_clone(void *c,void* p0,void* p1) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvt & tp0 = *(::btDbvt *)p0;
	::btDbvt::IClone * tp1 = (::btDbvt::IClone *)p1;
	o->clone(tp0,tp1);
}
//method: benchmark void (*)(  )
void btDbvt_benchmark() {
	::btDbvt::benchmark();
}
//method: update void ( ::btDbvt::* )( ::btDbvtNode *,int ) 
void btDbvt_update(void *c,void* p0,int p1) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	o->update(tp0,p1);
}
//method: update void ( ::btDbvt::* )( ::btDbvtNode *,int ) 
void btDbvt_update0(void *c,void* p0,int p1) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	o->update(tp0,p1);
}
//method: update void ( ::btDbvt::* )( ::btDbvtNode *,::btDbvtVolume & ) 
void btDbvt_update1(void *c,void* p0,void* p1) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	::btDbvtVolume & tp1 = *(::btDbvtAabbMm *)p1;
	o->update(tp0,tp1);
}
//method: update bool ( ::btDbvt::* )( ::btDbvtNode *,::btDbvtVolume &,::btVector3 const &,::btScalar ) 
int btDbvt_update2(void *c,void* p0,void* p1,float* p2,float p3) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	::btDbvtVolume & tp1 = *(::btDbvtAabbMm *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	int retVal = (int)o->update(tp0,tp1,tp2,p3);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return retVal;
}
//method: update bool ( ::btDbvt::* )( ::btDbvtNode *,::btDbvtVolume &,::btVector3 const & ) 
int btDbvt_update3(void *c,void* p0,void* p1,float* p2) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	::btDbvtVolume & tp1 = *(::btDbvtAabbMm *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	int retVal = (int)o->update(tp0,tp1,tp2);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return retVal;
}
//method: update bool ( ::btDbvt::* )( ::btDbvtNode *,::btDbvtVolume &,::btScalar ) 
int btDbvt_update4(void *c,void* p0,void* p1,float p2) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	::btDbvtVolume & tp1 = *(::btDbvtAabbMm *)p1;
	int retVal = (int)o->update(tp0,tp1,p2);
	return retVal;
}
//method: countLeaves int (*)( ::btDbvtNode const * )
int btDbvt_countLeaves(void* p0) {
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	int retVal = (int)::btDbvt::countLeaves(tp0);
	return retVal;
}
//not supported method: collideOCL void (*)( ::btDbvtNode const *,::btVector3 const *,::btScalar const *,::btVector3 const &,int,::btDbvt::ICollide &,bool )
//not supported method: insert ::btDbvtNode * ( ::btDbvt::* )( ::btDbvtVolume const &,void * ) 
//not supported method: collideKDOP void (*)( ::btDbvtNode const *,::btVector3 const *,::btScalar const *,int,::btDbvt::ICollide & )
//not supported method: extractLeaves void (*)( ::btDbvtNode const *,::btAlignedObjectArray<btDbvtNode const*> & )
//method: remove void ( ::btDbvt::* )( ::btDbvtNode * ) 
void btDbvt_remove(void *c,void* p0) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * tp0 = (::btDbvtNode *)p0;
	o->remove(tp0);
}
//not supported method: rayTestInternal void ( ::btDbvt::* )( ::btDbvtNode const *,::btVector3 const &,::btVector3 const &,::btVector3 const &,unsigned int *,::btScalar,::btVector3 const &,::btVector3 const &,::btDbvt::ICollide & ) const
//method: maxdepth int (*)( ::btDbvtNode const * )
int btDbvt_maxdepth(void* p0) {
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	int retVal = (int)::btDbvt::maxdepth(tp0);
	return retVal;
}
//method: clear void ( ::btDbvt::* )(  ) 
void btDbvt_clear(void *c) {
	::btDbvt *o = (::btDbvt*)c;
	o->clear();
}
//method: optimizeBottomUp void ( ::btDbvt::* )(  ) 
void btDbvt_optimizeBottomUp(void *c) {
	::btDbvt *o = (::btDbvt*)c;
	o->optimizeBottomUp();
}
//attribute: ::btDbvtNode * btDbvt->m_free
void btDbvt_m_free_set(void *c,void* a) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->m_free = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btDbvt->m_free
//attribute: int btDbvt->m_leaves
void btDbvt_m_leaves_set(void *c,int a) {
	::btDbvt *o = (::btDbvt*)c;
	o->m_leaves = a;
}
int btDbvt_m_leaves_get(void *c) {
	::btDbvt *o = (::btDbvt*)c;
	return (int)(o->m_leaves);
}

//attribute: int btDbvt->m_lkhd
void btDbvt_m_lkhd_set(void *c,int a) {
	::btDbvt *o = (::btDbvt*)c;
	o->m_lkhd = a;
}
int btDbvt_m_lkhd_get(void *c) {
	::btDbvt *o = (::btDbvt*)c;
	return (int)(o->m_lkhd);
}

//attribute: unsigned int btDbvt->m_opath
void btDbvt_m_opath_set(void *c,unsigned int a) {
	::btDbvt *o = (::btDbvt*)c;
	o->m_opath = a;
}
unsigned int btDbvt_m_opath_get(void *c) {
	::btDbvt *o = (::btDbvt*)c;
	return (unsigned int)(o->m_opath);
}

//attribute: ::btDbvtNode * btDbvt->m_root
void btDbvt_m_root_set(void *c,void* a) {
	::btDbvt *o = (::btDbvt*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->m_root = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btDbvt->m_root
//attribute: ::btAlignedObjectArray<btDbvt::sStkNN> btDbvt->m_stkStack
// attribute not supported: //attribute: ::btAlignedObjectArray<btDbvt::sStkNN> btDbvt->m_stkStack

// ::btDbvtAabbMm
//constructor: btDbvtAabbMm  ( ::btDbvtAabbMm::* )(  ) 
void* btDbvtAabbMm_new() {
	::btDbvtAabbMm *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDbvtAabbMm),16);
	o = new (mem)::btDbvtAabbMm();
	return (void*)o;
}
void btDbvtAabbMm_free(void *c) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	delete o;
}
//method: SignedExpand void ( ::btDbvtAabbMm::* )( ::btVector3 const & ) 
void btDbvtAabbMm_SignedExpand(void *c,float* p0) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->SignedExpand(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: Extents ::btVector3 ( ::btDbvtAabbMm::* )(  ) const
void btDbvtAabbMm_Extents(void *c,float* ret) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->Extents();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: Center ::btVector3 ( ::btDbvtAabbMm::* )(  ) const
void btDbvtAabbMm_Center(void *c,float* ret) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->Center();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: Lengths ::btVector3 ( ::btDbvtAabbMm::* )(  ) const
void btDbvtAabbMm_Lengths(void *c,float* ret) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->Lengths();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: Maxs ::btVector3 const & ( ::btDbvtAabbMm::* )(  ) const
void btDbvtAabbMm_Maxs(void *c,float* ret) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->Maxs();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: FromCE ::btDbvtAabbMm (*)( ::btVector3 const &,::btVector3 const & )
//not supported method: FromMM ::btDbvtAabbMm (*)( ::btVector3 const &,::btVector3 const & )
//method: ProjectMinimum ::btScalar ( ::btDbvtAabbMm::* )( ::btVector3 const &,unsigned int ) const
float btDbvtAabbMm_ProjectMinimum(void *c,float* p0,unsigned int p1) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	float retVal = (float)o->ProjectMinimum(tp0,p1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: Classify int ( ::btDbvtAabbMm::* )( ::btVector3 const &,::btScalar,int ) const
int btDbvtAabbMm_Classify(void *c,float* p0,float p1,int p2) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->Classify(tp0,p1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: Contain bool ( ::btDbvtAabbMm::* )( ::btDbvtAabbMm const & ) const
int btDbvtAabbMm_Contain(void *c,void* p0) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	::btDbvtAabbMm const & tp0 = *(::btDbvtAabbMm const *)p0;
	int retVal = (int)o->Contain(tp0);
	return retVal;
}
//method: Mins ::btVector3 const & ( ::btDbvtAabbMm::* )(  ) const
void btDbvtAabbMm_Mins(void *c,float* ret) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->Mins();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: FromCR ::btDbvtAabbMm (*)( ::btVector3 const &,::btScalar )
//method: Expand void ( ::btDbvtAabbMm::* )( ::btVector3 const & ) 
void btDbvtAabbMm_Expand(void *c,float* p0) {
	::btDbvtAabbMm *o = (::btDbvtAabbMm*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->Expand(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//not supported method: FromPoints ::btDbvtAabbMm (*)( ::btVector3 const *,int )
//not supported method: FromPoints ::btDbvtAabbMm (*)( ::btVector3 const *,int )
//not supported method: FromPoints ::btDbvtAabbMm (*)( ::btVector3 const * *,int )

// ::btDbvtBroadphase
//constructor: btDbvtBroadphase  ( ::btDbvtBroadphase::* )( ::btOverlappingPairCache * ) 
void* btDbvtBroadphase_new(void* p0) {
	::btDbvtBroadphase *o = 0;
	 void *mem = 0;
	::btOverlappingPairCache * tp0 = (::btOverlappingPairCache *)p0;
	mem = btAlignedAlloc(sizeof(::btDbvtBroadphase),16);
	o = new (mem)::btDbvtBroadphase(tp0);
	return (void*)o;
}
void btDbvtBroadphase_free(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	delete o;
}
//method: rayTest void ( ::btDbvtBroadphase::* )( ::btVector3 const &,::btVector3 const &,::btBroadphaseRayCallback &,::btVector3 const &,::btVector3 const & ) 
void btDbvtBroadphase_rayTest(void *c,float* p0,float* p1,void* p2,float* p3,float* p4) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btBroadphaseRayCallback & tp2 = *(::btBroadphaseRayCallback *)p2;
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->rayTest(tp0,tp1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: performDeferredRemoval void ( ::btDbvtBroadphase::* )( ::btDispatcher * ) 
void btDbvtBroadphase_performDeferredRemoval(void *c,void* p0) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->performDeferredRemoval(tp0);
}
//method: setAabb void ( ::btDbvtBroadphase::* )( ::btBroadphaseProxy *,::btVector3 const &,::btVector3 const &,::btDispatcher * ) 
void btDbvtBroadphase_setAabb(void *c,void* p0,float* p1,float* p2,void* p3) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btDispatcher * tp3 = (::btDispatcher *)p3;
	o->setAabb(tp0,tp1,tp2,tp3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btDbvtBroadphase::* )(  ) 
void* btDbvtBroadphase_getOverlappingPairCache(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btDbvtBroadphase::* )(  ) 
void* btDbvtBroadphase_getOverlappingPairCache0(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache const * ( ::btDbvtBroadphase::* )(  ) const
void* btDbvtBroadphase_getOverlappingPairCache1(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: setVelocityPrediction void ( ::btDbvtBroadphase::* )( ::btScalar ) 
void btDbvtBroadphase_setVelocityPrediction(void *c,float p0) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->setVelocityPrediction(p0);
}
//method: benchmark void (*)( ::btBroadphaseInterface * )
void btDbvtBroadphase_benchmark(void* p0) {
	::btBroadphaseInterface * tp0 = (::btBroadphaseInterface *)p0;
	::btDbvtBroadphase::benchmark(tp0);
}
//method: collide void ( ::btDbvtBroadphase::* )( ::btDispatcher * ) 
void btDbvtBroadphase_collide(void *c,void* p0) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->collide(tp0);
}
//method: resetPool void ( ::btDbvtBroadphase::* )( ::btDispatcher * ) 
void btDbvtBroadphase_resetPool(void *c,void* p0) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->resetPool(tp0);
}
//method: getVelocityPrediction ::btScalar ( ::btDbvtBroadphase::* )(  ) const
float btDbvtBroadphase_getVelocityPrediction(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	float retVal = (float)o->getVelocityPrediction();
	return retVal;
}
//method: calculateOverlappingPairs void ( ::btDbvtBroadphase::* )( ::btDispatcher * ) 
void btDbvtBroadphase_calculateOverlappingPairs(void *c,void* p0) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->calculateOverlappingPairs(tp0);
}
//method: setAabbForceUpdate void ( ::btDbvtBroadphase::* )( ::btBroadphaseProxy *,::btVector3 const &,::btVector3 const &,::btDispatcher * ) 
void btDbvtBroadphase_setAabbForceUpdate(void *c,void* p0,float* p1,float* p2,void* p3) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btDispatcher * tp3 = (::btDispatcher *)p3;
	o->setAabbForceUpdate(tp0,tp1,tp2,tp3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getBroadphaseAabb void ( ::btDbvtBroadphase::* )( ::btVector3 &,::btVector3 & ) const
void btDbvtBroadphase_getBroadphaseAabb(void *c,float* p0,float* p1) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getBroadphaseAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: printStats void ( ::btDbvtBroadphase::* )(  ) 
void btDbvtBroadphase_printStats(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->printStats();
}
//method: getAabb void ( ::btDbvtBroadphase::* )( ::btBroadphaseProxy *,::btVector3 &,::btVector3 & ) const
void btDbvtBroadphase_getAabb(void *c,void* p0,float* p1,float* p2) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: aabbTest void ( ::btDbvtBroadphase::* )( ::btVector3 const &,::btVector3 const &,::btBroadphaseAabbCallback & ) 
void btDbvtBroadphase_aabbTest(void *c,float* p0,float* p1,void* p2) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btBroadphaseAabbCallback & tp2 = *(::btBroadphaseAabbCallback *)p2;
	o->aabbTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: createProxy ::btBroadphaseProxy * ( ::btDbvtBroadphase::* )( ::btVector3 const &,::btVector3 const &,int,void *,short int,short int,::btDispatcher *,void * ) 
//method: optimize void ( ::btDbvtBroadphase::* )(  ) 
void btDbvtBroadphase_optimize(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->optimize();
}
//method: destroyProxy void ( ::btDbvtBroadphase::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btDbvtBroadphase_destroyProxy(void *c,void* p0,void* p1) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->destroyProxy(tp0,tp1);
}
//attribute: ::btDbvt[2] btDbvtBroadphase->m_sets
// attribute not supported: //attribute: ::btDbvt[2] btDbvtBroadphase->m_sets
//attribute: ::btDbvtProxy *[3] btDbvtBroadphase->m_stageRoots
// attribute not supported: //attribute: ::btDbvtProxy *[3] btDbvtBroadphase->m_stageRoots
//attribute: ::btOverlappingPairCache * btDbvtBroadphase->m_paircache
void btDbvtBroadphase_m_paircache_set(void *c,void* a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	::btOverlappingPairCache * ta = (::btOverlappingPairCache *)a;
	o->m_paircache = ta;
}
// attriibute getter not supported: //attribute: ::btOverlappingPairCache * btDbvtBroadphase->m_paircache
//attribute: ::btScalar btDbvtBroadphase->m_prediction
void btDbvtBroadphase_m_prediction_set(void *c,float a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_prediction = a;
}
float btDbvtBroadphase_m_prediction_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (float)(o->m_prediction);
}

//attribute: int btDbvtBroadphase->m_stageCurrent
void btDbvtBroadphase_m_stageCurrent_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_stageCurrent = a;
}
int btDbvtBroadphase_m_stageCurrent_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_stageCurrent);
}

//attribute: int btDbvtBroadphase->m_fupdates
void btDbvtBroadphase_m_fupdates_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_fupdates = a;
}
int btDbvtBroadphase_m_fupdates_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_fupdates);
}

//attribute: int btDbvtBroadphase->m_dupdates
void btDbvtBroadphase_m_dupdates_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_dupdates = a;
}
int btDbvtBroadphase_m_dupdates_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_dupdates);
}

//attribute: int btDbvtBroadphase->m_cupdates
void btDbvtBroadphase_m_cupdates_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_cupdates = a;
}
int btDbvtBroadphase_m_cupdates_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_cupdates);
}

//attribute: int btDbvtBroadphase->m_newpairs
void btDbvtBroadphase_m_newpairs_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_newpairs = a;
}
int btDbvtBroadphase_m_newpairs_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_newpairs);
}

//attribute: int btDbvtBroadphase->m_fixedleft
void btDbvtBroadphase_m_fixedleft_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_fixedleft = a;
}
int btDbvtBroadphase_m_fixedleft_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_fixedleft);
}

//attribute: unsigned int btDbvtBroadphase->m_updates_call
void btDbvtBroadphase_m_updates_call_set(void *c,unsigned int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_updates_call = a;
}
unsigned int btDbvtBroadphase_m_updates_call_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (unsigned int)(o->m_updates_call);
}

//attribute: unsigned int btDbvtBroadphase->m_updates_done
void btDbvtBroadphase_m_updates_done_set(void *c,unsigned int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_updates_done = a;
}
unsigned int btDbvtBroadphase_m_updates_done_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (unsigned int)(o->m_updates_done);
}

//attribute: ::btScalar btDbvtBroadphase->m_updates_ratio
void btDbvtBroadphase_m_updates_ratio_set(void *c,float a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_updates_ratio = a;
}
float btDbvtBroadphase_m_updates_ratio_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (float)(o->m_updates_ratio);
}

//attribute: int btDbvtBroadphase->m_pid
void btDbvtBroadphase_m_pid_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_pid = a;
}
int btDbvtBroadphase_m_pid_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_pid);
}

//attribute: int btDbvtBroadphase->m_cid
void btDbvtBroadphase_m_cid_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_cid = a;
}
int btDbvtBroadphase_m_cid_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_cid);
}

//attribute: int btDbvtBroadphase->m_gid
void btDbvtBroadphase_m_gid_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_gid = a;
}
int btDbvtBroadphase_m_gid_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_gid);
}

//attribute: bool btDbvtBroadphase->m_releasepaircache
void btDbvtBroadphase_m_releasepaircache_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_releasepaircache = a;
}
int btDbvtBroadphase_m_releasepaircache_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_releasepaircache);
}

//attribute: bool btDbvtBroadphase->m_deferedcollide
void btDbvtBroadphase_m_deferedcollide_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_deferedcollide = a;
}
int btDbvtBroadphase_m_deferedcollide_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_deferedcollide);
}

//attribute: bool btDbvtBroadphase->m_needcleanup
void btDbvtBroadphase_m_needcleanup_set(void *c,int a) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	o->m_needcleanup = a;
}
int btDbvtBroadphase_m_needcleanup_get(void *c) {
	::btDbvtBroadphase *o = (::btDbvtBroadphase*)c;
	return (int)(o->m_needcleanup);
}


// ::btDbvtNode
//constructor: btDbvtNode  ( ::btDbvtNode::* )(  ) 
void* btDbvtNode_new() {
	::btDbvtNode *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDbvtNode),16);
	o = new (mem)::btDbvtNode();
	return (void*)o;
}
void btDbvtNode_free(void *c) {
	::btDbvtNode *o = (::btDbvtNode*)c;
	delete o;
}
//method: isinternal bool ( ::btDbvtNode::* )(  ) const
int btDbvtNode_isinternal(void *c) {
	::btDbvtNode *o = (::btDbvtNode*)c;
	int retVal = (int)o->isinternal();
	return retVal;
}
//method: isleaf bool ( ::btDbvtNode::* )(  ) const
int btDbvtNode_isleaf(void *c) {
	::btDbvtNode *o = (::btDbvtNode*)c;
	int retVal = (int)o->isleaf();
	return retVal;
}
//attribute: ::btDbvtNode btDbvtNode->
// attribute not supported: //attribute: ::btDbvtNode btDbvtNode->
//attribute: ::btDbvtNode * btDbvtNode->parent
void btDbvtNode_parent_set(void *c,void* a) {
	::btDbvtNode *o = (::btDbvtNode*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->parent = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btDbvtNode->parent
//attribute: ::btDbvtVolume btDbvtNode->volume
// attribute not supported: //attribute: ::btDbvtVolume btDbvtNode->volume

// ::btDbvtProxy
//not supported constructor: btDbvtProxy  ( ::btDbvtProxy::* )( ::btVector3 const &,::btVector3 const &,void *,short int,short int ) 
void btDbvtProxy_free(void *c) {
	::btDbvtProxy *o = (::btDbvtProxy*)c;
	delete o;
}
//attribute: ::btDbvtNode * btDbvtProxy->leaf
void btDbvtProxy_leaf_set(void *c,void* a) {
	::btDbvtProxy *o = (::btDbvtProxy*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->leaf = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btDbvtProxy->leaf
//attribute: ::btDbvtProxy *[2] btDbvtProxy->links
// attribute not supported: //attribute: ::btDbvtProxy *[2] btDbvtProxy->links
//attribute: int btDbvtProxy->stage
void btDbvtProxy_stage_set(void *c,int a) {
	::btDbvtProxy *o = (::btDbvtProxy*)c;
	o->stage = a;
}
int btDbvtProxy_stage_get(void *c) {
	::btDbvtProxy *o = (::btDbvtProxy*)c;
	return (int)(o->stage);
}


// ::btDispatcher
//not supported method: allocateCollisionAlgorithm void * ( ::btDispatcher::* )( int ) 
//method: releaseManifold void ( ::btDispatcher::* )( ::btPersistentManifold * ) 
void btDispatcher_releaseManifold(void *c,void* p0) {
	::btDispatcher *o = (::btDispatcher*)c;
	::btPersistentManifold * tp0 = (::btPersistentManifold *)p0;
	o->releaseManifold(tp0);
}
//method: getNumManifolds int ( ::btDispatcher::* )(  ) const
int btDispatcher_getNumManifolds(void *c) {
	::btDispatcher *o = (::btDispatcher*)c;
	int retVal = (int)o->getNumManifolds();
	return retVal;
}
//method: clearManifold void ( ::btDispatcher::* )( ::btPersistentManifold * ) 
void btDispatcher_clearManifold(void *c,void* p0) {
	::btDispatcher *o = (::btDispatcher*)c;
	::btPersistentManifold * tp0 = (::btPersistentManifold *)p0;
	o->clearManifold(tp0);
}
//not supported method: freeCollisionAlgorithm void ( ::btDispatcher::* )( void * ) 
//not supported method: getInternalManifoldPointer ::btPersistentManifold * * ( ::btDispatcher::* )(  ) 
//method: findAlgorithm ::btCollisionAlgorithm * ( ::btDispatcher::* )( ::btCollisionObject *,::btCollisionObject *,::btPersistentManifold * ) 
void* btDispatcher_findAlgorithm(void *c,void* p0,void* p1,void* p2) {
	::btDispatcher *o = (::btDispatcher*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btPersistentManifold * tp2 = (::btPersistentManifold *)p2;
	void* retVal = (void*) o->findAlgorithm(tp0,tp1,tp2);
	return retVal;
}
//method: needsResponse bool ( ::btDispatcher::* )( ::btCollisionObject *,::btCollisionObject * ) 
int btDispatcher_needsResponse(void *c,void* p0,void* p1) {
	::btDispatcher *o = (::btDispatcher*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	int retVal = (int)o->needsResponse(tp0,tp1);
	return retVal;
}
//not supported method: getNewManifold ::btPersistentManifold * ( ::btDispatcher::* )( void *,void * ) 
//method: dispatchAllCollisionPairs void ( ::btDispatcher::* )( ::btOverlappingPairCache *,::btDispatcherInfo const &,::btDispatcher * ) 
void btDispatcher_dispatchAllCollisionPairs(void *c,void* p0,void* p1,void* p2) {
	::btDispatcher *o = (::btDispatcher*)c;
	::btOverlappingPairCache * tp0 = (::btOverlappingPairCache *)p0;
	::btDispatcherInfo const & tp1 = *(::btDispatcherInfo const *)p1;
	::btDispatcher * tp2 = (::btDispatcher *)p2;
	o->dispatchAllCollisionPairs(tp0,tp1,tp2);
}
//not supported method: getInternalManifoldPool ::btPoolAllocator * ( ::btDispatcher::* )(  ) 
//not supported method: getInternalManifoldPool ::btPoolAllocator * ( ::btDispatcher::* )(  ) 
//not supported method: getInternalManifoldPool ::btPoolAllocator const * ( ::btDispatcher::* )(  ) const
//method: needsCollision bool ( ::btDispatcher::* )( ::btCollisionObject *,::btCollisionObject * ) 
int btDispatcher_needsCollision(void *c,void* p0,void* p1) {
	::btDispatcher *o = (::btDispatcher*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	int retVal = (int)o->needsCollision(tp0,tp1);
	return retVal;
}
//method: getManifoldByIndexInternal ::btPersistentManifold * ( ::btDispatcher::* )( int ) 
void* btDispatcher_getManifoldByIndexInternal(void *c,int p0) {
	::btDispatcher *o = (::btDispatcher*)c;
	void* retVal = (void*) o->getManifoldByIndexInternal(p0);
	return retVal;
}

// ::btDispatcherInfo
//constructor: btDispatcherInfo  ( ::btDispatcherInfo::* )(  ) 
void* btDispatcherInfo_new() {
	::btDispatcherInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDispatcherInfo),16);
	o = new (mem)::btDispatcherInfo();
	return (void*)o;
}
void btDispatcherInfo_free(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	delete o;
}
//attribute: ::btScalar btDispatcherInfo->m_allowedCcdPenetration
void btDispatcherInfo_m_allowedCcdPenetration_set(void *c,float a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_allowedCcdPenetration = a;
}
float btDispatcherInfo_m_allowedCcdPenetration_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (float)(o->m_allowedCcdPenetration);
}

//attribute: ::btScalar btDispatcherInfo->m_convexConservativeDistanceThreshold
void btDispatcherInfo_m_convexConservativeDistanceThreshold_set(void *c,float a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_convexConservativeDistanceThreshold = a;
}
float btDispatcherInfo_m_convexConservativeDistanceThreshold_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (float)(o->m_convexConservativeDistanceThreshold);
}

//attribute: ::btIDebugDraw * btDispatcherInfo->m_debugDraw
void btDispatcherInfo_m_debugDraw_set(void *c,void* a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	::btIDebugDraw * ta = (::btIDebugDraw *)a;
	o->m_debugDraw = ta;
}
// attriibute getter not supported: //attribute: ::btIDebugDraw * btDispatcherInfo->m_debugDraw
//attribute: int btDispatcherInfo->m_dispatchFunc
void btDispatcherInfo_m_dispatchFunc_set(void *c,int a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_dispatchFunc = a;
}
int btDispatcherInfo_m_dispatchFunc_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (int)(o->m_dispatchFunc);
}

//attribute: bool btDispatcherInfo->m_enableSPU
void btDispatcherInfo_m_enableSPU_set(void *c,int a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_enableSPU = a;
}
int btDispatcherInfo_m_enableSPU_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (int)(o->m_enableSPU);
}

//attribute: bool btDispatcherInfo->m_enableSatConvex
void btDispatcherInfo_m_enableSatConvex_set(void *c,int a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_enableSatConvex = a;
}
int btDispatcherInfo_m_enableSatConvex_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (int)(o->m_enableSatConvex);
}

//attribute: ::btStackAlloc * btDispatcherInfo->m_stackAllocator
void btDispatcherInfo_m_stackAllocator_set(void *c,void* a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	::btStackAlloc * ta = (::btStackAlloc *)a;
	o->m_stackAllocator = ta;
}
// attriibute getter not supported: //attribute: ::btStackAlloc * btDispatcherInfo->m_stackAllocator
//attribute: int btDispatcherInfo->m_stepCount
void btDispatcherInfo_m_stepCount_set(void *c,int a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_stepCount = a;
}
int btDispatcherInfo_m_stepCount_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (int)(o->m_stepCount);
}

//attribute: ::btScalar btDispatcherInfo->m_timeOfImpact
void btDispatcherInfo_m_timeOfImpact_set(void *c,float a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_timeOfImpact = a;
}
float btDispatcherInfo_m_timeOfImpact_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (float)(o->m_timeOfImpact);
}

//attribute: ::btScalar btDispatcherInfo->m_timeStep
void btDispatcherInfo_m_timeStep_set(void *c,float a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_timeStep = a;
}
float btDispatcherInfo_m_timeStep_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (float)(o->m_timeStep);
}

//attribute: bool btDispatcherInfo->m_useContinuous
void btDispatcherInfo_m_useContinuous_set(void *c,int a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_useContinuous = a;
}
int btDispatcherInfo_m_useContinuous_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (int)(o->m_useContinuous);
}

//attribute: bool btDispatcherInfo->m_useConvexConservativeDistanceUtil
void btDispatcherInfo_m_useConvexConservativeDistanceUtil_set(void *c,int a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_useConvexConservativeDistanceUtil = a;
}
int btDispatcherInfo_m_useConvexConservativeDistanceUtil_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (int)(o->m_useConvexConservativeDistanceUtil);
}

//attribute: bool btDispatcherInfo->m_useEpa
void btDispatcherInfo_m_useEpa_set(void *c,int a) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	o->m_useEpa = a;
}
int btDispatcherInfo_m_useEpa_get(void *c) {
	::btDispatcherInfo *o = (::btDispatcherInfo*)c;
	return (int)(o->m_useEpa);
}


// ::btHashedOverlappingPairCache
//constructor: btHashedOverlappingPairCache  ( ::btHashedOverlappingPairCache::* )(  ) 
void* btHashedOverlappingPairCache_new() {
	::btHashedOverlappingPairCache *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btHashedOverlappingPairCache),16);
	o = new (mem)::btHashedOverlappingPairCache();
	return (void*)o;
}
void btHashedOverlappingPairCache_free(void *c) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	delete o;
}
//method: getOverlapFilterCallback ::btOverlapFilterCallback * ( ::btHashedOverlappingPairCache::* )(  ) 
void* btHashedOverlappingPairCache_getOverlapFilterCallback(void *c) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlapFilterCallback();
	return retVal;
}
//method: addOverlappingPair ::btBroadphasePair * ( ::btHashedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btHashedOverlappingPairCache_addOverlappingPair(void *c,void* p0,void* p1) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->addOverlappingPair(tp0,tp1);
	return retVal;
}
//method: removeOverlappingPairsContainingProxy void ( ::btHashedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btHashedOverlappingPairCache_removeOverlappingPairsContainingProxy(void *c,void* p0,void* p1) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->removeOverlappingPairsContainingProxy(tp0,tp1);
}
//method: needsBroadphaseCollision bool ( ::btHashedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) const
int btHashedOverlappingPairCache_needsBroadphaseCollision(void *c,void* p0,void* p1) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	int retVal = (int)o->needsBroadphaseCollision(tp0,tp1);
	return retVal;
}
//not supported method: getOverlappingPairArray ::btBroadphasePairArray & ( ::btHashedOverlappingPairCache::* )(  ) 
//not supported method: getOverlappingPairArray ::btBroadphasePairArray & ( ::btHashedOverlappingPairCache::* )(  ) 
//not supported method: getOverlappingPairArray ::btBroadphasePairArray const & ( ::btHashedOverlappingPairCache::* )(  ) const
//method: findPair ::btBroadphasePair * ( ::btHashedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btHashedOverlappingPairCache_findPair(void *c,void* p0,void* p1) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->findPair(tp0,tp1);
	return retVal;
}
//method: cleanProxyFromPairs void ( ::btHashedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btHashedOverlappingPairCache_cleanProxyFromPairs(void *c,void* p0,void* p1) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanProxyFromPairs(tp0,tp1);
}
//method: cleanOverlappingPair void ( ::btHashedOverlappingPairCache::* )( ::btBroadphasePair &,::btDispatcher * ) 
void btHashedOverlappingPairCache_cleanOverlappingPair(void *c,void* p0,void* p1) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btBroadphasePair & tp0 = *(::btBroadphasePair *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanOverlappingPair(tp0,tp1);
}
//method: getNumOverlappingPairs int ( ::btHashedOverlappingPairCache::* )(  ) const
int btHashedOverlappingPairCache_getNumOverlappingPairs(void *c) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	int retVal = (int)o->getNumOverlappingPairs();
	return retVal;
}
//not supported method: removeOverlappingPair void * ( ::btHashedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy *,::btDispatcher * ) 
//method: GetCount int ( ::btHashedOverlappingPairCache::* )(  ) const
int btHashedOverlappingPairCache_GetCount(void *c) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	int retVal = (int)o->GetCount();
	return retVal;
}
//method: processAllOverlappingPairs void ( ::btHashedOverlappingPairCache::* )( ::btOverlapCallback *,::btDispatcher * ) 
void btHashedOverlappingPairCache_processAllOverlappingPairs(void *c,void* p0,void* p1) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btOverlapCallback * tp0 = (::btOverlapCallback *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->processAllOverlappingPairs(tp0,tp1);
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btHashedOverlappingPairCache::* )(  ) 
void* btHashedOverlappingPairCache_getOverlappingPairArrayPtr(void *c) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btHashedOverlappingPairCache::* )(  ) 
void* btHashedOverlappingPairCache_getOverlappingPairArrayPtr0(void *c) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair const * ( ::btHashedOverlappingPairCache::* )(  ) const
void* btHashedOverlappingPairCache_getOverlappingPairArrayPtr1(void *c) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: setOverlapFilterCallback void ( ::btHashedOverlappingPairCache::* )( ::btOverlapFilterCallback * ) 
void btHashedOverlappingPairCache_setOverlapFilterCallback(void *c,void* p0) {
	::btHashedOverlappingPairCache *o = (::btHashedOverlappingPairCache*)c;
	::btOverlapFilterCallback * tp0 = (::btOverlapFilterCallback *)p0;
	o->setOverlapFilterCallback(tp0);
}

// ::btMultiSapBroadphase
//method: addToChildBroadphase void ( ::btMultiSapBroadphase::* )( ::btMultiSapBroadphase::btMultiSapProxy *,::btBroadphaseProxy *,::btBroadphaseInterface * ) 
void btMultiSapBroadphase_addToChildBroadphase(void *c,void* p0,void* p1,void* p2) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	::btMultiSapBroadphase::btMultiSapProxy * tp0 = (::btMultiSapBroadphase::btMultiSapProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	::btBroadphaseInterface * tp2 = (::btBroadphaseInterface *)p2;
	o->addToChildBroadphase(tp0,tp1,tp2);
}
//method: rayTest void ( ::btMultiSapBroadphase::* )( ::btVector3 const &,::btVector3 const &,::btBroadphaseRayCallback &,::btVector3 const &,::btVector3 const & ) 
void btMultiSapBroadphase_rayTest(void *c,float* p0,float* p1,void* p2,float* p3,float* p4) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btBroadphaseRayCallback & tp2 = *(::btBroadphaseRayCallback *)p2;
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->rayTest(tp0,tp1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: setAabb void ( ::btMultiSapBroadphase::* )( ::btBroadphaseProxy *,::btVector3 const &,::btVector3 const &,::btDispatcher * ) 
void btMultiSapBroadphase_setAabb(void *c,void* p0,float* p1,float* p2,void* p3) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btDispatcher * tp3 = (::btDispatcher *)p3;
	o->setAabb(tp0,tp1,tp2,tp3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btMultiSapBroadphase::* )(  ) 
void* btMultiSapBroadphase_getOverlappingPairCache(void *c) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btMultiSapBroadphase::* )(  ) 
void* btMultiSapBroadphase_getOverlappingPairCache0(void *c) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache const * ( ::btMultiSapBroadphase::* )(  ) const
void* btMultiSapBroadphase_getOverlappingPairCache1(void *c) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//not supported method: quicksort void ( ::btMultiSapBroadphase::* )( ::btBroadphasePairArray &,int,int ) 
//method: buildTree void ( ::btMultiSapBroadphase::* )( ::btVector3 const &,::btVector3 const & ) 
void btMultiSapBroadphase_buildTree(void *c,float* p0,float* p1) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->buildTree(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: resetPool void ( ::btMultiSapBroadphase::* )( ::btDispatcher * ) 
void btMultiSapBroadphase_resetPool(void *c,void* p0) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->resetPool(tp0);
}
//method: calculateOverlappingPairs void ( ::btMultiSapBroadphase::* )( ::btDispatcher * ) 
void btMultiSapBroadphase_calculateOverlappingPairs(void *c,void* p0) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->calculateOverlappingPairs(tp0);
}
//method: testAabbOverlap bool ( ::btMultiSapBroadphase::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
int btMultiSapBroadphase_testAabbOverlap(void *c,void* p0,void* p1) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	int retVal = (int)o->testAabbOverlap(tp0,tp1);
	return retVal;
}
//method: getAabb void ( ::btMultiSapBroadphase::* )( ::btBroadphaseProxy *,::btVector3 &,::btVector3 & ) const
void btMultiSapBroadphase_getAabb(void *c,void* p0,float* p1,float* p2) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//not supported method: getBroadphaseArray ::btSapBroadphaseArray & ( ::btMultiSapBroadphase::* )(  ) 
//not supported method: getBroadphaseArray ::btSapBroadphaseArray & ( ::btMultiSapBroadphase::* )(  ) 
//not supported method: getBroadphaseArray ::btSapBroadphaseArray const & ( ::btMultiSapBroadphase::* )(  ) const
//not supported method: createProxy ::btBroadphaseProxy * ( ::btMultiSapBroadphase::* )( ::btVector3 const &,::btVector3 const &,int,void *,short int,short int,::btDispatcher *,void * ) 
//method: printStats void ( ::btMultiSapBroadphase::* )(  ) 
void btMultiSapBroadphase_printStats(void *c) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	o->printStats();
}
//method: getBroadphaseAabb void ( ::btMultiSapBroadphase::* )( ::btVector3 &,::btVector3 & ) const
void btMultiSapBroadphase_getBroadphaseAabb(void *c,float* p0,float* p1) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getBroadphaseAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: destroyProxy void ( ::btMultiSapBroadphase::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btMultiSapBroadphase_destroyProxy(void *c,void* p0,void* p1) {
	::btMultiSapBroadphase *o = (::btMultiSapBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->destroyProxy(tp0,tp1);
}

// ::btMultiSapBroadphase::btMultiSapProxy
//not supported constructor: btMultiSapProxy  ( ::btMultiSapBroadphase::btMultiSapProxy::* )( ::btVector3 const &,::btVector3 const &,int,void *,short int,short int ) 
void btMultiSapBroadphase_btMultiSapProxy_free(void *c) {
	::btMultiSapBroadphase::btMultiSapProxy *o = (::btMultiSapBroadphase::btMultiSapProxy*)c;
	delete o;
}
//attribute: ::btVector3 btMultiSapBroadphase_btMultiSapProxy->m_aabbMax
void btMultiSapBroadphase_btMultiSapProxy_m_aabbMax_set(void *c,float* a) {
	::btMultiSapBroadphase::btMultiSapProxy *o = (::btMultiSapBroadphase::btMultiSapProxy*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_aabbMax = ta;
}
void btMultiSapBroadphase_btMultiSapProxy_m_aabbMax_get(void *c,float* a) {
	::btMultiSapBroadphase::btMultiSapProxy *o = (::btMultiSapBroadphase::btMultiSapProxy*)c;
	a[0]=(o->m_aabbMax).m_floats[0];a[1]=(o->m_aabbMax).m_floats[1];a[2]=(o->m_aabbMax).m_floats[2];
}

//attribute: ::btVector3 btMultiSapBroadphase_btMultiSapProxy->m_aabbMin
void btMultiSapBroadphase_btMultiSapProxy_m_aabbMin_set(void *c,float* a) {
	::btMultiSapBroadphase::btMultiSapProxy *o = (::btMultiSapBroadphase::btMultiSapProxy*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_aabbMin = ta;
}
void btMultiSapBroadphase_btMultiSapProxy_m_aabbMin_get(void *c,float* a) {
	::btMultiSapBroadphase::btMultiSapProxy *o = (::btMultiSapBroadphase::btMultiSapProxy*)c;
	a[0]=(o->m_aabbMin).m_floats[0];a[1]=(o->m_aabbMin).m_floats[1];a[2]=(o->m_aabbMin).m_floats[2];
}

//attribute: ::btAlignedObjectArray<btMultiSapBroadphase::btBridgeProxy*> btMultiSapBroadphase_btMultiSapProxy->m_bridgeProxies
// attribute not supported: //attribute: ::btAlignedObjectArray<btMultiSapBroadphase::btBridgeProxy*> btMultiSapBroadphase_btMultiSapProxy->m_bridgeProxies
//attribute: int btMultiSapBroadphase_btMultiSapProxy->m_shapeType
void btMultiSapBroadphase_btMultiSapProxy_m_shapeType_set(void *c,int a) {
	::btMultiSapBroadphase::btMultiSapProxy *o = (::btMultiSapBroadphase::btMultiSapProxy*)c;
	o->m_shapeType = a;
}
int btMultiSapBroadphase_btMultiSapProxy_m_shapeType_get(void *c) {
	::btMultiSapBroadphase::btMultiSapProxy *o = (::btMultiSapBroadphase::btMultiSapProxy*)c;
	return (int)(o->m_shapeType);
}


// ::btNodeOverlapCallback
//method: processNode void ( ::btNodeOverlapCallback::* )( int,int ) 
void btNodeOverlapCallback_processNode(void *c,int p0,int p1) {
	::btNodeOverlapCallback *o = (::btNodeOverlapCallback*)c;
	o->processNode(p0,p1);
}

// ::btNullPairCache
//constructor: btNullPairCache  ( ::btNullPairCache::* )(  ) 
void* btNullPairCache_new() {
	::btNullPairCache *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btNullPairCache),16);
	o = new (mem)::btNullPairCache();
	return (void*)o;
}
void btNullPairCache_free(void *c) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	delete o;
}
//method: sortOverlappingPairs void ( ::btNullPairCache::* )( ::btDispatcher * ) 
void btNullPairCache_sortOverlappingPairs(void *c,void* p0) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->sortOverlappingPairs(tp0);
}
//method: setInternalGhostPairCallback void ( ::btNullPairCache::* )( ::btOverlappingPairCallback * ) 
void btNullPairCache_setInternalGhostPairCallback(void *c,void* p0) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btOverlappingPairCallback * tp0 = (::btOverlappingPairCallback *)p0;
	o->setInternalGhostPairCallback(tp0);
}
//method: addOverlappingPair ::btBroadphasePair * ( ::btNullPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btNullPairCache_addOverlappingPair(void *c,void* p0,void* p1) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->addOverlappingPair(tp0,tp1);
	return retVal;
}
//method: removeOverlappingPairsContainingProxy void ( ::btNullPairCache::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btNullPairCache_removeOverlappingPairsContainingProxy(void *c,void* p0,void* p1) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->removeOverlappingPairsContainingProxy(tp0,tp1);
}
//method: hasDeferredRemoval bool ( ::btNullPairCache::* )(  ) 
int btNullPairCache_hasDeferredRemoval(void *c) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	int retVal = (int)o->hasDeferredRemoval();
	return retVal;
}
//not supported method: getOverlappingPairArray ::btBroadphasePairArray & ( ::btNullPairCache::* )(  ) 
//method: findPair ::btBroadphasePair * ( ::btNullPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btNullPairCache_findPair(void *c,void* p0,void* p1) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->findPair(tp0,tp1);
	return retVal;
}
//method: cleanProxyFromPairs void ( ::btNullPairCache::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btNullPairCache_cleanProxyFromPairs(void *c,void* p0,void* p1) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanProxyFromPairs(tp0,tp1);
}
//method: cleanOverlappingPair void ( ::btNullPairCache::* )( ::btBroadphasePair &,::btDispatcher * ) 
void btNullPairCache_cleanOverlappingPair(void *c,void* p0,void* p1) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btBroadphasePair & tp0 = *(::btBroadphasePair *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanOverlappingPair(tp0,tp1);
}
//method: getNumOverlappingPairs int ( ::btNullPairCache::* )(  ) const
int btNullPairCache_getNumOverlappingPairs(void *c) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	int retVal = (int)o->getNumOverlappingPairs();
	return retVal;
}
//not supported method: removeOverlappingPair void * ( ::btNullPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy *,::btDispatcher * ) 
//method: setOverlapFilterCallback void ( ::btNullPairCache::* )( ::btOverlapFilterCallback * ) 
void btNullPairCache_setOverlapFilterCallback(void *c,void* p0) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btOverlapFilterCallback * tp0 = (::btOverlapFilterCallback *)p0;
	o->setOverlapFilterCallback(tp0);
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btNullPairCache::* )(  ) 
void* btNullPairCache_getOverlappingPairArrayPtr(void *c) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btNullPairCache::* )(  ) 
void* btNullPairCache_getOverlappingPairArrayPtr0(void *c) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair const * ( ::btNullPairCache::* )(  ) const
void* btNullPairCache_getOverlappingPairArrayPtr1(void *c) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: processAllOverlappingPairs void ( ::btNullPairCache::* )( ::btOverlapCallback *,::btDispatcher * ) 
void btNullPairCache_processAllOverlappingPairs(void *c,void* p0,void* p1) {
	::btNullPairCache *o = (::btNullPairCache*)c;
	::btOverlapCallback * tp0 = (::btOverlapCallback *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->processAllOverlappingPairs(tp0,tp1);
}

// ::btOptimizedBvhNode
//constructor: btOptimizedBvhNode  ( ::btOptimizedBvhNode::* )(  ) 
void* btOptimizedBvhNode_new() {
	::btOptimizedBvhNode *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btOptimizedBvhNode),16);
	o = new (mem)::btOptimizedBvhNode();
	return (void*)o;
}
void btOptimizedBvhNode_free(void *c) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	delete o;
}
//attribute: ::btVector3 btOptimizedBvhNode->m_aabbMinOrg
void btOptimizedBvhNode_m_aabbMinOrg_set(void *c,float* a) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_aabbMinOrg = ta;
}
void btOptimizedBvhNode_m_aabbMinOrg_get(void *c,float* a) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	a[0]=(o->m_aabbMinOrg).m_floats[0];a[1]=(o->m_aabbMinOrg).m_floats[1];a[2]=(o->m_aabbMinOrg).m_floats[2];
}

//attribute: ::btVector3 btOptimizedBvhNode->m_aabbMaxOrg
void btOptimizedBvhNode_m_aabbMaxOrg_set(void *c,float* a) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_aabbMaxOrg = ta;
}
void btOptimizedBvhNode_m_aabbMaxOrg_get(void *c,float* a) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	a[0]=(o->m_aabbMaxOrg).m_floats[0];a[1]=(o->m_aabbMaxOrg).m_floats[1];a[2]=(o->m_aabbMaxOrg).m_floats[2];
}

//attribute: int btOptimizedBvhNode->m_escapeIndex
void btOptimizedBvhNode_m_escapeIndex_set(void *c,int a) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	o->m_escapeIndex = a;
}
int btOptimizedBvhNode_m_escapeIndex_get(void *c) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	return (int)(o->m_escapeIndex);
}

//attribute: int btOptimizedBvhNode->m_subPart
void btOptimizedBvhNode_m_subPart_set(void *c,int a) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	o->m_subPart = a;
}
int btOptimizedBvhNode_m_subPart_get(void *c) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	return (int)(o->m_subPart);
}

//attribute: int btOptimizedBvhNode->m_triangleIndex
void btOptimizedBvhNode_m_triangleIndex_set(void *c,int a) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	o->m_triangleIndex = a;
}
int btOptimizedBvhNode_m_triangleIndex_get(void *c) {
	::btOptimizedBvhNode *o = (::btOptimizedBvhNode*)c;
	return (int)(o->m_triangleIndex);
}

//attribute: int[5] btOptimizedBvhNode->m_padding
// attribute not supported: //attribute: int[5] btOptimizedBvhNode->m_padding

// ::btOptimizedBvhNodeDoubleData
//constructor: btOptimizedBvhNodeDoubleData  ( ::btOptimizedBvhNodeDoubleData::* )(  ) 
void* btOptimizedBvhNodeDoubleData_new() {
	::btOptimizedBvhNodeDoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btOptimizedBvhNodeDoubleData),16);
	o = new (mem)::btOptimizedBvhNodeDoubleData();
	return (void*)o;
}
void btOptimizedBvhNodeDoubleData_free(void *c) {
	::btOptimizedBvhNodeDoubleData *o = (::btOptimizedBvhNodeDoubleData*)c;
	delete o;
}
//attribute: ::btVector3DoubleData btOptimizedBvhNodeDoubleData->m_aabbMinOrg
// attribute not supported: //attribute: ::btVector3DoubleData btOptimizedBvhNodeDoubleData->m_aabbMinOrg
//attribute: ::btVector3DoubleData btOptimizedBvhNodeDoubleData->m_aabbMaxOrg
// attribute not supported: //attribute: ::btVector3DoubleData btOptimizedBvhNodeDoubleData->m_aabbMaxOrg
//attribute: int btOptimizedBvhNodeDoubleData->m_escapeIndex
void btOptimizedBvhNodeDoubleData_m_escapeIndex_set(void *c,int a) {
	::btOptimizedBvhNodeDoubleData *o = (::btOptimizedBvhNodeDoubleData*)c;
	o->m_escapeIndex = a;
}
int btOptimizedBvhNodeDoubleData_m_escapeIndex_get(void *c) {
	::btOptimizedBvhNodeDoubleData *o = (::btOptimizedBvhNodeDoubleData*)c;
	return (int)(o->m_escapeIndex);
}

//attribute: int btOptimizedBvhNodeDoubleData->m_subPart
void btOptimizedBvhNodeDoubleData_m_subPart_set(void *c,int a) {
	::btOptimizedBvhNodeDoubleData *o = (::btOptimizedBvhNodeDoubleData*)c;
	o->m_subPart = a;
}
int btOptimizedBvhNodeDoubleData_m_subPart_get(void *c) {
	::btOptimizedBvhNodeDoubleData *o = (::btOptimizedBvhNodeDoubleData*)c;
	return (int)(o->m_subPart);
}

//attribute: int btOptimizedBvhNodeDoubleData->m_triangleIndex
void btOptimizedBvhNodeDoubleData_m_triangleIndex_set(void *c,int a) {
	::btOptimizedBvhNodeDoubleData *o = (::btOptimizedBvhNodeDoubleData*)c;
	o->m_triangleIndex = a;
}
int btOptimizedBvhNodeDoubleData_m_triangleIndex_get(void *c) {
	::btOptimizedBvhNodeDoubleData *o = (::btOptimizedBvhNodeDoubleData*)c;
	return (int)(o->m_triangleIndex);
}

//attribute: char[4] btOptimizedBvhNodeDoubleData->m_pad
// attribute not supported: //attribute: char[4] btOptimizedBvhNodeDoubleData->m_pad

// ::btOptimizedBvhNodeFloatData
//constructor: btOptimizedBvhNodeFloatData  ( ::btOptimizedBvhNodeFloatData::* )(  ) 
void* btOptimizedBvhNodeFloatData_new() {
	::btOptimizedBvhNodeFloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btOptimizedBvhNodeFloatData),16);
	o = new (mem)::btOptimizedBvhNodeFloatData();
	return (void*)o;
}
void btOptimizedBvhNodeFloatData_free(void *c) {
	::btOptimizedBvhNodeFloatData *o = (::btOptimizedBvhNodeFloatData*)c;
	delete o;
}
//attribute: ::btVector3FloatData btOptimizedBvhNodeFloatData->m_aabbMinOrg
// attribute not supported: //attribute: ::btVector3FloatData btOptimizedBvhNodeFloatData->m_aabbMinOrg
//attribute: ::btVector3FloatData btOptimizedBvhNodeFloatData->m_aabbMaxOrg
// attribute not supported: //attribute: ::btVector3FloatData btOptimizedBvhNodeFloatData->m_aabbMaxOrg
//attribute: int btOptimizedBvhNodeFloatData->m_escapeIndex
void btOptimizedBvhNodeFloatData_m_escapeIndex_set(void *c,int a) {
	::btOptimizedBvhNodeFloatData *o = (::btOptimizedBvhNodeFloatData*)c;
	o->m_escapeIndex = a;
}
int btOptimizedBvhNodeFloatData_m_escapeIndex_get(void *c) {
	::btOptimizedBvhNodeFloatData *o = (::btOptimizedBvhNodeFloatData*)c;
	return (int)(o->m_escapeIndex);
}

//attribute: int btOptimizedBvhNodeFloatData->m_subPart
void btOptimizedBvhNodeFloatData_m_subPart_set(void *c,int a) {
	::btOptimizedBvhNodeFloatData *o = (::btOptimizedBvhNodeFloatData*)c;
	o->m_subPart = a;
}
int btOptimizedBvhNodeFloatData_m_subPart_get(void *c) {
	::btOptimizedBvhNodeFloatData *o = (::btOptimizedBvhNodeFloatData*)c;
	return (int)(o->m_subPart);
}

//attribute: int btOptimizedBvhNodeFloatData->m_triangleIndex
void btOptimizedBvhNodeFloatData_m_triangleIndex_set(void *c,int a) {
	::btOptimizedBvhNodeFloatData *o = (::btOptimizedBvhNodeFloatData*)c;
	o->m_triangleIndex = a;
}
int btOptimizedBvhNodeFloatData_m_triangleIndex_get(void *c) {
	::btOptimizedBvhNodeFloatData *o = (::btOptimizedBvhNodeFloatData*)c;
	return (int)(o->m_triangleIndex);
}

//attribute: char[4] btOptimizedBvhNodeFloatData->m_pad
// attribute not supported: //attribute: char[4] btOptimizedBvhNodeFloatData->m_pad

// ::btOverlapCallback
//method: processOverlap bool ( ::btOverlapCallback::* )( ::btBroadphasePair & ) 
int btOverlapCallback_processOverlap(void *c,void* p0) {
	::btOverlapCallback *o = (::btOverlapCallback*)c;
	::btBroadphasePair & tp0 = *(::btBroadphasePair *)p0;
	int retVal = (int)o->processOverlap(tp0);
	return retVal;
}

// ::btOverlapFilterCallback
//method: needBroadphaseCollision bool ( ::btOverlapFilterCallback::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) const
int btOverlapFilterCallback_needBroadphaseCollision(void *c,void* p0,void* p1) {
	::btOverlapFilterCallback *o = (::btOverlapFilterCallback*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	int retVal = (int)o->needBroadphaseCollision(tp0,tp1);
	return retVal;
}

// ::btOverlappingPairCache
//method: sortOverlappingPairs void ( ::btOverlappingPairCache::* )( ::btDispatcher * ) 
void btOverlappingPairCache_sortOverlappingPairs(void *c,void* p0) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->sortOverlappingPairs(tp0);
}
//method: setInternalGhostPairCallback void ( ::btOverlappingPairCache::* )( ::btOverlappingPairCallback * ) 
void btOverlappingPairCache_setInternalGhostPairCallback(void *c,void* p0) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	::btOverlappingPairCallback * tp0 = (::btOverlappingPairCallback *)p0;
	o->setInternalGhostPairCallback(tp0);
}
//method: setOverlapFilterCallback void ( ::btOverlappingPairCache::* )( ::btOverlapFilterCallback * ) 
void btOverlappingPairCache_setOverlapFilterCallback(void *c,void* p0) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	::btOverlapFilterCallback * tp0 = (::btOverlapFilterCallback *)p0;
	o->setOverlapFilterCallback(tp0);
}
//not supported method: getOverlappingPairArray ::btBroadphasePairArray & ( ::btOverlappingPairCache::* )(  ) 
//method: findPair ::btBroadphasePair * ( ::btOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btOverlappingPairCache_findPair(void *c,void* p0,void* p1) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->findPair(tp0,tp1);
	return retVal;
}
//method: cleanProxyFromPairs void ( ::btOverlappingPairCache::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btOverlappingPairCache_cleanProxyFromPairs(void *c,void* p0,void* p1) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanProxyFromPairs(tp0,tp1);
}
//method: cleanOverlappingPair void ( ::btOverlappingPairCache::* )( ::btBroadphasePair &,::btDispatcher * ) 
void btOverlappingPairCache_cleanOverlappingPair(void *c,void* p0,void* p1) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	::btBroadphasePair & tp0 = *(::btBroadphasePair *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanOverlappingPair(tp0,tp1);
}
//method: getNumOverlappingPairs int ( ::btOverlappingPairCache::* )(  ) const
int btOverlappingPairCache_getNumOverlappingPairs(void *c) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	int retVal = (int)o->getNumOverlappingPairs();
	return retVal;
}
//method: processAllOverlappingPairs void ( ::btOverlappingPairCache::* )( ::btOverlapCallback *,::btDispatcher * ) 
void btOverlappingPairCache_processAllOverlappingPairs(void *c,void* p0,void* p1) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	::btOverlapCallback * tp0 = (::btOverlapCallback *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->processAllOverlappingPairs(tp0,tp1);
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btOverlappingPairCache::* )(  ) 
void* btOverlappingPairCache_getOverlappingPairArrayPtr(void *c) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btOverlappingPairCache::* )(  ) 
void* btOverlappingPairCache_getOverlappingPairArrayPtr0(void *c) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair const * ( ::btOverlappingPairCache::* )(  ) const
void* btOverlappingPairCache_getOverlappingPairArrayPtr1(void *c) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: hasDeferredRemoval bool ( ::btOverlappingPairCache::* )(  ) 
int btOverlappingPairCache_hasDeferredRemoval(void *c) {
	::btOverlappingPairCache *o = (::btOverlappingPairCache*)c;
	int retVal = (int)o->hasDeferredRemoval();
	return retVal;
}

// ::btOverlappingPairCallback
//method: addOverlappingPair ::btBroadphasePair * ( ::btOverlappingPairCallback::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btOverlappingPairCallback_addOverlappingPair(void *c,void* p0,void* p1) {
	::btOverlappingPairCallback *o = (::btOverlappingPairCallback*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->addOverlappingPair(tp0,tp1);
	return retVal;
}
//not supported method: removeOverlappingPair void * ( ::btOverlappingPairCallback::* )( ::btBroadphaseProxy *,::btBroadphaseProxy *,::btDispatcher * ) 
//method: removeOverlappingPairsContainingProxy void ( ::btOverlappingPairCallback::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btOverlappingPairCallback_removeOverlappingPairsContainingProxy(void *c,void* p0,void* p1) {
	::btOverlappingPairCallback *o = (::btOverlappingPairCallback*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->removeOverlappingPairsContainingProxy(tp0,tp1);
}

// ::btQuantizedBvh
//constructor: btQuantizedBvh  ( ::btQuantizedBvh::* )(  ) 
void* btQuantizedBvh_new() {
	::btQuantizedBvh *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuantizedBvh),16);
	o = new (mem)::btQuantizedBvh();
	return (void*)o;
}
void btQuantizedBvh_free(void *c) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	delete o;
}
//method: getAlignmentSerializationPadding unsigned int (*)(  )
unsigned int btQuantizedBvh_getAlignmentSerializationPadding() {
	unsigned int retVal = (unsigned int)::btQuantizedBvh::getAlignmentSerializationPadding();
	return retVal;
}
//not supported method: getQuantizedNodeArray ::QuantizedNodeArray & ( ::btQuantizedBvh::* )(  ) 
//not supported method: setTraversalMode void ( ::btQuantizedBvh::* )( ::btQuantizedBvh::btTraversalMode ) 
//method: buildInternal void ( ::btQuantizedBvh::* )(  ) 
void btQuantizedBvh_buildInternal(void *c) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	o->buildInternal();
}
//not supported method: quantize void ( ::btQuantizedBvh::* )( short unsigned int *,::btVector3 const &,int ) const
//method: deSerializeFloat void ( ::btQuantizedBvh::* )( ::btQuantizedBvhFloatData & ) 
void btQuantizedBvh_deSerializeFloat(void *c,void* p0) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	::btQuantizedBvhFloatData & tp0 = *(::btQuantizedBvhFloatData *)p0;
	o->deSerializeFloat(tp0);
}
//method: isQuantized bool ( ::btQuantizedBvh::* )(  ) 
int btQuantizedBvh_isQuantized(void *c) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	int retVal = (int)o->isQuantized();
	return retVal;
}
//not supported method: getSubtreeInfoArray ::BvhSubtreeInfoArray & ( ::btQuantizedBvh::* )(  ) 
//not supported method: quantizeWithClamp void ( ::btQuantizedBvh::* )( short unsigned int *,::btVector3 const &,int ) const
//not supported method: unQuantize ::btVector3 ( ::btQuantizedBvh::* )( short unsigned int const * ) const
//not supported method: getLeafNodeArray ::QuantizedNodeArray & ( ::btQuantizedBvh::* )(  ) 
//method: setQuantizationValues void ( ::btQuantizedBvh::* )( ::btVector3 const &,::btVector3 const &,::btScalar ) 
void btQuantizedBvh_setQuantizationValues(void *c,float* p0,float* p1,float p2) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->setQuantizationValues(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: reportAabbOverlappingNodex void ( ::btQuantizedBvh::* )( ::btNodeOverlapCallback *,::btVector3 const &,::btVector3 const & ) const
void btQuantizedBvh_reportAabbOverlappingNodex(void *c,void* p0,float* p1,float* p2) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	::btNodeOverlapCallback * tp0 = (::btNodeOverlapCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->reportAabbOverlappingNodex(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: reportBoxCastOverlappingNodex void ( ::btQuantizedBvh::* )( ::btNodeOverlapCallback *,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) const
void btQuantizedBvh_reportBoxCastOverlappingNodex(void *c,void* p0,float* p1,float* p2,float* p3,float* p4) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	::btNodeOverlapCallback * tp0 = (::btNodeOverlapCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->reportBoxCastOverlappingNodex(tp0,tp1,tp2,tp3,tp4);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: calculateSerializeBufferSize unsigned int ( ::btQuantizedBvh::* )(  ) const
unsigned int btQuantizedBvh_calculateSerializeBufferSize(void *c) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	unsigned int retVal = (unsigned int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: reportRayOverlappingNodex void ( ::btQuantizedBvh::* )( ::btNodeOverlapCallback *,::btVector3 const &,::btVector3 const & ) const
void btQuantizedBvh_reportRayOverlappingNodex(void *c,void* p0,float* p1,float* p2) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	::btNodeOverlapCallback * tp0 = (::btNodeOverlapCallback *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->reportRayOverlappingNodex(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//not supported method: serialize bool ( ::btQuantizedBvh::* )( void *,unsigned int,bool ) const
//not supported method: serialize bool ( ::btQuantizedBvh::* )( void *,unsigned int,bool ) const
//not supported method: serialize char const * ( ::btQuantizedBvh::* )( void *,::btSerializer * ) const
//method: deSerializeDouble void ( ::btQuantizedBvh::* )( ::btQuantizedBvhDoubleData & ) 
void btQuantizedBvh_deSerializeDouble(void *c,void* p0) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	::btQuantizedBvhDoubleData & tp0 = *(::btQuantizedBvhDoubleData *)p0;
	o->deSerializeDouble(tp0);
}
//method: calculateSerializeBufferSizeNew int ( ::btQuantizedBvh::* )(  ) const
int btQuantizedBvh_calculateSerializeBufferSizeNew(void *c) {
	::btQuantizedBvh *o = (::btQuantizedBvh*)c;
	int retVal = (int)o->calculateSerializeBufferSizeNew();
	return retVal;
}
//not supported method: deSerializeInPlace ::btQuantizedBvh * (*)( void *,unsigned int,bool )

// ::btQuantizedBvhDoubleData
//constructor: btQuantizedBvhDoubleData  ( ::btQuantizedBvhDoubleData::* )(  ) 
void* btQuantizedBvhDoubleData_new() {
	::btQuantizedBvhDoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuantizedBvhDoubleData),16);
	o = new (mem)::btQuantizedBvhDoubleData();
	return (void*)o;
}
void btQuantizedBvhDoubleData_free(void *c) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	delete o;
}
//attribute: ::btVector3DoubleData btQuantizedBvhDoubleData->m_bvhAabbMax
// attribute not supported: //attribute: ::btVector3DoubleData btQuantizedBvhDoubleData->m_bvhAabbMax
//attribute: ::btVector3DoubleData btQuantizedBvhDoubleData->m_bvhAabbMin
// attribute not supported: //attribute: ::btVector3DoubleData btQuantizedBvhDoubleData->m_bvhAabbMin
//attribute: ::btVector3DoubleData btQuantizedBvhDoubleData->m_bvhQuantization
// attribute not supported: //attribute: ::btVector3DoubleData btQuantizedBvhDoubleData->m_bvhQuantization
//attribute: ::btOptimizedBvhNodeDoubleData * btQuantizedBvhDoubleData->m_contiguousNodesPtr
void btQuantizedBvhDoubleData_m_contiguousNodesPtr_set(void *c,void* a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	::btOptimizedBvhNodeDoubleData * ta = (::btOptimizedBvhNodeDoubleData *)a;
	o->m_contiguousNodesPtr = ta;
}
// attriibute getter not supported: //attribute: ::btOptimizedBvhNodeDoubleData * btQuantizedBvhDoubleData->m_contiguousNodesPtr
//attribute: int btQuantizedBvhDoubleData->m_curNodeIndex
void btQuantizedBvhDoubleData_m_curNodeIndex_set(void *c,int a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	o->m_curNodeIndex = a;
}
int btQuantizedBvhDoubleData_m_curNodeIndex_get(void *c) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	return (int)(o->m_curNodeIndex);
}

//attribute: int btQuantizedBvhDoubleData->m_numContiguousLeafNodes
void btQuantizedBvhDoubleData_m_numContiguousLeafNodes_set(void *c,int a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	o->m_numContiguousLeafNodes = a;
}
int btQuantizedBvhDoubleData_m_numContiguousLeafNodes_get(void *c) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	return (int)(o->m_numContiguousLeafNodes);
}

//attribute: int btQuantizedBvhDoubleData->m_numQuantizedContiguousNodes
void btQuantizedBvhDoubleData_m_numQuantizedContiguousNodes_set(void *c,int a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	o->m_numQuantizedContiguousNodes = a;
}
int btQuantizedBvhDoubleData_m_numQuantizedContiguousNodes_get(void *c) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	return (int)(o->m_numQuantizedContiguousNodes);
}

//attribute: int btQuantizedBvhDoubleData->m_numSubtreeHeaders
void btQuantizedBvhDoubleData_m_numSubtreeHeaders_set(void *c,int a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	o->m_numSubtreeHeaders = a;
}
int btQuantizedBvhDoubleData_m_numSubtreeHeaders_get(void *c) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	return (int)(o->m_numSubtreeHeaders);
}

//attribute: ::btQuantizedBvhNodeData * btQuantizedBvhDoubleData->m_quantizedContiguousNodesPtr
void btQuantizedBvhDoubleData_m_quantizedContiguousNodesPtr_set(void *c,void* a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	::btQuantizedBvhNodeData * ta = (::btQuantizedBvhNodeData *)a;
	o->m_quantizedContiguousNodesPtr = ta;
}
// attriibute getter not supported: //attribute: ::btQuantizedBvhNodeData * btQuantizedBvhDoubleData->m_quantizedContiguousNodesPtr
//attribute: ::btBvhSubtreeInfoData * btQuantizedBvhDoubleData->m_subTreeInfoPtr
void btQuantizedBvhDoubleData_m_subTreeInfoPtr_set(void *c,void* a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	::btBvhSubtreeInfoData * ta = (::btBvhSubtreeInfoData *)a;
	o->m_subTreeInfoPtr = ta;
}
// attriibute getter not supported: //attribute: ::btBvhSubtreeInfoData * btQuantizedBvhDoubleData->m_subTreeInfoPtr
//attribute: int btQuantizedBvhDoubleData->m_traversalMode
void btQuantizedBvhDoubleData_m_traversalMode_set(void *c,int a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	o->m_traversalMode = a;
}
int btQuantizedBvhDoubleData_m_traversalMode_get(void *c) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	return (int)(o->m_traversalMode);
}

//attribute: int btQuantizedBvhDoubleData->m_useQuantization
void btQuantizedBvhDoubleData_m_useQuantization_set(void *c,int a) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	o->m_useQuantization = a;
}
int btQuantizedBvhDoubleData_m_useQuantization_get(void *c) {
	::btQuantizedBvhDoubleData *o = (::btQuantizedBvhDoubleData*)c;
	return (int)(o->m_useQuantization);
}


// ::btQuantizedBvhFloatData
//constructor: btQuantizedBvhFloatData  ( ::btQuantizedBvhFloatData::* )(  ) 
void* btQuantizedBvhFloatData_new() {
	::btQuantizedBvhFloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuantizedBvhFloatData),16);
	o = new (mem)::btQuantizedBvhFloatData();
	return (void*)o;
}
void btQuantizedBvhFloatData_free(void *c) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	delete o;
}
//attribute: ::btVector3FloatData btQuantizedBvhFloatData->m_bvhAabbMax
// attribute not supported: //attribute: ::btVector3FloatData btQuantizedBvhFloatData->m_bvhAabbMax
//attribute: ::btVector3FloatData btQuantizedBvhFloatData->m_bvhAabbMin
// attribute not supported: //attribute: ::btVector3FloatData btQuantizedBvhFloatData->m_bvhAabbMin
//attribute: ::btVector3FloatData btQuantizedBvhFloatData->m_bvhQuantization
// attribute not supported: //attribute: ::btVector3FloatData btQuantizedBvhFloatData->m_bvhQuantization
//attribute: ::btOptimizedBvhNodeFloatData * btQuantizedBvhFloatData->m_contiguousNodesPtr
void btQuantizedBvhFloatData_m_contiguousNodesPtr_set(void *c,void* a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	::btOptimizedBvhNodeFloatData * ta = (::btOptimizedBvhNodeFloatData *)a;
	o->m_contiguousNodesPtr = ta;
}
// attriibute getter not supported: //attribute: ::btOptimizedBvhNodeFloatData * btQuantizedBvhFloatData->m_contiguousNodesPtr
//attribute: int btQuantizedBvhFloatData->m_curNodeIndex
void btQuantizedBvhFloatData_m_curNodeIndex_set(void *c,int a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	o->m_curNodeIndex = a;
}
int btQuantizedBvhFloatData_m_curNodeIndex_get(void *c) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	return (int)(o->m_curNodeIndex);
}

//attribute: int btQuantizedBvhFloatData->m_numContiguousLeafNodes
void btQuantizedBvhFloatData_m_numContiguousLeafNodes_set(void *c,int a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	o->m_numContiguousLeafNodes = a;
}
int btQuantizedBvhFloatData_m_numContiguousLeafNodes_get(void *c) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	return (int)(o->m_numContiguousLeafNodes);
}

//attribute: int btQuantizedBvhFloatData->m_numQuantizedContiguousNodes
void btQuantizedBvhFloatData_m_numQuantizedContiguousNodes_set(void *c,int a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	o->m_numQuantizedContiguousNodes = a;
}
int btQuantizedBvhFloatData_m_numQuantizedContiguousNodes_get(void *c) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	return (int)(o->m_numQuantizedContiguousNodes);
}

//attribute: int btQuantizedBvhFloatData->m_numSubtreeHeaders
void btQuantizedBvhFloatData_m_numSubtreeHeaders_set(void *c,int a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	o->m_numSubtreeHeaders = a;
}
int btQuantizedBvhFloatData_m_numSubtreeHeaders_get(void *c) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	return (int)(o->m_numSubtreeHeaders);
}

//attribute: ::btQuantizedBvhNodeData * btQuantizedBvhFloatData->m_quantizedContiguousNodesPtr
void btQuantizedBvhFloatData_m_quantizedContiguousNodesPtr_set(void *c,void* a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	::btQuantizedBvhNodeData * ta = (::btQuantizedBvhNodeData *)a;
	o->m_quantizedContiguousNodesPtr = ta;
}
// attriibute getter not supported: //attribute: ::btQuantizedBvhNodeData * btQuantizedBvhFloatData->m_quantizedContiguousNodesPtr
//attribute: ::btBvhSubtreeInfoData * btQuantizedBvhFloatData->m_subTreeInfoPtr
void btQuantizedBvhFloatData_m_subTreeInfoPtr_set(void *c,void* a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	::btBvhSubtreeInfoData * ta = (::btBvhSubtreeInfoData *)a;
	o->m_subTreeInfoPtr = ta;
}
// attriibute getter not supported: //attribute: ::btBvhSubtreeInfoData * btQuantizedBvhFloatData->m_subTreeInfoPtr
//attribute: int btQuantizedBvhFloatData->m_traversalMode
void btQuantizedBvhFloatData_m_traversalMode_set(void *c,int a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	o->m_traversalMode = a;
}
int btQuantizedBvhFloatData_m_traversalMode_get(void *c) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	return (int)(o->m_traversalMode);
}

//attribute: int btQuantizedBvhFloatData->m_useQuantization
void btQuantizedBvhFloatData_m_useQuantization_set(void *c,int a) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	o->m_useQuantization = a;
}
int btQuantizedBvhFloatData_m_useQuantization_get(void *c) {
	::btQuantizedBvhFloatData *o = (::btQuantizedBvhFloatData*)c;
	return (int)(o->m_useQuantization);
}


// ::btQuantizedBvhNode
//constructor: btQuantizedBvhNode  ( ::btQuantizedBvhNode::* )(  ) 
void* btQuantizedBvhNode_new() {
	::btQuantizedBvhNode *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuantizedBvhNode),16);
	o = new (mem)::btQuantizedBvhNode();
	return (void*)o;
}
void btQuantizedBvhNode_free(void *c) {
	::btQuantizedBvhNode *o = (::btQuantizedBvhNode*)c;
	delete o;
}
//method: getEscapeIndex int ( ::btQuantizedBvhNode::* )(  ) const
int btQuantizedBvhNode_getEscapeIndex(void *c) {
	::btQuantizedBvhNode *o = (::btQuantizedBvhNode*)c;
	int retVal = (int)o->getEscapeIndex();
	return retVal;
}
//method: getTriangleIndex int ( ::btQuantizedBvhNode::* )(  ) const
int btQuantizedBvhNode_getTriangleIndex(void *c) {
	::btQuantizedBvhNode *o = (::btQuantizedBvhNode*)c;
	int retVal = (int)o->getTriangleIndex();
	return retVal;
}
//method: getPartId int ( ::btQuantizedBvhNode::* )(  ) const
int btQuantizedBvhNode_getPartId(void *c) {
	::btQuantizedBvhNode *o = (::btQuantizedBvhNode*)c;
	int retVal = (int)o->getPartId();
	return retVal;
}
//method: isLeafNode bool ( ::btQuantizedBvhNode::* )(  ) const
int btQuantizedBvhNode_isLeafNode(void *c) {
	::btQuantizedBvhNode *o = (::btQuantizedBvhNode*)c;
	int retVal = (int)o->isLeafNode();
	return retVal;
}
//attribute: int btQuantizedBvhNode->m_escapeIndexOrTriangleIndex
void btQuantizedBvhNode_m_escapeIndexOrTriangleIndex_set(void *c,int a) {
	::btQuantizedBvhNode *o = (::btQuantizedBvhNode*)c;
	o->m_escapeIndexOrTriangleIndex = a;
}
int btQuantizedBvhNode_m_escapeIndexOrTriangleIndex_get(void *c) {
	::btQuantizedBvhNode *o = (::btQuantizedBvhNode*)c;
	return (int)(o->m_escapeIndexOrTriangleIndex);
}

//attribute: short unsigned int[3] btQuantizedBvhNode->m_quantizedAabbMax
// attribute not supported: //attribute: short unsigned int[3] btQuantizedBvhNode->m_quantizedAabbMax
//attribute: short unsigned int[3] btQuantizedBvhNode->m_quantizedAabbMin
// attribute not supported: //attribute: short unsigned int[3] btQuantizedBvhNode->m_quantizedAabbMin

// ::btQuantizedBvhNodeData
//constructor: btQuantizedBvhNodeData  ( ::btQuantizedBvhNodeData::* )(  ) 
void* btQuantizedBvhNodeData_new() {
	::btQuantizedBvhNodeData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btQuantizedBvhNodeData),16);
	o = new (mem)::btQuantizedBvhNodeData();
	return (void*)o;
}
void btQuantizedBvhNodeData_free(void *c) {
	::btQuantizedBvhNodeData *o = (::btQuantizedBvhNodeData*)c;
	delete o;
}
//attribute: int btQuantizedBvhNodeData->m_escapeIndexOrTriangleIndex
void btQuantizedBvhNodeData_m_escapeIndexOrTriangleIndex_set(void *c,int a) {
	::btQuantizedBvhNodeData *o = (::btQuantizedBvhNodeData*)c;
	o->m_escapeIndexOrTriangleIndex = a;
}
int btQuantizedBvhNodeData_m_escapeIndexOrTriangleIndex_get(void *c) {
	::btQuantizedBvhNodeData *o = (::btQuantizedBvhNodeData*)c;
	return (int)(o->m_escapeIndexOrTriangleIndex);
}

//attribute: short unsigned int[3] btQuantizedBvhNodeData->m_quantizedAabbMax
// attribute not supported: //attribute: short unsigned int[3] btQuantizedBvhNodeData->m_quantizedAabbMax
//attribute: short unsigned int[3] btQuantizedBvhNodeData->m_quantizedAabbMin
// attribute not supported: //attribute: short unsigned int[3] btQuantizedBvhNodeData->m_quantizedAabbMin

// ::btSimpleBroadphase
//constructor: btSimpleBroadphase  ( ::btSimpleBroadphase::* )( int,::btOverlappingPairCache * ) 
void* btSimpleBroadphase_new(int p0,void* p1) {
	::btSimpleBroadphase *o = 0;
	 void *mem = 0;
	::btOverlappingPairCache * tp1 = (::btOverlappingPairCache *)p1;
	mem = btAlignedAlloc(sizeof(::btSimpleBroadphase),16);
	o = new (mem)::btSimpleBroadphase(p0,tp1);
	return (void*)o;
}
void btSimpleBroadphase_free(void *c) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	delete o;
}
//method: rayTest void ( ::btSimpleBroadphase::* )( ::btVector3 const &,::btVector3 const &,::btBroadphaseRayCallback &,::btVector3 const &,::btVector3 const & ) 
void btSimpleBroadphase_rayTest(void *c,float* p0,float* p1,void* p2,float* p3,float* p4) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btBroadphaseRayCallback & tp2 = *(::btBroadphaseRayCallback *)p2;
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	o->rayTest(tp0,tp1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
}
//method: setAabb void ( ::btSimpleBroadphase::* )( ::btBroadphaseProxy *,::btVector3 const &,::btVector3 const &,::btDispatcher * ) 
void btSimpleBroadphase_setAabb(void *c,void* p0,float* p1,float* p2,void* p3) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	::btDispatcher * tp3 = (::btDispatcher *)p3;
	o->setAabb(tp0,tp1,tp2,tp3);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btSimpleBroadphase::* )(  ) 
void* btSimpleBroadphase_getOverlappingPairCache(void *c) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache * ( ::btSimpleBroadphase::* )(  ) 
void* btSimpleBroadphase_getOverlappingPairCache0(void *c) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: getOverlappingPairCache ::btOverlappingPairCache const * ( ::btSimpleBroadphase::* )(  ) const
void* btSimpleBroadphase_getOverlappingPairCache1(void *c) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	void* retVal = (void*) o->getOverlappingPairCache();
	return retVal;
}
//method: calculateOverlappingPairs void ( ::btSimpleBroadphase::* )( ::btDispatcher * ) 
void btSimpleBroadphase_calculateOverlappingPairs(void *c,void* p0) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->calculateOverlappingPairs(tp0);
}
//method: testAabbOverlap bool ( ::btSimpleBroadphase::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
int btSimpleBroadphase_testAabbOverlap(void *c,void* p0,void* p1) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	int retVal = (int)o->testAabbOverlap(tp0,tp1);
	return retVal;
}
//method: getAabb void ( ::btSimpleBroadphase::* )( ::btBroadphaseProxy *,::btVector3 &,::btVector3 & ) const
void btSimpleBroadphase_getAabb(void *c,void* p0,float* p1,float* p2) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->getAabb(tp0,tp1,tp2);
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: aabbTest void ( ::btSimpleBroadphase::* )( ::btVector3 const &,::btVector3 const &,::btBroadphaseAabbCallback & ) 
void btSimpleBroadphase_aabbTest(void *c,float* p0,float* p1,void* p2) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btBroadphaseAabbCallback & tp2 = *(::btBroadphaseAabbCallback *)p2;
	o->aabbTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//not supported method: createProxy ::btBroadphaseProxy * ( ::btSimpleBroadphase::* )( ::btVector3 const &,::btVector3 const &,int,void *,short int,short int,::btDispatcher *,void * ) 
//method: printStats void ( ::btSimpleBroadphase::* )(  ) 
void btSimpleBroadphase_printStats(void *c) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	o->printStats();
}
//method: aabbOverlap bool (*)( ::btSimpleBroadphaseProxy *,::btSimpleBroadphaseProxy * )
int btSimpleBroadphase_aabbOverlap(void* p0,void* p1) {
	::btSimpleBroadphaseProxy * tp0 = (::btSimpleBroadphaseProxy *)p0;
	::btSimpleBroadphaseProxy * tp1 = (::btSimpleBroadphaseProxy *)p1;
	int retVal = (int)::btSimpleBroadphase::aabbOverlap(tp0,tp1);
	return retVal;
}
//method: getBroadphaseAabb void ( ::btSimpleBroadphase::* )( ::btVector3 &,::btVector3 & ) const
void btSimpleBroadphase_getBroadphaseAabb(void *c,float* p0,float* p1) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->getBroadphaseAabb(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: destroyProxy void ( ::btSimpleBroadphase::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btSimpleBroadphase_destroyProxy(void *c,void* p0,void* p1) {
	::btSimpleBroadphase *o = (::btSimpleBroadphase*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->destroyProxy(tp0,tp1);
}

// ::btSimpleBroadphaseProxy
//constructor: btSimpleBroadphaseProxy  ( ::btSimpleBroadphaseProxy::* )(  ) 
void* btSimpleBroadphaseProxy_new0() {
	::btSimpleBroadphaseProxy *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSimpleBroadphaseProxy),16);
	o = new (mem)::btSimpleBroadphaseProxy();
	return (void*)o;
}
//not supported constructor: btSimpleBroadphaseProxy  ( ::btSimpleBroadphaseProxy::* )( ::btVector3 const &,::btVector3 const &,int,void *,short int,short int,void * ) 
void btSimpleBroadphaseProxy_free(void *c) {
	::btSimpleBroadphaseProxy *o = (::btSimpleBroadphaseProxy*)c;
	delete o;
}
//method: GetNextFree int ( ::btSimpleBroadphaseProxy::* )(  ) const
int btSimpleBroadphaseProxy_GetNextFree(void *c) {
	::btSimpleBroadphaseProxy *o = (::btSimpleBroadphaseProxy*)c;
	int retVal = (int)o->GetNextFree();
	return retVal;
}
//method: SetNextFree void ( ::btSimpleBroadphaseProxy::* )( int ) 
void btSimpleBroadphaseProxy_SetNextFree(void *c,int p0) {
	::btSimpleBroadphaseProxy *o = (::btSimpleBroadphaseProxy*)c;
	o->SetNextFree(p0);
}
//attribute: int btSimpleBroadphaseProxy->m_nextFree
void btSimpleBroadphaseProxy_m_nextFree_set(void *c,int a) {
	::btSimpleBroadphaseProxy *o = (::btSimpleBroadphaseProxy*)c;
	o->m_nextFree = a;
}
int btSimpleBroadphaseProxy_m_nextFree_get(void *c) {
	::btSimpleBroadphaseProxy *o = (::btSimpleBroadphaseProxy*)c;
	return (int)(o->m_nextFree);
}


// ::btSortedOverlappingPairCache
//constructor: btSortedOverlappingPairCache  ( ::btSortedOverlappingPairCache::* )(  ) 
void* btSortedOverlappingPairCache_new() {
	::btSortedOverlappingPairCache *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSortedOverlappingPairCache),16);
	o = new (mem)::btSortedOverlappingPairCache();
	return (void*)o;
}
void btSortedOverlappingPairCache_free(void *c) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	delete o;
}
//method: sortOverlappingPairs void ( ::btSortedOverlappingPairCache::* )( ::btDispatcher * ) 
void btSortedOverlappingPairCache_sortOverlappingPairs(void *c,void* p0) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	o->sortOverlappingPairs(tp0);
}
//method: setInternalGhostPairCallback void ( ::btSortedOverlappingPairCache::* )( ::btOverlappingPairCallback * ) 
void btSortedOverlappingPairCache_setInternalGhostPairCallback(void *c,void* p0) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btOverlappingPairCallback * tp0 = (::btOverlappingPairCallback *)p0;
	o->setInternalGhostPairCallback(tp0);
}
//method: getOverlapFilterCallback ::btOverlapFilterCallback * ( ::btSortedOverlappingPairCache::* )(  ) 
void* btSortedOverlappingPairCache_getOverlapFilterCallback(void *c) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlapFilterCallback();
	return retVal;
}
//method: addOverlappingPair ::btBroadphasePair * ( ::btSortedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btSortedOverlappingPairCache_addOverlappingPair(void *c,void* p0,void* p1) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->addOverlappingPair(tp0,tp1);
	return retVal;
}
//method: removeOverlappingPairsContainingProxy void ( ::btSortedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btSortedOverlappingPairCache_removeOverlappingPairsContainingProxy(void *c,void* p0,void* p1) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->removeOverlappingPairsContainingProxy(tp0,tp1);
}
//method: needsBroadphaseCollision bool ( ::btSortedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) const
int btSortedOverlappingPairCache_needsBroadphaseCollision(void *c,void* p0,void* p1) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	int retVal = (int)o->needsBroadphaseCollision(tp0,tp1);
	return retVal;
}
//method: hasDeferredRemoval bool ( ::btSortedOverlappingPairCache::* )(  ) 
int btSortedOverlappingPairCache_hasDeferredRemoval(void *c) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	int retVal = (int)o->hasDeferredRemoval();
	return retVal;
}
//not supported method: getOverlappingPairArray ::btBroadphasePairArray & ( ::btSortedOverlappingPairCache::* )(  ) 
//not supported method: getOverlappingPairArray ::btBroadphasePairArray & ( ::btSortedOverlappingPairCache::* )(  ) 
//not supported method: getOverlappingPairArray ::btBroadphasePairArray const & ( ::btSortedOverlappingPairCache::* )(  ) const
//method: findPair ::btBroadphasePair * ( ::btSortedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy * ) 
void* btSortedOverlappingPairCache_findPair(void *c,void* p0,void* p1) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btBroadphaseProxy * tp1 = (::btBroadphaseProxy *)p1;
	void* retVal = (void*) o->findPair(tp0,tp1);
	return retVal;
}
//method: cleanProxyFromPairs void ( ::btSortedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btDispatcher * ) 
void btSortedOverlappingPairCache_cleanProxyFromPairs(void *c,void* p0,void* p1) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanProxyFromPairs(tp0,tp1);
}
//method: cleanOverlappingPair void ( ::btSortedOverlappingPairCache::* )( ::btBroadphasePair &,::btDispatcher * ) 
void btSortedOverlappingPairCache_cleanOverlappingPair(void *c,void* p0,void* p1) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btBroadphasePair & tp0 = *(::btBroadphasePair *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->cleanOverlappingPair(tp0,tp1);
}
//method: getNumOverlappingPairs int ( ::btSortedOverlappingPairCache::* )(  ) const
int btSortedOverlappingPairCache_getNumOverlappingPairs(void *c) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	int retVal = (int)o->getNumOverlappingPairs();
	return retVal;
}
//not supported method: removeOverlappingPair void * ( ::btSortedOverlappingPairCache::* )( ::btBroadphaseProxy *,::btBroadphaseProxy *,::btDispatcher * ) 
//method: processAllOverlappingPairs void ( ::btSortedOverlappingPairCache::* )( ::btOverlapCallback *,::btDispatcher * ) 
void btSortedOverlappingPairCache_processAllOverlappingPairs(void *c,void* p0,void* p1) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btOverlapCallback * tp0 = (::btOverlapCallback *)p0;
	::btDispatcher * tp1 = (::btDispatcher *)p1;
	o->processAllOverlappingPairs(tp0,tp1);
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btSortedOverlappingPairCache::* )(  ) 
void* btSortedOverlappingPairCache_getOverlappingPairArrayPtr(void *c) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair * ( ::btSortedOverlappingPairCache::* )(  ) 
void* btSortedOverlappingPairCache_getOverlappingPairArrayPtr0(void *c) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: getOverlappingPairArrayPtr ::btBroadphasePair const * ( ::btSortedOverlappingPairCache::* )(  ) const
void* btSortedOverlappingPairCache_getOverlappingPairArrayPtr1(void *c) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	void* retVal = (void*) o->getOverlappingPairArrayPtr();
	return retVal;
}
//method: setOverlapFilterCallback void ( ::btSortedOverlappingPairCache::* )( ::btOverlapFilterCallback * ) 
void btSortedOverlappingPairCache_setOverlapFilterCallback(void *c,void* p0) {
	::btSortedOverlappingPairCache *o = (::btSortedOverlappingPairCache*)c;
	::btOverlapFilterCallback * tp0 = (::btOverlapFilterCallback *)p0;
	o->setOverlapFilterCallback(tp0);
}

// ::btDbvt::sStkCLN
//constructor: sStkCLN  ( ::btDbvt::sStkCLN::* )( ::btDbvtNode const *,::btDbvtNode * ) 
void* btDbvt_sStkCLN_new(void* p0,void* p1) {
	::btDbvt::sStkCLN *o = 0;
	 void *mem = 0;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvtNode * tp1 = (::btDbvtNode *)p1;
	mem = btAlignedAlloc(sizeof(::btDbvt::sStkCLN),16);
	o = new (mem)::btDbvt::sStkCLN(tp0,tp1);
	return (void*)o;
}
void btDbvt_sStkCLN_free(void *c) {
	::btDbvt::sStkCLN *o = (::btDbvt::sStkCLN*)c;
	delete o;
}
//attribute: ::btDbvtNode const * btDbvt_sStkCLN->node
void btDbvt_sStkCLN_node_set(void *c,void* a) {
	::btDbvt::sStkCLN *o = (::btDbvt::sStkCLN*)c;
	::btDbvtNode const * ta = (::btDbvtNode const *)a;
	o->node = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode const * btDbvt_sStkCLN->node
//attribute: ::btDbvtNode * btDbvt_sStkCLN->parent
void btDbvt_sStkCLN_parent_set(void *c,void* a) {
	::btDbvt::sStkCLN *o = (::btDbvt::sStkCLN*)c;
	::btDbvtNode * ta = (::btDbvtNode *)a;
	o->parent = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode * btDbvt_sStkCLN->parent

// ::btDbvt::sStkNN
//constructor: sStkNN  ( ::btDbvt::sStkNN::* )(  ) 
void* btDbvt_sStkNN_new0() {
	::btDbvt::sStkNN *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDbvt::sStkNN),16);
	o = new (mem)::btDbvt::sStkNN();
	return (void*)o;
}
//constructor: sStkNN  ( ::btDbvt::sStkNN::* )( ::btDbvtNode const *,::btDbvtNode const * ) 
void* btDbvt_sStkNN_new1(void* p0,void* p1) {
	::btDbvt::sStkNN *o = 0;
	 void *mem = 0;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	::btDbvtNode const * tp1 = (::btDbvtNode const *)p1;
	mem = btAlignedAlloc(sizeof(::btDbvt::sStkNN),16);
	o = new (mem)::btDbvt::sStkNN(tp0,tp1);
	return (void*)o;
}
void btDbvt_sStkNN_free(void *c) {
	::btDbvt::sStkNN *o = (::btDbvt::sStkNN*)c;
	delete o;
}
//attribute: ::btDbvtNode const * btDbvt_sStkNN->a
void btDbvt_sStkNN_a_set(void *c,void* a) {
	::btDbvt::sStkNN *o = (::btDbvt::sStkNN*)c;
	::btDbvtNode const * ta = (::btDbvtNode const *)a;
	o->a = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode const * btDbvt_sStkNN->a
//attribute: ::btDbvtNode const * btDbvt_sStkNN->b
void btDbvt_sStkNN_b_set(void *c,void* a) {
	::btDbvt::sStkNN *o = (::btDbvt::sStkNN*)c;
	::btDbvtNode const * ta = (::btDbvtNode const *)a;
	o->b = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode const * btDbvt_sStkNN->b

// ::btDbvt::sStkNP
//constructor: sStkNP  ( ::btDbvt::sStkNP::* )( ::btDbvtNode const *,unsigned int ) 
void* btDbvt_sStkNP_new(void* p0,unsigned int p1) {
	::btDbvt::sStkNP *o = 0;
	 void *mem = 0;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	mem = btAlignedAlloc(sizeof(::btDbvt::sStkNP),16);
	o = new (mem)::btDbvt::sStkNP(tp0,p1);
	return (void*)o;
}
void btDbvt_sStkNP_free(void *c) {
	::btDbvt::sStkNP *o = (::btDbvt::sStkNP*)c;
	delete o;
}
//attribute: int btDbvt_sStkNP->mask
void btDbvt_sStkNP_mask_set(void *c,int a) {
	::btDbvt::sStkNP *o = (::btDbvt::sStkNP*)c;
	o->mask = a;
}
int btDbvt_sStkNP_mask_get(void *c) {
	::btDbvt::sStkNP *o = (::btDbvt::sStkNP*)c;
	return (int)(o->mask);
}

//attribute: ::btDbvtNode const * btDbvt_sStkNP->node
void btDbvt_sStkNP_node_set(void *c,void* a) {
	::btDbvt::sStkNP *o = (::btDbvt::sStkNP*)c;
	::btDbvtNode const * ta = (::btDbvtNode const *)a;
	o->node = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode const * btDbvt_sStkNP->node

// ::btDbvt::sStkNPS
//constructor: sStkNPS  ( ::btDbvt::sStkNPS::* )(  ) 
void* btDbvt_sStkNPS_new0() {
	::btDbvt::sStkNPS *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDbvt::sStkNPS),16);
	o = new (mem)::btDbvt::sStkNPS();
	return (void*)o;
}
//constructor: sStkNPS  ( ::btDbvt::sStkNPS::* )( ::btDbvtNode const *,unsigned int,::btScalar ) 
void* btDbvt_sStkNPS_new1(void* p0,unsigned int p1,float p2) {
	::btDbvt::sStkNPS *o = 0;
	 void *mem = 0;
	::btDbvtNode const * tp0 = (::btDbvtNode const *)p0;
	mem = btAlignedAlloc(sizeof(::btDbvt::sStkNPS),16);
	o = new (mem)::btDbvt::sStkNPS(tp0,p1,p2);
	return (void*)o;
}
void btDbvt_sStkNPS_free(void *c) {
	::btDbvt::sStkNPS *o = (::btDbvt::sStkNPS*)c;
	delete o;
}
//attribute: int btDbvt_sStkNPS->mask
void btDbvt_sStkNPS_mask_set(void *c,int a) {
	::btDbvt::sStkNPS *o = (::btDbvt::sStkNPS*)c;
	o->mask = a;
}
int btDbvt_sStkNPS_mask_get(void *c) {
	::btDbvt::sStkNPS *o = (::btDbvt::sStkNPS*)c;
	return (int)(o->mask);
}

//attribute: ::btDbvtNode const * btDbvt_sStkNPS->node
void btDbvt_sStkNPS_node_set(void *c,void* a) {
	::btDbvt::sStkNPS *o = (::btDbvt::sStkNPS*)c;
	::btDbvtNode const * ta = (::btDbvtNode const *)a;
	o->node = ta;
}
// attriibute getter not supported: //attribute: ::btDbvtNode const * btDbvt_sStkNPS->node
//attribute: ::btScalar btDbvt_sStkNPS->value
void btDbvt_sStkNPS_value_set(void *c,float a) {
	::btDbvt::sStkNPS *o = (::btDbvt::sStkNPS*)c;
	o->value = a;
}
float btDbvt_sStkNPS_value_get(void *c) {
	::btDbvt::sStkNPS *o = (::btDbvt::sStkNPS*)c;
	return (float)(o->value);
}


// ::btDiscreteCollisionDetectorInterface::ClosestPointInput
//constructor: ClosestPointInput  ( ::btDiscreteCollisionDetectorInterface::ClosestPointInput::* )(  ) 
void* btDiscreteCollisionDetectorInterface_ClosestPointInput_new() {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDiscreteCollisionDetectorInterface::ClosestPointInput),16);
	o = new (mem)::btDiscreteCollisionDetectorInterface::ClosestPointInput();
	return (void*)o;
}
void btDiscreteCollisionDetectorInterface_ClosestPointInput_free(void *c) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	delete o;
}
//attribute: ::btTransform btDiscreteCollisionDetectorInterface_ClosestPointInput->m_transformA
void btDiscreteCollisionDetectorInterface_ClosestPointInput_m_transformA_set(void *c,float* a) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_transformA = ta;
}
void btDiscreteCollisionDetectorInterface_ClosestPointInput_m_transformA_get(void *c,float* a) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	a[0]=(o->m_transformA).getBasis().getRow(0).m_floats[0];a[1]=(o->m_transformA).getBasis().getRow(0).m_floats[1];a[2]=(o->m_transformA).getBasis().getRow(0).m_floats[2];a[3]=(o->m_transformA).getBasis().getRow(1).m_floats[0];a[4]=(o->m_transformA).getBasis().getRow(1).m_floats[1];a[5]=(o->m_transformA).getBasis().getRow(1).m_floats[2];a[6]=(o->m_transformA).getBasis().getRow(2).m_floats[0];a[7]=(o->m_transformA).getBasis().getRow(2).m_floats[1];a[8]=(o->m_transformA).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_transformA).getOrigin().m_floats[0];a[10]=(o->m_transformA).getOrigin().m_floats[1];a[11]=(o->m_transformA).getOrigin().m_floats[2];
}

//attribute: ::btTransform btDiscreteCollisionDetectorInterface_ClosestPointInput->m_transformB
void btDiscreteCollisionDetectorInterface_ClosestPointInput_m_transformB_set(void *c,float* a) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	btMatrix3x3 mta(a[0],a[1],a[2],a[3],a[4],a[5],a[6],a[7],a[8]);
	btVector3 vta(a[9],a[10],a[11]);
	btTransform ta(mta,vta);
	o->m_transformB = ta;
}
void btDiscreteCollisionDetectorInterface_ClosestPointInput_m_transformB_get(void *c,float* a) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	a[0]=(o->m_transformB).getBasis().getRow(0).m_floats[0];a[1]=(o->m_transformB).getBasis().getRow(0).m_floats[1];a[2]=(o->m_transformB).getBasis().getRow(0).m_floats[2];a[3]=(o->m_transformB).getBasis().getRow(1).m_floats[0];a[4]=(o->m_transformB).getBasis().getRow(1).m_floats[1];a[5]=(o->m_transformB).getBasis().getRow(1).m_floats[2];a[6]=(o->m_transformB).getBasis().getRow(2).m_floats[0];a[7]=(o->m_transformB).getBasis().getRow(2).m_floats[1];a[8]=(o->m_transformB).getBasis().getRow(2).m_floats[2];
	a[9]=(o->m_transformB).getOrigin().m_floats[0];a[10]=(o->m_transformB).getOrigin().m_floats[1];a[11]=(o->m_transformB).getOrigin().m_floats[2];
}

//attribute: ::btScalar btDiscreteCollisionDetectorInterface_ClosestPointInput->m_maximumDistanceSquared
void btDiscreteCollisionDetectorInterface_ClosestPointInput_m_maximumDistanceSquared_set(void *c,float a) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	o->m_maximumDistanceSquared = a;
}
float btDiscreteCollisionDetectorInterface_ClosestPointInput_m_maximumDistanceSquared_get(void *c) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	return (float)(o->m_maximumDistanceSquared);
}

//attribute: ::btStackAlloc * btDiscreteCollisionDetectorInterface_ClosestPointInput->m_stackAlloc
void btDiscreteCollisionDetectorInterface_ClosestPointInput_m_stackAlloc_set(void *c,void* a) {
	::btDiscreteCollisionDetectorInterface::ClosestPointInput *o = (::btDiscreteCollisionDetectorInterface::ClosestPointInput*)c;
	::btStackAlloc * ta = (::btStackAlloc *)a;
	o->m_stackAlloc = ta;
}
// attriibute getter not supported: //attribute: ::btStackAlloc * btDiscreteCollisionDetectorInterface_ClosestPointInput->m_stackAlloc

// ::btDiscreteCollisionDetectorInterface::Result
//method: setShapeIdentifiersB void ( ::btDiscreteCollisionDetectorInterface::Result::* )( int,int ) 
void btDiscreteCollisionDetectorInterface_Result_setShapeIdentifiersB(void *c,int p0,int p1) {
	::btDiscreteCollisionDetectorInterface::Result *o = (::btDiscreteCollisionDetectorInterface::Result*)c;
	o->setShapeIdentifiersB(p0,p1);
}
//method: setShapeIdentifiersA void ( ::btDiscreteCollisionDetectorInterface::Result::* )( int,int ) 
void btDiscreteCollisionDetectorInterface_Result_setShapeIdentifiersA(void *c,int p0,int p1) {
	::btDiscreteCollisionDetectorInterface::Result *o = (::btDiscreteCollisionDetectorInterface::Result*)c;
	o->setShapeIdentifiersA(p0,p1);
}
//method: addContactPoint void ( ::btDiscreteCollisionDetectorInterface::Result::* )( ::btVector3 const &,::btVector3 const &,::btScalar ) 
void btDiscreteCollisionDetectorInterface_Result_addContactPoint(void *c,float* p0,float* p1,float p2) {
	::btDiscreteCollisionDetectorInterface::Result *o = (::btDiscreteCollisionDetectorInterface::Result*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->addContactPoint(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}

// ::btConstraintRow
//constructor: btConstraintRow  ( ::btConstraintRow::* )(  ) 
void* btConstraintRow_new() {
	::btConstraintRow *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btConstraintRow),16);
	o = new (mem)::btConstraintRow();
	return (void*)o;
}
void btConstraintRow_free(void *c) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	delete o;
}
//attribute: ::btScalar[3] btConstraintRow->m_normal
// attribute not supported: //attribute: ::btScalar[3] btConstraintRow->m_normal
//attribute: ::btScalar btConstraintRow->m_rhs
void btConstraintRow_m_rhs_set(void *c,float a) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	o->m_rhs = a;
}
float btConstraintRow_m_rhs_get(void *c) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	return (float)(o->m_rhs);
}

//attribute: ::btScalar btConstraintRow->m_jacDiagInv
void btConstraintRow_m_jacDiagInv_set(void *c,float a) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	o->m_jacDiagInv = a;
}
float btConstraintRow_m_jacDiagInv_get(void *c) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	return (float)(o->m_jacDiagInv);
}

//attribute: ::btScalar btConstraintRow->m_lowerLimit
void btConstraintRow_m_lowerLimit_set(void *c,float a) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	o->m_lowerLimit = a;
}
float btConstraintRow_m_lowerLimit_get(void *c) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	return (float)(o->m_lowerLimit);
}

//attribute: ::btScalar btConstraintRow->m_upperLimit
void btConstraintRow_m_upperLimit_set(void *c,float a) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	o->m_upperLimit = a;
}
float btConstraintRow_m_upperLimit_get(void *c) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	return (float)(o->m_upperLimit);
}

//attribute: ::btScalar btConstraintRow->m_accumImpulse
void btConstraintRow_m_accumImpulse_set(void *c,float a) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	o->m_accumImpulse = a;
}
float btConstraintRow_m_accumImpulse_get(void *c) {
	::btConstraintRow *o = (::btConstraintRow*)c;
	return (float)(o->m_accumImpulse);
}


// ::btDiscreteCollisionDetectorInterface
//method: getClosestPoints void ( ::btDiscreteCollisionDetectorInterface::* )( ::btDiscreteCollisionDetectorInterface::ClosestPointInput const &,::btDiscreteCollisionDetectorInterface::Result &,::btIDebugDraw *,bool ) 
void btDiscreteCollisionDetectorInterface_getClosestPoints(void *c,void* p0,void* p1,void* p2,int p3) {
	::btDiscreteCollisionDetectorInterface *o = (::btDiscreteCollisionDetectorInterface*)c;
	::btDiscreteCollisionDetectorInterface::ClosestPointInput const & tp0 = *(::btDiscreteCollisionDetectorInterface::ClosestPointInput const *)p0;
	::btDiscreteCollisionDetectorInterface::Result & tp1 = *(::btDiscreteCollisionDetectorInterface::Result *)p1;
	::btIDebugDraw * tp2 = (::btIDebugDraw *)p2;
	o->getClosestPoints(tp0,tp1,tp2,p3);
}

// ::btGjkEpaSolver2
//constructor: btGjkEpaSolver2  ( ::btGjkEpaSolver2::* )(  ) 
void* btGjkEpaSolver2_new() {
	::btGjkEpaSolver2 *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGjkEpaSolver2),16);
	o = new (mem)::btGjkEpaSolver2();
	return (void*)o;
}
void btGjkEpaSolver2_free(void *c) {
	::btGjkEpaSolver2 *o = (::btGjkEpaSolver2*)c;
	delete o;
}
//method: StackSizeRequirement int (*)(  )
int btGjkEpaSolver2_StackSizeRequirement() {
	int retVal = (int)::btGjkEpaSolver2::StackSizeRequirement();
	return retVal;
}
//method: Distance bool (*)( ::btConvexShape const *,::btTransform const &,::btConvexShape const *,::btTransform const &,::btVector3 const &,::btGjkEpaSolver2::sResults & )
int btGjkEpaSolver2_Distance(void* p0,float* p1,void* p2,float* p3,float* p4,void* p5) {
	::btConvexShape const * tp0 = (::btConvexShape const *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	::btConvexShape const * tp2 = (::btConvexShape const *)p2;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	::btGjkEpaSolver2::sResults & tp5 = *(::btGjkEpaSolver2::sResults *)p5;
	int retVal = (int)::btGjkEpaSolver2::Distance(tp0,tp1,tp2,tp3,tp4,tp5);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return retVal;
}
//method: Penetration bool (*)( ::btConvexShape const *,::btTransform const &,::btConvexShape const *,::btTransform const &,::btVector3 const &,::btGjkEpaSolver2::sResults &,bool )
int btGjkEpaSolver2_Penetration(void* p0,float* p1,void* p2,float* p3,float* p4,void* p5,int p6) {
	::btConvexShape const * tp0 = (::btConvexShape const *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	::btConvexShape const * tp2 = (::btConvexShape const *)p2;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	::btGjkEpaSolver2::sResults & tp5 = *(::btGjkEpaSolver2::sResults *)p5;
	int retVal = (int)::btGjkEpaSolver2::Penetration(tp0,tp1,tp2,tp3,tp4,tp5,p6);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return retVal;
}
//method: SignedDistance ::btScalar (*)( ::btVector3 const &,::btScalar,::btConvexShape const *,::btTransform const &,::btGjkEpaSolver2::sResults & )
float btGjkEpaSolver2_SignedDistance(float* p0,float p1,void* p2,float* p3,void* p4) {
	btVector3 tp0(p0[0],p0[1],p0[2]);
	::btConvexShape const * tp2 = (::btConvexShape const *)p2;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	::btGjkEpaSolver2::sResults & tp4 = *(::btGjkEpaSolver2::sResults *)p4;
	float retVal = (float)::btGjkEpaSolver2::SignedDistance(tp0,p1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	return retVal;
}
//method: SignedDistance ::btScalar (*)( ::btVector3 const &,::btScalar,::btConvexShape const *,::btTransform const &,::btGjkEpaSolver2::sResults & )
float btGjkEpaSolver2_SignedDistance0(float* p0,float p1,void* p2,float* p3,void* p4) {
	btVector3 tp0(p0[0],p0[1],p0[2]);
	::btConvexShape const * tp2 = (::btConvexShape const *)p2;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	::btGjkEpaSolver2::sResults & tp4 = *(::btGjkEpaSolver2::sResults *)p4;
	float retVal = (float)::btGjkEpaSolver2::SignedDistance(tp0,p1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	return retVal;
}
//method: SignedDistance bool (*)( ::btConvexShape const *,::btTransform const &,::btConvexShape const *,::btTransform const &,::btVector3 const &,::btGjkEpaSolver2::sResults & )
int btGjkEpaSolver2_SignedDistance1(void* p0,float* p1,void* p2,float* p3,float* p4,void* p5) {
	::btConvexShape const * tp0 = (::btConvexShape const *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	::btConvexShape const * tp2 = (::btConvexShape const *)p2;
	btMatrix3x3 mtp3(p3[0],p3[1],p3[2],p3[3],p3[4],p3[5],p3[6],p3[7],p3[8]);
	btVector3 vtp3(p3[9],p3[10],p3[11]);
	btTransform tp3(mtp3,vtp3);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	::btGjkEpaSolver2::sResults & tp5 = *(::btGjkEpaSolver2::sResults *)p5;
	int retVal = (int)::btGjkEpaSolver2::SignedDistance(tp0,tp1,tp2,tp3,tp4,tp5);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p3[0]=tp3.getBasis().getRow(0).m_floats[0];p3[1]=tp3.getBasis().getRow(0).m_floats[1];p3[2]=tp3.getBasis().getRow(0).m_floats[2];p3[3]=tp3.getBasis().getRow(1).m_floats[0];p3[4]=tp3.getBasis().getRow(1).m_floats[1];p3[5]=tp3.getBasis().getRow(1).m_floats[2];p3[6]=tp3.getBasis().getRow(2).m_floats[0];p3[7]=tp3.getBasis().getRow(2).m_floats[1];p3[8]=tp3.getBasis().getRow(2).m_floats[2];
	p3[9]=tp3.getOrigin().m_floats[0];p3[10]=tp3.getOrigin().m_floats[1];p3[11]=tp3.getOrigin().m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return retVal;
}

// ::btGjkPairDetector
//not supported constructor: btGjkPairDetector  ( ::btGjkPairDetector::* )( ::btConvexShape const *,::btConvexShape const *,::btVoronoiSimplexSolver *,::btConvexPenetrationDepthSolver * ) 
//not supported constructor: btGjkPairDetector  ( ::btGjkPairDetector::* )( ::btConvexShape const *,::btConvexShape const *,int,int,::btScalar,::btScalar,::btVoronoiSimplexSolver *,::btConvexPenetrationDepthSolver * ) 
void btGjkPairDetector_free(void *c) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	delete o;
}
//method: setCachedSeperatingAxis void ( ::btGjkPairDetector::* )( ::btVector3 const & ) 
void btGjkPairDetector_setCachedSeperatingAxis(void *c,float* p0) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setCachedSeperatingAxis(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getCachedSeparatingAxis ::btVector3 const & ( ::btGjkPairDetector::* )(  ) const
void btGjkPairDetector_getCachedSeparatingAxis(void *c,float* ret) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getCachedSeparatingAxis();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//not supported method: setPenetrationDepthSolver void ( ::btGjkPairDetector::* )( ::btConvexPenetrationDepthSolver * ) 
//method: getClosestPoints void ( ::btGjkPairDetector::* )( ::btDiscreteCollisionDetectorInterface::ClosestPointInput const &,::btDiscreteCollisionDetectorInterface::Result &,::btIDebugDraw *,bool ) 
void btGjkPairDetector_getClosestPoints(void *c,void* p0,void* p1,void* p2,int p3) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	::btDiscreteCollisionDetectorInterface::ClosestPointInput const & tp0 = *(::btDiscreteCollisionDetectorInterface::ClosestPointInput const *)p0;
	::btDiscreteCollisionDetectorInterface::Result & tp1 = *(::btDiscreteCollisionDetectorInterface::Result *)p1;
	::btIDebugDraw * tp2 = (::btIDebugDraw *)p2;
	o->getClosestPoints(tp0,tp1,tp2,p3);
}
//method: setMinkowskiA void ( ::btGjkPairDetector::* )( ::btConvexShape * ) 
void btGjkPairDetector_setMinkowskiA(void *c,void* p0) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	::btConvexShape * tp0 = (::btConvexShape *)p0;
	o->setMinkowskiA(tp0);
}
//method: setMinkowskiB void ( ::btGjkPairDetector::* )( ::btConvexShape * ) 
void btGjkPairDetector_setMinkowskiB(void *c,void* p0) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	::btConvexShape * tp0 = (::btConvexShape *)p0;
	o->setMinkowskiB(tp0);
}
//method: setIgnoreMargin void ( ::btGjkPairDetector::* )( bool ) 
void btGjkPairDetector_setIgnoreMargin(void *c,int p0) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	o->setIgnoreMargin(p0);
}
//method: getClosestPointsNonVirtual void ( ::btGjkPairDetector::* )( ::btDiscreteCollisionDetectorInterface::ClosestPointInput const &,::btDiscreteCollisionDetectorInterface::Result &,::btIDebugDraw * ) 
void btGjkPairDetector_getClosestPointsNonVirtual(void *c,void* p0,void* p1,void* p2) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	::btDiscreteCollisionDetectorInterface::ClosestPointInput const & tp0 = *(::btDiscreteCollisionDetectorInterface::ClosestPointInput const *)p0;
	::btDiscreteCollisionDetectorInterface::Result & tp1 = *(::btDiscreteCollisionDetectorInterface::Result *)p1;
	::btIDebugDraw * tp2 = (::btIDebugDraw *)p2;
	o->getClosestPointsNonVirtual(tp0,tp1,tp2);
}
//method: getCachedSeparatingDistance ::btScalar ( ::btGjkPairDetector::* )(  ) const
float btGjkPairDetector_getCachedSeparatingDistance(void *c) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	float retVal = (float)o->getCachedSeparatingDistance();
	return retVal;
}
//attribute: int btGjkPairDetector->m_lastUsedMethod
void btGjkPairDetector_m_lastUsedMethod_set(void *c,int a) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	o->m_lastUsedMethod = a;
}
int btGjkPairDetector_m_lastUsedMethod_get(void *c) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	return (int)(o->m_lastUsedMethod);
}

//attribute: int btGjkPairDetector->m_curIter
void btGjkPairDetector_m_curIter_set(void *c,int a) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	o->m_curIter = a;
}
int btGjkPairDetector_m_curIter_get(void *c) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	return (int)(o->m_curIter);
}

//attribute: int btGjkPairDetector->m_degenerateSimplex
void btGjkPairDetector_m_degenerateSimplex_set(void *c,int a) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	o->m_degenerateSimplex = a;
}
int btGjkPairDetector_m_degenerateSimplex_get(void *c) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	return (int)(o->m_degenerateSimplex);
}

//attribute: int btGjkPairDetector->m_catchDegeneracies
void btGjkPairDetector_m_catchDegeneracies_set(void *c,int a) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	o->m_catchDegeneracies = a;
}
int btGjkPairDetector_m_catchDegeneracies_get(void *c) {
	::btGjkPairDetector *o = (::btGjkPairDetector*)c;
	return (int)(o->m_catchDegeneracies);
}


// ::btManifoldPoint
//constructor: btManifoldPoint  ( ::btManifoldPoint::* )(  ) 
void* btManifoldPoint_new0() {
	::btManifoldPoint *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btManifoldPoint),16);
	o = new (mem)::btManifoldPoint();
	return (void*)o;
}
//constructor: btManifoldPoint  ( ::btManifoldPoint::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btScalar ) 
void* btManifoldPoint_new1(float* p0,float* p1,float* p2,float p3) {
	::btManifoldPoint *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btManifoldPoint),16);
	o = new (mem)::btManifoldPoint(tp0,tp1,tp2,p3);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
void btManifoldPoint_free(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	delete o;
}
//method: setDistance void ( ::btManifoldPoint::* )( ::btScalar ) 
void btManifoldPoint_setDistance(void *c,float p0) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->setDistance(p0);
}
//method: getLifeTime int ( ::btManifoldPoint::* )(  ) const
int btManifoldPoint_getLifeTime(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	int retVal = (int)o->getLifeTime();
	return retVal;
}
//method: getDistance ::btScalar ( ::btManifoldPoint::* )(  ) const
float btManifoldPoint_getDistance(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	float retVal = (float)o->getDistance();
	return retVal;
}
//method: getAppliedImpulse ::btScalar ( ::btManifoldPoint::* )(  ) const
float btManifoldPoint_getAppliedImpulse(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	float retVal = (float)o->getAppliedImpulse();
	return retVal;
}
//method: getPositionWorldOnB ::btVector3 const & ( ::btManifoldPoint::* )(  ) const
void btManifoldPoint_getPositionWorldOnB(void *c,float* ret) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getPositionWorldOnB();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getPositionWorldOnA ::btVector3 const & ( ::btManifoldPoint::* )(  ) const
void btManifoldPoint_getPositionWorldOnA(void *c,float* ret) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getPositionWorldOnA();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//attribute: ::btVector3 btManifoldPoint->m_localPointA
void btManifoldPoint_m_localPointA_set(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_localPointA = ta;
}
void btManifoldPoint_m_localPointA_get(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	a[0]=(o->m_localPointA).m_floats[0];a[1]=(o->m_localPointA).m_floats[1];a[2]=(o->m_localPointA).m_floats[2];
}

//attribute: ::btVector3 btManifoldPoint->m_localPointB
void btManifoldPoint_m_localPointB_set(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_localPointB = ta;
}
void btManifoldPoint_m_localPointB_get(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	a[0]=(o->m_localPointB).m_floats[0];a[1]=(o->m_localPointB).m_floats[1];a[2]=(o->m_localPointB).m_floats[2];
}

//attribute: ::btVector3 btManifoldPoint->m_positionWorldOnB
void btManifoldPoint_m_positionWorldOnB_set(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_positionWorldOnB = ta;
}
void btManifoldPoint_m_positionWorldOnB_get(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	a[0]=(o->m_positionWorldOnB).m_floats[0];a[1]=(o->m_positionWorldOnB).m_floats[1];a[2]=(o->m_positionWorldOnB).m_floats[2];
}

//attribute: ::btVector3 btManifoldPoint->m_positionWorldOnA
void btManifoldPoint_m_positionWorldOnA_set(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_positionWorldOnA = ta;
}
void btManifoldPoint_m_positionWorldOnA_get(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	a[0]=(o->m_positionWorldOnA).m_floats[0];a[1]=(o->m_positionWorldOnA).m_floats[1];a[2]=(o->m_positionWorldOnA).m_floats[2];
}

//attribute: ::btVector3 btManifoldPoint->m_normalWorldOnB
void btManifoldPoint_m_normalWorldOnB_set(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_normalWorldOnB = ta;
}
void btManifoldPoint_m_normalWorldOnB_get(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	a[0]=(o->m_normalWorldOnB).m_floats[0];a[1]=(o->m_normalWorldOnB).m_floats[1];a[2]=(o->m_normalWorldOnB).m_floats[2];
}

//attribute: ::btScalar btManifoldPoint->m_distance1
void btManifoldPoint_m_distance1_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_distance1 = a;
}
float btManifoldPoint_m_distance1_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_distance1);
}

//attribute: ::btScalar btManifoldPoint->m_combinedFriction
void btManifoldPoint_m_combinedFriction_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_combinedFriction = a;
}
float btManifoldPoint_m_combinedFriction_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_combinedFriction);
}

//attribute: ::btScalar btManifoldPoint->m_combinedRestitution
void btManifoldPoint_m_combinedRestitution_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_combinedRestitution = a;
}
float btManifoldPoint_m_combinedRestitution_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_combinedRestitution);
}

//attribute: int btManifoldPoint->m_partId0
void btManifoldPoint_m_partId0_set(void *c,int a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_partId0 = a;
}
int btManifoldPoint_m_partId0_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (int)(o->m_partId0);
}

//attribute: int btManifoldPoint->m_partId1
void btManifoldPoint_m_partId1_set(void *c,int a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_partId1 = a;
}
int btManifoldPoint_m_partId1_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (int)(o->m_partId1);
}

//attribute: int btManifoldPoint->m_index0
void btManifoldPoint_m_index0_set(void *c,int a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_index0 = a;
}
int btManifoldPoint_m_index0_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (int)(o->m_index0);
}

//attribute: int btManifoldPoint->m_index1
void btManifoldPoint_m_index1_set(void *c,int a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_index1 = a;
}
int btManifoldPoint_m_index1_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (int)(o->m_index1);
}

//attribute: void * btManifoldPoint->m_userPersistentData
// attribute not supported: //attribute: void * btManifoldPoint->m_userPersistentData
//attribute: ::btScalar btManifoldPoint->m_appliedImpulse
void btManifoldPoint_m_appliedImpulse_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_appliedImpulse = a;
}
float btManifoldPoint_m_appliedImpulse_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_appliedImpulse);
}

//attribute: bool btManifoldPoint->m_lateralFrictionInitialized
void btManifoldPoint_m_lateralFrictionInitialized_set(void *c,int a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_lateralFrictionInitialized = a;
}
int btManifoldPoint_m_lateralFrictionInitialized_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (int)(o->m_lateralFrictionInitialized);
}

//attribute: ::btScalar btManifoldPoint->m_appliedImpulseLateral1
void btManifoldPoint_m_appliedImpulseLateral1_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_appliedImpulseLateral1 = a;
}
float btManifoldPoint_m_appliedImpulseLateral1_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_appliedImpulseLateral1);
}

//attribute: ::btScalar btManifoldPoint->m_appliedImpulseLateral2
void btManifoldPoint_m_appliedImpulseLateral2_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_appliedImpulseLateral2 = a;
}
float btManifoldPoint_m_appliedImpulseLateral2_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_appliedImpulseLateral2);
}

//attribute: ::btScalar btManifoldPoint->m_contactMotion1
void btManifoldPoint_m_contactMotion1_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_contactMotion1 = a;
}
float btManifoldPoint_m_contactMotion1_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_contactMotion1);
}

//attribute: ::btScalar btManifoldPoint->m_contactMotion2
void btManifoldPoint_m_contactMotion2_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_contactMotion2 = a;
}
float btManifoldPoint_m_contactMotion2_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_contactMotion2);
}

//attribute: ::btScalar btManifoldPoint->m_contactCFM1
void btManifoldPoint_m_contactCFM1_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_contactCFM1 = a;
}
float btManifoldPoint_m_contactCFM1_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_contactCFM1);
}

//attribute: ::btScalar btManifoldPoint->m_contactCFM2
void btManifoldPoint_m_contactCFM2_set(void *c,float a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_contactCFM2 = a;
}
float btManifoldPoint_m_contactCFM2_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (float)(o->m_contactCFM2);
}

//attribute: int btManifoldPoint->m_lifeTime
void btManifoldPoint_m_lifeTime_set(void *c,int a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	o->m_lifeTime = a;
}
int btManifoldPoint_m_lifeTime_get(void *c) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	return (int)(o->m_lifeTime);
}

//attribute: ::btVector3 btManifoldPoint->m_lateralFrictionDir1
void btManifoldPoint_m_lateralFrictionDir1_set(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_lateralFrictionDir1 = ta;
}
void btManifoldPoint_m_lateralFrictionDir1_get(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	a[0]=(o->m_lateralFrictionDir1).m_floats[0];a[1]=(o->m_lateralFrictionDir1).m_floats[1];a[2]=(o->m_lateralFrictionDir1).m_floats[2];
}

//attribute: ::btVector3 btManifoldPoint->m_lateralFrictionDir2
void btManifoldPoint_m_lateralFrictionDir2_set(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_lateralFrictionDir2 = ta;
}
void btManifoldPoint_m_lateralFrictionDir2_get(void *c,float* a) {
	::btManifoldPoint *o = (::btManifoldPoint*)c;
	a[0]=(o->m_lateralFrictionDir2).m_floats[0];a[1]=(o->m_lateralFrictionDir2).m_floats[1];a[2]=(o->m_lateralFrictionDir2).m_floats[2];
}

//attribute: ::btConstraintRow[3] btManifoldPoint->mConstraintRow
// attribute not supported: //attribute: ::btConstraintRow[3] btManifoldPoint->mConstraintRow

// ::btPersistentManifold
//constructor: btPersistentManifold  ( ::btPersistentManifold::* )(  ) 
void* btPersistentManifold_new0() {
	::btPersistentManifold *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btPersistentManifold),16);
	o = new (mem)::btPersistentManifold();
	return (void*)o;
}
//not supported constructor: btPersistentManifold  ( ::btPersistentManifold::* )( void *,void *,int,::btScalar,::btScalar ) 
void btPersistentManifold_free(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	delete o;
}
//not supported method: setBodies void ( ::btPersistentManifold::* )( void *,void * ) 
//method: replaceContactPoint void ( ::btPersistentManifold::* )( ::btManifoldPoint const &,int ) 
void btPersistentManifold_replaceContactPoint(void *c,void* p0,int p1) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	::btManifoldPoint const & tp0 = *(::btManifoldPoint const *)p0;
	o->replaceContactPoint(tp0,p1);
}
//method: clearUserCache void ( ::btPersistentManifold::* )( ::btManifoldPoint & ) 
void btPersistentManifold_clearUserCache(void *c,void* p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	::btManifoldPoint & tp0 = *(::btManifoldPoint *)p0;
	o->clearUserCache(tp0);
}
//not supported method: getBody1 void * ( ::btPersistentManifold::* )(  ) 
//not supported method: getBody1 void * ( ::btPersistentManifold::* )(  ) 
//not supported method: getBody1 void const * ( ::btPersistentManifold::* )(  ) const
//method: getContactProcessingThreshold ::btScalar ( ::btPersistentManifold::* )(  ) const
float btPersistentManifold_getContactProcessingThreshold(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	float retVal = (float)o->getContactProcessingThreshold();
	return retVal;
}
//method: clearManifold void ( ::btPersistentManifold::* )(  ) 
void btPersistentManifold_clearManifold(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	o->clearManifold();
}
//method: getNumContacts int ( ::btPersistentManifold::* )(  ) const
int btPersistentManifold_getNumContacts(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	int retVal = (int)o->getNumContacts();
	return retVal;
}
//not supported method: getBody0 void * ( ::btPersistentManifold::* )(  ) 
//not supported method: getBody0 void * ( ::btPersistentManifold::* )(  ) 
//not supported method: getBody0 void const * ( ::btPersistentManifold::* )(  ) const
//method: addManifoldPoint int ( ::btPersistentManifold::* )( ::btManifoldPoint const & ) 
int btPersistentManifold_addManifoldPoint(void *c,void* p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	::btManifoldPoint const & tp0 = *(::btManifoldPoint const *)p0;
	int retVal = (int)o->addManifoldPoint(tp0);
	return retVal;
}
//method: getCacheEntry int ( ::btPersistentManifold::* )( ::btManifoldPoint const & ) const
int btPersistentManifold_getCacheEntry(void *c,void* p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	::btManifoldPoint const & tp0 = *(::btManifoldPoint const *)p0;
	int retVal = (int)o->getCacheEntry(tp0);
	return retVal;
}
//method: validContactDistance bool ( ::btPersistentManifold::* )( ::btManifoldPoint const & ) const
int btPersistentManifold_validContactDistance(void *c,void* p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	::btManifoldPoint const & tp0 = *(::btManifoldPoint const *)p0;
	int retVal = (int)o->validContactDistance(tp0);
	return retVal;
}
//method: removeContactPoint void ( ::btPersistentManifold::* )( int ) 
void btPersistentManifold_removeContactPoint(void *c,int p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	o->removeContactPoint(p0);
}
//method: getContactPoint ::btManifoldPoint const & ( ::btPersistentManifold::* )( int ) const
void* btPersistentManifold_getContactPoint(void *c,int p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	void* retVal = (void*) &(o->getContactPoint(p0));
	return retVal;
}
//method: getContactPoint ::btManifoldPoint const & ( ::btPersistentManifold::* )( int ) const
void* btPersistentManifold_getContactPoint0(void *c,int p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	void* retVal = (void*) &(o->getContactPoint(p0));
	return retVal;
}
//method: getContactPoint ::btManifoldPoint & ( ::btPersistentManifold::* )( int ) 
void* btPersistentManifold_getContactPoint1(void *c,int p0) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	void* retVal = (void*) &(o->getContactPoint(p0));
	return retVal;
}
//method: refreshContactPoints void ( ::btPersistentManifold::* )( ::btTransform const &,::btTransform const & ) 
void btPersistentManifold_refreshContactPoints(void *c,float* p0,float* p1) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	o->refreshContactPoints(tp0,tp1);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
}
//method: getContactBreakingThreshold ::btScalar ( ::btPersistentManifold::* )(  ) const
float btPersistentManifold_getContactBreakingThreshold(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	float retVal = (float)o->getContactBreakingThreshold();
	return retVal;
}
//attribute: int btPersistentManifold->m_companionIdA
void btPersistentManifold_m_companionIdA_set(void *c,int a) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	o->m_companionIdA = a;
}
int btPersistentManifold_m_companionIdA_get(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	return (int)(o->m_companionIdA);
}

//attribute: int btPersistentManifold->m_companionIdB
void btPersistentManifold_m_companionIdB_set(void *c,int a) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	o->m_companionIdB = a;
}
int btPersistentManifold_m_companionIdB_get(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	return (int)(o->m_companionIdB);
}

//attribute: int btPersistentManifold->m_index1a
void btPersistentManifold_m_index1a_set(void *c,int a) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	o->m_index1a = a;
}
int btPersistentManifold_m_index1a_get(void *c) {
	::btPersistentManifold *o = (::btPersistentManifold*)c;
	return (int)(o->m_index1a);
}


// ::btStorageResult
//method: addContactPoint void ( ::btStorageResult::* )( ::btVector3 const &,::btVector3 const &,::btScalar ) 
void btStorageResult_addContactPoint(void *c,float* p0,float* p1,float p2) {
	::btStorageResult *o = (::btStorageResult*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->addContactPoint(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//attribute: ::btVector3 btStorageResult->m_normalOnSurfaceB
void btStorageResult_m_normalOnSurfaceB_set(void *c,float* a) {
	::btStorageResult *o = (::btStorageResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_normalOnSurfaceB = ta;
}
void btStorageResult_m_normalOnSurfaceB_get(void *c,float* a) {
	::btStorageResult *o = (::btStorageResult*)c;
	a[0]=(o->m_normalOnSurfaceB).m_floats[0];a[1]=(o->m_normalOnSurfaceB).m_floats[1];a[2]=(o->m_normalOnSurfaceB).m_floats[2];
}

//attribute: ::btVector3 btStorageResult->m_closestPointInB
void btStorageResult_m_closestPointInB_set(void *c,float* a) {
	::btStorageResult *o = (::btStorageResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_closestPointInB = ta;
}
void btStorageResult_m_closestPointInB_get(void *c,float* a) {
	::btStorageResult *o = (::btStorageResult*)c;
	a[0]=(o->m_closestPointInB).m_floats[0];a[1]=(o->m_closestPointInB).m_floats[1];a[2]=(o->m_closestPointInB).m_floats[2];
}

//attribute: ::btScalar btStorageResult->m_distance
void btStorageResult_m_distance_set(void *c,float a) {
	::btStorageResult *o = (::btStorageResult*)c;
	o->m_distance = a;
}
float btStorageResult_m_distance_get(void *c) {
	::btStorageResult *o = (::btStorageResult*)c;
	return (float)(o->m_distance);
}


// ::btSubSimplexClosestResult
//constructor: btSubSimplexClosestResult  ( ::btSubSimplexClosestResult::* )(  ) 
void* btSubSimplexClosestResult_new() {
	::btSubSimplexClosestResult *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSubSimplexClosestResult),16);
	o = new (mem)::btSubSimplexClosestResult();
	return (void*)o;
}
void btSubSimplexClosestResult_free(void *c) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	delete o;
}
//method: reset void ( ::btSubSimplexClosestResult::* )(  ) 
void btSubSimplexClosestResult_reset(void *c) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	o->reset();
}
//method: isValid bool ( ::btSubSimplexClosestResult::* )(  ) 
int btSubSimplexClosestResult_isValid(void *c) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	int retVal = (int)o->isValid();
	return retVal;
}
//method: setBarycentricCoordinates void ( ::btSubSimplexClosestResult::* )( ::btScalar,::btScalar,::btScalar,::btScalar ) 
void btSubSimplexClosestResult_setBarycentricCoordinates(void *c,float p0,float p1,float p2,float p3) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	o->setBarycentricCoordinates(p0,p1,p2,p3);
}
//attribute: ::btVector3 btSubSimplexClosestResult->m_closestPointOnSimplex
void btSubSimplexClosestResult_m_closestPointOnSimplex_set(void *c,float* a) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_closestPointOnSimplex = ta;
}
void btSubSimplexClosestResult_m_closestPointOnSimplex_get(void *c,float* a) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	a[0]=(o->m_closestPointOnSimplex).m_floats[0];a[1]=(o->m_closestPointOnSimplex).m_floats[1];a[2]=(o->m_closestPointOnSimplex).m_floats[2];
}

//attribute: ::btUsageBitfield btSubSimplexClosestResult->m_usedVertices
// attribute not supported: //attribute: ::btUsageBitfield btSubSimplexClosestResult->m_usedVertices
//attribute: ::btScalar[4] btSubSimplexClosestResult->m_barycentricCoords
// attribute not supported: //attribute: ::btScalar[4] btSubSimplexClosestResult->m_barycentricCoords
//attribute: bool btSubSimplexClosestResult->m_degenerate
void btSubSimplexClosestResult_m_degenerate_set(void *c,int a) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	o->m_degenerate = a;
}
int btSubSimplexClosestResult_m_degenerate_get(void *c) {
	::btSubSimplexClosestResult *o = (::btSubSimplexClosestResult*)c;
	return (int)(o->m_degenerate);
}


// ::btUsageBitfield
//constructor: btUsageBitfield  ( ::btUsageBitfield::* )(  ) 
void* btUsageBitfield_new() {
	::btUsageBitfield *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btUsageBitfield),16);
	o = new (mem)::btUsageBitfield();
	return (void*)o;
}
void btUsageBitfield_free(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	delete o;
}
//method: reset void ( ::btUsageBitfield::* )(  ) 
void btUsageBitfield_reset(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->reset();
}
//attribute: short unsigned int btUsageBitfield->unused1
void btUsageBitfield_unused1_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->unused1 = a;
}
short unsigned int btUsageBitfield_unused1_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->unused1);
}

//attribute: short unsigned int btUsageBitfield->unused2
void btUsageBitfield_unused2_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->unused2 = a;
}
short unsigned int btUsageBitfield_unused2_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->unused2);
}

//attribute: short unsigned int btUsageBitfield->unused3
void btUsageBitfield_unused3_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->unused3 = a;
}
short unsigned int btUsageBitfield_unused3_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->unused3);
}

//attribute: short unsigned int btUsageBitfield->unused4
void btUsageBitfield_unused4_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->unused4 = a;
}
short unsigned int btUsageBitfield_unused4_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->unused4);
}

//attribute: short unsigned int btUsageBitfield->usedVertexA
void btUsageBitfield_usedVertexA_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->usedVertexA = a;
}
short unsigned int btUsageBitfield_usedVertexA_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->usedVertexA);
}

//attribute: short unsigned int btUsageBitfield->usedVertexB
void btUsageBitfield_usedVertexB_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->usedVertexB = a;
}
short unsigned int btUsageBitfield_usedVertexB_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->usedVertexB);
}

//attribute: short unsigned int btUsageBitfield->usedVertexC
void btUsageBitfield_usedVertexC_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->usedVertexC = a;
}
short unsigned int btUsageBitfield_usedVertexC_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->usedVertexC);
}

//attribute: short unsigned int btUsageBitfield->usedVertexD
void btUsageBitfield_usedVertexD_set(void *c,short unsigned int a) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	o->usedVertexD = a;
}
short unsigned int btUsageBitfield_usedVertexD_get(void *c) {
	::btUsageBitfield *o = (::btUsageBitfield*)c;
	return (short unsigned int)(o->usedVertexD);
}


// ::btVoronoiSimplexSolver
//constructor: btVoronoiSimplexSolver  ( ::btVoronoiSimplexSolver::* )(  ) 
void* btVoronoiSimplexSolver_new() {
	::btVoronoiSimplexSolver *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btVoronoiSimplexSolver),16);
	o = new (mem)::btVoronoiSimplexSolver();
	return (void*)o;
}
void btVoronoiSimplexSolver_free(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	delete o;
}
//method: reset void ( ::btVoronoiSimplexSolver::* )(  ) 
void btVoronoiSimplexSolver_reset(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	o->reset();
}
//method: updateClosestVectorAndPoints bool ( ::btVoronoiSimplexSolver::* )(  ) 
int btVoronoiSimplexSolver_updateClosestVectorAndPoints(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	int retVal = (int)o->updateClosestVectorAndPoints();
	return retVal;
}
//method: setEqualVertexThreshold void ( ::btVoronoiSimplexSolver::* )( ::btScalar ) 
void btVoronoiSimplexSolver_setEqualVertexThreshold(void *c,float p0) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	o->setEqualVertexThreshold(p0);
}
//method: inSimplex bool ( ::btVoronoiSimplexSolver::* )( ::btVector3 const & ) 
int btVoronoiSimplexSolver_inSimplex(void *c,float* p0) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->inSimplex(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: closest bool ( ::btVoronoiSimplexSolver::* )( ::btVector3 & ) 
int btVoronoiSimplexSolver_closest(void *c,float* p0) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	int retVal = (int)o->closest(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	return retVal;
}
//method: closestPtPointTetrahedron bool ( ::btVoronoiSimplexSolver::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btSubSimplexClosestResult & ) 
int btVoronoiSimplexSolver_closestPtPointTetrahedron(void *c,float* p0,float* p1,float* p2,float* p3,float* p4,void* p5) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	::btSubSimplexClosestResult & tp5 = *(::btSubSimplexClosestResult *)p5;
	int retVal = (int)o->closestPtPointTetrahedron(tp0,tp1,tp2,tp3,tp4,tp5);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return retVal;
}
//method: closestPtPointTriangle bool ( ::btVoronoiSimplexSolver::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btSubSimplexClosestResult & ) 
int btVoronoiSimplexSolver_closestPtPointTriangle(void *c,float* p0,float* p1,float* p2,float* p3,void* p4) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	::btSubSimplexClosestResult & tp4 = *(::btSubSimplexClosestResult *)p4;
	int retVal = (int)o->closestPtPointTriangle(tp0,tp1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return retVal;
}
//method: pointOutsideOfPlane int ( ::btVoronoiSimplexSolver::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
int btVoronoiSimplexSolver_pointOutsideOfPlane(void *c,float* p0,float* p1,float* p2,float* p3,float* p4) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	btVector3 tp4(p4[0],p4[1],p4[2]);
	int retVal = (int)o->pointOutsideOfPlane(tp0,tp1,tp2,tp3,tp4);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	p4[0]=tp4.m_floats[0];p4[1]=tp4.m_floats[1];p4[2]=tp4.m_floats[2];
	return retVal;
}
//method: emptySimplex bool ( ::btVoronoiSimplexSolver::* )(  ) const
int btVoronoiSimplexSolver_emptySimplex(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	int retVal = (int)o->emptySimplex();
	return retVal;
}
//not supported method: getSimplex int ( ::btVoronoiSimplexSolver::* )( ::btVector3 *,::btVector3 *,::btVector3 * ) const
//method: maxVertex ::btScalar ( ::btVoronoiSimplexSolver::* )(  ) 
float btVoronoiSimplexSolver_maxVertex(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	float retVal = (float)o->maxVertex();
	return retVal;
}
//method: addVertex void ( ::btVoronoiSimplexSolver::* )( ::btVector3 const &,::btVector3 const &,::btVector3 const & ) 
void btVoronoiSimplexSolver_addVertex(void *c,float* p0,float* p1,float* p2) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->addVertex(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: reduceVertices void ( ::btVoronoiSimplexSolver::* )( ::btUsageBitfield const & ) 
void btVoronoiSimplexSolver_reduceVertices(void *c,void* p0) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	::btUsageBitfield const & tp0 = *(::btUsageBitfield const *)p0;
	o->reduceVertices(tp0);
}
//method: backup_closest void ( ::btVoronoiSimplexSolver::* )( ::btVector3 & ) 
void btVoronoiSimplexSolver_backup_closest(void *c,float* p0) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->backup_closest(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: removeVertex void ( ::btVoronoiSimplexSolver::* )( int ) 
void btVoronoiSimplexSolver_removeVertex(void *c,int p0) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	o->removeVertex(p0);
}
//method: getEqualVertexThreshold ::btScalar ( ::btVoronoiSimplexSolver::* )(  ) const
float btVoronoiSimplexSolver_getEqualVertexThreshold(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	float retVal = (float)o->getEqualVertexThreshold();
	return retVal;
}
//method: compute_points void ( ::btVoronoiSimplexSolver::* )( ::btVector3 &,::btVector3 & ) 
void btVoronoiSimplexSolver_compute_points(void *c,float* p0,float* p1) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->compute_points(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: fullSimplex bool ( ::btVoronoiSimplexSolver::* )(  ) const
int btVoronoiSimplexSolver_fullSimplex(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	int retVal = (int)o->fullSimplex();
	return retVal;
}
//method: numVertices int ( ::btVoronoiSimplexSolver::* )(  ) const
int btVoronoiSimplexSolver_numVertices(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	int retVal = (int)o->numVertices();
	return retVal;
}
//attribute: ::btSubSimplexClosestResult btVoronoiSimplexSolver->m_cachedBC
// attribute not supported: //attribute: ::btSubSimplexClosestResult btVoronoiSimplexSolver->m_cachedBC
//attribute: ::btVector3 btVoronoiSimplexSolver->m_cachedP1
void btVoronoiSimplexSolver_m_cachedP1_set(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_cachedP1 = ta;
}
void btVoronoiSimplexSolver_m_cachedP1_get(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	a[0]=(o->m_cachedP1).m_floats[0];a[1]=(o->m_cachedP1).m_floats[1];a[2]=(o->m_cachedP1).m_floats[2];
}

//attribute: ::btVector3 btVoronoiSimplexSolver->m_cachedP2
void btVoronoiSimplexSolver_m_cachedP2_set(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_cachedP2 = ta;
}
void btVoronoiSimplexSolver_m_cachedP2_get(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	a[0]=(o->m_cachedP2).m_floats[0];a[1]=(o->m_cachedP2).m_floats[1];a[2]=(o->m_cachedP2).m_floats[2];
}

//attribute: ::btVector3 btVoronoiSimplexSolver->m_cachedV
void btVoronoiSimplexSolver_m_cachedV_set(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_cachedV = ta;
}
void btVoronoiSimplexSolver_m_cachedV_get(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	a[0]=(o->m_cachedV).m_floats[0];a[1]=(o->m_cachedV).m_floats[1];a[2]=(o->m_cachedV).m_floats[2];
}

//attribute: bool btVoronoiSimplexSolver->m_cachedValidClosest
void btVoronoiSimplexSolver_m_cachedValidClosest_set(void *c,int a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	o->m_cachedValidClosest = a;
}
int btVoronoiSimplexSolver_m_cachedValidClosest_get(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	return (int)(o->m_cachedValidClosest);
}

//attribute: ::btScalar btVoronoiSimplexSolver->m_equalVertexThreshold
void btVoronoiSimplexSolver_m_equalVertexThreshold_set(void *c,float a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	o->m_equalVertexThreshold = a;
}
float btVoronoiSimplexSolver_m_equalVertexThreshold_get(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	return (float)(o->m_equalVertexThreshold);
}

//attribute: ::btVector3 btVoronoiSimplexSolver->m_lastW
void btVoronoiSimplexSolver_m_lastW_set(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_lastW = ta;
}
void btVoronoiSimplexSolver_m_lastW_get(void *c,float* a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	a[0]=(o->m_lastW).m_floats[0];a[1]=(o->m_lastW).m_floats[1];a[2]=(o->m_lastW).m_floats[2];
}

//attribute: bool btVoronoiSimplexSolver->m_needsUpdate
void btVoronoiSimplexSolver_m_needsUpdate_set(void *c,int a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	o->m_needsUpdate = a;
}
int btVoronoiSimplexSolver_m_needsUpdate_get(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	return (int)(o->m_needsUpdate);
}

//attribute: int btVoronoiSimplexSolver->m_numVertices
void btVoronoiSimplexSolver_m_numVertices_set(void *c,int a) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	o->m_numVertices = a;
}
int btVoronoiSimplexSolver_m_numVertices_get(void *c) {
	::btVoronoiSimplexSolver *o = (::btVoronoiSimplexSolver*)c;
	return (int)(o->m_numVertices);
}

//attribute: ::btVector3[5] btVoronoiSimplexSolver->m_simplexPointsP
// attribute not supported: //attribute: ::btVector3[5] btVoronoiSimplexSolver->m_simplexPointsP
//attribute: ::btVector3[5] btVoronoiSimplexSolver->m_simplexPointsQ
// attribute not supported: //attribute: ::btVector3[5] btVoronoiSimplexSolver->m_simplexPointsQ
//attribute: ::btVector3[5] btVoronoiSimplexSolver->m_simplexVectorW
// attribute not supported: //attribute: ::btVector3[5] btVoronoiSimplexSolver->m_simplexVectorW

// ::btGjkEpaSolver2::sResults
//constructor: sResults  ( ::btGjkEpaSolver2::sResults::* )(  ) 
void* btGjkEpaSolver2_sResults_new() {
	::btGjkEpaSolver2::sResults *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btGjkEpaSolver2::sResults),16);
	o = new (mem)::btGjkEpaSolver2::sResults();
	return (void*)o;
}
void btGjkEpaSolver2_sResults_free(void *c) {
	::btGjkEpaSolver2::sResults *o = (::btGjkEpaSolver2::sResults*)c;
	delete o;
}
//attribute: ::btScalar btGjkEpaSolver2_sResults->distance
void btGjkEpaSolver2_sResults_distance_set(void *c,float a) {
	::btGjkEpaSolver2::sResults *o = (::btGjkEpaSolver2::sResults*)c;
	o->distance = a;
}
float btGjkEpaSolver2_sResults_distance_get(void *c) {
	::btGjkEpaSolver2::sResults *o = (::btGjkEpaSolver2::sResults*)c;
	return (float)(o->distance);
}

//attribute: ::btVector3 btGjkEpaSolver2_sResults->normal
void btGjkEpaSolver2_sResults_normal_set(void *c,float* a) {
	::btGjkEpaSolver2::sResults *o = (::btGjkEpaSolver2::sResults*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->normal = ta;
}
void btGjkEpaSolver2_sResults_normal_get(void *c,float* a) {
	::btGjkEpaSolver2::sResults *o = (::btGjkEpaSolver2::sResults*)c;
	a[0]=(o->normal).m_floats[0];a[1]=(o->normal).m_floats[1];a[2]=(o->normal).m_floats[2];
}

//attribute: ::btGjkEpaSolver2::sResults::eStatus btGjkEpaSolver2_sResults->status
// attribute not supported: //attribute: ::btGjkEpaSolver2::sResults::eStatus btGjkEpaSolver2_sResults->status
//attribute: ::btVector3[2] btGjkEpaSolver2_sResults->witnesses
// attribute not supported: //attribute: ::btVector3[2] btGjkEpaSolver2_sResults->witnesses

// ::btCollisionWorld::AllHitsRayResultCallback
//constructor: AllHitsRayResultCallback  ( ::btCollisionWorld::AllHitsRayResultCallback::* )( ::btVector3 const &,::btVector3 const & ) 
void* btCollisionWorld_AllHitsRayResultCallback_new(float* p0,float* p1) {
	::btCollisionWorld::AllHitsRayResultCallback *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	mem = btAlignedAlloc(sizeof(::btCollisionWorld::AllHitsRayResultCallback),16);
	o = new (mem)::btCollisionWorld::AllHitsRayResultCallback(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void btCollisionWorld_AllHitsRayResultCallback_free(void *c) {
	::btCollisionWorld::AllHitsRayResultCallback *o = (::btCollisionWorld::AllHitsRayResultCallback*)c;
	delete o;
}
//method: addSingleResult ::btScalar ( ::btCollisionWorld::AllHitsRayResultCallback::* )( ::btCollisionWorld::LocalRayResult &,bool ) 
float btCollisionWorld_AllHitsRayResultCallback_addSingleResult(void *c,void* p0,int p1) {
	::btCollisionWorld::AllHitsRayResultCallback *o = (::btCollisionWorld::AllHitsRayResultCallback*)c;
	::btCollisionWorld::LocalRayResult & tp0 = *(::btCollisionWorld::LocalRayResult *)p0;
	float retVal = (float)o->addSingleResult(tp0,p1);
	return retVal;
}
//attribute: ::btAlignedObjectArray<btCollisionObject*> btCollisionWorld_AllHitsRayResultCallback->m_collisionObjects
// attribute not supported: //attribute: ::btAlignedObjectArray<btCollisionObject*> btCollisionWorld_AllHitsRayResultCallback->m_collisionObjects
//attribute: ::btAlignedObjectArray<float> btCollisionWorld_AllHitsRayResultCallback->m_hitFractions
// attribute not supported: //attribute: ::btAlignedObjectArray<float> btCollisionWorld_AllHitsRayResultCallback->m_hitFractions
//attribute: ::btAlignedObjectArray<btVector3> btCollisionWorld_AllHitsRayResultCallback->m_hitNormalWorld
// attribute not supported: //attribute: ::btAlignedObjectArray<btVector3> btCollisionWorld_AllHitsRayResultCallback->m_hitNormalWorld
//attribute: ::btAlignedObjectArray<btVector3> btCollisionWorld_AllHitsRayResultCallback->m_hitPointWorld
// attribute not supported: //attribute: ::btAlignedObjectArray<btVector3> btCollisionWorld_AllHitsRayResultCallback->m_hitPointWorld
//attribute: ::btVector3 btCollisionWorld_AllHitsRayResultCallback->m_rayFromWorld
void btCollisionWorld_AllHitsRayResultCallback_m_rayFromWorld_set(void *c,float* a) {
	::btCollisionWorld::AllHitsRayResultCallback *o = (::btCollisionWorld::AllHitsRayResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayFromWorld = ta;
}
void btCollisionWorld_AllHitsRayResultCallback_m_rayFromWorld_get(void *c,float* a) {
	::btCollisionWorld::AllHitsRayResultCallback *o = (::btCollisionWorld::AllHitsRayResultCallback*)c;
	a[0]=(o->m_rayFromWorld).m_floats[0];a[1]=(o->m_rayFromWorld).m_floats[1];a[2]=(o->m_rayFromWorld).m_floats[2];
}

//attribute: ::btVector3 btCollisionWorld_AllHitsRayResultCallback->m_rayToWorld
void btCollisionWorld_AllHitsRayResultCallback_m_rayToWorld_set(void *c,float* a) {
	::btCollisionWorld::AllHitsRayResultCallback *o = (::btCollisionWorld::AllHitsRayResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayToWorld = ta;
}
void btCollisionWorld_AllHitsRayResultCallback_m_rayToWorld_get(void *c,float* a) {
	::btCollisionWorld::AllHitsRayResultCallback *o = (::btCollisionWorld::AllHitsRayResultCallback*)c;
	a[0]=(o->m_rayToWorld).m_floats[0];a[1]=(o->m_rayToWorld).m_floats[1];a[2]=(o->m_rayToWorld).m_floats[2];
}


// ::btCollisionWorld::ClosestConvexResultCallback
//constructor: ClosestConvexResultCallback  ( ::btCollisionWorld::ClosestConvexResultCallback::* )( ::btVector3 const &,::btVector3 const & ) 
void* btCollisionWorld_ClosestConvexResultCallback_new(float* p0,float* p1) {
	::btCollisionWorld::ClosestConvexResultCallback *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	mem = btAlignedAlloc(sizeof(::btCollisionWorld::ClosestConvexResultCallback),16);
	o = new (mem)::btCollisionWorld::ClosestConvexResultCallback(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void btCollisionWorld_ClosestConvexResultCallback_free(void *c) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	delete o;
}
//method: addSingleResult ::btScalar ( ::btCollisionWorld::ClosestConvexResultCallback::* )( ::btCollisionWorld::LocalConvexResult &,bool ) 
float btCollisionWorld_ClosestConvexResultCallback_addSingleResult(void *c,void* p0,int p1) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	::btCollisionWorld::LocalConvexResult & tp0 = *(::btCollisionWorld::LocalConvexResult *)p0;
	float retVal = (float)o->addSingleResult(tp0,p1);
	return retVal;
}
//attribute: ::btVector3 btCollisionWorld_ClosestConvexResultCallback->m_convexFromWorld
void btCollisionWorld_ClosestConvexResultCallback_m_convexFromWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_convexFromWorld = ta;
}
void btCollisionWorld_ClosestConvexResultCallback_m_convexFromWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	a[0]=(o->m_convexFromWorld).m_floats[0];a[1]=(o->m_convexFromWorld).m_floats[1];a[2]=(o->m_convexFromWorld).m_floats[2];
}

//attribute: ::btVector3 btCollisionWorld_ClosestConvexResultCallback->m_convexToWorld
void btCollisionWorld_ClosestConvexResultCallback_m_convexToWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_convexToWorld = ta;
}
void btCollisionWorld_ClosestConvexResultCallback_m_convexToWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	a[0]=(o->m_convexToWorld).m_floats[0];a[1]=(o->m_convexToWorld).m_floats[1];a[2]=(o->m_convexToWorld).m_floats[2];
}

//attribute: ::btCollisionObject * btCollisionWorld_ClosestConvexResultCallback->m_hitCollisionObject
void btCollisionWorld_ClosestConvexResultCallback_m_hitCollisionObject_set(void *c,void* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	::btCollisionObject * ta = (::btCollisionObject *)a;
	o->m_hitCollisionObject = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionObject * btCollisionWorld_ClosestConvexResultCallback->m_hitCollisionObject
//attribute: ::btVector3 btCollisionWorld_ClosestConvexResultCallback->m_hitNormalWorld
void btCollisionWorld_ClosestConvexResultCallback_m_hitNormalWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitNormalWorld = ta;
}
void btCollisionWorld_ClosestConvexResultCallback_m_hitNormalWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	a[0]=(o->m_hitNormalWorld).m_floats[0];a[1]=(o->m_hitNormalWorld).m_floats[1];a[2]=(o->m_hitNormalWorld).m_floats[2];
}

//attribute: ::btVector3 btCollisionWorld_ClosestConvexResultCallback->m_hitPointWorld
void btCollisionWorld_ClosestConvexResultCallback_m_hitPointWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitPointWorld = ta;
}
void btCollisionWorld_ClosestConvexResultCallback_m_hitPointWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestConvexResultCallback *o = (::btCollisionWorld::ClosestConvexResultCallback*)c;
	a[0]=(o->m_hitPointWorld).m_floats[0];a[1]=(o->m_hitPointWorld).m_floats[1];a[2]=(o->m_hitPointWorld).m_floats[2];
}


// ::btCollisionWorld::ClosestRayResultCallback
//constructor: ClosestRayResultCallback  ( ::btCollisionWorld::ClosestRayResultCallback::* )( ::btVector3 const &,::btVector3 const & ) 
void* btCollisionWorld_ClosestRayResultCallback_new(float* p0,float* p1) {
	::btCollisionWorld::ClosestRayResultCallback *o = 0;
	 void *mem = 0;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	mem = btAlignedAlloc(sizeof(::btCollisionWorld::ClosestRayResultCallback),16);
	o = new (mem)::btCollisionWorld::ClosestRayResultCallback(tp0,tp1);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
	return (void*)o;
}
void btCollisionWorld_ClosestRayResultCallback_free(void *c) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	delete o;
}
//method: addSingleResult ::btScalar ( ::btCollisionWorld::ClosestRayResultCallback::* )( ::btCollisionWorld::LocalRayResult &,bool ) 
float btCollisionWorld_ClosestRayResultCallback_addSingleResult(void *c,void* p0,int p1) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	::btCollisionWorld::LocalRayResult & tp0 = *(::btCollisionWorld::LocalRayResult *)p0;
	float retVal = (float)o->addSingleResult(tp0,p1);
	return retVal;
}
//attribute: ::btVector3 btCollisionWorld_ClosestRayResultCallback->m_hitNormalWorld
void btCollisionWorld_ClosestRayResultCallback_m_hitNormalWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitNormalWorld = ta;
}
void btCollisionWorld_ClosestRayResultCallback_m_hitNormalWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	a[0]=(o->m_hitNormalWorld).m_floats[0];a[1]=(o->m_hitNormalWorld).m_floats[1];a[2]=(o->m_hitNormalWorld).m_floats[2];
}

//attribute: ::btVector3 btCollisionWorld_ClosestRayResultCallback->m_hitPointWorld
void btCollisionWorld_ClosestRayResultCallback_m_hitPointWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitPointWorld = ta;
}
void btCollisionWorld_ClosestRayResultCallback_m_hitPointWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	a[0]=(o->m_hitPointWorld).m_floats[0];a[1]=(o->m_hitPointWorld).m_floats[1];a[2]=(o->m_hitPointWorld).m_floats[2];
}

//attribute: ::btVector3 btCollisionWorld_ClosestRayResultCallback->m_rayFromWorld
void btCollisionWorld_ClosestRayResultCallback_m_rayFromWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayFromWorld = ta;
}
void btCollisionWorld_ClosestRayResultCallback_m_rayFromWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	a[0]=(o->m_rayFromWorld).m_floats[0];a[1]=(o->m_rayFromWorld).m_floats[1];a[2]=(o->m_rayFromWorld).m_floats[2];
}

//attribute: ::btVector3 btCollisionWorld_ClosestRayResultCallback->m_rayToWorld
void btCollisionWorld_ClosestRayResultCallback_m_rayToWorld_set(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_rayToWorld = ta;
}
void btCollisionWorld_ClosestRayResultCallback_m_rayToWorld_get(void *c,float* a) {
	::btCollisionWorld::ClosestRayResultCallback *o = (::btCollisionWorld::ClosestRayResultCallback*)c;
	a[0]=(o->m_rayToWorld).m_floats[0];a[1]=(o->m_rayToWorld).m_floats[1];a[2]=(o->m_rayToWorld).m_floats[2];
}


// ::btCollisionWorld::ContactResultCallback
//method: addSingleResult ::btScalar ( ::btCollisionWorld::ContactResultCallback::* )( ::btManifoldPoint &,::btCollisionObject const *,int,int,::btCollisionObject const *,int,int ) 
float btCollisionWorld_ContactResultCallback_addSingleResult(void *c,void* p0,void* p1,int p2,int p3,void* p4,int p5,int p6) {
	::btCollisionWorld::ContactResultCallback *o = (::btCollisionWorld::ContactResultCallback*)c;
	::btManifoldPoint & tp0 = *(::btManifoldPoint *)p0;
	::btCollisionObject const * tp1 = (::btCollisionObject const *)p1;
	::btCollisionObject const * tp4 = (::btCollisionObject const *)p4;
	float retVal = (float)o->addSingleResult(tp0,tp1,p2,p3,tp4,p5,p6);
	return retVal;
}
//method: needsCollision bool ( ::btCollisionWorld::ContactResultCallback::* )( ::btBroadphaseProxy * ) const
int btCollisionWorld_ContactResultCallback_needsCollision(void *c,void* p0) {
	::btCollisionWorld::ContactResultCallback *o = (::btCollisionWorld::ContactResultCallback*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	int retVal = (int)o->needsCollision(tp0);
	return retVal;
}
//attribute: short int btCollisionWorld_ContactResultCallback->m_collisionFilterGroup
void btCollisionWorld_ContactResultCallback_m_collisionFilterGroup_set(void *c,short int a) {
	::btCollisionWorld::ContactResultCallback *o = (::btCollisionWorld::ContactResultCallback*)c;
	o->m_collisionFilterGroup = a;
}
short int btCollisionWorld_ContactResultCallback_m_collisionFilterGroup_get(void *c) {
	::btCollisionWorld::ContactResultCallback *o = (::btCollisionWorld::ContactResultCallback*)c;
	return (short int)(o->m_collisionFilterGroup);
}

//attribute: short int btCollisionWorld_ContactResultCallback->m_collisionFilterMask
void btCollisionWorld_ContactResultCallback_m_collisionFilterMask_set(void *c,short int a) {
	::btCollisionWorld::ContactResultCallback *o = (::btCollisionWorld::ContactResultCallback*)c;
	o->m_collisionFilterMask = a;
}
short int btCollisionWorld_ContactResultCallback_m_collisionFilterMask_get(void *c) {
	::btCollisionWorld::ContactResultCallback *o = (::btCollisionWorld::ContactResultCallback*)c;
	return (short int)(o->m_collisionFilterMask);
}


// ::btCollisionWorld::ConvexResultCallback
//method: addSingleResult ::btScalar ( ::btCollisionWorld::ConvexResultCallback::* )( ::btCollisionWorld::LocalConvexResult &,bool ) 
float btCollisionWorld_ConvexResultCallback_addSingleResult(void *c,void* p0,int p1) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	::btCollisionWorld::LocalConvexResult & tp0 = *(::btCollisionWorld::LocalConvexResult *)p0;
	float retVal = (float)o->addSingleResult(tp0,p1);
	return retVal;
}
//method: needsCollision bool ( ::btCollisionWorld::ConvexResultCallback::* )( ::btBroadphaseProxy * ) const
int btCollisionWorld_ConvexResultCallback_needsCollision(void *c,void* p0) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	int retVal = (int)o->needsCollision(tp0);
	return retVal;
}
//method: hasHit bool ( ::btCollisionWorld::ConvexResultCallback::* )(  ) const
int btCollisionWorld_ConvexResultCallback_hasHit(void *c) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	int retVal = (int)o->hasHit();
	return retVal;
}
//attribute: ::btScalar btCollisionWorld_ConvexResultCallback->m_closestHitFraction
void btCollisionWorld_ConvexResultCallback_m_closestHitFraction_set(void *c,float a) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	o->m_closestHitFraction = a;
}
float btCollisionWorld_ConvexResultCallback_m_closestHitFraction_get(void *c) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	return (float)(o->m_closestHitFraction);
}

//attribute: short int btCollisionWorld_ConvexResultCallback->m_collisionFilterGroup
void btCollisionWorld_ConvexResultCallback_m_collisionFilterGroup_set(void *c,short int a) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	o->m_collisionFilterGroup = a;
}
short int btCollisionWorld_ConvexResultCallback_m_collisionFilterGroup_get(void *c) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	return (short int)(o->m_collisionFilterGroup);
}

//attribute: short int btCollisionWorld_ConvexResultCallback->m_collisionFilterMask
void btCollisionWorld_ConvexResultCallback_m_collisionFilterMask_set(void *c,short int a) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	o->m_collisionFilterMask = a;
}
short int btCollisionWorld_ConvexResultCallback_m_collisionFilterMask_get(void *c) {
	::btCollisionWorld::ConvexResultCallback *o = (::btCollisionWorld::ConvexResultCallback*)c;
	return (short int)(o->m_collisionFilterMask);
}


// ::btSphereSphereCollisionAlgorithm::CreateFunc
//constructor: CreateFunc  ( ::btSphereSphereCollisionAlgorithm::CreateFunc::* )(  ) 
void* btSphereSphereCollisionAlgorithm_CreateFunc_new() {
	::btSphereSphereCollisionAlgorithm::CreateFunc *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btSphereSphereCollisionAlgorithm::CreateFunc),16);
	o = new (mem)::btSphereSphereCollisionAlgorithm::CreateFunc();
	return (void*)o;
}
void btSphereSphereCollisionAlgorithm_CreateFunc_free(void *c) {
	::btSphereSphereCollisionAlgorithm::CreateFunc *o = (::btSphereSphereCollisionAlgorithm::CreateFunc*)c;
	delete o;
}
//method: CreateCollisionAlgorithm ::btCollisionAlgorithm * ( ::btSphereSphereCollisionAlgorithm::CreateFunc::* )( ::btCollisionAlgorithmConstructionInfo &,::btCollisionObject *,::btCollisionObject * ) 
void* btSphereSphereCollisionAlgorithm_CreateFunc_CreateCollisionAlgorithm(void *c,void* p0,void* p1,void* p2) {
	::btSphereSphereCollisionAlgorithm::CreateFunc *o = (::btSphereSphereCollisionAlgorithm::CreateFunc*)c;
	::btCollisionAlgorithmConstructionInfo & tp0 = *(::btCollisionAlgorithmConstructionInfo *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	void* retVal = (void*) o->CreateCollisionAlgorithm(tp0,tp1,tp2);
	return retVal;
}

// ::btConvexConvexAlgorithm::CreateFunc
//not supported constructor: CreateFunc  ( ::btConvexConvexAlgorithm::CreateFunc::* )( ::btVoronoiSimplexSolver *,::btConvexPenetrationDepthSolver * ) 
void btConvexConvexAlgorithm_CreateFunc_free(void *c) {
	::btConvexConvexAlgorithm::CreateFunc *o = (::btConvexConvexAlgorithm::CreateFunc*)c;
	delete o;
}
//method: CreateCollisionAlgorithm ::btCollisionAlgorithm * ( ::btConvexConvexAlgorithm::CreateFunc::* )( ::btCollisionAlgorithmConstructionInfo &,::btCollisionObject *,::btCollisionObject * ) 
void* btConvexConvexAlgorithm_CreateFunc_CreateCollisionAlgorithm(void *c,void* p0,void* p1,void* p2) {
	::btConvexConvexAlgorithm::CreateFunc *o = (::btConvexConvexAlgorithm::CreateFunc*)c;
	::btCollisionAlgorithmConstructionInfo & tp0 = *(::btCollisionAlgorithmConstructionInfo *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	void* retVal = (void*) o->CreateCollisionAlgorithm(tp0,tp1,tp2);
	return retVal;
}
//attribute: ::btConvexPenetrationDepthSolver * btConvexConvexAlgorithm_CreateFunc->m_pdSolver
// attribute not supported: //attribute: ::btConvexPenetrationDepthSolver * btConvexConvexAlgorithm_CreateFunc->m_pdSolver
//attribute: ::btVoronoiSimplexSolver * btConvexConvexAlgorithm_CreateFunc->m_simplexSolver
void btConvexConvexAlgorithm_CreateFunc_m_simplexSolver_set(void *c,void* a) {
	::btConvexConvexAlgorithm::CreateFunc *o = (::btConvexConvexAlgorithm::CreateFunc*)c;
	::btVoronoiSimplexSolver * ta = (::btVoronoiSimplexSolver *)a;
	o->m_simplexSolver = ta;
}
// attriibute getter not supported: //attribute: ::btVoronoiSimplexSolver * btConvexConvexAlgorithm_CreateFunc->m_simplexSolver
//attribute: int btConvexConvexAlgorithm_CreateFunc->m_numPerturbationIterations
void btConvexConvexAlgorithm_CreateFunc_m_numPerturbationIterations_set(void *c,int a) {
	::btConvexConvexAlgorithm::CreateFunc *o = (::btConvexConvexAlgorithm::CreateFunc*)c;
	o->m_numPerturbationIterations = a;
}
int btConvexConvexAlgorithm_CreateFunc_m_numPerturbationIterations_get(void *c) {
	::btConvexConvexAlgorithm::CreateFunc *o = (::btConvexConvexAlgorithm::CreateFunc*)c;
	return (int)(o->m_numPerturbationIterations);
}

//attribute: int btConvexConvexAlgorithm_CreateFunc->m_minimumPointsPerturbationThreshold
void btConvexConvexAlgorithm_CreateFunc_m_minimumPointsPerturbationThreshold_set(void *c,int a) {
	::btConvexConvexAlgorithm::CreateFunc *o = (::btConvexConvexAlgorithm::CreateFunc*)c;
	o->m_minimumPointsPerturbationThreshold = a;
}
int btConvexConvexAlgorithm_CreateFunc_m_minimumPointsPerturbationThreshold_get(void *c) {
	::btConvexConvexAlgorithm::CreateFunc *o = (::btConvexConvexAlgorithm::CreateFunc*)c;
	return (int)(o->m_minimumPointsPerturbationThreshold);
}


// ::btCollisionWorld::LocalConvexResult
//constructor: LocalConvexResult  ( ::btCollisionWorld::LocalConvexResult::* )( ::btCollisionObject *,::btCollisionWorld::LocalShapeInfo *,::btVector3 const &,::btVector3 const &,::btScalar ) 
void* btCollisionWorld_LocalConvexResult_new(void* p0,void* p1,float* p2,float* p3,float p4) {
	::btCollisionWorld::LocalConvexResult *o = 0;
	 void *mem = 0;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionWorld::LocalShapeInfo * tp1 = (::btCollisionWorld::LocalShapeInfo *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	btVector3 tp3(p3[0],p3[1],p3[2]);
	mem = btAlignedAlloc(sizeof(::btCollisionWorld::LocalConvexResult),16);
	o = new (mem)::btCollisionWorld::LocalConvexResult(tp0,tp1,tp2,tp3,p4);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	p3[0]=tp3.m_floats[0];p3[1]=tp3.m_floats[1];p3[2]=tp3.m_floats[2];
	return (void*)o;
}
void btCollisionWorld_LocalConvexResult_free(void *c) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	delete o;
}
//attribute: ::btCollisionObject * btCollisionWorld_LocalConvexResult->m_hitCollisionObject
void btCollisionWorld_LocalConvexResult_m_hitCollisionObject_set(void *c,void* a) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	::btCollisionObject * ta = (::btCollisionObject *)a;
	o->m_hitCollisionObject = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionObject * btCollisionWorld_LocalConvexResult->m_hitCollisionObject
//attribute: ::btScalar btCollisionWorld_LocalConvexResult->m_hitFraction
void btCollisionWorld_LocalConvexResult_m_hitFraction_set(void *c,float a) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	o->m_hitFraction = a;
}
float btCollisionWorld_LocalConvexResult_m_hitFraction_get(void *c) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	return (float)(o->m_hitFraction);
}

//attribute: ::btVector3 btCollisionWorld_LocalConvexResult->m_hitNormalLocal
void btCollisionWorld_LocalConvexResult_m_hitNormalLocal_set(void *c,float* a) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitNormalLocal = ta;
}
void btCollisionWorld_LocalConvexResult_m_hitNormalLocal_get(void *c,float* a) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	a[0]=(o->m_hitNormalLocal).m_floats[0];a[1]=(o->m_hitNormalLocal).m_floats[1];a[2]=(o->m_hitNormalLocal).m_floats[2];
}

//attribute: ::btVector3 btCollisionWorld_LocalConvexResult->m_hitPointLocal
void btCollisionWorld_LocalConvexResult_m_hitPointLocal_set(void *c,float* a) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitPointLocal = ta;
}
void btCollisionWorld_LocalConvexResult_m_hitPointLocal_get(void *c,float* a) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	a[0]=(o->m_hitPointLocal).m_floats[0];a[1]=(o->m_hitPointLocal).m_floats[1];a[2]=(o->m_hitPointLocal).m_floats[2];
}

//attribute: ::btCollisionWorld::LocalShapeInfo * btCollisionWorld_LocalConvexResult->m_localShapeInfo
void btCollisionWorld_LocalConvexResult_m_localShapeInfo_set(void *c,void* a) {
	::btCollisionWorld::LocalConvexResult *o = (::btCollisionWorld::LocalConvexResult*)c;
	::btCollisionWorld::LocalShapeInfo * ta = (::btCollisionWorld::LocalShapeInfo *)a;
	o->m_localShapeInfo = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionWorld::LocalShapeInfo * btCollisionWorld_LocalConvexResult->m_localShapeInfo

// ::btCollisionWorld::LocalRayResult
//constructor: LocalRayResult  ( ::btCollisionWorld::LocalRayResult::* )( ::btCollisionObject *,::btCollisionWorld::LocalShapeInfo *,::btVector3 const &,::btScalar ) 
void* btCollisionWorld_LocalRayResult_new(void* p0,void* p1,float* p2,float p3) {
	::btCollisionWorld::LocalRayResult *o = 0;
	 void *mem = 0;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionWorld::LocalShapeInfo * tp1 = (::btCollisionWorld::LocalShapeInfo *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	mem = btAlignedAlloc(sizeof(::btCollisionWorld::LocalRayResult),16);
	o = new (mem)::btCollisionWorld::LocalRayResult(tp0,tp1,tp2,p3);
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
	return (void*)o;
}
void btCollisionWorld_LocalRayResult_free(void *c) {
	::btCollisionWorld::LocalRayResult *o = (::btCollisionWorld::LocalRayResult*)c;
	delete o;
}
//attribute: ::btCollisionObject * btCollisionWorld_LocalRayResult->m_collisionObject
void btCollisionWorld_LocalRayResult_m_collisionObject_set(void *c,void* a) {
	::btCollisionWorld::LocalRayResult *o = (::btCollisionWorld::LocalRayResult*)c;
	::btCollisionObject * ta = (::btCollisionObject *)a;
	o->m_collisionObject = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionObject * btCollisionWorld_LocalRayResult->m_collisionObject
//attribute: ::btScalar btCollisionWorld_LocalRayResult->m_hitFraction
void btCollisionWorld_LocalRayResult_m_hitFraction_set(void *c,float a) {
	::btCollisionWorld::LocalRayResult *o = (::btCollisionWorld::LocalRayResult*)c;
	o->m_hitFraction = a;
}
float btCollisionWorld_LocalRayResult_m_hitFraction_get(void *c) {
	::btCollisionWorld::LocalRayResult *o = (::btCollisionWorld::LocalRayResult*)c;
	return (float)(o->m_hitFraction);
}

//attribute: ::btVector3 btCollisionWorld_LocalRayResult->m_hitNormalLocal
void btCollisionWorld_LocalRayResult_m_hitNormalLocal_set(void *c,float* a) {
	::btCollisionWorld::LocalRayResult *o = (::btCollisionWorld::LocalRayResult*)c;
	btVector3 ta(a[0],a[1],a[2]);
	o->m_hitNormalLocal = ta;
}
void btCollisionWorld_LocalRayResult_m_hitNormalLocal_get(void *c,float* a) {
	::btCollisionWorld::LocalRayResult *o = (::btCollisionWorld::LocalRayResult*)c;
	a[0]=(o->m_hitNormalLocal).m_floats[0];a[1]=(o->m_hitNormalLocal).m_floats[1];a[2]=(o->m_hitNormalLocal).m_floats[2];
}

//attribute: ::btCollisionWorld::LocalShapeInfo * btCollisionWorld_LocalRayResult->m_localShapeInfo
void btCollisionWorld_LocalRayResult_m_localShapeInfo_set(void *c,void* a) {
	::btCollisionWorld::LocalRayResult *o = (::btCollisionWorld::LocalRayResult*)c;
	::btCollisionWorld::LocalShapeInfo * ta = (::btCollisionWorld::LocalShapeInfo *)a;
	o->m_localShapeInfo = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionWorld::LocalShapeInfo * btCollisionWorld_LocalRayResult->m_localShapeInfo

// ::btCollisionWorld::LocalShapeInfo
//constructor: LocalShapeInfo  ( ::btCollisionWorld::LocalShapeInfo::* )(  ) 
void* btCollisionWorld_LocalShapeInfo_new() {
	::btCollisionWorld::LocalShapeInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCollisionWorld::LocalShapeInfo),16);
	o = new (mem)::btCollisionWorld::LocalShapeInfo();
	return (void*)o;
}
void btCollisionWorld_LocalShapeInfo_free(void *c) {
	::btCollisionWorld::LocalShapeInfo *o = (::btCollisionWorld::LocalShapeInfo*)c;
	delete o;
}
//attribute: int btCollisionWorld_LocalShapeInfo->m_shapePart
void btCollisionWorld_LocalShapeInfo_m_shapePart_set(void *c,int a) {
	::btCollisionWorld::LocalShapeInfo *o = (::btCollisionWorld::LocalShapeInfo*)c;
	o->m_shapePart = a;
}
int btCollisionWorld_LocalShapeInfo_m_shapePart_get(void *c) {
	::btCollisionWorld::LocalShapeInfo *o = (::btCollisionWorld::LocalShapeInfo*)c;
	return (int)(o->m_shapePart);
}

//attribute: int btCollisionWorld_LocalShapeInfo->m_triangleIndex
void btCollisionWorld_LocalShapeInfo_m_triangleIndex_set(void *c,int a) {
	::btCollisionWorld::LocalShapeInfo *o = (::btCollisionWorld::LocalShapeInfo*)c;
	o->m_triangleIndex = a;
}
int btCollisionWorld_LocalShapeInfo_m_triangleIndex_get(void *c) {
	::btCollisionWorld::LocalShapeInfo *o = (::btCollisionWorld::LocalShapeInfo*)c;
	return (int)(o->m_triangleIndex);
}


// ::btCollisionWorld::RayResultCallback
//method: addSingleResult ::btScalar ( ::btCollisionWorld::RayResultCallback::* )( ::btCollisionWorld::LocalRayResult &,bool ) 
float btCollisionWorld_RayResultCallback_addSingleResult(void *c,void* p0,int p1) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	::btCollisionWorld::LocalRayResult & tp0 = *(::btCollisionWorld::LocalRayResult *)p0;
	float retVal = (float)o->addSingleResult(tp0,p1);
	return retVal;
}
//method: needsCollision bool ( ::btCollisionWorld::RayResultCallback::* )( ::btBroadphaseProxy * ) const
int btCollisionWorld_RayResultCallback_needsCollision(void *c,void* p0) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	int retVal = (int)o->needsCollision(tp0);
	return retVal;
}
//method: hasHit bool ( ::btCollisionWorld::RayResultCallback::* )(  ) const
int btCollisionWorld_RayResultCallback_hasHit(void *c) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	int retVal = (int)o->hasHit();
	return retVal;
}
//attribute: ::btScalar btCollisionWorld_RayResultCallback->m_closestHitFraction
void btCollisionWorld_RayResultCallback_m_closestHitFraction_set(void *c,float a) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	o->m_closestHitFraction = a;
}
float btCollisionWorld_RayResultCallback_m_closestHitFraction_get(void *c) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	return (float)(o->m_closestHitFraction);
}

//attribute: short int btCollisionWorld_RayResultCallback->m_collisionFilterGroup
void btCollisionWorld_RayResultCallback_m_collisionFilterGroup_set(void *c,short int a) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	o->m_collisionFilterGroup = a;
}
short int btCollisionWorld_RayResultCallback_m_collisionFilterGroup_get(void *c) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	return (short int)(o->m_collisionFilterGroup);
}

//attribute: short int btCollisionWorld_RayResultCallback->m_collisionFilterMask
void btCollisionWorld_RayResultCallback_m_collisionFilterMask_set(void *c,short int a) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	o->m_collisionFilterMask = a;
}
short int btCollisionWorld_RayResultCallback_m_collisionFilterMask_get(void *c) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	return (short int)(o->m_collisionFilterMask);
}

//attribute: ::btCollisionObject * btCollisionWorld_RayResultCallback->m_collisionObject
void btCollisionWorld_RayResultCallback_m_collisionObject_set(void *c,void* a) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	::btCollisionObject * ta = (::btCollisionObject *)a;
	o->m_collisionObject = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionObject * btCollisionWorld_RayResultCallback->m_collisionObject
//attribute: unsigned int btCollisionWorld_RayResultCallback->m_flags
void btCollisionWorld_RayResultCallback_m_flags_set(void *c,unsigned int a) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	o->m_flags = a;
}
unsigned int btCollisionWorld_RayResultCallback_m_flags_get(void *c) {
	::btCollisionWorld::RayResultCallback *o = (::btCollisionWorld::RayResultCallback*)c;
	return (unsigned int)(o->m_flags);
}


// ::btActivatingCollisionAlgorithm

// ::btCollisionAlgorithmCreateFunc
//constructor: btCollisionAlgorithmCreateFunc  ( ::btCollisionAlgorithmCreateFunc::* )(  ) 
void* btCollisionAlgorithmCreateFunc_new() {
	::btCollisionAlgorithmCreateFunc *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCollisionAlgorithmCreateFunc),16);
	o = new (mem)::btCollisionAlgorithmCreateFunc();
	return (void*)o;
}
void btCollisionAlgorithmCreateFunc_free(void *c) {
	::btCollisionAlgorithmCreateFunc *o = (::btCollisionAlgorithmCreateFunc*)c;
	delete o;
}
//method: CreateCollisionAlgorithm ::btCollisionAlgorithm * ( ::btCollisionAlgorithmCreateFunc::* )( ::btCollisionAlgorithmConstructionInfo &,::btCollisionObject *,::btCollisionObject * ) 
void* btCollisionAlgorithmCreateFunc_CreateCollisionAlgorithm(void *c,void* p0,void* p1,void* p2) {
	::btCollisionAlgorithmCreateFunc *o = (::btCollisionAlgorithmCreateFunc*)c;
	::btCollisionAlgorithmConstructionInfo & tp0 = *(::btCollisionAlgorithmConstructionInfo *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	void* retVal = (void*) o->CreateCollisionAlgorithm(tp0,tp1,tp2);
	return retVal;
}
//attribute: bool btCollisionAlgorithmCreateFunc->m_swapped
void btCollisionAlgorithmCreateFunc_m_swapped_set(void *c,int a) {
	::btCollisionAlgorithmCreateFunc *o = (::btCollisionAlgorithmCreateFunc*)c;
	o->m_swapped = a;
}
int btCollisionAlgorithmCreateFunc_m_swapped_get(void *c) {
	::btCollisionAlgorithmCreateFunc *o = (::btCollisionAlgorithmCreateFunc*)c;
	return (int)(o->m_swapped);
}


// ::btCollisionConfiguration
//not supported method: getPersistentManifoldPool ::btPoolAllocator * ( ::btCollisionConfiguration::* )(  ) 
//method: getStackAllocator ::btStackAlloc * ( ::btCollisionConfiguration::* )(  ) 
void* btCollisionConfiguration_getStackAllocator(void *c) {
	::btCollisionConfiguration *o = (::btCollisionConfiguration*)c;
	void* retVal = (void*) o->getStackAllocator();
	return retVal;
}
//not supported method: getCollisionAlgorithmPool ::btPoolAllocator * ( ::btCollisionConfiguration::* )(  ) 
//method: getCollisionAlgorithmCreateFunc ::btCollisionAlgorithmCreateFunc * ( ::btCollisionConfiguration::* )( int,int ) 
void* btCollisionConfiguration_getCollisionAlgorithmCreateFunc(void *c,int p0,int p1) {
	::btCollisionConfiguration *o = (::btCollisionConfiguration*)c;
	void* retVal = (void*) o->getCollisionAlgorithmCreateFunc(p0,p1);
	return retVal;
}

// ::btCollisionDispatcher
//constructor: btCollisionDispatcher  ( ::btCollisionDispatcher::* )( ::btCollisionConfiguration * ) 
void* btCollisionDispatcher_new(void* p0) {
	::btCollisionDispatcher *o = 0;
	 void *mem = 0;
	::btCollisionConfiguration * tp0 = (::btCollisionConfiguration *)p0;
	mem = btAlignedAlloc(sizeof(::btCollisionDispatcher),16);
	o = new (mem)::btCollisionDispatcher(tp0);
	return (void*)o;
}
void btCollisionDispatcher_free(void *c) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	delete o;
}
//not supported method: allocateCollisionAlgorithm void * ( ::btCollisionDispatcher::* )( int ) 
//method: getDispatcherFlags int ( ::btCollisionDispatcher::* )(  ) const
int btCollisionDispatcher_getDispatcherFlags(void *c) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	int retVal = (int)o->getDispatcherFlags();
	return retVal;
}
//method: getCollisionConfiguration ::btCollisionConfiguration * ( ::btCollisionDispatcher::* )(  ) 
void* btCollisionDispatcher_getCollisionConfiguration(void *c) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	void* retVal = (void*) o->getCollisionConfiguration();
	return retVal;
}
//method: getCollisionConfiguration ::btCollisionConfiguration * ( ::btCollisionDispatcher::* )(  ) 
void* btCollisionDispatcher_getCollisionConfiguration0(void *c) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	void* retVal = (void*) o->getCollisionConfiguration();
	return retVal;
}
//method: getCollisionConfiguration ::btCollisionConfiguration const * ( ::btCollisionDispatcher::* )(  ) const
void* btCollisionDispatcher_getCollisionConfiguration1(void *c) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	void* retVal = (void*) o->getCollisionConfiguration();
	return retVal;
}
//method: setDispatcherFlags void ( ::btCollisionDispatcher::* )( int ) 
void btCollisionDispatcher_setDispatcherFlags(void *c,int p0) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	o->setDispatcherFlags(p0);
}
//method: releaseManifold void ( ::btCollisionDispatcher::* )( ::btPersistentManifold * ) 
void btCollisionDispatcher_releaseManifold(void *c,void* p0) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btPersistentManifold * tp0 = (::btPersistentManifold *)p0;
	o->releaseManifold(tp0);
}
//method: setCollisionConfiguration void ( ::btCollisionDispatcher::* )( ::btCollisionConfiguration * ) 
void btCollisionDispatcher_setCollisionConfiguration(void *c,void* p0) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btCollisionConfiguration * tp0 = (::btCollisionConfiguration *)p0;
	o->setCollisionConfiguration(tp0);
}
//method: getNumManifolds int ( ::btCollisionDispatcher::* )(  ) const
int btCollisionDispatcher_getNumManifolds(void *c) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	int retVal = (int)o->getNumManifolds();
	return retVal;
}
//method: clearManifold void ( ::btCollisionDispatcher::* )( ::btPersistentManifold * ) 
void btCollisionDispatcher_clearManifold(void *c,void* p0) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btPersistentManifold * tp0 = (::btPersistentManifold *)p0;
	o->clearManifold(tp0);
}
//not supported method: freeCollisionAlgorithm void ( ::btCollisionDispatcher::* )( void * ) 
//not supported method: getInternalManifoldPointer ::btPersistentManifold * * ( ::btCollisionDispatcher::* )(  ) 
//method: registerCollisionCreateFunc void ( ::btCollisionDispatcher::* )( int,int,::btCollisionAlgorithmCreateFunc * ) 
void btCollisionDispatcher_registerCollisionCreateFunc(void *c,int p0,int p1,void* p2) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btCollisionAlgorithmCreateFunc * tp2 = (::btCollisionAlgorithmCreateFunc *)p2;
	o->registerCollisionCreateFunc(p0,p1,tp2);
}
//method: defaultNearCallback void (*)( ::btBroadphasePair &,::btCollisionDispatcher &,::btDispatcherInfo const & )
void btCollisionDispatcher_defaultNearCallback(void* p0,void* p1,void* p2) {
	::btBroadphasePair & tp0 = *(::btBroadphasePair *)p0;
	::btCollisionDispatcher & tp1 = *(::btCollisionDispatcher *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btCollisionDispatcher::defaultNearCallback(tp0,tp1,tp2);
}
//not supported method: getNearCallback ::btNearCallback ( ::btCollisionDispatcher::* )(  ) const
//method: findAlgorithm ::btCollisionAlgorithm * ( ::btCollisionDispatcher::* )( ::btCollisionObject *,::btCollisionObject *,::btPersistentManifold * ) 
void* btCollisionDispatcher_findAlgorithm(void *c,void* p0,void* p1,void* p2) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btPersistentManifold * tp2 = (::btPersistentManifold *)p2;
	void* retVal = (void*) o->findAlgorithm(tp0,tp1,tp2);
	return retVal;
}
//method: needsResponse bool ( ::btCollisionDispatcher::* )( ::btCollisionObject *,::btCollisionObject * ) 
int btCollisionDispatcher_needsResponse(void *c,void* p0,void* p1) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	int retVal = (int)o->needsResponse(tp0,tp1);
	return retVal;
}
//not supported method: getNewManifold ::btPersistentManifold * ( ::btCollisionDispatcher::* )( void *,void * ) 
//method: dispatchAllCollisionPairs void ( ::btCollisionDispatcher::* )( ::btOverlappingPairCache *,::btDispatcherInfo const &,::btDispatcher * ) 
void btCollisionDispatcher_dispatchAllCollisionPairs(void *c,void* p0,void* p1,void* p2) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btOverlappingPairCache * tp0 = (::btOverlappingPairCache *)p0;
	::btDispatcherInfo const & tp1 = *(::btDispatcherInfo const *)p1;
	::btDispatcher * tp2 = (::btDispatcher *)p2;
	o->dispatchAllCollisionPairs(tp0,tp1,tp2);
}
//not supported method: getInternalManifoldPool ::btPoolAllocator * ( ::btCollisionDispatcher::* )(  ) 
//not supported method: getInternalManifoldPool ::btPoolAllocator * ( ::btCollisionDispatcher::* )(  ) 
//not supported method: getInternalManifoldPool ::btPoolAllocator const * ( ::btCollisionDispatcher::* )(  ) const
//method: needsCollision bool ( ::btCollisionDispatcher::* )( ::btCollisionObject *,::btCollisionObject * ) 
int btCollisionDispatcher_needsCollision(void *c,void* p0,void* p1) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	int retVal = (int)o->needsCollision(tp0,tp1);
	return retVal;
}
//method: getManifoldByIndexInternal ::btPersistentManifold * ( ::btCollisionDispatcher::* )( int ) 
void* btCollisionDispatcher_getManifoldByIndexInternal(void *c,int p0) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	void* retVal = (void*) o->getManifoldByIndexInternal(p0);
	return retVal;
}
//method: getManifoldByIndexInternal ::btPersistentManifold * ( ::btCollisionDispatcher::* )( int ) 
void* btCollisionDispatcher_getManifoldByIndexInternal0(void *c,int p0) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	void* retVal = (void*) o->getManifoldByIndexInternal(p0);
	return retVal;
}
//method: getManifoldByIndexInternal ::btPersistentManifold const * ( ::btCollisionDispatcher::* )( int ) const
void* btCollisionDispatcher_getManifoldByIndexInternal1(void *c,int p0) {
	::btCollisionDispatcher *o = (::btCollisionDispatcher*)c;
	void* retVal = (void*) o->getManifoldByIndexInternal(p0);
	return retVal;
}
//not supported method: setNearCallback void ( ::btCollisionDispatcher::* )( ::btNearCallback ) 

// ::btCollisionObject
//constructor: btCollisionObject  ( ::btCollisionObject::* )(  ) 
void* btCollisionObject_new() {
	::btCollisionObject *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCollisionObject),16);
	o = new (mem)::btCollisionObject();
	return (void*)o;
}
void btCollisionObject_free(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	delete o;
}
//method: getCcdSquareMotionThreshold ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getCcdSquareMotionThreshold(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getCcdSquareMotionThreshold();
	return retVal;
}
//method: activate void ( ::btCollisionObject::* )( bool ) 
void btCollisionObject_activate(void *c,int p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->activate(p0);
}
//method: setInterpolationLinearVelocity void ( ::btCollisionObject::* )( ::btVector3 const & ) 
void btCollisionObject_setInterpolationLinearVelocity(void *c,float* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setInterpolationLinearVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getFriction ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getFriction(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getFriction();
	return retVal;
}
//method: setCompanionId void ( ::btCollisionObject::* )( int ) 
void btCollisionObject_setCompanionId(void *c,int p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setCompanionId(p0);
}
//method: setInterpolationAngularVelocity void ( ::btCollisionObject::* )( ::btVector3 const & ) 
void btCollisionObject_setInterpolationAngularVelocity(void *c,float* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setInterpolationAngularVelocity(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//not supported method: serialize char const * ( ::btCollisionObject::* )( void *,::btSerializer * ) const
//method: setWorldTransform void ( ::btCollisionObject::* )( ::btTransform const & ) 
void btCollisionObject_setWorldTransform(void *c,float* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->setWorldTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: getCompanionId int ( ::btCollisionObject::* )(  ) const
int btCollisionObject_getCompanionId(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->getCompanionId();
	return retVal;
}
//not supported method: internalSetExtensionPointer void ( ::btCollisionObject::* )( void * ) 
//method: setContactProcessingThreshold void ( ::btCollisionObject::* )( ::btScalar ) 
void btCollisionObject_setContactProcessingThreshold(void *c,float p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setContactProcessingThreshold(p0);
}
//method: setInterpolationWorldTransform void ( ::btCollisionObject::* )( ::btTransform const & ) 
void btCollisionObject_setInterpolationWorldTransform(void *c,float* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	o->setInterpolationWorldTransform(tp0);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
}
//method: getInterpolationLinearVelocity ::btVector3 const & ( ::btCollisionObject::* )(  ) const
void btCollisionObject_getInterpolationLinearVelocity(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getInterpolationLinearVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: mergesSimulationIslands bool ( ::btCollisionObject::* )(  ) const
int btCollisionObject_mergesSimulationIslands(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->mergesSimulationIslands();
	return retVal;
}
//method: setCollisionShape void ( ::btCollisionObject::* )( ::btCollisionShape * ) 
void btCollisionObject_setCollisionShape(void *c,void* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	::btCollisionShape * tp0 = (::btCollisionShape *)p0;
	o->setCollisionShape(tp0);
}
//method: setCcdMotionThreshold void ( ::btCollisionObject::* )( ::btScalar ) 
void btCollisionObject_setCcdMotionThreshold(void *c,float p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setCcdMotionThreshold(p0);
}
//method: getIslandTag int ( ::btCollisionObject::* )(  ) const
int btCollisionObject_getIslandTag(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->getIslandTag();
	return retVal;
}
//method: calculateSerializeBufferSize int ( ::btCollisionObject::* )(  ) const
int btCollisionObject_calculateSerializeBufferSize(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->calculateSerializeBufferSize();
	return retVal;
}
//method: getCcdMotionThreshold ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getCcdMotionThreshold(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getCcdMotionThreshold();
	return retVal;
}
//not supported method: setUserPointer void ( ::btCollisionObject::* )( void * ) 
//method: checkCollideWith bool ( ::btCollisionObject::* )( ::btCollisionObject * ) 
int btCollisionObject_checkCollideWith(void *c,void* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	int retVal = (int)o->checkCollideWith(tp0);
	return retVal;
}
//method: getAnisotropicFriction ::btVector3 const & ( ::btCollisionObject::* )(  ) const
void btCollisionObject_getAnisotropicFriction(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getAnisotropicFriction();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: getInterpolationAngularVelocity ::btVector3 const & ( ::btCollisionObject::* )(  ) const
void btCollisionObject_getInterpolationAngularVelocity(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btVector3 tret(ret[0],ret[1],ret[2]);
	tret = o->getInterpolationAngularVelocity();
	ret[0]=tret.m_floats[0];ret[1]=tret.m_floats[1];ret[2]=tret.m_floats[2];
}
//method: forceActivationState void ( ::btCollisionObject::* )( int ) 
void btCollisionObject_forceActivationState(void *c,int p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->forceActivationState(p0);
}
//method: isStaticObject bool ( ::btCollisionObject::* )(  ) const
int btCollisionObject_isStaticObject(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->isStaticObject();
	return retVal;
}
//method: setFriction void ( ::btCollisionObject::* )( ::btScalar ) 
void btCollisionObject_setFriction(void *c,float p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setFriction(p0);
}
//method: getInterpolationWorldTransform ::btTransform const & ( ::btCollisionObject::* )(  ) const
void btCollisionObject_getInterpolationWorldTransform(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getInterpolationWorldTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getInterpolationWorldTransform ::btTransform const & ( ::btCollisionObject::* )(  ) const
void btCollisionObject_getInterpolationWorldTransform0(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getInterpolationWorldTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getInterpolationWorldTransform ::btTransform & ( ::btCollisionObject::* )(  ) 
void btCollisionObject_getInterpolationWorldTransform1(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getInterpolationWorldTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: setIslandTag void ( ::btCollisionObject::* )( int ) 
void btCollisionObject_setIslandTag(void *c,int p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setIslandTag(p0);
}
//method: setHitFraction void ( ::btCollisionObject::* )( ::btScalar ) 
void btCollisionObject_setHitFraction(void *c,float p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setHitFraction(p0);
}
//method: serializeSingleObject void ( ::btCollisionObject::* )( ::btSerializer * ) const
void btCollisionObject_serializeSingleObject(void *c,void* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serializeSingleObject(tp0);
}
//method: getCollisionFlags int ( ::btCollisionObject::* )(  ) const
int btCollisionObject_getCollisionFlags(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->getCollisionFlags();
	return retVal;
}
//method: getDeactivationTime ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getDeactivationTime(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getDeactivationTime();
	return retVal;
}
//method: getCollisionShape ::btCollisionShape const * ( ::btCollisionObject::* )(  ) const
void* btCollisionObject_getCollisionShape(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getCollisionShape();
	return retVal;
}
//method: getCollisionShape ::btCollisionShape const * ( ::btCollisionObject::* )(  ) const
void* btCollisionObject_getCollisionShape0(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getCollisionShape();
	return retVal;
}
//method: getCollisionShape ::btCollisionShape * ( ::btCollisionObject::* )(  ) 
void* btCollisionObject_getCollisionShape1(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getCollisionShape();
	return retVal;
}
//method: setAnisotropicFriction void ( ::btCollisionObject::* )( ::btVector3 const & ) 
void btCollisionObject_setAnisotropicFriction(void *c,float* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	o->setAnisotropicFriction(tp0);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
}
//method: getBroadphaseHandle ::btBroadphaseProxy * ( ::btCollisionObject::* )(  ) 
void* btCollisionObject_getBroadphaseHandle(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getBroadphaseHandle();
	return retVal;
}
//method: getBroadphaseHandle ::btBroadphaseProxy * ( ::btCollisionObject::* )(  ) 
void* btCollisionObject_getBroadphaseHandle0(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getBroadphaseHandle();
	return retVal;
}
//method: getBroadphaseHandle ::btBroadphaseProxy const * ( ::btCollisionObject::* )(  ) const
void* btCollisionObject_getBroadphaseHandle1(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getBroadphaseHandle();
	return retVal;
}
//not supported method: getUserPointer void * ( ::btCollisionObject::* )(  ) const
//method: setCcdSweptSphereRadius void ( ::btCollisionObject::* )( ::btScalar ) 
void btCollisionObject_setCcdSweptSphereRadius(void *c,float p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setCcdSweptSphereRadius(p0);
}
//method: getWorldTransform ::btTransform & ( ::btCollisionObject::* )(  ) 
void btCollisionObject_getWorldTransform(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getWorldTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getWorldTransform ::btTransform & ( ::btCollisionObject::* )(  ) 
void btCollisionObject_getWorldTransform0(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getWorldTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: getWorldTransform ::btTransform const & ( ::btCollisionObject::* )(  ) const
void btCollisionObject_getWorldTransform1(void *c,float* ret) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	btMatrix3x3 mtret(ret[0],ret[1],ret[2],ret[3],ret[4],ret[5],ret[6],ret[7],ret[8]);
	btVector3 vtret(ret[9],ret[10],ret[11]);
	btTransform tret(mtret,vtret);
	tret = o->getWorldTransform();
	ret[0]=tret.getBasis().getRow(0).m_floats[0];ret[1]=tret.getBasis().getRow(0).m_floats[1];ret[2]=tret.getBasis().getRow(0).m_floats[2];ret[3]=tret.getBasis().getRow(1).m_floats[0];ret[4]=tret.getBasis().getRow(1).m_floats[1];ret[5]=tret.getBasis().getRow(1).m_floats[2];ret[6]=tret.getBasis().getRow(2).m_floats[0];ret[7]=tret.getBasis().getRow(2).m_floats[1];ret[8]=tret.getBasis().getRow(2).m_floats[2];
	ret[9]=tret.getOrigin().m_floats[0];ret[10]=tret.getOrigin().m_floats[1];ret[11]=tret.getOrigin().m_floats[2];
}
//method: setCollisionFlags void ( ::btCollisionObject::* )( int ) 
void btCollisionObject_setCollisionFlags(void *c,int p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setCollisionFlags(p0);
}
//method: internalSetTemporaryCollisionShape void ( ::btCollisionObject::* )( ::btCollisionShape * ) 
void btCollisionObject_internalSetTemporaryCollisionShape(void *c,void* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	::btCollisionShape * tp0 = (::btCollisionShape *)p0;
	o->internalSetTemporaryCollisionShape(tp0);
}
//method: getHitFraction ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getHitFraction(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getHitFraction();
	return retVal;
}
//method: isActive bool ( ::btCollisionObject::* )(  ) const
int btCollisionObject_isActive(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->isActive();
	return retVal;
}
//method: setActivationState void ( ::btCollisionObject::* )( int ) 
void btCollisionObject_setActivationState(void *c,int p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setActivationState(p0);
}
//method: getInternalType int ( ::btCollisionObject::* )(  ) const
int btCollisionObject_getInternalType(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->getInternalType();
	return retVal;
}
//method: getActivationState int ( ::btCollisionObject::* )(  ) const
int btCollisionObject_getActivationState(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->getActivationState();
	return retVal;
}
//method: hasContactResponse bool ( ::btCollisionObject::* )(  ) const
int btCollisionObject_hasContactResponse(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->hasContactResponse();
	return retVal;
}
//method: getRootCollisionShape ::btCollisionShape const * ( ::btCollisionObject::* )(  ) const
void* btCollisionObject_getRootCollisionShape(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getRootCollisionShape();
	return retVal;
}
//method: getRootCollisionShape ::btCollisionShape const * ( ::btCollisionObject::* )(  ) const
void* btCollisionObject_getRootCollisionShape0(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getRootCollisionShape();
	return retVal;
}
//method: getRootCollisionShape ::btCollisionShape * ( ::btCollisionObject::* )(  ) 
void* btCollisionObject_getRootCollisionShape1(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	void* retVal = (void*) o->getRootCollisionShape();
	return retVal;
}
//method: getRestitution ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getRestitution(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getRestitution();
	return retVal;
}
//method: getCcdSweptSphereRadius ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getCcdSweptSphereRadius(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getCcdSweptSphereRadius();
	return retVal;
}
//method: getContactProcessingThreshold ::btScalar ( ::btCollisionObject::* )(  ) const
float btCollisionObject_getContactProcessingThreshold(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	float retVal = (float)o->getContactProcessingThreshold();
	return retVal;
}
//method: setDeactivationTime void ( ::btCollisionObject::* )( ::btScalar ) 
void btCollisionObject_setDeactivationTime(void *c,float p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setDeactivationTime(p0);
}
//not supported method: internalGetExtensionPointer void * ( ::btCollisionObject::* )(  ) const
//method: isStaticOrKinematicObject bool ( ::btCollisionObject::* )(  ) const
int btCollisionObject_isStaticOrKinematicObject(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->isStaticOrKinematicObject();
	return retVal;
}
//method: setRestitution void ( ::btCollisionObject::* )( ::btScalar ) 
void btCollisionObject_setRestitution(void *c,float p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	o->setRestitution(p0);
}
//method: hasAnisotropicFriction bool ( ::btCollisionObject::* )(  ) const
int btCollisionObject_hasAnisotropicFriction(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->hasAnisotropicFriction();
	return retVal;
}
//method: setBroadphaseHandle void ( ::btCollisionObject::* )( ::btBroadphaseProxy * ) 
void btCollisionObject_setBroadphaseHandle(void *c,void* p0) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	::btBroadphaseProxy * tp0 = (::btBroadphaseProxy *)p0;
	o->setBroadphaseHandle(tp0);
}
//method: isKinematicObject bool ( ::btCollisionObject::* )(  ) const
int btCollisionObject_isKinematicObject(void *c) {
	::btCollisionObject *o = (::btCollisionObject*)c;
	int retVal = (int)o->isKinematicObject();
	return retVal;
}

// ::btCollisionObjectDoubleData
//constructor: btCollisionObjectDoubleData  ( ::btCollisionObjectDoubleData::* )(  ) 
void* btCollisionObjectDoubleData_new() {
	::btCollisionObjectDoubleData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCollisionObjectDoubleData),16);
	o = new (mem)::btCollisionObjectDoubleData();
	return (void*)o;
}
void btCollisionObjectDoubleData_free(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	delete o;
}
//attribute: int btCollisionObjectDoubleData->m_activationState1
void btCollisionObjectDoubleData_m_activationState1_set(void *c,int a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_activationState1 = a;
}
int btCollisionObjectDoubleData_m_activationState1_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (int)(o->m_activationState1);
}

//attribute: ::btVector3DoubleData btCollisionObjectDoubleData->m_anisotropicFriction
// attribute not supported: //attribute: ::btVector3DoubleData btCollisionObjectDoubleData->m_anisotropicFriction
//attribute: void * btCollisionObjectDoubleData->m_broadphaseHandle
// attribute not supported: //attribute: void * btCollisionObjectDoubleData->m_broadphaseHandle
//attribute: double btCollisionObjectDoubleData->m_ccdMotionThreshold
void btCollisionObjectDoubleData_m_ccdMotionThreshold_set(void *c,double a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_ccdMotionThreshold = a;
}
double btCollisionObjectDoubleData_m_ccdMotionThreshold_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (double)(o->m_ccdMotionThreshold);
}

//attribute: double btCollisionObjectDoubleData->m_ccdSweptSphereRadius
void btCollisionObjectDoubleData_m_ccdSweptSphereRadius_set(void *c,double a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_ccdSweptSphereRadius = a;
}
double btCollisionObjectDoubleData_m_ccdSweptSphereRadius_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (double)(o->m_ccdSweptSphereRadius);
}

//attribute: int btCollisionObjectDoubleData->m_checkCollideWith
void btCollisionObjectDoubleData_m_checkCollideWith_set(void *c,int a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_checkCollideWith = a;
}
int btCollisionObjectDoubleData_m_checkCollideWith_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (int)(o->m_checkCollideWith);
}

//attribute: int btCollisionObjectDoubleData->m_collisionFlags
void btCollisionObjectDoubleData_m_collisionFlags_set(void *c,int a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_collisionFlags = a;
}
int btCollisionObjectDoubleData_m_collisionFlags_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (int)(o->m_collisionFlags);
}

//attribute: void * btCollisionObjectDoubleData->m_collisionShape
// attribute not supported: //attribute: void * btCollisionObjectDoubleData->m_collisionShape
//attribute: int btCollisionObjectDoubleData->m_companionId
void btCollisionObjectDoubleData_m_companionId_set(void *c,int a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_companionId = a;
}
int btCollisionObjectDoubleData_m_companionId_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (int)(o->m_companionId);
}

//attribute: double btCollisionObjectDoubleData->m_contactProcessingThreshold
void btCollisionObjectDoubleData_m_contactProcessingThreshold_set(void *c,double a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_contactProcessingThreshold = a;
}
double btCollisionObjectDoubleData_m_contactProcessingThreshold_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (double)(o->m_contactProcessingThreshold);
}

//attribute: double btCollisionObjectDoubleData->m_deactivationTime
void btCollisionObjectDoubleData_m_deactivationTime_set(void *c,double a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_deactivationTime = a;
}
double btCollisionObjectDoubleData_m_deactivationTime_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (double)(o->m_deactivationTime);
}

//attribute: double btCollisionObjectDoubleData->m_friction
void btCollisionObjectDoubleData_m_friction_set(void *c,double a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_friction = a;
}
double btCollisionObjectDoubleData_m_friction_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (double)(o->m_friction);
}

//attribute: int btCollisionObjectDoubleData->m_hasAnisotropicFriction
void btCollisionObjectDoubleData_m_hasAnisotropicFriction_set(void *c,int a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_hasAnisotropicFriction = a;
}
int btCollisionObjectDoubleData_m_hasAnisotropicFriction_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (int)(o->m_hasAnisotropicFriction);
}

//attribute: double btCollisionObjectDoubleData->m_hitFraction
void btCollisionObjectDoubleData_m_hitFraction_set(void *c,double a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_hitFraction = a;
}
double btCollisionObjectDoubleData_m_hitFraction_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (double)(o->m_hitFraction);
}

//attribute: int btCollisionObjectDoubleData->m_internalType
void btCollisionObjectDoubleData_m_internalType_set(void *c,int a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_internalType = a;
}
int btCollisionObjectDoubleData_m_internalType_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (int)(o->m_internalType);
}

//attribute: ::btVector3DoubleData btCollisionObjectDoubleData->m_interpolationAngularVelocity
// attribute not supported: //attribute: ::btVector3DoubleData btCollisionObjectDoubleData->m_interpolationAngularVelocity
//attribute: ::btVector3DoubleData btCollisionObjectDoubleData->m_interpolationLinearVelocity
// attribute not supported: //attribute: ::btVector3DoubleData btCollisionObjectDoubleData->m_interpolationLinearVelocity
//attribute: ::btTransformDoubleData btCollisionObjectDoubleData->m_interpolationWorldTransform
// attribute not supported: //attribute: ::btTransformDoubleData btCollisionObjectDoubleData->m_interpolationWorldTransform
//attribute: int btCollisionObjectDoubleData->m_islandTag1
void btCollisionObjectDoubleData_m_islandTag1_set(void *c,int a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_islandTag1 = a;
}
int btCollisionObjectDoubleData_m_islandTag1_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (int)(o->m_islandTag1);
}

//attribute: char * btCollisionObjectDoubleData->m_name
void btCollisionObjectDoubleData_m_name_set(void *c,char * a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_name = a;
}
char * btCollisionObjectDoubleData_m_name_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (char *)(o->m_name);
}

//attribute: char[4] btCollisionObjectDoubleData->m_padding
// attribute not supported: //attribute: char[4] btCollisionObjectDoubleData->m_padding
//attribute: double btCollisionObjectDoubleData->m_restitution
void btCollisionObjectDoubleData_m_restitution_set(void *c,double a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	o->m_restitution = a;
}
double btCollisionObjectDoubleData_m_restitution_get(void *c) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	return (double)(o->m_restitution);
}

//attribute: ::btCollisionShapeData * btCollisionObjectDoubleData->m_rootCollisionShape
void btCollisionObjectDoubleData_m_rootCollisionShape_set(void *c,void* a) {
	::btCollisionObjectDoubleData *o = (::btCollisionObjectDoubleData*)c;
	::btCollisionShapeData * ta = (::btCollisionShapeData *)a;
	o->m_rootCollisionShape = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionShapeData * btCollisionObjectDoubleData->m_rootCollisionShape
//attribute: ::btTransformDoubleData btCollisionObjectDoubleData->m_worldTransform
// attribute not supported: //attribute: ::btTransformDoubleData btCollisionObjectDoubleData->m_worldTransform

// ::btCollisionObjectFloatData
//constructor: btCollisionObjectFloatData  ( ::btCollisionObjectFloatData::* )(  ) 
void* btCollisionObjectFloatData_new() {
	::btCollisionObjectFloatData *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btCollisionObjectFloatData),16);
	o = new (mem)::btCollisionObjectFloatData();
	return (void*)o;
}
void btCollisionObjectFloatData_free(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	delete o;
}
//attribute: int btCollisionObjectFloatData->m_activationState1
void btCollisionObjectFloatData_m_activationState1_set(void *c,int a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_activationState1 = a;
}
int btCollisionObjectFloatData_m_activationState1_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (int)(o->m_activationState1);
}

//attribute: ::btVector3FloatData btCollisionObjectFloatData->m_anisotropicFriction
// attribute not supported: //attribute: ::btVector3FloatData btCollisionObjectFloatData->m_anisotropicFriction
//attribute: void * btCollisionObjectFloatData->m_broadphaseHandle
// attribute not supported: //attribute: void * btCollisionObjectFloatData->m_broadphaseHandle
//attribute: float btCollisionObjectFloatData->m_ccdMotionThreshold
void btCollisionObjectFloatData_m_ccdMotionThreshold_set(void *c,float a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_ccdMotionThreshold = a;
}
float btCollisionObjectFloatData_m_ccdMotionThreshold_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (float)(o->m_ccdMotionThreshold);
}

//attribute: float btCollisionObjectFloatData->m_ccdSweptSphereRadius
void btCollisionObjectFloatData_m_ccdSweptSphereRadius_set(void *c,float a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_ccdSweptSphereRadius = a;
}
float btCollisionObjectFloatData_m_ccdSweptSphereRadius_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (float)(o->m_ccdSweptSphereRadius);
}

//attribute: int btCollisionObjectFloatData->m_checkCollideWith
void btCollisionObjectFloatData_m_checkCollideWith_set(void *c,int a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_checkCollideWith = a;
}
int btCollisionObjectFloatData_m_checkCollideWith_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (int)(o->m_checkCollideWith);
}

//attribute: int btCollisionObjectFloatData->m_collisionFlags
void btCollisionObjectFloatData_m_collisionFlags_set(void *c,int a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_collisionFlags = a;
}
int btCollisionObjectFloatData_m_collisionFlags_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (int)(o->m_collisionFlags);
}

//attribute: void * btCollisionObjectFloatData->m_collisionShape
// attribute not supported: //attribute: void * btCollisionObjectFloatData->m_collisionShape
//attribute: int btCollisionObjectFloatData->m_companionId
void btCollisionObjectFloatData_m_companionId_set(void *c,int a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_companionId = a;
}
int btCollisionObjectFloatData_m_companionId_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (int)(o->m_companionId);
}

//attribute: float btCollisionObjectFloatData->m_contactProcessingThreshold
void btCollisionObjectFloatData_m_contactProcessingThreshold_set(void *c,float a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_contactProcessingThreshold = a;
}
float btCollisionObjectFloatData_m_contactProcessingThreshold_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (float)(o->m_contactProcessingThreshold);
}

//attribute: float btCollisionObjectFloatData->m_deactivationTime
void btCollisionObjectFloatData_m_deactivationTime_set(void *c,float a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_deactivationTime = a;
}
float btCollisionObjectFloatData_m_deactivationTime_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (float)(o->m_deactivationTime);
}

//attribute: float btCollisionObjectFloatData->m_friction
void btCollisionObjectFloatData_m_friction_set(void *c,float a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_friction = a;
}
float btCollisionObjectFloatData_m_friction_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (float)(o->m_friction);
}

//attribute: int btCollisionObjectFloatData->m_hasAnisotropicFriction
void btCollisionObjectFloatData_m_hasAnisotropicFriction_set(void *c,int a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_hasAnisotropicFriction = a;
}
int btCollisionObjectFloatData_m_hasAnisotropicFriction_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (int)(o->m_hasAnisotropicFriction);
}

//attribute: float btCollisionObjectFloatData->m_hitFraction
void btCollisionObjectFloatData_m_hitFraction_set(void *c,float a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_hitFraction = a;
}
float btCollisionObjectFloatData_m_hitFraction_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (float)(o->m_hitFraction);
}

//attribute: int btCollisionObjectFloatData->m_internalType
void btCollisionObjectFloatData_m_internalType_set(void *c,int a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_internalType = a;
}
int btCollisionObjectFloatData_m_internalType_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (int)(o->m_internalType);
}

//attribute: ::btVector3FloatData btCollisionObjectFloatData->m_interpolationAngularVelocity
// attribute not supported: //attribute: ::btVector3FloatData btCollisionObjectFloatData->m_interpolationAngularVelocity
//attribute: ::btVector3FloatData btCollisionObjectFloatData->m_interpolationLinearVelocity
// attribute not supported: //attribute: ::btVector3FloatData btCollisionObjectFloatData->m_interpolationLinearVelocity
//attribute: ::btTransformFloatData btCollisionObjectFloatData->m_interpolationWorldTransform
// attribute not supported: //attribute: ::btTransformFloatData btCollisionObjectFloatData->m_interpolationWorldTransform
//attribute: int btCollisionObjectFloatData->m_islandTag1
void btCollisionObjectFloatData_m_islandTag1_set(void *c,int a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_islandTag1 = a;
}
int btCollisionObjectFloatData_m_islandTag1_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (int)(o->m_islandTag1);
}

//attribute: char * btCollisionObjectFloatData->m_name
void btCollisionObjectFloatData_m_name_set(void *c,char * a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_name = a;
}
char * btCollisionObjectFloatData_m_name_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (char *)(o->m_name);
}

//attribute: float btCollisionObjectFloatData->m_restitution
void btCollisionObjectFloatData_m_restitution_set(void *c,float a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	o->m_restitution = a;
}
float btCollisionObjectFloatData_m_restitution_get(void *c) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	return (float)(o->m_restitution);
}

//attribute: ::btCollisionShapeData * btCollisionObjectFloatData->m_rootCollisionShape
void btCollisionObjectFloatData_m_rootCollisionShape_set(void *c,void* a) {
	::btCollisionObjectFloatData *o = (::btCollisionObjectFloatData*)c;
	::btCollisionShapeData * ta = (::btCollisionShapeData *)a;
	o->m_rootCollisionShape = ta;
}
// attriibute getter not supported: //attribute: ::btCollisionShapeData * btCollisionObjectFloatData->m_rootCollisionShape
//attribute: ::btTransformFloatData btCollisionObjectFloatData->m_worldTransform
// attribute not supported: //attribute: ::btTransformFloatData btCollisionObjectFloatData->m_worldTransform

// ::btCollisionWorld
//constructor: btCollisionWorld  ( ::btCollisionWorld::* )( ::btDispatcher *,::btBroadphaseInterface *,::btCollisionConfiguration * ) 
void* btCollisionWorld_new(void* p0,void* p1,void* p2) {
	::btCollisionWorld *o = 0;
	 void *mem = 0;
	::btDispatcher * tp0 = (::btDispatcher *)p0;
	::btBroadphaseInterface * tp1 = (::btBroadphaseInterface *)p1;
	::btCollisionConfiguration * tp2 = (::btCollisionConfiguration *)p2;
	mem = btAlignedAlloc(sizeof(::btCollisionWorld),16);
	o = new (mem)::btCollisionWorld(tp0,tp1,tp2);
	return (void*)o;
}
void btCollisionWorld_free(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	delete o;
}
//method: setBroadphase void ( ::btCollisionWorld::* )( ::btBroadphaseInterface * ) 
void btCollisionWorld_setBroadphase(void *c,void* p0) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btBroadphaseInterface * tp0 = (::btBroadphaseInterface *)p0;
	o->setBroadphase(tp0);
}
//method: serialize void ( ::btCollisionWorld::* )( ::btSerializer * ) 
void btCollisionWorld_serialize(void *c,void* p0) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btSerializer * tp0 = (::btSerializer *)p0;
	o->serialize(tp0);
}
//method: getDispatcher ::btDispatcher * ( ::btCollisionWorld::* )(  ) 
void* btCollisionWorld_getDispatcher(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getDispatcher();
	return retVal;
}
//method: getDispatcher ::btDispatcher * ( ::btCollisionWorld::* )(  ) 
void* btCollisionWorld_getDispatcher0(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getDispatcher();
	return retVal;
}
//method: getDispatcher ::btDispatcher const * ( ::btCollisionWorld::* )(  ) const
void* btCollisionWorld_getDispatcher1(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getDispatcher();
	return retVal;
}
//method: getDispatchInfo ::btDispatcherInfo & ( ::btCollisionWorld::* )(  ) 
void* btCollisionWorld_getDispatchInfo(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) &(o->getDispatchInfo());
	return retVal;
}
//method: getDispatchInfo ::btDispatcherInfo & ( ::btCollisionWorld::* )(  ) 
void* btCollisionWorld_getDispatchInfo0(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) &(o->getDispatchInfo());
	return retVal;
}
//method: getDispatchInfo ::btDispatcherInfo const & ( ::btCollisionWorld::* )(  ) const
void* btCollisionWorld_getDispatchInfo1(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) &(o->getDispatchInfo());
	return retVal;
}
//method: getDebugDrawer ::btIDebugDraw * ( ::btCollisionWorld::* )(  ) 
void* btCollisionWorld_getDebugDrawer(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getDebugDrawer();
	return retVal;
}
//method: performDiscreteCollisionDetection void ( ::btCollisionWorld::* )(  ) 
void btCollisionWorld_performDiscreteCollisionDetection(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	o->performDiscreteCollisionDetection();
}
//not supported method: getCollisionObjectArray ::btCollisionObjectArray & ( ::btCollisionWorld::* )(  ) 
//not supported method: getCollisionObjectArray ::btCollisionObjectArray & ( ::btCollisionWorld::* )(  ) 
//not supported method: getCollisionObjectArray ::btCollisionObjectArray const & ( ::btCollisionWorld::* )(  ) const
//method: debugDrawObject void ( ::btCollisionWorld::* )( ::btTransform const &,::btCollisionShape const *,::btVector3 const & ) 
void btCollisionWorld_debugDrawObject(void *c,float* p0,void* p1,float* p2) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	::btCollisionShape const * tp1 = (::btCollisionShape const *)p1;
	btVector3 tp2(p2[0],p2[1],p2[2]);
	o->debugDrawObject(tp0,tp1,tp2);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p2[0]=tp2.m_floats[0];p2[1]=tp2.m_floats[1];p2[2]=tp2.m_floats[2];
}
//method: rayTest void ( ::btCollisionWorld::* )( ::btVector3 const &,::btVector3 const &,::btCollisionWorld::RayResultCallback & ) const
void btCollisionWorld_rayTest(void *c,float* p0,float* p1,void* p2) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	::btCollisionWorld::RayResultCallback & tp2 = *(::btCollisionWorld::RayResultCallback *)p2;
	o->rayTest(tp0,tp1,tp2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: addCollisionObject void ( ::btCollisionWorld::* )( ::btCollisionObject *,short int,short int ) 
void btCollisionWorld_addCollisionObject(void *c,void* p0,short int p1,short int p2) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->addCollisionObject(tp0,p1,p2);
}
//method: setForceUpdateAllAabbs void ( ::btCollisionWorld::* )( bool ) 
void btCollisionWorld_setForceUpdateAllAabbs(void *c,int p0) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	o->setForceUpdateAllAabbs(p0);
}
//method: contactTest void ( ::btCollisionWorld::* )( ::btCollisionObject *,::btCollisionWorld::ContactResultCallback & ) 
void btCollisionWorld_contactTest(void *c,void* p0,void* p1) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionWorld::ContactResultCallback & tp1 = *(::btCollisionWorld::ContactResultCallback *)p1;
	o->contactTest(tp0,tp1);
}
//method: getForceUpdateAllAabbs bool ( ::btCollisionWorld::* )(  ) const
int btCollisionWorld_getForceUpdateAllAabbs(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	int retVal = (int)o->getForceUpdateAllAabbs();
	return retVal;
}
//method: updateAabbs void ( ::btCollisionWorld::* )(  ) 
void btCollisionWorld_updateAabbs(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	o->updateAabbs();
}
//method: setDebugDrawer void ( ::btCollisionWorld::* )( ::btIDebugDraw * ) 
void btCollisionWorld_setDebugDrawer(void *c,void* p0) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btIDebugDraw * tp0 = (::btIDebugDraw *)p0;
	o->setDebugDrawer(tp0);
}
//method: debugDrawWorld void ( ::btCollisionWorld::* )(  ) 
void btCollisionWorld_debugDrawWorld(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	o->debugDrawWorld();
}
//method: convexSweepTest void ( ::btCollisionWorld::* )( ::btConvexShape const *,::btTransform const &,::btTransform const &,::btCollisionWorld::ConvexResultCallback &,::btScalar ) const
void btCollisionWorld_convexSweepTest(void *c,void* p0,float* p1,float* p2,void* p3,float p4) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btConvexShape const * tp0 = (::btConvexShape const *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	::btCollisionWorld::ConvexResultCallback & tp3 = *(::btCollisionWorld::ConvexResultCallback *)p3;
	o->convexSweepTest(tp0,tp1,tp2,tp3,p4);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
}
//method: getNumCollisionObjects int ( ::btCollisionWorld::* )(  ) const
int btCollisionWorld_getNumCollisionObjects(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	int retVal = (int)o->getNumCollisionObjects();
	return retVal;
}
//method: contactPairTest void ( ::btCollisionWorld::* )( ::btCollisionObject *,::btCollisionObject *,::btCollisionWorld::ContactResultCallback & ) 
void btCollisionWorld_contactPairTest(void *c,void* p0,void* p1,void* p2) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btCollisionWorld::ContactResultCallback & tp2 = *(::btCollisionWorld::ContactResultCallback *)p2;
	o->contactPairTest(tp0,tp1,tp2);
}
//method: getBroadphase ::btBroadphaseInterface const * ( ::btCollisionWorld::* )(  ) const
void* btCollisionWorld_getBroadphase(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getBroadphase();
	return retVal;
}
//method: getBroadphase ::btBroadphaseInterface const * ( ::btCollisionWorld::* )(  ) const
void* btCollisionWorld_getBroadphase0(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getBroadphase();
	return retVal;
}
//method: getBroadphase ::btBroadphaseInterface * ( ::btCollisionWorld::* )(  ) 
void* btCollisionWorld_getBroadphase1(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getBroadphase();
	return retVal;
}
//method: rayTestSingle void (*)( ::btTransform const &,::btTransform const &,::btCollisionObject *,::btCollisionShape const *,::btTransform const &,::btCollisionWorld::RayResultCallback & )
void btCollisionWorld_rayTestSingle(float* p0,float* p1,void* p2,void* p3,float* p4,void* p5) {
	btMatrix3x3 mtp0(p0[0],p0[1],p0[2],p0[3],p0[4],p0[5],p0[6],p0[7],p0[8]);
	btVector3 vtp0(p0[9],p0[10],p0[11]);
	btTransform tp0(mtp0,vtp0);
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	::btCollisionShape const * tp3 = (::btCollisionShape const *)p3;
	btMatrix3x3 mtp4(p4[0],p4[1],p4[2],p4[3],p4[4],p4[5],p4[6],p4[7],p4[8]);
	btVector3 vtp4(p4[9],p4[10],p4[11]);
	btTransform tp4(mtp4,vtp4);
	::btCollisionWorld::RayResultCallback & tp5 = *(::btCollisionWorld::RayResultCallback *)p5;
	::btCollisionWorld::rayTestSingle(tp0,tp1,tp2,tp3,tp4,tp5);
	p0[0]=tp0.getBasis().getRow(0).m_floats[0];p0[1]=tp0.getBasis().getRow(0).m_floats[1];p0[2]=tp0.getBasis().getRow(0).m_floats[2];p0[3]=tp0.getBasis().getRow(1).m_floats[0];p0[4]=tp0.getBasis().getRow(1).m_floats[1];p0[5]=tp0.getBasis().getRow(1).m_floats[2];p0[6]=tp0.getBasis().getRow(2).m_floats[0];p0[7]=tp0.getBasis().getRow(2).m_floats[1];p0[8]=tp0.getBasis().getRow(2).m_floats[2];
	p0[9]=tp0.getOrigin().m_floats[0];p0[10]=tp0.getOrigin().m_floats[1];p0[11]=tp0.getOrigin().m_floats[2];
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p4[0]=tp4.getBasis().getRow(0).m_floats[0];p4[1]=tp4.getBasis().getRow(0).m_floats[1];p4[2]=tp4.getBasis().getRow(0).m_floats[2];p4[3]=tp4.getBasis().getRow(1).m_floats[0];p4[4]=tp4.getBasis().getRow(1).m_floats[1];p4[5]=tp4.getBasis().getRow(1).m_floats[2];p4[6]=tp4.getBasis().getRow(2).m_floats[0];p4[7]=tp4.getBasis().getRow(2).m_floats[1];p4[8]=tp4.getBasis().getRow(2).m_floats[2];
	p4[9]=tp4.getOrigin().m_floats[0];p4[10]=tp4.getOrigin().m_floats[1];p4[11]=tp4.getOrigin().m_floats[2];
}
//method: objectQuerySingle void (*)( ::btConvexShape const *,::btTransform const &,::btTransform const &,::btCollisionObject *,::btCollisionShape const *,::btTransform const &,::btCollisionWorld::ConvexResultCallback &,::btScalar )
void btCollisionWorld_objectQuerySingle(void* p0,float* p1,float* p2,void* p3,void* p4,float* p5,void* p6,float p7) {
	::btConvexShape const * tp0 = (::btConvexShape const *)p0;
	btMatrix3x3 mtp1(p1[0],p1[1],p1[2],p1[3],p1[4],p1[5],p1[6],p1[7],p1[8]);
	btVector3 vtp1(p1[9],p1[10],p1[11]);
	btTransform tp1(mtp1,vtp1);
	btMatrix3x3 mtp2(p2[0],p2[1],p2[2],p2[3],p2[4],p2[5],p2[6],p2[7],p2[8]);
	btVector3 vtp2(p2[9],p2[10],p2[11]);
	btTransform tp2(mtp2,vtp2);
	::btCollisionObject * tp3 = (::btCollisionObject *)p3;
	::btCollisionShape const * tp4 = (::btCollisionShape const *)p4;
	btMatrix3x3 mtp5(p5[0],p5[1],p5[2],p5[3],p5[4],p5[5],p5[6],p5[7],p5[8]);
	btVector3 vtp5(p5[9],p5[10],p5[11]);
	btTransform tp5(mtp5,vtp5);
	::btCollisionWorld::ConvexResultCallback & tp6 = *(::btCollisionWorld::ConvexResultCallback *)p6;
	::btCollisionWorld::objectQuerySingle(tp0,tp1,tp2,tp3,tp4,tp5,tp6,p7);
	p1[0]=tp1.getBasis().getRow(0).m_floats[0];p1[1]=tp1.getBasis().getRow(0).m_floats[1];p1[2]=tp1.getBasis().getRow(0).m_floats[2];p1[3]=tp1.getBasis().getRow(1).m_floats[0];p1[4]=tp1.getBasis().getRow(1).m_floats[1];p1[5]=tp1.getBasis().getRow(1).m_floats[2];p1[6]=tp1.getBasis().getRow(2).m_floats[0];p1[7]=tp1.getBasis().getRow(2).m_floats[1];p1[8]=tp1.getBasis().getRow(2).m_floats[2];
	p1[9]=tp1.getOrigin().m_floats[0];p1[10]=tp1.getOrigin().m_floats[1];p1[11]=tp1.getOrigin().m_floats[2];
	p2[0]=tp2.getBasis().getRow(0).m_floats[0];p2[1]=tp2.getBasis().getRow(0).m_floats[1];p2[2]=tp2.getBasis().getRow(0).m_floats[2];p2[3]=tp2.getBasis().getRow(1).m_floats[0];p2[4]=tp2.getBasis().getRow(1).m_floats[1];p2[5]=tp2.getBasis().getRow(1).m_floats[2];p2[6]=tp2.getBasis().getRow(2).m_floats[0];p2[7]=tp2.getBasis().getRow(2).m_floats[1];p2[8]=tp2.getBasis().getRow(2).m_floats[2];
	p2[9]=tp2.getOrigin().m_floats[0];p2[10]=tp2.getOrigin().m_floats[1];p2[11]=tp2.getOrigin().m_floats[2];
	p5[0]=tp5.getBasis().getRow(0).m_floats[0];p5[1]=tp5.getBasis().getRow(0).m_floats[1];p5[2]=tp5.getBasis().getRow(0).m_floats[2];p5[3]=tp5.getBasis().getRow(1).m_floats[0];p5[4]=tp5.getBasis().getRow(1).m_floats[1];p5[5]=tp5.getBasis().getRow(1).m_floats[2];p5[6]=tp5.getBasis().getRow(2).m_floats[0];p5[7]=tp5.getBasis().getRow(2).m_floats[1];p5[8]=tp5.getBasis().getRow(2).m_floats[2];
	p5[9]=tp5.getOrigin().m_floats[0];p5[10]=tp5.getOrigin().m_floats[1];p5[11]=tp5.getOrigin().m_floats[2];
}
//method: updateSingleAabb void ( ::btCollisionWorld::* )( ::btCollisionObject * ) 
void btCollisionWorld_updateSingleAabb(void *c,void* p0) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->updateSingleAabb(tp0);
}
//method: getPairCache ::btOverlappingPairCache * ( ::btCollisionWorld::* )(  ) 
void* btCollisionWorld_getPairCache(void *c) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	void* retVal = (void*) o->getPairCache();
	return retVal;
}
//method: removeCollisionObject void ( ::btCollisionWorld::* )( ::btCollisionObject * ) 
void btCollisionWorld_removeCollisionObject(void *c,void* p0) {
	::btCollisionWorld *o = (::btCollisionWorld*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	o->removeCollisionObject(tp0);
}

// ::btConvexConvexAlgorithm
//not supported constructor: btConvexConvexAlgorithm  ( ::btConvexConvexAlgorithm::* )( ::btPersistentManifold *,::btCollisionAlgorithmConstructionInfo const &,::btCollisionObject *,::btCollisionObject *,::btVoronoiSimplexSolver *,::btConvexPenetrationDepthSolver *,int,int ) 
void btConvexConvexAlgorithm_free(void *c) {
	::btConvexConvexAlgorithm *o = (::btConvexConvexAlgorithm*)c;
	delete o;
}
//not supported method: getAllContactManifolds void ( ::btConvexConvexAlgorithm::* )( ::btManifoldArray & ) 
//method: calculateTimeOfImpact ::btScalar ( ::btConvexConvexAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
float btConvexConvexAlgorithm_calculateTimeOfImpact(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btConvexConvexAlgorithm *o = (::btConvexConvexAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	float retVal = (float)o->calculateTimeOfImpact(tp0,tp1,tp2,tp3);
	return retVal;
}
//method: setLowLevelOfDetail void ( ::btConvexConvexAlgorithm::* )( bool ) 
void btConvexConvexAlgorithm_setLowLevelOfDetail(void *c,int p0) {
	::btConvexConvexAlgorithm *o = (::btConvexConvexAlgorithm*)c;
	o->setLowLevelOfDetail(p0);
}
//method: processCollision void ( ::btConvexConvexAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
void btConvexConvexAlgorithm_processCollision(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btConvexConvexAlgorithm *o = (::btConvexConvexAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	o->processCollision(tp0,tp1,tp2,tp3);
}
//method: getManifold ::btPersistentManifold const * ( ::btConvexConvexAlgorithm::* )(  ) 
void* btConvexConvexAlgorithm_getManifold(void *c) {
	::btConvexConvexAlgorithm *o = (::btConvexConvexAlgorithm*)c;
	void* retVal = (void*) o->getManifold();
	return retVal;
}

// ::btDefaultCollisionConfiguration
//constructor: btDefaultCollisionConfiguration  ( ::btDefaultCollisionConfiguration::* )( ::btDefaultCollisionConstructionInfo const & ) 
void* btDefaultCollisionConfiguration_new(void* p0) {
	::btDefaultCollisionConfiguration *o = 0;
	 void *mem = 0;
	::btDefaultCollisionConstructionInfo const & tp0 = *(::btDefaultCollisionConstructionInfo const *)p0;
	mem = btAlignedAlloc(sizeof(::btDefaultCollisionConfiguration),16);
	o = new (mem)::btDefaultCollisionConfiguration(tp0);
	return (void*)o;
}
void btDefaultCollisionConfiguration_free(void *c) {
	::btDefaultCollisionConfiguration *o = (::btDefaultCollisionConfiguration*)c;
	delete o;
}
//method: getStackAllocator ::btStackAlloc * ( ::btDefaultCollisionConfiguration::* )(  ) 
void* btDefaultCollisionConfiguration_getStackAllocator(void *c) {
	::btDefaultCollisionConfiguration *o = (::btDefaultCollisionConfiguration*)c;
	void* retVal = (void*) o->getStackAllocator();
	return retVal;
}
//not supported method: getPersistentManifoldPool ::btPoolAllocator * ( ::btDefaultCollisionConfiguration::* )(  ) 
//method: getSimplexSolver ::btVoronoiSimplexSolver * ( ::btDefaultCollisionConfiguration::* )(  ) 
void* btDefaultCollisionConfiguration_getSimplexSolver(void *c) {
	::btDefaultCollisionConfiguration *o = (::btDefaultCollisionConfiguration*)c;
	void* retVal = (void*) o->getSimplexSolver();
	return retVal;
}
//method: setConvexConvexMultipointIterations void ( ::btDefaultCollisionConfiguration::* )( int,int ) 
void btDefaultCollisionConfiguration_setConvexConvexMultipointIterations(void *c,int p0,int p1) {
	::btDefaultCollisionConfiguration *o = (::btDefaultCollisionConfiguration*)c;
	o->setConvexConvexMultipointIterations(p0,p1);
}
//not supported method: getCollisionAlgorithmPool ::btPoolAllocator * ( ::btDefaultCollisionConfiguration::* )(  ) 
//method: getCollisionAlgorithmCreateFunc ::btCollisionAlgorithmCreateFunc * ( ::btDefaultCollisionConfiguration::* )( int,int ) 
void* btDefaultCollisionConfiguration_getCollisionAlgorithmCreateFunc(void *c,int p0,int p1) {
	::btDefaultCollisionConfiguration *o = (::btDefaultCollisionConfiguration*)c;
	void* retVal = (void*) o->getCollisionAlgorithmCreateFunc(p0,p1);
	return retVal;
}

// ::btDefaultCollisionConstructionInfo
//constructor: btDefaultCollisionConstructionInfo  ( ::btDefaultCollisionConstructionInfo::* )(  ) 
void* btDefaultCollisionConstructionInfo_new() {
	::btDefaultCollisionConstructionInfo *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btDefaultCollisionConstructionInfo),16);
	o = new (mem)::btDefaultCollisionConstructionInfo();
	return (void*)o;
}
void btDefaultCollisionConstructionInfo_free(void *c) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	delete o;
}
//attribute: ::btPoolAllocator * btDefaultCollisionConstructionInfo->m_collisionAlgorithmPool
// attribute not supported: //attribute: ::btPoolAllocator * btDefaultCollisionConstructionInfo->m_collisionAlgorithmPool
//attribute: int btDefaultCollisionConstructionInfo->m_customCollisionAlgorithmMaxElementSize
void btDefaultCollisionConstructionInfo_m_customCollisionAlgorithmMaxElementSize_set(void *c,int a) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	o->m_customCollisionAlgorithmMaxElementSize = a;
}
int btDefaultCollisionConstructionInfo_m_customCollisionAlgorithmMaxElementSize_get(void *c) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	return (int)(o->m_customCollisionAlgorithmMaxElementSize);
}

//attribute: int btDefaultCollisionConstructionInfo->m_defaultMaxCollisionAlgorithmPoolSize
void btDefaultCollisionConstructionInfo_m_defaultMaxCollisionAlgorithmPoolSize_set(void *c,int a) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	o->m_defaultMaxCollisionAlgorithmPoolSize = a;
}
int btDefaultCollisionConstructionInfo_m_defaultMaxCollisionAlgorithmPoolSize_get(void *c) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	return (int)(o->m_defaultMaxCollisionAlgorithmPoolSize);
}

//attribute: int btDefaultCollisionConstructionInfo->m_defaultMaxPersistentManifoldPoolSize
void btDefaultCollisionConstructionInfo_m_defaultMaxPersistentManifoldPoolSize_set(void *c,int a) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	o->m_defaultMaxPersistentManifoldPoolSize = a;
}
int btDefaultCollisionConstructionInfo_m_defaultMaxPersistentManifoldPoolSize_get(void *c) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	return (int)(o->m_defaultMaxPersistentManifoldPoolSize);
}

//attribute: int btDefaultCollisionConstructionInfo->m_defaultStackAllocatorSize
void btDefaultCollisionConstructionInfo_m_defaultStackAllocatorSize_set(void *c,int a) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	o->m_defaultStackAllocatorSize = a;
}
int btDefaultCollisionConstructionInfo_m_defaultStackAllocatorSize_get(void *c) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	return (int)(o->m_defaultStackAllocatorSize);
}

//attribute: ::btPoolAllocator * btDefaultCollisionConstructionInfo->m_persistentManifoldPool
// attribute not supported: //attribute: ::btPoolAllocator * btDefaultCollisionConstructionInfo->m_persistentManifoldPool
//attribute: ::btStackAlloc * btDefaultCollisionConstructionInfo->m_stackAlloc
void btDefaultCollisionConstructionInfo_m_stackAlloc_set(void *c,void* a) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	::btStackAlloc * ta = (::btStackAlloc *)a;
	o->m_stackAlloc = ta;
}
// attriibute getter not supported: //attribute: ::btStackAlloc * btDefaultCollisionConstructionInfo->m_stackAlloc
//attribute: int btDefaultCollisionConstructionInfo->m_useEpaPenetrationAlgorithm
void btDefaultCollisionConstructionInfo_m_useEpaPenetrationAlgorithm_set(void *c,int a) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	o->m_useEpaPenetrationAlgorithm = a;
}
int btDefaultCollisionConstructionInfo_m_useEpaPenetrationAlgorithm_get(void *c) {
	::btDefaultCollisionConstructionInfo *o = (::btDefaultCollisionConstructionInfo*)c;
	return (int)(o->m_useEpaPenetrationAlgorithm);
}


// ::btManifoldResult
//constructor: btManifoldResult  ( ::btManifoldResult::* )(  ) 
void* btManifoldResult_new0() {
	::btManifoldResult *o = 0;
	 void *mem = 0;
	mem = btAlignedAlloc(sizeof(::btManifoldResult),16);
	o = new (mem)::btManifoldResult();
	return (void*)o;
}
//constructor: btManifoldResult  ( ::btManifoldResult::* )( ::btCollisionObject *,::btCollisionObject * ) 
void* btManifoldResult_new1(void* p0,void* p1) {
	::btManifoldResult *o = 0;
	 void *mem = 0;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	mem = btAlignedAlloc(sizeof(::btManifoldResult),16);
	o = new (mem)::btManifoldResult(tp0,tp1);
	return (void*)o;
}
void btManifoldResult_free(void *c) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	delete o;
}
//method: getPersistentManifold ::btPersistentManifold const * ( ::btManifoldResult::* )(  ) const
void* btManifoldResult_getPersistentManifold(void *c) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	void* retVal = (void*) o->getPersistentManifold();
	return retVal;
}
//method: getPersistentManifold ::btPersistentManifold const * ( ::btManifoldResult::* )(  ) const
void* btManifoldResult_getPersistentManifold0(void *c) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	void* retVal = (void*) o->getPersistentManifold();
	return retVal;
}
//method: getPersistentManifold ::btPersistentManifold * ( ::btManifoldResult::* )(  ) 
void* btManifoldResult_getPersistentManifold1(void *c) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	void* retVal = (void*) o->getPersistentManifold();
	return retVal;
}
//method: getBody0Internal ::btCollisionObject const * ( ::btManifoldResult::* )(  ) const
void* btManifoldResult_getBody0Internal(void *c) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	void* retVal = (void*) o->getBody0Internal();
	return retVal;
}
//method: addContactPoint void ( ::btManifoldResult::* )( ::btVector3 const &,::btVector3 const &,::btScalar ) 
void btManifoldResult_addContactPoint(void *c,float* p0,float* p1,float p2) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	btVector3 tp0(p0[0],p0[1],p0[2]);
	btVector3 tp1(p1[0],p1[1],p1[2]);
	o->addContactPoint(tp0,tp1,p2);
	p0[0]=tp0.m_floats[0];p0[1]=tp0.m_floats[1];p0[2]=tp0.m_floats[2];
	p1[0]=tp1.m_floats[0];p1[1]=tp1.m_floats[1];p1[2]=tp1.m_floats[2];
}
//method: getBody1Internal ::btCollisionObject const * ( ::btManifoldResult::* )(  ) const
void* btManifoldResult_getBody1Internal(void *c) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	void* retVal = (void*) o->getBody1Internal();
	return retVal;
}
//method: setShapeIdentifiersB void ( ::btManifoldResult::* )( int,int ) 
void btManifoldResult_setShapeIdentifiersB(void *c,int p0,int p1) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	o->setShapeIdentifiersB(p0,p1);
}
//method: setShapeIdentifiersA void ( ::btManifoldResult::* )( int,int ) 
void btManifoldResult_setShapeIdentifiersA(void *c,int p0,int p1) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	o->setShapeIdentifiersA(p0,p1);
}
//method: refreshContactPoints void ( ::btManifoldResult::* )(  ) 
void btManifoldResult_refreshContactPoints(void *c) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	o->refreshContactPoints();
}
//method: setPersistentManifold void ( ::btManifoldResult::* )( ::btPersistentManifold * ) 
void btManifoldResult_setPersistentManifold(void *c,void* p0) {
	::btManifoldResult *o = (::btManifoldResult*)c;
	::btPersistentManifold * tp0 = (::btPersistentManifold *)p0;
	o->setPersistentManifold(tp0);
}

// ::btSphereSphereCollisionAlgorithm
//constructor: btSphereSphereCollisionAlgorithm  ( ::btSphereSphereCollisionAlgorithm::* )( ::btPersistentManifold *,::btCollisionAlgorithmConstructionInfo const &,::btCollisionObject *,::btCollisionObject * ) 
void* btSphereSphereCollisionAlgorithm_new0(void* p0,void* p1,void* p2,void* p3) {
	::btSphereSphereCollisionAlgorithm *o = 0;
	 void *mem = 0;
	::btPersistentManifold * tp0 = (::btPersistentManifold *)p0;
	::btCollisionAlgorithmConstructionInfo const & tp1 = *(::btCollisionAlgorithmConstructionInfo const *)p1;
	::btCollisionObject * tp2 = (::btCollisionObject *)p2;
	::btCollisionObject * tp3 = (::btCollisionObject *)p3;
	mem = btAlignedAlloc(sizeof(::btSphereSphereCollisionAlgorithm),16);
	o = new (mem)::btSphereSphereCollisionAlgorithm(tp0,tp1,tp2,tp3);
	return (void*)o;
}
//constructor: btSphereSphereCollisionAlgorithm  ( ::btSphereSphereCollisionAlgorithm::* )( ::btCollisionAlgorithmConstructionInfo const & ) 
void* btSphereSphereCollisionAlgorithm_new1(void* p0) {
	::btSphereSphereCollisionAlgorithm *o = 0;
	 void *mem = 0;
	::btCollisionAlgorithmConstructionInfo const & tp0 = *(::btCollisionAlgorithmConstructionInfo const *)p0;
	mem = btAlignedAlloc(sizeof(::btSphereSphereCollisionAlgorithm),16);
	o = new (mem)::btSphereSphereCollisionAlgorithm(tp0);
	return (void*)o;
}
void btSphereSphereCollisionAlgorithm_free(void *c) {
	::btSphereSphereCollisionAlgorithm *o = (::btSphereSphereCollisionAlgorithm*)c;
	delete o;
}
//not supported method: getAllContactManifolds void ( ::btSphereSphereCollisionAlgorithm::* )( ::btManifoldArray & ) 
//method: calculateTimeOfImpact ::btScalar ( ::btSphereSphereCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
float btSphereSphereCollisionAlgorithm_calculateTimeOfImpact(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btSphereSphereCollisionAlgorithm *o = (::btSphereSphereCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	float retVal = (float)o->calculateTimeOfImpact(tp0,tp1,tp2,tp3);
	return retVal;
}
//method: processCollision void ( ::btSphereSphereCollisionAlgorithm::* )( ::btCollisionObject *,::btCollisionObject *,::btDispatcherInfo const &,::btManifoldResult * ) 
void btSphereSphereCollisionAlgorithm_processCollision(void *c,void* p0,void* p1,void* p2,void* p3) {
	::btSphereSphereCollisionAlgorithm *o = (::btSphereSphereCollisionAlgorithm*)c;
	::btCollisionObject * tp0 = (::btCollisionObject *)p0;
	::btCollisionObject * tp1 = (::btCollisionObject *)p1;
	::btDispatcherInfo const & tp2 = *(::btDispatcherInfo const *)p2;
	::btManifoldResult * tp3 = (::btManifoldResult *)p3;
	o->processCollision(tp0,tp1,tp2,tp3);
}

